--
-- PostgreSQL database dump
--

-- Dumped from database version 9.4.4
-- Dumped by pg_dump version 9.4.0
-- Started on 2015-10-22 14:55:07 CEST

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 11 (class 2615 OID 96166)
-- Name: mondial_rdf2sql_standard; Type: SCHEMA; Schema: -; Owner: -
--

DROP SCHEMA IF EXISTS mondial_rdf2sql_standard CASCADE;
CREATE SCHEMA mondial_rdf2sql_standard;


--
-- TOC entry 6 (class 2615 OID 93605)
-- Name: mondial_wrls_mici_n_pac; Type: SCHEMA; Schema: -; Owner: -
--

DROP SCHEMA IF EXISTS mondial_wrls_mici_n_pac CASCADE;
CREATE SCHEMA mondial_wrls_mici_n_pac;


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 1168 (class 1255 OID 96168)
-- Name: dropalltables(character varying); Type: FUNCTION; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE FUNCTION dropalltables(schemaname character varying) RETURNS void
    LANGUAGE plpgsql
    AS $$
DECLARE
  ts VARCHAR(100);
  tn VARCHAR(100);
BEGIN
    for ts,tn
    in select table_schema,table_name from information_schema.tables
       where table_schema= schemaname and 
             (table_type='table' or table_type='BASE TABLE')
    loop
      EXECUTE 'DROP TABLE ' || ts || '."' || tn || '" CASCADE';
    end loop;
END;
$$;


SET default_with_oids = false;

--
-- TOC entry 1076 (class 1259 OID 96546)
-- Name: BelievedBy; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "BelievedBy" (
    "URI" character varying(25) NOT NULL,
    percent numeric,
    "religionInfo-" character varying(50),
    "onReligion" character varying(73)
);


--
-- TOC entry 1077 (class 1259 OID 96552)
-- Name: Border; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Border" (
    "URI" character varying(25) NOT NULL,
    length numeric,
    "Country1" character varying(50),
    "Country2" character varying(50)
);


--
-- TOC entry 1078 (class 1259 OID 96558)
-- Name: City; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "City" (
    "URI" character varying(108) NOT NULL,
    name character varying(35),
    population numeric,
    elevation numeric,
    longitude numeric,
    latitude numeric,
    CONSTRAINT "City_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 1079 (class 1259 OID 96565)
-- Name: Continent; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Continent" (
    "URI" character varying(65) NOT NULL,
    name character varying(17),
    area numeric
);


--
-- TOC entry 1080 (class 1259 OID 96571)
-- Name: Country; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Country" (
    "URI" character varying(50) NOT NULL,
    "gdpAgri" numeric,
    inflation numeric,
    "populationGrowth" numeric,
    government character varying(117),
    "gdpServ" numeric,
    population numeric,
    "gdpTotal" numeric,
    unemployment numeric,
    "independenceDate" date,
    "dependentOf" character varying(49),
    "infantMortality" numeric,
    area numeric,
    "gdpInd" numeric,
    "carCode" character varying(4),
    capital character varying(100),
    "wasDependentOf" character varying(72),
    name character varying(32),
    CONSTRAINT "Country_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 1081 (class 1259 OID 96578)
-- Name: Desert; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Desert" (
    "URI" character varying(65) NOT NULL,
    area numeric,
    type character varying(4),
    latitude numeric,
    longitude numeric,
    name character varying(22)
);


--
-- TOC entry 1082 (class 1259 OID 96584)
-- Name: Encompassed; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Encompassed" (
    "URI" character varying(25) NOT NULL,
    percent numeric,
    "encompassedArea" character varying(50),
    "encompassedBy" character varying(65)
);


--
-- TOC entry 1083 (class 1259 OID 96590)
-- Name: Estuary; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Estuary" (
    "URI" character varying(70) NOT NULL,
    longitude numeric,
    elevation numeric,
    latitude numeric,
    "hasEstuary-" character varying(68)
);


--
-- TOC entry 1084 (class 1259 OID 96596)
-- Name: EthnicGroup; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "EthnicGroup" (
    "URI" character varying(78) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 1085 (class 1259 OID 96599)
-- Name: EthnicProportion; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "EthnicProportion" (
    "URI" character varying(25) NOT NULL,
    "ethnicInfo-" character varying(50),
    "onEthnicGroup" character varying(78),
    percent numeric
);


--
-- TOC entry 1086 (class 1259 OID 96605)
-- Name: Female; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Female" (
    "URI" character varying(199) NOT NULL,
    onlyfemaleprop numeric,
    "hasMother" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 1087 (class 1259 OID 96611)
-- Name: Island; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Island" (
    "URI" character varying(71) NOT NULL,
    population numeric,
    latitude numeric,
    "belongsToIslands" character varying(71),
    area numeric,
    name character varying(29),
    longitude numeric,
    type character varying(8),
    elevation numeric,
    CONSTRAINT "Island_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 1088 (class 1259 OID 96618)
-- Name: Islands; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Islands" (
    "URI" character varying(71) NOT NULL,
    latitude numeric,
    population numeric,
    area numeric,
    type character varying(199),
    longitude numeric,
    elevation numeric,
    name character varying(27),
    CONSTRAINT "Islands_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 1089 (class 1259 OID 96625)
-- Name: Language; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Language" (
    "URI" character varying(73) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 1090 (class 1259 OID 96628)
-- Name: Male; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Male" (
    "URI" character varying(199) NOT NULL,
    "hasMother" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 1091 (class 1259 OID 96634)
-- Name: Membership; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Membership" (
    "URI" character varying(25) NOT NULL,
    "ofMember" character varying(50),
    "inOrganization" character varying(59),
    type character varying(54)
);


--
-- TOC entry 1092 (class 1259 OID 96637)
-- Name: Mountain; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Mountain" (
    "URI" character varying(74) NOT NULL,
    "locatedOnIsland" character varying(71),
    type character varying(8),
    "lastEruption" date,
    "inMountains" character varying(72),
    name character varying(30),
    elevation numeric,
    longitude numeric,
    latitude numeric,
    rdftype character varying(7)
);


--
-- TOC entry 1093 (class 1259 OID 96643)
-- Name: Mountains; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Mountains" (
    "URI" character varying(72) NOT NULL,
    name character varying(28),
    latitude numeric,
    elevation numeric,
    type character varying(199),
    longitude numeric,
    area numeric
);


--
-- TOC entry 1094 (class 1259 OID 96649)
-- Name: Organization; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Organization" (
    "URI" character varying(59) NOT NULL,
    "hasHeadq" character varying(98),
    abbrev character varying(8),
    name character varying(89),
    established date
);


--
-- TOC entry 1095 (class 1259 OID 96652)
-- Name: Province; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Province" (
    "URI" character varying(95) NOT NULL,
    name character varying(40),
    capital character varying(108),
    area numeric,
    "isProvinceOf" character varying(49),
    population numeric,
    CONSTRAINT "Province_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 1096 (class 1259 OID 96659)
-- Name: Religion; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Religion" (
    "URI" character varying(73) NOT NULL,
    name character varying(27)
);


--
-- TOC entry 1097 (class 1259 OID 96662)
-- Name: Source; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Source" (
    "URI" character varying(69) NOT NULL,
    "inMountains" character varying(68),
    longitude numeric,
    elevation numeric,
    "hasSource-" character varying(68),
    latitude numeric
);


--
-- TOC entry 1098 (class 1259 OID 96668)
-- Name: SpokenBy; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "SpokenBy" (
    "URI" character varying(25) NOT NULL,
    percent numeric,
    "languageInfo-" character varying(50),
    "onLanguage" character varying(73)
);


--
-- TOC entry 1099 (class 1259 OID 96674)
-- Name: TOP_area; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_area" (
    "URI" character varying(199),
    area numeric
);


--
-- TOC entry 1100 (class 1259 OID 96680)
-- Name: TOP_bordering; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_bordering" (
    "URI" character varying(199),
    bordering character varying(199)
);


--
-- TOC entry 1101 (class 1259 OID 96683)
-- Name: TOP_capital; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_capital" (
    "URI" character varying(199),
    capital character varying(199)
);


--
-- TOC entry 1102 (class 1259 OID 96686)
-- Name: TOP_elevation; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_elevation" (
    "URI" character varying(199),
    elevation numeric
);


--
-- TOC entry 1103 (class 1259 OID 96692)
-- Name: TOP_hasFather; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_hasFather" (
    "URI" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 1104 (class 1259 OID 96695)
-- Name: TOP_hasMother; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_hasMother" (
    "URI" character varying(199),
    "hasMother" character varying(199)
);


--
-- TOC entry 1105 (class 1259 OID 96698)
-- Name: TOP_inMountains; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_inMountains" (
    "URI" character varying(199),
    "inMountains" character varying(199)
);


--
-- TOC entry 1106 (class 1259 OID 96701)
-- Name: TOP_invfktprop_Inv; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_invfktprop_Inv" (
    "URI" character varying(199),
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 1107 (class 1259 OID 96704)
-- Name: TOP_latitude; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_latitude" (
    "URI" character varying(199),
    latitude numeric
);


--
-- TOC entry 1108 (class 1259 OID 96710)
-- Name: TOP_length; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_length" (
    "URI" character varying(199),
    length numeric
);


--
-- TOC entry 1109 (class 1259 OID 96716)
-- Name: TOP_locatedOnIsland; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_locatedOnIsland" (
    "URI" character varying(199),
    "locatedOnIsland" character varying(199)
);


--
-- TOC entry 1110 (class 1259 OID 96719)
-- Name: TOP_longitude; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_longitude" (
    "URI" character varying(199),
    longitude numeric
);


--
-- TOC entry 1111 (class 1259 OID 96725)
-- Name: TOP_name; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_name" (
    "URI" character varying(199),
    name character varying(199)
);


--
-- TOC entry 1112 (class 1259 OID 96728)
-- Name: TOP_nmprop; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_nmprop" (
    "URI" character varying(199),
    nmprop character varying(199)
);


--
-- TOC entry 1113 (class 1259 OID 96731)
-- Name: TOP_nmprop_Inv; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_nmprop_Inv" (
    "URI" character varying(199),
    "nmprop_Inv" character varying(199)
);


--
-- TOC entry 1114 (class 1259 OID 96734)
-- Name: TOP_onlyfemaleprop; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_onlyfemaleprop" (
    "URI" character varying(199),
    onlyfemaleprop numeric
);


--
-- TOC entry 1115 (class 1259 OID 96740)
-- Name: TOP_percent; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_percent" (
    "URI" character varying(199),
    percent numeric
);


--
-- TOC entry 1116 (class 1259 OID 96746)
-- Name: TOP_population; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_population" (
    "URI" character varying(199),
    population numeric,
    CONSTRAINT "TOP_population_population_check" CHECK ((population >= (0)::numeric))
);


--
-- TOC entry 1117 (class 1259 OID 96753)
-- Name: TOP_type; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "TOP_type" (
    "URI" character varying(199),
    type character varying(199)
);


--
-- TOC entry 1118 (class 1259 OID 96756)
-- Name: U; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "U" (
    "URI" character varying(199) NOT NULL,
    "totUpartV11prop" character varying(199)
);


--
-- TOC entry 1119 (class 1259 OID 96759)
-- Name: V; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "V" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 1120 (class 1259 OID 96762)
-- Name: Water; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Water" (
    "URI" character varying(68) NOT NULL,
    "flowsInto" character varying(68),
    latitude numeric,
    "flowsThrough_Inv" character varying(61),
    type character varying(10),
    elevation numeric,
    length numeric,
    depth numeric,
    longitude numeric,
    area numeric,
    name character varying(27),
    rdftype character varying(5)
);


--
-- TOC entry 1121 (class 1259 OID 96768)
-- Name: X1; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "X1" (
    "URI" character varying(199) NOT NULL,
    nmprop character varying(199)
);


--
-- TOC entry 1122 (class 1259 OID 96771)
-- Name: X2; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "X2" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 1123 (class 1259 OID 96774)
-- Name: Y1; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Y1" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 1124 (class 1259 OID 96777)
-- Name: Y2; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "Y2" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 1125 (class 1259 OID 96780)
-- Name: allcl; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE allcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 1126 (class 1259 OID 96783)
-- Name: borders; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE borders (
    "Entity" character varying(199) NOT NULL,
    "LargeArea" character varying(199) NOT NULL
);


--
-- TOC entry 1127 (class 1259 OID 96786)
-- Name: cityIn; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "cityIn" (
    "City" character varying(108) NOT NULL,
    "AdministrativeArea" character varying(95) NOT NULL
);


--
-- TOC entry 1128 (class 1259 OID 96789)
-- Name: hasAccountNo; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "hasAccountNo" (
    "Person" character varying(199) NOT NULL,
    "VALUE" numeric NOT NULL
);


--
-- TOC entry 1129 (class 1259 OID 96795)
-- Name: hasChild; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "hasChild" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 1130 (class 1259 OID 96798)
-- Name: hasNickname; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "hasNickname" (
    "Person" character varying(199) NOT NULL,
    "VALUE" character varying(199) NOT NULL
);


--
-- TOC entry 1131 (class 1259 OID 96801)
-- Name: inv; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE inv (
    property character varying(50),
    inverse character varying(50)
);


--
-- TOC entry 1132 (class 1259 OID 96804)
-- Name: locatedAt; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedAt" (
    "City" character varying(100) NOT NULL,
    "Water" character varying(68) NOT NULL
);


--
-- TOC entry 1133 (class 1259 OID 96807)
-- Name: locatedIn; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedIn" (
    "Entity" character varying(74) NOT NULL,
    "Area" character varying(95) NOT NULL
);


--
-- TOC entry 1134 (class 1259 OID 96810)
-- Name: locatedInWater; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedInWater" (
    "Island" character varying(71) NOT NULL,
    "Water" character varying(58) NOT NULL
);


--
-- TOC entry 1135 (class 1259 OID 96813)
-- Name: locatedOnIsland; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "locatedOnIsland" (
    "Entity" character varying(108) NOT NULL,
    "Island" character varying(71) NOT NULL
);


--
-- TOC entry 1136 (class 1259 OID 96816)
-- Name: marriedWith; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "marriedWith" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 1137 (class 1259 OID 96819)
-- Name: md; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE md (
    class character varying(50),
    property character varying(50),
    range character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    inv character varying(5),
    isview character varying(5)
);


--
-- TOC entry 1138 (class 1259 OID 96822)
-- Name: mdlastchanged; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE mdlastchanged (
    at date
);


--
-- TOC entry 1139 (class 1259 OID 96825)
-- Name: mergesWith; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE "mergesWith" (
    "Sea1" character varying(58) NOT NULL,
    "Sea2" character varying(58) NOT NULL
);


--
-- TOC entry 1140 (class 1259 OID 96828)
-- Name: nmj; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE nmj (
    class character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    fkjoinattr character varying(50)
);


--
-- TOC entry 1141 (class 1259 OID 96831)
-- Name: nmprop; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE nmprop (
    "X" character varying(199) NOT NULL,
    "Y" character varying(199) NOT NULL
);


--
-- TOC entry 1142 (class 1259 OID 96834)
-- Name: nmtables; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE nmtables (
    tablename character varying(50)
);


--
-- TOC entry 1143 (class 1259 OID 96837)
-- Name: ocdict; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE ocdict (
    uri character varying(199),
    class character varying(50)
);


--
-- TOC entry 1144 (class 1259 OID 96840)
-- Name: othername; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE othername (
    "Entity" character varying(101) NOT NULL,
    "VALUE" character varying(27) NOT NULL
);


--
-- TOC entry 1145 (class 1259 OID 96843)
-- Name: proptablemap; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE proptablemap (
    property character varying(50),
    tablename character varying(50)
);


--
-- TOC entry 1146 (class 1259 OID 96846)
-- Name: rc2; Type: VIEW; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE VIEW rc2 AS
 SELECT md.tablename,
    md.lookupattr,
    md.class AS rangetable
   FROM md
  WHERE ((md.inv)::text = 'true'::text)
UNION
 SELECT DISTINCT md1.tablename,
    md1.lookupattr,
    md2.class AS rangetable
   FROM md md1,
    nmj,
    md md2
  WHERE ((((((((((((md1.inv)::text = 'false'::text) AND ((md2.inv)::text = 'false'::text)) AND ((md1.isview)::text = 'false'::text)) AND ((md2.isview)::text = 'false'::text)) AND ((md1.class)::text <> (md1.tablename)::text)) AND ((md2.class)::text <> (md2.tablename)::text)) AND ((md1.tablename)::text = (nmj.tablename)::text)) AND ((md1.lookupattr)::text = (nmj.lookupattr)::text)) AND ((md2.tablename)::text = (nmj.tablename)::text)) AND ((md2.lookupattr)::text = (nmj.fkjoinattr)::text)) AND ((md2.class)::text <> 'ANY'::text));


--
-- TOC entry 1147 (class 1259 OID 96851)
-- Name: rc3; Type: VIEW; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE VIEW rc3 AS
 SELECT md.tablename,
    md.lookupattr,
    md.class AS rangetable
   FROM md
  WHERE ((md.inv)::text = 'true'::text)
UNION
 SELECT DISTINCT nmj.tablename,
    nmj.fkjoinattr AS lookupattr,
    md1.tablename AS rangetable
   FROM md md1,
    md md2,
    nmj
  WHERE (((((((((((md1.class)::text = (md2.class)::text) AND ((md1.class)::text <> 'ANY'::text)) AND ((md1.inv)::text = 'false'::text)) AND ((md2.inv)::text = 'false'::text)) AND ((md1.isview)::text = 'false'::text)) AND ((md2.isview)::text = 'false'::text)) AND (NOT ((md1.tablename)::text IN ( SELECT nmtables.tablename
           FROM nmtables)))) AND ((md2.tablename)::text IN ( SELECT nmtables.tablename
           FROM nmtables))) AND ((nmj.tablename)::text = (md2.tablename)::text)) AND ((nmj.lookupattr)::text = (md2.lookupattr)::text));


--
-- TOC entry 1148 (class 1259 OID 96856)
-- Name: rctab; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE rctab (
    tablename character varying(50),
    columnname character varying(50),
    rangetable character varying(50)
);


--
-- TOC entry 1149 (class 1259 OID 96859)
-- Name: rdf2sqlconf; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE rdf2sqlconf (
    name character varying(20),
    value character varying(10)
);


--
-- TOC entry 1150 (class 1259 OID 96862)
-- Name: subcl; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE subcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 1151 (class 1259 OID 96865)
-- Name: toptables; Type: TABLE; Schema: mondial_rdf2sql_standard; Owner: -
--

CREATE TABLE toptables (
    tablename character varying(50),
    property character varying(50),
    range character varying(50)
);


SET search_path = mondial_wrls_mici_n_pac, pg_catalog;

--
-- TOC entry 784 (class 1259 OID 93606)
-- Name: BelievedBy; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "BelievedBy" (
    "URI" character varying(26) NOT NULL,
    percent numeric,
    "religionInfo-" character varying(50),
    "onReligion" character varying(73)
);


--
-- TOC entry 785 (class 1259 OID 93612)
-- Name: Border; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Border" (
    "URI" character varying(26) NOT NULL,
    length numeric,
    "Country1" character varying(50),
    "Country2" character varying(50)
);


--
-- TOC entry 786 (class 1259 OID 93618)
-- Name: City; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "City" (
    "URI" character varying(108) NOT NULL,
    name character varying(35),
    elevation numeric,
    longitude numeric,
    latitude numeric
);


--
-- TOC entry 787 (class 1259 OID 93624)
-- Name: Continent; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Continent" (
    "URI" character varying(65) NOT NULL,
    name character varying(17)
);


--
-- TOC entry 788 (class 1259 OID 93627)
-- Name: Country; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Country" (
    "URI" character varying(50) NOT NULL,
    "gdpAgri" numeric,
    inflation numeric,
    "populationGrowth" numeric,
    government character varying(117),
    "gdpServ" numeric,
    "gdpTotal" numeric,
    unemployment numeric,
    "independenceDate" date,
    "dependentOf" character varying(49),
    "infantMortality" numeric,
    "gdpInd" numeric,
    "carCode" character varying(4),
    "wasDependentOf" character varying(72),
    name character varying(32)
);


--
-- TOC entry 789 (class 1259 OID 93633)
-- Name: Desert; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Desert" (
    "URI" character varying(65) NOT NULL,
    type character varying(4),
    latitude numeric,
    longitude numeric,
    name character varying(22)
);


--
-- TOC entry 790 (class 1259 OID 93639)
-- Name: Encompassed; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Encompassed" (
    "URI" character varying(26) NOT NULL,
    percent numeric,
    "encompassedArea" character varying(50),
    "encompassedBy" character varying(65)
);


--
-- TOC entry 791 (class 1259 OID 93645)
-- Name: Estuary; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Estuary" (
    "URI" character varying(70) NOT NULL,
    longitude numeric,
    elevation numeric,
    latitude numeric
);


--
-- TOC entry 792 (class 1259 OID 93651)
-- Name: EthnicGroup; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "EthnicGroup" (
    "URI" character varying(78) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 793 (class 1259 OID 93654)
-- Name: EthnicProportion; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "EthnicProportion" (
    "URI" character varying(26) NOT NULL,
    "ethnicInfo-" character varying(50),
    "onEthnicGroup" character varying(78),
    percent numeric
);


--
-- TOC entry 794 (class 1259 OID 93660)
-- Name: Female; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Female" (
    "URI" character varying(199) NOT NULL,
    onlyfemaleprop numeric,
    "hasMother" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 795 (class 1259 OID 93666)
-- Name: Island; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Island" (
    "URI" character varying(71) NOT NULL,
    "belongsToIslands" character varying(71),
    latitude numeric,
    name character varying(29),
    longitude numeric,
    type character varying(8),
    elevation numeric
);


--
-- TOC entry 796 (class 1259 OID 93672)
-- Name: Islands; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Islands" (
    "URI" character varying(71) NOT NULL,
    latitude numeric,
    type character varying(199),
    longitude numeric,
    elevation numeric,
    name character varying(27)
);


--
-- TOC entry 797 (class 1259 OID 93678)
-- Name: Lake; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Lake" (
    "URI" character varying(67) NOT NULL,
    type character varying(10),
    longitude numeric,
    latitude numeric,
    depth numeric,
    elevation numeric,
    "flowsInto" character varying(68),
    "flowsThrough_Inv" character varying(61)
);


--
-- TOC entry 798 (class 1259 OID 93684)
-- Name: Language; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Language" (
    "URI" character varying(73) NOT NULL,
    name character varying(29)
);


--
-- TOC entry 799 (class 1259 OID 93687)
-- Name: Male; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Male" (
    "URI" character varying(199) NOT NULL,
    "hasMother" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 800 (class 1259 OID 93693)
-- Name: Membership; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Membership" (
    "URI" character varying(26) NOT NULL,
    "ofMember" character varying(50),
    "inOrganization" character varying(59),
    type character varying(54)
);


--
-- TOC entry 801 (class 1259 OID 93696)
-- Name: Mountain; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Mountain" (
    "URI" character varying(74) NOT NULL,
    "locatedOnIsland" character varying(71),
    type character varying(8),
    "lastEruption" date,
    "inMountains" character varying(72),
    name character varying(30),
    elevation numeric,
    longitude numeric,
    latitude numeric,
    rdftype character varying(7)
);


--
-- TOC entry 802 (class 1259 OID 93702)
-- Name: Mountains; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Mountains" (
    "URI" character varying(72) NOT NULL,
    name character varying(28),
    latitude numeric,
    elevation numeric,
    type character varying(199),
    longitude numeric
);


--
-- TOC entry 803 (class 1259 OID 93708)
-- Name: Organization; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Organization" (
    "URI" character varying(59) NOT NULL,
    "hasHeadq" character varying(98),
    abbrev character varying(8),
    name character varying(89),
    established date
);


--
-- TOC entry 804 (class 1259 OID 93711)
-- Name: Province; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Province" (
    "URI" character varying(95) NOT NULL,
    name character varying(40),
    "isProvinceOf" character varying(49)
);


--
-- TOC entry 805 (class 1259 OID 93714)
-- Name: Religion; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Religion" (
    "URI" character varying(73) NOT NULL,
    name character varying(27)
);


--
-- TOC entry 806 (class 1259 OID 93717)
-- Name: River; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "River" (
    "URI" character varying(68) NOT NULL,
    "hasSource" character varying(69),
    "hasEstuary" character varying(70),
    length numeric,
    "flowsInto" character varying(65)
);


--
-- TOC entry 807 (class 1259 OID 93723)
-- Name: Sea; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Sea" (
    "URI" character varying(58) NOT NULL,
    type character varying(199),
    depth numeric
);


--
-- TOC entry 808 (class 1259 OID 93729)
-- Name: Source; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Source" (
    "URI" character varying(69) NOT NULL,
    "inMountains" character varying(68),
    longitude numeric,
    elevation numeric,
    latitude numeric
);


--
-- TOC entry 809 (class 1259 OID 93735)
-- Name: SpokenBy; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "SpokenBy" (
    "URI" character varying(26) NOT NULL,
    percent numeric,
    "languageInfo-" character varying(50),
    "onLanguage" character varying(73)
);


--
-- TOC entry 810 (class 1259 OID 93741)
-- Name: TOP_bordering; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_bordering" (
    "URI" character varying(199),
    bordering character varying(199)
);


--
-- TOC entry 811 (class 1259 OID 93744)
-- Name: TOP_depth; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_depth" (
    "URI" character varying(199),
    depth numeric
);


--
-- TOC entry 812 (class 1259 OID 93750)
-- Name: TOP_elevation; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_elevation" (
    "URI" character varying(199),
    elevation numeric
);


--
-- TOC entry 813 (class 1259 OID 93756)
-- Name: TOP_flowsInto; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_flowsInto" (
    "URI" character varying(199),
    "flowsInto" character varying(199)
);


--
-- TOC entry 814 (class 1259 OID 93759)
-- Name: TOP_hasFather; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_hasFather" (
    "URI" character varying(199),
    "hasFather" character varying(199)
);


--
-- TOC entry 815 (class 1259 OID 93762)
-- Name: TOP_hasMother; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_hasMother" (
    "URI" character varying(199),
    "hasMother" character varying(199)
);


--
-- TOC entry 816 (class 1259 OID 93765)
-- Name: TOP_inMountains; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_inMountains" (
    "URI" character varying(199),
    "inMountains" character varying(199)
);


--
-- TOC entry 817 (class 1259 OID 93768)
-- Name: TOP_invfktprop_Inv; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_invfktprop_Inv" (
    "URI" character varying(199),
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 818 (class 1259 OID 93771)
-- Name: TOP_latitude; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_latitude" (
    "URI" character varying(199),
    latitude numeric
);


--
-- TOC entry 819 (class 1259 OID 93777)
-- Name: TOP_length; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_length" (
    "URI" character varying(199),
    length numeric
);


--
-- TOC entry 820 (class 1259 OID 93783)
-- Name: TOP_locatedOnIsland; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_locatedOnIsland" (
    "URI" character varying(199),
    "locatedOnIsland" character varying(199)
);


--
-- TOC entry 821 (class 1259 OID 93786)
-- Name: TOP_longitude; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_longitude" (
    "URI" character varying(199),
    longitude numeric
);


--
-- TOC entry 822 (class 1259 OID 93792)
-- Name: TOP_name; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_name" (
    "URI" character varying(199),
    name character varying(199)
);


--
-- TOC entry 823 (class 1259 OID 93795)
-- Name: TOP_nmprop; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_nmprop" (
    "URI" character varying(199),
    nmprop character varying(199)
);


--
-- TOC entry 824 (class 1259 OID 93799)
-- Name: TOP_nmprop_Inv; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_nmprop_Inv" (
    "URI" character varying(199),
    "nmprop_Inv" character varying(199)
);


--
-- TOC entry 825 (class 1259 OID 93802)
-- Name: TOP_onlyfemaleprop; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_onlyfemaleprop" (
    "URI" character varying(199),
    onlyfemaleprop numeric
);


--
-- TOC entry 826 (class 1259 OID 93808)
-- Name: TOP_percent; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_percent" (
    "URI" character varying(199),
    percent numeric
);


--
-- TOC entry 827 (class 1259 OID 93814)
-- Name: TOP_type; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "TOP_type" (
    "URI" character varying(199),
    type character varying(199)
);


--
-- TOC entry 828 (class 1259 OID 93817)
-- Name: U; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "U" (
    "URI" character varying(199) NOT NULL,
    "totUpartV11prop" character varying(199)
);


--
-- TOC entry 829 (class 1259 OID 93820)
-- Name: V; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "V" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 830 (class 1259 OID 93823)
-- Name: Water; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Water" (
    "URI" character varying(68) NOT NULL,
    name character varying(27)
);


--
-- TOC entry 831 (class 1259 OID 93826)
-- Name: X1; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "X1" (
    "URI" character varying(199) NOT NULL,
    nmprop character varying(199)
);


--
-- TOC entry 832 (class 1259 OID 93829)
-- Name: X2; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "X2" (
    "URI" character varying(199) NOT NULL
);


--
-- TOC entry 833 (class 1259 OID 93832)
-- Name: Y1; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Y1" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 834 (class 1259 OID 93835)
-- Name: Y2; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "Y2" (
    "URI" character varying(199) NOT NULL,
    "invfktprop_Inv" character varying(199)
);


--
-- TOC entry 835 (class 1259 OID 93838)
-- Name: allcl; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE allcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 836 (class 1259 OID 93841)
-- Name: area; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE area (
    "Subject" character varying(199) NOT NULL,
    "VALUE" numeric NOT NULL
);


--
-- TOC entry 837 (class 1259 OID 93847)
-- Name: borders; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE borders (
    "Entity" character varying(199) NOT NULL,
    "LargeArea" character varying(199) NOT NULL
);


--
-- TOC entry 838 (class 1259 OID 93850)
-- Name: capital; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE capital (
    "Subject" character varying(199) NOT NULL,
    "City" character varying(199) NOT NULL
);


--
-- TOC entry 839 (class 1259 OID 93853)
-- Name: cityIn; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "cityIn" (
    "City" character varying(108) NOT NULL,
    "AdministrativeArea" character varying(95) NOT NULL
);


--
-- TOC entry 840 (class 1259 OID 93856)
-- Name: hasAccountNo; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "hasAccountNo" (
    "Person" character varying(199) NOT NULL,
    "VALUE" numeric NOT NULL
);


--
-- TOC entry 841 (class 1259 OID 93862)
-- Name: hasChild; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "hasChild" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 842 (class 1259 OID 93865)
-- Name: hasNickname; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "hasNickname" (
    "Person" character varying(199) NOT NULL,
    "VALUE" character varying(199) NOT NULL
);


--
-- TOC entry 843 (class 1259 OID 93868)
-- Name: inv; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE inv (
    property character varying(50),
    inverse character varying(50)
);


--
-- TOC entry 844 (class 1259 OID 93871)
-- Name: locatedAt; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "locatedAt" (
    "City" character varying(100) NOT NULL,
    "Water" character varying(68) NOT NULL
);


--
-- TOC entry 845 (class 1259 OID 93874)
-- Name: locatedIn; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "locatedIn" (
    "Entity" character varying(74) NOT NULL,
    "Area" character varying(95) NOT NULL
);


--
-- TOC entry 846 (class 1259 OID 93877)
-- Name: locatedInWater; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "locatedInWater" (
    "Island" character varying(71) NOT NULL,
    "Water" character varying(58) NOT NULL
);


--
-- TOC entry 847 (class 1259 OID 93880)
-- Name: locatedOnIsland; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "locatedOnIsland" (
    "Entity" character varying(108) NOT NULL,
    "Island" character varying(71) NOT NULL
);


--
-- TOC entry 848 (class 1259 OID 93883)
-- Name: marriedWith; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "marriedWith" (
    "Person1" character varying(199) NOT NULL,
    "Person2" character varying(199) NOT NULL
);


--
-- TOC entry 849 (class 1259 OID 93886)
-- Name: md; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE md (
    class character varying(50),
    property character varying(50),
    range character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    inv character varying(5),
    isview character varying(5)
);


--
-- TOC entry 850 (class 1259 OID 93889)
-- Name: mdlastchanged; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE mdlastchanged (
    at date
);


--
-- TOC entry 851 (class 1259 OID 93892)
-- Name: mergesWith; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE "mergesWith" (
    "Sea1" character varying(58) NOT NULL,
    "Sea2" character varying(58) NOT NULL
);


--
-- TOC entry 852 (class 1259 OID 93895)
-- Name: nmj; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE nmj (
    class character varying(50),
    tablename character varying(50),
    lookupattr character varying(50),
    fkjoinattr character varying(50)
);


--
-- TOC entry 853 (class 1259 OID 93898)
-- Name: nmprop; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE nmprop (
    "X" character varying(199) NOT NULL,
    "Y" character varying(199) NOT NULL
);


--
-- TOC entry 854 (class 1259 OID 93901)
-- Name: nmtables; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE nmtables (
    tablename character varying(50)
);


--
-- TOC entry 855 (class 1259 OID 93904)
-- Name: ocdict; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE ocdict (
    uri character varying(199),
    class character varying(50)
);


--
-- TOC entry 856 (class 1259 OID 93907)
-- Name: othername; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE othername (
    "Entity" character varying(101) NOT NULL,
    "VALUE" character varying(27) NOT NULL
);


--
-- TOC entry 857 (class 1259 OID 93910)
-- Name: population; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE population (
    "Subject" character varying(199) NOT NULL,
    "VALUE" numeric NOT NULL
);


--
-- TOC entry 858 (class 1259 OID 93916)
-- Name: proptablemap; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE proptablemap (
    property character varying(50),
    tablename character varying(50)
);


--
-- TOC entry 859 (class 1259 OID 93920)
-- Name: rc2; Type: VIEW; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE VIEW rc2 AS
 SELECT md.tablename,
    md.lookupattr,
    md.class AS rangetable
   FROM md
  WHERE ((md.inv)::text = 'true'::text)
UNION
 SELECT DISTINCT md1.tablename,
    md1.lookupattr,
    md2.class AS rangetable
   FROM md md1,
    nmj,
    md md2
  WHERE ((((((((((((md1.inv)::text = 'false'::text) AND ((md2.inv)::text = 'false'::text)) AND ((md1.isview)::text = 'false'::text)) AND ((md2.isview)::text = 'false'::text)) AND ((md1.class)::text <> (md1.tablename)::text)) AND ((md2.class)::text <> (md2.tablename)::text)) AND ((md1.tablename)::text = (nmj.tablename)::text)) AND ((md1.lookupattr)::text = (nmj.lookupattr)::text)) AND ((md2.tablename)::text = (nmj.tablename)::text)) AND ((md2.lookupattr)::text = (nmj.fkjoinattr)::text)) AND ((md2.class)::text <> 'ANY'::text));


--
-- TOC entry 860 (class 1259 OID 93925)
-- Name: rc3; Type: VIEW; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE VIEW rc3 AS
 SELECT md.tablename,
    md.lookupattr,
    md.class AS rangetable
   FROM md
  WHERE ((md.inv)::text = 'true'::text)
UNION
 SELECT DISTINCT nmj.tablename,
    nmj.fkjoinattr AS lookupattr,
    md1.tablename AS rangetable
   FROM md md1,
    md md2,
    nmj
  WHERE (((((((((((md1.class)::text = (md2.class)::text) AND ((md1.class)::text <> 'ANY'::text)) AND ((md1.inv)::text = 'false'::text)) AND ((md2.inv)::text = 'false'::text)) AND ((md1.isview)::text = 'false'::text)) AND ((md2.isview)::text = 'false'::text)) AND (NOT ((md1.tablename)::text IN ( SELECT nmtables.tablename
           FROM nmtables)))) AND ((md2.tablename)::text IN ( SELECT nmtables.tablename
           FROM nmtables))) AND ((nmj.tablename)::text = (md2.tablename)::text)) AND ((nmj.lookupattr)::text = (md2.lookupattr)::text));


--
-- TOC entry 861 (class 1259 OID 93930)
-- Name: rctab; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE rctab (
    tablename character varying(50),
    columnname character varying(50),
    rangetable character varying(50)
);


--
-- TOC entry 862 (class 1259 OID 93933)
-- Name: rdf2sqlconf; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE rdf2sqlconf (
    name character varying(20),
    value character varying(10)
);


--
-- TOC entry 863 (class 1259 OID 93936)
-- Name: subcl; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE subcl (
    subclass character varying(50),
    superclass character varying(50)
);


--
-- TOC entry 864 (class 1259 OID 93939)
-- Name: toptables; Type: TABLE; Schema: mondial_wrls_mici_n_pac; Owner: -
--

CREATE TABLE toptables (
    tablename character varying(50),
    property character varying(50),
    range character varying(50)
);


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 5910 (class 0 OID 96546)
-- Dependencies: 1076
-- Data for Name: BelievedBy; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "BelievedBy" ("URI", percent, "religionInfo-", "onReligion") FROM stdin;
7b93e6a1:150814fecb6:244e	94	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22e3	47	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:232a	95	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2301	6	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/religion/CopticChristian/
7b93e6a1:150814fecb6:2387	32.2	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23f4	98	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:238a	24.3	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22cc	2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Sikh/
7b93e6a1:150814fecb6:241e	25	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2381	15	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23fa	2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2276	3	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:23bd	11	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/United/
7b93e6a1:150814fecb6:2239	0.2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2364	15	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2327	83	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22d3	60.4	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:238e	16	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Methodist/
7b93e6a1:150814fecb6:2452	1.8	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Adventist/
7b93e6a1:150814fecb6:22fd	16.9	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2415	1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23c1	97	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/
7b93e6a1:150814fecb6:243f	33	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23eb	0.5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2267	79	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23ae	1.6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2442	7	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ed	6	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:230a	22	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2392	20	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23f9	15	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2355	1.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:2318	70	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c4	16	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:237f	90	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2443	41	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ee	4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:224a	26.8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2406	10	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23b2	7.2	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2295	1.8	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23dc	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2258	7	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2383	7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2346	5.2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22f2	25	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2309	98	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22b5	97	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2434	28	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23e0	7.2	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22df	1.5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/HoaHao/
7b93e6a1:150814fecb6:223b	3.2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23a3	40.9	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2286	0.7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23cd	2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2249	6	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2374	4	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2337	19	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:239e	38	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22a6	84.5	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2425	95	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23d1	15.4	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:244f	70.3	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Catholic/
7b93e6a1:150814fecb6:23fb	50	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2277	2	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23be	100	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:231a	17	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2365	85	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2328	9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22d4	19.2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:238f	34	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2453	90	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22fe	2	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:225a	10.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2416	65	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23c2	36.6	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23ec	97	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2268	4.1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23af	1.3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:230b	30	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2393	30	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2356	1.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2319	75	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c5	4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2444	20	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23f0	98.7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ef	3	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:224b	2.1	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2407	50	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b3	11.7	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2296	87	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23dd	30.5	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2259	68.9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2384	3	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2347	1.1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:22f3	18	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22b6	90	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2435	38	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23e1	1.1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:223c	5.5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23a4	6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:2300	94	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2287	86.8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23ce	95	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2375	5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2338	12	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22e4	2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2240	3.5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:239f	30	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22a7	1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:226a	95	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2426	2	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23d2	70	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23fc	50	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2278	30	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23bf	1	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/Bahai/
7b93e6a1:150814fecb6:231b	6	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2366	77	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2329	3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:22d5	9.1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2454	8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:22ff	1.7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Druze/
7b93e6a1:150814fecb6:225b	4.1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2417	9	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23c3	58.2	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/
7b93e6a1:150814fecb6:23ed	90	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2269	1.9	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:230c	5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2394	50	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/
7b93e6a1:150814fecb6:2357	0.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:22c6	4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2445	20	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23f1	0.2	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:224c	34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2408	40	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23b4	39	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2310	3	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2297	1.5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23de	28.4	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:233a	32	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:2385	99	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2348	15	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22f4	36	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2250	18.9	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22b7	89	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:227a	5.8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2436	90	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23e2	19.6	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:223d	1.1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23a5	100	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2288	7.5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23cf	5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:232b	8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2376	55.9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2339	20	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:22e5	44	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2241	90	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22a8	45	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:226b	83.5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2427	14	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23d3	15	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23fd	10	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2279	20	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:231c	84	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2367	15	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:240a	20	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22d6	6.3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2232	70	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:225c	1	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2418	35	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23c4	15	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2320	0.2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Chondogyo/
7b93e6a1:150814fecb6:23ee	1	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:234a	5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:230d	1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2395	25.8	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2358	0.6	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2260	4.3	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c7	89	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:228a	99.8	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2446	55	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23f2	1.1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:224d	34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2409	10	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b5	4.4	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2311	92	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2298	90	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23df	8.1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:233b	6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Methodist/
7b93e6a1:150814fecb6:22aa	6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2386	6	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2349	23	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:22f5	80	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2251	84.6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22b8	9	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:227b	40	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2437	9	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23e3	22.8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:223e	74.2	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23a6	50	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2302	87	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2289	4.7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:232c	8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2377	95	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:241a	16	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22e6	75	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2242	95	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22a9	19	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:226c	8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/
7b93e6a1:150814fecb6:2428	86	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23d4	1.1	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:2330	93	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/religion/Taoist/
7b93e6a1:150814fecb6:23fe	50	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:235a	5.7	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:231d	47.4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2368	95	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2270	20	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:240b	50	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22d7	60	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2233	10	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:229a	2	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:225d	96	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2419	30	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23c5	15	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2321	100	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23ef	100	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:234b	18	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:230e	8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
7b93e6a1:150814fecb6:22ba	9	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2396	18.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2359	11	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2261	1.8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:22c8	14	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:228b	95	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2447	20	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23f3	80	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:224e	3.7	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b6	16.4	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/
7b93e6a1:150814fecb6:2312	8	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2299	8	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:233c	6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
7b93e6a1:150814fecb6:2400	10	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Kimbanguist/
7b93e6a1:150814fecb6:22ab	2.7	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:242a	8	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22f6	20	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2252	2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:22b9	88	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:227c	31	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2438	92	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23e4	25.2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2340	30.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:223f	17.7	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23a7	47	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2303	3	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:236a	16	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:232d	69	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2378	5	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2280	4.4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:241b	33	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22e7	20	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2243	85	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:226d	2.2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2429	85	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23d5	89.6	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2331	5.7	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22a0	90	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23ff	20	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:235b	26	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
7b93e6a1:150814fecb6:231e	48.6	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ca	0.7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2369	80	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2271	15	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:240c	2	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d8	3.8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2234	20	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:229b	74	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:225e	41.8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23c6	6.2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2322	75	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:234c	11	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/
7b93e6a1:150814fecb6:2410	12	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:230f	97	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22bb	94.7	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/
7b93e6a1:150814fecb6:2397	8.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:243a	30	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2262	80	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:22c9	2.4	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:228c	2	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2448	30	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2350	16.5	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:224f	51.9	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23b7	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2313	85	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237a	14.7	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:233d	4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2401	60	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ac	1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2388	14	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2290	100	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:242b	20	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22f7	78	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2253	0.9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:227d	15	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2439	2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23e5	27.4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2341	1.6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:23a8	100	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2304	6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22b0	99	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:236b	57.1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:232e	15	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22da	0.5	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2379	72.8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2281	0.4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:241c	15	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22e8	10	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2244	8	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:226e	2.2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23d6	6.2	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2332	30.2	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22a1	3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:235c	11.8	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/UnitedChurch/
7b93e6a1:150814fecb6:2420	25	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:231f	3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Confucianism/
7b93e6a1:150814fecb6:22cb	80	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:244a	28.3	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2272	75	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:240d	1	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d9	95	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2235	98	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:229c	11	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2360	58.5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:225f	35.3	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23c7	36.7	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
7b93e6a1:150814fecb6:2323	96	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:234d	10	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2411	30	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22bc	1.3	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/religion/Yezidi/
7b93e6a1:150814fecb6:2398	2.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:243b	5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2263	10	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23aa	30	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:228d	2	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2449	16.6	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23f5	1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2351	6.8	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:23b8	19	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2314	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c0	93.4	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237b	2	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:233e	67	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22ea	1	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2402	1	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ad	0.6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Sikh/
7b93e6a1:150814fecb6:2389	14.4	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2291	82.5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:242c	10	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22f8	18	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2254	2.1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:227e	4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23e6	96	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2342	50	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23a9	60	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2305	1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:22b1	2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:236c	21.2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2430	33.9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:232f	4.5	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22db	0.1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2282	1.3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:241d	25	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22e9	7	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2245	2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2370	3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:226f	0.6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:23d7	47.1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2333	29	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:239a	1.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22a2	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:235d	76.3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2421	100	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:244b	52	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2273	25	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:240e	25	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23ba	34	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:2236	1.3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:229d	100	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2361	23.2	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23c8	3.8	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/ChurchChrist/
7b93e6a1:150814fecb6:2324	98	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d0	63	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:238b	18	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:234e	86	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22fa	0.6	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2412	24	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22bd	87.8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:2399	2.1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:243c	60	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2264	2.6	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23ab	13.8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Anglican/
7b93e6a1:150814fecb6:228e	13.6	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23f6	1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2352	1.9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b9	5	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2315	90	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22c1	4.8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:237c	39	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2440	33	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:233f	39.3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22eb	45	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2403	15	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22ae	0.5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2292	1.1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:242d	94	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22f9	98.7	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2255	0.3	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2380	85	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:227f	87.8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23e7	2	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2343	40	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2306	2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22b2	4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:236d	1.9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:2431	18.6	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22dc	95	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:23a0	54	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2283	59.4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23ca	99.7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2246	1	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2371	100	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23d8	10	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2334	23.9	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Methodist/
7b93e6a1:150814fecb6:22e0	1.1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/CaoDai/
7b93e6a1:150814fecb6:239b	100	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22a3	98	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:235e	14.4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2422	1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22cd	0.5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Jains/
7b93e6a1:150814fecb6:244c	90	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2274	87	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:240f	60	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23bb	17	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:2237	64.7	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:229e	96	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2362	0.9	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:23c9	99	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2325	1	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:22d1	8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:238c	40	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:2450	3.4	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:234f	42.6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22fb	0.7	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2413	1	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22be	9.9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:243d	10	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2265	19.6	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23ac	24.8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2390	42	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/Baptist/
7b93e6a1:150814fecb6:228f	12.8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23f7	100	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2353	51.3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2316	10	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22c2	100	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237d	44.8	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2441	80	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ec	50	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2404	15	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23b0	10	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:22af	0.3	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2293	86.7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:242e	6	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23da	81.3	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2256	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:23e8	95	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2344	1	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/Mayan/
7b93e6a1:150814fecb6:22f0	5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:2307	1	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22b3	99	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:236e	0.7	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/Mormon/
7b93e6a1:150814fecb6:2432	0.7	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Catholic/
7b93e6a1:150814fecb6:22dd	9.3	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:23a1	95	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2284	7.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:241f	50	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23cb	92	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2247	94	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2372	95	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23d9	0.3	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2335	80.8	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22e1	0.5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:239c	8	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22a4	98	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:235f	1.3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
7b93e6a1:150814fecb6:2423	55	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22ce	75	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:244d	60	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2275	8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:23bc	10	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:2238	33.3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:229f	3	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2363	85	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2326	5	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22d2	14	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
7b93e6a1:150814fecb6:238d	12	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
7b93e6a1:150814fecb6:2451	2	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/NewApostolic/
7b93e6a1:150814fecb6:22fc	75.6	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2414	67	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:23c0	1.4	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
7b93e6a1:150814fecb6:22bf	0.8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:243e	16	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23ea	0.5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:2266	15.3	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23ad	12.6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2391	17	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/Episcopalian/
7b93e6a1:150814fecb6:23f8	38	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2354	23.9	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2317	30	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22c3	83	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:237e	3.4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2405	50	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:23b1	61	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/
7b93e6a1:150814fecb6:2294	1	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:242f	43.5	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23db	12.5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2257	76.2	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2382	90	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23e9	99	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:2345	76.5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22f1	90	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Hindu/
7b93e6a1:150814fecb6:2308	1	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22b4	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/religion/Bahai/
7b93e6a1:150814fecb6:236f	97	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2433	100	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:22de	6.7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:223a	85	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
7b93e6a1:150814fecb6:23a2	52.6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2285	0.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:23cc	2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2248	85	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:2373	1	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:2336	9	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
7b93e6a1:150814fecb6:22e2	0.1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
7b93e6a1:150814fecb6:239d	52	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Christian/
7b93e6a1:150814fecb6:22a5	1.5	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/religion/Jewish/
7b93e6a1:150814fecb6:2424	100	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:23d0	73.6	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
7b93e6a1:150814fecb6:22cf	25	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/religion/Hindu/
\.


--
-- TOC entry 5911 (class 0 OID 96552)
-- Dependencies: 1077
-- Data for Name: Border; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Border" ("URI", length, "Country1", "Country2") FROM stdin;
7b93e6a1:150814fecb6:-6f4	235	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-650	1224	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/RA/
7b93e6a1:150814fecb6:-6b7	423	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/LAO/
7b93e6a1:150814fecb6:-613	877	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/country/RT/
7b93e6a1:150814fecb6:-67a	331	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-63d	965	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/TN/
7b93e6a1:150814fecb6:-701	215	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-688	870	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/TAD/
7b93e6a1:150814fecb6:-5f7	858	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-6e5	91	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-641	1376	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-6a8	35	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/IR/
7b93e6a1:150814fecb6:-604	189	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/GQ/
7b93e6a1:150814fecb6:-66b	288	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/YE/
7b93e6a1:150814fecb6:-62e	201	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-5da	1569	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/MW/
7b93e6a1:150814fecb6:-679	181	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/JOR/
7b93e6a1:150814fecb6:-71c	151	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-5e8	830	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/ETH/
7b93e6a1:150814fecb6:-6d6	25	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-632	443	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/WSA/
7b93e6a1:150814fecb6:-65c	225	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PA/
7b93e6a1:150814fecb6:-61f	628	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-70d	623	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-5d9	105	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/SD/
7b93e6a1:150814fecb6:-660	203	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/GCA/
7b93e6a1:150814fecb6:-6c7	6.3	http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/country/MA/
7b93e6a1:150814fecb6:-623	306	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/BF/
7b93e6a1:150814fecb6:-68a	19	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-64d	1560	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-711	65	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/E/
7b93e6a1:150814fecb6:-698	605	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/IND/
7b93e6a1:150814fecb6:-6aa	1621	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-6f5	443	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/RO/
7b93e6a1:150814fecb6:-651	1643	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/CO/
7b93e6a1:150814fecb6:-6b8	1236	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NEP/
7b93e6a1:150814fecb6:-614	716	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/LB/
7b93e6a1:150814fecb6:-67b	820	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/country/RI/
7b93e6a1:150814fecb6:-63e	956	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-5ea	769	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAT/
7b93e6a1:150814fecb6:-702	646	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-689	238	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/ROK/
7b93e6a1:150814fecb6:-5f8	2184	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-6e6	453	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/LV/
7b93e6a1:150814fecb6:-642	982	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/LAR/
7b93e6a1:150814fecb6:-6a9	268	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-605	1094	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-66c	410	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/UAE/
7b93e6a1:150814fecb6:-62f	1175	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-5db	1231	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-71d	282	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/GR/
7b93e6a1:150814fecb6:-5e9	232	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-670	1458	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/YE/
7b93e6a1:150814fecb6:-6d7	241	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-633	813	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-69a	1690	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/NEP/
7b93e6a1:150814fecb6:-6ff	451	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-65b	2900	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-61e	126	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RT/
7b93e6a1:150814fecb6:-669	266	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/GCA/
7b93e6a1:150814fecb6:-70c	1.2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/GBZ/
7b93e6a1:150814fecb6:-6c6	939	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-622	773	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-64c	673	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/FGU/
7b93e6a1:150814fecb6:-710	488	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/I/
7b93e6a1:150814fecb6:-60f	217	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-697	381	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/country/MAL/
7b93e6a1:150814fecb6:-65d	15	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/country/SMAR/
7b93e6a1:150814fecb6:-70e	4.4	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/MC/
7b93e6a1:150814fecb6:-6ba	2185	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-661	275	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/country/RH/
7b93e6a1:150814fecb6:-6c8	586	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/country/SF/
7b93e6a1:150814fecb6:-624	266	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-68b	1051	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/KGZ/
7b93e6a1:150814fecb6:-64e	985	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/ROU/
7b93e6a1:150814fecb6:-5fa	1360	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-712	60	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-699	470	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/CN/
7b93e6a1:150814fecb6:-6ab	1161	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-6f6	329	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/HR/
7b93e6a1:150814fecb6:-652	900	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-6b9	3380	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/IND/
7b93e6a1:150814fecb6:-615	610	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RG/
7b93e6a1:150814fecb6:-67c	228	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/country/TL/
7b93e6a1:150814fecb6:-63f	1559	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/MA/
7b93e6a1:150814fecb6:-5eb	1626	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SP/
7b93e6a1:150814fecb6:-703	164	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CH/
7b93e6a1:150814fecb6:-5f9	639	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-680	11	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/GAZA/
7b93e6a1:150814fecb6:-6e7	217	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-643	1420	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/country/PE/
7b93e6a1:150814fecb6:-606	797	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCA/
7b93e6a1:150814fecb6:-66d	676	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-5dc	491	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-6a0	322	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/GE/
7b93e6a1:150814fecb6:-6ca	729	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/SF/
7b93e6a1:150814fecb6:-671	457	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/UAE/
7b93e6a1:150814fecb6:-6d8	932	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/HR/
7b93e6a1:150814fecb6:-634	1561	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/WSA/
7b93e6a1:150814fecb6:-5e0	435	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-69b	1463	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-65e	922	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/country/NIC/
7b93e6a1:150814fecb6:-70f	73	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/L/
7b93e6a1:150814fecb6:-6bb	414	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/TAD/
7b93e6a1:150814fecb6:-662	330	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/PA/
7b93e6a1:150814fecb6:-6c9	1619	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/S/
7b93e6a1:150814fecb6:-625	797	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-68c	2203	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-64f	1290	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PY/
7b93e6a1:150814fecb6:-5fb	350	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/GQ/
7b93e6a1:150814fecb6:-713	159	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-6ac	1458	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/IRQ/
7b93e6a1:150814fecb6:-690	803	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-6f7	103	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-653	750	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PY/
7b93e6a1:150814fecb6:-616	668	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/GH/
7b93e6a1:150814fecb6:-67d	1273	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-5ec	934	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-704	324	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-6b0	30	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/HONX/
7b93e6a1:150814fecb6:-6da	357	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-681	307	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/WEST/
7b93e6a1:150814fecb6:-6e8	959	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-644	743	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/YV/
7b93e6a1:150814fecb6:-5f0	58	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/SP/
7b93e6a1:150814fecb6:-607	1690	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-66e	375	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-5dd	419	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-6a1	611	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/IR/
7b93e6a1:150814fecb6:-6cb	167	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-672	222	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-6d9	249	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-635	2237	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-5e1	169	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/RWA/
7b93e6a1:150814fecb6:-69c	2912	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-65f	342	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/HCA/
7b93e6a1:150814fecb6:-6bc	523	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-663	309	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/NIC/
7b93e6a1:150814fecb6:-626	1930	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-68d	379	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/TM/
7b93e6a1:150814fecb6:-5fc	1903	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-714	352	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6c0	1206	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TAD/
7b93e6a1:150814fecb6:-6ea	605	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-6ad	992	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TM/
7b93e6a1:150814fecb6:-691	541	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/LAO/
7b93e6a1:150814fecb6:-6f8	102	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-654	861	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RCH/
7b93e6a1:150814fecb6:-617	532	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-67e	1150	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/LAR/
7b93e6a1:150814fecb6:-5ed	769	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-705	91	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-6b1	0.34	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MACX/
7b93e6a1:150814fecb6:-6db	450	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/NL/
7b93e6a1:150814fecb6:-682	79	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/RL/
7b93e6a1:150814fecb6:-6e9	891	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-645	600	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/SME/
7b93e6a1:150814fecb6:-5f1	337	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ETH/
7b93e6a1:150814fecb6:-608	523	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-66f	822	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-5de	837	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-6a2	9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-6cc	290	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-673	97	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/WEST/
7b93e6a1:150814fecb6:-636	419	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-5e2	765	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-69d	1800	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-6d0	240	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-6fa	151	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6bd	3645	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-664	8893	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/country/USA/
7b93e6a1:150814fecb6:-627	855	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-68e	6846	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-5fd	87	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-715	79	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-6c1	2430	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-6eb	502	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LT/
7b93e6a1:150814fecb6:-6f9	515	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-6ae	909	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/PK/
7b93e6a1:150814fecb6:-60a	475	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MW/
7b93e6a1:150814fecb6:-692	2130	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/VN/
7b93e6a1:150814fecb6:-655	3400	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/BR/
7b93e6a1:150814fecb6:-618	430	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/SD/
7b93e6a1:150814fecb6:-67f	255	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/IL/
7b93e6a1:150814fecb6:-5ee	912	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/ETH/
7b93e6a1:150814fecb6:-706	37	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/FL/
7b93e6a1:150814fecb6:-6b2	4673	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MNG/
7b93e6a1:150814fecb6:-6dc	148	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/L/
7b93e6a1:150814fecb6:-683	76	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-646	510	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/country/SME/
7b93e6a1:150814fecb6:-5f2	113	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ER/
7b93e6a1:150814fecb6:-609	756	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MOC/
7b93e6a1:150814fecb6:-6e0	1576	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-5df	909	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-6a3	284	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-6cd	267	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/LV/
7b93e6a1:150814fecb6:-674	375	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-637	821	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-5e3	338	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-69e	4053	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/IND/
7b93e6a1:150814fecb6:-6d1	608	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/RO/
7b93e6a1:150814fecb6:-6fb	68	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/DK/
7b93e6a1:150814fecb6:-6be	137	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-61a	813	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-665	3326	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/country/USA/
7b93e6a1:150814fecb6:-628	1360	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RB/
7b93e6a1:150814fecb6:-68f	1228	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/VN/
7b93e6a1:150814fecb6:-5fe	989	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SSD/
7b93e6a1:150814fecb6:-716	124	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6c2	936	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/IR/
7b93e6a1:150814fecb6:-6ec	141	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LV/
7b93e6a1:150814fecb6:-6af	499	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-60b	396	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/EAU/
7b93e6a1:150814fecb6:-693	1754	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-656	832	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RA/
7b93e6a1:150814fecb6:-619	225	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/ZW/
7b93e6a1:150814fecb6:-6f0	573	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-5ef	605	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-707	430	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/I/
7b93e6a1:150814fecb6:-6b3	858	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KGZ/
7b93e6a1:150814fecb6:-6dd	167	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-684	238	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/JOR/
7b93e6a1:150814fecb6:-647	160	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/country/RCH/
7b93e6a1:150814fecb6:-5f3	306	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/WAL/
7b93e6a1:150814fecb6:-6e1	206	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-6a4	252	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-600	1197	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-6ce	531	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-62a	2410	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-675	728	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-638	383	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-5e4	386	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/RG/
7b93e6a1:150814fecb6:-69f	193	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-6d2	318	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6fc	577	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/NL/
7b93e6a1:150814fecb6:-6bf	744	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TM/
7b93e6a1:150814fecb6:-61b	1840	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/RSA/
7b93e6a1:150814fecb6:-666	256	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/HCA/
7b93e6a1:150814fecb6:-629	233	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-5ff	175	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SUD/
7b93e6a1:150814fecb6:-717	62	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-6c3	76	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/CN/
7b93e6a1:150814fecb6:-6ed	41	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/FL/
7b93e6a1:150814fecb6:-60c	217	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/RWA/
7b93e6a1:150814fecb6:-694	235	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/MYA/
7b93e6a1:150814fecb6:-657	579	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/ROU/
7b93e6a1:150814fecb6:-6f1	90	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-708	366	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/H/
7b93e6a1:150814fecb6:-6b4	1416	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NOK/
7b93e6a1:150814fecb6:-610	451	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/EAT/
7b93e6a1:150814fecb6:-6de	620	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/F/
7b93e6a1:150814fecb6:-63a	459	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TN/
7b93e6a1:150814fecb6:-685	51	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/country/IL/
7b93e6a1:150814fecb6:-648	1880	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/country/RA/
7b93e6a1:150814fecb6:-5f4	563	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/RG/
7b93e6a1:150814fecb6:-6e2	428	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/UA/
7b93e6a1:150814fecb6:-6a5	723	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-601	1577	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-6cf	476	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/SRB/
7b93e6a1:150814fecb6:-62b	1110	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-676	605	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SYR/
7b93e6a1:150814fecb6:-639	1055	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TCH/
7b93e6a1:150814fecb6:-5e5	740	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/country/WAG/
7b93e6a1:150814fecb6:-6d3	148	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-6fd	138	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/L/
7b93e6a1:150814fecb6:-61c	548	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/GH/
7b93e6a1:150814fecb6:-667	962	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/MEX/
7b93e6a1:150814fecb6:-70a	362	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CZ/
7b93e6a1:150814fecb6:-718	206	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/TR/
7b93e6a1:150814fecb6:-6c4	360	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/country/IRL/
7b93e6a1:150814fecb6:-620	1000	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RMM/
7b93e6a1:150814fecb6:-6ee	740	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/I/
7b93e6a1:150814fecb6:-64a	597	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/SME/
7b93e6a1:150814fecb6:-60d	338	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/Z/
7b93e6a1:150814fecb6:-695	1782	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/RI/
7b93e6a1:150814fecb6:-658	5150	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/RCH/
7b93e6a1:150814fecb6:-6f2	39	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/RSM/
7b93e6a1:150814fecb6:-709	784	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-6b5	1533	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KAZ/
7b93e6a1:150814fecb6:-611	290	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/RWA/
7b93e6a1:150814fecb6:-6df	1313	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/SF/
7b93e6a1:150814fecb6:-63b	354	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/RN/
7b93e6a1:150814fecb6:-686	3441	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-649	2200	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/YV/
7b93e6a1:150814fecb6:-5f5	652	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/WAL/
7b93e6a1:150814fecb6:-6e3	444	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/SK/
7b93e6a1:150814fecb6:-6a6	787	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/AZ/
7b93e6a1:150814fecb6:-602	467	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/RCB/
7b93e6a1:150814fecb6:-62c	2511	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-677	814	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-71a	112	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/KOS/
7b93e6a1:150814fecb6:-5e6	933	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAU/
7b93e6a1:150814fecb6:-6d4	494	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/GR/
7b93e6a1:150814fecb6:-630	1497	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/WAN/
7b93e6a1:150814fecb6:-6fe	456	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-65a	2050	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/YV/
7b93e6a1:150814fecb6:-61d	584	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/CI/
7b93e6a1:150814fecb6:-668	250	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/MEX/
7b93e6a1:150814fecb6:-70b	1214	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/P/
7b93e6a1:150814fecb6:-719	228	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/MK/
7b93e6a1:150814fecb6:-6c5	450	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/RO/
7b93e6a1:150814fecb6:-621	644	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RT/
7b93e6a1:150814fecb6:-6ef	334	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/D/
7b93e6a1:150814fecb6:-64b	1119	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/GUY/
7b93e6a1:150814fecb6:-60e	459	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-696	506	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/THA/
7b93e6a1:150814fecb6:-659	590	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/EC/
7b93e6a1:150814fecb6:-6f3	3.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/V/
7b93e6a1:150814fecb6:-6b6	1281	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/VN/
7b93e6a1:150814fecb6:-612	233	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/ZRE/
7b93e6a1:150814fecb6:-63c	42	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/WSA/
7b93e6a1:150814fecb6:-700	658	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/PL/
7b93e6a1:150814fecb6:-687	1099	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/UZB/
7b93e6a1:150814fecb6:-5f6	330	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/SN/
7b93e6a1:150814fecb6:-6e4	227	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/R/
7b93e6a1:150814fecb6:-640	463	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RIM/
7b93e6a1:150814fecb6:-6a7	164	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/GE/
7b93e6a1:150814fecb6:-603	298	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/G/
7b93e6a1:150814fecb6:-66a	60	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/country/SA/
7b93e6a1:150814fecb6:-62d	1376	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/NAM/
7b93e6a1:150814fecb6:-678	242	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/KWT/
7b93e6a1:150814fecb6:-71b	172	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MNE/
7b93e6a1:150814fecb6:-5e7	682	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SP/
7b93e6a1:150814fecb6:-6d5	546	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SLO/
7b93e6a1:150814fecb6:-631	9.6	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/MEL/
\.


--
-- TOC entry 5912 (class 0 OID 96558)
-- Dependencies: 1078
-- Data for Name: City; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "City" ("URI", name, population, elevation, longitude, latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	Barreiro	79042	\N	-9.07	38.67
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	Viamão	224943	9	-51.02	-30.08
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	Montréal	1649519	30	-73.57	45.5
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	Makiïvka	356118	169	38.07	48.08
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakaka	\N	566	40.2	29.97
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton Coldfield	109015	\N	-1.82	52.56
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	Chattanooga	168828	206	-85.27	35.05
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	Malambo	119286	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	Ondo	146051	\N	4.83	7.08
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	Al Hasakah	254622	300	40.74	36.51
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	Sheffield	518090	\N	-1.47	53.38
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	Maturín	298581	67	-63.18	9.75
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	Chongqing	7457600	237	106.57	29.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	Oaxaca	255029	1555	-96.72	17.07
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	Hamilton	\N	\N	-64.78	32.29
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	Ploieşti	209945	160	26.03	44.93
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	Concordia	137046	21	-58.03	-31.4
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	Mbanza Congo	\N	408	14.25	-6.27
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	Bremen	542707	11	8.8	53.08
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	Chandigarh	510565	350	76.78	30.75
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	Cheongju	667726	39	127.48	36.63
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	Baia Mare	123738	228	23.58	47.67
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	Eger	56569	165	20.37	47.9
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	Acarigua	129237	195	-69.2	9.56
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	Illéla	142214	\N	5.24	14.46
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	Irkutsk	606137	444	104.3	52.31
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	Saint-Louis	177662	\N	-16.5	16.03
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	Guarenas	170204	374	-66.62	10.47
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	Suva	75225	\N	178.44	-18.14
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	Stans	7961	452	8.35	46.95
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	Clearwater	108261	9	-82.76	27.97
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Tshwane	2921488	1339	28.19	-25.75
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	Athens	115453	194	-83.38	33.95
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	Pingdingshan	410775	\N	113.3	33.73
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	Koronadal	149622	100	124.85	6.5
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	Enschede	158494	42	6.9	52.22
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	Žilina	81494	342	18.74	49.22
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	Khorramshahr	129418	5	48.17	30.44
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	Herat	335200	920	62.2	34.34
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	Helsingborg	132011	10	12.72	56.05
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	Roseau	14725	43	-61.39	15.3
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	Blantyre	661256	1039	35.01	-15.79
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	Pangkal Pinang	174758	13	106.12	-2.13
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	San Andres	\N	\N	-81.7	12.58
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	Chur	\N	593	9.53	46.85
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan De Oro	553966	10	124.65	8.48
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	Fort-de-France	100000	\N	-61	14.6
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	Majuro	27797	\N	171.27	7.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	Suqian	105021	\N	118.28	33.93
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	Bagé	97765	212	-54.11	-31.33
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	Nevinnomyssk	118360	320	41.93	44.63
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	Ribeirão Pires	113068	800	-46.42	-23.72
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	Maanshan	305421	\N	118.35	31.7
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	Watford	131982	71	-0.4	51.66
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	Helsinki	614535	\N	24.94	60.17
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	Ubon Ratchathani	149700	\N	104.86	15.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	Pomona	149058	259	-117.76	34.06
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	Frankfort	27269	155	-84.87	38.2
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	Novi Sad	335701	80	19.85	45.25
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	Szolnok	72953	68	20.18	47.17
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	Springfield	153060	21	-72.59	42.1
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	Takoradi	311206	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	Winterthur	105676	439	8.75	47.5
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	Jizzax	163200	378	67.84	40.12
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	Donets´k	955041	169	37.81	48
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	Tunceli	\N	940	39.55	39.1
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	Tarapoto	117184	356	-76.37	-6.48
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspijsk	100129	0	47.64	42.88
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Busan	3403135	\N	129.07	35.17
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bahru	233673	\N	102.25	6.13
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	Antananarivo	710236	1276	47.52	-18.93
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	Ipswich	144957	\N	1.16	52.06
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	Owando	\N	325	15.9	-0.48
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	Papeete	\N	0	-149.57	-17.53
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Daegu	2444085	\N	128.6	35.87
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Chita	331346	650	113.47	52.05
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	Petare	520982	900	-66.82	10.48
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	Râmnicu Vâlcea	98776	\N	24.38	45.1
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	Yanan	113277	975	109.48	36.58
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	Indianapolis	843393	218	-86.15	39.77
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	San Luis	152918	709	-66.33	-33.3
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarem	\N	\N	-8.68	39.23
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	Alexandria	\N	41	25.33	43.97
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	Béchar	165241	747	-2.22	31.62
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	Vinh	215577	\N	105.67	18.67
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnurd	199791	1070	57.33	37.48
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	Carapicuíba	369584	\N	-46.84	-23.52
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	Paradise	223167	627	-115.12	36.08
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	Ushuaia	56825	23	-68.3	-54.8
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	Durgapur	425836	65	87.32	23.55
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	Palu	336532	118	119.83	-0.9
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	Rockford	153044	222	-89.06	42.26
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	Santo Domingo	2749703	14	-69.95	18.47
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	St Helens	102885	\N	-2.75	53.45
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	Salvador	2674923	8	-38.48	-12.97
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	Chimoio	237497	664	33.48	-19.12
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	Swindon	182441	\N	-1.78	51.56
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	Christchurch	361941	0	172.62	-43.53
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	San Felipe	\N	250	-68.74	10.34
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Tegucigalpa	850227	990	-87.22	14.1
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siguatepeque	60155	\N	-87.83	14.6
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	Pematang Siantar	234698	\N	99.06	2.96
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	Guelmim	\N	\N	-10.07	28.98
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	Amol	219915	76	52.35	36.47
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	Fóggia	147036	76	15.55	41.46
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	Quito	1619146	2850	-78.52	-0.23
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	Hermansverk	\N	6	6.85	61.18
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	Sion	\N	500	7.37	46.23
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	Detroit	688701	183	-83.05	42.33
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	Nyala	227183	673	24.88	12.04
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	Presidente Prudente	203375	\N	-51.38	-22.13
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Peiraias	163688	0	23.63	37.95
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	Kawasaki	1388481	\N	139.7	35.52
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Jeju	399416	\N	126.52	33.51
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	Bremerhaven	108156	2	8.58	53.55
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Pádova	206192	12	11.87	45.42
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	Tripoli	\N	655	22.38	37.52
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	Constantine	448028	694	6.6	36.35
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	Moss	24517	14	10.7	59.46
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	Tianshui	244974	1171	105.73	34.58
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	Sanming	160691	\N	117.62	26.25
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	Eskisehir	659924	788	30.52	39.78
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	Vladimir	347930	150	40.42	56.13
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	Pembroke Pines	154019	2	-80.31	26.01
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	Bandar Seri Begawan	279924	9	114.94	4.89
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	Teófilo Otoni	110076	334	-41.5	-17.86
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Wulumuqi	3029372	\N	87.6	43.83
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	Lancaster	156633	719	-118.15	34.68
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	Singida	150379	\N	34.74	-4.81
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	Pekalongan	281434	\N	109.67	-6.88
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzeržinsk	240742	90	43.45	56.23
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	Comilla	339133	\N	91.2	23.45
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	Laghouat	134372	769	2.88	33.8
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	Haiphong	846191	\N	106.68	20.87
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sokhumi	62914	5	41.02	43
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	Szekszárd	\N	83	18.7	46.36
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	Casablanca	2946440	0	-7.58	33.53
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	Jiangyou	175753	\N	104.76	31.77
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	Kirklareli	\N	203	27.23	41.73
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	Adelaide	1262940	43	138.6	-34.93
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	Dezful	248380	150	48.4	32.38
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	Al Ubayyiḑ	229425	609	30.22	13.18
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	Cartago	150473	1435	-83.92	9.87
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	Parnaíba	137485	5	-41.78	-2.9
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castellón de la Plana	176298	30	-0.03	39.98
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Ta'izz	458933	1370	44.02	13.58
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	Turku	182154	\N	22.27	60.45
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	Verona	252520	59	10.98	45.43
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	Arlon	28759	\N	5.82	49.68
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	Pindamonhangaba	141708	540	-45.46	-22.92
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	Gera	96067	194	12.08	50.88
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	Osh	265200	963	72.8	40.53
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	Baku	2150800	-28	49.88	40.4
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	Yuyao	114056	\N	121.15	30.05
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	Coimbra	118016	34	-8.43	40.21
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	Comodoro Rivadavia	135813	61	-67.48	-45.86
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	Vitória da Conquista	274739	923	-40.84	-14.87
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	Bo	149957	15	-11.74	7.96
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	Odienne	\N	451	-7.56	9.51
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	Rawson	102099	4	-65.1	-43.3
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	Puerto Cortes	90161	\N	-87.95	15.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	Jincheng	136396	\N	112.83	35.52
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	Santa Rosa	93924	175	-64.28	-36.62
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	Bello	447185	1310	-75.57	6.33
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	Xichang	134419	1542	102.26	27.89
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	San Juan	381931	8	-66.06	18.41
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	Itagui	264775	1550	-75.62	6.17
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	Jersey City	247643	6	-74.07	40.71
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	Muzaffarabad	725000	737	73.28	34.21
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	Valparaíso	263499	10	-71.62	-33.05
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	Oruro	264683	3735	-67.12	-17.97
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	Hollywood	140769	3	-80.17	26.02
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	Yellowknife	19234	206	-114.4	62.44
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	Houston	2195914	13	-95.38	29.76
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	Albacete	171999	686	-1.86	39
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	Huaibei	366549	\N	116.47	33.58
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	Apeldoorn	157540	16	5.97	52.22
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kim Chaek	207299	\N	129.2	40.67
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	Maputo	1094628	47	32.58	-25.97
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	Najafabad	221814	\N	51.6	32.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	Akure	239124	\N	5.2	7.25
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Šachty	239987	100	40.23	47.7
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	Tambacounda	\N	24	-13.67	13.77
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	Rangpur	294265	34	89.25	25.56
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	San Antonio	1409019	198	-98.5	29.42
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	Sunderland	174286	\N	-1.38	54.91
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Klang	563173	\N	101.45	3.03
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	Charlotte Amalie	10354	\N	-64.9	18.3
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	Portland	609456	15.2	-122.68	45.52
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	Erie	101784	199	-80.09	42.13
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	Elbasan	78703	150	20.07	41.1
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	Iquique	164396	1	-70.15	-20.22
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	Hawassa	212665	1708	38.47	7.05
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	Bridgetown	88529	1	-59.61	13.11
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volzhsky	327356	20	44.74	48.81
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	Zhengzhou	4253913	\N	113.65	34.77
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	Impfondo	\N	326	18.07	1.64
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	Toledo	287206	187	-83.58	41.67
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	Batam	944285	\N	104.03	1.08
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	Atar	\N	270	-13.05	20.52
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	Rzeszów	180776	221	22	50.03
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	Severodvinsk	192353	7	39.87	64.57
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Mons	93941	\N	3.95	50.45
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	Governador Valadares	253300	170	-41.95	-18.85
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	Barra Mansa	176193	389	-44.17	-22.54
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	Sanandaj	373987	1538	46.99	35.31
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuznetsk	549182	200	87.12	53.75
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	Basildon	107123	\N	0.49	51.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	Ankang	142170	300	109.02	32.68
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	Zhumadian	123232	\N	114.03	32.98
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	Viborg	\N	51	9.4	56.45
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	São Gonçalo	998999	19	-43.05	-22.83
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	Itu	144269	583	-47.3	-23.26
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	Kingstown	12909	\N	-61.22	13.16
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	Leverkusen	158984	60	6.98	51.03
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	Oulu	194181	\N	25.47	65.02
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	Penonomé	85737	70	-80.36	8.52
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	Ferrara	132545	9	11.62	44.83
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	Basingstoke	107355	\N	-1.09	51.27
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	Santa Rosa	167834	50	-122.7	38.45
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	Győr	129527	108	17.63	47.68
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	Sarajevo	291422	518	18.42	43.87
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	Chichica	\N	\N	-81.67	8.36
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	Békéscsaba	62050	89	21.09	46.68
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	Hamamatsu	791710	\N	137.73	34.71
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	Mesa	439611	379	-111.83	33.42
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	Zibo	3129228	7	118.05	36.78
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	Saraburi	125300	\N	100.91	14.53
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	New York	8405837	10	-74.01	40.71
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	Harar	110457	1885	42.12	9.32
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	Rochester	210512	154	-77.61	43.17
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytišči	173160	150	37.77	55.92
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	Magaria	130707	\N	8.91	13
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	El Aaiun	183691	\N	-13.2	27.15
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	Middlesbrough	174700	\N	-1.24	54.58
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	Melitopol´	156885	\N	35.37	46.83
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Al Qamishl	232258	455	41.22	37.05
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	Kuantan	283041	21.95	103.33	3.82
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	Ėngel's	202419	20	46.12	51.5
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Daman	\N	5	72.85	20.42
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	Iqaluit	6699	\N	-68.52	63.75
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	Santiago	4659048	521	-70.67	-33.45
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	Wels	59239	317	14.02	48.15
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	Oklahoma City	610613	366	-97.53	35.48
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	Marabá	186270	170	-49.12	-5.35
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	Uyo	\N	65	7.92	5.03
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	Laval	401553	91	-73.75	45.58
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	Monrovia	1010970	\N	-10.8	6.31
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	Niigata	802778	\N	139.04	37.92
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	Haarlem	155361	2	4.63	52.38
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk-na-Amure	257891	30	137	50.57
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	Nevsehir	92068	\N	34.71	38.63
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	Matagalpa	150643	680	-85.92	12.92
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	Moradabad	429214	198	78.78	28.83
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	Cuttack	403418	36	85.79	20.52
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	Qitaihe	214957	209	131	45.77
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	Rancho Cucamonga	165350	368	-117.58	34.12
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	Sarapul	101381	80	53.8	56.47
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	Poole	154718	\N	-1.98	50.72
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	Hangzhou	6241971	\N	120.17	30.25
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	Seremban	246441	79	101.95	2.72
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	Daloa	266324	299	-6.45	6.88
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	Yizheng	109268	\N	119.19	32.41
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	Yonkers	195979	25	-73.86	40.94
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	Santa Marta	476385	6	-74.21	11.24
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	Vila Velha	412575	4	-40.29	-20.34
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	Nigde	118186	1229	34.68	37.97
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	Chernivtsi	255929	248	25.93	48.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	Stoke-on-Trent	270726	107	-2.18	53
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	Lund	112950	\N	13.2	55.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	Santos	419086	2	-46.32	-23.94
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmadabad	5577940	53	72.58	23.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	Fremont	214079	17	-121.99	37.55
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	Kirsehir	114244	\N	34.16	39.15
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	Yakeshi	377869	657	120.72	49.28
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	Gifu	409655	\N	136.77	35.42
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville-Davidson	634464	182	-86.78	36.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	Piracicaba	356743	547	-47.65	-22.73
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	Celaya	340387	1767	-100.81	20.52
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	Huaiyin	239675	\N	119.13	33.5
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	Braunschweig	242537	75	10.52	52.27
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	Taunggyi	380665	1399	97.03	20.78
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	Phoenix	1513367	331	-112.07	33.45
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	Amiens	133327	14	2.3	49.89
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	Springfield	159500	396	-93.29	37.2
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	Caxias do Sul	419406	817	-51.18	-29.17
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	Juticalpa	84641	410	-86.22	14.67
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	Baiyin	204970	1698	104.21	36.56
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	Parma	175895	55	10.33	44.8
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	Sari	296417	5	53.06	36.56
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	Cape Coast	169894	0	-1.25	5.1
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	Cochabamba	630587	2558	-66.17	-17.38
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	Barakaldo	100064	39	-2.99	43.3
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	Ayacucho	151019	2761	-74.22	-13.16
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Ciudad de Guatemala	992541	1500	-90.54	14.61
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	León	201100	86	-86.89	12.43
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	Davao	1363337	22.3	125.6	7.07
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	Patos de Minas	127724	815	-46.52	-18.58
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	Zalau	\N	275	23.06	47.19
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fès	920740	412	-5	34.03
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	Mbuji-Mayi	806475	549	23.6	-6.15
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	Goma	109094	1489	29.23	-1.68
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	Yozgat	78328	1300	34.81	39.82
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Chelyabinsk	1156201	220	61.38	55.15
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	Valencia	1599540	520	-68	10.18
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	Aba	500183	205	7.37	5.12
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	Tiraspol	148917	\N	29.63	46.85
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novyj Urengoj	104107	40	76.68	66.08
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	Galaţi	249432	55	28.04	45.42
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	Barcelona	1611013	12	2.18	41.38
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	Piacenza	100311	61	9.7	45.05
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	Inglewood	109673	40	-118.35	33.96
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	Debrecen	211320	121	21.64	47.53
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	Boca del Río	126507	16	-96.11	19.11
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	Barnaul	629681	180	83.75	53.33
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	Amsterdam	812895	2	4.9	52.37
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	Dire Dawa	262884	1276	41.87	9.6
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	Ukhta	99591	100	53.7	63.57
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	Fianarantsoa	109260	1200	47.09	-21.45
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	Tarnów	113188	190	20.99	50.01
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	Mannheim	290117	97	8.47	49.49
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	Callao	438326	0	-77.13	-12.03
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	Sinop	\N	\N	35.15	42.03
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	Saratov	839755	50	46.02	51.53
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	Jinxi	357052	\N	120.83	40.72
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	Road Town	\N	\N	-64.37	18.27
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Tamatave	137782	\N	49.42	-18.15
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	Hirakata	406123	\N	135.65	34.82
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Effon-Alaiye	158977	\N	4.82	7.68
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	Falun	51900	110	15.63	60.61
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	Whitehorse	23276	670	-135.05	60.72
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	Xianyang	352125	\N	108.72	34.35
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	Bismarck	61264	514	-100.78	46.81
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	Sendai	1020241	\N	140.87	38.27
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	Buzău	115494	95	26.82	45.17
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	Port Harcourt	703421	18	7	4.75
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Ščëlkovo	110411	150	38	55.92
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	San Cristóbal	328636	860	-72.23	7.77
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	L´viv	729842	296	24.02	49.85
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	Mixco	483705	1600	-90.61	14.63
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	Hualien	108077	\N	121.61	23.97
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	Bandar Lampung	881801	15	105.27	-5.45
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	Saint George's	37000	\N	-61.75	12.05
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	Chandler	236176	370	-111.83	33.3
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamedan	525794	1850	48.52	34.8
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	Xiaoshan	162930	\N	120.25	30.17
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	Arica	210936	2	-70.33	-18.48
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nachodka	159719	8	132.87	42.82
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	Parla	122045	648.5	-3.77	40.24
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago	591985	175	-70.7	19.47
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	Vorkuta	70548	180	64.03	67.5
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	Kitchener	219153	\N	-80.48	43.45
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Chasavjurt	131187	130	46.58	43.25
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	Stavanger	129191	\N	5.72	58.96
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	Tuxtla Gutiérrez	537102	522	-93.12	16.75
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	Namibe	\N	9	12.15	-15.2
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	Odense	168798	13	10.39	55.4
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	Yeosu	267921	\N	127.73	34.73
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	Ikare	103843	\N	5.75	7.52
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	Arapiraca	181481	264	-36.66	-9.75
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	Santa Tecla	126353	931	-89.24	13.67
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	Derby	255394	\N	-1.48	52.92
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	Manisa	309050	\N	27.42	38.63
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio nell'Emilia	\N	58	10.63	44.7
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bhisho	77682	435	27.44	-32.85
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	Jinan	4335989	23	116.98	36.67
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouerate	\N	380	-12.47	22.68
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	Vigo	295623	0	-8.71	42.23
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	Moers	104009	30	6.62	51.46
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	West Covina	106098	117	-117.92	34.06
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Kozhikode	456618	1	75.77	11.25
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	Bhopal	1798218	527	77.42	23.25
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	Changsha	3093980	63	112.97	28.2
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	Zhytomyr	271895	221	28.67	50.25
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	Chon Buri	233200	\N	100.98	13.36
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	Blackpool	147663	5	-3.05	53.81
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	Manzhouli	120023	\N	117.43	49.6
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	Okhotsk	4215	10	143.26	59.37
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	Beira	431583	14	34.85	-19.83
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	Asaba	\N	45	6.73	6.2
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	Tongling	228017	\N	117.77	30.93
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Genève	191557	375	6.15	46.2
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	Guangzhou	11071424	21	113.27	23.13
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	Tripoli	1500000	81	13.19	32.9
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	Getafe	168642	622	-3.73	40.3
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	Northampton	215173	\N	-0.89	52.23
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	Geelong	174086	\N	144.35	-38.15
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	Gorzów Wielkopolski	124470	19	15.25	52.73
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	Sidi Bel Abbës	210146	470	-0.64	35.19
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	Kaedi	49152	23	-13.51	16.15
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	Jinotega	123548	1000	-86	13.17
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	Baicheng	217987	154	122.83	45.62
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	Jos	510300	1217	8.88	9.93
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	Perúgia	162449	493	12.39	43.11
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	Cádiz	124014	11	-6.28	36.53
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Ulyanovsk	615306	140	48.37	54.32
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	Jacareí	208297	567	-45.97	-23.31
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	Montreuil	103068	52	2.44	48.86
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	Morogoro	315866	\N	37.67	-6.82
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	Dallas	1257676	131	-96.8	32.78
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	London	366151	251	-81.25	42.98
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	Sapporo	1904319	\N	141.35	43.07
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	Perpignan	118238	8	2.9	42.7
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	Santa Maria	248347	113	-53.8	-29.68
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	Baguio	301926	1540	120.6	16.42
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	Trenčín	55877	211	18.04	48.89
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	Amarillo	190701	1099	-101.85	35.2
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	Rach Gia	210784	\N	105.08	10.02
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	Ar Raqqah	343870	245	39.02	35.95
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	West Island	\N	\N	96.5	-12.1
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	Lleida	137283	155	0.63	41.62
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Al Amarah	208797	12	47	32
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	Mumbai	12442373	14	72.83	18.98
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	Palangkaraya	220962	5	113.92	-2.21
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	Paris	2249975	28	2.35	48.86
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	San Fernando	269365	\N	120.68	15.03
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	Wałbrzych	119216	350	16.28	50.77
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	Nîmes	144940	21	4.36	43.84
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	Västerås	140499	17	16.55	59.62
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Al Manāmah	143035	\N	50.58	26.22
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	Cap-Haïtien	155505	0	-72.2	19.76
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	Strasbourg	272222	132	7.75	48.58
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	San José	354409	1172	-84.08	9.93
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	Eisenstadt	13485	182	16.52	47.85
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	Plzeň	171346	308	13.38	49.75
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	Guarujá	290696	4	-46.26	-23.99
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	Buon Ma Thuot	211891	536	108.05	12.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	Santa Bárbara d'Oeste	178596	570	-47.41	-22.75
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	Zhoukou	146288	\N	114.63	33.63
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	Chingola	211755	1363	27.85	-12.53
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Železnodorožnyj	131257	145	38.02	55.75
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	Abeokuta	352735	66	3.35	7.16
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	Lubbock	229399	993	-101.88	33.57
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	Mazatlán	381583	\N	-106.42	23.22
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	Elista	103749	120	44.27	46.32
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	Jacksonville	842583	5	-81.66	30.34
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	Zhangzhou	181424	\N	117.65	24.52
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	Bonn	305765	60	7.1	50.73
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	Tétouan	320539	90	-5.37	35.57
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	Tangerang	1798601	\N	106.63	-6.18
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	Steinkjer	20480	\N	11.72	64.06
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	Bacolod	499497	10	122.95	10.67
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	Fuyang	179572	\N	115.82	32.9
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	Idlib	126284	500	36.63	35.93
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	Uribia	168286	10	-72	11.92
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	Acheng	197595	\N	126.97	45.54
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	Yinchuan	356652	1100	106.27	38.47
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	Kayes	127368	33	-11.43	14.45
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	Alba Iulia	\N	230	23.57	46.07
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	Vila Real	\N	450	-7.75	41.3
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipetsk	509098	160	39.6	52.62
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	Annaba	342703	3	7.77	36.9
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	Ivano-Frankivs´k	224660	244	24.71	48.92
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	Curitiba	1751907	934.6	-49.25	-25.42
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	Onitsha	350280	\N	6.78	6.17
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	Guliston	\N	271	68.78	40.48
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	Carson City	32022	1464	-119.75	39.16
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	Módena	179149	34	10.93	44.65
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	Kiel	235782	5	10.13	54.33
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	Hiroshima	1164654	\N	132.46	34.39
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	Essen	566201	116	7.01	51.45
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	Sorø	\N	\N	11.57	55.43
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	Coquimbo	148438	15	-71.34	-29.95
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	Sariwon	307764	\N	125.75	38.51
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	Hafnarfjordur	26099	\N	-21.95	64.07
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	Malmö	307758	12	13.04	55.61
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	Samsun	547778	\N	36.33	41.28
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	Manado	410481	5	124.84	1.49
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolëv	183402	160	37.82	55.92
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	Vancouver	603502	0	-123.1	49.25
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	Kyoto	1382113	\N	135.77	35.01
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	San Cristóbal de La Laguna	152025	543	-16.3	28.48
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	Xiamen	3531347	\N	118.09	24.48
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	Arnhem	150989	13	5.92	51.98
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	Kampala	1516210	1190	32.58	0.31
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	Escondido	143913	197	-117.08	33.12
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	's-Hertogenbosch	143822	6	5.3	51.68
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	Aurangabad	1175116	568	75.32	19.88
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	Phuket	75573	\N	98.4	7.89
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	Duisburg	488468	33	6.76	51.44
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	Fatick	\N	11	-16.41	14.33
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	Mariehamn	10851	\N	19.93	60.1
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	Mbeya	385279	1697	33.45	-8.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	Wuxi	3543719	\N	120.3	31.57
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	Garland	226876	168	-96.64	32.91
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	Shinyanga	161391	\N	33.42	-3.66
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	Taiyuan	3426519	800	112.56	37.87
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	Colombo	203203	950	-49.22	-25.29
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	Dourados	181005	430	-54.81	-22.22
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	Bissau	\N	0	-15.57	11.85
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	Olanchito	78776	\N	-86.58	15.48
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	New Haven	129868	18	-72.92	41.31
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	Boa Vista	277799	76	-60.67	2.82
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	Cabinda	\N	24	12.19	-5.56
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	Płock	124048	60	19.7	52.55
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	Geita	\N	\N	32.23	-2.87
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	Abakaliki	\N	\N	8.1	6.33
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Al Mawsil	1800000	223	43.13	36.34
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	Yanji	230892	179	129.5	42.9
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	Kirkwall	6330	\N	-2.96	58.98
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	Heilbronn	116059	157	9.22	49.15
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	Quzhou	112373	\N	118.87	28.95
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	Shishou	104571	\N	112.4	29.72
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	Łódź	722022	162	19.47	51.78
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	Liuzhou	609320	\N	109.38	24.32
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	Newport	128060	\N	-3	51.58
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	Rajahmundry	324881	14	81.78	16.98
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	Yichang	371601	58	111.28	30.72
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	Bauru	338184	537	-49.06	-22.31
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	Kotka	54714	\N	26.94	60.47
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	Newark	277138	4	-74.17	40.72
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	Al Mahallah al Kubra	442884	26	31.16	30.97
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	Huangshi	457601	\N	115.08	30.22
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	Anau	\N	\N	58.53	37.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	Diadema	386089	780	-46.61	-23.69
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	La Esperanza	\N	1700	-88.18	14.31
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	Cambridge	145818	6	0.12	52.21
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	Daan	138963	137	124.28	45.5
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	Sumaré	238470	583	-47.27	-22.82
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	Rosso	51026	6	-15.8	16.51
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	Bilecik	\N	\N	29.98	40.14
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	Lafia	108000	\N	8.52	8.49
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	Kashiwa	396251	\N	139.98	35.87
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Al Qahirah	8471859	23	31.23	30.05
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	Trier	105671	137	6.63	49.75
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	Eugene	156358	131	-123.09	44.05
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	San José de las Lajas	\N	135	-82.16	22.97
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	Birjand	178020	1491	59.2	32.87
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	Camaçari	231973	36	-38.32	-12.7
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termiz	136200	302	67.28	37.22
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	Sapele	109576	\N	5.67	5.9
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	Southend-on-Sea	175547	\N	0.71	51.54
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	Dresden	512354	112	13.73	51.03
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	Eskilstuna	98765	26	16.51	59.37
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	Boma	135284	61	13.05	-5.85
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rivne	250174	136	26.25	50.62
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Köln	1005775	53	6.95	50.94
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	Granada	123697	\N	-85.95	11.93
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	Ibirité	158590	872	-44.06	-20.02
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh	5968384	19	106.7	10.78
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Al Mansurah	437311	12	31.68	31.07
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Torino	872367	239	7.7	45.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	Yancheng	296831	\N	120.12	33.38
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	Biratnagar	204949	80	87.28	26.45
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Gauhati	584342	55.5	91.73	26.18
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	Medan	2097610	2.5	98.67	3.58
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	Kaunas	307498	48	23.89	54.9
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	Skien	53015	\N	9.55	59.21
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	Slough	155298	\N	-0.59	51.51
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	Nema	\N	280	-7.25	16.62
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	Gunsan	256755	\N	126.72	35.98
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	Yantai	2227733	\N	121.39	37.53
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	Augsburg	267767	494	10.9	48.37
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Majunga	106780	\N	46.32	-15.72
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	Belo Horizonte	2375151	760	-43.93	-19.92
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	Zarqa	395227	619	36.1	32.08
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	Alvorada	195673	17	-51.08	-29.99
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Mersin	876958	10	34.63	36.8
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Be'er Sheva	194300	260	34.8	31.26
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulaanbaatar	760077	1350	106.92	47.92
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	Buffalo	261325	183	-78.85	42.9
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	Buenavista	206081	\N	-99.17	19.61
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	Ibadan	1835300	239	3.92	7.4
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	Kumanovo	107745	340	21.72	42.14
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	Changuinola	98310	\N	-82.52	9.43
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	Fuzhou	2921762	\N	119.31	26.08
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	Anchorage	291826	31	-149.9	61.22
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	Kursk	428741	250	36.18	51.72
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	Rosario	906004	31	-60.67	-32.95
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	Belém	1381475	10	-48.5	-1.46
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	Hebi	212976	\N	114.2	35.9
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	Cotonou	665100	51	2.43	6.37
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	Ipoh	566211	21.95	101.07	4.6
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	Foshan	7194311	16	113.12	23.02
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	Beni Mellal	163286	619	-6.36	32.34
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	Táranto	200154	15	17.23	40.47
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	Randers	61121	56	10.04	56.46
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	Aarau	\N	381	8.05	47.4
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	Nashik	1486053	660	73.78	20
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	Luan	144248	\N	116.51	31.75
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	Ludhiana	1618879	262	75.85	30.91
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	Leiyang	130115	\N	112.93	26.41
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	Formosa	198146	57	-58.18	-26.18
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	Kunshan	102052	\N	120.99	31.32
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	Belgorod	373528	130	36.6	50.6
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	Puyang	175988	\N	115.07	35.77
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	Kedougou	\N	\N	-12.18	12.55
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	Chennai	4646732	6	80.27	13.08
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	Chaozhou	313469	0	116.63	23.67
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	Touba	\N	\N	-7.68	8.28
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Al Basrah	1400000	5	47.82	30.5
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Vientiane	698318	174	102.6	17.97
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	Gijón	276969	3	-5.7	43.53
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	Lincoln	100160	\N	-0.54	53.23
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	Durham	228404	123	-78.91	35.99
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Al Ladhiqiyah	424392	11	35.78	35.52
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	Catanzaro	89364	342	16.6	38.9
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	Nanning	3437171	\N	108.32	22.82
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	Lauro de Freitas	163449	30	-38.33	-12.89
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	Orlando	238834	25	-81.3	28.42
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	Brăila	180302	25	27.96	45.27
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	Incheon	2637652	\N	126.63	37.48
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	Southampton	253651	\N	-1.4	50.9
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	Örebro	138952	34	15.21	59.27
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	Uberaba	289376	823	-47.93	-19.75
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	Greensboro	268878	273	-79.82	36.08
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	Las Piñas	532330	\N	120.98	14.45
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	Granada	241003	738	-3.6	37.18
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	Białystok	294675	120	23.15	53.12
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	Aydin	195951	67	27.85	37.85
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	Leticia	\N	96	-69.93	-4.21
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	Xianning	136811	\N	114.22	29.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	Hayward	144342	32	-122.08	37.67
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	Raleigh	403971	96	-78.64	35.78
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	Itaituba	\N	15	-55.98	-4.28
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	Bariadi	\N	\N	33.98	-2.8
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	São Leopoldo	213238	26	-51.15	-29.76
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	Santa Fe	368369	25	-60.7	-31.63
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	Spring Valley	178395	721	-115.25	36.11
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	Bogotá	7776845	2640	-74.08	4.6
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	Bacău	144307	165	26.92	46.58
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk-Ural'skij	174689	160	61.93	56.4
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	Shenzhen	10358381	0	114.1	22.55
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	Erzurum	384399	1900	41.28	39.91
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	Bristol	535907	11	-2.58	51.45
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	Orizaba	120844	\N	-97.1	18.85
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kyïv	2814258	179	30.52	50.45
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	Loikaw	\N	884	97.21	19.67
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	Ajmer	402700	486	74.64	26.45
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	Kurgan	325565	75	65.35	55.47
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	Jalandhar	509510	228	75.58	31.33
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	Huancayo	323054	3259	-75.22	-12.07
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	Sandvika	116677	12	10.52	59.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	Torrance	145438	27	-118.34	33.83
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	Narvik	18754	\N	17.56	68.42
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	Luanshya	186372	1225	28.4	-13.13
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Sittwe	149348	\N	92.9	20.15
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	Antofagasta	285255	40	-70.4	-23.65
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	Zielona Góra	119182	71	15.5	51.93
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Balkanabat	108000	17	54.37	39.52
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	Dordrecht	118780	1	4.67	51.82
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	Zaoyang	162198	\N	112.75	32.13
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	Sássari	123782	225	8.57	40.73
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	Gillingham	104157	\N	0.55	51.38
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	Mongu	\N	\N	23.13	-15.28
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	Corum	231146	801	34.95	40.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sahiwal	208778	152.4	73.11	30.66
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	Santa Rita	103717	\N	-34.98	-7.11
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	Phnom Penh	703963	11.89	104.92	11.55
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	Magé	215236	5	-43.04	-22.65
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	Maidstone	107627	\N	0.53	51.27
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	Montero	109518	357	-63.26	-17.34
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	Sittard-Geleen	93726	47	5.87	51
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	Masjed Soleyman	103369	372	49.3	31.94
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	Zhezkazgan	84765	300	67.7	47.78
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	Elizabeth	124969	5	-74.19	40.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Ciudad Juárez	789522	1137	-106.49	31.74
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawabshah	189244	\N	68.25	26.15
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	Hsinchu	425071	\N	120.98	24.82
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	Salamanca	151658	802	-5.67	40.97
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	Canoas	323827	8	-51.18	-29.92
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	Jammu	\N	327	74.87	32.73
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	Haifa	265600	475	34.98	32.82
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Sakarya	590498	31	30.4	40.78
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	Pori	83457	\N	21.8	61.48
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	Yueyang	302800	\N	113.43	29.37
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica de Hidalgo	185242	50	-97.45	20.53
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	Nuevo Laredo	373725	\N	-99.51	27.49
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Burewala	152097	133	72.68	30.17
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	San Isidro	293212	15	-58.52	-34.47
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	Nanyang	243303	131	112.53	33
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	Bimbo	124176	338	18.4	4.26
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	Huddinge	101010	\N	17.98	59.23
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	Karyes	233	\N	24.24	40.26
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	Gumushane	\N	\N	39.48	40.46
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	Jequié	139426	215	-40.08	-13.86
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	Jaú	126943	541	-48.56	-22.3
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karaganda	484596	546	73.17	49.83
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	Kirovohrad	234919	124	32.27	48.5
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago	88997	101	-80.97	8.11
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashgar	174570	1270	75.98	39.47
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	Tangerang Selatan	1290322	\N	106.72	-6.29
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	Berkeley	112497	52	-122.27	37.87
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	Bréscia	189902	149	10.22	45.54
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	Pondicherry	\N	3	79.79	11.93
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	Mbandaka	169841	370	18.26	0.05
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	Linköping	148521	45	15.63	58.42
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	Manizales	394627	2160	-75.55	5.1
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	Baton Rouge	229452	17	-91.13	30.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	Shangrao	132455	\N	117.97	28.45
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	Korçë	51152	850	20.77	40.62
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	Chilpancingo	187251	1253	-99.5	17.55
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Victoria de las Tunas	167424	92	-76.95	20.96
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Tolyatti	719149	90	49.42	53.51
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	Norwalk	105549	28	-118.08	33.91
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	Stara Zagora	136363	196	25.65	42.43
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	Graz	269211	353	15.43	47.07
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karachi	9339023	8	67.01	24.86
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	Mary	123000	226	61.83	37.6
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	Labuan	\N	\N	115.21	5.32
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	Kuala Terengganu	250528	\N	103.15	5.33
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	Laiwu	246833	\N	117.67	36.18
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	Kiffa	60005	94	-11.4	16.62
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	Samarinda	727500	8	117.15	-0.5
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	Mariestad	24255	\N	13.82	58.7
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	Ewo	\N	534	14.82	-0.87
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	Guangshui	102770	\N	113.83	31.62
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	Choloma	151999	\N	-88	15.63
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghazi Khan	190542	\N	70.63	30.05
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	Yibin	241019	321	104.62	28.77
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	Worcester	100153	\N	-2.22	52.19
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	Valledupar	443210	180	-73.25	10.48
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	Lafayette	120719	11	-92.03	30.22
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Al Minya	235234	47	30.74	28.12
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	Kabwe	233197	1183	28.45	-14.43
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	Chifeng	350077	586	118.88	42.25
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	Amravati	421576	343	77.76	20.93
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	Akjoujt	\N	\N	-14.38	19.75
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Olmaliq	121100	530	69.6	40.85
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	Parnamirim	202456	\N	-35.25	-5.92
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	Saskatoon	222189	481.5	-106.68	52.13
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	Kisumu	388311	1131	34.75	-0.1
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahimyar Khan	233537	\N	70.3	28.42
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	Rabat	621480	20	-6.83	34.03
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	Drammen	65473	1	10.21	59.74
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	Zanjan	386851	1638	48.48	36.67
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	Colorado Springs	417341	1840	-104.76	38.87
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	Kramators´k	165469	\N	37.53	48.72
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	Gomel	482652	138	30.98	52.45
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	Njombe	130223	\N	34.77	-9.33
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	Charleroi	203753	\N	4.43	50.4
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	Jiujiang	291187	\N	115.99	29.74
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	Poços de Caldas	148722	1196	-46.56	-21.79
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	Mysore	606755	763	76.6	12.26
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	Hagen	187944	106	7.48	51.37
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cusco	348935	3399	-71.97	-13.52
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	Bangui	622771	369	18.58	4.37
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	Columbus	822553	275	-82.98	39.98
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	Kutaisi	185965	80	42.7	42.25
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	Daqing	657297	149	125	46.58
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	Contagem	601400	858	-44.05	-19.93
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	Salé	760186	\N	-6.8	34.03
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	Guiglo	\N	\N	-7.48	6.55
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	Calamba	360281	\N	121.17	14.22
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	Cartagena	215757	10	-0.98	37.6
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	Chania	108642	0	24.02	35.52
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr ad Dawwar	262748	6	30.13	31.13
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	Melilla	78476	\N	-2.95	35.3
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	Recklinghausen	115958	85	7.16	51.59
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	Mishan	132744	\N	131.87	45.53
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	Mukono	161996	1200	32.75	0.36
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	Kathmandu	1003285	1400	85.33	27.7
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Panaji	\N	\N	73.83	15.5
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	Huelva	147808	54	-6.95	37.25
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	Orléans	114185	90	1.91	47.9
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	Ourense	107314	132	-7.86	42.34
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	Simi Valley	124239	234	-118.74	34.27
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Sevilla	698042	7	-5.99	37.38
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	Bălţi	143300	59	27.92	47.77
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	Torrejón de Ardoz	123213	568	-3.5	40.46
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	Quezon City	2679450	17	121.03	14.63
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	Oberhausen	210216	35	6.85	51.55
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	Paulista	300466	13	-34.87	-7.94
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	San Miguel	218410	129	-88.18	13.48
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	Luohe	126438	\N	114.03	33.57
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	Cajamarca	162326	2750	-78.51	-7.16
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	Mwanza	706453	1140	32.9	-2.52
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	Hachioji	553914	\N	139.32	35.67
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	Bielefeld	326870	118	8.52	52.02
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	Tuzla	120441	245	18.68	44.54
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	Nagano	\N	\N	138.18	36.63
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	Puerto Ayacucho	\N	74	-67.63	5.66
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Génova	586180	20	8.93	44.41
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	Edirne	148474	42	26.56	41.68
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	Jijiga	147482	1609	42.8	9.35
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	Vallejo	115940	21	-122.24	38.11
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	Nagpur	2405665	310	79.09	21.15
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	Townsville	167636	\N	146.82	-19.26
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	Dos Hermanas	128433	42	-5.92	37.28
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	Philipsburg	1338	\N	-63.05	18.02
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavlovsk	207402	140	69.17	54.88
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	Avellaneda	329638	2	-58.37	-34.67
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	Comayagua	87474	594	-87.65	14.46
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Réggio di Calabria	180817	31	15.66	38.11
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	Wellington	185187	0	174.78	-41.29
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	Freetown	772873	26	-13.23	8.48
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	Lomas de Zamora	590677	20	-58.4	-34.77
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	Bobo Dioulasso	489967	445	-4.28	11.18
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	Pingtung	207862	20	120.49	22.68
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	Nador	126207	42	-2.93	35.17
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Lemesos	101000	\N	33.03	34.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balkhash	71203	440	75	46.85
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	Viseu	\N	\N	-7.92	40.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	Guadalajara	1495182	1566	-103.35	20.67
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	Cilegon	374559	\N	106.15	-6.12
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	Modesto	201187	27	-120.99	37.66
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	Manaus	1792881	53	-60.02	-3.1
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	Santo Domingo de los Colorados	305632	625	-79.17	-0.25
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	Trujillo	\N	\N	-70.5	9.42
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	Ghardaïa	142913	572	3.67	32.48
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	Oran	803329	0.9	-0.63	35.7
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	Chişinău	663400	85	28.92	47
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	Wakayama	\N	\N	135.17	34.23
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	Yokohama	3629257	\N	139.64	35.44
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	Echeng	190123	\N	114.89	30.4
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	Barcelona	410643	13	-64.72	10.12
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	Norfolk	242833	2.13	-76.2	36.92
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	Jiaonan	121397	4	120.05	35.87
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	Puno	120229	3830	-70.02	-15.84
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	Valladolid	311682	698	-4.72	41.63
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aijal	\N	1132	92.72	23.73
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayawardhanapura Kotte	116366	0	79.89	6.91
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	San Miguelito	315019	\N	-79.5	9.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	Oakland	390865	13	-122.27	37.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	Guilin	364130	153	110.28	25.27
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	Bursa	1734705	100	29.05	40.18
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca	256584	2432	-98.75	20.1
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	Salerno	132608	4	14.77	40.68
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Dayr az Zawr	239196	210	40.15	35.33
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	Salta	462668	1152	-65.42	-24.78
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	Yenagoa	\N	\N	6.33	5.03
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	Kızıltepe	147585	\N	40.59	37.19
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	Lusaka	1269848	1279	28.28	-15.42
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	Jiangmen	230587	10	113.07	22.57
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	Ústí nad Labem	98596	218	14.04	50.66
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	Peoria	115021	201	-89.61	40.72
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise City	206105	832	-116.2	43.62
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz de la Sierra	1453549	416	-63.18	-17.8
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gent	248813	\N	3.73	51.05
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	Pasig	617301	\N	121.08	14.58
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	Nakuru	307990	1850	36.07	-0.3
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	Nara	\N	\N	135.8	34.68
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Makhachkala	576194	10	47.5	42.97
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	Calgary	1096833	1045	-114.07	51.05
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	Djibouti	475322	\N	43.17	11.6
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	Nampula	471717	360	39.27	-15.12
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	Wuwei	133101	\N	102.64	37.93
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	Magnitogorsk	411880	310	59.03	53.38
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	Nottingham	289301	61	-1.13	52.95
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	Saint-Pierre	5618	0	-56.18	46.78
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	Lichinga	142331	1398	35.24	-13.31
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	Amman	1812941	784	35.93	31.95
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	Cherkasy	286163	110	32.06	49.44
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	Zaozhuang	2125481	\N	117.55	34.87
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	Thane	1841488	\N	72.96	19.17
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	Providence	178042	23	-71.42	41.82
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	Xinghua	161910	\N	119.83	32.93
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	Vitória	327801	4	-40.34	-20.32
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	Yopal	136484	350	-72.41	5.35
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	Huai'an	2635406	\N	119.13	33.5
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	Warri	363382	\N	5.75	5.52
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	Garden Grove	171010	27	-117.96	33.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	Zixing	110048	\N	113.23	25.97
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	Ancona	100497	16	13.52	43.62
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	Volta Redonda	257686	390	-44.1	-22.52
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	Probolinggo	217062	\N	113.22	-7.75
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	Bratsk	246319	450	101.6	56.12
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	Scottsdale	217355	383	-111.93	33.5
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	Petrolina	219215	376	-40.51	-9.39
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	Aachen	236420	173	6.08	50.78
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	Chelmsford	110507	\N	0.47	51.92
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	Botucatu	122678	804	-48.44	-22.89
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	Zhaodong	179976	\N	125.98	46.07
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	Barquisimeto	875788	566	-69.33	10.06
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	Chimalhuacán	612383	2240	-98.95	19.44
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubcovsk	147002	210	81.2	51.52
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	Salem	154732	47	-123.03	44.93
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	Metz	119962	162	6.18	49.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	Birkenhead	142968	\N	-3.01	53.39
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	Armenia	295143	1551	-75.68	4.53
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	Manchester	510746	38	-2.23	53.47
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	Vicenza	111500	39	11.55	45.55
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	Otsu	\N	\N	135.85	35.02
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	Beja	\N	\N	-7.88	38.03
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	Santiago de Cuba	446233	82	-75.81	20.02
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	Calapan	116976	\N	121.18	13.4
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	Sivas	312587	1285	37.02	39.75
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	Mandaluyong	305576	\N	121.03	14.58
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	Guacara	141762	438	-67.9	10.25
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	Matam	\N	\N	-13.33	15.62
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	Reus	106849	134	1.12	41.15
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	Gibraltar	\N	\N	-5.35	36.13
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	Tomsk	547989	110	84.97	56.5
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Nogales	212533	1199	-110.95	31.32
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	Tekirdag	150112	\N	27.52	40.98
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	Chitungwiza	356840	1448	31.05	-17.99
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	Mansa	\N	\N	28.88	-11.2
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	Sobral	166310	70	-40.24	-3.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	Durango	518709	1880	-104.67	24.02
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Al Fayyum	316772	23	30.84	29.31
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	At Taif	521273	1879	40.35	21.43
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hamah	467807	280	36.75	35.13
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	Wuhan	9785388	37	114.28	30.58
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	La Paz	764617	3640	-68.15	-16.5
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt am Main	667925	112	8.68	50.12
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	Santarém	215790	51	-54.72	-2.43
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	Saint-Étienne	170049	422	4.39	45.43
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	Trento	114198	190	11.12	46.07
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	Dover	37366	11	-75.53	39.16
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	Murmansk	302468	50	33.08	68.97
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	Anju	240117	\N	125.66	39.62
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panshan	362773	\N	122.05	41.12
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Duhouk	\N	565	43	36.87
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	Owo	157181	\N	5.58	7.18
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	Augusta	195844	41	-81.97	33.47
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	Qianjiang	205504	32	112.9	30.4
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	Tlemcen	173531	842	-1.32	34.88
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	Aparecida de Goiânia	455193	808	-49.23	-16.82
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Dimashq	1552161	680	36.29	33.51
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	Tulcea	\N	30	28.8	45.19
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	Innsbruck	124386	574	11.38	47.27
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	Puerto Carreno	\N	51	-67.47	6.18
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	Kermanshah	851405	1350	47.07	34.31
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	Marbella	135124	27	-4.88	36.52
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	Tlaquepaque	575942	1870	-103.35	20.67
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	Iloilo	418710	\N	122.67	11
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	Newcastle	540002	9	151.75	-32.92
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	Tbilisi	1073345	380	44.78	41.72
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	Dniprodzerzhyns´k	242646	120	34.62	48.52
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	Quibdó	115517	43	-76.66	5.69
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	Toruń	204847	65	18.62	53.03
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	Tainan	1881645	\N	120.18	22.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin	762719	80	5.62	6.33
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	Slatina	\N	155	24.36	44.43
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	Iseyin	170936	\N	3.6	7.97
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	Moquegua	\N	1410	-70.93	-17.2
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	Hasselt	75579	\N	5.34	50.93
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	Woking	105367	\N	-0.56	51.32
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	Lübeck	210305	13	10.69	53.87
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	Wakefield	99251	\N	-1.5	53.68
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Arkhangelsk	350985	5	40.53	64.53
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	Niamey	1026848	207	2.11	13.52
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	Hortolândia	192692	587	-47.22	-22.86
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	Fuling	173878	287	107.39	29.7
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	Hail	\N	992	41.68	27.52
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	Nouakchott	958399	7	-15.95	18.1
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	Jefferson City	43088	192	-92.17	38.58
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	Lisboa	559248	\N	-9.14	38.71
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	Djougou	181895	431	1.67	9.7
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	Oujda	400738	470	-1.91	34.69
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	Gangtok	\N	1600	88.62	27.33
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Al'metjevsk	146393	110	52.3	54.9
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	Bushehr	195222	8	50.83	28.97
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykurgan	135217	600	78.37	45.02
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	Gdynia	248574	0	18.53	54.5
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Neftejugansk	122855	40	72.7	61.08
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZiyyon	228200	40	34.8	31.95
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	Andria	100052	151	16.3	41.22
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	Cuautitlán Izcalli	484573	2280	-99.21	19.65
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahvaz	1112021	17	48.67	31.32
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	Tuluá	209086	960	-76.2	4.08
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	Wichita Falls	104554	289	-98.51	33.9
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Izhevsk	632913	140	53.18	56.83
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	Cayenne	57229	\N	-52.45	4.93333
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	Neuchatel	\N	430	6.93	47
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	Shreveport	200410	44	-93.75	32.51
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	Lille	227533	17	3.06	50.63
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	Hampton	137515	3	-76.36	37.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	San Jose	998537	25	-121.9	37.33
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	Linyi	2303648	74	118.35	35.05
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	Ziguinchor	162887	12	-16.28	12.56
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	Plano	259841	206	-96.7	33.02
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	Masaya	166588	242	-86.1	11.97
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	Diffa	\N	286	12.62	13.31
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	Córdoba	140896	860	-96.93	18.89
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	An Najaf	309010	60	44.33	32
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach am Main	113443	98	8.8	50.1
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	Schaffhausen	\N	403	8.63	47.7
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	Alagoinhas	124042	132	-38.42	-12.14
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	Birobidzhan	75413	80	132.93	48.8
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	Tanout	154238	\N	8.88	14.97
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	Kütahya	224898	930	29.98	39.42
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Puškino	102874	160	37.83	56.02
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	Port-Gentil	105712	\N	8.78	-0.72
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	Memphis	653450	103	-89.97	35.12
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magwe	\N	\N	94.95	20.15
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Halab	2181061	379	37.17	36.22
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	Meknès	469169	552	-5.55	33.9
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	Santa Fe	67973	2195	-105.96	35.67
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	Itajaí	173452	2	-48.67	-26.9
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	Hyderabad	6731790	505	78.48	17.37
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	Valenzuela	568928	38	120.98	14.7
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	Kielce	201363	260	20.62	50.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	Bragança Paulista	142255	817	-46.54	-22.95
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	Sunshine Coast	241643	\N	153.07	-26.65
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	Nova Iguaçu	787563	25	-43.45	-22.76
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	Surat	4467797	13	72.83	21.18
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	Oldenburg	157267	5	8.21	53.14
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Trivandrum	752490	10	76.95	8.49
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	Bhubaneswar	411542	45	85.84	20.27
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Al Sharjah	519000	\N	55.39	25.36
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	Chipata	\N	1140	32.63	-13.65
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	Laredo	236086	134	-99.49	27.52
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	Honghu	190772	\N	113.53	30.02
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	Bandundu	\N	321	17.37	-3.32
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	Mugla	\N	660	28.37	37.22
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	Bridgeport	144236	1	-73.2	41.19
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	Richmond	204247	45.7	-77.47	37.53
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	Cerro de Pasco	\N	4330	-76.26	-10.69
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	Guangyuan	182241	\N	105.82	32.43
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Marsa Matruh	\N	30	27.22	31.33
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	Imphal	\N	786	93.95	24.82
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	Zhuzhou	409924	\N	113.13	27.85
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	Zanzibar	223033	\N	39.32	-6.13
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	Neijiang	256012	\N	105.07	29.58
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	Bocas del Toro	\N	\N	-82.24	9.34
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Simla	\N	2205	77.17	31.1
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	Hakodate	279127	\N	140.73	41.77
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	Haicheng	205560	17	122.68	40.88
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	Anqing	250718	\N	117.03	30.5
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	Abilene	117463	524	-99.75	32.45
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	Warrington	165456	\N	-2.6	53.39
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	Fredericton	56224	20	-66.65	45.96
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	Gebze	290868	\N	29.43	40.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guigang	114025	45	109.61	23.1
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	Padang	833562	0	100.35	-0.95
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	Saarbrücken	175853	230	7	49.23
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	Ede	142363	269	4.44	7.74
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	Deyang	182488	\N	104.4	31.13
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	Nablus	126132	\N	35.3	32.2
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	Mykolaïv	497032	42	32	46.97
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	Szeged	168048	75	20.15	46.26
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	Guanajuato	72237	\N	-101.27	21.02
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	Sabadell	206949	190	2.11	41.55
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Tavoy	\N	\N	98.2	14.08
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	Hradec Králové	95594	235	15.83	50.21
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	Can Tho	783122	0	105.78	10.03
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	Omaha	416969	332	-96	41.25
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	Cágliari	149883	4	9.05	39.25
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	Asosa	\N	1570	34.52	10.07
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	El Progreso	147369	\N	-87.8	15.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	Americana	209654	569	-47.33	-22.74
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	Dosquebradas	196926	1460	-75.68	4.83
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	Longkou	148362	\N	120.33	37.63
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	Dhaka	7423137	4	90.37	23.7
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	Minna	189191	\N	6.56	9.61
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	San Fernando	114813	\N	120.32	16.62
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla	653410	2250	-99.19	19.54
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orechovo-Zujevo	120670	120	38.97	55.8
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	Hódmezővásárhely	\N	\N	20.32	46.43
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	Zinder	322935	479	8.99	13.81
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	Edinburgh	459366	47	-3.19	55.95
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	Ciudad Guayana	692215	13	-62.65	8.37
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	Bayamo	164008	55	-76.64	20.38
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	Choluteca	120791	\N	-87.18	13.3
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	Asyut	386086	70	31.17	27.18
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	Cascavel	270049	781	-53.46	-24.96
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	Saint-Paul	103916	0	55.27	-21.01
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	Piatra-Neamţ	85055	310	26.37	46.93
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	Ponce	132502	16	-66.61	18
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	Monywa	371963	\N	95.14	22.11
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	Tengxian	315083	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	Tébessa	194461	858	8.12	35.4
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Adama	271562	1712	39.27	8.54
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	Topeka	127474	288	-95.69	39.06
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	Tula	493813	170	37.62	54.2
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	Gilgit	216760	1500	74.29	35.92
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	Badalona	219241	12	2.25	41.45
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Hatay	216960	67	36.15	36.2
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoutzou	\N	\N	45.13	-12.46
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	Alcalá de Henares	200505	588	-3.37	40.47
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	Xinyang	192509	\N	114.05	32.13
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	Tours	134633	44	0.69	47.39
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	Surabaya	2765487	5	112.74	-7.27
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	Kochi	\N	\N	133.53	33.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	Dutse	\N	\N	9.34	11.7
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	Takamatsu	424490	\N	134.05	34.35
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai	395360	452	81.38	21.21
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	Hilo	43263	18	-155.09	19.71
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	Fresno	509924	94	-119.77	36.75
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	Kolda	\N	0	-14.95	12.88
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	La Paz	215178	27	-110.31	24.14
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	Batumi	121806	3	41.64	41.65
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	Smolensk	330970	242	32.05	54.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	Xingtai	302789	\N	114.48	37.07
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	Suzano	253240	749.43	-46.31	-23.54
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	Okayama	691955	\N	133.92	34.65
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	Selibaby	\N	\N	-12.18	15.16
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	Brasília	2482210	1172	-47.88	-15.79
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	Aomori	\N	2	140.75	40.82
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	Guarapuava	152993	1120	-51.46	-25.39
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	Tema	139784	1	0	5.67
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	Palikir	6444	\N	158.15	6.9
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	Songea	203309	\N	35.65	-10.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	Corona	152374	207	-117.57	33.87
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	Soyapango	268228	648	-89.15	13.73
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	Wete	\N	\N	39.73	-5.06
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	Sumbe	\N	0	13.84	-11.21
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	Savar	296851	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	Soledad	599012	5	-74.75	10.92
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	Libreville	538195	0	9.45	0.39
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	Huntington Beach	191037	12	-118	33.69
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	Marikina	424610	14.7	121.1	14.65
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	Vijayawada	1034358	23	80.64	16.51
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	Addis Ababa	3040740	2355	38.74	9.03
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	Nova Friburgo	159372	846	-42.53	-22.27
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	Putrajaya	\N	\N	101.7	2.94
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	Banjul	357238	0	-16.58	13.45
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	Prešov	91782	250	21.24	49
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	Maribor	111374	275	15.65	46.55
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	Ashdod	206400	\N	34.65	31.8
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	Bouafle	\N	\N	-5.75	6.98
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Daejeon	1495453	\N	127.39	36.35
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	Richmond	190473	10	-123.13	49.17
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	Riyadh	4087152	612	46.72	24.63
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	Weihai	128888	\N	122.12	37.52
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	Rotherham	109691	\N	-1.36	53.43
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	Zwickau	93081	267	12.5	50.72
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Gwangju	1469293	\N	126.92	35.17
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	Chittagong	2971102	\N	91.8	22.37
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	Al Rayyan	272860	\N	51.37	25.32
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Al Gazira	211362	\N	33.52	14.4
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	Chernihiv	296723	136	31.3	51.5
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Južno-Sachalinsk	181728	40	142.73	46.97
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	Tumbes	94751	6	-80.45	-3.57
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrakhan	527345	-28	48.05	46.35
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	Derbent	119200	0	48.3	42.05
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	Jinzhou	569518	24	121.13	41.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	Preston	97886	\N	-2.7	53.76
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	Magangué	123618	49	-74.77	9.25
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odesa	1008162	40	30.73	46.47
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	Rio Grande	189429	6	-52.1	-32.03
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	Valdivia	127750	5	-73.25	-39.81
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	Cheyenne	59488	1848	-104.8	41.15
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	Arraiján	220779	\N	-79.65	8.95
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	Kaluga	331351	190	36.28	54.55
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	Caxito	\N	84	13.66	-8.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	Laiyang	137080	\N	120.71	36.98
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	Heyuan	120101	39	114.7	23.75
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	Brownsville	175007	10	-97.48	25.93
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	Forlí	116434	34	12.05	44.23
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	Dunhua	235100	505	128.23	43.37
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	Arlington	365366	184	-97.12	32.71
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	Albany	97856	60	-73.76	42.65
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	Tapachula	202672	177	-92.27	14.9
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	Ciudad Madero	197216	\N	-97.83	22.25
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	Lucapa	\N	880	20.75	-8.42
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	Mérida	230120	\N	-71.19	8.48
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	Kyzylorda	213165	128	65.52	44.85
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	Flying Fish Cove	\N	\N	105.43	-10.25
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	Pasay	403064	\N	121	14.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kamoke	152288	\N	74.22	31.97
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Batajsk	111843	5	39.73	47.17
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Kerbela	296705	\N	44.03	32.62
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossiysk	251013	20	37.75	44.72
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	Foz do Iguaçu	253962	164	-54.58	-25.55
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	Chuncheon	273737	\N	127.73	37.87
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	Port St. Lucie	164719	5	-80.35	27.28
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	Malayer	159848	\N	48.82	34.3
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	Skopje	514967	240	21.43	42
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	Resistencia	274001	20	-58.99	-27.45
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	Passo Fundo	180120	687	-52.4	-28.25
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Hebron	163146	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	Águas Lindas de Goiás	159138	1100	-48.28	-15.75
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	Resita	\N	208	21.89	45.3
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	Pécs	156049	153	18.23	46.07
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Ačinsk	109155	220	90.5	56.25
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	Birmingham	212193	196	-86.81	33.65
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	Volgodonsk	170841	50	42.15	47.52
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	Ciudad Victoria	305155	316	-99.13	23.73
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	Shillong	\N	1525	91.88	25.57
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	Jena	105739	143	11.59	50.93
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	Grudziadz	98726	50	18.78	53.49
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	Panamá City	880691	2	-79.52	8.98
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	Huddersfield	162949	\N	-1.78	53.65
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	Poznań	552393	60	16.92	52.4
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	Potsdam	156021	32	13.07	52.4
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	Kitakyushu	974691	\N	130.88	33.88
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coyhaique	\N	302	-72.07	-45.57
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	N'Zérékoré	194178	\N	-8.82	7.75
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	Kashan	275325	982	51.48	33.99
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	Dortmund	571143	86	7.47	51.52
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	Faisalabad	2008861	184	73.08	31.43
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	Kostroma	271445	110	40.93	57.77
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	Camaragibe	144466	55	-34.98	-8.02
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	Kaili	113958	\N	107.97	26.58
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan	\N	428.5	-67.36	9.91
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	Funafuti	4492	\N	179.2	-8.52
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	Aboisso	\N	\N	-3.2	5.47
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	Edmonton	812201	645	-113.5	53.53
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	Santa Coloma de Gramenet	119391	56	2.22	41.47
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	Toyama	416223	\N	137.22	36.7
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	Mandalay	1225133	22	96.08	21.98
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	Settat	116570	\N	-7.62	33
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	Birmingham	1085810	140	-1.89	52.48
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	The Valley	\N	9	-63.05	18.22
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nizhny Tagil	358378	200	59.97	57.92
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	Saitama	1223954	\N	139.65	35.87
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	Lappeenranta	72617	\N	28.18	61.07
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	Tsu	\N	\N	136.5	34.72
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	Leeds	474632	9	-1.55	53.8
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	Babol	219467	-2	52.68	36.55
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	Chorzów	111314	\N	18.95	50.3
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	Bilbao	351356	19	-2.92	43.26
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	Wenzhou	3039439	\N	120.7	28
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	Artvin	\N	345	41.82	41.18
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	Darmstadt	143499	144	8.65	49.87
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Pamplona	195943	446	-1.65	42.82
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	San Carlos	\N	152	-68.58	9.65
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	Ilhéus	155281	52	-39.05	-14.79
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	Fukuoka	1422831	\N	130.4	33.58
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	Olsztyn	175482	90	20.5	53.78
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	Taipei	2673226	10	121.63	25.03
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerpen	507911	\N	4.4	51.22
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	Varna	330486	80	27.92	43.22
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athina	664046	70	23.72	37.97
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	San-Pedro	174287	1	-6.64	4.75
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	Salzgitter	98895	90	10.33	52.15
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Oshogbo	250951	\N	4.57	7.77
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	Stuttgart	585890	247	9.18	48.78
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrat	251792	\N	74.08	32.57
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	Santo André	676407	700	-46.53	-23.66
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	Yiyang	185818	\N	112.33	28.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	Weifang	2044028	32	119.1	36.72
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol	412116	550	41.98	45.05
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	Novara	101952	162	8.62	45.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	Jiutai	180130	\N	125.84	44.15
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jazan	\N	40	42.56	16.89
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	Newport News	180918	4.5	-76.48	37.07
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	Zapopan	1142483	1571	-103.39	20.72
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	Khorramabad	348216	1147	48.36	33.49
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	Depok	1738570	50	106.83	-6.39
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	Heerlen	88139	113	5.98	50.88
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	Madison	233362	266	-89.4	43.07
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	Las Vegas	603488	610	-115.14	36.17
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	Ciego de Ávila	124103	55	-78.76	21.85
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	Bareilly	590661	268	79.42	28.36
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	Sarnen	\N	473	8.23	46.88
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	České Budějovice	95589	381	14.47	48.97
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	Hamilton	519949	75	-79.87	43.25
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	Galway	75414	25	-9.05	53.27
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ar Ramadi	192556	\N	43.31	33.42
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	Kabul	2435400	1791	69.17	34.53
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	Windsor	210891	190	-83	42.28
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	Concepción	212003	12	-73.05	-36.83
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	Santiago del Estero	230424	187	-64.27	-27.78
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	Ciudad López Mateos	489160	2280	-99.25	19.56
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	Cleveland	396697	199	-81.67	41.48
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	Canakkale	111137	\N	26.41	40.16
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	Baltimore	622104	10	-76.62	39.28
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	Zhongshan	3121275	11	113.35	22.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	Zhangjiakou	529136	716	114.88	40.77
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	Maracay	459007	436	-67.6	10.25
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	Sinuiju	359341	\N	124.4	40.1
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	Tembisa	463109	1549	28.21	-26.01
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	Bishkek	901700	800	74.61	42.87
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	Long Beach	462257	9	-118.2	33.77
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	P'atigorsk	142511	600	43.07	44.05
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	Beihai	112673	21	109.1	21.47
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	Taitung	107720	\N	121.14	22.76
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	Gandhinagar	\N	81	72.68	23.22
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	Colima	137383	305	-103.72	19.24
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	Brest	309764	280.4	23.67	52.13
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	Mostaganem	162885	104	0.08	35.93
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	Kristianstad	80507	\N	14.16	56.03
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	Amagasaki	457216	\N	135.4	34.73
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	Orsk	239800	200	58.57	51.2
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhnii Novgorod	1259921	78	44.01	56.33
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	Malabo	92900	0	8.77	3.75
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	São José dos Pinhais	236895	906	-49.21	-25.53
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	St. John's	106172	0	-52.71	47.57
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	Arendal	12174	1	8.78	58.48
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	Morioka	\N	\N	141.15	39.68
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	Bytom	175377	249	18.9	50.38
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	Honolulu	337256	6	-157.82	21.3
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra al Khimah	1016722	16	31.24	30.13
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	Rio Verde	163540	748	-50.92	-17.79
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	Nanchong	180273	340	106.08	30.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	Shantou	5329024	51	116.67	23.35
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	Yining	177193	\N	81.32	43.92
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	Arlington	207628	\N	-77.11	38.88
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	Wrocław	631377	105	17.03	51.1
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	Longjing	139417	266	129.43	42.77
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	Neuss	150568	40	6.7	51.2
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyšin	119565	50	45.4	50.08
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	Çorlu	235354	10	27.8	41.15
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	Khon Kaen	223300	\N	102.83	16.43
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	Fort Collins	144073	1525	-105.08	40.56
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	København	549050	24	12.57	55.68
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	Lausanne	132788	495	6.63	46.52
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	Sfax	299235	\N	10.77	34.73
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	Pierre	13646	443	-100.34	44.37
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	Ontario	163924	306	-117.63	34.05
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	Vinnytsia	370814	\N	28.48	49.23
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	Jeonju	643079	\N	127.15	35.82
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	Benghazi	800000	2	20.07	32.12
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	Teresópolis	146207	871	-42.97	-22.41
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	Vladikavkaz	308285	680	44.65	43.02
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	Maracaibo	1372724	6	-71.63	10.65
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	Almaty	1507737	500	76.9	43.28
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	Anaheim	336511	48	-117.89	33.84
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	Miyazaki	402855	\N	131.42	31.92
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	Itabuna	199643	54	-39.28	-14.79
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Santa Ana de Coro	158763	17	-69.67	11.42
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	Fushun	1350000	\N	123.9	41.87
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	Bergen	267950	0	5.33	60.39
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	Luziânia	162807	930	-47.95	-16.25
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	La Serena	147815	28	-71.25	-29.9
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	Cirilo Guainora	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	Kirikkale	192473	\N	33.51	39.84
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	Barueri	240749	719	-46.88	-23.51
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	Yamoussoukro	207412	\N	-5.28	6.82
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	Malang	820243	476	112.62	-7.98
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	San Justo	1256724	26	-58.55	-34.68
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	Sylhet	479837	35	91.87	24.9
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	Gómez Palacio	257352	\N	-103.5	25.58
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	Quetta	565137	1680	67	30.18
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	Changhua	236636	20	120.53	24.07
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	Ibagué	548209	1285	-75.23	4.43
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	Denver	649495	1564	-104.88	39.76
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	Sofia	1270284	500	23.33	42.7
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	Blumenau	294773	21	-49.07	-26.92
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Yangon	5209541	15	96.18	16.85
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	Liberec	104973	374	15.07	50.72
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan	792211	2300	-99.24	19.48
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	Chincha Alta	153598	97	-76.13	-13.45
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	Batman	348963	540	41.13	37.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	Linqing	123958	\N	115.71	36.85
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	Horlivka	258879	215	38.05	48.3
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	Jalingo	\N	\N	11.37	8.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	Hunjiang	482043	471	126.42	41.93
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	Kars	78100	1768	43.1	40.62
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	Banda Aceh	223446	0	95.32	5.55
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Oporto	266790	\N	-8.62	41.16
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	Quelimane	193343	1	36.89	-17.88
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose Del Monte	439090	100	121.05	14.81
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	Uppsala	202625	15	17.64	59.86
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	Jastrzebie Zdroj	92465	259	18.58	49.95
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	Fortaleza	2452185	21	-38.54	-3.72
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Qo‘qon	233500	409	70.94	40.53
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	Prato	185456	65	11.1	43.88
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	Tokat	132437	623	36.55	40.31
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	Abomey-Calavi	307745	54	2.36	6.45
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	Manzanillo	105967	25	-77.11	20.34
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	Ikire	111435	\N	4.18	7.36
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	Dezhou	195485	\N	116.27	37.43
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	Delhi	11034555	0	77.23	28.61
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	Volgograd	1018790	80	44.52	48.7
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	Winston-Salem	229634	296	-80.26	36.1
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Şanlıurfa	526247	477	38.79	37.16
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	Angarsk	233567	430	103.9	52.55
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	Hamilton	132060	40	175.28	-37.78
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	Jamshedpur	478950	135	86.3	22.8
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehra Dun	\N	435	78.03	30.32
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	Ganja	322600	408	46.36	40.68
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	Podgorica	150977	48	19.26	42.44
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	Maoming	178683	29	110.92	21.65
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	Breda	180263	3	4.78	51.58
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	Maracanaú	207623	\N	-38.63	-3.87
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	Mito	\N	\N	140.47	36.37
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	Angren	175400	961	70.14	41.02
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	Marília	207021	660	-49.95	-22.21
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	Adiyaman	217463	7	38.28	37.76
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	Aleg	\N	\N	-13.92	17.05
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	L'Aquila	\N	714	13.4	42.35
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	Khulna	663342	9	89.55	22.82
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	Mulhouse	110351	232	7.34	47.75
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Bishoftu	123230	1920	38.98	8.75
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	Al Hillah	268834	34	44.43	32.48
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	Semarang	1555984	4	110.42	-6.97
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	Fayetteville	200574	80	-78.88	35.05
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	Argenteuil	104282	21	2.25	48.95
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	Itapetininga	131050	656	-48.05	-23.59
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingaora	173868	984	72.22	34.47
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	Sana'a	1527861	2250	44.21	15.35
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	Krasnogorsk	116896	150	37.32	55.83
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	Gombe	163604	\N	11.17	10.28
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	Mianyang	262947	473	104.68	31.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	St. Petersburg	245193	13	-82.64	27.77
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	Penza	519900	150	45	53.2
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	Tampere	220678	\N	23.77	61.5
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	Birni-N'Konni	149414	\N	5.25	13.79
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	Durrës	113249	0	19.45	41.32
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	Billings	104190	952	-108.54	45.79
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	Huizhou	2344634	15	114.4	23.07
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	Imperatriz	234547	95	-47.48	-5.53
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	North Las Vegas	216701	672	-115.15	36.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	Orange	136426	58	-117.83	33.8
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	La Habana	2141993	59	-82.38	23.13
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	Rīga	696618	7	24.11	56.95
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	Salamanca	160169	1721	-101.2	20.57
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	Dunedin	123516	\N	170.5	-45.87
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	Bolu	131264	725	31.61	40.73
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	Malatya	426381	954	38.3	38.35
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	Changshu	181805	\N	120.82	31.67
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	Karaman	141630	\N	33.22	37.18
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	Peterborough	161707	\N	-0.25	52.58
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	Los Angeles	3884307	93	-118.25	34.05
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	Hong Kong	7055071	\N	114.2	22.3
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	Oskemen	314014	283	82.62	49.98
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	Artemisa	\N	50	-82.76	22.81
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	Atlanta	420279	225	-84.39	33.76
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	Taoyuan	413488	\N	121.31	24.99
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	Bogor	950334	265	106.8	-6.6
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	Duyun	132971	\N	107.52	26.26
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	Zaragoza	678115	243	-0.88	41.65
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	Balikpapan	557579	0	116.83	-1.26
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	San Luis Potosí	722772	1850	-100.84	22.15
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	Gwalior	1054420	196	78.18	26.22
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Jelec	108404	140	38.47	52.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	Araraquara	202730	664	-48.18	-21.79
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	Yuscaran	\N	1007	-86.82	13.93
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	Shiraz	1460665	1500	52.53	29.62
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	Fort Worth	792727	199	-97.33	32.76
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	Wigan	103608	\N	-2.63	53.54
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	Asunción	542023	43	-57.63	-25.27
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	Nukus	295200	76	59.6	42.47
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	Sokoto	329639	\N	5.23	13.07
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	Flint	102400	229	-83.69	43.01
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	Mazar-i-Sharif	288700	357	67.12	36.7
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	Mohammedia	188619	10	-7.38	33.68
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	Zlín	77137	230	17.67	49.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	Chula Vista	243916	20	-117.05	32.63
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	Leeuwarden	108145	3	5.78	53.2
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	Portsmouth	238137	\N	-1.08	50.82
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	Algeciras	117695	20	-5.45	36.13
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	Divo	105859	\N	-5.37	5.83
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Hohhot	652534	1065	111.65	40.82
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	Bata	66800	5	9.75	1.85
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	London	8250205	0	-0.09	51.52
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	Danlí	135136	814	-86.58	14.05
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	Morelia	597511	1921	-101.19	19.77
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucureşti	1883425	55.8	26.1	44.43
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	Kemerovo	540095	140	86.07	55.37
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	Vitebsk	347928	172	30.17	55.18
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	Turbo	155173	2	-76.73	8.1
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	Gracias	\N	800	-88.58	14.58
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Kocaeli	1527407	100	29.92	40.77
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	Düsseldorf	586291	38	6.78	51.23
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	Port Louis	\N	\N	57.5	-20.16
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	Murcia	437667	43	-1.13	37.99
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	Tieling	254842	\N	123.73	42.22
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	Niš	257867	195	21.9	43.32
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	Accra	2070463	61	-0.2	5.55
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	Tongliao	255129	179	122.27	43.62
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	Podol'sk	187961	160	37.53	55.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	Pasadena	137122	263	-118.13	34.16
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Bryansk	410837	190	34.37	53.23
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	Dushanbe	747500	706	68.78	38.54
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	Handan	1110000	\N	114.48	36.6
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	Kidal	\N	\N	1.41	18.44
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	São Vicente	331817	6	-46.39	-23.96
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	Machida	420243	\N	139.45	35.55
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	Vlorë	79513	25	19.49	40.47
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklio	173993	150	23.77	38.05
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	Gateshead	120046	\N	-1.6	54.95
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	Faro	\N	6	-7.92	37.03
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	Agadez	118240	520	7.98	16.97
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	Calarasi	\N	26	27.33	44.2
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	Santa Ana	245421	665	-89.53	13.98
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	Pucallpa	204772	154	-74.52	-8.38
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	Jiangyin	213659	\N	120.3	31.84
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	Krasnodar	784048	25	38.97	45.03
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	Dongying	281728	\N	118.47	37.45
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	Talca	189505	102	-71.67	-35.43
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	Funabashi	602996	\N	139.98	35.7
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	Jaén	116469	573	-3.77	37.77
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpho	152759	\N	128.25	40.08
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	Gaborone	227333	1014	25.91	-24.66
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	Utrecht	330081	5	5.12	52.08
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	Miskolc	167754	131	20.79	48.1
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	Radom	220062	130	21.17	51.4
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	Regensburg	135403	337	12.08	49.02
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	Toulouse	447340	115	1.44	43.6
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	Uige	\N	858	15.05	-7.62
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	Brest	140547	0	-4.49	48.39
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	Andijon	403900	450	72.33	40.78
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	Salgótarján	\N	299	19.79	48.09
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	Suwon	1064951	\N	127.02	37.27
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Hims	750501	501	36.71	34.73
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	Francistown	100079	1001	27.51	-21.17
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	Hillerød	\N	41	12.31	55.93
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	Seongnam	951424	\N	127.15	37.43
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	Liaoyuan	354141	260	125.15	42.88
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	Erfurt	200868	194	11.03	50.98
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	Gonaïves	228725	6	-72.68	19.45
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aqtobe	377520	219	57.17	50.28
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	Koulikoro	\N	\N	-7.56	12.86
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	Popayán	275129	1760	-76.61	2.45
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	Yangquan	362268	\N	113.57	37.85
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	Jinju	337230	\N	128.08	35.2
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	Kati	114983	481	-8.07	12.75
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	Itapecerica da Serra	151349	920	-46.85	-23.72
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	Abaetetuba	\N	42	-48.88	-1.72
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	Moroni	41557	29	43.26	-11.7
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	Mesquita	168376	\N	-43.43	-22.78
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	Huaraz	100931	3052	-77.53	-9.53
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	Belize City	53532	0	-88.19	17.5
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	Cape Coral	154305	2	-81.98	26.64
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	Lelystad	76252	-3	5.48	52.5
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	Faridabad	1414050	198	77.31	28.42
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	Torreón	608836	1120	-103.45	25.54
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	Kansas City	459787	277	-94.58	39.1
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	Nazareth	72200	\N	35.3	32.7
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	Malindi	118265	\N	40.13	-3.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	Herne	155160	65	7.22	51.55
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	Sirnak	\N	1650	42.46	37.52
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	Liaoyang	492559	29	123.18	41.27
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	Zug	\N	425	8.52	47.17
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	M'Bour	193368	14	-16.97	14.42
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Yoshkar-Ola	257015	100	47.88	56.65
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urganch	137300	91	60.63	41.55
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	Puntarenas	119814	5	-84.83	9.97
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	Kyzyl	109918	631	94.45	51.72
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	Victoria	6252	\N	14.24	36.04
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	Chapecó	168113	\N	-52.62	-27.1
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	Salem	366712	278	78.16	11.65
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	Moshi	184292	700	37.34	-3.33
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	Santiago de Compostela	\N	260	-8.54	42.88
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	San Miguel de Tucumán	525853	431	-65.22	-26.83
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	Nagoya	2182154	\N	136.9	35.18
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	Cabo de Santo Agostinho	167783	29	-35.03	-8.29
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	Gatineau	265349	\N	-75.65	45.48
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	Szczecin	409211	1	14.55	53.43
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	Madurai	1017865	101	78.1	9.9
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	Willemstad	125000	\N	-68.9	12.1
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	Worthing	109120	7	-0.37	50.81
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	Cixi	107329	\N	121.23	30.17
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	Baotou	2096851	1065	109.83	40.65
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Suhaj	189638	61	31.7	26.55
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	Santa Rosa de Copan	25861	1168	-88.78	14.77
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	Sevastopol´	340559	100	33.53	44.6
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	Ferraz de Vasconcelos	160754	759	-46.37	-23.54
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	Kayseri	1004276	1050	35.48	38.73
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	Serra	406450	301	-40.31	-20.13
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	Johor Bahru	384613	36.88	103.73	1.48
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	Corrientes	314247	52	-58.82	-27.48
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	Erzincan	96474	1185	39.49	39.75
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	Linhe	133183	\N	107.43	40.85
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	Korla	159344	\N	86.13	41.65
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Qui Nhon	255463	\N	109.23	13.77
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	Wavre	\N	\N	4.6	50.72
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	Sumbawanga	209793	\N	31.62	-7.97
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	Jilin	1270000	\N	126.2	43.7
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	Exeter	113507	\N	-3.53	50.72
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	Makkah	1294106	\N	41	21.5
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	eThekwini	3442361	6	31.05	-29.88
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	Chimbote	334568	4	-78.59	-9.14
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	Nykoping	64199	20	17.01	58.75
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	Vitória de Santo Antão	113429	147	-35.3	-8.12
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	Jeddah	2801481	12	39.17	21.54
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	Villach	59942	501	13.85	46.62
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	Aberdeen	195021	\N	-2.11	57.15
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	Medellín	2441123	1495	-75.59	6.23
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	Pointe-Noire	829134	14	11.86	-4.78
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	Long Xuyen	245699	\N	105.45	10.37
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	Barreiras	123741	454	-44.99	-12.15
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronezh	1003638	154	39.21	51.67
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	Santa Luzia	202378	751	-43.85	-19.77
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	Mbabane	57992	1243	31.13	-26.32
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	Fort Lauderdale	165502	3	-80.15	26.13
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	Olomouc	101954	219	17.25	49.6
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	Saipan	\N	\N	145.76	15.18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	Salinas	150498	16	-121.66	36.68
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	Porto Velho	390733	83	-63.9	-8.76
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	Guantánamo	222243	46	-75.21	20.14
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	Matsudo	476896	\N	139.9	35.78
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	Fakaofo	490	\N	-171.21	-9.37
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	Gävle	96170	8	17.14	60.67
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	Jimma	149166	1780	36.83	7.67
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	Niterói	487562	0	-43.1	-22.88
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	Cobija	\N	280	-68.73	-11.03
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo	189453	\N	-99.09	19.67
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyine	288120	\N	97.62	16.48
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	Narayanganj	286330	3	90.5	23.62
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	Aalborg	104885	5	9.92	57.05
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	Khorugh	\N	2123	71.56	37.49
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	Beaumont	117267	5	-94.13	30.08
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	Cotabato	259153	\N	124.25	7.22
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	Singapore	5076700	\N	103.8	1.3
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	Thunder Bay	108359	199	-89.25	48.38
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	Tokchon	237133	\N	126.33	39.75
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	Babati	\N	\N	35.75	-4.22
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	Rio de Janeiro	6320446	31	-43.2	-22.91
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	Kalmar	54554	8	16.36	56.66
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	Río Gallegos	79072	20	-69.22	-51.63
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	Caen	108793	2	-0.37	49.18
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	Timon	135133	\N	-42.84	-5.09
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	Ribeirão Preto	602966	546	-47.81	-21.18
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	Qom	1074036	928	50.88	34.64
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	Castanhal	153378	141	-47.92	-1.3
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Haora	1077075	12	88.31	22.59
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	Heze	189293	\N	115.43	35.23
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	Nezahualcóyotl	1104585	2220	-98.99	19.4
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	Taguig	613343	16	121.05	14.52
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	Jayapura	256705	287	140.72	-2.53
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeinishahr	244696	\N	51.52	32.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	São Paulo	11152344	760	-46.63	-23.55
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveščensk	214390	130	127.53	50.25
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	Linhares	121567	33	-40.07	-19.39
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	Yalova	102874	\N	29.28	40.66
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	Khmel´nyts´kyi	263703	275	27	49.42
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	Eldoret	289380	\N	35.28	0.52
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	Arak	484212	1718	49.69	34.09
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	Bekasi	2334871	11	107	-6.23
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	Tawau	213745	\N	117.89	4.26
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Liège	195931	\N	5.57	50.63
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	Bucheon	847841	16	126.78	37.5
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	Gao	\N	226	-0.05	16.27
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	Tahoua	149498	389	5.27	14.88
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	Uberlândia	587266	863	-48.29	-18.92
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	Agri	107839	\N	43.05	39.72
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	Krefeld	222247	38	6.57	51.33
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	Ndola	441624	\N	28.63	-12.97
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	Latina	117892	21	12.9	41.47
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyonkarahisar	186991	1021	30.54	38.76
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	Kagoshima	605120	\N	130.55	31.6
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	Cancún	628306	10	-86.85	21.16
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	Leipzig	502979	113	12.38	51.33
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	Chinandega	133361	50	-87.15	12.62
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	Telford	142723	\N	-2.45	52.68
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	Hämeenlinna	67803	\N	24.47	61
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	Sancti Spíritus	114324	51	-79.44	21.93
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	Xinyu	173524	\N	114.92	27.8
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	Kendari	289966	5	122.59	-3.97
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	Leiden	121387	0	4.48	52.17
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	Managua	1028808	83	-86.25	12.14
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	Duque de Caxias	852138	7	-43.31	-22.79
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	Limón	107219	0	-83.03	9.98
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	Cabo Frio	140486	4	-42.02	-22.88
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	As Suwayda'	147146	1080	36.57	32.7
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Grozny	277414	130	45.72	43.32
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan	1176187	116	49.13	55.79
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	São José dos Campos	617106	660	-45.88	-23.19
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	Awka	104682	\N	7.07	6.21
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	Dundee	147285	\N	-2.97	56.46
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	Qiqihar	1380000	147	123.92	47.35
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	Kusong	196515	\N	125.17	39.97
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	Malanje	\N	1155	16.35	-9.53
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	Chiayi	271220	69	120.45	23.48
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	Ilawe-Ekiti	104049	\N	5.1	7.6
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	Dukou	415466	1157	101.72	26.58
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Firenze	358079	50	11.25	43.78
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	Aligarh	480520	178	78.08	27.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	Praia Grande	262051	3	-46.4	-24.01
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	Porto Alegre	1409351	10	-51.23	-30.03
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	Harare	1485231	1490	31.03	-17.86
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	Kraków	760700	219	19.94	50.06
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	Cebu	798809	\N	123.75	10.32
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	Yokosuka	420997	\N	139.67	35.25
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	Ananindeua	470819	20	-48.37	-1.37
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	São Luís	958522	4	-44.3	-2.53
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	Madrid	3198645	667	-3.72	40.38
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	Santa Cruz do Sul	105190	122	-52.43	-29.72
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	Koutiala	137919	\N	-5.47	12.38
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	Diyarbakir	892713	675	40.24	37.91
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	Tiruchirappalli	387223	88	78.69	10.81
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	Indore	1964086	553	75.9	22.7
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	Karlstad	86929	64	13.5	59.38
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	Kavala	58790	0	24.4	40.93
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	Kurashiki	476444	\N	133.77	34.58
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	Pescara	117166	0	14.21	42.46
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	Stanley	\N	\N	-57.51	-51.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	Concord	122110	23	-122.03	37.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	Kano	2166554	488	8.52	12
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	Borujerd	240654	1573	48.9	33.9
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	Chiclayo	524442	27	-79.84	-6.76
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	Wuzhou	210452	\N	111.32	23.48
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	São Caetano do Sul	149263	744	-46.55	-23.7
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	Skikda	182903	18	6.9	36.87
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	Mopti	114296	268	-4.2	14.5
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	Novosibirsk	1523801	177	82.93	55.02
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	Sterling Heights	129699	187	-83.03	42.58
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	Zhanjiang	400997	21	110.4	21.2
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	Ichikawa	458679	\N	139.93	35.72
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	Man	148171	330	-7.55	7.4
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	Nassau	248948	10	-77.33	25.07
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	Guiyang	3034750	1275	106.63	26.65
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alicante	329325	3	-0.48	38.35
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	Thai Nguyen	199732	\N	105.85	21.6
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	Okene	312775	\N	6.23	7.55
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	Birnin Kebbi	\N	\N	4.2	12.45
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	Rijeka	127498	0	14.42	45.32
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	Adana	1636229	23	35.32	37
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	Agadir	346106	74	-9.6	30.43
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	Ordu	147913	5	37.88	40.98
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	Puerto Montt	153118	14	-72.93	-41.47
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	Oslo	623966	23	10.75	59.95
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	León	1238962	1815	-101.68	21.12
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islamabad	529180	507	73.07	33.72
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	Gejiu	214294	\N	103.15	23.37
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	Syracuse	145196	116	-76.14	43.05
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	Inhambane	65149	1	35.38	-23.86
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	Herisau	\N	771	9.27	47.38
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	Grand Prairie	175468	157	-97.02	32.72
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	Tianjin	11090314	5	117.18	39.13
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	Anyang	603184	47	126.93	37.38
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	Denpasar	788589	4	115.22	-8.65
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	Al Hoceima	\N	20	-3.93	35.25
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	Campobasso	\N	701	14.67	41.57
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	Ulm	116761	478	9.98	48.4
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	Limoges	137758	209	1.26	45.84
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	Seoul	9708483	\N	126.97	37.57
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	Ciudad Delgado	129965	603	-89.17	13.72
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Wien	1761738	151	16.37	48.2
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	Jaipur	3046163	431	75.8	26.9
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misratah	360000	9	15.09	32.38
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	Jamestown	\N	\N	-5.44	-15.56
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Tombouctou	\N	261	-3.01	16.78
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	Envigado	217343	1675	-75.58	6.17
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	Vung Tau	282415	\N	107.12	10.38
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	Shizuoka	713640	\N	138.38	34.98
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	Cimahi	541177	768	107.53	-6.88
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	Gusau	132393	450	6.67	12.15
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	Kaesong	308440	\N	126.55	37.97
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	Cuenca	331888	2560	-79.02	-2.9
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	Raipur	1010433	298.15	82	20.92
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	Dayton	141761	225	-84.19	39.76
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkida	102223	0	23.6	38.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	Miami	399508	2	-80.21	25.78
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	Samut Prakan	277600	\N	100.6	13.6
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	South Bend	101075	211	-86.26	41.67
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	Aix-en-Provence	140684	73	5.45	43.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	Shashi	281352	\N	112.25	30.32
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	Beian	204899	266	126.52	48.25
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	Vila Nova de Gaia	72576	\N	-8.62	41.13
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	Nagasaki	439903	\N	129.87	32.78
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	Karaj	1614626	1312	51.01	35.84
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	Rajshahi	440604	18	88.6	24.37
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	Varginha	119061	980	-45.43	-21.55
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	Montes Claros	344427	678	-43.86	-16.73
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	Longyearbyen	\N	\N	15.33	78.13
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Al Jizah	2681863	19	31.22	30.02
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	Alajuela	257382	952	-84.22	10.02
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	Beipiao	194301	\N	120.78	41.8
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Tchelny	519025	100	52.32	55.68
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	São Tomé	49957	137	6.68	0.34
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	Uruapan	264439	1620	-102.06	19.42
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	Brčko	93028	92	18.81	44.87
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	Oxford	159994	\N	-1.26	51.75
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	Shuangyashan	386081	\N	131.15	46.63
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	Oranjestad	\N	4	-70.04	12.52
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	Kahramanmaraş	443575	67	36.93	37.58
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	Kanpur	2765348	126	80.3	26.5
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	Lecce	89916	49	18.17	40.35
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	Toulon	163974	0	5.92	43.13
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Yaroslavl	599169	100	39.85	57.62
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	Xinxiang	473762	\N	113.87	35.3
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	Costa Mesa	109935	30	-117.91	33.67
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	Chengde	246799	327	117.93	40.97
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	Kimberley	\N	1184	24.77	-28.74
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	Zunyi	261862	865	106.9	27.68
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	Viana do Castelo	\N	15	-8.83	41.7
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	Ramla	65800	80	34.87	31.93
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	Rímini	139601	6	12.57	44.05
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	Fuenlabrada	196986	664	-3.8	40.28
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokujbyševsk	108438	90	49.93	53.1
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	Bologna	371337	54	11.35	44.51
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	High Wycombe	120256	\N	-0.75	51.63
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	Kunming	3855346	1892	102.68	25.07
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	Fengcheng	193784	\N	124.07	40.45
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	Middelburg	\N	3	3.62	51.5
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	Doncaster	109805	\N	-1.13	53.52
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	Bafoussam	239287	1521	10.42	5.47
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	Tamanrasset	92635	1320	5.53	22.79
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Larkana	270283	147	68.23	27.56
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	Delmas	359451	194	-72.3	18.55
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	Ostersund	56662	312	14.64	63.18
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	Luts´k	213063	174	25.34	50.75
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	Bikaner	416289	242	73.31	28.02
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	Yola	\N	599	12.46	9.23
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	Drobeta-Turnu Severin	92617	50	22.67	44.57
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	Kumamoto	725005	\N	130.73	32.78
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	Campeche	220389	10	-90.53	19.85
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	Siping	317223	164	124.37	43.17
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	Siegen	99187	267	8.02	50.88
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	Shihezi	299676	\N	86.03	44.3
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	Tarsus	245671	\N	34.9	36.92
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	Montevideo	1318755	43	-56.18	-34.88
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	Botoşani	106847	170	26.67	47.75
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	Thousand Oaks	126683	270	-118.87	34.19
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	Manila	1660714	16	121	14.58
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Lefkosia	55014	220	33.37	35.17
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	Ekibastuz	130903	347	75.37	51.67
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	Karlskrona	59007	16	15.59	56.16
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	Vadodara	1670806	129	73.2	22.3
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	Ife	186856	\N	4.57	7.47
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	Bydgoszcz	362286	60	18	53.12
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	Colón	206553	9	-79.9	9.36
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	Reykjavik	118061	\N	-21.93	64.13
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	Beijing	11716620	43.5	116.38	39.92
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	Braşov	253200	600	25.62	45.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	Cotia	201150	853	-46.92	-23.6
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	Stockholm	881235	0	18.07	59.33
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	Gdańsk	460354	0	18.63	54.37
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	St. Paul	285068	214	-93.09	44.94
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	Manokwari	136302	37	134.08	-0.87
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Hagåtña	\N	\N	144.75	13.48
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	Potenza	\N	819	15.8	40.63
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	Mikkeli	54633	\N	27.27	61.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	Ganzhou	220129	107	114.93	25.87
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	Bordeaux	239399	1	-0.58	44.84
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	Shizuishan	257862	\N	106.77	39.23
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	Atyrau	196494	-20	51.88	47.12
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	Gorakhpur	505566	84	83.37	26.76
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	Palmas	221742	230	-48.33	-10.18
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	Halifax	390096	10	-63.57	44.65
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	Lanzhou	2628426	1518	103.8	36.03
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Melaka	369222	\N	102.25	2.2
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	Tijuana	1300983	20	-117.03	32.53
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Aysaita	\N	300	41.43	11.57
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	Juneau	31275	17	-134.42	58.3
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	Sukabumi	298681	584	106.93	-6.92
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	Sakai	838675	\N	135.48	34.57
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	Lomé	839566	10	1.22	6.13
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	Luzhou	262892	262	105.45	28.88
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Bijsk	210115	180	85.22	52.53
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambella	\N	526	34.58	8.25
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	Salford	103886	68	-2.33	53.51
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	Nonthaburi	481900	\N	100.52	13.85
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	Calabar	310839	32	8.32	4.95
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	Fukui	\N	\N	136.22	36.07
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	Gondar	254450	2133	37.47	12.6
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	Valletta	5748	56	14.51	35.9
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	Tillaberi	\N	\N	1.45	14.22
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	Burlington	175779	74	-79.8	43.32
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	Ikorodu	184674	\N	3.5	6.6
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	Chaoyang	222394	170	120.45	41.57
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	Cankiri	\N	800	33.62	40.6
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampho	366815	\N	125.4	38.73
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	Benguela	513000	39	13.42	-12.55
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	Nantong	2274113	2	120.9	31.98
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	Kristiansand	84476	\N	8	58.15
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	Solihull	123187	\N	-1.78	52.41
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	Yichun	151585	\N	114.38	27.8
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	Cabimas	207996	3	-71.45	10.4
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	Trabzon	243735	0	39.73	41
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	Austin	885400	149	-97.75	30.25
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	Chirchiq	149400	582	69.58	41.47
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	Villahermosa	353577	20	-92.93	17.99
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	Sibu	167427	8	111.83	2.29
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	Kalisz	104867	144	18.08	51.76
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	Peoria	154084	348	-112.24	33.58
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warszawa	1711324	78	21.02	52.23
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	Utsunomiya	508635	\N	139.88	36.55
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	Slobozia	\N	\N	27.37	44.56
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	Wichita	382386	396	-97.34	37.69
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	Almere	196244	-3	5.22	52.37
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	Waco	124810	143	-97.16	31.55
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	Knoxville	178765	270	-83.94	35.97
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	Brazzaville	1408150	320	15.29	-4.27
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma-Ujiji	215458	773	29.63	-4.88
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	Växjö	84800	167	14.81	56.88
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	Baghdad	5750000	34	44.43	33.33
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	Arusha	416442	1387	36.68	-3.37
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	Meihekou	209038	180	125.68	41.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	Oral	227385	35	51.37	51.23
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Kolkata	4496694	9	88.37	22.57
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	Karlsruhe	289173	115	8.4	49.01
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	Arequipa	749291	2335	-71.53	-16.38
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	Vitoria-Gasteiz	240753	525	-2.68	42.85
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	Kuopio	106475	\N	27.68	62.89
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	Sirjan	185623	1730	55.68	29.45
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Bayrūt	1100000	\N	35.51	33.89
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	Male	133019	2.4	73.51	4.18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	Santa Ana	324712	35	-117.88	33.74
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	Juba	372410	550	31.6	4.85
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	Coatzacoalcos	235983	10	-94.43	18.15
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	Qinzhou	114586	12	108.62	21.95
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	Antipolo	633971	156	121.17	14.58
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	Crawley	106943	\N	-0.19	51.11
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	Buenos Aires	2768772	25	-58.38	-34.6
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	Joensuu	74332	\N	29.75	62.6
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	Guayaquil	2291158	4	-79.88	-2.18
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	Changde	301276	35	111.68	29.03
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	Mus	81764	\N	41.49	38.73
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	Pemba	138716	30	40.55	-12.97
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	Cité Soleil	241055	\N	-72.33	18.58
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	Liling	108504	\N	113.47	27.67
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	Allahabad	1112544	98	81.85	25.45
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	Maiduguri	618278	320	13.15	11.83
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	Székesfehérvár	100570	118	18.41	47.19
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	Tongi	476349	\N	90.41	23.89
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	Helena	28197	1181	-112.03	46.6
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	Fargo	105549	276	-96.79	46.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	Changzhi	317144	\N	113.1	36.18
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	George Town	\N	3	-81.39	19.3
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodes	115490	26	28.22	36.43
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Prypjat	0	120	30.06	51.4
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	Samara	1171598	100	50.14	53.2
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	Mérida	777615	10	-89.62	20.97
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	Itanagar	\N	750	93.62	27.1
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	Zacatecas	129011	2440	-102.58	22.77
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	Groningen	198023	7	6.57	53.22
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	Buraydah	\N	\N	43.97	26.33
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	Ioannina	112486	480	20.85	39.67
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	Pinar del Río	154063	61	-83.67	22.41
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	Tianmen	186332	32	113.17	30.67
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	La Spezia	92659	10	9.82	44.1
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	Kofu	\N	\N	138.57	35.67
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Århus	252213	0	10.22	56.15
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	Rochdale	107926	\N	-2.16	53.61
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	Bie	\N	\N	17.57	-12.52
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novošachtinsk	111075	130	39.93	47.75
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	Bregenz	\N	427	9.75	47.51
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	Laohekou	123366	\N	111.77	32.4
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	Safi	284750	20	-9.23	32.28
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	Mogi das Cruzes	357313	780	-46.19	-23.52
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	Harbin	5878939	150	126.63	45.75
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	Los Mochis	256613	10	-108.99	25.78
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	Reims	180752	80	4.03	49.26
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	San Fernando del Valle de Catamarca	140556	500	-65.78	-28.47
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	Sullana	181954	\N	-80.52	-4.9
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	Bucaramanga	527451	959	-73	7.13
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	Giurgiu	\N	25	25.97	43.9
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	Uvira	115590	746	29.14	-3.37
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	Bhatpara	315976	12	88.41	22.87
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	Puqi	117264	67	113.9	29.72
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	Zhenjiang	368316	\N	119.42	32.2
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	Schwerin	91293	44	11.42	53.63
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	Aurora	197952	219	-88.29	41.76
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	Wanxian	156823	\N	108.41	30.81
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	Aksaray	186599	980	34.03	38.37
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	Giugliano in Campania	108793	\N	14.2	40.93
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	Ufa	1077719	150	55.97	54.75
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	Makurdi	151515	\N	8.54	7.73
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg	209628	278	7.85	47.98
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	Tanta	421076	12	31	30.78
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	Serang	577785	39	106.15	-6.12
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	N'Djamena	951418	298	15.05	12.11
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	Limeira	267785	588	-47.4	-22.56
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	Yangzhou	312892	\N	119.42	32.4
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	Darwin	129062	\N	130.83	-12.45
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	Corpus Christi	305215	2	-97.4	27.74
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Roatan	\N	\N	-86.55	16.3
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	Londrina	493520	610	-51.16	-23.31
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	Mwene-Ditu	137459	910	23.45	-7
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	Puerto Maldonado	\N	183	-69.18	-12.6
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	Richmond	103670	14	-122.35	37.94
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	Sucre	259388	2810	-65.25	-19.05
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	Terrassa	214406	286	2.01	41.56
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	Simferopol´	335582	350	34.1	44.95
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	Lansing	114297	262	-84.55	42.73
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	Yazd	486152	1216	54.37	31.9
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	São José do Rio Preto	383490	489	-49.38	-20.81
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	Riverside	303871	252	-117.4	33.95
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	Maceió	932129	7	-35.73	-9.67
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	Mar del Plata	541857	38	-57.55	-38
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Al Isma'iliyah	300449	13	32.27	30.58
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	Mocoa	\N	604	-76.65	1.15
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	Ivanovo	409075	120	40.98	57
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	Changzhou	3290918	\N	119.97	31.78
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	Giresun	100712	10	38.39	40.92
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	Cauayan	114254	\N	121.78	16.77
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	Tempe	161778	348	-111.94	33.43
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	Nijmegen	168810	29	5.87	51.85
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	Zwolle	123440	4	6.1	52.52
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando	\N	47	-67.47	7.89
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	Tasikmalaya	635464	\N	108.2	-7.33
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	Miass	151751	340	60.1	55
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	Baruta	213373	1178	-66.87	10.42
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	Arzamas	106362	150	43.82	55.4
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	Koani	\N	\N	39.28	-6.13
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	Tacloban	217199	2	125	11.24
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	Besançon	115879	235	6.02	47.24
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	Ottawa	883391	70	-75.68	45.42
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	Santander	178095	15	-3.8	43.46
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	Zahedan	560725	1352	60.86	29.5
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	Shaoyang	247227	\N	111.47	27.25
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	Samarra	\N	80	43.87	34.2
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	Songkhla	294200	11	100.6	7.21
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	Dąbrowa Górnicza	125063	\N	19.27	50.32
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	Palmira	302727	1001	-76.25	3.58
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	Talara	87622	11	-81.27	-4.58
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfintu Gheorghe	\N	555	25.79	45.86
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	Hobart	216276	54	147.32	-42.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	Wendeng	133910	\N	122.05	37.2
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopejsk	137601	200	61.62	55.1
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	Minneapolis	382578	253	-93.27	44.98
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	Indaiatuba	199592	624	-47.22	-23.09
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	Dongtai	192247	\N	120.52	32.8
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	Barranquilla	1212943	18	-74.8	10.96
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	San Nicolás de los Arroyos	125308	17	-60.22	-33.33
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	Zhuhai	164747	36	113.57	22.28
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	Louga	\N	44	-16.35	15.65
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	Ica	219856	406	-75.73	-14.07
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	Kolhapur	406370	545.6	74.23	16.69
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	Mönchengladbach	255188	70	6.43	51.2
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	Uruguaiana	117415	66	-57.09	-29.75
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	Lublin	348120	168	22.57	51.25
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	Regina	193100	577	-104.61	50.45
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	Patna	1684222	53	85.1	25.6
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	Clermont-Ferrand	140957	321	3.08	45.78
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	Kumasi	2035064	305	-1.62	6.67
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	Shkodër	77075	13	19.5	42.07
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	Xingcheng	102384	8	120.73	40.62
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	Karabük	110537	\N	32.63	41.2
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	Banja Luka	199191	163	17.18	44.77
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	General Santos	529542	15	125.17	6.12
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	Hanzhong	169930	511	107.02	33.07
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	Guadalupe	673616	500	-100.26	25.68
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	Logroño	152698	384	-2.45	42.47
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	Karamay	197602	354	84.88	45.6
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Brugge	117577	2	3.23	51.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	Solingen	155265	221	7.08	51.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	Itaquaquecetuba	321770	790	-46.35	-23.49
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	Huancavelica	\N	3676	-74.98	-12.79
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	Sukkur	335551	67	68.85	27.71
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaka	51468	0	33.63	34.92
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	Lengshuijiang	137994	\N	111.44	27.69
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsø	48109	\N	18.94	69.68
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Al Uqsur	451318	76	32.65	25.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	Changchun	4193073	222	125.2	43.9
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	L'ubercy	172525	130	37.93	55.67
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	Chetumal	151243	10	-88.31	18.5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	Noginsk	100072	150	38.43	55.85
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	Punta Arenas	116005	34	-70.93	-53.17
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	Málaga	561435	11	-4.42	36.72
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	Luena	\N	1350	19.91	-11.79
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	Gongzhuling	226569	215	124.82	43.5
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	Chiniot	172522	179	72.98	31.72
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	San Francisco	837442	16	-122.42	37.78
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	Seversk	108590	90	84.85	56.6
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	Omdurman	1271403	178	32.48	15.65
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	Suihua	227881	\N	126.98	46.63
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	Leiria	50608	\N	-8.8	39.75
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	Olinda	370332	16	-34.85	-8.01
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	Pimpri Chinchwad	1727692	570	73.8	18.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	Franca	313046	1040	-47.4	-20.54
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Al Kuwayt	637411	\N	47.98	29.37
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez de la Frontera	211784	56	-6.12	36.7
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	Makati	510383	15.4	121.03	14.55
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	Pforzheim	114411	261	8.72	48.9
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	Brisbane	2146577	\N	153.03	-27.47
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Khartoum North	700887	\N	32.63	15.63
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	Taraz	351476	610	71.37	42.9
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	Fujisawa	413064	\N	139.47	35.35
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	Ingolstadt	124927	374	11.43	48.77
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	Porto Seguro	104078	4	-39.08	-16.43
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	Orenburg	556127	150	55.1	51.78
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	Vaslui	\N	110	27.73	46.64
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	Bhiwandi	392214	24	73.06	19.3
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orel	318136	170	36.07	52.97
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	Petrópolis	281286	838	-43.18	-22.5
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	Perth	1832114	2	115.86	-31.95
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	Bistrita	\N	356	24.5	47.13
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	Mejicanos	157188	712	-89.22	13.73
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	Temuco	227086	360	-72.67	-38.73
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	Colchester	119441	\N	0.9	51.89
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Bruxelles	168576	13	4.35	50.85
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	Zlatoust	174962	440	59.67	55.17
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	Bandung	2394873	768	107.6	-6.92
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	Garanhuns	115356	896	-36.49	-8.89
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	Hamburg	1706696	6	10	53.57
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	Tipitapa	130627	50	-86.1	12.2
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	Teresina	767557	87	-42.8	-5.09
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	Potosí	189652	4067	-65.75	-19.58
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	Yaren	\N	\N	166.92	-0.55
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	Shaoguan	350043	59	113.6	24.82
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	Tartu	103284	57.2	26.72	58.38
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multan	1197384	122	71.47	30.2
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	Zhoushan	156317	\N	122.4	30.17
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novočerkassk	168746	80	40.08	47.42
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	Zamboanga	774407	16	122.08	6.92
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Al Iskandariyah	4123869	5	29.92	31.2
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Khabarovsk	593636	72	135.07	48.48
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	Tessaoua	172796	\N	7.98	13.75
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	Liyang	109520	\N	119.38	31.42
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	Koforidua	120971	238	-0.27	6.1
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	Yerevan	1066264	989.4	44.52	40.18
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangyang	2199690	71	112.13	32.02
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	Mesquite	139629	151	-96.61	32.78
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Turkmenabat	203000	187	63.57	39.08
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Marg‘ilon	215400	487	71.72	40.47
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	Cuiabá	540814	165	-56.1	-15.6
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	Siirt	135350	895	41.95	37.92
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	Carolina	157832	16	-65.97	18.41
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nizhnevartovsk	263228	45	76.55	60.95
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	Iğdır	82656	861	44.04	39.92
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	Bangkok	7506700	1.5	100.47	13.75
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	Sanya	102820	\N	109.5	18.25
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Chimki	207425	180	37.45	55.9
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	Guntur	651382	30	80.44	16.3
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	Lanús	452512	9	-58.4	-34.7
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	As Sulaymaniyah	364096	882	45.44	35.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	Querétaro	626495	1820	-100.39	20.59
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	Zalaegerszeg	59499	166	16.85	46.85
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	Ponta Delgada	46102	\N	-25.75	37.82
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	Saharanpur	374945	\N	77.55	29.96
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala Porto	206449	\N	40.67	-14.45
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	Jihlava	51162	525	15.59	49.4
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	McAllen	130242	37	-98.24	26.22
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	Baoding	483155	25	115.47	38.87
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	Pisa	85858	4	10.4	43.72
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	Melbourne	4169103	31	144.96	-37.81
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	Rasht	639951	5	49.58	37.28
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	Warangal	447653	302	79.58	18
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	Badajoz	151214	185	-6.97	38.88
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	Kupang	336239	62	123.58	-10.18
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Kingston upon Hull	284321	\N	-0.33	53.75
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	Natal	803739	30	-35.2	-5.78
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	Katowice	308269	266	19	50.25
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	Matsuyama	514781	\N	132.77	33.83
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	Higashiosaka	486260	\N	135.6	34.68
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	Montgomery	205597	73	-86.28	32.36
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	Gaza	449477	\N	34.5	31.5
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabouk	\N	760	36.58	28.4
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Nay Pyi Taw	1158367	115	96.1	19.75
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	Trenton	84913	15	-74.76	40.22
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	Nazran'	93335	520	44.77	43.22
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Gedaref	191164	634	35.38	14.03
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	Bago	491130	4	96.48	17.34
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	Hengyang	487148	\N	112.6	26.9
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	Grand Turk	\N	\N	-71.14	21.47
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	Minsk	1836808	280.6	27.57	53.9
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	San Diego	1355896	129	-117.16	32.72
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odincovo	138930	190	37.27	55.67
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	Augusta	19132	21	-69.78	44.31
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	Tucson	526116	728	-110.93	32.22
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	Waterbury	110366	82	-73.04	41.56
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	Kremenchuk	226434	80	33.42	49.07
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Okt'abr'skij	109474	140	53.47	54.47
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	San Pedro Garza García	122627	540	-100.3	25.67
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	Xiangtan	441968	\N	112.9	27.85
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	Mufulira	204104	\N	28.23	-12.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujranwala	1132509	\N	74.18	32.15
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	Yushu	131861	\N	126.55	44.83
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	São José	207312	0	-48.63	-27.61
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	Semey	312065	206	80.27	50.43
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarqand	509000	702	66.98	39.7
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	Caxias	118534	\N	-43.36	-4.86
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	Zhaoqing	194784	12	112.47	23.05
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Muscat	27216	20	58.58	23.6
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	Wuhu	425740	7.9	118.39	31.37
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	Harrisburg	49528	98	-76.88	40.27
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	Taboão da Serra	244528	\N	-46.8	-23.53
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	Mexicali	689775	8	-115.47	32.66
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	Livingstone	\N	986	25.87	-17.85
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	San Andres de Tumaco	195419	2	-78.76	1.81
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	Elbląg	123977	\N	19.4	54.17
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	Xining	551776	2275	101.77	36.63
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad-e-Kavus	144546	\N	55.17	37.25
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	Pyongyang	3255288	38	125.74	39.02
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas de Gran Canaria	381271	8	-15.42	28.15
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	Novomoskovsk	131386	220	38.22	54.08
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	Thimphu	42465	2334	89.64	27.47
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	Dispur	\N	55	91.79	26.14
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansijsk	80151	50	69	61
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	Floridablanca	264695	925	-73.07	7.22
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	Luoyang	1190000	144	112.44	34.67
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	York	152841	\N	-1.08	53.96
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	Pingxiang	425579	\N	113.85	27.63
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	Alcorcón	167217	695	-3.83	40.35
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	Veszprém	61721	266	17.91	47.09
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	Taichung	2684893	\N	120.67	24.15
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	Sosnowiec	214488	250	19.17	50.3
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	Belfast	280561	\N	-5.93	54.6
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	Wonsan	363127	\N	127.45	39.15
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	Setúbal	91108	\N	-8.88	38.53
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	Anadyr	13045	20	177.52	64.73
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	Jhelum	147392	250	73.73	32.93
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qina	206831	75	32.73	26.17
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	Marrakech	801043	466	-8.01	31.63
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	La Palma	\N	\N	-78.15	8.41
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	Itaboraí	215412	17	-42.86	-22.74
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	Aguié	152788	434	8.3	13.86
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	Mauá	417064	818	-46.46	-23.67
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg	526089	12	11.97	57.7
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	Leshan	341128	\N	103.77	29.57
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	Yongin	852505	\N	127.2	37.23
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	Ruian	156468	\N	120.63	27.78
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	An Nasiriyah	265937	7	46.27	31.05
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	Louisville	609893	142	-85.77	38.25
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	Najran	\N	1293	44.13	17.49
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	Guediawaye	307594	\N	-17.4	14.78
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	Lubango	\N	1720	13.5	-14.92
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	Espoo	261654	\N	24.66	60.21
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	Frauenfeld	\N	417	8.9	47.55
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	Bulawayo	653337	1358	28.58	-20.17
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	Sincelejo	271375	213	-75.4	9.3
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	Den Haag	509623	1	4.32	52.08
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	Cincinnati	296950	147	-84.52	39.1
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	Damaturu	141897	\N	11.96	11.74
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	Guarulhos	1221979	759	-46.53	-23.47
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	Queimados	137962	29	-43.55	-22.72
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	Saransk	298287	160	45.18	54.18
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	Tonala	408759	\N	-103.23	20.62
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	Gilbert	208414	377	-111.79	33.35
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Farg'ona	264900	582	71.79	40.39
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	Bobruysk	215092	157	29.23	53.15
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	Des Moines	204192	291	-93.62	41.59
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	Olympia	46476	29	-122.89	47.04
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	Reutlingen	109799	382	9.22	48.48
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Esfahan	1756126	1574	51.65	32.63
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	Oita	472942	\N	131.61	33.23
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Roma	2617175	21	12.5	41.9
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	Münster	289576	60	7.63	51.97
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	Shuangcheng	142659	\N	126.35	45.38
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	Rio Claro	181720	613	-47.56	-22.41
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Cherepovets	315738	130	37.9	59.2
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderabad	1166894	13	68.37	25.38
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	Focsani	\N	55	27.18	45.7
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	San Bernardino	209959	321	-117.3	34.1
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	Oradea	196367	142	21.92	47.07
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	Acharnes	106943	186	23.73	38.08
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	Pune	3124458	561	73.86	18.52
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	Ndalatando	\N	670	14.92	-9.3
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	Cedar Rapids	126326	247	-91.67	41.98
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	Aosta	\N	583	7.32	45.73
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Evora	\N	\N	-7.9	38.57
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	Elektrostal'	155196	150	38.47	55.78
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	Kalabancoro	166722	\N	-8.03	12.57
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	Buenaventura	392054	0	-77.03	3.88
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	Dosso	\N	227	3.19	13.04
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	Dolisie	128032	290	12.67	-4.2
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	Trieste	202123	2	13.8	45.63
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Al Qunaytirah	\N	1010	35.82	33.12
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	Rovaniemi	61244	\N	25.73	66.5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpuchov	127041	140	37.4	54.92
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	Burnaby	223218	0	-122.97	49.27
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	Glendale	226437	351	-112.19	33.54
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	Zürich	384786	408	8.55	47.37
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	Ujjain	362633	\N	75.78	23.18
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	Noumea	\N	0	166.46	-22.28
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	Banská Bystrica	80003	362	19.15	48.73
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	Göttingen	115843	150	9.94	51.53
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	Bijeljina	114663	90	19.22	44.75
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	Ardahan	\N	1900	42.7	41.11
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	Tongchuan	280657	\N	109.08	35.07
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	Kassala	234622	\N	36.4	15.45
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	Bingol	98424	1151	40.5	38.89
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	Tarija	205346	1854	-64.73	-21.53
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	Anshan	1390000	2	122.98	41.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	Liverpool	552267	70	-2.98	53.4
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	Bochum	362286	100	7.22	51.48
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	Hammerfest	7089	2	23.68	70.66
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	Portalegre	\N	\N	-7.42	39.32
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	Visakhapatnam	1728128	54	83.22	17.69
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	Avarua	\N	\N	-159.46	-21.12
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	Vilnius	538747	112	25.28	54.68
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	Abancay	\N	2377	-72.88	-13.63
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	Messina	243262	3	15.55	38.18
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	Tottori	\N	\N	134.23	35.5
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	Manbij	204766	460	37.95	36.53
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Bur Sa'id	570768	3	32.28	31.25
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	Mkokotoni	\N	\N	39.27	-5.88
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	Diourbel	101984	12	-16.39	14.66
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	Dimbokro	\N	\N	-4.7	6.65
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	Esbjerg	71579	11	8.45	55.48
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Mbombela	588794	\N	30.99	-25.47
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	Luhans´k	427187	105	39.3	48.57
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	Le Havre	174156	0	0.1	49.49
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	Saint Catharines	131400	97.8	-79.23	43.18
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	Gorno Altaysk	56933	300	85.97	51.95
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	Maradi	267249	385	7.1	13.49
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	Bondoukou	\N	343	-2.8	8.03
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	Qujing	178669	1873	103.8	25.48
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	Trondheim	179692	3	10.39	63.43
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	San Salvador	354174	658	-89.19	13.69
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Hami	161315	759	93.5	42.84
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	Shanghai	22315474	4	121.5	31.2
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	Ponta Grossa	304733	975	-49.25	-25.42
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	Quillacollo	137029	2425	-66.28	-17.4
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	Kovrov	145214	125	41.33	56.37
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	Pathein	286684	\N	94.72	16.77
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Kochi	582588	0	76.28	9.97
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	Ocotepeque	\N	\N	-89.18	14.43
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	Glarus	\N	472	9.07	47.03
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	Le Mans	143240	38	0.2	48.01
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	Denizli	525497	324	29.08	37.77
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	Legazpi	179481	\N	123.73	13.13
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Kerkyra	\N	0	19.87	39.58
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	Ho	104532	150	0.47	6.61
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	Matola	671556	3	32.46	-25.96
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	Posadas	253369	120	-55.9	-27.37
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	Green Bay	103913	177	-88.02	44.51
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	Xi'an	6501190	405	108.9	34.27
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	Belford Roxo	469332	38	-43.4	-22.76
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov-na-Donu	1103733	70	39.7	47.23
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	Montpellier	264538	7	3.88	43.61
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahawalpur	408395	461	71.68	29.4
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	Tshikapa	180860	485	20.8	-6.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	Moreno Valley	193365	497	-117.23	33.94
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Georgetown	180573	\N	100.23	5.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	Francisco Morato	154158	792	-46.74	-23.28
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	Tucupita	\N	5	-62.07	9.06
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	Mbarara	195013	1473	30.66	-0.61
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	Kediri	268507	3	112.01	-7.82
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	Braga	114003	200	-8.43	41.55
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	Gustavia	2299	\N	-62.85	17.9
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	Cairns	146477	\N	145.78	-16.93
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	Recife	1537704	10	-34.9	-8.05
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	Ashgabat	604700	219	58.37	37.93
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	Mata-Utu	\N	\N	-176.18	-13.28
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	Joliet	147457	187	-88.15	41.52
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	Deva	\N	187	22.91	45.88
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	Nyíregyháza	119746	116	21.73	47.95
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	Catia La Mar	118466	\N	-67.03	10.6
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	Rybinsk	200771	100	38.83	58.05
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	Hartford	124775	18	-72.67	41.76
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	Tokyo	8591695	\N	139.68	35.68
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	Mostar	113169	60	17.8	43.33
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	Gorgan	329536	1350	54.43	36.84
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	Tehuacán	248716	\N	-97.4	18.47
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	Huichon	168180	\N	126.28	40.17
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	Ciudad Bolívar	307713	54	-63.55	8.12
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Yerushalayim	773000	754	35.22	31.78
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons-en-Champagne	\N	82	4.37	48.96
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	Shanwei	107847	8	115.37	22.78
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	Nanjing	7165292	20	118.77	32.05
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshawar	982816	359	71.58	34.02
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	Apartadó	173008	30	-76.63	7.88
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	Ruda Śląska	142672	272	18.7	50.27
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	Boulogne-Billancourt	116220	28	2.24	48.84
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	Chicago	2718782	181	-87.68	41.84
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	Daxian	188101	312	107.52	31.2
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	Yixing	200824	\N	119.82	31.36
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	Oldham	96555	\N	-2.12	53.54
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle upon Tyne	268064	\N	-1.6	54.97
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	Taiping	183320	\N	100.73	4.85
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	Marseille	850636	0	5.37	43.3
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	Kota Kinabalu	354153	\N	116.1	5.97
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	Mombasa	938131	50	39.67	-4.05
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	Cariacica	337643	\N	-40.42	-20.26
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	Blackburn	117963	\N	-2.48	53.74
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	Likasi	299118	1318	26.73	-10.98
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	Wolfsburg	119984	63	10.79	52.42
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	Hermosillo	715061	210	-110.95	29.1
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	Bejaïa	176139	949	5.07	36.75
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	Iskenderun	184833	4	36.17	36.58
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	Juazeiro	160775	1098	-40.5	-9.43
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	Charleston	51347	182	-81.63	38.35
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	Macapá	381214	12	-51.07	0.03
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	La Rioja	143921	515	-66.85	-29.41
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	Barinas	215452	187	-70.2	8.63
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	Blida	331779	260	2.82	36.47
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	Caucaia	290220	29	-38.66	-3.73
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Siracusa	118385	17	15.28	37.08
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	Qurghonteppa	75400	430	68.78	37.84
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	Bandar Abbas	435751	9	56.27	27.18
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khoy	200958	1148	44.95	38.55
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	Coimbatore	1050721	411.2	76.97	11.02
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	Doha	339847	7	51.53	25.29
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	Burgas	197301	30	27.47	42.5
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	Burdur	\N	\N	30.28	37.72
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	Jhansi	313491	285	78.57	25.45
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	Härnösand	27287	1	17.94	62.64
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	Gorontalo	153036	9	123.07	0.53
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	Pago Pago	\N	9	-170.7	-14.28
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	Soacha	500097	2566	-74.22	4.59
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	Sekondi	228342	10	-1.76	4.9
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	Kinkala	\N	407	14.76	-4.36
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	Bamenda	269530	1614	10.17	5.93
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	Poltava	297589	132	34.55	49.59
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhupura	280263	236	73.99	31.72
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	Eindhoven	221279	17	5.48	51.43
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	Iquitos	370962	104	-73.25	-3.73
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	Holguín	294313	5	-76.26	20.89
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsø	5961	6	29.73	70.08
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	Mississauga	713443	156	-79.65	43.6
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khujand	165300	300	69.62	40.28
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	Hpa an	\N	\N	97.63	16.89
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	Tyumen	634171	70	65.53	57.15
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	Naha	\N	\N	127.68	26.21
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	Luxembourg	99852	230	6.13	49.61
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	Taganrog	254783	30	38.92	47.22
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	La Ceiba	127590	3	-86.83	15.77
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	Franceville	103840	\N	13.58	-1.63
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	Changwon	1062731	2	128.66	35.27
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	Burgos	178864	859	-3.71	42.35
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	Swansea	179485	\N	-3.95	51.62
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	Rajkot	1286678	128	70.78	22.3
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	Würzburg	124297	177	9.93	49.78
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	Banha	158389	19	31.19	30.46
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	Surgut	325511	40	73.43	61.25
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	Almada	49578	50	-9.16	38.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	Palmdale	152750	810	-118.1	34.58
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	Mataram	402843	26	116.12	-8.58
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	Pekanbaru	897767	12	101.45	0.53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	Glendale	191713	159	-118.25	34.17
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	Umeå	117294	12	20.26	63.83
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	Van	370190	1730	43.38	38.49
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	Ceuta	82376	\N	-5.3	35.9
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	Gliwice	186347	200	18.67	50.28
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Eslam Shahr	389102	1456	51.23	35.56
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	Independence	116830	315	-94.41	39.08
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	Gloucester	136362	\N	-2.24	51.87
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	Gold Coast	576747	\N	153.4	-28.02
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	Tulsa	391886	220	-95.94	36.13
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Dashhowuz	165400	88	59.97	41.83
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	León	131411	837	-5.57	42.61
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	Montpelier	7855	183	-72.57	44.25
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	Ciudad Obregón	298625	40	-109.93	27.49
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	Santa Cruz de Tenerife	204476	4	-16.25	28.47
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Velikij Novgorod	218717	25	31.27	58.55
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	Maroua	201371	384	14.32	10.6
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	Tokushima	\N	\N	134.55	34.07
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	Vaughan	288301	\N	-79.5	43.83
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	Juazeiro do Norte	240128	350	-39.33	-7.2
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	Zadar	70674	0	15.23	44.11
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	Liestal	\N	327	7.73	47.47
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	Benxi	768778	131	123.77	41.3
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	Berlin	3292365	34	13.38	52.52
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	Gagnoa	167900	\N	-5.93	6.13
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	Abengourou	\N	\N	-3.48	6.73
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	Kanazawa	445432	\N	136.65	36.57
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	Quebec	516622	98	-71.22	46.82
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	Asmara	380568	2326	38.93	15.33
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	Zabrze	179861	\N	18.78	50.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	Coventry	325949	\N	-1.51	52.41
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	Anyang	420332	69	114.33	36.1
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	Neiva	340046	442	-75.3	3
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	Vaasa	66415	\N	21.62	63.1
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	Ermoupoli	\N	0	24.92	37.43
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	Miercurea Ciuc	\N	662	25.8	46.36
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	Port Sudan	308195	\N	37.22	19.62
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	Thessaloniki	325182	0	22.9	40.65
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	Biskra	204661	87	5.73	34.85
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	Zenica	115134	316	17.91	44.2
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	Almería	189680	27	-2.47	36.84
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	Minatitlán	112046	20	-94.55	17.98
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	Wuhai	264081	1150	106.68	39.65
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	Magdeburg	228144	55	11.62	52.13
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	Campinas	1061540	555	-47.06	-22.9
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	Río Cuarto	144140	452	-64.35	-33.13
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	Piteşti	155383	300	24.87	44.86
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	Chaoxian	123676	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	Hefei	3310268	37	117.28	31.87
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhzhia	772627	86	35.17	47.83
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	Anderlecht	113462	\N	4.33	50.83
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	Anápolis	328755	1017	-48.95	-16.33
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Molenbeek-Saint-Jean	94653	\N	4.33	50.85
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	Camagüey	307841	95	-77.91	21.38
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	Srinagar	1180570	1585	74.79	34.09
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	Ningbo	3491597	150	121.55	29.87
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	Lerwick	6570	\N	-1.14	60.16
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington	295803	298	-84.49	38.03
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	Kinshasa	4655313	240	15.32	-4.32
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	Dumai	253803	\N	101.45	1.67
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bangalore	8443675	920	77.57	12.97
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	Torre del Greco	85922	\N	14.37	40.78
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hannover	506416	55	9.72	52.37
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesha	139445	\N	4.72	7.62
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	Sydney	4605992	3	151.21	-33.86
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	Qingdao	3718835	\N	120.38	36.07
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	Mogadishu	\N	\N	45.35	2.03
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	Ajaccio	66245	0	8.74	41.93
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	Kerch	145845	10	36.47	45.36
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	Rancagua	206971	572	-70.75	-34.17
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	Kananga	393030	608	22.4	-5.89
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	Armavir	188832	190	41.12	45
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	Norwich	186682	\N	1.3	52.63
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Aioun	\N	\N	-9.62	16.67
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	Port Blair	\N	16	92.74	11.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	Temirtau	175632	\N	72.95	50.05
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Biel	53031	434	7.25	47.13
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	Bournemouth	187503	\N	-1.88	50.72
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	Cape Town	3740026	0	18.42	-33.93
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	Nanchang	2357839	37	115.88	28.68
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	Caracas	1975786	900	-66.92	10.5
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	Colatina	98395	71	-40.63	-19.54
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	Lowell	106519	31	-71.31	42.64
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Sochi	368011	30	39.72	43.59
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	Ulanhot	159538	\N	122.8	46.13
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	Apucarana	114098	840	-51.46	-23.55
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Kalookan	1378856	\N	120.97	14.65
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	Obninsk	104739	175	36.61	55.09
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	Tamale	371351	151	-0.85	9.41
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	Mogilev	358279	192	30.33	50.9
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	Puerto Cabello	177751	0	-68.02	10.47
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	Hilversum	86738	15	5.17	52.23
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	Santa Barbara	\N	\N	-88.23	14.92
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	Irvine	211906	17	-117.82	33.67
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	Chitre	48479	24	-80.43	7.97
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	Košice	240433	206	21.25	48.72
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	Cobán	232703	1320	-90.37	15.48
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	Trnava	66358	146	17.59	48.38
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	Nouadhibou	118167	0	-17.03	20.93
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	Chiba	937146	2	140.1	35.6
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okara	201815	105	73.45	30.81
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	al Hudaydah	402560	17	42.95	14.8
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	Obuasi	143644	101	-1.68	6.2
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	Jiaxing	211526	\N	120.75	30.77
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardan	245926	\N	72.05	34.2
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	Toledo	\N	529	-4.02	39.86
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	Madingou	\N	190	13.55	-4.15
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	Paterson	146199	34	-74.16	40.91
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	Appenzell	\N	780	9.42	47.33
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma de Mallorca	402044	13	2.65	39.57
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	Ribeirão das Neves	294153	\N	-44.09	-19.77
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	Lakewood	142999	1682	-105.08	39.7
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	Liancheng	156307	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	Monza	119856	162	9.27	45.58
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	Jiutepec	162427	1355	-99.17	18.88
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	Tarragona	133223	68	1.25	41.12
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	Jabalpur	1055525	412	79.93	23.17
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	Kigali	603049	1567	30.06	-1.94
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	Dessie	147592	2470	39.63	11.13
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	Włocławek	115982	\N	19.07	52.66
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	Butuan	298378	1	125.53	8.95
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	Cirebon	296389	\N	108.57	-6.72
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	Vologda	306487	120	39.9	59.22
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	Heidelberg	146751	114	8.72	49.42
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	Puerto La Cruz	205866	10	-64.63	10.2
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	Tlaxcala	14692	2239	-98.23	19.3
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	Port Moresby	318128	35	147.22	-9.51
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	Saltillo	709671	1600	-101	25.43
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	Valencia	792054	15	-0.38	39.47
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	Danyang	169603	\N	119.59	32
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	Halle	229153	88	11.97	51.48
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	Bukoba	128796	\N	31.82	-1.33
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	Little Rock	193524	102	-92.33	34.74
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	Maseru	227880	1600	27.48	-29.31
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	Paranaguá	135386	5	-48.51	-25.52
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	Toluca	489333	2660	-99.66	19.29
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	Aracaju	571149	4	-37.05	-10.92
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	Fontana	196069	377	-117.47	34.1
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basseterre	15500	15	-62.73	17.3
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	Bertoua	88462	717	13.68	4.58
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	Tanga	273332	25	39.1	-5.07
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirana	418495	110	19.82	41.33
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	Kaliningrad	441376	\N	20.45	54.7
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bolzano	102575	262	11.35	46.5
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	Tatabánya	67753	167	18.39	47.59
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	Enugu	407756	202	7.51	6.45
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	Guarda	\N	1056	-7.33	40.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kustanay	221970	125	63.62	53.2
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	Girón	175528	706	-73.17	7.07
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	Villeurbanne	145034	165	4.88	45.77
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Diwaniyah	196519	25	45	32
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	Cardiff	335145	\N	-3.18	51.48
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	Al Fashir	141884	\N	25.35	13.63
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	Mudanjiang	571705	233	129.63	44.55
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	Bogra	350397	21	89.37	24.85
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	Mitu	\N	183	-70.17	1.2
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	Aurora	324601	1668	-104.83	39.73
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	Kindu	\N	504	25.95	-2.95
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	Kastamonu	96217	800	33.78	41.38
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Nojabr'sk	110620	115	75.45	63.2
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm	1013887	171	56.32	58
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	Lillehammer	22118	440	10.47	61.12
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopjevsk	210130	280	86.72	53.88
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	San Pedro Sula	515458	83	-88.03	15.5
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	Chihuahua	809232	1415	-106.09	28.64
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	Qarshi	254600	374	65.8	38.87
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	Viña del Mar	286931	2	-71.52	-33
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Majkop	144249	220	40.08	44.6
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	Goyang	897174	\N	126.8	37.65
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	Ankara	4630735	938	32.87	39.93
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	Navi Mumbai	1120547	\N	73.02	19.02
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	Iringa	151345	\N	35.7	-7.77
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla Morelos	154358	1294	-99.96	18.81
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	Cumaná	208114	43	-64.17	10.46
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	Jining	163552	\N	116.57	35.4
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	Spokane	209440	562	-117.42	47.66
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	Kuala Lumpur	1297526	21.95	101.68	3.13
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	Telde	101080	130	-15.42	27.98
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	Grodno	327540	137	23.83	53.67
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	Winnipeg	663617	230	-97.14	49.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	Suzhou	5345961	\N	120.6	31.3
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Yekaterinburg	1396074	237	60.58	56.83
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	Milton Keynes	171750	\N	-0.76	52.04
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	Yangjiang	215196	4	111.97	21.85
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	Melekeok	391	\N	134.6	7.48
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	Adamstown	\N	\N	-130.05	-25.04
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	La Plata	553002	26	-57.95	-34.92
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	Aktau	181526	-8	51.15	43.65
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	Stamford	122643	7	-73.54	41.05
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	San Marino	4227	749	12.45	43.93
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	Molde	21448	130	7.24	62.76
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	Manchester	109571	64	-71.46	42.99
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétion-Ville	271175	\N	-72.28	18.52
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	Buffalo City	755200	135	27.87	-32.98
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Prishtine	198214	652	21.17	42.67
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	Philadelphia	1553165	12	-75.17	39.95
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	Móstoles	203493	620	-3.87	40.33
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	Cosenza	69484	238	16.25	39.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	Wolverhampton	210319	\N	-2.13	52.58
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	Las Tablas	\N	42	-80.28	7.77
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	Palermo	657561	14	13.37	38.12
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	Qazvin	381598	\N	50	36.27
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	Legnica	102708	113	16.16	51.21
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Ma`arrat an Nu`man	150965	530	36.67	35.63
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	Cuernavaca	338650	1510	-99.23	18.92
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikja	\N	\N	-11.43	18.55
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	Yumen	109234	1507	97.57	39.83
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	Borås	104867	143	12.94	57.72
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	Cartagena	990179	2	-75.5	10.4
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	Peristeri	139981	50	23.68	38.02
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	Shijiazhuang	2834942	83	114.48	38.07
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	Hamm	176037	63	7.82	51.68
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	Saint-Denis	145347	\N	55.5	-20.9
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	Matsue	\N	\N	133.05	35.47
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	Bielsko-Biała	174291	300	19.04	49.82
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	Ngaoundéré	152698	1212	13.58	7.32
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	Estelí	122924	843.97	-86.35	13.08
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	Dalian	4087733	29	121.64	38.92
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	Kozani	\N	710	21.78	40.3
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	Rizhao	185048	\N	119.43	35.42
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	Szombathely	78884	209	16.62	47.24
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Žukovskij	104736	130	38.12	55.6
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	Vladivostok	600378	40	131.9	43.13
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	Eastbourne	109185	\N	0.28	50.77
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhhorod	116556	169	22.3	48.62
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	Akron	199092	306	-81.52	41.07
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Emfuleni	721662	1468	27.84	-26.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	Catanduva	111914	503	-48.97	-21.14
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	Salt Lake City	186443	1288	-111.88	40.75
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	Muntinlupa	452943	16	121.05	14.38
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	Usak	187886	890	29.4	38.68
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	Jixi	683885	230	130.97	45.3
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	Ghaziabad	1648643	214	77.42	28.67
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	Kohima	\N	1444	94.11	25.67
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	Chengdu	7415590	500	104.06	30.66
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	Huainan	1200000	\N	116.98	32.62
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	Grand Rapids	188051	195	-85.66	42.96
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	Virginia Beach	437964	3	-75.98	36.85
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	El Porvenir	\N	\N	-78.97	9.55
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	Pelotas	306193	7	-52.34	-31.77
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	Markham	301709	200	-79.25	43.88
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	Hue	302983	\N	107.58	16.47
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	Victoria	\N	23	-123.37	48.43
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	Kaiserslautern	96340	251	7.77	49.44
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching Utara	152310	27	110.35	1.56
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namur	110500	\N	4.87	50.47
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	Ouesso	\N	340	16.05	1.61
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	Rybnik	140863	210	18.55	50.08
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	Nukualofa	23658	3	-175.2	-21.13
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	Gander	\N	128	-54.61	48.96
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	Noril'sk	175365	90	88.22	69.33
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	Mardin	86948	1083	40.74	37.32
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	Orumiyeh	667499	1332	45.07	37.56
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	Hildesheim	99554	81	9.95	52.15
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	Barretos	108686	530	-48.57	-20.56
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	Sacramento	466488	9	-121.47	38.56
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	Bottrop	117311	55	6.92	51.52
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	Viedma	52789	12	-62.97	-40.83
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	As Suways	510935	5	32.55	29.97
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	Constanţa	283872	25	28.64	44.17
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	Ternate	\N	\N	127.4	0.68
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	Lhasa	106885	4200	91.12	29.65
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	Owerri	119711	\N	7.04	5.49
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	Mariupol´	464457	22	37.55	47.1
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	Divinópolis	207516	712	-44.88	-20.14
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemi	101309	\N	29.2	-5.93
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	Fullerton	135258	50	-117.93	33.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	Santa Clarita	176320	368	-118.51	34.42
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodø	34479	\N	14.4	67.28
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	Visby	20000	\N	18.3	57.63
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin al Kum	177060	9	31.01	30.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	Culiacán	675773	54	-107.39	24.8
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	Târgu Mureş	134290	320	24.56	46.55
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergijev Posad	111179	210	38.13	56.3
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	Mekele	273601	2084	39.47	13.48
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	Garoua	235996	249	13.4	9.3
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	Florencia	169336	242	-75.61	1.61
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	Yaoundé	1817524	726	11.52	3.87
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz	428323	\N	-96.38	19.43
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	Thiès	273218	\N	-16.92	14.78
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	Katsina	259315	\N	7.6	12.98
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	Kilis	85119	663	37.12	36.72
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	Lyon	491268	162	4.84	45.76
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	Cachoeiro de Itapemirim	173589	22	-41.11	-20.85
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	Rufisque	169371	\N	-17.27	14.72
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	Sanmenxia	120523	376	111.2	34.77
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	Ouagadougou	1475223	305	-1.54	12.36
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	Trujillo	\N	\N	-86	15.92
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Nápoli	962003	17	14.25	40.83
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	Osasco	666740	760	-46.8	-23.53
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	Vatican City	842	\N	12.45	41.9
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	Port-of-Spain	548299	3	-61.52	10.67
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	Kherson	300666	43	32.58	46.63
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	Kaolack	190927	\N	-16.25	14.02
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	Mmabatho	\N	\N	25.63	-25.85
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	Mataró	123367	28	2.45	41.53
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	Lubumbashi	851381	1208	27.47	-11.67
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	Karlovy Vary	53310	447	12.87	50.23
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	Mainz	200344	89	8.27	50
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	Menongue	\N	1354	17.68	-14.66
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Lalitpur	226728	1350	85.32	27.67
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	Caruaru	279589	545	-35.98	-8.28
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	Tacna	242451	552	-70.25	-18.06
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	Altdorf	\N	458	8.63	46.87
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	El Paso	674433	1140	-106.42	31.79
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	Livorno	157052	3	10.32	43.55
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	Dar es Salaam	4364541	12	39.28	-6.8
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Jessentuki	100996	610	42.85	44.03
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Az Zaqaziq	302611	\N	31.5	30.57
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	Zagreb	686568	158	15.98	45.82
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	Pagadian	161312	100	123.43	7.83
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	Musoma	134327	1189	33.8	-1.5
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardebil	482632	1351	48.28	38.25
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	Salzburg	146676	424	13.03	47.8
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasur	245321	218	74.45	31.12
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	Paraná	235931	77	-60.53	-31.73
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	Kaduna	993642	250	7.44	10.52
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	Sapucaia do Sul	130469	35	-51.14	-29.84
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	Monterrey	1135512	540	-100.3	25.67
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	Longueuil	231409	\N	-73.52	45.53
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Tougourt	143270	62	6.07	33.1
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	Chiang Mai	160200	310	99	18.8
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu	240230	790	-46.35	-23.49
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	Douala	1907479	13	9.68	4.05
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	Evansville	120081	118	-87.55	37.98
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung-Hungnam	768551	\N	127.53	39.92
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	Hailar	180650	614	119.7	49.2
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	Xuancheng	112673	\N	118.73	30.93
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	Rondonópolis	188028	227	-54.64	-16.47
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen	157584	95	8.44	49.48
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	Namangan	475700	450	71.67	41
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	Luleburgaz	105279	30	27.36	41.41
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	Oshawa	149607	106	-78.85	43.9
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Msunduzi	618536	596	30.38	-29.62
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	Hialeah	224667	2	-80.29	25.86
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nižnekamsk	234044	110	51.82	55.63
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	Bahir Dar	191016	1800	37.38	11.6
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	Rostock	200265	14	12.13	54.08
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	Rennes	208033	20	-1.68	48.11
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	Saga	\N	\N	130.3	33.27
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	Tonsberg	8984	\N	10.42	59.3
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	Bayburt	\N	1550	40.23	40.26
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	Meerut	1305429	224.659	77.7	28.99
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venézia	261362	1	12.34	45.44
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	Khartoum	947483	382	32.53	15.63
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	Cangzhou	242708	13	116.87	38.32
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	Kolomna	144589	125	38.78	55.08
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	Reno	225988	1374	-119.82	39.53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	Oceanside	167086	20	-117.33	33.21
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	Linz	193511	266	14.28	48.3
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Baha	\N	2155	41.45	20
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	Yogyakarta	388627	113	110.36	-7.8
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	Xai-Xai	115752	9	33.65	-25.05
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	Mobile	195102	3	-88.04	30.69
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	Apopa	143718	443	-89.18	13.8
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	Pikine	915300	\N	-17.4	14.75
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	Ambon	331254	3	128.17	-3.7
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	Ulhasnagar	369077	19	73.15	19.22
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulyab	96800	580	69.78	37.91
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	Salavat	156095	156	55.93	53.37
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	Tacoma	198397	74	-122.46	47.24
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	Araçatuba	178077	390	-50.43	-21.21
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	Bauchi	206537	616	9.84	10.32
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	Arauca	\N	125	-70.76	7.09
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	Juliaca	216716	3825	-70.13	-15.49
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	Ryazan	527905	130	39.7	54.6
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	Tete	155870	140	33.6	-16.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	São Bernardo do Campo	752658	762	-46.55	-23.7
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	Campos dos Goytacazes	418725	14	-41.32	-21.75
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	Ravenna	153740	4	12.2	44.42
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	Bukavu	201569	1498	28.87	-2.5
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	Vancouver	161849	52	-122.6	45.63
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	Keflavik	13862	\N	-22.57	64.02
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	Heredia	119670	1150	-84.12	10
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	Annapolis	38274	12	-76.5	38.97
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	Halmstad	93231	11	12.86	56.67
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	Kénitra	359142	\N	-6.58	34.25
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	Basse-Terre	\N	\N	-61.8	16.15
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	Kolonia	5681	\N	158.2	7
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	Bolgatanga	65549	177	-0.85	10.78
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	Al Ain	348000	292	55.74	24.21
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	Tampa	335715	15	-82.48	27.97
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	Arar	\N	536	41.02	30.98
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	Saint Helier	\N	\N	-2.1	49.2
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	Umuahia	147167	\N	7.48	5.53
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	Kingston	662426	9	-76.8	17.98
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	Izmir	3401994	2	27.13	38.42
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	Santa Clara	220210	125	-79.96	22.41
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubli	648298	671	75.08	15.36
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	Cali	2344734	1018	-76.52	3.42
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuk Linggau	201308	\N	102.86	-3.3
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	Erbil	850000	420	44.01	36.19
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	Rouen	111553	2	1.1	49.44
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	Amasya	91874	40	35.83	40.65
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	Targoviste	\N	292	25.46	44.92
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Beograd	1639121	117	20.47	44.82
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	Gaziantep	1438373	850	37.38	37.07
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	Koblenz	107825	73	7.6	50.36
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	Lages	153937	916	-50.33	-27.82
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	Tehran	8154051	1200	51.42	35.7
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	Osmaniye	209255	\N	36.25	37.08
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Yakutsk	286456	120	129.73	62.03
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	Osnabrück	153699	63	8.05	52.28
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wah Cantonment	198891	471	72.75	33.77
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	Huánuco	149210	1880	-76.24	-9.93
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	Magadan	95982	70	150.8	59.57
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	Fürth	115613	294	11	49.47
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	Andorra la Vella	22256	1023	1.5	42.5
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Čerkessk	129069	530	42.05	44.22
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	Kavaratti	\N	\N	72.62	10.57
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	Maringá	350653	515	-51.92	-23.4
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tanger	669685	80	-5.8	35.77
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	Dodoma	410956	1120	35.74	-6.17
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	Basel	167386	260	7.6	47.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	Ado-Ekiti	156122	455	5.22	7.62
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	Quilmes	518723	17	-58.27	-34.72
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	Sagaing	\N	\N	95.98	21.88
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	Toronto	2615060	76	-79.4	43.7
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	Osaka	2543137	\N	135.5	34.69
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	As Samawah	\N	9	45.28	31.32
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	Overland Park	173334	331	-94.67	38.98
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Duma	181934	428	36.4	33.57
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	Macaé	202859	2	-41.79	-22.37
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	Moyobamba	\N	\N	-76.97	-6.03
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	Charlotte	792862	229	-80.84	35.23
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad Díez Gutiérrez	255015	\N	-100.93	22.18
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	Leganés	185758	666.22	-3.76	40.33
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokaro Steel City	333683	210	86.15	23.67
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	Xintai	281248	\N	117.78	35.91
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	St. Pölten	52100	267	15.62	48.2
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	Rize	104508	6	40.52	41.02
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	Charlottetown	34562	0	-63.15	46.23
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	Vejle	51804	8	9.53	55.72
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	Tela	77031	3	-87.47	15.78
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	Tabriz	1494998	1351.4	46.3	38.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	Tonghua	324600	374	125.93	41.73
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	Braganca	\N	674	-6.76	41.81
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Jhongli	376217	\N	121.22	24.96
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	Luanda	5000000	6	13.23	-8.84
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	Pardubice	90844	237	15.78	50.04
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	Worcester	181041	146	-71.8	42.27
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	Saint Johns	22219	0	-61.85	17.12
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	Glasgow	590507	\N	-4.26	55.86
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	Shiyan	273786	\N	110.8	32.63
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	Codo	118072	47	-43.89	-4.46
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	Kaohsiung	2778659	9	120.27	22.63
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	Zhucheng	102134	66	119.42	36
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	Copiapó	125983	391	-70.33	-27.37
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	Batna	289504	1048	6.17	35.55
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	Boston	645966	43	-71.06	42.36
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	Tarawa	50182	\N	173	1.43
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	Aveiro	53496	\N	-8.65	40.63
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	Balikesir	267903	70	27.53	39.39
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	Kaifeng	507763	75	114.3	34.8
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	Sibiu	147245	415	24.15	45.8
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	Sikasso	225753	410	-5.67	11.32
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	Tegal	239599	5	109.13	-6.87
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	Norrköping	132124	\N	16.2	58.6
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	Ciénaga	104060	10	-74.25	11.01
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa-Enríquez	424755	1440	-96.93	19.54
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	Rio Branco	308545	143	-67.81	-9.97
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	Gelsenkirchen	258766	48	7.1	51.52
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	Mendoza	110716	746.5	-68.82	-32.88
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	Huntsville	180241	193	-86.58	34.73
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	Kecskemét	111411	105	19.69	46.91
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	Bouaké	542082	312	-5.02	7.68
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	Cluj-Napoca	324576	340	23.58	46.77
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	Jhang	293366	\N	72.32	31.27
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	Dimitrovgrad	122580	60	49.58	54.18
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	Bayamón	185996	16	-66.16	18.38
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	Shangqiu	164880	50	115.65	34.42
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	Kandahar	311800	1010	65.72	31.62
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	Albuquerque	556495	1620	-106.61	35.11
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	Renqiu	114256	\N	116.1	38.7
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	Bolton	194189	\N	-2.43	53.58
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	Pervoural'sk	124528	283	59.93	56.92
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nürnberg	486314	309	11.08	49.45
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	Plovdiv	331796	164	24.75	42.15
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	Tabora	226999	1241	32.8	-5.02
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	Paderborn	142365	110	8.77	51.72
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	Ebolowa	\N	636	11.15	2.92
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	Haining	100478	\N	120.68	30.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	Haikou	280153	\N	110.34	20.04
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaozhou	153364	\N	119.96	36.25
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	Butembo	109406	1381	29.29	0.13
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	Campo Grande	776242	592	-54.61	-20.46
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	Dammam	744321	\N	50.2	26.28
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Tirgu Jiu	\N	\N	23.27	45.03
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	Barbacena	115568	1160	-43.77	-21.22
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	Brighton and Hove	229700	\N	-0.15	50.83
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	Columbia	130038	89	-80.9	34.03
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	Kitwe	467084	\N	28.2	-12.82
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	Bern	128848	542	7.45	46.95
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	Sunchon	297317	\N	125.93	39.42
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	Colombo	647100	1	79.84	6.93
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	Zaria	612257	\N	7.7	11.07
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	Matanzas	143774	20	-81.58	23.05
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	Tartus	160862	20	35.88	34.88
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	Kobe	1512109	\N	135.2	34.69
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	Abadan	212744	3	48.3	30.34
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	Syzran'	178750	50	48.47	53.17
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	Chesapeake	222209	9	-76.24	36.71
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	Ashiaman	190972	39	-0.03	5.7
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	Allentown	118032	103	-75.48	40.6
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Polokwane	628999	1312	29.45	-23.9
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	Los Teques	183142	\N	-67.03	10.33
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	Nakhon Ratchasima	254900	\N	102.1	14.98
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	Villa Nueva	527174	1330	-90.59	14.53
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	Sagamihara	700923	\N	139.37	35.57
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	Suceava	92121	300	26.26	47.65
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	Longyan	134481	\N	117.02	25.08
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	Port Vila	44040	\N	168.3	-17.75
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	Hakha	\N	1868	93.61	22.65
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Dar`a	146481	435	36.1	32.62
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	Shenyang	6255921	55	123.4	41.8
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	Chake Chake	\N	\N	39.77	-5.25
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	Oyo	369894	\N	3.93	7.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	Ijebu-Ode	124313	70	3.92	6.82
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Cheboksary	464940	150	47.23	56.15
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	Pontianak	554764	0	109.33	0
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	Betim	375331	817	-44.2	-19.97
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	Yamagata	\N	\N	140.33	38.25
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	Tangshan	3372102	\N	118.18	39.62
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	Mymensingh	258040	19	90.4	24.75
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	Sabzevar	231557	977.6	57.68	36.21
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussurijsk	158004	20	131.97	43.8
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	Bhavnagar	402338	24	72.15	21.76
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	Komotini	\N	45	25.42	41.1
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	Weinan	140169	\N	109.5	34.5
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	São Carlos	213061	856	-47.89	-22.02
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	Sandakan	276791	12	118.12	5.83
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	Wafangdian	251733	121	121.97	39.63
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	Rotterdam	619180	0	4.5	51.92
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	Bamako	1809106	350	-8	12.65
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	Toliara	80826	\N	43.67	-23.35
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	München	1348335	519	11.57	48.13
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	Jambi	531857	16	103.61	-1.59
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	San Jose del Guaviare	\N	185	-72.63	2.57
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk-Kamčatskij	179780	150	158.65	53.02
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	Myitkyina	\N	\N	97.4	25.38
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	Ségou	130690	294	-6.27	13.45
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	Yichun	795789	\N	128.9	47.73
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	Bujumbura	497166	774	29.37	-3.38
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	Montería	434950	18	-75.88	8.75
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	Plymouth	0	\N	-62.22	16.71
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	Victoria	24970	\N	55.45	-4.62
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	Bitlis	\N	1500	42.11	38.4
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	Hengshui	104269	\N	115.7	37.73
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	Tunja	184864	2820	-73.37	5.53
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	Akureyri	17490	\N	-18.1	65.68
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	Larissa	162591	67	22.42	39.64
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Koksetau	140846	234	69.38	53.28
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	Pereira	467185	1411	-75.69	4.81
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	Kingston	\N	\N	168	-29
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	Antsirabe	126062	1500	47.03	-19.87
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Nelson Mandela Bay	1152115	89	25.6	-33.96
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	Dijon	151672	220	5.04	47.29
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	Temara	225497	\N	-6.91	33.93
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	Irving	216287	147	-96.95	32.81
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	Agboville	\N	\N	-4.22	5.93
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	Piura	377496	\N	-80.63	-5.2
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	Ensenada	279765	16	-116.61	31.86
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	Nuuk	\N	5	-51.74	64.18
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	Sete Lagoas	208956	766.73	-44.25	-19.47
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	Sousse	223844	\N	10.63	35.83
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	Hanoi	2644536	19	105.85	21.03
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	Morón	309086	26	-58.62	-34.65
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	Villavicencio	473766	467	-73.63	4.15
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	Opole	122120	176	17.93	50.67
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	Jamnagar	350544	17	70.07	22.47
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	Split	165893	0	16.45	43.51
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	Algiers	2364230	10	3.22	36.77
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	Dili	193563	\N	125.6	-8.6
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	Praia	131719	0	-23.51	14.92
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	Nitra	78916	190	18.09	48.31
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim an der Ruhr	166865	40	6.88	51.43
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	Haeju	273300	\N	125.72	38.05
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	Machakos	150041	\N	37.27	-1.52
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	La Paz	\N	750	-87.67	14.32
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	Vanersborg	35804	\N	12.33	58.38
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	Assen	\N	10	6.57	53
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	Solothurn	\N	430	7.53	47.22
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	Douglas	\N	\N	-4.6	54.15
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	San Juan	115556	640	-68.53	-31.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	Pavlodar	329901	123	76.95	52.3
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	Bellinzona	\N	238	9.02	46.2
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	Catánia	293902	7	15.09	37.5
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Ha Long	201990	\N	107.08	20.95
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	Shangzhi	215373	\N	127.97	45.21
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	Araguaína	142925	227	-48.21	-7.19
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	Sorocaba	580655	601	-47.46	-23.5
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rawalpindi	1409768	508	73.03	33.6
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	La Chorrera	161470	\N	-79.95	8.48
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	Semnan	153680	1130	53.4	35.57
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	Anda	136446	149	125.5	46.45
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	Nossa Senhora do Socorro	155823	36	-37.06	-10.85
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaerbeek	130587	\N	4.38	50.87
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ngiva	\N	1098	15.73	-17.07
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	Lahore	5143495	217	74.34	31.55
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	Alofi	\N	21	-169.9	-19.05
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	Qinhuangdao	364972	\N	119.6	39.93
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	Saurimo	\N	1081	20.4	-9.65
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	Baoji	337765	570	107.38	34.35
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	Guanare	129751	183	-69.75	9.04
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	Surrey	468251	0	-122.85	49.18
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	Syktyvkar	235006	130	50.82	61.67
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	Ulsan	1081985	\N	129.32	35.55
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	Pasto	434486	2527	-77.28	1.21
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	Navoiy	134100	382	65.38	40.08
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	Mokpo	244543	\N	126.38	34.76
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	Angra dos Reis	163290	1378	-44.32	-23.01
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elche	227417	86	-0.7	38.27
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	Jiaozuo	409100	139	113.22	35.24
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	Fort Wayne	253706	247	-85.14	41.08
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	Hakkari	\N	\N	43.74	37.58
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia	185512	6	-1.99	43.32
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	Gravataí	243497	26	-50.99	-29.94
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	Antalya	1073794	30	30.68	36.9
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	Nacaome	\N	\N	-87.48	13.52
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	Lahti	103396	\N	25.65	60.98
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	Florianópolis	405286	3	-48.42	-27.83
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	Macao	\N	\N	113.55	22.17
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	Georgetown	118363	-2	-58.17	6.8
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	Oxnard	197899	16	-119.18	34.19
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	Trujillo	682834	34	-79.03	-8.11
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumgayit	290500	26	49.67	40.59
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	Yoro	64425	\N	-87.13	15.13
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	Nilópolis	157425	14	-43.41	-22.81
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	Leicester	443760	\N	-1.13	52.63
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	Timişoara	319279	90	21.23	45.76
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moskva	11979529	156	37.62	55.75
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	Częstochowa	235156	\N	19.12	50.8
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	Maastricht	122243	49	5.68	50.85
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	Nanping	195064	89	118.18	26.65
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	Córdoba	328326	120	-4.77	37.88
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	Nha Trang	292693	\N	109.18	12.25
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	Quanzhou	185154	\N	118.58	24.92
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	Chuxian	125341	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	Cienfuegos	162178	25	-80.44	22.15
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomosho	433030	329	4.25	8.13
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	Maebashi	\N	\N	139.06	36.39
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	Nueva Gerona	\N	17	-82.8	21.88
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	Cork	118912	9	-8.47	51.9
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	Osijek	83496	94	18.68	45.56
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	Mamuju	\N	390	118.86	-2.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudniy	114170	\N	63.13	52.97
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	Schwyz	\N	516	8.65	47.02
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	Abidjan	4395243	18	-4.03	5.32
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	Balakovo	199690	24	47.78	52.03
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	Varanasi	1198491	80.71	82.96	25.28
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	Istanbul	13710512	40	28.96	41.01
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	Murom	116075	115	42.03	55.57
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	Grenoble	157424	212	5.72	45.2
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	Johannesburg	4434827	1753	28.05	-26.2
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tiqwa	209600	15	34.89	32.09
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	Sioux Falls	153897	448	-96.73	43.54
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	Buea	90088	870	9.23	4.17
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	Lindi	\N	\N	39.71	-10
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	Koszalin	109183	32	16.18	54.18
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	Córdoba	1267774	390	-64.18	-31.42
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novočeboksarsk	124097	90	47.5	56.13
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	Bahía Blanca	272176	20	-62.27	-38.72
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	Terni	109193	130	12.65	42.57
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	Taian	350696	167	117.08	36.2
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	A Coruña	245053	0	-8.41	43.37
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	Fukushima	\N	67	140.47	37.77
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	Mtwara	108299	\N	40.18	-10.27
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	Ljubljana	282994	295	14.51	46.06
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	Pokhara	264991	930	83.97	28.26
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	La Asuncion	\N	67	-63.86	11.03
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	Delemont	\N	435	7.35	47.37
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	Jiamusi	493409	83	130.32	46.8
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	Kawaguchi	557710	\N	139.72	35.8
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	Puerto Lempira	\N	\N	-83.77	15.27
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	Bila Tserkva	210551	148	30.12	49.8
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	Remscheid	110708	365	7.2	51.18
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Staryj Oskol	221085	150	37.83	51.3
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	Nice	344064	0	7.27	43.7
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	Ilam	172213	1431	46.42	33.64
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	Jingdezhen	281183	35	117.2	29.28
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	Astana	814401	347	71.43	51.17
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	Marigot	5700	\N	-63.1	18.1
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	Nam Dinh	193768	\N	106.17	20.42
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	Jackson	173513	85	-90.18	32.3
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	Ranchi	1073427	651	85.33	23.36
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	Carrefour	430250	39	-72.4	18.53
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	Maragheh	162275	1456	46.24	37.39
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	Arad	159074	117	21.32	46.17
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	Tallinn	399340	9	24.75	59.44
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	Mossoró	237241	20	-37.34	-5.19
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	Sunrise Manor	189372	555	-115.06	36.18
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	Baikonur	\N	100	63.32	45.62
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	Klaipeda	158891	21	21.13	55.71
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	Yuanjiang	107004	\N	112.6	28.95
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Leuven	97692	\N	4.7	50.88
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	Sumy	269663	166	34.75	50.92
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	Xuchang	208815	71	113.85	34.03
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	Anshun	174142	1380	105.93	26.25
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Luzern	80501	436	8.3	47.05
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	Tambov	281834	130	41.43	52.72
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	Abu Dhabi	552000	\N	54.37	24.47
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	Agra	1585704	171	78.02	27.18
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	Fuxin	635473	\N	121.65	42.02
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	Kansas City	145786	265	-94.68	39.11
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	Lianyungang	354139	\N	119.17	34.6
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora de Hidalgo	141627	1580	-102.28	19.98
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	Matadi	172730	146	13.47	-5.82
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Praha	1289556	399	14.42	50.08
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	Abuja	776298	840	7.48	9.07
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	Cottbus	99984	75	14.33	51.76
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	Lagos	5195247	41	3.4	6.45
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	Jodhpur	1033756	231	73.02	26.28
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	Bengbu	449245	\N	117.38	32.92
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Bandjarmasin	625481	1	114.58	-3.33
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	Agartala	\N	12.8	91.27	23.83
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	Liberia	36400	144	-85.43	10.63
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	Alor Setar	114949	7	100.37	6.12
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	Fukuyama	465645	\N	133.37	34.48
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	Ostrava	311508	335	18.29	49.84
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	Windhoek	322500	\N	17.08	-22.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	Lokoja	\N	\N	6.75	7.82
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	Iaşi	290422	60	27.59	47.16
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	Sankt Gallen	74581	675	9.37	47.42
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	Fribourg	\N	610	7.15	46.8
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	New Taipei	3939305	\N	121.45	25.01
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	Riohacha	250236	5	-72.91	11.54
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	Sunnyvale	140058	38	-122.04	37.37
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	Tanchon	345875	\N	128.91	40.46
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	Neftekamsk	121733	100	54.47	56.14
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	El Djelfa	265833	\N	3.25	34.67
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	Merida	\N	217	-6.33	38.9
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	Wuppertal	342661	160	7.18	51.27
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Al Madinah	918889	\N	39.5	25
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	Cheltenham	116447	\N	-2.07	51.88
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	Barisal	328278	1	90.5	22.8
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	Cartago	131545	917	-75.92	4.7
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	Ba'qubah	114516	48	44.63	33.75
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	Tallahassee	181383	62	-84.25	30.46
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	Trinidad	106422	130	-64.9	-14.83
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	Puebla	1434062	2135	-98.18	19.03
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	Toyota	409157	\N	137.15	35.08
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	Kikwit	182142	452	18.82	-5.04
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	Jakarta	9607787	8	106.82	-6.2
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	Belmopan	13654	76	-88.77	17.25
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	Ulan-Ude	416079	530	107.6	51.83
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	Erlangen	103719	279	11.02	49.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	Datong	1110000	1042	113.3	40.08
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	Mpanda	102900	\N	31.07	-6.35
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	Amadora	175136	\N	-9.23	38.73
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	Chachapoyas	\N	2335	-77.85	-6.22
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	Joinville	497850	4	-48.84	-26.32
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	Jining	265248	\N	116.57	35.4
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	Nikopol´	120000	51	34.4	47.57
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	Wa	71051	305	-2.5	10.07
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	Lucknow	2817105	128	80.9	26.8
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	Auckland	419418	0	174.74	-36.84
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnoyarsk	1016385	259	93.07	56.02
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	Dubai	1171000	\N	55.33	24.95
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	Lulea	66526	6	22.15	65.58
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	Sibiti	\N	440	13.35	-3.69
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver	408877	135	35.92	56.86
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	Djambala	\N	622	14.75	-2.54
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	Yamaguchi	\N	\N	131.47	34.18
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	Dublin	525383	20	-6.26	53.35
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	Witten	96382	104	7.33	51.43
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	Satu Mare	102411	127	22.89	47.79
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	Bartin	\N	25	32.34	41.63
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	Milwaukee	599164	188	-87.96	43.05
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	Zigong	393184	\N	104.77	29.34
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	Akita	\N	\N	140.1	39.72
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	Zaanstad	151058	1	4.82	52.43
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	Liupanshui	363954	\N	104.83	26.59
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	Saint Peter Port	\N	\N	-2.6	49.6
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patra	213984	0	21.73	38.25
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	Palembang	1455284	8	104.76	-2.99
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	Puente Alto	491222	673	-70.57	-33.62
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	Kasama	\N	\N	31.18	-10.21
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Ciudad Santa Catarina	268347	680	-100.45	25.68
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	Linfen	187309	452	111.52	36.08
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	Kassel	190765	167	9.5	51.32
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	Nancy	105382	188	6.18	48.69
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	Goiânia	1297076	749	-49.25	-16.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	Jundiaí	354204	761	-46.88	-23.19
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	Nakhon Sawan	142500	33	100.14	15.71
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	Kerman	534441	1755	57.08	30.28
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatão	630595	10	-35.02	-8.11
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	Henderson	257437	569	-114.98	36.03
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	İnegöl	177617	\N	29.51	40.08
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	Sargodha	458440	193	72.67	32.08
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	Pskov	203279	45	28.33	57.82
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasuj	108505	2004	51.59	30.67
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	Kangar	\N	\N	100.2	6.43
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjungpinang	\N	18	104.48	1.08
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	Savannah	136341	15	-81.12	32.02
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Seeb	302992	\N	58.18	23.68
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	Kryvyi Rih	660203	84	33.25	47.92
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	Acapulco	673479	30	-99.88	16.86
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	Damanhur	241895	18	30.47	31.04
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	Sétif	252127	1096	5.4	36.18
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	Seattle	652405	0	-122.33	47.61
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	Columbus	189885	74	-84.94	32.49
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	Klagenfurt	96531	446	14.3	46.62
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	Washington	646449	\N	-77	38.5
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	Berezniki	156466	130	56.78	59.42
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	Shymkent	683273	506	69.6	42.32
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	Oviedo	225005	232	-5.84	43.36
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	Xiaogan	166280	\N	113.9	30.92
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	Castelo Branco	\N	\N	-7.5	39.82
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	Nakhon Si Thammarat	167400	9	99.96	8.44
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	Pingdu	150123	\N	119.96	36.78
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Sialkot	421502	256	74.54	32.5
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	Isparta	198385	1049	30.56	37.76
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Mogi Guaçu	130295	591	-46.94	-22.37
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	Lincoln	258468	359	-96.68	40.81
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	Ternopil´	217300	320	25.6	49.57
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	Bergisch Gladbach	108878	100	7.12	51.1
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	Irapuato	380941	1724	-101.35	20.67
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	Bérgamo	115349	249	9.67	45.7
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	Luton	211228	\N	-0.43	51.9
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	Tilburg	210283	14	5.08	51.55
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	El Monte	113475	91	-118.03	34.07
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	New Orleans	343829	-2	-90.07	29.95
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	Ipatinga	236968	220	-42.53	-19.5
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	Zonguldak	109080	60	31.8	41.46
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	João Pessoa	720785	40	-34.83	-7.08
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	Konya	1107886	1200	32.48	37.87
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	Omsk	1160670	90	73.37	54.98
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	Taizhou	152442	\N	119.92	32.45
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	Irbid	250645	620	35.85	32.55
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	Sunyani	74240	303	-2.33	7.33
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec	1655015	2250	-99.06	19.61
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolás de los Garzas	443273	512	-100.28	25.75
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	Alcobendas	110351	700	-3.63	40.53
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Xuzhou	3053778	\N	119.8	32.9
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	Naperville	142089	214	-88.17	41.75
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	Nishinomiya	472650	\N	135.34	34.74
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	Chemnitz	240253	298	12.92	50.83
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	Angers	148803	12	-0.55	47.47
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	Amritsar	1132383	\N	74.86	31.64
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	Plymouth	234982	0	-4.14	50.37
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	Tepic	332863	920	-104.89	21.51
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	Dakar	1121935	10	-17.45	14.69
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	Poitiers	87646	65	0.34	46.58
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa	652646	\N	106.82	10.95
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	Bratislava	411228	134	17.11	48.14
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	Kolwezi	417810	1448	25.47	-10.72
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	Loudi	128418	\N	112	27.73
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	Abakan	165214	245	91.47	53.72
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	Pasadena	149300	9	-95.17	29.68
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	Jyväskylä	134862	\N	25.74	62.24
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	Bida	111245	\N	6.02	9.08
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milano	1242123	120	9.18	45.47
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	Ciudad del Este	222274	34	-54.62	-25.52
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	Jinhua	144280	\N	119.65	29.08
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Toshkent	2352900	455	69.22	41.27
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	Liaocheng	207844	\N	115.98	36.45
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	Lima	7605742	0	-77.03	-12.04
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	Dnipropetrovs´k	999577	155	34.98	48.45
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	Ilorin	532089	\N	4.55	8.5
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	David	144858	-6	-82.43	8.43
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	Kisangani	417517	447	25.2	0.52
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	Aswan	265004	194	32.9	24.09
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	Yingkou	421589	\N	122.23	40.67
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	Kaffrine	\N	\N	-15.7	14.12
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	Da Nang	770911	\N	108.23	16.07
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	Shaoxing	179818	\N	120.58	30
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	Keelung	377153	\N	121.73	25.13
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Mangaung	747431	1395	26.22	-29.12
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	Aguascalientes	722250	1888	-102.3	21.85
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	Talcahuano	161692	1	-73.12	-36.72
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Sholapur	604215	457	75.92	17.68
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balašicha	215494	150	37.97	55.82
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	Ann Arbor	113946	256	-83.75	42.28
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nal'čik	240203	480	43.62	43.48
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	Brno	404820	237	16.62	49.2
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	Springfield	116315	170	-89.62	39.7
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	Várzea Grande	248704	198	-56.13	-15.65
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	Feira de Santana	510635	286	-38.95	-12.25
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	Craiova	269506	100	23.82	44.33
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	Kirov	483176	150	49.65	58.6
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	Hurghada	\N	14	33.81	27.26
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	San Salvador de Jujuy	230999	1259	-65.3	-24.18
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilini	\N	8	26.55	39.1
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	Jönköping	129478	104	14.16	57.78
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	Surakarta	499337	\N	110.82	-7.57
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Bani Suwayf	193535	16	31.08	29.07
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	Bari	315933	5	16.87	41.13
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	Tórshavn	12245	\N	-7	62
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	Budapest	1729040	102	19.05	47.49
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	Wollongong	288101	5	150.88	-34.43
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	Juiz de Fora	510378	678	-43.35	-21.76
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	Aksu	164092	\N	80.25	41.17
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Buxoro	272500	225	64.43	39.77
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	Elazig	347857	1067	39.22	38.67
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	Ruse	146609	45	25.95	43.82
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	Shahr-e-Kord	159775	2070	50.86	32.33
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	Port-au-Prince	875978	98	-72.33	18.53
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	Stockport	105878	\N	-2.15	53.41
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	Nantes	287845	2	-1.55	47.22
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco	975	\N	7.42	43.73
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	Alexandria	139966	12	-77.05	38.8
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkiv	1441362	152	36.23	50
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	Petaling Jaya	438084	\N	101.65	3.08
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	Kota	1001694	271	75.83	25.18
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	Tunis	651284	4	10.18	36.8
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	Korhogo	245239	380	-5.62	9.42
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	Sterlitamak	275798	150	55.95	53.63
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	Criciúma	189630	46	-49.37	-28.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	Bakersfield	347568	123	-119.02	35.37
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	Taubaté	272673	\N	-45.56	-23.02
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Makassar	1338663	0	119.42	-5.13
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	Yongan	111762	\N	117.37	25.98
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	Paramaribo	240924	3	-55.17	5.87
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Al Kut	183183	23	45.82	32.51
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mirpur Khas	189671	\N	69.02	25.53
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv-Yafo	403700	5	34.78	32.07
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	Huaihua	126785	\N	109.97	27.55
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	Wiesbaden	269121	117	8.24	50.08
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	Canberra	418292	577	149.12	-35.31
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	Cúcuta	643666	320	-72.5	7.89
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	Bradford	349561	\N	-1.75	53.79
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	Monclova	215271	620	-101.42	26.91
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	Amersfoort	151270	3	5.38	52.15
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	Stockton	291731	4	-121.3	37.98
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	Hamar	15685	134	11.06	60.8
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	Solwezi	\N	1235	26.4	-12.18
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Neyshabur	239185	1250	58.8	36.21
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	Sabará	123084	705	-43.81	-19.89
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	Novo Hamburgo	234798	57	-51.13	-29.68
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	Salekhard	42544	15	66.6	66.53
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	Koror	11665	10	134.48	7.36
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	Volos	144449	0	22.93	39.37
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	St. Louis	319356	142	-90.2	38.63
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	Dandong	523699	8	124.38	40.12
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	Sedhiou	\N	\N	-15.55	12.7
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	Vaduz	5241	455	9.52	47.14
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	Campina Grande	367209	560	-35.88	-7.23
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	Tuguegarao	129539	\N	121.72	17.62
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	Yuci	191356	\N	112.85	37.62
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	Kalyan	1247327	8.84	73.13	19.24
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	Qaemshahr	196050	\N	52.86	36.46
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni - Germiston	3178471	\N	28.33	-26.17
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	Warren	134056	191	-83.02	42.49
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Funchal	112362	\N	-16.92	32.65
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	General San Martín	405122	472	-64.78	-23.8
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	Petrozavodsk	268946	60	34.33	61.78
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Inirida	\N	95	-67.92	3.87
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	Seguela	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	Kaechon	319554	\N	125.91	39.7
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	Porto-Novo	223552	38	2.61	6.5
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	Fuyu	192981	183	126.05	44.98
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	Cam Pha	168196	70	107.32	21.02
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	Brampton	523911	218	-79.77	43.68
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	Shah Alam	319612	\N	101.53	3.08
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	Hegang	522747	280	130.3	47.35
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	Sacaba	169494	2719	-66.04	-17.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	Itapevi	200769	741	-46.93	-23.55
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	Barrancabermeja	191784	75	-73.85	7.07
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	Tampico	297284	10	-97.87	22.26
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	Salto	104011	48	-57.95	-31.38
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	Limerick	56779	10	-8.62	52.67
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	Ramallah	\N	\N	35.2	31.9
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Peterburg	5028000	3	30.3	59.95
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	Ansan	722598	139	126.83	37.32
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	Mashhad	2749374	995	59.6	36.3
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	Hospitalet de Llobregat	256509	8	2.1	41.36
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	Huzhou	218071	\N	120.1	30.87
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	Tychy	129087	\N	18.98	50.13
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	Kirkuk	750000	350	44.32	35.47
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	Dongguan	8220207	8	113.72	23.03
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	La Guaira	\N	\N	-66.93	10.6
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	Silvassa	\N	32	73.02	20.27
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	Meixian	132156	\N	116.12	24.32
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	São João de Meriti	458673	19	-43.37	-22.8
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	Kaposvár	66245	153	17.78	46.36
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	Huadian	175873	265	126.73	42.95
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	Neuquén	201729	260	-68.06	-38.95
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	Duzce	135557	\N	31.16	40.84
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	Fuzhou	3572421	\N	119.31	26.08
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	Abha	\N	2400	42.51	18.22
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	El Alto	848840	4150	-68.17	-16.52
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	Huambo	\N	1721	15.73	-12.77
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	Concord	42695	88	-71.54	43.21
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	Pittsburgh	305702	233	-79.98	40.44
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	Reading	218705	61	-0.97	51.45
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	Antsiranana	59040	\N	49.28	-12.3
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	Kanggye	251971	\N	126.6	40.97
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	Honiara	49107	29	159.95	-9.43
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	Apia	36735	2	-171.75	-13.83
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	Castries	3661	2	-60.98	14.02
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	Conakry	1667864	\N	-13.7	9.52
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	Bengkulu	308544	2	102.26	-3.8
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	Lilongwe	674448	1050	33.78	-13.98
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	Lugano	62792	273	8.95	46
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	Binjai	246154	28	98.48	3.6
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	Himeji	533832	\N	134.68	34.82
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	Reynosa	589466	33	-98.28	26.09
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	Kislovodsk	128553	810	42.72	43.92
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	Parañaque	552660	12	121.02	14.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	Coral Springs	121098	4	-80.26	26.27
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	Chongjin	667929	\N	129.77	41.78
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	Lamia	75315	50	22.43	38.9
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	Aden	570551	6	45.03	12.8
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Ciudad de México	8555272	2250	-99.13	19.43
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	Matamoros	449815	9	-97.5	25.88
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	Nairobi	3133518	1661	36.82	-1.28
\.


--
-- TOC entry 5913 (class 0 OID 96565)
-- Dependencies: 1079
-- Data for Name: Continent; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Continent" ("URI", name, area) FROM stdin;
http://www.semwebtech.org/mondial/10/continent/Africa/	Africa	30254708
http://www.semwebtech.org/mondial/10/continent/Asia/	Asia	45095292
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Australia/Oceania	8503474
http://www.semwebtech.org/mondial/10/continent/America/	America	39872000
http://www.semwebtech.org/mondial/10/continent/Europe/	Europe	9562488
\.


--
-- TOC entry 5914 (class 0 OID 96571)
-- Dependencies: 1080
-- Data for Name: Country; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Country" ("URI", "gdpAgri", inflation, "populationGrowth", government, "gdpServ", population, "gdpTotal", unemployment, "independenceDate", "dependentOf", "infantMortality", area, "gdpInd", "carCode", capital, "wasDependentOf", name) FROM stdin;
http://www.semwebtech.org/mondial/10/country/GUAD/	6	3.7	1.2	overseas department of France	85	404635	3700	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	8.3	1628	9	GUAD	http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	\N	Guadeloupe
http://www.semwebtech.org/mondial/10/country/SY/	2	4.3	0.87	republic	79.4	90945	1271	2	1976-06-29	\N	10.77	455	18.7	SY	http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/country/GB/	Seychelles
http://www.semwebtech.org/mondial/10/country/CR/	6.2	5.6	1.24	democratic republic	72.5	4773119	48510	7.9	1821-09-15	\N	8.7	51100	21.3	CR	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/E/	Costa Rica
http://www.semwebtech.org/mondial/10/country/RO/	6.4	3.2	-0.29	republic	59.4	20121641	188900	7.3	1877-05-09	\N	10.16	237500	34.2	RO	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Romania
http://www.semwebtech.org/mondial/10/country/BHT/	13.8	11	1.13	constitutional monarchy	45	733004	2133	2.1	1949-08-08	\N	37.89	47000	41.2	BHT	http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	http://www.semwebtech.org/mondial/10/country/GB/	Bhutan
http://www.semwebtech.org/mondial/10/country/GQ/	4.6	6	2.54	republic	8.1	696167	17080	22.3	1968-10-12	\N	71.12	28050	87.3	GQ	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/E/	Equatorial Guinea
http://www.semwebtech.org/mondial/10/country/RB/	1.9	6.1	1.26	parliamentary republic	62.4	2038228	15530	17.8	1966-09-30	\N	9.38	600370	35.7	RB	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	http://www.semwebtech.org/mondial/10/country/GB/	Botswana
http://www.semwebtech.org/mondial/10/country/SPMI/	2	4.5	-1.02	parliamentary representative democracy	83	6312	215.3	9.9	\N	http://www.semwebtech.org/mondial/10/country/F/	6.95	242	15	SPMI	http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	\N	Saint Pierre and Miquelon
http://www.semwebtech.org/mondial/10/country/NIC/	17.1	5.7	1.02	republic	57.5	6071045	11260	7.2	1821-09-15	\N	20.36	129494	25.5	NIC	http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/country/E/	Nicaragua
http://www.semwebtech.org/mondial/10/country/MNG/	16.5	8.2	1.37	parliamentary	50.9	2754685	11140	9	1921-03-13	\N	23.15	1565000	32.6	MNG	http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	http://www.semwebtech.org/mondial/10/country/CN/	Mongolia
http://www.semwebtech.org/mondial/10/country/SK/	3.1	1.7	0.03	parliamentary democracy	67	5397036	96960	14.4	1993-01-01	\N	5.35	48845	30.8	SK	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/territory/Czechoslovakia/	Slovakia
http://www.semwebtech.org/mondial/10/country/G/	3.6	1.2	1.94	republic; multiparty presidential regime	32.5	1556222	19970	21	1960-08-17	\N	47.03	267670	63.9	G	http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/country/F/	Gabon
http://www.semwebtech.org/mondial/10/country/ET/	14.5	9	1.84	republic	48	83667047	262000	13.4	1922-02-28	\N	22.41	1001450	37.5	ET	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/country/GB/	Egypt
http://www.semwebtech.org/mondial/10/country/AZ/	6.2	2.4	0.99	republic	30.8	9356500	76010	6	1991-08-30	\N	26.67	86600	63	AZ	http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Azerbaijan
http://www.semwebtech.org/mondial/10/country/RP/	11.2	2.8	1.81	republic	57.2	92337852	272200	7.4	1946-07-04	\N	17.64	299764	31.6	RP	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/USA/	Philippines
http://www.semwebtech.org/mondial/10/country/UAE/	0.6	1.3	2.71	federation with specified powers delegated to the UAE federal government and other powers reserved to member emirates	38.2	8441537	390000	2.4	1971-12-02	\N	10.92	75581	61.1	UAE	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/country/GB/	United Arab Emirates
http://www.semwebtech.org/mondial/10/country/GR/	3.5	-0.8	0.01	parliamentary republic	80.5	10816286	243300	27.9	1829-01-01	\N	4.78	131940	16	GR	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Greece
http://www.semwebtech.org/mondial/10/country/NAU/	6.1	-3.6	0.56	republic	60.8	10025	100	90	1968-01-31	\N	8.21	21	33	NAU	http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/organization/UN/	Nauru
http://www.semwebtech.org/mondial/10/country/COM/	51	2.5	1.87	republic	39	683081	658	20	1975-07-06	\N	65.31	2170	10	COM	http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/country/F/	Comoros
http://www.semwebtech.org/mondial/10/country/CUR/	0.7	3.2	\N	parliamentary	83.8	150563	5600	13	\N	http://www.semwebtech.org/mondial/10/country/NL/	\N	444	15.5	CUR	http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	\N	Curacao
http://www.semwebtech.org/mondial/10/country/CAM/	20.6	2.6	2.6	republic; multiparty presidential regime	52.1	19406100	27880	30	1960-01-01	\N	55.1	475440	27.3	CAM	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/organization/UN/	Cameroon
http://www.semwebtech.org/mondial/10/country/H/	3.4	1.9	-0.21	parliamentary democracy	68.7	9937628	130600	10.5	1918-11-18	\N	5.09	93030	28	H	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/territory/Austria-Hungary/	Hungary
http://www.semwebtech.org/mondial/10/country/CDN/	1.7	1	0.76	a parliamentary democracy, a federation, and a constitutional monarchy	69.9	35158304	1825000	7.1	1867-07-01	\N	4.71	9976140	28.4	CDN	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/GB/	Canada
http://www.semwebtech.org/mondial/10/country/DJI/	3	2.5	2.23	republic	79.7	834036	1459	59	1977-06-27	\N	50.2	22000	17.3	DJI	http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/country/F/	Djibouti
http://www.semwebtech.org/mondial/10/country/BERM/	0.7	1.8	0.52	parliamentary; self-governing territory	93.5	64237	5600	8	\N	http://www.semwebtech.org/mondial/10/country/GB/	2.48	53.3	5.7	BERM	http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	\N	Bermuda
http://www.semwebtech.org/mondial/10/country/BI/	34.4	9.3	3.28	republic	47.2	8444784	2676	\N	1962-07-01	\N	63.44	27830	18.4	BI	http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/organization/UN/	Burundi
http://www.semwebtech.org/mondial/10/country/WSA/	\N	\N	2.46	legal status of territory and question of sovereignty unresolved	\N	554795	\N	\N	\N	\N	145.82	266000	\N	WSA	http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	\N	Western Sahara
http://www.semwebtech.org/mondial/10/country/WL/	3.1	5.3	0.35	parliamentary democracy and a Commonwealth realm	79.5	165595	1377	20	1979-02-22	\N	11.75	620	17.4	WL	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/country/GB/	Saint Lucia
http://www.semwebtech.org/mondial/10/country/FALK/	95	1.2	0.01	British Overseas Territories	\N	2931	164.5	4.1	\N	http://www.semwebtech.org/mondial/10/country/GB/	\N	12173	\N	FALK	http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	\N	Falkland Islands
http://www.semwebtech.org/mondial/10/country/KIR/	24.3	0.2	1.18	republic	67.8	103058	173	2	1979-07-12	\N	35.37	717	7.9	KIR	http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/country/GB/	Kiribati
http://www.semwebtech.org/mondial/10/country/GBZ/	0	2.8	0.25	dependent territory of the UK	100	27495	1106	3	\N	http://www.semwebtech.org/mondial/10/country/GB/	6.29	6.5	0	GBZ	http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	\N	Gibraltar
http://www.semwebtech.org/mondial/10/country/PK/	25.3	7.7	1.49	federal republic	53.1	173149306	236500	6.6	1947-08-14	\N	57.48	803940	21.6	PK	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/GB/	Pakistan
http://www.semwebtech.org/mondial/10/country/KGZ/	20.8	6.8	1.04	republic	44.8	5776600	7234	8.6	1991-08-31	\N	28.71	198500	34.4	KGZ	http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Kyrgyzstan
http://www.semwebtech.org/mondial/10/country/ZRE/	44.3	7.1	2.5	republic	34	62191161	18560	\N	1960-06-30	\N	73.15	2345410	21.7	ZRE	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/B/	Zaire
http://www.semwebtech.org/mondial/10/country/TUV/	16.6	3.8	0.8	parliamentary democracy and a Commonwealth realm	56.2	9827	38	\N	1978-10-01	\N	31.69	26	27.2	TUV	http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/country/GB/	Tuvalu
http://www.semwebtech.org/mondial/10/country/YE/	7.7	11.8	2.72	republic	61.4	24527000	43890	35	1990-05-22	\N	50.41	527970	30.9	YE	http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	http://www.semwebtech.org/mondial/10/territory/MergerofNorth-SouthYemen/	Yemen
http://www.semwebtech.org/mondial/10/country/IRQ/	3.3	2	2.23	parliamentary democracy	32.1	33330512	221800	16	1932-10-03	\N	37.53	437072	64.6	IRQ	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/organization/UN/	Iraq
http://www.semwebtech.org/mondial/10/country/MK/	10.2	2.8	0.21	parliamentary democracy	62.3	2059794	10650	28.6	1991-09-17	\N	7.9	25333	27.5	MK	http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Macedonia
http://www.semwebtech.org/mondial/10/country/GUY/	20.7	3.9	-0.11	republic	40.8	747884	3020	11	1966-05-26	\N	33.56	214970	38.5	GUY	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/GB/	Guyana
http://www.semwebtech.org/mondial/10/country/TCH/	46.3	4.5	1.92	republic	43.8	11720781	13590	\N	1960-08-11	\N	90.3	1284000	9.9	TCH	http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/country/F/	Chad
http://www.semwebtech.org/mondial/10/country/NCA/	2.1	1.7	1.42	parliamentary representative democracy	67.9	245580	9280	17.1	\N	http://www.semwebtech.org/mondial/10/country/F/	5.46	19060	30	NCA	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	\N	New Caledonia
http://www.semwebtech.org/mondial/10/country/SGP/	0	2.4	1.92	parliamentary republic	70.6	5076700	295700	1.9	1965-08-09	\N	2.53	632.6	29.4	SGP	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/country/MAL/	Singapore
http://www.semwebtech.org/mondial/10/country/SMAR/	1	\N	\N	overseas collectivity of France	84	37630	561.5	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	\N	54	15	SMAR	http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	\N	Saint Martin
http://www.semwebtech.org/mondial/10/country/J/	1.1	0.2	-0.13	a parliamentary government with a constitutional monarchy	73.2	127298000	5007000	4.1	\N	\N	2.13	377835	25.6	J	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	\N	Japan
http://www.semwebtech.org/mondial/10/country/I/	2	1.2	0.3	republic	73.5	59433744	2068000	12.4	1861-03-17	\N	3.31	301230	24.4	I	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	\N	Italy
http://www.semwebtech.org/mondial/10/country/PY/	20.4	2.3	1.19	constitutional republic	61.9	6672631	30560	6.6	1811-05-14	\N	20.75	406750	17.7	PY	http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/country/E/	Paraguay
http://www.semwebtech.org/mondial/10/country/RC/	2	1.1	0.25	multiparty democracy	68.6	23315822	484700	4.1	1949-10-01	\N	4.49	36179	29.4	RC	http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	\N	Taiwan
http://www.semwebtech.org/mondial/10/country/FSM/	14	3.4	-0.42	constitutional government in free association with the US	74	102843	339	22	1986-11-03	\N	21.93	702	12	FSM	http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/organization/UN/	Micronesia
http://www.semwebtech.org/mondial/10/country/CH/	0.7	-0.4	0.78	formally a confederation but similar in structure to a federal republic	72.5	8139631	646200	3.2	1291-01-01	\N	3.73	41290	26.8	CH	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	\N	Switzerland
http://www.semwebtech.org/mondial/10/country/IL/	2.4	1.7	1.46	parliamentary democracy	66.4	7420368	272700	5.8	1948-05-14	\N	3.98	22072	31.2	IL	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/organization/UN/	Israel
http://www.semwebtech.org/mondial/10/country/CV/	9.3	1.9	1.39	republic	71.9	491875	1955	21	1975-07-05	\N	24.28	4033	18.8	CV	http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/country/P/	Cape Verde
http://www.semwebtech.org/mondial/10/country/TM/	7.2	9	1.14	authoritarian presidential rule	68.4	5041995	40560	60	1991-10-27	\N	38.13	488100	24.4	TM	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Turkmenistan
http://www.semwebtech.org/mondial/10/country/BRN/	0.3	3.1	2.49	constitutional monarchy	53	1234596	28360	15	1971-08-15	\N	9.68	620	46.7	BRN	http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/country/GB/	Bahrain
http://www.semwebtech.org/mondial/10/country/FGU/	\N	2.5	3.86	overseas department of France	\N	237549	800	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	14.6	83534	\N	FGU	http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	\N	French Guiana
http://www.semwebtech.org/mondial/10/country/CI/	26.3	2.9	1.96	republic; multiparty presidential regime established 1960	52.4	22671331	28280	\N	1960-08-07	\N	60.16	322460	21.3	CI	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/F/	Cote dIvoire
http://www.semwebtech.org/mondial/10/country/BOL/	9.2	6.5	1.6	republic; Social Unitarian State	52.3	10027262	30790	7.4	1825-08-06	\N	38.61	1098580	38.5	BOL	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/E/	Bolivia
http://www.semwebtech.org/mondial/10/country/FJI/	11.7	3	0.7	republic	70.2	860559	4218	7.6	1970-10-10	\N	10.2	18270	18.1	FJI	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/country/GB/	Fiji
http://www.semwebtech.org/mondial/10/country/MEL/	\N	\N	\N	dependent territory of Spain	\N	78476	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/	\N	12	\N	MEL	http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	\N	Melilla
http://www.semwebtech.org/mondial/10/country/RT/	27.6	2.2	2.71	republic under transition to multiparty democratic rule	38.7	6191155	4299	\N	1960-04-27	\N	46.73	56790	33.7	RT	http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/country/F/	Togo
http://www.semwebtech.org/mondial/10/country/LB/	76.9	5.2	2.52	republic	17.7	3957990	1977	85	1847-07-26	\N	69.19	111370	5.4	LB	http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	\N	Liberia
http://www.semwebtech.org/mondial/10/country/LAO/	30.5	6.5	1.59	Communist state	37.5	6514432	10100	1.9	1949-07-19	\N	54.53	236800	32	LAO	http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/country/F/	Laos
http://www.semwebtech.org/mondial/10/country/AMSA/	\N	\N	-0.35	unincorporated and unorganized territory of the US	\N	55519	462.2	29.8	\N	http://www.semwebtech.org/mondial/10/country/USA/	8.92	199	\N	AMSA	http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	\N	American Samoa
http://www.semwebtech.org/mondial/10/country/PAL/	3.2	2.7	0.37	constitutional government in free association with the US	76.8	17501	221	4.2	1994-10-01	\N	11.46	458	20	PAL	http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/organization/UN/	Palau
http://www.semwebtech.org/mondial/10/country/HR/	5	2.2	-0.12	parliamentary democracy	69.2	4290612	59140	21.6	1991-06-25	\N	5.87	56538	25.8	HR	http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Croatia
http://www.semwebtech.org/mondial/10/country/HCA/	14	5.2	1.74	democratic constitutional republic	57.8	8045990	18880	4.5	1821-09-15	\N	18.72	112090	28.2	HCA	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/E/	Honduras
http://www.semwebtech.org/mondial/10/country/PL/	4	1	-0.11	republic	62.7	38533789	513900	10.3	1918-11-11	\N	6.19	312683	33.3	PL	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	\N	Poland
http://www.semwebtech.org/mondial/10/country/GH/	21.5	11	2.19	constitutional democracy	49.8	24658823	45550	11	1957-03-06	\N	38.52	238540	28.7	GH	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GB/	Ghana
http://www.semwebtech.org/mondial/10/country/PITC/	\N	\N	0	British Overseas Territories	\N	66	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/GB/	\N	47	\N	PITC	http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	\N	Pitcairn
http://www.semwebtech.org/mondial/10/country/PA/	3.7	4.1	1.35	constitutional democracy	78.4	3405813	40620	4.5	1903-11-03	\N	10.7	78200	17.9	PA	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/CO/	Panama
http://www.semwebtech.org/mondial/10/country/Z/	19.8	7.1	2.88	republic	46.5	13046508	22240	15	1964-10-24	\N	66.62	752610	33.8	Z	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/GB/	Zambia
http://www.semwebtech.org/mondial/10/country/RH/	24.1	6.3	1.08	republic	56	9896400	8287	40.6	1804-01-01	\N	49.43	27750	19.9	RH	http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/country/F/	Haiti
http://www.semwebtech.org/mondial/10/country/WAG/	19.7	6	2.23	republic	67.7	1882450	896	\N	1965-02-18	\N	65.74	11300	12.6	WAG	http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/country/GB/	Gambia
http://www.semwebtech.org/mondial/10/country/ETH/	47	8.4	2.89	federal republic	42.2	84320987	47340	17.5	\N	\N	55.77	1127127	10.8	ETH	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	\N	Ethiopia
http://www.semwebtech.org/mondial/10/country/EC/	5.9	2.6	1.37	republic	59	14483499	91410	4.2	1822-05-24	\N	17.93	283560	35.1	EC	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	http://www.semwebtech.org/mondial/10/country/E/	Ecuador
http://www.semwebtech.org/mondial/10/country/SD/	7.6	6.1	1.14	monarchy	44.6	1193148	3807	40	1968-09-06	\N	54.82	17360	47.8	SD	http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	http://www.semwebtech.org/mondial/10/country/GB/	Swaziland
http://www.semwebtech.org/mondial/10/country/N/	1.2	1.9	1.19	constitutional monarchy	56.5	5051275	515800	3.6	1905-10-26	\N	2.48	324220	42.3	N	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/S/	Norway
http://www.semwebtech.org/mondial/10/country/RI/	14.3	7.7	0.95	republic	39.1	252124458	867500	6.6	1945-08-17	\N	25.16	1919440	46.6	RI	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/NL/	Indonesia
http://www.semwebtech.org/mondial/10/country/LAR/	2	3.2	3.08	operates under a transitional government	39.7	6040612	70920	30	1951-12-24	\N	11.87	1759540	58.3	LAR	http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/I/	Libya
http://www.semwebtech.org/mondial/10/country/ER/	11.7	13	2.3	transitional government	61.4	5741159	3438	\N	1993-05-27	\N	38.44	121320	26.9	ER	http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	http://www.semwebtech.org/mondial/10/country/ETH/	Eritrea
http://www.semwebtech.org/mondial/10/country/BY/	9.2	19	-0.19	republic in name, although in fact a dictatorship	44.7	9460692	69240	1	1991-08-25	\N	3.64	207600	46.2	BY	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Belarus
http://www.semwebtech.org/mondial/10/country/KAZ/	5.2	5.8	1.17	republic; authoritarian presidential rule, with little power outside the executive branch	56.9	17165239	224900	5.3	1991-12-16	\N	21.61	2717300	37.9	KAZ	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Kazakhstan
http://www.semwebtech.org/mondial/10/country/ARM/	20.6	6.2	-0.13	republic	42.1	3026879	10440	17.3	1918-05-28	\N	13.97	29800	37.3	ARM	http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Armenia
http://www.semwebtech.org/mondial/10/country/NLSM/	0.4	4	1.51	parliamentary	81.3	37429	794.7	12	\N	http://www.semwebtech.org/mondial/10/country/NL/	9.05	34	18.3	NLSM	http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	\N	Sint Maarten
http://www.semwebtech.org/mondial/10/country/GBG/	3	3.4	0.36	parliamentary democracy	87	59807	2742	0.9	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.47	194	10	GBG	http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	\N	Guernsey
http://www.semwebtech.org/mondial/10/country/WS/	10.2	2.7	0.59	parliamentary democracy	64	187820	705	\N	1962-01-01	\N	20.5	2860	25.9	WS	http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/organization/UN/	Samoa
http://www.semwebtech.org/mondial/10/country/LT/	3.7	1.2	-0.29	parliamentary democracy	68	2979310	46710	12.4	1991-09-06	\N	6	65200	28.3	LT	http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Lithuania
http://www.semwebtech.org/mondial/10/country/ES/	10.3	0.9	0.27	republic	60.1	6290420	24670	6.3	1821-09-15	\N	18.44	21040	29.5	ES	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	http://www.semwebtech.org/mondial/10/country/E/	El Salvador
http://www.semwebtech.org/mondial/10/country/SLB/	50	2.6	2.07	parliamentary democracy and a Commonwealth realm	39.4	526447	1099	\N	1978-07-07	\N	16.17	28450	10.6	SLB	http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/country/GB/	Solomon Islands
http://www.semwebtech.org/mondial/10/country/LS/	7.4	5	0.34	parliamentary constitutional monarchy	58.2	2008921	2457	25	1966-10-04	\N	50.48	30350	34.5	LS	http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	http://www.semwebtech.org/mondial/10/country/GB/	Lesotho
http://www.semwebtech.org/mondial/10/country/WD/	15.7	1.8	0.22	parliamentary democracy	68.7	70739	495	23	1978-11-03	\N	11.61	746	15.6	WD	http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/country/GB/	Dominica
http://www.semwebtech.org/mondial/10/country/SF/	2.9	2.2	0.05	republic	71.9	5455068	259600	8.1	1917-12-06	\N	3.36	337030	25.1	SF	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/R/	Finland
http://www.semwebtech.org/mondial/10/country/REUN/	\N	\N	1.93	overseas department of France	\N	828581	2900	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	7.5	2510	\N	REUN	http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	\N	Reunion
http://www.semwebtech.org/mondial/10/country/MYA/	38	5.7	1.03	parliamentary government took power in March 2011	41.7	51419420	59430	5.2	1948-01-04	\N	44.91	678500	20.3	MYA	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/GB/	Myanmar
http://www.semwebtech.org/mondial/10/country/CZ/	2.4	1.4	0.17	parliamentary democracy	60.3	10562214	194800	7.1	1993-01-01	\N	2.63	78703	37.3	CZ	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/territory/Czechoslovakia/	Czech Republic
http://www.semwebtech.org/mondial/10/country/BEN/	31.6	2.4	2.81	republic	55.6	9983884	8359	\N	1960-08-01	\N	57.09	112620	12.9	BEN	http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/country/F/	Benin
http://www.semwebtech.org/mondial/10/country/WEST/	33	14	4.99	\N	60	2790331	3700	\N	\N	\N	28.6	5655	7	WEST	http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	\N	West Bank
http://www.semwebtech.org/mondial/10/country/NZ/	5	1.3	0.83	parliamentary democracy and a Commonwealth realm	69.5	4242048	181100	6.4	1907-09-26	\N	4.59	268680	25.5	NZ	http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/country/GB/	New Zealand
http://www.semwebtech.org/mondial/10/country/B/	0.8	1.3	0.05	federal parliamentary democracy under a constitutional monarchy	76.6	11099554	507400	8.8	1830-10-04	\N	4.18	30510	22.6	B	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/NL/	Belgium
http://www.semwebtech.org/mondial/10/country/PE/	6.2	2.9	0.99	constitutional republic	56.3	30135875	210300	3.6	1821-07-28	\N	20.21	1285220	37.5	PE	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/E/	Peru
http://www.semwebtech.org/mondial/10/country/BD/	17.2	7.6	1.6	parliamentary democracy	53.9	149772364	140200	5	1971-12-16	\N	45.67	144000	28.9	BD	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/PK/	Bangladesh
http://www.semwebtech.org/mondial/10/country/MAL/	11.2	2.2	1.47	constitutional monarchy	48.1	27565821	312400	3.1	1957-08-31	\N	13.69	329750	40.6	MAL	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/GB/	Malaysia
http://www.semwebtech.org/mondial/10/country/C/	3.8	6	-0.14	Communist state	73.9	11167325	72300	4.3	1902-05-20	\N	4.7	110860	22.3	C	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/E/	Cuba
http://www.semwebtech.org/mondial/10/country/DK/	1.5	0.8	0.22	constitutional monarchy	76.8	5580516	324300	6	\N	\N	4.1	43070	21.7	DK	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	\N	Denmark
http://www.semwebtech.org/mondial/10/country/MC/	0	1.5	0.06	constitutional monarchy	90	36845	5748	2	1419-01-01	\N	1.81	1.9	10	MC	http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	\N	Monaco
http://www.semwebtech.org/mondial/10/country/SVAX/	\N	\N	-0.03	territory of Norway administered by the Ministry of Industry	\N	1872	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/N/	\N	62049	\N	SVAX	http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	\N	Svalbard
http://www.semwebtech.org/mondial/10/country/SLO/	2.8	1.8	-0.23	parliamentary republic	68.3	2058821	46820	13.1	1991-06-25	\N	4.04	20256	28.9	SLO	http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Slovenia
http://www.semwebtech.org/mondial/10/country/JA/	6.5	9.4	0.69	constitutional parliamentary democracy and a Commonwealth realm	64.1	2697983	14390	16.3	1962-08-06	\N	13.69	10991	29.4	JA	http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/country/GB/	Jamaica
http://www.semwebtech.org/mondial/10/country/TR/	8.9	7.6	1.12	republican parliamentary democracy	63.8	75627384	821800	9.3	1923-10-29	\N	21.43	780580	27.3	TR	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Turkey
http://www.semwebtech.org/mondial/10/country/EAK/	29.3	5.8	2.11	republic	53.3	40909194	45310	40	1963-12-12	\N	40.71	582650	17.4	EAK	http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	http://www.semwebtech.org/mondial/10/country/GB/	Kenya
http://www.semwebtech.org/mondial/10/country/DOM/	6	5	1.25	democratic republic	64.9	9445281	59270	15	1844-02-27	\N	19.63	48730	29.1	DOM	http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/country/RH/	Dominican Republic
http://www.semwebtech.org/mondial/10/country/LV/	4.9	0.2	-0.62	parliamentary democracy	69.4	2201196	30380	9.8	1991-09-06	\N	7.91	64100	25.7	LV	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Latvia
http://www.semwebtech.org/mondial/10/country/RCH/	3.6	1.7	0.84	republic	61	16341929	281700	6	1810-09-18	\N	7.02	756950	35.4	RCH	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/E/	Chile
http://www.semwebtech.org/mondial/10/country/EAT/	27.6	7.8	2.8	republic	47.4	44928923	31940	\N	1964-04-26	\N	43.74	945090	25	EAT	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/GB/	Tanzania
http://www.semwebtech.org/mondial/10/country/BRU/	0.7	1	1.65	constitutional sultanate (locally known as Malay Islamic Monarchy)	28.4	393372	16560	2.6	1984-01-01	\N	10.48	5770	70.9	BRU	http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/country/GB/	Brunei
http://www.semwebtech.org/mondial/10/country/MA/	15.1	2.5	1.02	constitutional monarchy	53.2	32901622	104800	9.5	1956-03-02	\N	24.52	446550	31.7	MA	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/F/	Morocco
http://www.semwebtech.org/mondial/10/country/D/	0.8	1.6	-0.18	federal republic	69	80219695	3593000	5.3	1871-01-18	\N	3.46	356910	30.1	D	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	\N	Germany
http://www.semwebtech.org/mondial/10/country/BDS/	3.1	2.1	0.33	parliamentary democracy and a Commonwealth realm	83	277821	4262	11.4	1966-11-30	\N	10.93	430	13.9	BDS	http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/country/GB/	Barbados
http://www.semwebtech.org/mondial/10/country/ZW/	20.1	8.5	4.36	parliamentary democracy	54.5	13061239	10480	95	1980-04-18	\N	26.55	390580	25.4	ZW	http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	http://www.semwebtech.org/mondial/10/country/GB/	Zimbabwe
http://www.semwebtech.org/mondial/10/country/ANG/	10.2	8.9	2.78	republic; multiparty presidential regime	28.4	24383301	124000	\N	1975-11-11	\N	79.99	1246700	61.4	ANG	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/P/	Angola
http://www.semwebtech.org/mondial/10/country/THA/	12.1	2.2	0.35	constitutional monarchy	44.2	65981659	400900	0.7	1238-01-01	\N	9.86	514000	43.6	THA	http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	\N	Thailand
http://www.semwebtech.org/mondial/10/country/BS/	2.1	1	0.87	constitutional parliamentary democracy and a Commonwealth realm	90.8	353658	8373	16.2	1973-07-10	\N	12.5	13940	7.1	BS	http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/country/GB/	Bahamas
http://www.semwebtech.org/mondial/10/country/NEP/	36.8	6.7	1.82	federal democratic republic	48.7	26494504	19340	46	1768-01-01	\N	40.43	140800	14.5	NEP	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	\N	Nepal
http://www.semwebtech.org/mondial/10/country/CEU/	\N	\N	\N	dependent territory of Spain	\N	82376	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/	\N	18	\N	CEU	http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	\N	Ceuta
http://www.semwebtech.org/mondial/10/country/DZ/	9.4	3.9	1.88	republic	28	37062820	215700	10.3	1962-07-05	\N	21.76	2381740	62.6	DZ	http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/country/F/	Algeria
http://www.semwebtech.org/mondial/10/country/E/	3.1	1.8	0.81	parliamentary monarchy	70.8	46815916	1356000	26.3	1492-01-01	\N	3.33	504750	26	E	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	\N	Spain
http://www.semwebtech.org/mondial/10/country/MART/	6	3.9	1.1	overseas department of France	83	392291	3950	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	7.1	1128	11	MART	http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	\N	Martinique
http://www.semwebtech.org/mondial/10/country/F/	1.9	0.9	0.45	republic	79.4	64933400	2739000	10.2	\N	\N	3.31	547030	18.7	F	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	\N	France
http://www.semwebtech.org/mondial/10/country/RA/	9.3	20.8	0.95	republic	61	42669500	484600	7.5	1816-07-09	\N	9.96	2766890	29.7	RA	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/E/	Argentina
http://www.semwebtech.org/mondial/10/country/RWA/	31.9	5.9	2.63	republic; presidential, multiparty system	53.3	10515973	7700	\N	1962-07-01	\N	59.59	26340	14.8	RWA	http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	http://www.semwebtech.org/mondial/10/organization/UN/	Rwanda
http://www.semwebtech.org/mondial/10/country/GBJ/	2	3.7	0.81	parliamentary democracy	96	97857	5100	1.7	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.86	117	2	GBJ	http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	\N	Jersey
http://www.semwebtech.org/mondial/10/country/TT/	0.3	5.4	-0.11	parliamentary democracy	42	1328019	27130	5.9	1962-08-31	\N	24.82	5130	57.7	TT	http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/country/GB/	Trinidad and Tobago
http://www.semwebtech.org/mondial/10/country/RMM/	38.5	0.1	3	republic	37	13985961	11370	30	1960-09-22	\N	104.34	1240000	24.4	RMM	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/F/	Mali
http://www.semwebtech.org/mondial/10/country/MNE/	0.8	4	-0.49	republic	87.9	620029	4518	19.1	2006-06-03	\N	\N	14026	11.3	MNE	http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/country/SRB/	Montenegro
http://www.semwebtech.org/mondial/10/country/AL/	19.5	1.7	0.3	parliamentary democracy	68.5	2800138	12800	16.9	1912-11-28	\N	13.19	28750	12	AL	http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Albania
http://www.semwebtech.org/mondial/10/country/WAL/	47.9	11.1	2.33	constitutional democracy	33.5	5751976	4607	\N	1961-04-27	\N	73.29	71740	18.6	WAL	http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/country/GB/	Sierra Leone
http://www.semwebtech.org/mondial/10/country/MOC/	28.7	4.4	2.45	republic	46.4	23700715	14670	17	1975-06-25	\N	72.42	801590	24.9	MOC	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/P/	Mozambique
http://www.semwebtech.org/mondial/10/country/EW/	3.9	3.4	-0.68	parliamentary republic	66.2	1294455	24280	10.9	1991-09-06	\N	6.7	45100	30	EW	http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Estonia
http://www.semwebtech.org/mondial/10/country/RIM/	16.9	4.6	2.26	military junta	28.5	3537368	4183	30	1960-11-28	\N	56.06	1030700	54.6	RIM	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/F/	Mauritania
http://www.semwebtech.org/mondial/10/country/KN/	1.8	2.2	0.78	parliamentary democracy and a Commonwealth realm	75.1	52352	767	4.5	1983-09-19	\N	8.98	269	23.1	KN	http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/country/GB/	Saint Kitts and Nevis
http://www.semwebtech.org/mondial/10/country/MACX/	0	5.5	0.83	limited democracy	93.5	552503	51680	1.8	\N	http://www.semwebtech.org/mondial/10/country/CN/	3.13	16	6.5	MACX	http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	\N	Macao
http://www.semwebtech.org/mondial/10/country/VN/	19.3	6.8	1	Communist state	42.2	88772900	170000	1.3	1945-09-02	\N	18.99	329560	38.5	VN	http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	http://www.semwebtech.org/mondial/10/country/F/	Vietnam
http://www.semwebtech.org/mondial/10/country/WAN/	30.9	8.7	2.47	federal republic	26	164294516	502000	23.9	1960-10-01	\N	74.09	923770	43	WAN	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/GB/	Nigeria
http://www.semwebtech.org/mondial/10/country/MV/	3	5.1	-0.09	republic	80	341256	2270	28	1965-07-26	\N	24.59	300	17	MV	http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/country/GB/	Maldives
http://www.semwebtech.org/mondial/10/country/EAU/	23.1	6.2	3.24	republic	50	34856813	22600	\N	1962-10-09	\N	60.82	236040	26.9	EAU	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/country/GB/	Uganda
http://www.semwebtech.org/mondial/10/country/MH/	14.3	12.9	1.72	constitutional government in free association with the US	71.8	53158	193	36	1986-10-21	\N	21.39	181.3	13.9	MH	http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/organization/UN/	Marshall Islands
http://www.semwebtech.org/mondial/10/country/V/	\N	\N	\N	monarchical sacerdotal state	\N	842	\N	\N	1929-02-11	\N	\N	0.44	\N	V	http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	http://www.semwebtech.org/mondial/10/country/I/	Holy See
http://www.semwebtech.org/mondial/10/country/KWT/	0.3	2.8	1.7	constitutional emirate	49.1	2991580	179500	3.4	1961-06-19	\N	7.51	17820	50.6	KWT	http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/country/GB/	Kuwait
http://www.semwebtech.org/mondial/10/country/SRB/	7.9	2.2	-0.46	republic	60.3	7120666	43680	20.1	1992-04-11	\N	6.16	77474	31.8	SRB	http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Serbia
http://www.semwebtech.org/mondial/10/country/ARU/	0.4	-2	1.36	parliamentary democracy	66.3	101484	2516	6.9	\N	http://www.semwebtech.org/mondial/10/country/NL/	11.74	193	33.3	ARU	http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	\N	Aruba
http://www.semwebtech.org/mondial/10/country/TO/	20.9	2	0.09	constitutional monarchy	57.2	103252	477	13	1970-06-04	\N	12.36	748	21.9	TO	http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/country/GB/	Tonga
http://www.semwebtech.org/mondial/10/country/BVIR/	1.1	1.6	2.36	British Overseas Territories	87.2	23161	1095	8.7	\N	http://www.semwebtech.org/mondial/10/country/GB/	13.45	153	11.7	BVIR	http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	\N	British Virgin Islands
http://www.semwebtech.org/mondial/10/country/BZ/	13	1.3	1.92	parliamentary democracy and a Commonwealth realm	64	312971	1637	15.5	1981-09-21	\N	20.31	22960	23	BZ	http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	http://www.semwebtech.org/mondial/10/country/GB/	Belize
http://www.semwebtech.org/mondial/10/country/GROX/	4	2.8	0.02	parliamentary democracy within a constitutional monarchy	67	56370	2160	9.4	\N	http://www.semwebtech.org/mondial/10/country/DK/	9.42	2175600	29	GROX	http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	\N	Greenland
http://www.semwebtech.org/mondial/10/country/GBM/	1	5	0.8	parliamentary democracy	88	84497	4076	2	\N	http://www.semwebtech.org/mondial/10/country/GB/	4.17	588	11	GBM	http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	\N	Isle of Man
http://www.semwebtech.org/mondial/10/country/K/	34.8	3.2	1.63	multiparty democracy under a constitutional monarchy	40.7	14364931	15640	0	1949-11-09	\N	51.36	181040	24.5	K	http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/country/F/	Cambodia
http://www.semwebtech.org/mondial/10/country/SP/	59.3	\N	1.75	in the process of building a federal parliamentary republic	33.5	9636173	2372	\N	1960-07-01	\N	100.14	637660	7.2	SP	http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/country/GB/	Somalia
http://www.semwebtech.org/mondial/10/country/TL/	2.6	4.5	2.44	republic	15.8	1066582	6129	18.4	2002-05-20	\N	38.79	15007	81.6	TL	http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/country/RI/	Timor-Leste
http://www.semwebtech.org/mondial/10/country/TUCA/	1	2.5	2.58	British Overseas Territories	76.5	31458	216	10	\N	http://www.semwebtech.org/mondial/10/country/GB/	10.97	430	22.5	TUCA	http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	\N	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/country/GCA/	13.5	4.4	1.86	constitutional democratic republic	62.7	15073375	53900	4.1	1821-09-15	\N	23.51	108890	23.8	GCA	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	http://www.semwebtech.org/mondial/10/country/E/	Guatemala
http://www.semwebtech.org/mondial/10/country/BIH/	8.1	0.2	-0.11	emerging federal democratic republic	65.5	3791622	18870	44.3	1992-04-01	\N	5.84	51233	26.4	BIH	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Bosnia and Herzegovina
http://www.semwebtech.org/mondial/10/country/TAD/	21.1	3.7	1.75	republic	55.7	8161100	8513	2.5	1991-09-09	\N	35.03	143100	23.2	TAD	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Tajikistan
http://www.semwebtech.org/mondial/10/country/AXA/	2.5	3.1	2.06	British Overseas Territories	73.8	13037	175.4	8	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.4	102	23.6	AXA	http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	\N	Anguilla
http://www.semwebtech.org/mondial/10/country/SA/	2	3.7	1.49	monarchy	35.5	27136977	718500	10.5	1932-09-23	\N	14.58	1960582	62.5	SA	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	\N	Saudi Arabia
http://www.semwebtech.org/mondial/10/country/SUD/	27.4	25	1.78	federal republic	39	35652002	52500	20	1956-01-01	\N	52.86	1861484	33.6	SUD	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/country/ET/	Sudan
http://www.semwebtech.org/mondial/10/country/COCO/	\N	\N	\N	territory of Australia	\N	596	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	14	\N	COCO	http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	\N	Cocos Islands
http://www.semwebtech.org/mondial/10/country/BR/	5.5	6.2	0.8	federal republic	68.1	202768562	2190000	5.7	1822-09-07	\N	19.21	8511965	26.4	BR	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/P/	Brazil
http://www.semwebtech.org/mondial/10/country/L/	0.3	1.8	1.12	constitutional monarchy	86.4	524853	60540	4.9	1890-11-24	\N	4.28	2586	13.3	L	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	http://www.semwebtech.org/mondial/10/country/NL/	Luxembourg
http://www.semwebtech.org/mondial/10/country/PNG/	27.6	3.8	1.84	constitutional parliamentary democracy and a Commonwealth realm	33.3	7275324	16100	1.9	1975-09-16	\N	39.67	461690	39.1	PNG	http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/organization/UN/	Papua New Guinea
http://www.semwebtech.org/mondial/10/country/YV/	3.7	56.2	1.42	federal republic	60.8	28946101	367500	7.9	1811-07-05	\N	19.33	912050	35.5	YV	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/E/	Venezuela
http://www.semwebtech.org/mondial/10/country/FPOL/	3.1	1.1	0.97	parliamentary representative democratic French overseas collectivity	76.9	268270	5650	11.7	\N	http://www.semwebtech.org/mondial/10/country/F/	4.78	4167	20	FPOL	http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	\N	French Polynesia
http://www.semwebtech.org/mondial/10/country/FARX/	16	2.3	0.49	part of the Danish realm	55	48197	2320	6.8	\N	http://www.semwebtech.org/mondial/10/country/DK/	5.71	1400	29	FARX	http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	\N	Faroe Islands
http://www.semwebtech.org/mondial/10/country/AFG/	20	6.8	2.29	Islamic republic	54.4	26023100	20650	35	1919-08-19	\N	117.23	647500	25.6	AFG	http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	http://www.semwebtech.org/mondial/10/country/GB/	Afghanistan
http://www.semwebtech.org/mondial/10/country/M/	1.4	1	0.33	republic	73.3	417432	9541	6.4	1964-09-21	\N	3.59	320	25.3	M	http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/country/GB/	Malta
http://www.semwebtech.org/mondial/10/country/SBAR/	\N	\N	\N	overseas collectivity of France	\N	9072	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	\N	21	\N	SBAR	http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	\N	Saint Barthelemy
http://www.semwebtech.org/mondial/10/country/MAYO/	\N	\N	3.32	territorial collectivity of France	\N	212645	953.6	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	56.29	374	\N	MAYO	http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	\N	Mayotte
http://www.semwebtech.org/mondial/10/country/NIUE/	23.5	4	-0.03	self-governing parliamentary democracy	49.5	1611	10	12	1974-10-19	\N	\N	260	26.9	NIUE	http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/country/NZ/	Niue
http://www.semwebtech.org/mondial/10/country/IR/	10.6	42.3	1.22	theocratic republic	44.5	75149669	411900	16	\N	\N	39	1648000	44.9	IR	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	\N	Iran
http://www.semwebtech.org/mondial/10/country/UA/	9.9	0.7	-0.64	republic	60.5	45633637	175500	8	1991-12-01	\N	8.1	603700	29.6	UA	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Ukraine
http://www.semwebtech.org/mondial/10/country/NL/	2.6	2.5	0.42	constitutional monarchy	72.1	16843181	722300	8.3	1579-01-01	\N	3.66	37330	25.4	NL	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/E/	Netherlands
http://www.semwebtech.org/mondial/10/country/SSD/	\N	1.7	4.12	republic	\N	8260490	11770	\N	2011-07-09	\N	68.16	644329	\N	SSD	http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/country/SUD/	South Sudan
http://www.semwebtech.org/mondial/10/country/MNTS/	1.6	4.5	0.48	British Overseas Territories	75.1	4922	29	6	\N	http://www.semwebtech.org/mondial/10/country/GB/	13.66	102	23.2	MNTS	http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	\N	Montserrat
http://www.semwebtech.org/mondial/10/country/RCB/	3.3	1.7	1.94	republic	22.9	4001831	14250	53	1960-08-15	\N	59.34	342000	73.9	RCB	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/F/	Congo
http://www.semwebtech.org/mondial/10/country/FL/	8	-0.7	0.82	hereditary constitutional monarchy	55	36636	5113	2.3	1806-07-12	\N	4.33	160	37	FL	http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/territory/HolyRomanEmpire/	Liechtenstein
http://www.semwebtech.org/mondial/10/country/CAYM/	0.3	1.8	2.14	parliamentary democracy	72.3	55691	2250	4	\N	http://www.semwebtech.org/mondial/10/country/GB/	6.21	262	27.4	CAYM	http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	\N	Cayman Islands
http://www.semwebtech.org/mondial/10/country/TN/	8.6	6.1	0.92	republic	61	10982754	48380	17.2	1956-03-20	\N	23.19	163610	30.4	TN	http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/country/F/	Tunisia
http://www.semwebtech.org/mondial/10/country/CY/	2.4	0.2	1.48	republic	81.7	840407	21780	17.4	1960-08-16	\N	8.54	9251	15.9	CY	http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/country/GB/	Cyprus
http://www.semwebtech.org/mondial/10/country/MD/	13.8	4.6	-1.02	republic	66.2	3559541	7932	5.8	1991-08-27	\N	12.93	33700	19.9	MD	http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Moldova
http://www.semwebtech.org/mondial/10/country/RM/	27.3	8.8	2.62	republic	56.3	21842167	10530	\N	1960-06-26	\N	44.88	587041	16.4	RM	http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/country/F/	Madagascar
http://www.semwebtech.org/mondial/10/country/P/	2.6	0.4	0.12	republic; parliamentary democracy	75.2	10561614	219300	16.8	1139-07-25	\N	4.48	92080	22.2	P	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/E/	Portugal
http://www.semwebtech.org/mondial/10/country/GNB/	58	1.9	1.93	republic	28.5	1586624	880	\N	1974-09-10	\N	90.92	36120	13.5	GNB	http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/country/P/	Guinea-Bissau
http://www.semwebtech.org/mondial/10/country/RSM/	0.1	2.8	0.87	republic	60.7	32440	1866	7	0301-01-01	\N	4.52	60	39.2	RSM	http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	\N	San Marino
http://www.semwebtech.org/mondial/10/country/A/	1.6	2.1	0.01	federal republic	69.8	8499759	417900	4.9	1918-11-12	\N	4.16	83850	28.6	A	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/territory/Austria-Hungary/	Austria
http://www.semwebtech.org/mondial/10/country/RSA/	2.6	5.8	-0.48	republic	68.4	51770560	353900	24.9	1910-05-31	\N	41.61	1219912	29	RSA	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/GB/	South Africa
http://www.semwebtech.org/mondial/10/country/S/	2	0	0.79	constitutional monarchy	66.8	9555893	552000	8.1	\N	\N	2.6	449964	31.3	S	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	\N	Sweden
http://www.semwebtech.org/mondial/10/country/OM/	1	1.6	2.06	monarchy	34.6	3623001	81950	15	1650-01-01	\N	14	212460	64.4	OM	http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/country/P/	Oman
http://www.semwebtech.org/mondial/10/country/GE/	8.5	-0.5	-0.11	republic	69.9	4483800	15950	15	1991-04-09	\N	16.68	69700	21.6	GE	http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Georgia
http://www.semwebtech.org/mondial/10/country/VU/	22.4	1.9	2.01	parliamentary republic	67.9	236299	828	1.7	1980-07-30	\N	16.41	14760	9.7	VU	http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/country/F/	Vanuatu
http://www.semwebtech.org/mondial/10/country/CO/	6.6	2.2	1.07	republic; executive branch dominates government structure	55.6	47661787	369200	9.7	1810-07-20	\N	15.02	1138910	37.8	CO	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/E/	Colombia
http://www.semwebtech.org/mondial/10/country/GUAM/	\N	4	0.44	organized	\N	159358	4600	8.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	5.51	541.3	\N	GUAM	http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	\N	Guam
http://www.semwebtech.org/mondial/10/country/USA/	1.1	1.5	0.77	constitution-based federal republic; strong democratic tradition	79.4	318857056	16720000	7.3	1776-07-04	\N	6.17	9372610	19.5	USA	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/GB/	United States
http://www.semwebtech.org/mondial/10/country/WG/	5.6	2.4	0.5	parliamentary democracy and a Commonwealth realm	78.5	103328	811	33.5	1974-02-07	\N	10.5	344	15.8	WG	http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/country/GB/	Grenada
http://www.semwebtech.org/mondial/10/country/AND/	14	1.1	0.17	parliamentary democracy that retains as its chiefs of state a co-principality	6	78115	4800	4	1278-09-08	\N	3.69	450	79	AND	http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	\N	Andorra
http://www.semwebtech.org/mondial/10/country/IRL/	1.6	0.6	1.2	republic, parliamentary democracy	70.4	4588252	220900	13.5	1921-12-06	\N	3.74	70280	28	IRL	http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/country/GB/	Ireland
http://www.semwebtech.org/mondial/10/country/AUS/	3.8	2.4	1.09	federal parliamentary democracy and a Commonwealth realm	68.7	23135281	1488000	5.7	1901-01-01	\N	4.43	7686850	27.4	AUS	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/GB/	Australia
http://www.semwebtech.org/mondial/10/country/STP/	13.7	8.7	1.89	republic	66.8	187356	311	\N	1975-07-12	\N	49.16	1001	19.5	STP	http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/country/P/	Sao Tome and Principe
http://www.semwebtech.org/mondial/10/country/GB/	0.7	2	0.54	constitutional monarchy and Commonwealth realm	78.9	64105654	2490000	7.2	1801-01-01	\N	4.44	244820	20.5	GB	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	\N	United Kingdom
http://www.semwebtech.org/mondial/10/country/MS/	4.5	3.5	0.66	parliamentary democracy	73.4	1237091	11900	8.3	1968-03-12	\N	10.59	2040	22	MS	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/country/GB/	Mauritius
http://www.semwebtech.org/mondial/10/country/RN/	35.2	1.9	3.28	republic	50.6	17138707	7304	\N	1960-08-03	\N	86.27	1267000	14.2	RN	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/F/	Niger
http://www.semwebtech.org/mondial/10/country/MEX/	3.6	4	1.21	federal republic	59.8	112336538	1327000	4.9	1810-09-16	\N	12.58	1972550	36.6	MEX	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/E/	Mexico
http://www.semwebtech.org/mondial/10/country/RL/	4.6	5	9.37	republic	75.4	4341092	43490	\N	1943-11-22	\N	7.98	10400	20	RL	http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/organization/UN/	Lebanon
http://www.semwebtech.org/mondial/10/country/HELX/	\N	\N	0.45	British Overseas Territories	\N	5663	18	\N	\N	http://www.semwebtech.org/mondial/10/country/GB/	17.63	413	\N	HELX	http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	\N	Saint Helena
http://www.semwebtech.org/mondial/10/country/VIRG/	1	2.2	-0.56	organized	80	106405	1200	6.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	6.79	352	19	VIRG	http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	\N	Virgin Islands
http://www.semwebtech.org/mondial/10/country/JOR/	3.2	5.9	3.86	constitutional monarchy	67	6249000	34080	14	1946-05-25	\N	15.73	89213	29.9	JOR	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	http://www.semwebtech.org/mondial/10/organization/UN/	Jordan
http://www.semwebtech.org/mondial/10/country/SME/	8.9	4.2	1.12	constitutional democracy	54.5	541638	5009	9	1975-11-25	\N	27.07	163270	36.6	SME	http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/country/NL/	Suriname
http://www.semwebtech.org/mondial/10/country/GAZA/	\N	5.7	4.55	\N	\N	1760037	1700	\N	\N	\N	30.6	365	\N	GAZA	\N	\N	Gaza Strip
http://www.semwebtech.org/mondial/10/country/IS/	5.9	3.9	0.65	constitutional republic	71.2	318452	14590	4.5	1944-06-17	\N	3.15	103000	22.9	IS	http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/country/DK/	Iceland
http://www.semwebtech.org/mondial/10/country/TOK/	\N	\N	-0.01	\N	\N	1383	1.5	\N	\N	http://www.semwebtech.org/mondial/10/country/NZ/	\N	12	\N	TOK	http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	\N	Tokelau
http://www.semwebtech.org/mondial/10/country/CN/	10	2.6	0.44	Communist state	46.1	1360720000	9330000	4.1	\N	\N	14.79	9596960	43.9	CN	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	\N	China
http://www.semwebtech.org/mondial/10/country/Q/	0.1	3.1	3.58	emirate	27.7	1699435	213100	0.3	1971-09-03	\N	6.42	11000	72.2	Q	http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/country/GB/	Qatar
http://www.semwebtech.org/mondial/10/country/IND/	17.4	9.6	1.25	federal republic	56.9	1210854977	1670000	8.8	1947-08-15	\N	43.19	3287590	25.8	IND	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/GB/	India
http://www.semwebtech.org/mondial/10/country/SN/	14.9	0.8	2.48	republic	62.4	13508715	15360	48	1960-08-20	\N	52.72	196190	22.7	SN	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/F/	Senegal
http://www.semwebtech.org/mondial/10/country/NOK/	23.4	\N	0.53	Communist state one-man dictatorship	29.4	24500520	28000	\N	1945-08-15	\N	24.5	120540	47.2	NOK	http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	http://www.semwebtech.org/mondial/10/country/J/	North Korea
http://www.semwebtech.org/mondial/10/country/COOK/	5.1	2.2	-3	self-governing parliamentary democracy	82.1	17794	183.2	13.1	\N	http://www.semwebtech.org/mondial/10/country/NZ/	14.33	240	12.7	COOK	http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	\N	Cook Islands
http://www.semwebtech.org/mondial/10/country/ROU/	7.5	8.3	0.26	constitutional republic	71	3286314	57110	6.5	1828-08-25	\N	8.97	176220	21.5	ROU	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/country/BR/	Uruguay
http://www.semwebtech.org/mondial/10/country/MW/	29.4	26.9	3.33	multiparty democracy	51.7	15013694	3683	\N	1964-07-06	\N	48.01	118480	18.9	MW	http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	http://www.semwebtech.org/mondial/10/country/GB/	Malawi
http://www.semwebtech.org/mondial/10/country/HONX/	0	4.4	0.41	limited democracy	93	7071576	272100	3.1	\N	http://www.semwebtech.org/mondial/10/country/CN/	2.73	1092	6.9	HONX	http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	\N	Hong Kong
http://www.semwebtech.org/mondial/10/country/RCA/	56.6	7	2.13	republic	28.9	4349921	2050	8	1960-08-13	\N	92.86	622980	14.5	RCA	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/country/F/	Central African Republic
http://www.semwebtech.org/mondial/10/country/WAFU/	\N	2.8	0.33	parliamentary representative democratic French overseas collectivity	\N	12197	60	12.2	\N	http://www.semwebtech.org/mondial/10/country/F/	4.49	274	\N	WAFU	http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	\N	Wallis and Futuna
http://www.semwebtech.org/mondial/10/country/SYR/	17.6	59.1	-9.73	republic under an authoritarian regime	60.2	20866000	64700	17.8	1946-04-17	\N	15.79	185180	22.2	SYR	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/organization/UN/	Syria
http://www.semwebtech.org/mondial/10/country/RG/	22.9	11.9	2.63	republic	30.5	10628972	6544	\N	1958-10-02	\N	55.24	245860	46.5	RG	http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/country/F/	Guinea
http://www.semwebtech.org/mondial/10/country/ROK/	2.6	1.1	0.16	republic	58.2	51141463	1198000	3.2	1945-08-15	\N	3.93	98480	39.2	ROK	http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	http://www.semwebtech.org/mondial/10/country/J/	South Korea
http://www.semwebtech.org/mondial/10/country/XMAS/	\N	\N	\N	territory of Australia	\N	2072	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	135	\N	XMAS	http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	\N	Christmas Island
http://www.semwebtech.org/mondial/10/country/NAM/	7.7	5.5	0.67	republic	62.6	2113077	12300	27.4	1990-03-21	\N	45.64	825418	29.6	NAM	http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	http://www.semwebtech.org/mondial/10/organization/UN/	Namibia
http://www.semwebtech.org/mondial/10/country/CL/	10.6	4.7	0.86	republic	57	20263723	65120	5.1	1948-02-04	\N	9.02	65610	32.4	CL	http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/country/GB/	Sri Lanka
http://www.semwebtech.org/mondial/10/country/AG/	2.2	3	1.25	constitutional monarchy with a parliamentary system of government and a Commonwealth realm	81.4	81799	1220	11	1981-11-01	\N	13.29	442	16.4	AG	http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/country/GB/	Antigua and Barbuda
http://www.semwebtech.org/mondial/10/country/PR/	0.7	0.9	-0.65	commonwealth	50.5	3725789	93520	16	\N	http://www.semwebtech.org/mondial/10/country/USA/	7.73	8870	48.8	PR	http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	\N	Puerto Rico
http://www.semwebtech.org/mondial/10/country/R/	4.2	6.8	-0.03	federation	58.3	143666931	2113000	5.8	1991-08-24	\N	7.08	17075200	37.5	R	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Russia
http://www.semwebtech.org/mondial/10/country/UZB/	19.1	10.1	0.93	republic; authoritarian presidential rule with little power outside the executive branch	48.7	27769270	55180	4.9	1991-08-31	\N	19.84	447400	32.2	UZB	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Uzbekistan
http://www.semwebtech.org/mondial/10/country/NORF/	\N	\N	\N	territory of Australia	\N	2169	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	34.6	\N	NORF	http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	\N	Norfolk Island
http://www.semwebtech.org/mondial/10/country/BF/	33.6	2.1	3.05	parliamentary republic	42.8	17322796	12130	77	1960-08-05	\N	76.8	274200	23.6	BF	http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	http://www.semwebtech.org/mondial/10/country/F/	Burkina Faso
http://www.semwebtech.org/mondial/10/country/BG/	6.7	1.5	-0.83	parliamentary democracy	63	7284552	53700	11.6	1908-09-22	\N	15.08	110910	30.3	BG	http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Bulgaria
http://www.semwebtech.org/mondial/10/country/KOS/	12.9	1.8	\N	republic	64.5	1733872	7150	30.9	2008-02-17	\N	\N	10887	22.6	KOS	http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	http://www.semwebtech.org/mondial/10/country/SRB/	Kosovo
http://www.semwebtech.org/mondial/10/country/WV/	5.4	2.8	-0.29	parliamentary democracy and a Commonwealth realm	74.4	109991	742	18.8	1979-10-27	\N	13.07	389	20.3	WV	http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/country/GB/	Saint Vincent and the Grenadines
http://www.semwebtech.org/mondial/10/country/NMIS/	1.7	-2.7	1.13	commonwealth; self-governing with locally elected governor, lieutenant governor, and legislature	95	53883	733	11.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	5.5	477	3.3	NMIS	http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	\N	Northern Mariana Islands
\.


--
-- TOC entry 5915 (class 0 OID 96578)
-- Dependencies: 1081
-- Data for Name: Desert; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Desert" ("URI", area, type, latitude, longitude, name) FROM stdin;
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	200000	\N	30	-1	Grand Erg Ouest
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	176500	sand	-25	137	Simpson Desert
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	37500	\N	44	72	Mujunkum
http://www.semwebtech.org/mondial/10/desert/Trarza/	50000	\N	18	-15	Trarza
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	200000	\N	44	65	Kysylkum
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	150000	\N	27	-5	Erg Igidi
http://www.semwebtech.org/mondial/10/desert/Tenere/	600000	sand	18	11	Tenere
http://www.semwebtech.org/mondial/10/desert/Karakum/	400000	\N	40	60	Karakum
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	300000	sand	38	82	TaklaMakan
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	150000	\N	31	8	Grand Erg Est
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	166000	\N	32.5	57	Dascht-e-Lut
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	424400	\N	-29	129	Great Victoria Desert
http://www.semwebtech.org/mondial/10/desert/Ferlo/	70000	\N	15	-14	Ferlo
http://www.semwebtech.org/mondial/10/desert/Thar/	240000	\N	27.5	72	Thar
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	310800	\N	-23	125	Gibson Desert
http://www.semwebtech.org/mondial/10/desert/Nefud/	78000	sand	28	42	Nefud
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	77600	\N	32.5	55	Dascht-e-Kavir
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	80000	\N	28	8	Erg Isaouane
http://www.semwebtech.org/mondial/10/desert/Negev/	12000	\N	30.5	35	Negev
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	50000	\N	33	26	Arabian Desert
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	25000	\N	27	-10	Saguia el-Hamra
http://www.semwebtech.org/mondial/10/desert/Tanami/	37500	sand	-20	130	Tanami
http://www.semwebtech.org/mondial/10/desert/Sonora/	320000	\N	32	-113	Sonora
http://www.semwebtech.org/mondial/10/desert/RedCentre/	1000000	sand	-26	135	Red Centre
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	518000	\N	33	39	Syrian Desert
http://www.semwebtech.org/mondial/10/desert/Djourab/	100000	\N	17	18	Djourab
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	360000	sand	-20	123	Great Sandy Desert
http://www.semwebtech.org/mondial/10/desert/Namib/	95000	sand	-25	15	Namib
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	200000	lime	-31	129	Nullarbor Plain
http://www.semwebtech.org/mondial/10/desert/KumTagh/	22000	sand	40	92	Kum Tagh
http://www.semwebtech.org/mondial/10/desert/Rigestan/	25000	\N	30	65	Rigestan
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	337000	\N	36	-110	Colorado Plateau
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	80000	\N	21	-11	Erg Ouarane
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	35000	\N	\N	\N	Hamada du Draa
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	10360	\N	41	-114	Great Salt Lake Desert
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	40000	\N	22	-11	Erg Maqteir
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	300000	\N	38	-117	Great Basin
http://www.semwebtech.org/mondial/10/desert/Mojave/	57000	\N	36.2	-115.2	Mojave
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	780000	sand	21	51	Rub Al Chali
http://www.semwebtech.org/mondial/10/desert/UstUrt/	180000	\N	43	56	Ust Urt
http://www.semwebtech.org/mondial/10/desert/Ryn/	80000	\N	48	47	Ryn
http://www.semwebtech.org/mondial/10/desert/Gobi/	1000000	\N	41	105	Gobi
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	360000	\N	31	-105	Chihuahua
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	48800	\N	45	87.5	Gurbantunggut
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	200000	\N	23	22	Erg Rebiana
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	13000	\N	-29	141	Sturt Desert
http://www.semwebtech.org/mondial/10/desert/Talak/	100000	sand	17	6	Talak
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	30000	\N	31	-116	Baja California Desert
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	1100000	\N	\N	\N	Libyan Desert
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	84000	\N	30	12	Hamada al-Hamra
http://www.semwebtech.org/mondial/10/desert/Kalahari/	1200000	\N	-22	21	Kalahari
http://www.semwebtech.org/mondial/10/desert/Darfur/	500000	\N	15	27	Darfur
http://www.semwebtech.org/mondial/10/desert/Owyhee/	36000	\N	42	-117	Owyhee
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	180000	\N	18	22	Erdi Ennedi
http://www.semwebtech.org/mondial/10/desert/Fesan/	300000	\N	26	13	Fesan
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	50000	\N	32	21	Nubian Desert
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	40000	\N	31	62	Dascht-e-Margoh
http://www.semwebtech.org/mondial/10/desert/Qaidam/	120000	\N	37.5	95	Qaidam
http://www.semwebtech.org/mondial/10/desert/ErgChech/	10000	\N	25	-3	Erg Chech
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	160000	\N	23	0	Tanezrouft
http://www.semwebtech.org/mondial/10/desert/Atacama/	181300	\N	-24.5	-69.25	Atacama
http://www.semwebtech.org/mondial/10/desert/Ordos/	90000	\N	38	108	Ordos
\.


--
-- TOC entry 5916 (class 0 OID 96584)
-- Dependencies: 1082
-- Data for Name: Encompassed; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Encompassed" ("URI", percent, "encompassedArea", "encompassedBy") FROM stdin;
7b93e6a1:150814fecb6:-7c3	100	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-74b	100	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78a	100	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7a2	100	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ed	100	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-794	100	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-757	100	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f1	100	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-808	100	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b4	100	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7de	100	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-73a	100	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-785	100	http://www.semwebtech.org/mondial/10/country/SBAR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-748	100	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e2	100	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a5	100	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7cf	100	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-72b	100	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-776	100	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-739	100	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7d3	100	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fd	100	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-767	100	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-80a	100	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c4	100	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-720	100	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ee	100	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-74a	100	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-795	100	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-758	100	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f2	100	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-747	100	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e1	100	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a4	100	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ce	100	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-72a	100	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-775	100	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-738	100	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79f	100	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-809	100	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b5	100	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7df	100	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-73b	100	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-786	100	http://www.semwebtech.org/mondial/10/country/SMAR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-749	100	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e3	100	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a6	100	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-72c	100	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-777	100	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d4	100	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-730	100	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7fe	75	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-75a	100	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-768	100	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-80b	100	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c5	100	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-721	100	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ef	100	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-796	100	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-759	100	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f3	100	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b6	100	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-73c	100	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-800	100	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-787	100	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e4	100	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-740	100	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7a7	100	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-76a	100	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-72d	100	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-778	100	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d5	100	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-731	100	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ff	25	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-75b	100	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-71e	100	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-769	100	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-80c	100	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c6	100	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-722	100	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-74c	100	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-810	100	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-797	100	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f4	100	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-750	100	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7b7	100	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-77a	100	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-73d	100	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-801	100	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-788	100	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e5	100	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-741	100	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7a8	100	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-76b	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-72e	100	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-779	100	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d6	100	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-732	100	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-75c	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-71f	100	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-80d	100	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-760	100	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7c7	100	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-723	100	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-74d	100	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-811	100	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-798	100	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7aa	100	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7f5	97	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-751	100	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7b8	100	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-77b	100	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-73e	100	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-802	100	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-789	100	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e6	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-742	100	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7a9	100	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-76c	100	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-72f	100	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-770	100	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d7	100	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-733	100	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79a	100	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-75d	100	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-80e	100	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7ba	78	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-761	100	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7c8	94.6	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-724	100	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78b	100	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-74e	100	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-812	100	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-799	100	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ab	100	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7f6	3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-752	100	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7b9	22	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-77c	100	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-73f	100	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-803	100	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-780	100	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e7	100	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-743	100	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-76d	100	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7a0	100	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7ca	100	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-771	100	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d8	100	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-734	100	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79b	100	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-75e	100	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-80f	100	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7bb	92.7	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-762	100	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7c9	5.4	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-725	100	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78c	100	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-74f	100	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-813	100	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7ac	100	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-790	100	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f7	100	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-753	100	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-77d	100	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-804	100	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b0	100	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7da	100	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-781	100	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e8	100	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-744	100	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-76e	100	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7a1	100	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7cb	100	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-772	100	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7d9	100	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-735	100	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79c	100	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-75f	100	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7bc	7.3	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-763	100	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-726	100	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78d	100	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-814	100	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c0	100	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7ea	100	http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7ad	100	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-791	100	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f8	100	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-754	100	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-77e	100	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-805	100	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b1	100	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7db	100	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-782	100	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7e9	100	http://www.semwebtech.org/mondial/10/country/MEL/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-745	100	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-76f	100	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7cc	100	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-773	100	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-736	100	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79d	100	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7d0	100	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fa	100	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7bd	100	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-764	100	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-727	100	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78e	100	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-815	100	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c1	100	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-7eb	100	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7ae	100	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-792	100	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7f9	100	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-755	100	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-77f	100	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-806	100	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b2	100	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7dc	100	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-783	100	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-746	100	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7e0	100	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7a3	100	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7cd	100	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-774	100	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-737	100	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-79e	100	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7d1	100	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fb	100	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7be	100	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-765	100	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-728	100	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-78f	100	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-816	100	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7c2	100	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7ec	100	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7af	100	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-793	100	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-756	100	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/continent/Africa/
7b93e6a1:150814fecb6:-7f0	100	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-807	100	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7b3	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7dd	100	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-784	100	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/continent/America/
7b93e6a1:150814fecb6:-7d2	100	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/continent/Asia/
7b93e6a1:150814fecb6:-7fc	100	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-7bf	100	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/continent/Europe/
7b93e6a1:150814fecb6:-766	100	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
7b93e6a1:150814fecb6:-729	100	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/continent/Africa/
\.


--
-- TOC entry 5917 (class 0 OID 96590)
-- Dependencies: 1083
-- Data for Name: Estuary; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Estuary" ("URI", longitude, elevation, latitude, "hasEstuary-") FROM stdin;
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	-7.65	\N	37.35	http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/estuary/Inn/	13.47	\N	48.57	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	25.2	\N	65.3	http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	-6.35	\N	36.8	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	-82.2	\N	43	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/estuary/Breg/	8.52	\N	47.95	http://www.semwebtech.org/mondial/10/river/Breg/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	-70.811944	\N	42.819444	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	30.23	\N	46.35	http://www.semwebtech.org/mondial/10/river/Dnjestr/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	68.3	\N	37.1	http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	24	\N	-0.8	http://www.semwebtech.org/mondial/10/river/Lomami/
http://www.semwebtech.org/mondial/10/estuary/Buna/	19.35	\N	41.85	http://www.semwebtech.org/mondial/10/river/Buna/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	96	\N	17	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	71.6	\N	37.9	http://www.semwebtech.org/mondial/10/river/Bartang/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	59	\N	44	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	-80	\N	40.42	http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	25.2	\N	0.5	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/estuary/Newa/	30.17	\N	59.95	http://www.semwebtech.org/mondial/10/river/Newa/
http://www.semwebtech.org/mondial/10/estuary/Swir/	32.79	\N	60.51	http://www.semwebtech.org/mondial/10/river/Swir/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/estuary/Drina/	19.35	\N	44.9	http://www.semwebtech.org/mondial/10/river/Drina/
http://www.semwebtech.org/mondial/10/estuary/Saone/	4.8	\N	45.7	http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	-124.06	\N	46.24	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	79.1	\N	43.25	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	-91	\N	34	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	-92.33	\N	57.15	http://www.semwebtech.org/mondial/10/river/NelsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Schari/	14	\N	13.2	http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	-68.15	\N	49.2	http://www.semwebtech.org/mondial/10/river/Manicouagan/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	30.05	\N	60.75	http://www.semwebtech.org/mondial/10/river/Paatsjoki/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	5	\N	46.9	http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	12.23	\N	41.74	http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	7.61	\N	50.37	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/estuary/Ob/	71.35	\N	66.48	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	-48.73	\N	-5.37	http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	36	\N	-19	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/estuary/Argun/	121.48	\N	53.33	http://www.semwebtech.org/mondial/10/river/Argun/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	29.5	\N	2.5	http://www.semwebtech.org/mondial/10/river/Aruwimi/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	-50	\N	0	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	-83.9	\N	46.6	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	17	\N	-2	http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	20.4	\N	42.1	http://www.semwebtech.org/mondial/10/river/BlackDrin/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	24.45	\N	65.77	http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/estuary/Okavango/	22.5	\N	-18.95	http://www.semwebtech.org/mondial/10/river/Okavango/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	-64.8	\N	49.6	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	11.45	\N	61.1	http://www.semwebtech.org/mondial/10/river/Lagen/
http://www.semwebtech.org/mondial/10/estuary/Don/	39.4	\N	47.1	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	68.25	\N	58.2	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	24.1	\N	57	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	-84.75	\N	45.8	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/
http://www.semwebtech.org/mondial/10/estuary/Atbara/	33.97	\N	17.68	http://www.semwebtech.org/mondial/10/river/Atbara/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	68.93	\N	61.07	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	9.235	\N	45.14	http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/estuary/Douro/	-8.66	\N	41.15	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/estuary/Mekong/	107	\N	9	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	11.96	\N	48.5	http://www.semwebtech.org/mondial/10/river/Ammer/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	15.1	\N	60.7	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	38.75	\N	38.8	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	34	\N	-25.2	http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	10.95	\N	59.2	http://www.semwebtech.org/mondial/10/river/Glomma/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	4.84	\N	43.33	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/estuary/Karun/	48.17	\N	30.43	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	-73.75	\N	-10.7	http://www.semwebtech.org/mondial/10/river/Urubamba/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	16.9	\N	3	http://www.semwebtech.org/mondial/10/river/Lukenie/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	12	\N	-6	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	27	\N	-6	http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	22.5	\N	4	http://www.semwebtech.org/mondial/10/river/Uelle/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	35.5	\N	31.3	http://www.semwebtech.org/mondial/10/river/Jordan/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	9.65	\N	3.55	http://www.semwebtech.org/mondial/10/river/Sanaga/
http://www.semwebtech.org/mondial/10/estuary/Loire/	-2.18	\N	47.27	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	29.3	\N	-3.4	http://www.semwebtech.org/mondial/10/river/Ruzizi/
http://www.semwebtech.org/mondial/10/estuary/Niger/	6.42	\N	5.32	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/estuary/Leine/	9.59	\N	52.72	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	71.7	\N	41	http://www.semwebtech.org/mondial/10/river/Naryn/
http://www.semwebtech.org/mondial/10/estuary/Aller/	9.18	\N	52.94	http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	-97.18	\N	25.96	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	141.9	\N	-34.1	http://www.semwebtech.org/mondial/10/river/DarlingRiver/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	24.4	\N	66.3	http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/estuary/Oka/	44	\N	56.3	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	11.9	\N	57.7	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	-58.76	\N	-3.4	http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	-83.7	\N	10.9	http://www.semwebtech.org/mondial/10/river/RioSanJuan/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	24	\N	-29	http://www.semwebtech.org/mondial/10/river/Vaal/
http://www.semwebtech.org/mondial/10/estuary/Enns/	14.52	\N	48.24	http://www.semwebtech.org/mondial/10/river/Enns/
http://www.semwebtech.org/mondial/10/estuary/Saar/	6.6	\N	49.7	http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/estuary/Kama/	50.3	\N	55.4	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	119.14	\N	37.74	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/estuary/Lech/	10.93	\N	48.73	http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	115	\N	73	http://www.semwebtech.org/mondial/10/river/Chatanga/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	30.23	\N	46.35	http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/estuary/Oder/	14.59	\N	53.6	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	-58.4	\N	-27.3	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	22.5	\N	4	http://www.semwebtech.org/mondial/10/river/Bomu/
http://www.semwebtech.org/mondial/10/estuary/Gambia/	-16.6	\N	13.5	http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/estuary/Tara/	18.8	\N	43.35	http://www.semwebtech.org/mondial/10/river/Tara/
http://www.semwebtech.org/mondial/10/estuary/Main/	8.29	\N	49.99	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/estuary/Ural/	51.9	\N	47.1	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	-60	\N	-3.1	http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/estuary/Adda/	9.88	\N	45.13	http://www.semwebtech.org/mondial/10/river/Adda/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	13.5	\N	59.4	http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/estuary/Parana/	-58.2	\N	-34.5	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	20.8	\N	-0.2	http://www.semwebtech.org/mondial/10/river/Tshuapa/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	42.76	\N	0.5	http://www.semwebtech.org/mondial/10/river/Shabelle/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	-105.6	\N	21.5	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	-49.16	\N	-1.73	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	-74	\N	40.7	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	32.252	\N	46.5257	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	30.5	\N	51.15	http://www.semwebtech.org/mondial/10/river/Prypjat/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	-119.43	\N	39.85	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	30.9	\N	1.7	http://www.semwebtech.org/mondial/10/river/Semliki/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	47.44	\N	31	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/estuary/Olt/	24.8	\N	43.7	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	54	\N	68.5	http://www.semwebtech.org/mondial/10/river/Petschora/
http://www.semwebtech.org/mondial/10/estuary/Drau/	18.93	\N	45.54	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	16.1967	\N	-3.1765	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	20.4	\N	42.1	http://www.semwebtech.org/mondial/10/river/WhiteDrin/
http://www.semwebtech.org/mondial/10/estuary/Volga/	47.85	\N	46.733333333333	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/estuary/Piva/	18.8	\N	43.35	http://www.semwebtech.org/mondial/10/river/Piva/
http://www.semwebtech.org/mondial/10/estuary/Mur/	16.88	\N	46.3	http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	-114.8	\N	31.81	http://www.semwebtech.org/mondial/10/river/Colorado/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	33.2	\N	8.45	http://www.semwebtech.org/mondial/10/river/Pibor/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	-97.97	\N	52.77	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/estuary/Würm/	11.5	\N	48.3	http://www.semwebtech.org/mondial/10/river/Würm/
http://www.semwebtech.org/mondial/10/estuary/Sobat/	31.65	\N	9.63	http://www.semwebtech.org/mondial/10/river/Sobat/
http://www.semwebtech.org/mondial/10/estuary/Lena/	126.69187	\N	72.4005	http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/estuary/Alz/	12.8	\N	48.3	http://www.semwebtech.org/mondial/10/river/Alz/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	18.95	\N	54.36	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/estuary/Isar/	12.98	\N	48.8	http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	30.9	\N	1.7	http://www.semwebtech.org/mondial/10/river/VictoriaNile/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	121.5	\N	32	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	20.1	\N	63.5	http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	148.6	\N	-36.3	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/estuary/Po/	12.43	\N	44.95	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	-88.63	\N	37.07	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	28.7	\N	-9	http://www.semwebtech.org/mondial/10/river/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Bani/	-4.2	\N	14.52	http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	-75.62	\N	-5.1	http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	-89.25	\N	29.15	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	-67.1	\N	-18.55	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/
http://www.semwebtech.org/mondial/10/estuary/Ili/	74.15	\N	45.4	http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	8.44	\N	49.51	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	26.5	\N	60.3	http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	16.9	\N	3	http://www.semwebtech.org/mondial/10/river/Fimi/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	-36.4	\N	-10.5	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/estuary/Perene/	-74.23	\N	-11.15	http://www.semwebtech.org/mondial/10/river/Perene/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	-73.97	\N	-12.26	http://www.semwebtech.org/mondial/10/river/Apurimac/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	9.65	\N	51.4	http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	-16.5	\N	15.96	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	143.22	\N	-34.73	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/estuary/Marne/	2.4	\N	48.8	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/estuary/Werra/	9.65	\N	51.4	http://www.semwebtech.org/mondial/10/river/Werra/
http://www.semwebtech.org/mondial/10/estuary/Seine/	0.1	\N	49.42	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	-163.98	\N	62.574	http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	21.08	\N	52.5	http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/estuary/Raab/	17.63	\N	47.69	http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/estuary/Baro/	33.2	\N	8.45	http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	8.71	\N	53.89	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/estuary/Nile/	31	\N	31.5	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	32.5	\N	15.6	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	18	\N	0	http://www.semwebtech.org/mondial/10/river/Ruki/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	92.5	\N	58.2	http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/estuary/Narew/	20.67	\N	52.43	http://www.semwebtech.org/mondial/10/river/Narew/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	-62	\N	9	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	8.236313	\N	47.501794	http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	31.54	\N	60.81	http://www.semwebtech.org/mondial/10/river/Vuoksi/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	10.95	\N	45.1	http://www.semwebtech.org/mondial/10/river/Mincio/
http://www.semwebtech.org/mondial/10/estuary/Aare/	8.22	\N	47.61	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/estuary/Moraca/	19.15	\N	42.25	http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/estuary/Benue/	6.75	\N	7.78	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	-90.12	\N	38.81	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Save/	20.4667	\N	44.8	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	7.09	\N	44.8	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	-9.3	\N	38.7	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	15.1	\N	60.7	http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/
http://www.semwebtech.org/mondial/10/estuary/Akagera/	33	\N	-1	http://www.semwebtech.org/mondial/10/river/Akagera/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	8.52	\N	47.95	http://www.semwebtech.org/mondial/10/river/Brigach/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	-135.02	\N	69.2	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	47.44	\N	31	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	161.49	\N	69.63	http://www.semwebtech.org/mondial/10/river/Kolyma/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	14.47	\N	50.35	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	21.4	\N	43.7	http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/estuary/Narva/	28.04	\N	59.46	http://www.semwebtech.org/mondial/10/river/Narva/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	60.9	\N	46.3	http://www.semwebtech.org/mondial/10/river/Suchona/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	148.55	\N	-37.6	http://www.semwebtech.org/mondial/10/river/SnowyRiver/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	71.5	\N	58	http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/estuary/Katun/	85	\N	52.43	http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/estuary/Busira/	19	\N	-0.3	http://www.semwebtech.org/mondial/10/river/Busira/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	21.4	\N	43.7	http://www.semwebtech.org/mondial/10/river/WesternMorava/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	40.5333	\N	64.55	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	17.2	\N	60.7	http://www.semwebtech.org/mondial/10/river/Dalaelv/
http://www.semwebtech.org/mondial/10/estuary/March/	16.98	\N	48.17	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/estuary/Murat/	38.75	\N	38.8	http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	30.43	\N	9.5	http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	28.21	\N	45.47	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	32.5	\N	15.6	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	17.4	\N	3.3	http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/estuary/Thames/	0.65	\N	51.5	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	30.43	\N	9.5	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/estuary/Isere/	4.9	\N	45	http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	99.2	\N	3.1	http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	-73.75	\N	-10.7	http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/estuary/Indus/	67.4	\N	24	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/estuary/Iller/	9.97	\N	48.38	http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	72.45	\N	38.3	http://www.semwebtech.org/mondial/10/river/Murgab/
http://www.semwebtech.org/mondial/10/estuary/Amur/	140.73	\N	53.1	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	-73.1	\N	46	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/
http://www.semwebtech.org/mondial/10/estuary/Donau/	29.65	\N	45.16	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	97.5	\N	17	http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/estuary/Volta/	0.68	\N	5.77	http://www.semwebtech.org/mondial/10/river/Volta/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	-73.45	\N	-4.44	http://www.semwebtech.org/mondial/10/river/Maranon/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	8.2371	\N	47.4921	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/estuary/Morava/	21.1	\N	44.6	http://www.semwebtech.org/mondial/10/river/Morava/
http://www.semwebtech.org/mondial/10/estuary/Weser/	8.5	\N	53.5	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	48.6	\N	29.9	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/estuary/Waag/	18.15	\N	47.75	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	-74.8	\N	10.95	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/estuary/Angara/	92.5	\N	58.2	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	27	\N	-7	http://www.semwebtech.org/mondial/10/river/Luvua/
http://www.semwebtech.org/mondial/10/estuary/Kura/	49.43	\N	39.28	http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/estuary/Drin/	19.6	\N	41.8	http://www.semwebtech.org/mondial/10/river/Drin/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	-65.4	\N	-10.4	http://www.semwebtech.org/mondial/10/river/RioMamore/
http://www.semwebtech.org/mondial/10/estuary/Maas/	4.67	\N	51.72	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	-16.6	\N	66.2	http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	21.2	\N	61.3	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	90	\N	22	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	-73.97	\N	-12.26	http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	-0.6	\N	45	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	60.5	\N	46	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	100.02	\N	51.06	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	12.92	\N	48.21	http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	16.4	\N	-28.55	http://www.semwebtech.org/mondial/10/river/Oranje/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	-58.4	\N	-33.9	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/estuary/Theiss/	20.3	\N	45.05	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	17.7	\N	-0.8	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/estuary/Jubba/	42.7	\N	-0.5	http://www.semwebtech.org/mondial/10/river/Jubba/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	4	\N	51.9	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/estuary/Chire/	35.5	\N	-18	http://www.semwebtech.org/mondial/10/river/Chire/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	89.8	\N	23.8	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	138.88	\N	-35.55	http://www.semwebtech.org/mondial/10/river/MurrayRiver/
http://www.semwebtech.org/mondial/10/estuary/Ene/	-74.23	\N	-11.15	http://www.semwebtech.org/mondial/10/river/Ene/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	-73.45	\N	-4.44	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	90.6	\N	40.2	http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	-72.33	\N	41.27	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/estuary/Arno/	10.2	\N	43.7	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	0.5	\N	40.8	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	-89.13	\N	36.98	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	121.48	\N	53.33	http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	-20.8	\N	63.9	http://www.semwebtech.org/mondial/10/river/Thjorsa/
\.


--
-- TOC entry 5918 (class 0 OID 96596)
-- Dependencies: 1084
-- Data for Name: EthnicGroup; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "EthnicGroup" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	Mandingo
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	Bengali
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	Tay
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	Austrian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	Moldavian/Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	Songhai
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	Celt
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	Bakongo
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	Serb
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	Lao Loum
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	Nauruan
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	Alemannic
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	Scandinavian
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	Roma
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	Bounty
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	Mboum
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	Black
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	Mestizo
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	Czech
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	Creole
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	Kamba
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	Baganda
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	Malinke
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	Gilaki Mazandarani
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	Crimean Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	Fulani
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	Carib Indians
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	Kalenjin
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	Serbs
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	Afro-Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	Mossi
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	Arab Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	Shan
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	Fleming
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	Bhote
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	Christian
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	Fula
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	Viet/Kinh
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	Berber Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	White
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	Pakistani
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	Kimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	Indo-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	Mediterranean Nordic
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	Byelorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	Northern Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	Finn
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	Indonesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	Karen
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	Sino-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	Nung
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	Ovimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	Tigraway
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	Lao Theung
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	Americo-Liberians
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	Basques Bretons
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	Franco-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	Surinamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	Tutsi
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	Colored
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	Euro-African
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	MBaka
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	Equatorial Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	Welaita
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	Sara
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	Eastern Hamitic
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	Madurese
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	Banda
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	Wolof
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	Palestinian Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	Azerbaijani
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	Lugbara
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	Nepalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	Danish
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	Arab-Berber
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	Maori
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	Black Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	Europeans
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	Amhara
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	Han Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	Dravidian
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	South Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	Vietnamese/Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	Batswana
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	European
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	Hadiya
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	Twa
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	Mixed
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	Burman
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	Northwestern Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	Kgalagadi
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	Toucouleur
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	Baoule
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	Djerma
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	Fijian
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	Swede
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	Russian Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	Thai
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	Kunama
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	Soussou
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	Maya
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	Mon
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	Norman-French
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	Gourmantche
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	Beja
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	British Isles
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	Mande
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	black-Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	African descent
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	Bahraini
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	Bagisu
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	European/Caribbean Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	Uighur
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	Oromo
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	Sami
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	Croat
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	Seychellois
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	English
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	Circassian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	Bosniak
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	Batobo
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	Javanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	Luo
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	Saho
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	Taiwanese
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	African
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	Vedda
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	Bete
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	Pacific Islander
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	Caucasian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	European Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	Sidama
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	Hazara
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	Luhya
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	Somali
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	Walloon
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	Kuwaiti
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	Polish
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	Senoufou
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	Emiri
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	Mong
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	Meru
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	Khmer
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	None
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	Greenlander
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	Diola
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	Moroccan
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	Kirdi
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	German
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	Kikuyu
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	Gypsy
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	Hutu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	Mongol
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	Hausa
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	Inuit
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	Filipino
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	Rashaida
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	Sotho
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	French
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	Cameroon Highlanders
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	Afar
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	Baloch
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	Kazak
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	Micronesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	Voltaic
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	Kisii
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	Bashkir
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	Afro-East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	Caribbean
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	Scottish
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	Sundanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	Dungan
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	Welsh
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	Pashtun
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	Sinhalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	Lur
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	Muong
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	Karakalpak
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	Malay
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	Indo-Aryan
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	Ruthenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	Mandjia
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	Basogo
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	Iteso
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	Peuhl
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	Euronesians
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	Tigrinya
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	Lao Soung Hmong Yao
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	Bilen
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	Bunyoro
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	Chuvash
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	Karamojong
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	Mangbetu-Azande
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	Eastern Nigritic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	Gurage
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	Italian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	Moravian
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	Persian
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	Rakhine
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	Tuareg
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	European Syrian-Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	Serer
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	Afro-Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	Russian
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	Melanesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	Acholi
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	Langi
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	Borneo indigenous
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	Hindustani
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	Andorran
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	Assyrian
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	Beri Beri
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	Dagestani
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	Tigre
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	Greek
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	Rwanda
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	Mulatto
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	Afro-European
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	Moldovan
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	Baya
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	African-white-Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	Norwegian
\.


--
-- TOC entry 5919 (class 0 OID 96599)
-- Dependencies: 1085
-- Data for Name: EthnicProportion; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "EthnicProportion" ("URI", "ethnicInfo-", "onEthnicGroup", percent) FROM stdin;
7b93e6a1:150814fecb6:2647	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	30
7b93e6a1:150814fecb6:25c6	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	73
7b93e6a1:150814fecb6:255c	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	95
7b93e6a1:150814fecb6:25a9	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	5.4
7b93e6a1:150814fecb6:25b9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
7b93e6a1:150814fecb6:2562	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
7b93e6a1:150814fecb6:261f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	30
7b93e6a1:150814fecb6:266c	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	80
7b93e6a1:150814fecb6:267c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	4
7b93e6a1:150814fecb6:25fb	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	100
7b93e6a1:150814fecb6:2487	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	9.7
7b93e6a1:150814fecb6:26a2	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:24c7	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	89.6
7b93e6a1:150814fecb6:25f3	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	93.5
7b93e6a1:150814fecb6:25b6	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
7b93e6a1:150814fecb6:2512	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	85
7b93e6a1:150814fecb6:2499	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.4
7b93e6a1:150814fecb6:253c	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	68
7b93e6a1:150814fecb6:26a4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	36
7b93e6a1:150814fecb6:2600	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	58
7b93e6a1:150814fecb6:24ab	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	0.5
7b93e6a1:150814fecb6:2587	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	18
7b93e6a1:150814fecb6:262a	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	4
7b93e6a1:150814fecb6:24f6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	4.4
7b93e6a1:150814fecb6:24b9	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	63.1
7b93e6a1:150814fecb6:2675	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	8
7b93e6a1:150814fecb6:247c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	91.5
7b93e6a1:150814fecb6:2638	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	1
7b93e6a1:150814fecb6:25e4	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	8
7b93e6a1:150814fecb6:2540	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	14
7b93e6a1:150814fecb6:269f	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	11
7b93e6a1:150814fecb6:25a7	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	7
7b93e6a1:150814fecb6:2503	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	6
7b93e6a1:150814fecb6:249a	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	59.3
7b93e6a1:150814fecb6:2656	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	25
7b93e6a1:150814fecb6:245d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	82.9
7b93e6a1:150814fecb6:2619	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
7b93e6a1:150814fecb6:25c5	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	100
7b93e6a1:150814fecb6:2521	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	90.6
7b93e6a1:150814fecb6:25ef	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	4
7b93e6a1:150814fecb6:254b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	1.1
7b93e6a1:150814fecb6:26b3	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	8
7b93e6a1:150814fecb6:250e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	79.9
7b93e6a1:150814fecb6:256a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	99
7b93e6a1:150814fecb6:252d	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	9
7b93e6a1:150814fecb6:2578	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	45
7b93e6a1:150814fecb6:2480	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	2
7b93e6a1:150814fecb6:26bf	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	68
7b93e6a1:150814fecb6:261b	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	92.6
7b93e6a1:150814fecb6:24e7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	1.5
7b93e6a1:150814fecb6:2666	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	11
7b93e6a1:150814fecb6:246d	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	5
7b93e6a1:150814fecb6:2629	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	8
7b93e6a1:150814fecb6:25d5	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	100
7b93e6a1:150814fecb6:2531	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	25
7b93e6a1:150814fecb6:24a0	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	84
7b93e6a1:150814fecb6:25ff	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	8
7b93e6a1:150814fecb6:255b	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	1.3
7b93e6a1:150814fecb6:26c3	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	97
7b93e6a1:150814fecb6:251e	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	83.8
7b93e6a1:150814fecb6:24ca	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	0.9
7b93e6a1:150814fecb6:2569	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:2471	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	1
7b93e6a1:150814fecb6:260c	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	56.3
7b93e6a1:150814fecb6:24d8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	0.2
7b93e6a1:150814fecb6:2694	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	4
7b93e6a1:150814fecb6:249b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	27.8
7b93e6a1:150814fecb6:2657	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	13
7b93e6a1:150814fecb6:245e	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	0.9
7b93e6a1:150814fecb6:2522	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	2.2
7b93e6a1:150814fecb6:254c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	63.1
7b93e6a1:150814fecb6:26b4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	6
7b93e6a1:150814fecb6:2610	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	0.3
7b93e6a1:150814fecb6:250f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	15.3
7b93e6a1:150814fecb6:24bb	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	4.5
7b93e6a1:150814fecb6:2597	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	4
7b93e6a1:150814fecb6:263a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	25
7b93e6a1:150814fecb6:2462	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	1.1
7b93e6a1:150814fecb6:24c9	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.5
7b93e6a1:150814fecb6:2685	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	95
7b93e6a1:150814fecb6:248c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.1
7b93e6a1:150814fecb6:2648	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	40
7b93e6a1:150814fecb6:25f4	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	46
7b93e6a1:150814fecb6:2550	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	1.4
7b93e6a1:150814fecb6:25b7	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	3
7b93e6a1:150814fecb6:2513	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	5
7b93e6a1:150814fecb6:257a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	10
7b93e6a1:150814fecb6:253d	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	22
7b93e6a1:150814fecb6:26a5	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	9
7b93e6a1:150814fecb6:2601	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	26
7b93e6a1:150814fecb6:24ac	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	0.5
7b93e6a1:150814fecb6:2588	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	40
7b93e6a1:150814fecb6:2490	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	2
7b93e6a1:150814fecb6:262b	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	45
7b93e6a1:150814fecb6:24f7	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	1.9
7b93e6a1:150814fecb6:2676	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	7
7b93e6a1:150814fecb6:247d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	2.4
7b93e6a1:150814fecb6:2639	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	65
7b93e6a1:150814fecb6:25e5	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	0.4
7b93e6a1:150814fecb6:2541	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	75
7b93e6a1:150814fecb6:25a8	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	3.4
7b93e6a1:150814fecb6:2504	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	19
7b93e6a1:150814fecb6:24b0	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.3
7b93e6a1:150814fecb6:256b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	45
7b93e6a1:150814fecb6:252e	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	7
7b93e6a1:150814fecb6:24da	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	11.97
7b93e6a1:150814fecb6:2579	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	90
7b93e6a1:150814fecb6:2481	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	2.6
7b93e6a1:150814fecb6:261c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	7
7b93e6a1:150814fecb6:24e8	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	83
7b93e6a1:150814fecb6:2667	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	23
7b93e6a1:150814fecb6:246e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	100
7b93e6a1:150814fecb6:25d6	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	5
7b93e6a1:150814fecb6:2532	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	72
7b93e6a1:150814fecb6:24a1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	6.1
7b93e6a1:150814fecb6:26c4	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	50
7b93e6a1:150814fecb6:2620	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	25
7b93e6a1:150814fecb6:251f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	6.5
7b93e6a1:150814fecb6:24cb	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	0.5
7b93e6a1:150814fecb6:264a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	99.1
7b93e6a1:150814fecb6:2472	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	2
7b93e6a1:150814fecb6:260d	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	36.3
7b93e6a1:150814fecb6:24d9	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	84.54
7b93e6a1:150814fecb6:2695	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	2.5
7b93e6a1:150814fecb6:249c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	3.6
7b93e6a1:150814fecb6:2658	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	45
7b93e6a1:150814fecb6:2560	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	70
7b93e6a1:150814fecb6:245f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	3.9
7b93e6a1:150814fecb6:25c7	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	16
7b93e6a1:150814fecb6:2523	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.8
7b93e6a1:150814fecb6:258a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	6.4
7b93e6a1:150814fecb6:254d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	23.7
7b93e6a1:150814fecb6:26b5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	5
7b93e6a1:150814fecb6:2611	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.8
7b93e6a1:150814fecb6:24bc	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	4.3
7b93e6a1:150814fecb6:2598	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	80
7b93e6a1:150814fecb6:263b	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	7
7b93e6a1:150814fecb6:2463	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	43
7b93e6a1:150814fecb6:25aa	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	28
7b93e6a1:150814fecb6:2686	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	5
7b93e6a1:150814fecb6:248d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.1
7b93e6a1:150814fecb6:2649	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.2
7b93e6a1:150814fecb6:25f5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	49
7b93e6a1:150814fecb6:2551	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	1.3
7b93e6a1:150814fecb6:25b8	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
7b93e6a1:150814fecb6:2514	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	4
7b93e6a1:150814fecb6:24c0	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	2.2
7b93e6a1:150814fecb6:257b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	90.3
7b93e6a1:150814fecb6:253e	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	9
7b93e6a1:150814fecb6:24ea	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	47
7b93e6a1:150814fecb6:26a6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	9
7b93e6a1:150814fecb6:2602	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	1.4
7b93e6a1:150814fecb6:24ad	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	0.4
7b93e6a1:150814fecb6:2589	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	10
7b93e6a1:150814fecb6:2491	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	1
7b93e6a1:150814fecb6:262c	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	37
7b93e6a1:150814fecb6:24f8	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	55.4
7b93e6a1:150814fecb6:2677	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	34
7b93e6a1:150814fecb6:247e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	92.3
7b93e6a1:150814fecb6:25e6	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	0.4
7b93e6a1:150814fecb6:2542	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
7b93e6a1:150814fecb6:2505	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	91.5
7b93e6a1:150814fecb6:24b1	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.2
7b93e6a1:150814fecb6:256c	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	14
7b93e6a1:150814fecb6:2630	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	30.2
7b93e6a1:150814fecb6:252f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	4
7b93e6a1:150814fecb6:24db	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	1.38
7b93e6a1:150814fecb6:265a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	98.7
7b93e6a1:150814fecb6:2482	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	0.8
7b93e6a1:150814fecb6:261d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	97
7b93e6a1:150814fecb6:24e9	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	5
7b93e6a1:150814fecb6:2668	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	18
7b93e6a1:150814fecb6:2570	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	75
7b93e6a1:150814fecb6:246f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	91.1
7b93e6a1:150814fecb6:25d7	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	76.3
7b93e6a1:150814fecb6:2533	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	3
7b93e6a1:150814fecb6:259a	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	24.9
7b93e6a1:150814fecb6:24a2	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	4.9
7b93e6a1:150814fecb6:255d	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	3
7b93e6a1:150814fecb6:26c5	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	25
7b93e6a1:150814fecb6:2621	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
7b93e6a1:150814fecb6:24cc	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	76.9
7b93e6a1:150814fecb6:264b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	8.5
7b93e6a1:150814fecb6:2473	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	2
7b93e6a1:150814fecb6:260e	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	1.8
7b93e6a1:150814fecb6:25ba	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	69
7b93e6a1:150814fecb6:2696	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	2.3
7b93e6a1:150814fecb6:249d	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.5
7b93e6a1:150814fecb6:2659	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1.1
7b93e6a1:150814fecb6:2561	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	10
7b93e6a1:150814fecb6:25c8	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	11
7b93e6a1:150814fecb6:2524	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	1.5
7b93e6a1:150814fecb6:24d0	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.2
7b93e6a1:150814fecb6:258b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	76.4
7b93e6a1:150814fecb6:254e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	2.8
7b93e6a1:150814fecb6:24fa	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/English/	83.6
7b93e6a1:150814fecb6:26b6	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	4
7b93e6a1:150814fecb6:2612	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	4
7b93e6a1:150814fecb6:24bd	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	2.3
7b93e6a1:150814fecb6:2599	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	48.7
7b93e6a1:150814fecb6:263c	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	3
7b93e6a1:150814fecb6:2464	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	32
7b93e6a1:150814fecb6:25ab	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	23
7b93e6a1:150814fecb6:2687	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	5
7b93e6a1:150814fecb6:248e	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	91
7b93e6a1:150814fecb6:25f6	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	10
7b93e6a1:150814fecb6:2552	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	1.1
7b93e6a1:150814fecb6:2515	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	80
7b93e6a1:150814fecb6:24c1	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	2
7b93e6a1:150814fecb6:257c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	4
7b93e6a1:150814fecb6:2640	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	99
7b93e6a1:150814fecb6:253f	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	1
7b93e6a1:150814fecb6:24eb	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	21.6
7b93e6a1:150814fecb6:26a7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	17
7b93e6a1:150814fecb6:2603	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	34.1
7b93e6a1:150814fecb6:24ae	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.3
7b93e6a1:150814fecb6:266a	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.2
7b93e6a1:150814fecb6:2492	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	65
7b93e6a1:150814fecb6:262d	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
7b93e6a1:150814fecb6:24f9	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	44.3
7b93e6a1:150814fecb6:2455	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	95
7b93e6a1:150814fecb6:2678	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	27
7b93e6a1:150814fecb6:2580	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	99.4
7b93e6a1:150814fecb6:247f	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.9
7b93e6a1:150814fecb6:25e7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	100
7b93e6a1:150814fecb6:2543	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	90
7b93e6a1:150814fecb6:2506	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	3
7b93e6a1:150814fecb6:24b2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	79.8
7b93e6a1:150814fecb6:256d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	7.5
7b93e6a1:150814fecb6:2631	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	9.1
7b93e6a1:150814fecb6:24dc	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	68.7
7b93e6a1:150814fecb6:25a0	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	60
7b93e6a1:150814fecb6:265b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2483	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	0.7
7b93e6a1:150814fecb6:261e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	30
7b93e6a1:150814fecb6:25ca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	3
7b93e6a1:150814fecb6:2669	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	15
7b93e6a1:150814fecb6:2571	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	5
7b93e6a1:150814fecb6:25d8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	15.1
7b93e6a1:150814fecb6:2534	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	50
7b93e6a1:150814fecb6:24e0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	0.8
7b93e6a1:150814fecb6:259b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	10.6
7b93e6a1:150814fecb6:24a3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	1.1
7b93e6a1:150814fecb6:255e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	94.9
7b93e6a1:150814fecb6:26c6	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	25
7b93e6a1:150814fecb6:2622	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	53.7
7b93e6a1:150814fecb6:24cd	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	8
7b93e6a1:150814fecb6:264c	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	56
7b93e6a1:150814fecb6:2474	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.9
7b93e6a1:150814fecb6:260f	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	100
7b93e6a1:150814fecb6:25bb	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	17
7b93e6a1:150814fecb6:2697	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	1.7
7b93e6a1:150814fecb6:249e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	2.4
7b93e6a1:150814fecb6:25c9	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	95
7b93e6a1:150814fecb6:2525	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	10
7b93e6a1:150814fecb6:24d1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	0.3
7b93e6a1:150814fecb6:258c	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	14.9
7b93e6a1:150814fecb6:2650	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	1.2
7b93e6a1:150814fecb6:254f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.1
7b93e6a1:150814fecb6:24fb	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	8.6
7b93e6a1:150814fecb6:26b7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	4
7b93e6a1:150814fecb6:2613	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	1.5
7b93e6a1:150814fecb6:24be	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	80.7
7b93e6a1:150814fecb6:267a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	21
7b93e6a1:150814fecb6:263d	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	67.2
7b93e6a1:150814fecb6:2465	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	8
7b93e6a1:150814fecb6:25ac	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
7b93e6a1:150814fecb6:2688	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	35
7b93e6a1:150814fecb6:2590	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	1
7b93e6a1:150814fecb6:248f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	3
7b93e6a1:150814fecb6:25f7	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	12
7b93e6a1:150814fecb6:2553	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	64.9
7b93e6a1:150814fecb6:2516	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	5.5
7b93e6a1:150814fecb6:24c2	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	2
7b93e6a1:150814fecb6:257d	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	95
7b93e6a1:150814fecb6:2641	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	97
7b93e6a1:150814fecb6:24ec	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	19
7b93e6a1:150814fecb6:26a8	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	9
7b93e6a1:150814fecb6:2604	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	44.1
7b93e6a1:150814fecb6:25b0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	4.43
7b93e6a1:150814fecb6:24af	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	0.3
7b93e6a1:150814fecb6:266b	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99.8
7b93e6a1:150814fecb6:2493	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	18
7b93e6a1:150814fecb6:262e	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	12
7b93e6a1:150814fecb6:25da	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	1.2
7b93e6a1:150814fecb6:2456	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	3
7b93e6a1:150814fecb6:2679	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	10
7b93e6a1:150814fecb6:2581	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	50
7b93e6a1:150814fecb6:25e8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	90.3
7b93e6a1:150814fecb6:2544	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	5
7b93e6a1:150814fecb6:24f0	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1.3
7b93e6a1:150814fecb6:2507	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	51
7b93e6a1:150814fecb6:24b3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	3.8
7b93e6a1:150814fecb6:256e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	7.5
7b93e6a1:150814fecb6:2632	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	37
7b93e6a1:150814fecb6:24dd	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	25.6
7b93e6a1:150814fecb6:25a1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	30
7b93e6a1:150814fecb6:265c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	24
7b93e6a1:150814fecb6:2484	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	5
7b93e6a1:150814fecb6:25cb	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	2
7b93e6a1:150814fecb6:2572	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	1
7b93e6a1:150814fecb6:25d9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	3
7b93e6a1:150814fecb6:2535	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	35
7b93e6a1:150814fecb6:24e1	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	100
7b93e6a1:150814fecb6:259c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	6.1
7b93e6a1:150814fecb6:24a4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	1.3
7b93e6a1:150814fecb6:2660	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	95
7b93e6a1:150814fecb6:255f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	5
7b93e6a1:150814fecb6:26c7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	100
7b93e6a1:150814fecb6:2623	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	38.5
7b93e6a1:150814fecb6:24ce	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	4.4
7b93e6a1:150814fecb6:268a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	55
7b93e6a1:150814fecb6:264d	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	22
7b93e6a1:150814fecb6:2475	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	90.4
7b93e6a1:150814fecb6:25bc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	9
7b93e6a1:150814fecb6:2698	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	1.7
7b93e6a1:150814fecb6:249f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	1.3
7b93e6a1:150814fecb6:2563	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	77
7b93e6a1:150814fecb6:26aa	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:2526	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	13
7b93e6a1:150814fecb6:24d2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	89.1
7b93e6a1:150814fecb6:258d	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	74
7b93e6a1:150814fecb6:2651	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	1
7b93e6a1:150814fecb6:24fc	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	4.9
7b93e6a1:150814fecb6:26b8	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	3
7b93e6a1:150814fecb6:2614	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	93
7b93e6a1:150814fecb6:25c0	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	6
7b93e6a1:150814fecb6:24bf	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	2.4
7b93e6a1:150814fecb6:267b	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	4
7b93e6a1:150814fecb6:263e	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/ethnicgroup/None/	31.5
7b93e6a1:150814fecb6:25ea	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	100
7b93e6a1:150814fecb6:2466	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	5
7b93e6a1:150814fecb6:25ad	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	2
7b93e6a1:150814fecb6:2689	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	60
7b93e6a1:150814fecb6:2591	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	14
7b93e6a1:150814fecb6:25f8	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	78
7b93e6a1:150814fecb6:2554	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	13.8
7b93e6a1:150814fecb6:2517	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	5
7b93e6a1:150814fecb6:24c3	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	0.8
7b93e6a1:150814fecb6:257e	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	17
7b93e6a1:150814fecb6:2642	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	50
7b93e6a1:150814fecb6:24ed	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	100
7b93e6a1:150814fecb6:26a9	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	1
7b93e6a1:150814fecb6:2605	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	9
7b93e6a1:150814fecb6:25b1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	0.97
7b93e6a1:150814fecb6:2494	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	10
7b93e6a1:150814fecb6:262f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	43.5
7b93e6a1:150814fecb6:25db	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	5
7b93e6a1:150814fecb6:2457	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	93
7b93e6a1:150814fecb6:2582	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	19
7b93e6a1:150814fecb6:25e9	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	3.2
7b93e6a1:150814fecb6:2545	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	85.7
7b93e6a1:150814fecb6:24f1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	1.1
7b93e6a1:150814fecb6:2508	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	2
7b93e6a1:150814fecb6:24b4	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2
7b93e6a1:150814fecb6:2670	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	13
7b93e6a1:150814fecb6:256f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	15
7b93e6a1:150814fecb6:2633	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	31
7b93e6a1:150814fecb6:24de	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.1
7b93e6a1:150814fecb6:269a	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	1
7b93e6a1:150814fecb6:25a2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	9
7b93e6a1:150814fecb6:265d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2485	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	95
7b93e6a1:150814fecb6:25cc	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	90
7b93e6a1:150814fecb6:2573	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	98
7b93e6a1:150814fecb6:26ba	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	99.7
7b93e6a1:150814fecb6:2536	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	20
7b93e6a1:150814fecb6:24e2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	93.4
7b93e6a1:150814fecb6:259d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	50
7b93e6a1:150814fecb6:24a5	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	97.6
7b93e6a1:150814fecb6:2661	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	4
7b93e6a1:150814fecb6:26c8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	100
7b93e6a1:150814fecb6:2624	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	6.2
7b93e6a1:150814fecb6:25d0	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	7
7b93e6a1:150814fecb6:24cf	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	2.5
7b93e6a1:150814fecb6:268b	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	30
7b93e6a1:150814fecb6:264e	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	8
7b93e6a1:150814fecb6:25fa	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	26.3
7b93e6a1:150814fecb6:2476	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	3.7
7b93e6a1:150814fecb6:25bd	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	5
7b93e6a1:150814fecb6:2699	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	85
7b93e6a1:150814fecb6:2564	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	18
7b93e6a1:150814fecb6:26ab	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2527	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	63
7b93e6a1:150814fecb6:24d3	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	6.6
7b93e6a1:150814fecb6:258e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	18
7b93e6a1:150814fecb6:2652	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:24fd	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	2.9
7b93e6a1:150814fecb6:26b9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	3
7b93e6a1:150814fecb6:2615	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	96
7b93e6a1:150814fecb6:25c1	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	65.1
7b93e6a1:150814fecb6:263f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:25eb	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
7b93e6a1:150814fecb6:2467	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	92
7b93e6a1:150814fecb6:25ae	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	79.96
7b93e6a1:150814fecb6:250a	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	7
7b93e6a1:150814fecb6:2592	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	84
7b93e6a1:150814fecb6:25f9	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	37.1
7b93e6a1:150814fecb6:2555	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	12.5
7b93e6a1:150814fecb6:2518	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	3
7b93e6a1:150814fecb6:24c4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	48
7b93e6a1:150814fecb6:2680	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	70
7b93e6a1:150814fecb6:257f	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	83
7b93e6a1:150814fecb6:2643	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	17
7b93e6a1:150814fecb6:24ee	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	100
7b93e6a1:150814fecb6:2606	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	2.5
7b93e6a1:150814fecb6:25b2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	20
7b93e6a1:150814fecb6:266d	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	19
7b93e6a1:150814fecb6:2495	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	1
7b93e6a1:150814fecb6:25dc	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	90
7b93e6a1:150814fecb6:2458	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	64.2
7b93e6a1:150814fecb6:26a0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	6
7b93e6a1:150814fecb6:2583	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	23
7b93e6a1:150814fecb6:2546	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	1.9
7b93e6a1:150814fecb6:24f2	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	100
7b93e6a1:150814fecb6:2509	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	24
7b93e6a1:150814fecb6:24b5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	1.2
7b93e6a1:150814fecb6:2671	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	10
7b93e6a1:150814fecb6:2634	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	15.3
7b93e6a1:150814fecb6:25e0	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	4
7b93e6a1:150814fecb6:24df	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	1.2
7b93e6a1:150814fecb6:269b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	22
7b93e6a1:150814fecb6:25a3	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	54
7b93e6a1:150814fecb6:265e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2486	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	85.7
7b93e6a1:150814fecb6:25cd	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	9
7b93e6a1:150814fecb6:2574	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	1
7b93e6a1:150814fecb6:26bb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.06
7b93e6a1:150814fecb6:2537	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	64
7b93e6a1:150814fecb6:24e3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	5.6
7b93e6a1:150814fecb6:259e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	10
7b93e6a1:150814fecb6:24a6	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.6
7b93e6a1:150814fecb6:2662	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	2.6
7b93e6a1:150814fecb6:2625	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	3
7b93e6a1:150814fecb6:25d1	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	2
7b93e6a1:150814fecb6:268c	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	4
7b93e6a1:150814fecb6:264f	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	4.3
7b93e6a1:150814fecb6:2477	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	1.9
7b93e6a1:150814fecb6:25be	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	84
7b93e6a1:150814fecb6:251a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	1.5
7b93e6a1:150814fecb6:2565	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.6
7b93e6a1:150814fecb6:26ac	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1
7b93e6a1:150814fecb6:2528	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	8
7b93e6a1:150814fecb6:24d4	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	2.5
7b93e6a1:150814fecb6:2690	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	34.5
7b93e6a1:150814fecb6:258f	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	7
7b93e6a1:150814fecb6:2653	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	98
7b93e6a1:150814fecb6:24fe	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	2
7b93e6a1:150814fecb6:245a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	3.9
7b93e6a1:150814fecb6:2616	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	95
7b93e6a1:150814fecb6:25c2	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	12
7b93e6a1:150814fecb6:267d	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:25ec	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	40
7b93e6a1:150814fecb6:2468	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	5
7b93e6a1:150814fecb6:26b0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	17
7b93e6a1:150814fecb6:25af	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	12.85
7b93e6a1:150814fecb6:250b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	2
7b93e6a1:150814fecb6:2593	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	90.1
7b93e6a1:150814fecb6:2556	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	1.1
7b93e6a1:150814fecb6:2519	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	2.5
7b93e6a1:150814fecb6:24c5	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	37.1
7b93e6a1:150814fecb6:2681	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	6
7b93e6a1:150814fecb6:2644	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	12
7b93e6a1:150814fecb6:25f0	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	89
7b93e6a1:150814fecb6:24ef	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	87.4
7b93e6a1:150814fecb6:2607	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	56.8
7b93e6a1:150814fecb6:25b3	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	20
7b93e6a1:150814fecb6:266e	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	1
7b93e6a1:150814fecb6:2496	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	81.2
7b93e6a1:150814fecb6:25dd	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	58
7b93e6a1:150814fecb6:2459	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	25.2
7b93e6a1:150814fecb6:26a1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	6
7b93e6a1:150814fecb6:2584	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1.5
7b93e6a1:150814fecb6:2547	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	1.8
7b93e6a1:150814fecb6:24f3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	78.2
7b93e6a1:150814fecb6:24b6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	1.1
7b93e6a1:150814fecb6:2672	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	31
7b93e6a1:150814fecb6:2635	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	10
7b93e6a1:150814fecb6:25e1	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	3
7b93e6a1:150814fecb6:269c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	14
7b93e6a1:150814fecb6:25a4	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	34.1
7b93e6a1:150814fecb6:2500	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	1.3
7b93e6a1:150814fecb6:265f	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	1
7b93e6a1:150814fecb6:25ce	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
7b93e6a1:150814fecb6:252a	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	2
7b93e6a1:150814fecb6:2575	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	35
7b93e6a1:150814fecb6:26bc	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	0.08
7b93e6a1:150814fecb6:2538	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	50.4
7b93e6a1:150814fecb6:24e4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.5
7b93e6a1:150814fecb6:259f	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	30.5
7b93e6a1:150814fecb6:24a7	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	0.5
7b93e6a1:150814fecb6:2663	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	8.6
7b93e6a1:150814fecb6:246a	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	33
7b93e6a1:150814fecb6:2626	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	95
7b93e6a1:150814fecb6:25d2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:268d	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	2
7b93e6a1:150814fecb6:25fc	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	100
7b93e6a1:150814fecb6:2478	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.5
7b93e6a1:150814fecb6:26c0	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	3
7b93e6a1:150814fecb6:25bf	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	10
7b93e6a1:150814fecb6:251b	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	97.7
7b93e6a1:150814fecb6:2566	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	99.4
7b93e6a1:150814fecb6:26ad	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
7b93e6a1:150814fecb6:2529	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	98
7b93e6a1:150814fecb6:24d5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.3
7b93e6a1:150814fecb6:2691	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	26.9
7b93e6a1:150814fecb6:2654	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
7b93e6a1:150814fecb6:24ff	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	1.8
7b93e6a1:150814fecb6:245b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	2.7
7b93e6a1:150814fecb6:2617	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	4
7b93e6a1:150814fecb6:25c3	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	12
7b93e6a1:150814fecb6:267e	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	28
7b93e6a1:150814fecb6:25ed	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	90
7b93e6a1:150814fecb6:2469	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	43
7b93e6a1:150814fecb6:26b1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	12
7b93e6a1:150814fecb6:250c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	2
7b93e6a1:150814fecb6:2594	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	4.6
7b93e6a1:150814fecb6:2557	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	1
7b93e6a1:150814fecb6:24c6	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	14.3
7b93e6a1:150814fecb6:2682	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	30
7b93e6a1:150814fecb6:2645	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	6
7b93e6a1:150814fecb6:25f1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	92
7b93e6a1:150814fecb6:2608	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	8
7b93e6a1:150814fecb6:25b4	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	40
7b93e6a1:150814fecb6:2510	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.1
7b93e6a1:150814fecb6:266f	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	95
7b93e6a1:150814fecb6:2497	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	11.4
7b93e6a1:150814fecb6:25de	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
7b93e6a1:150814fecb6:253a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	7.1
7b93e6a1:150814fecb6:2585	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	95.5
7b93e6a1:150814fecb6:2548	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	1.5
7b93e6a1:150814fecb6:24f4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	8.4
7b93e6a1:150814fecb6:24b7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	58
7b93e6a1:150814fecb6:2673	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	19
7b93e6a1:150814fecb6:247a	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	0.3
7b93e6a1:150814fecb6:2636	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	2
7b93e6a1:150814fecb6:25e2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
7b93e6a1:150814fecb6:269d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	13
7b93e6a1:150814fecb6:25a5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	6.4
7b93e6a1:150814fecb6:2501	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	25
7b93e6a1:150814fecb6:2488	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.7
7b93e6a1:150814fecb6:25cf	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	90
7b93e6a1:150814fecb6:252b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	3
7b93e6a1:150814fecb6:2576	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	4
7b93e6a1:150814fecb6:26bd	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	0.2
7b93e6a1:150814fecb6:2539	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	23.7
7b93e6a1:150814fecb6:24e5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	0.3
7b93e6a1:150814fecb6:24a8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	77.8
7b93e6a1:150814fecb6:2664	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1
7b93e6a1:150814fecb6:246b	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	11
7b93e6a1:150814fecb6:2627	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	95
7b93e6a1:150814fecb6:25d3	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	14
7b93e6a1:150814fecb6:268e	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	2
7b93e6a1:150814fecb6:25fd	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
7b93e6a1:150814fecb6:2479	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.6
7b93e6a1:150814fecb6:26c1	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	2
7b93e6a1:150814fecb6:251c	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.5
7b93e6a1:150814fecb6:2567	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	76.4
7b93e6a1:150814fecb6:26ae	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	6
7b93e6a1:150814fecb6:260a	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	4.6
7b93e6a1:150814fecb6:24d6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.3
7b93e6a1:150814fecb6:2692	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	6.2
7b93e6a1:150814fecb6:2655	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	37
7b93e6a1:150814fecb6:245c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	1.8
7b93e6a1:150814fecb6:2618	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	94
7b93e6a1:150814fecb6:25c4	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	10.1
7b93e6a1:150814fecb6:2520	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.5
7b93e6a1:150814fecb6:267f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	71
7b93e6a1:150814fecb6:25ee	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	2
7b93e6a1:150814fecb6:254a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	1.2
7b93e6a1:150814fecb6:26b2	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	8
7b93e6a1:150814fecb6:250d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	8
7b93e6a1:150814fecb6:2595	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	3.7
7b93e6a1:150814fecb6:2558	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	1
7b93e6a1:150814fecb6:2460	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.4
7b93e6a1:150814fecb6:2683	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	40
7b93e6a1:150814fecb6:248a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.3
7b93e6a1:150814fecb6:2646	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	10
7b93e6a1:150814fecb6:25f2	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	7
7b93e6a1:150814fecb6:2609	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	7.4
7b93e6a1:150814fecb6:25b5	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	74
7b93e6a1:150814fecb6:2511	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	1.1
7b93e6a1:150814fecb6:2498	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	3.9
7b93e6a1:150814fecb6:25df	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	14
7b93e6a1:150814fecb6:253b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	11
7b93e6a1:150814fecb6:26a3	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	17
7b93e6a1:150814fecb6:24aa	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	0.6
7b93e6a1:150814fecb6:2586	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	18
7b93e6a1:150814fecb6:2549	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	1.5
7b93e6a1:150814fecb6:24f5	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	5.8
7b93e6a1:150814fecb6:24b8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	31
7b93e6a1:150814fecb6:2674	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	11
7b93e6a1:150814fecb6:247b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.2
7b93e6a1:150814fecb6:2637	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	2
7b93e6a1:150814fecb6:25e3	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	80.2
7b93e6a1:150814fecb6:269e	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	12
7b93e6a1:150814fecb6:25a6	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	83.4
7b93e6a1:150814fecb6:2502	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	38
7b93e6a1:150814fecb6:2489	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	1
7b93e6a1:150814fecb6:252c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	68
7b93e6a1:150814fecb6:2577	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	9
7b93e6a1:150814fecb6:26be	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	27
7b93e6a1:150814fecb6:261a	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	0.4
7b93e6a1:150814fecb6:24e6	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	82.5
7b93e6a1:150814fecb6:24a9	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	17.3
7b93e6a1:150814fecb6:2665	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	98
7b93e6a1:150814fecb6:246c	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	2
7b93e6a1:150814fecb6:2628	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	88
7b93e6a1:150814fecb6:25d4	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	86
7b93e6a1:150814fecb6:2530	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	2
7b93e6a1:150814fecb6:268f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	2
7b93e6a1:150814fecb6:25fe	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	8
7b93e6a1:150814fecb6:255a	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	1.6
7b93e6a1:150814fecb6:26c2	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	3
7b93e6a1:150814fecb6:251d	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	1.3
7b93e6a1:150814fecb6:2568	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	23
7b93e6a1:150814fecb6:2470	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	1.6
7b93e6a1:150814fecb6:26af	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	1
7b93e6a1:150814fecb6:260b	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
7b93e6a1:150814fecb6:24d7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.2
7b93e6a1:150814fecb6:2693	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	6.1
7b93e6a1:150814fecb6:24ba	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	13.3
7b93e6a1:150814fecb6:2596	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	80
7b93e6a1:150814fecb6:2559	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	95
7b93e6a1:150814fecb6:2461	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	1.8
7b93e6a1:150814fecb6:24c8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	4.5
7b93e6a1:150814fecb6:2684	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	20
7b93e6a1:150814fecb6:248b	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	0.3
\.


--
-- TOC entry 5920 (class 0 OID 96605)
-- Dependencies: 1086
-- Data for Name: Female; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Female" ("URI", onlyfemaleprop, "hasMother", "hasFather") FROM stdin;
\.


--
-- TOC entry 5921 (class 0 OID 96611)
-- Dependencies: 1087
-- Data for Name: Island; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Island" ("URI", population, latitude, "belongsToIslands", area, name, longitude, type, elevation) FROM stdin;
http://www.semwebtech.org/mondial/10/island/PortoSanto/	\N	33	http://www.semwebtech.org/mondial/10/islands/Madeira/	42	Porto Santo	-16.35	volcanic	517
http://www.semwebtech.org/mondial/10/island/Kiritimati/	\N	1.9	http://www.semwebtech.org/mondial/10/islands/LineIslands/	388	Kiritimati	-157.4	atoll	13
http://www.semwebtech.org/mondial/10/island/Trinidad/	\N	10.4	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	4827	Trinidad	-61.35	\N	940
http://www.semwebtech.org/mondial/10/island/Kavaratti/	\N	10.6	http://www.semwebtech.org/mondial/10/islands/Laccadives/	6	Kavaratti	72.6	\N	2
http://www.semwebtech.org/mondial/10/island/Mayotte/	\N	-12.46	http://www.semwebtech.org/mondial/10/islands/Comores/	374	Mayotte	45.13	volcanic	660
http://www.semwebtech.org/mondial/10/island/SaoJorge/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/Azores/	233.5	Sao Jorge	-28	volcanic	1053
http://www.semwebtech.org/mondial/10/island/Molokai/	\N	21.1	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	676	Molokai	-157	volcanic	1512
http://www.semwebtech.org/mondial/10/island/Tasmania/	\N	-42	\N	67800	Tasmania	145	\N	1617
http://www.semwebtech.org/mondial/10/island/Barra/	\N	57	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	91	Barra	-7.7	\N	383
http://www.semwebtech.org/mondial/10/island/Hierro/	\N	27.7	http://www.semwebtech.org/mondial/10/islands/Canares/	268	Hierro	-18	volcanic	1500
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	\N	46.3	\N	5660	Prince Edward Island	-63.4	\N	142
http://www.semwebtech.org/mondial/10/island/Terschelling/	\N	53.4	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	88	Terschelling	5.3	\N	\N
http://www.semwebtech.org/mondial/10/island/Batam/	\N	1.1	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	415	Batam	104.05	\N	\N
http://www.semwebtech.org/mondial/10/island/Tinian/	\N	15	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	101	Tinian	145.6	\N	171
http://www.semwebtech.org/mondial/10/island/Iceland/	\N	65	\N	102829	Iceland	-18	volcanic	2119
http://www.semwebtech.org/mondial/10/island/Panarea/	\N	38.65	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	3.4	Panarea	15.05	volcanic	421
http://www.semwebtech.org/mondial/10/island/Bougainville/	\N	-6.2	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	8800	Bougainville	155.25	\N	2715
http://www.semwebtech.org/mondial/10/island/Sardegna/	\N	40	\N	24090	Sardegna	9	\N	1834
http://www.semwebtech.org/mondial/10/island/Oesel/	\N	58.3	\N	2714	Oesel	22	\N	54
http://www.semwebtech.org/mondial/10/island/Lesbos/	\N	39.2	http://www.semwebtech.org/mondial/10/islands/Sporades/	1636	Lesbos	26.3	\N	968
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	\N	16.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	589	Grande-Terre	-61.4	lime	136
http://www.semwebtech.org/mondial/10/island/Formentera/	\N	38	http://www.semwebtech.org/mondial/10/islands/Baleares/	83	Formentera	1.5	\N	192
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	\N	33.2	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	194	Santa Catalina Island	-118.2	\N	648
http://www.semwebtech.org/mondial/10/island/Rota/	\N	15.15	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	85	Rota	145.2	\N	495
http://www.semwebtech.org/mondial/10/island/SanAndres/	\N	12.5	\N	26	San Andres	-81.7	\N	85
http://www.semwebtech.org/mondial/10/island/Bohol/	\N	9.9	http://www.semwebtech.org/mondial/10/islands/Philipines/	4117	Bohol	124.2	\N	\N
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	51.4	\N	2020	Rene Levasseur Island	-68.7	\N	952
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	\N	-12	\N	5800	Melville Island	131	\N	\N
http://www.semwebtech.org/mondial/10/island/Banaba/	\N	-0.85	\N	6.29	Banaba	169.54	volcanic	81
http://www.semwebtech.org/mondial/10/island/Vlieland/	\N	53.25	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	40	Vlieland	5	\N	\N
http://www.semwebtech.org/mondial/10/island/Ponape/	\N	6.85	http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	336	Ponape	158.2	volcanic	782
http://www.semwebtech.org/mondial/10/island/Anjouan/	\N	-12.2	http://www.semwebtech.org/mondial/10/islands/Comores/	424	Anjouan	44.35	\N	\N
http://www.semwebtech.org/mondial/10/island/Impalila/	\N	-17.77	\N	18	Impalila	25.23	\N	818
http://www.semwebtech.org/mondial/10/island/Sansibar/	\N	-6.1	\N	1658	Sansibar	39.3	\N	135
http://www.semwebtech.org/mondial/10/island/Juist/	\N	53.6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	16.4	Juist	7	\N	3
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	\N	47.85	\N	375	Maly Zitny Ostrov	17.45	\N	\N
http://www.semwebtech.org/mondial/10/island/Cyprus/	\N	35.4	\N	9251	Cyprus	33.2	\N	1952
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	\N	-10.25	\N	135	Christmas Island	105.43	coral	350
http://www.semwebtech.org/mondial/10/island/Timor/	\N	-9.2	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	33850	Timor	124.9	\N	2963
http://www.semwebtech.org/mondial/10/island/Phuket/	\N	7.4	\N	576	Phuket	98.4	\N	529
http://www.semwebtech.org/mondial/10/island/Principe/	\N	1.6	\N	142	Principe	7.4	volcanic	927
http://www.semwebtech.org/mondial/10/island/Bintan/	\N	1.1	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	1173	Bintan	104.5	\N	348
http://www.semwebtech.org/mondial/10/island/Ceram/	\N	-2	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	17100	Ceram	128	\N	3027
http://www.semwebtech.org/mondial/10/island/SouthUist/	\N	57.2	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	320	South Uist	-7.2	\N	620
http://www.semwebtech.org/mondial/10/island/Linosa/	\N	35.85	\N	5	Linosa	13.85	volcanic	195
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	\N	70.75	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	212291	Victoria Island	-110.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Ireland/	\N	53.5	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	84421	Ireland	-7.8	\N	1041
http://www.semwebtech.org/mondial/10/island/Ibiza/	\N	38.5	http://www.semwebtech.org/mondial/10/islands/Baleares/	572	Ibiza	1.5	\N	476
http://www.semwebtech.org/mondial/10/island/Salina/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	26.8	Salina	14.9	volcanic	962
http://www.semwebtech.org/mondial/10/island/Koror/	\N	7.3	http://www.semwebtech.org/mondial/10/islands/Carolines/	8	Koror	134.5	volcanic	100
http://www.semwebtech.org/mondial/10/island/Malta/	\N	35.9	http://www.semwebtech.org/mondial/10/islands/Malta/	246	Malta	14.5	lime	252
http://www.semwebtech.org/mondial/10/island/Sumatra/	\N	0	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	473000	Sumatra	102	\N	3805
http://www.semwebtech.org/mondial/10/island/Providenciales/	\N	22	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	Providenciales	-72.3	\N	\N
http://www.semwebtech.org/mondial/10/island/BanksIsland/	\N	72.85	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	70028	Banks Island	-122.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Zakynthos/	\N	37.8	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	406	Zakynthos	20.75	\N	756
http://www.semwebtech.org/mondial/10/island/Lolland/	\N	54.4	\N	1241	Lolland	11.5	\N	25
http://www.semwebtech.org/mondial/10/island/Langeland/	\N	55	\N	284	Langeland	10.5	\N	46
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	\N	-37.1	\N	104	Tristan Da Cunha	-12.3	volcanic	2062
http://www.semwebtech.org/mondial/10/island/Reunion/	\N	-20.9	\N	2510	Reunion	55.5	volcanic	3069
http://www.semwebtech.org/mondial/10/island/Fohr/	\N	54.7	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	82	Fohr	8.5	\N	13
http://www.semwebtech.org/mondial/10/island/St.Martin/	\N	18.1	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	87	St. Martin	-63.1	\N	411
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	\N	74	\N	90650	Nowaja Semlja	56	\N	1547
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	\N	79.25	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	196236	Ellesmere Island	-79.6	\N	2616
http://www.semwebtech.org/mondial/10/island/Sokotra/	\N	12.5	\N	3579	Sokotra	53.9	\N	1525
http://www.semwebtech.org/mondial/10/island/Borneo/	\N	-0.2	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	743122	Borneo	113.67	\N	4101
http://www.semwebtech.org/mondial/10/island/Rhum/	\N	57	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	104	Rhum	-6.3	volcanic	810
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	\N	28.4	http://www.semwebtech.org/mondial/10/islands/Canares/	1660	Fuerteventura	-14	volcanic	807
http://www.semwebtech.org/mondial/10/island/Panay/	\N	11.15	http://www.semwebtech.org/mondial/10/islands/Philipines/	12297	Panay	122.5	\N	2117
http://www.semwebtech.org/mondial/10/island/Ternate/	\N	0.8	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	137	Ternate	127.3	\N	1721
http://www.semwebtech.org/mondial/10/island/Lipari/	\N	38.5	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	37.5	Lipari	14.95	volcanic	602
http://www.semwebtech.org/mondial/10/island/Unalaska/	\N	63.9	http://www.semwebtech.org/mondial/10/islands/Aleutes/	2721	Unalaska	-166.5	volcanic	2036
http://www.semwebtech.org/mondial/10/island/Kauai/	\N	22	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1433	Kauai	-159.5	volcanic	1598
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	\N	33	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	147	San Clemente Island	-118.5	\N	599
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	\N	44.8	\N	1.5	Veliki Ratno Ostrvo	20.45	\N	\N
http://www.semwebtech.org/mondial/10/island/Mindoro/	\N	13	http://www.semwebtech.org/mondial/10/islands/Philipines/	10244	Mindoro	121.1	\N	2582
http://www.semwebtech.org/mondial/10/island/Anglesey/	\N	53.3	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	715	Anglesey	-4.4	\N	\N
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	\N	-11.3	\N	19162	Ilha do Bananal	-50.4	\N	\N
http://www.semwebtech.org/mondial/10/island/Ameland/	\N	53.5	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	57.6	Ameland	5.75	\N	\N
http://www.semwebtech.org/mondial/10/island/Madagaskar/	\N	-20	\N	587041	Madagaskar	46	\N	2876
http://www.semwebtech.org/mondial/10/island/Labuan/	\N	5.3	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	91	Labuan	115.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Helgoland/	\N	54.2	\N	1.7	Helgoland	7.9	\N	61.3
http://www.semwebtech.org/mondial/10/island/Jamaica/	\N	18.1	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	10991	Jamaica	-77.3	\N	2256
http://www.semwebtech.org/mondial/10/island/Curacao/	\N	12.2	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	444	Curacao	-69	\N	375
http://www.semwebtech.org/mondial/10/island/Arran/	\N	55.3	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	430	Arran	-5.5	\N	874
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	\N	-29	\N	34	Norfolk Island	168	volcanic	318
http://www.semwebtech.org/mondial/10/island/Wangerooge/	\N	53.8	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	7.9	Wangerooge	7.9	\N	17
http://www.semwebtech.org/mondial/10/island/Tongatapu/	\N	-21.2	http://www.semwebtech.org/mondial/10/islands/TongaIslands/	260	Tongatapu	-175.15	coral	65
http://www.semwebtech.org/mondial/10/island/Martinique/	\N	14.6	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	1128	Martinique	-61	volcanic	1397
http://www.semwebtech.org/mondial/10/island/Korfu/	\N	39.6	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	593	Korfu	19.8	\N	906
http://www.semwebtech.org/mondial/10/island/Grenada/	\N	12	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	344	Grenada	-62	volcanic	840
http://www.semwebtech.org/mondial/10/island/Gheschm/	\N	\N	\N	1491	Gheschm	\N	\N	\N
http://www.semwebtech.org/mondial/10/island/Newfoundland/	\N	48.6	\N	108860	Newfoundland	-55.8	\N	814
http://www.semwebtech.org/mondial/10/island/Jersey/	\N	49.2	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	117	Jersey	-2.1	\N	136
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	\N	-16.35	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	5500	Vanua Levu	179.25	volcanic	1111
http://www.semwebtech.org/mondial/10/island/Flores/	\N	39.5	http://www.semwebtech.org/mondial/10/islands/Azores/	143	Flores	-31.2	volcanic	914
http://www.semwebtech.org/mondial/10/island/Futuna/	\N	-14.3	http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	64	Futuna	-178.1	volcanic	524
http://www.semwebtech.org/mondial/10/island/Fehmarn/	\N	54.4	\N	185	Fehmarn	11.2	\N	27.2
http://www.semwebtech.org/mondial/10/island/Gozo/	\N	36.05	http://www.semwebtech.org/mondial/10/islands/Malta/	67	Gozo	14.3	lime	176
http://www.semwebtech.org/mondial/10/island/EasterIsland/	\N	-27.1	\N	163	Easter Island	-109.35	volcanic	507
http://www.semwebtech.org/mondial/10/island/Gomera/	\N	28.1	http://www.semwebtech.org/mondial/10/islands/Canares/	369	Gomera	-17.3	volcanic	1487
http://www.semwebtech.org/mondial/10/island/Niihau/	\N	21.9	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	178	Niihau	-160.1	volcanic	381
http://www.semwebtech.org/mondial/10/island/Nantucket/	\N	41.5	\N	125	Nantucket	-70.1	\N	\N
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	\N	-38.4	http://www.semwebtech.org/mondial/10/islands/NewZealand/	114597	Te Ika-a-Maui (North Island)	175.7	\N	2797
http://www.semwebtech.org/mondial/10/island/Samos/	\N	37.7	http://www.semwebtech.org/mondial/10/islands/Sporades/	478	Samos	26.8	\N	1434
http://www.semwebtech.org/mondial/10/island/Kefallinia/	\N	38.2	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	689	Kefallinia	20.6	\N	1628
http://www.semwebtech.org/mondial/10/island/Barbados/	\N	13	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	430	Barbados	-59.3	lime	336
http://www.semwebtech.org/mondial/10/island/Nevis/	\N	17	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	93	Nevis	-62.3	volcanic	985
http://www.semwebtech.org/mondial/10/island/SaintLucia/	\N	14	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	616	Saint Lucia	-60.5	volcanic	950
http://www.semwebtech.org/mondial/10/island/Mindanao/	\N	7.55	http://www.semwebtech.org/mondial/10/islands/Philipines/	95581	Mindanao	124.9	\N	2954
http://www.semwebtech.org/mondial/10/island/Fogo/	\N	17.95	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	476	Fogo	-24.4	volcanic	2829
http://www.semwebtech.org/mondial/10/island/Upolu/	\N	-13.9	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	1125	Upolu	-171.75	volcanic	1158
http://www.semwebtech.org/mondial/10/island/Kyushu/	\N	32	http://www.semwebtech.org/mondial/10/islands/Japan/	35640	Kyushu	131	volcanic	1758
http://www.semwebtech.org/mondial/10/island/EastFalkland/	\N	-51.8	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	6605	East Falkland	-58.8	\N	705
http://www.semwebtech.org/mondial/10/island/Streymoy/	\N	62	http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	373	Streymoy	-7	\N	789
http://www.semwebtech.org/mondial/10/island/Svalbard/	\N	78.9	http://www.semwebtech.org/mondial/10/islands/Svalbard/	39044	Svalbard	18.2	\N	1717
http://www.semwebtech.org/mondial/10/island/Bangka/	\N	2.25	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	11942	Bangka	106	\N	700
http://www.semwebtech.org/mondial/10/island/Rarotonga/	\N	-21.12	http://www.semwebtech.org/mondial/10/islands/CookIslands/	67	Rarotonga	-159.46	volcanic	658
http://www.semwebtech.org/mondial/10/island/Savaii/	\N	-13.6	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	1707	Savaii	-172.4	volcanic	1858
http://www.semwebtech.org/mondial/10/island/Krakatau/	\N	-6.1	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	Krakatau	105.6	volcanic	813
http://www.semwebtech.org/mondial/10/island/Hainan/	\N	19.1	\N	34380	Hainan	109.6	\N	1897
http://www.semwebtech.org/mondial/10/island/Madeira/	\N	31	http://www.semwebtech.org/mondial/10/islands/Madeira/	794	Madeira	-16	volcanic	1861
http://www.semwebtech.org/mondial/10/island/LaPalma/	\N	28.7	http://www.semwebtech.org/mondial/10/islands/Canares/	708	La Palma	-17.9	volcanic	2426
http://www.semwebtech.org/mondial/10/island/Sicilia/	\N	37	\N	25462	Sicilia	14	\N	3323
http://www.semwebtech.org/mondial/10/island/Barbuda/	\N	17.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	161	Barbuda	-61.4	lime	38
http://www.semwebtech.org/mondial/10/island/Oahu/	\N	21.5	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1557	Oahu	-158	volcanic	1225
http://www.semwebtech.org/mondial/10/island/GrandTurk/	\N	21.28	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	14	Grand Turk	-71.08	\N	20
http://www.semwebtech.org/mondial/10/island/Aland/	\N	60.1	http://www.semwebtech.org/mondial/10/islands/AlandIslands/	650	Aland	20	\N	\N
http://www.semwebtech.org/mondial/10/island/GrandComoro/	\N	-11.7	http://www.semwebtech.org/mondial/10/islands/Comores/	1148	Grand Comoro	43.4	\N	2361
http://www.semwebtech.org/mondial/10/island/Babelthuap/	\N	7.5	http://www.semwebtech.org/mondial/10/islands/Carolines/	8	Babelthuap	134.6	volcanic	331
http://www.semwebtech.org/mondial/10/island/Sumbawa/	\N	-8.8	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	15448	Sumbawa	116.1	\N	2850
http://www.semwebtech.org/mondial/10/island/Hawaii/	\N	19.6	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	10450	Hawaii	-155.5	volcanic	4214
http://www.semwebtech.org/mondial/10/island/BishopRock/	\N	50	http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	Bishop Rock	-6.3	\N	\N
http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	24	\N	35801	Taiwan	121	\N	3950
http://www.semwebtech.org/mondial/10/island/Luzon/	\N	16.1	http://www.semwebtech.org/mondial/10/islands/Philipines/	108172	Luzon	121	\N	2928
http://www.semwebtech.org/mondial/10/island/Ikaria/	\N	37.6	http://www.semwebtech.org/mondial/10/islands/Sporades/	255	Ikaria	26.2	\N	1037
http://www.semwebtech.org/mondial/10/island/Benbecula/	\N	57.45	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	82	Benbecula	-7.3	\N	124
http://www.semwebtech.org/mondial/10/island/Cebu/	\N	10.4	http://www.semwebtech.org/mondial/10/islands/Philipines/	5088	Cebu	123.8	\N	1000
http://www.semwebtech.org/mondial/10/island/DevonIsland/	\N	75.1	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	55247	Devon Island	-87.85	\N	1920
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	\N	53.5	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	40	Schiermonnikoog	6.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Mallorca/	\N	39.3	http://www.semwebtech.org/mondial/10/islands/Baleares/	3618	Mallorca	3	\N	1445
http://www.semwebtech.org/mondial/10/island/Vulcano/	\N	38.4	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	21.2	Vulcano	15	volcanic	499
http://www.semwebtech.org/mondial/10/island/Lavan/	\N	26.5	\N	76	Lavan	53.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Mull/	\N	56.45	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	910	Mull	6	\N	875
http://www.semwebtech.org/mondial/10/island/Ambon/	\N	-3.7	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	775	Ambon	128.2	\N	1225
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	\N	-22.16	http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	16372	Grande Terre	166.27	\N	1628
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	\N	75.4	\N	11665	Kotelny Island	141	\N	374
http://www.semwebtech.org/mondial/10/island/SaintPierre/	\N	47	\N	26	Saint Pierre	-56	\N	\N
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	\N	60.3	http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	970	Shetland Mainland	-1.3	\N	449
http://www.semwebtech.org/mondial/10/island/Oeland/	\N	57	\N	1344	Oeland	17	\N	55
http://www.semwebtech.org/mondial/10/island/Corse/	\N	41.4	\N	8680	Corse	8.4	\N	2706
http://www.semwebtech.org/mondial/10/island/Ascension/	\N	-7.9	\N	91	Ascension	-14.4	volcanic	859
http://www.semwebtech.org/mondial/10/island/Khark/	\N	29.1	\N	20.5	Khark	50.2	\N	1394
http://www.semwebtech.org/mondial/10/island/SaoTome/	\N	0.2	\N	859	Sao Tome	6.6	volcanic	2024
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	\N	37.7	http://www.semwebtech.org/mondial/10/islands/Azores/	747	Sao Miguel	-25.5	volcanic	1104
http://www.semwebtech.org/mondial/10/island/Bioko/	\N	3.5	\N	2017	Bioko	8.7	volcanic	3011
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	\N	47.95	\N	1885	Zitny Ostrov	17.65	\N	\N
http://www.semwebtech.org/mondial/10/island/Baltrum/	\N	53.6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	6.5	Baltrum	7.4	\N	5
http://www.semwebtech.org/mondial/10/island/PuertoRico/	\N	18.49	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	8870	Puerto Rico	-66.12	\N	1338
http://www.semwebtech.org/mondial/10/island/Kos/	\N	36.8	http://www.semwebtech.org/mondial/10/islands/Sporades/	287	Kos	27.1	\N	846
http://www.semwebtech.org/mondial/10/island/Corvo/	\N	39.7	http://www.semwebtech.org/mondial/10/islands/Azores/	17.5	Corvo	-31.1	volcanic	718
http://www.semwebtech.org/mondial/10/island/Isabela/	\N	-1	http://www.semwebtech.org/mondial/10/islands/Galapagos/	5436	Isabela	-91.3	volcanic	1707
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	\N	16.15	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	848	Basse-Terre	-61.8	volcanic	1467
http://www.semwebtech.org/mondial/10/island/Bornholm/	\N	55.1	\N	588	Bornholm	14.9	\N	162
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	\N	72.6	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	33339	Prince of Wales Island	-98.55	\N	\N
http://www.semwebtech.org/mondial/10/island/Tiree/	\N	56.3	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	78	Tiree	6.9	\N	141
http://www.semwebtech.org/mondial/10/island/Terceira/	\N	38.7	http://www.semwebtech.org/mondial/10/islands/Azores/	400	Terceira	-27.2	volcanic	1022
http://www.semwebtech.org/mondial/10/island/Paramuschir/	\N	50.5	http://www.semwebtech.org/mondial/10/islands/Curiles/	2042	Paramuschir	155.75	volcanic	1816
http://www.semwebtech.org/mondial/10/island/Guam/	\N	13.4	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	541	Guam	144.7	coral	\N
http://www.semwebtech.org/mondial/10/island/Niue/	\N	-19.01	\N	260	Niue	-169.55	coral	67
http://www.semwebtech.org/mondial/10/island/Fakaofo/	\N	-9.37	http://www.semwebtech.org/mondial/10/islands/Tokelau/	4	Fakaofo	-171.2	atoll	\N
http://www.semwebtech.org/mondial/10/island/Tahiti/	\N	-17.32	http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	1045	Tahiti	-149.34	volcanic	2241
http://www.semwebtech.org/mondial/10/island/Tortola/	\N	18.27	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	55	Tortola	-64.37	volcanic	521
http://www.semwebtech.org/mondial/10/island/Hispaniola/	\N	19	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	76192	Hispaniola	-70.7	\N	3098
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	\N	53.8	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	18.2	Spiekeroog	7.6	\N	3
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	\N	34	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	215	Santa Rosa Island	-120.1	\N	484
http://www.semwebtech.org/mondial/10/island/Faial/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/Azores/	172	Faial	-28.7	volcanic	1043
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	\N	19.7	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	30	Cayman Brac	-79.8	\N	\N
http://www.semwebtech.org/mondial/10/island/Honshu/	\N	36.3	http://www.semwebtech.org/mondial/10/islands/Japan/	230500	Honshu	138.6	volcanic	3776
http://www.semwebtech.org/mondial/10/island/Langeoog/	\N	53.65	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	20	Langeoog	7.5	\N	5
http://www.semwebtech.org/mondial/10/island/Guernsey/	\N	49.6	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	194	Guernsey	-2.6	\N	111
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	\N	11.4	http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	1210	South Andaman Island	92.5	\N	366
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	\N	34	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	245	Santa Cruz Island	-119.7	\N	747
http://www.semwebtech.org/mondial/10/island/Westray/	\N	59.4	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	47	Westray	-3	\N	169
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	\N	49.6	\N	31285	Vancouver Island	-125.65	\N	2195
http://www.semwebtech.org/mondial/10/island/GranCanaria/	\N	28	http://www.semwebtech.org/mondial/10/islands/Canares/	1560	Gran Canaria	-15.6	volcanic	1949
http://www.semwebtech.org/mondial/10/island/Okinawa/	\N	26	http://www.semwebtech.org/mondial/10/islands/Japan/	2255	Okinawa	128	volcanic	\N
http://www.semwebtech.org/mondial/10/island/Seeland/	\N	55.3	\N	7439	Seeland	12	\N	122
http://www.semwebtech.org/mondial/10/island/Tarawa/	\N	1.4	http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	39	Tarawa	173	atoll	\N
http://www.semwebtech.org/mondial/10/island/SaintVincent/	\N	13.25	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	346	Saint Vincent	-61.3	volcanic	1300
http://www.semwebtech.org/mondial/10/island/Santiago/	\N	15.1	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	991	Santiago	-23.6	volcanic	1394
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	\N	64.5	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	41214	Southampton Island	-84.5	\N	625
http://www.semwebtech.org/mondial/10/island/Sachalin/	\N	50	\N	76400	Sachalin	143	volcanic	1609
http://www.semwebtech.org/mondial/10/island/Nauru/	\N	-1	\N	21	Nauru	167	coral	60
http://www.semwebtech.org/mondial/10/island/Dagoe/	\N	58.8	\N	965	Dagoe	22.7	\N	\N
http://www.semwebtech.org/mondial/10/island/Sylt/	\N	54.9	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	99	Sylt	8.3	\N	52.5
http://www.semwebtech.org/mondial/10/island/IsleofWight/	\N	50.6	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	381	Isle of Wight	-1.3	\N	241
http://www.semwebtech.org/mondial/10/island/Skye/	\N	57.3	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	1385	Skye	-6.3	\N	993
http://www.semwebtech.org/mondial/10/island/Palawan/	\N	9.5	http://www.semwebtech.org/mondial/10/islands/Philipines/	11785	Palawan	118.4	\N	2085
http://www.semwebtech.org/mondial/10/island/SaintHelena/	\N	-15.56	\N	122	Saint Helena	-5.44	volcanic	818
http://www.semwebtech.org/mondial/10/island/KoSamui/	\N	9.5	\N	229	Ko Samui	100	\N	635
http://www.semwebtech.org/mondial/10/island/NewProvidence/	\N	25	http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	207	New Providence	-77.4	\N	\N
http://www.semwebtech.org/mondial/10/island/Stromboli/	\N	38.8	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	12.6	Stromboli	15.15	volcanic	926
http://www.semwebtech.org/mondial/10/island/Rugen/	\N	54.5	\N	926	Rugen	13.4	\N	161
http://www.semwebtech.org/mondial/10/island/Lefkas/	\N	38.7	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	293	Lefkas	20.6	\N	1158
http://www.semwebtech.org/mondial/10/island/Hokkaido/	\N	43.3	http://www.semwebtech.org/mondial/10/islands/Japan/	83456	Hokkaido	143	volcanic	2290
http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	53.15	\N	730	Olkhon	107.4	\N	1276
http://www.semwebtech.org/mondial/10/island/IsleofMan/	\N	54.1	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	588	Isle of Man	-4.5	\N	621
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	\N	11.5	\N	270	Isla da Ometepe	-85.6	\N	1700
http://www.semwebtech.org/mondial/10/island/Mohilla/	\N	-12.25	http://www.semwebtech.org/mondial/10/islands/Comores/	290	Mohilla	43.75	\N	\N
http://www.semwebtech.org/mondial/10/island/Fuenen/	\N	55.35	\N	2976	Fuenen	10.25	\N	131
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	\N	-9.6	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	5358	Guadalcanal	160.2	\N	2335
http://www.semwebtech.org/mondial/10/island/Rhodos/	\N	36.2	http://www.semwebtech.org/mondial/10/islands/Sporades/	1401	Rhodos	28	\N	1215
http://www.semwebtech.org/mondial/10/island/Lampedusa/	\N	35.4	\N	20	Lampedusa	13.2	volcanic	113
http://www.semwebtech.org/mondial/10/island/Negros/	\N	10	http://www.semwebtech.org/mondial/10/islands/Philipines/	13328	Negros	123	\N	2435
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	\N	17.9	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	21	St. Barthelemy	-62.82	\N	286
http://www.semwebtech.org/mondial/10/island/Menorca/	\N	40	http://www.semwebtech.org/mondial/10/islands/Baleares/	760	Menorca	4	\N	358
http://www.semwebtech.org/mondial/10/island/Jura/	\N	56	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	367	Jura	-6	\N	785
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	\N	68.3	http://www.semwebtech.org/mondial/10/islands/Lofotes/	526	Aust-Vagoey	14.6	\N	1146
http://www.semwebtech.org/mondial/10/island/Greenland/	\N	70	\N	2175600	Greenland	-40	\N	\N
http://www.semwebtech.org/mondial/10/island/Pellworm/	\N	54.5	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	37.4	Pellworm	8.6	\N	2
http://www.semwebtech.org/mondial/10/island/Chios/	\N	38.4	http://www.semwebtech.org/mondial/10/islands/Sporades/	843	Chios	26.2	\N	1297
http://www.semwebtech.org/mondial/10/island/SantaMaria/	\N	37	http://www.semwebtech.org/mondial/10/islands/Azores/	97	Santa Maria	-25.1	volcanic	586
http://www.semwebtech.org/mondial/10/island/Mykonos/	\N	37.45	http://www.semwebtech.org/mondial/10/islands/Kyklades/	105	Mykonos	25.4	\N	341
http://www.semwebtech.org/mondial/10/island/Cuba/	\N	22	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	105806	Cuba	-79	\N	1974
http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	-5	\N	786000	New Guinea	142	\N	4884
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	\N	58.6	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	50	South Ronaldsay	-3.1	\N	118
http://www.semwebtech.org/mondial/10/island/Tobago/	\N	11.25	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	301	Tobago	-60.7	\N	576
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	\N	32.17	http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	53.3	Grand Bermuda	-64.47	coral	79
http://www.semwebtech.org/mondial/10/island/Majuro/	\N	7.1	http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	9.2	Majuro	171.4	atoll	\N
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	\N	41.4	\N	232	Marthas Vineyard	-70.6	\N	\N
http://www.semwebtech.org/mondial/10/island/Manitoulin/	\N	45.75	\N	2766	Manitoulin	-82.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Falster/	\N	54.8	\N	514	Falster	12	\N	44
http://www.semwebtech.org/mondial/10/island/SriLanka/	\N	7	\N	65610	Sri Lanka	80	\N	2524
http://www.semwebtech.org/mondial/10/island/Samar/	\N	12	http://www.semwebtech.org/mondial/10/islands/Philipines/	13080	Samar	125.1	\N	\N
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	\N	22.1	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	North Caicos	-72.1	\N	20
http://www.semwebtech.org/mondial/10/island/Pemba/	\N	-5.2	\N	984	Pemba	39.7	\N	95
http://www.semwebtech.org/mondial/10/island/Efate/	\N	-17.8	http://www.semwebtech.org/mondial/10/islands/Vanuatu/	900	Efate	168.4	\N	647
http://www.semwebtech.org/mondial/10/island/Lombok/	\N	-8.4	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	4725	Lombok	116.5	volcanic	3726
http://www.semwebtech.org/mondial/10/island/WestFalkland/	\N	-51.8	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	4532	West Falkland	-60.1	\N	700
http://www.semwebtech.org/mondial/10/island/Kreta/	\N	37	\N	8331	Kreta	25	\N	2456
http://www.semwebtech.org/mondial/10/island/Lanai/	\N	20.5	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	364	Lanai	-157	volcanic	1027
http://www.semwebtech.org/mondial/10/island/Saipan/	\N	15.2	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	115	Saipan	145.75	volcanic	474
http://www.semwebtech.org/mondial/10/island/Teneriffa/	\N	28.3	http://www.semwebtech.org/mondial/10/islands/Canares/	2034	Teneriffa	-16.6	volcanic	3718
http://www.semwebtech.org/mondial/10/island/Hoy/	\N	59.1	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	143	Hoy	-3.2	\N	479
http://www.semwebtech.org/mondial/10/island/Graciosa/	\N	39	http://www.semwebtech.org/mondial/10/islands/Azores/	61	Graciosa	-28	volcanic	402
http://www.semwebtech.org/mondial/10/island/SaintKitts/	\N	17.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	164	Saint Kitts	-62.75	volcanic	1156
http://www.semwebtech.org/mondial/10/island/Maui/	\N	20.7	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	1883	Maui	-156.3	volcanic	3055
http://www.semwebtech.org/mondial/10/island/Pitcairn/	\N	-25.04	http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	4.5	Pitcairn	-130.05	volcanic	347
http://www.semwebtech.org/mondial/10/island/Anguilla/	\N	18	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	91	Anguilla	-64	\N	65
http://www.semwebtech.org/mondial/10/island/Lanzarote/	\N	29	http://www.semwebtech.org/mondial/10/islands/Canares/	846	Lanzarote	-13.6	volcanic	671
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	\N	57.9	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	2170	Lewis and Harris	-6.8	\N	799
http://www.semwebtech.org/mondial/10/island/Syros/	\N	37.45	http://www.semwebtech.org/mondial/10/islands/Kyklades/	84	Syros	24.9	\N	442
http://www.semwebtech.org/mondial/10/island/Pico/	\N	38.5	http://www.semwebtech.org/mondial/10/islands/Azores/	442	Pico	-28.4	volcanic	2351
http://www.semwebtech.org/mondial/10/island/Tutuila/	\N	-14.16	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	135	Tutuila	-170.42	volcanic	653
http://www.semwebtech.org/mondial/10/island/Montserrat/	\N	16.42	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	102	Montserrat	-62.13	volcanic	1050
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	\N	-12.2	http://www.semwebtech.org/mondial/10/islands/CocosIslands/	6.23	Pulau Panjang	96.9	atoll	9
http://www.semwebtech.org/mondial/10/island/Mauritius/	\N	-20	\N	1860	Mauritius	57	volcanic	828
http://www.semwebtech.org/mondial/10/island/GreatBritain/	\N	53	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	229850	Great Britain	-1.5	\N	1344
http://www.semwebtech.org/mondial/10/island/Antigua/	\N	17.05	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	281	Antigua	-61.8	\N	400
http://www.semwebtech.org/mondial/10/island/Fongafale/	\N	-8.5	http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	2.8	Fongafale	179.1	atoll	\N
http://www.semwebtech.org/mondial/10/island/SaintThomas/	\N	18.3	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	31	Saint Thomas	-64.9	\N	\N
http://www.semwebtech.org/mondial/10/island/LittleCayman/	\N	19.8	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	20	Little Cayman	-80	\N	\N
http://www.semwebtech.org/mondial/10/island/Singapore/	\N	1.3	\N	632.6	Singapore	103.833	\N	176
http://www.semwebtech.org/mondial/10/island/Male/	\N	2	http://www.semwebtech.org/mondial/10/islands/Maldives/	2.74	Male	72	atoll	1
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	\N	69	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	507451	Baffin Island	72	\N	2147
http://www.semwebtech.org/mondial/10/island/NorthUist/	\N	57.4	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	303	North Uist	-7.1	\N	347
http://www.semwebtech.org/mondial/10/island/Samosir/	\N	2.6	\N	852	Samosir	98.85	volcanic	\N
http://www.semwebtech.org/mondial/10/island/Java/	\N	-7.5	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	126650	Java	111.25	\N	3676
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	\N	33	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	37	San Miguel Island	-120.4	\N	259
http://www.semwebtech.org/mondial/10/island/Islay/	\N	62.1	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	619.6	Islay	7	\N	491
http://www.semwebtech.org/mondial/10/island/Sulawesi/	\N	-2.1	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	189216	Sulawesi	120.3	volcanic	3455
http://www.semwebtech.org/mondial/10/island/Borkum/	\N	53.6	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	31	Borkum	6.7	\N	6
http://www.semwebtech.org/mondial/10/island/Alicudi/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	5.2	Alicudi	14.4	volcanic	675
http://www.semwebtech.org/mondial/10/island/VitiLevu/	\N	-17.8	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	10429	Viti Levu	178	volcanic	1394
http://www.semwebtech.org/mondial/10/island/Filicudi/	\N	38.6	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	9.5	Filicudi	14.55	volcanic	774
http://www.semwebtech.org/mondial/10/island/Usedom/	\N	53.9	\N	445	Usedom	14.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Leyte/	\N	11	http://www.semwebtech.org/mondial/10/islands/Philipines/	7368	Leyte	124.9	\N	\N
http://www.semwebtech.org/mondial/10/island/Uvea/	\N	-13.16	http://www.semwebtech.org/mondial/10/islands/WallisIslands/	90	Uvea	-176.2	volcanic	131
http://www.semwebtech.org/mondial/10/island/Bali/	\N	-8.4	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	5561	Bali	115.1	volcanic	3142
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	\N	59	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	492	Orkney Mainland	-3.1	\N	271
http://www.semwebtech.org/mondial/10/island/Gotland/	\N	57.5	\N	3140	Gotland	18.5	\N	82
http://www.semwebtech.org/mondial/10/island/Norderney/	\N	53.7	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	26.3	Norderney	7.9	\N	5
http://www.semwebtech.org/mondial/10/island/MargitSziget/	\N	47.5	\N	1	Margit Sziget	19.05	\N	\N
http://www.semwebtech.org/mondial/10/island/Amrum/	\N	54.65	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	20.5	Amrum	8.3	\N	32
http://www.semwebtech.org/mondial/10/island/Halmahera/	\N	0.6	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	18040	Halmahera	127.9	\N	1635
http://www.semwebtech.org/mondial/10/island/Texel/	\N	53.1	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	162	Texel	4.8	\N	15
http://www.semwebtech.org/mondial/10/island/Bahrain/	\N	26	\N	620	Bahrain	50.5	\N	135
http://www.semwebtech.org/mondial/10/island/Dominica/	\N	15.4	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	746	Dominica	-61.35	volcanic	1447
http://www.semwebtech.org/mondial/10/island/Shikoku/	\N	34	http://www.semwebtech.org/mondial/10/islands/Japan/	18800	Shikoku	134	volcanic	1965
http://www.semwebtech.org/mondial/10/island/Aruba/	\N	12.31	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	193	Aruba	-70.02	\N	188
http://www.semwebtech.org/mondial/10/island/Zhoushan/	\N	30.05	\N	502	Zhoushan	122.15	\N	503
http://www.semwebtech.org/mondial/10/island/Jeju/	\N	33.4	\N	1845	Jeju	126.5	volcanic	1950
http://www.semwebtech.org/mondial/10/island/Mahe/	\N	-4.65	http://www.semwebtech.org/mondial/10/islands/Seychelles/	154	Mahe	55.5	\N	905
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	\N	-35.8	\N	4405	Cangaroo Island	137.3	\N	307
http://www.semwebtech.org/mondial/10/island/GrandCayman/	\N	19.18	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	197	Grand Cayman	-81.23	\N	\N
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	\N	-44	http://www.semwebtech.org/mondial/10/islands/NewZealand/	151757	Te Waka-a-Maui (South Island)	170.4	\N	3754
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	\N	47.1	\N	205	Miquelon-Langlade	-56.3	\N	240
http://www.semwebtech.org/mondial/10/island/LongIsland/	\N	40.8	\N	3566	Long Island	-73.3	\N	122
\.


--
-- TOC entry 5922 (class 0 OID 96618)
-- Dependencies: 1088
-- Data for Name: Islands; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Islands" ("URI", latitude, population, area, type, longitude, elevation, name) FROM stdin;
http://www.semwebtech.org/mondial/10/islands/Seychelles/	\N	\N	\N	\N	\N	\N	Seychelles
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	\N	\N	\N	\N	\N	\N	Cayman Islands
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	\N	\N	\N	\N	\N	\N	Ellice Islands
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	\N	\N	\N	\N	\N	\N	New Caledonia
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	\N	\N	\N	\N	\N	Scilly Islands
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	\N	\N	\N	\N	\N	\N	Inner Hebrides
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	\N	\N	\N	\N	\N	\N	Outer Hebrides
http://www.semwebtech.org/mondial/10/islands/Malta/	\N	\N	\N	\N	\N	\N	Malta
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	\N	\N	\N	\N	\N	\N	Lipari Islands
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	\N	\N	\N	\N	\N	\N	Bermuda Islands
http://www.semwebtech.org/mondial/10/islands/Kyklades/	\N	\N	\N	\N	\N	\N	Kyklades
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	\N	\N	\N	\N	\N	\N	Cape Verdes
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	\N	\N	\N	\N	\N	\N	Wallis Islands
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	\N	\N	\N	\N	\N	\N	Faroe Islands
http://www.semwebtech.org/mondial/10/islands/Tokelau/	\N	\N	\N	\N	\N	\N	Tokelau
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	\N	\N	\N	\N	\N	\N	Polynesian Islands
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	\N	\N	\N	\N	\N	\N	Mariana Islands
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	\N	\N	\N	\N	\N	\N	Marshall Islands
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	\N	\N	\N	\N	\N	\N	Andaman Islands
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	\N	\N	\N	\N	\N	\N	Ostfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	\N	\N	\N	\N	\N	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/islands/Philipines/	\N	\N	\N	\N	\N	\N	Philipines
http://www.semwebtech.org/mondial/10/islands/Japan/	\N	\N	\N	\N	\N	\N	Japan
http://www.semwebtech.org/mondial/10/islands/Svalbard/	\N	\N	\N	\N	\N	\N	Svalbard
http://www.semwebtech.org/mondial/10/islands/Laccadives/	\N	\N	\N	\N	\N	\N	Laccadives
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	\N	\N	\N	\N	\N	\N	Greater Antilles
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	\N	\N	\N	\N	\N	\N	Hawaii Islands
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	\N	\N	\N	\N	\N	\N	Nordfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	\N	\N	\N	\N	\N	\N	Lesser Antilles
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	\N	\N	\N	\N	\N	\N	Cocos Islands
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	\N	\N	\N	\N	\N	\N	Falkland Islands
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	\N	\N	\N	\N	\N	\N	Canadian Arctic Islands
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	\N	\N	\N	\N	\N	\N	Samoan Islands
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	\N	\N	\N	\N	\N	Sunda Islands
http://www.semwebtech.org/mondial/10/islands/Aleutes/	\N	\N	\N	\N	\N	\N	Aleutes
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	\N	\N	\N	\N	\N	\N	Shetland Islands
http://www.semwebtech.org/mondial/10/islands/NewZealand/	\N	\N	\N	\N	\N	\N	New Zealand
http://www.semwebtech.org/mondial/10/islands/Maldives/	\N	\N	\N	\N	\N	\N	Maldives
http://www.semwebtech.org/mondial/10/islands/Sporades/	\N	\N	\N	\N	\N	\N	Sporades
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	\N	\N	\N	\N	\N	\N	Solomon Islands
http://www.semwebtech.org/mondial/10/islands/Baleares/	\N	\N	\N	\N	\N	\N	Baleares
http://www.semwebtech.org/mondial/10/islands/CookIslands/	\N	\N	\N	\N	\N	\N	Cook Islands
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	\N	\N	\N	\N	\N	\N	Gilbert Islands
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	\N	\N	\N	\N	\N	\N	Vanuatu
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	\N	\N	\N	\N	\N	\N	Orkney Islands
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	\N	\N	\N	\N	\N	\N	Pitcairn Islands
http://www.semwebtech.org/mondial/10/islands/Madeira/	\N	\N	\N	\N	\N	\N	Madeira
http://www.semwebtech.org/mondial/10/islands/Comores/	\N	\N	\N	\N	\N	\N	Comores
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	\N	\N	\N	\N	\N	\N	British Isles
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	\N	\N	\N	\N	\N	\N	Bahama Islands
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	\N	\N	\N	\N	\N	\N	Californian Channel Islands
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	\N	\N	\N	\N	\N	\N	Ionic Islands
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	\N	\N	\N	\N	\N	\N	Micronesian Islands
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	\N	\N	\N	\N	\N	\N	Aland Islands
http://www.semwebtech.org/mondial/10/islands/Lofotes/	\N	\N	\N	\N	\N	\N	Lofotes
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	\N	\N	\N	\N	\N	\N	Tonga Islands
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	\N	\N	\N	\N	\N	\N	Riau Islands
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	\N	\N	\N	\N	\N	\N	Futuna Islands
http://www.semwebtech.org/mondial/10/islands/Azores/	\N	\N	\N	\N	\N	\N	Azores
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	\N	\N	\N	\N	\N	\N	Moluccan Islands
http://www.semwebtech.org/mondial/10/islands/Curiles/	\N	\N	\N	\N	\N	\N	Curiles
http://www.semwebtech.org/mondial/10/islands/Canares/	\N	\N	\N	\N	\N	\N	Canares
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	\N	\N	\N	\N	\N	\N	Fiji Islands
http://www.semwebtech.org/mondial/10/islands/Carolines/	\N	\N	\N	\N	\N	\N	Carolines
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	\N	\N	\N	\N	\N	\N	Channel Islands
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	\N	\N	\N	\N	\N	\N	Westfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LineIslands/	\N	\N	\N	\N	\N	\N	Line Islands
http://www.semwebtech.org/mondial/10/islands/Galapagos/	\N	\N	\N	\N	\N	\N	Galapagos
\.


--
-- TOC entry 5923 (class 0 OID 96625)
-- Dependencies: 1089
-- Data for Name: Language; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Language" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/language/Pitkern/	Pitkern
http://www.semwebtech.org/mondial/10/language/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/language/Brahui/	Brahui
http://www.semwebtech.org/mondial/10/language/English/	English
http://www.semwebtech.org/mondial/10/language/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/language/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/language/Punjabi/	Punjabi
http://www.semwebtech.org/mondial/10/language/Futunian/	Futunian
http://www.semwebtech.org/mondial/10/language/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/language/Creole/	Creole
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Serbo-Croatian
http://www.semwebtech.org/mondial/10/language/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/language/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/language/Maori/	Maori
http://www.semwebtech.org/mondial/10/language/French/	French
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Philipine Language
http://www.semwebtech.org/mondial/10/language/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/language/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/language/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/language/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/language/Korean/	Korean
http://www.semwebtech.org/mondial/10/language/Swedish/	Swedish
http://www.semwebtech.org/mondial/10/language/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/language/Finnish/	Finnish
http://www.semwebtech.org/mondial/10/language/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/language/Bosnian/	Bosnian
http://www.semwebtech.org/mondial/10/language/Siraiki/	Siraiki
http://www.semwebtech.org/mondial/10/language/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/language/Basque/	Basque
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/language/Greek/	Greek
http://www.semwebtech.org/mondial/10/language/Hebrew/	Hebrew
http://www.semwebtech.org/mondial/10/language/Turkic/	Turkic
http://www.semwebtech.org/mondial/10/language/Danish/	Danish
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/language/Dungun/	Dungun
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/language/Hindko/	Hindko
http://www.semwebtech.org/mondial/10/language/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/language/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/language/Slovenian/	Slovenian
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Chinese Language
http://www.semwebtech.org/mondial/10/language/Italian/	Italian
http://www.semwebtech.org/mondial/10/language/Persian/	Persian
http://www.semwebtech.org/mondial/10/language/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/language/Sinhala/	Sinhala
http://www.semwebtech.org/mondial/10/language/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/language/Russian/	Russian
http://www.semwebtech.org/mondial/10/language/Galician/	Galician
http://www.semwebtech.org/mondial/10/language/Miskito/	Miskito
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Khalkha Mongol
http://www.semwebtech.org/mondial/10/language/Luri/	Luri
http://www.semwebtech.org/mondial/10/language/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/language/Bambara/	Bambara
http://www.semwebtech.org/mondial/10/language/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/language/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/language/Somali/	Somali
http://www.semwebtech.org/mondial/10/language/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/language/Sindhi/	Sindhi
http://www.semwebtech.org/mondial/10/language/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Mayan Dialects
http://www.semwebtech.org/mondial/10/language/Polish/	Polish
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Other Pacific Island Language
http://www.semwebtech.org/mondial/10/language/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/language/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/language/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/language/German/	German
http://www.semwebtech.org/mondial/10/language/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/language/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/language/Urdu/	Urdu
http://www.semwebtech.org/mondial/10/language/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/language/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/language/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/language/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/language/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/language/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/language/Balochi/	Balochi
http://www.semwebtech.org/mondial/10/language/Croatian/	Croatian
http://www.semwebtech.org/mondial/10/language/Lezgi/	Lezgi
http://www.semwebtech.org/mondial/10/language/Burmese/	Burmese
http://www.semwebtech.org/mondial/10/language/Pashtu/	Pashtu
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Afrikaans
http://www.semwebtech.org/mondial/10/language/Catalan/	Catalan
http://www.semwebtech.org/mondial/10/language/Hindi/	Hindi
http://www.semwebtech.org/mondial/10/language/Norwegian/	Norwegian
http://www.semwebtech.org/mondial/10/language/Icelandic/	Icelandic
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Afghan Persian
http://www.semwebtech.org/mondial/10/language/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/language/Maltese/	Maltese
http://www.semwebtech.org/mondial/10/language/Roma/	Roma
http://www.semwebtech.org/mondial/10/language/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/language/Nepali/	Nepali
http://www.semwebtech.org/mondial/10/language/Guarani/	Guarani
http://www.semwebtech.org/mondial/10/language/Papiamento/	Papiamento
http://www.semwebtech.org/mondial/10/language/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/language/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/language/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/language/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/language/Czech/	Czech
\.


--
-- TOC entry 5924 (class 0 OID 96628)
-- Dependencies: 1090
-- Data for Name: Male; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Male" ("URI", "hasMother", "hasFather") FROM stdin;
\.


--
-- TOC entry 5925 (class 0 OID 96634)
-- Dependencies: 1091
-- Data for Name: Membership; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Membership" ("URI", "ofMember", "inOrganization", type) FROM stdin;
7b93e6a1:150814fecb6:1e7c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:13ca	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:17d7	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:836	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-271	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1920	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-38b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/BA/	member
7b93e6a1:150814fecb6:1ddf	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1b26	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:7c6	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:10f8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d0e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:14fa	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:901	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1dc8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:141b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:18	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:d11	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:ee0	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a9f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-99	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-55c	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1a42	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:-260	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20f7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b37	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2053	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:765	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c10	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d97	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11ed	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e70	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae3	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-bc	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a0	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:-15f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:173d	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d6f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1069	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1abb	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b9e	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:13a9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1305	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ac	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ede	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1565	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1b97	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e3a	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:134	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b1	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-223	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-358	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d08	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5a9	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:394	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2016	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:ed	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:728	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a5	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-483	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:1ed7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1801	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:aa6	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:988	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e33	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110c	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6d4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a02	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:630	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:136c	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c62	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:890	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19b	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:52f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ac	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28a	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa2	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cde	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78f	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:1c3a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4db	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e9a	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5ca	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1194	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1528	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-63	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1788	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:357	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1430	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-446	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a62	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1690	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-3f2	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cc9	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c25	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f7	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da2	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:853	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d0	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:158f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e85	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15e	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12db	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd1	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-24d	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:18cf	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:94	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e5d	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1157	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6fe	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a2c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-26	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c8c	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1ac9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-409	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1a25	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16f7	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fcc	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c6	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1653	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:222	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c85	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b5	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-311	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:482	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2104	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:816	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-571	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e48	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc5	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f21	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b0	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14fe	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:df4	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:145a	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:57	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:d50	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a8c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bc	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:61d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c4f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dcc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87d	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19fa	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1022	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:bfb	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1282	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-298	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1616	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:1c48	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1876	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:445	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c2	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5d8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a77	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf4	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-534	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b50	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f1	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4e0	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:db7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d13	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a4f	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:941	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:167d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f73	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24c	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3df	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-33b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:19bd	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59b	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fef	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e9	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbe	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f4b	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1245	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20da	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ec	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d7a	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1839	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11f1	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:408	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-c0	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-163	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bb7	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:668	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b13	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e5	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1741	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:310	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d73	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a3	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9a8	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:570	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:904	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f36	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20f	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:8b0	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:46f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ec	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee2	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bb	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-55e	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b7a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2aa	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f0e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1208	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7af	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:f1	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1468	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3d	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eba	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b4	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1110	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-126	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:297	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a8	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1370	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-386	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1704	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d36	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100f	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1964	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f96	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:533	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b0	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:126f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b65	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce2	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2081	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:793	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15af	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-ea	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-18d	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150b	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e01	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3d	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3de	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:176b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:33a	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d9d	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4cd	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1097	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b4	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:10	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:92e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13d7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cac	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1333	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-349	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:8da	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1593	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1927	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:162	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2f5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:1f59	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-251	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20e8	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b28	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ca5	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2044	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c01	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:756	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18d3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d88	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a2	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11de	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e61	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-ad	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:113a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a30	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:139a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c90	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:172e	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1aac	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:198e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16da	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:b8f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:ecf	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c9	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-91	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1556	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b88	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:125	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-214	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:385	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:de	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2007	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:719	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-474	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ec8	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a90	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:979	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e24	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c5	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf7	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:621	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:135d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c53	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:881	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27b	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ccf	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c2b	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18fd	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4cc	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:afe	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:-5bb	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1185	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-54	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1519	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1779	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:348	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af7	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1421	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-437	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a53	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffa	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1681	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:250	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e3	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c16	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:844	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c1	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e76	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:14f	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12cc	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-23e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:7f0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-49e	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:85	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181c	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1ea	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e4e	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1148	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ef	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a1d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-17	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:64b	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:c7d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dfa	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1050	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a16	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbd	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b7	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1644	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:213	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c76	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-302	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:473	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f0	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:807	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7e	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-562	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e39	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb6	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f12	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a1	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ef	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:de5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:144b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:48	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d41	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a7d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ad	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:27a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:60e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1dbd	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86e	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19eb	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1013	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ba	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bec	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1273	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-289	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1607	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1c39	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1867	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e99	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:436	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b3	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c9	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-191	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:a68	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be5	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-525	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b41	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:696	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3e2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4d1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107a	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:da8	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d04	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:932	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:166e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f64	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23d	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ba	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:49d	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19ae	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1f3c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:baf	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1236	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20cb	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0b	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7dd	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1496	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11e2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f8	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-b1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-154	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1ba8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:659	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b04	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1732	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:3a5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:301	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d64	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103d	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ab0	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1992	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:561	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:129d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b93	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f27	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a1	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15dd	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ac	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-54f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b6b	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4fb	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1459	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1eab	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:d2e	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:11a5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95c	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1101	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-117	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8e	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:288	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:cda	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1361	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-377	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d27	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c8	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:190	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1955	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f87	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:524	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a1	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b56	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd3	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2072	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:784	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:4d0	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-db	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-17e	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2e	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3cf	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:175c	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d8e	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:32b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4be	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1088	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1ada	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:91f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13c8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1324	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cb	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:efd	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f7	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1584	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1918	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:153	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e6	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:-242	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:20d9	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b19	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2035	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:747	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:d79	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1820	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11cf	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac5	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e52	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a21	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:138b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c81	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:171f	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:197f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16cb	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc1	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cfd	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209c	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:4fa	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-82	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1547	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b79	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:116	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-205	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:376	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f3	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:cf	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-465	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1eb9	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a81	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b1	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e15	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b6	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce8	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:612	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c44	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc1	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:872	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:17d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12fa	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bf0	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-26c	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:205f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c1c	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ee	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:184a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:4bd	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-e9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5ac	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1176	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-45	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:339	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1412	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-428	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:599	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a44	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:feb	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e5	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1672	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:241	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3d4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-330	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:c07	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d9	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:835	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b2	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-590	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:e67	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe4	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12bd	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb3	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f40	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-22f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7e1	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-48f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:76	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180d	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1db	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e3f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1139	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a0e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1399	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1deb	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1041	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a07	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fae	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a8	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1635	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:f0a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:204	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c67	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1895	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:464	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a96	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-6f	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-553	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1fa7	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f03	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd6	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:700	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:39	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d32	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a6e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:960	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169c	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f92	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26b	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3fe	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-35a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dae	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85f	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d0a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19dc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1004	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ab	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bdd	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f6a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1264	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1858	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:427	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15a4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-182	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:a59	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd6	http://www.semwebtech.org/mondial/10/country/SBAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1500	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:-516	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:687	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b32	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:1760	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3d3	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d92	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c2	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106b	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9c7	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:ff9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:923	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:165f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f55	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22e	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ab	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31d	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:48e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1da	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-57d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f2d	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1227	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20bc	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7ce	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:72a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1487	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	signatory state
7b93e6a1:150814fecb6:d5c	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11d3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e9	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:98a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
7b93e6a1:150814fecb6:-145	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17c7	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df9	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1723	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d55	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f6	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa1	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1983	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:552	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b84	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f18	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15ce	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec4	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152a	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e20	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b5c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fd	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:178a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4ec	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d3	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:d1f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:94d	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-108	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:f7f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:279	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13f6	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ccb	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1352	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-368	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d18	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5b9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:181	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:1946	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f78	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:515	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-270	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:b47	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc4	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2063	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c20	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:775	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f2	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:93e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:4c1	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11fd	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e80	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af3	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-cc	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b0	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-16f	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:1b1f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:174d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d7f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:31c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4af	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1079	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1acb	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40b	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:13b9	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1315	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bc	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eee	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1575	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e4a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1909	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:144	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2d7	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-233	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:2026	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:fd	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:738	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b5	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-493	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ee7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1811	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ab6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:998	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e43	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e4	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a12	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:640	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:137c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c72	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:53f	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16bc	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb2	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cee	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:208d	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79f	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c4a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4eb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1538	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-73	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e0d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:107	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1798	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:367	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e4	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1440	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-456	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:1a72	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a2	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
7b93e6a1:150814fecb6:1e06	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a7	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd9	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:603	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c35	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db2	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:863	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19e0	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:159f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e95	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16e	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12eb	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be1	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-25d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c0d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18df	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ae	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:183b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e6d	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1167	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-36	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66a	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c9c	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:14a7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad9	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1403	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-419	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9aa	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a35	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdc	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d6	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1663	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c95	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:232	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c5	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-321	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:492	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2114	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:826	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-9d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-581	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e58	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd5	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12ae	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f31	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c0	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b00	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d2	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:146a	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:67	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d60	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a9c	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cc	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:62d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17aa	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c5f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1ddc	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d6	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1032	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1292	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1626	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:1c58	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1886	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:455	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a87	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-544	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b60	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4f0	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:dc7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d23	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea0	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a5f	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:951	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:168d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f83	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25c	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ef	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-34b	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19cd	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1fff	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f9	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bce	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:20ea	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:1f5b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1255	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b2a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7fc	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d8a	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1849	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:418	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-d0	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-173	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bc7	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-507	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:678	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b23	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c4	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1751	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:320	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d83	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b3	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105c	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9b8	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:580	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:914	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f46	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21f	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-30e	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:8c0	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:47f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15fc	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef2	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1cb	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-56e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b8a	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ba	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f1e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1218	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ad	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7bf	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:71b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1478	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4d	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eca	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1120	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-136	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17b8	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1380	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-396	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1714	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d46	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101f	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e7	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1974	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:543	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c0	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:127f	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b75	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf2	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:2091	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f09	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15bf	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-fa	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:-19d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb5	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e11	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ee	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:177b	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4dd	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c4	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:20	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:13e7	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1343	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-359	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:8ea	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d09	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1937	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:172	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1f69	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:506	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-261	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20f8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b38	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2054	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:766	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c11	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e3	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d98	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b2	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11ee	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e71	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae4	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-bd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:114a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a40	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:173e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1abc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16ea	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe0	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:b9f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1306	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ad	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:edf	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1566	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1d9	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:e3b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b98	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:135	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b2	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-224	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:395	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ee	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2017	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:729	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a6	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-484	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ed8	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1802	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d0	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:aa7	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:989	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110d	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6d5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a03	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:631	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:136d	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c63	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de0	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:891	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19c	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16ad	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28b	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cdf	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207e	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c3b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4dc	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e9b	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5cb	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1195	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a6a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-64	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1529	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1789	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:358	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:daa	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1431	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-447	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a63	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1691	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:260	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c26	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f8	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da3	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:854	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d1	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e86	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:15f	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12dc	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd2	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-24e	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:95	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182c	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fa	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e5e	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1158	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ff	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a2d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1baa	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-27	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c8d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1060	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a26	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16f8	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fcd	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1654	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:1c86	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:223	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b6	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-312	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:483	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2105	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:817	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-572	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e49	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc6	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f22	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c3	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ff	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:df5	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:145b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:58	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:d51	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a8d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bd	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:28a	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:61e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1dcd	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19fb	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1023	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ca	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bfc	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1283	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-299	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1617	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
7b93e6a1:150814fecb6:1c49	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1877	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:446	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c3	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a78	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf5	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-535	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b51	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4e1	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108a	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:db8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141e	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d14	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:942	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:167e	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f74	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24d	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:cc0	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:19be	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:bbf	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f4c	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1246	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20db	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ed	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d7b	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11f2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:409	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-c1	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-164	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bb8	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:669	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b14	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e6	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1742	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:311	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d74	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a4	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ac0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-400	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:9a9	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:571	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:905	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f37	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8b1	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ed	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-55f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b7b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ab	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f0f	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1209	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:f2	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1469	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ebb	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1111	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-127	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:298	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:cea	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:17a9	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1371	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-387	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1705	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d37	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5d8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1965	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f97	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:534	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b66	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2082	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:794	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:4e0	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-eb	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-18e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e02	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3df	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:176c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d9e	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:33b	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ce	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1098	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1aea	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:11	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:92f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13d8	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cad	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1334	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8db	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1594	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1928	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:163	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-252	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20e9	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b29	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ca6	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2045	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:757	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c02	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d4	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d89	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a3	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1830	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11df	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e62	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ad5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ae	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:113b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a31	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:139b	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c91	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:172f	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1aad	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:198f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-4	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16db	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2aa	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-92	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1557	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1b89	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e2c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:126	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a3	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b9	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-215	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:386	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:df	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2008	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:-475	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ec9	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a91	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e25	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c6	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf8	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:622	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:135e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:1dd1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c54	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10aa	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:882	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:206f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c2c	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18fe	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4cd	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:185a	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:aff	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e8c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-f9	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:-5bc	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1186	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-55	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:349	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af8	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1422	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-438	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a54	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffb	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1682	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:251	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e4	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-340	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:c17	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:845	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c2	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e77	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12cd	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc3	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f50	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-23f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:7f1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-49f	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:86	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1eb	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e4f	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1149	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a1e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-18	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:64c	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:c7e	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dfb	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1051	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a17	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbe	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1645	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f1a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c77	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:214	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3a7	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-303	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:474	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:808	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-7f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-563	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fb7	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f13	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:de6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:710	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:49	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d42	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a7e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ae	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:970	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:60f	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-36a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dbe	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d1a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ec	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1014	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bb	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bed	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f7a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1274	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1608	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1868	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:437	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b4	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-192	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:a69	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1510	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-526	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:697	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b42	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1770	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4d2	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:da9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140f	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d05	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:933	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:166f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f65	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23e	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13bb	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:49e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1ea	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:19af	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1f3d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1237	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20cc	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7de	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:73a	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1497	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11e3	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f9	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:99a	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b2	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-155	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1ba9	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b05	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1733	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:3a6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:302	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d65	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103e	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ab1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1993	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:562	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:129e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b94	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f28	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a2	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15de	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed4	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ad	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:153a	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e30	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b6c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4fc	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e3	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:d2f	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eac	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95d	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1102	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-118	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:289	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:cdb	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1362	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-378	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d28	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1956	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:5c9	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:191	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1f88	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:525	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-280	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b57	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd4	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2073	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:785	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c30	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e90	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-dc	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-5c0	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-17f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:175d	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d8f	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:32c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4bf	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1089	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1adb	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:13c9	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1325	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cc	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:efe	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1585	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1919	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:e5a	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:154	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d1	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e7	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:-243	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2036	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:748	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c5	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:1ef7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1821	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ac6	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e53	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a22	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6f4	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:650	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:138c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c82	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:54f	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16cc	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc2	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cfe	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c5a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fb	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-83	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:db5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1548	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:117	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-206	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:377	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f4	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:1450	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-466	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a82	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b2	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e16	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b7	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:613	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c45	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc2	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:873	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:17e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12fb	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bf1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-26d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c1d	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ef	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4be	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:184b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41a	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e7d	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5ad	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1177	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-46	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:67a	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14b7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1413	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-429	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:9ba	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a45	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fec	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1673	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	observer
7b93e6a1:150814fecb6:242	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3d5	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-331	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:c08	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:19b3	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-591	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:e68	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe5	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12be	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f41	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121a	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d0	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b10	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e2	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:147a	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:77	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d70	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:180e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1dc	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:a0f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17ba	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c6f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dec	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1042	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a08	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:faf	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1636	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:f0b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:205	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c68	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1896	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15e2	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:465	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a97	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-554	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1fa8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b70	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a0	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f04	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a5	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd7	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:701	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143d	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d33	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb0	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a6f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:961	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f93	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26c	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ff	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-35b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1daf	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a9	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d0b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19dd	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1005	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ac	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bde	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f6b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1265	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fa	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3a	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:d9a	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1859	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:428	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-e0	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:15a5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-183	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1bd7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1501	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:-517	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:688	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b33	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1761	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:330	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d93	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c3	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106c	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9c8	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:590	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:924	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f56	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22f	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ac	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31e	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8d0	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:48f	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1db	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-57e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b9a	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ca	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f2e	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1228	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20bd	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7cf	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:72b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1488	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	signatory state
7b93e6a1:150814fecb6:d5d	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eda	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d4	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:98b	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a3	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
7b93e6a1:150814fecb6:1130	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-146	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17c8	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1390	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1724	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d56	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102f	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f7	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1984	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:553	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d0	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:128f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b85	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f19	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15cf	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec5	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152b	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e21	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b5d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fe	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:178b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4ed	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:35a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:d4	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:30	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:94e	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-109	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:1ee8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:13f7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ccc	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1353	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-369	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:8fa	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d19	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:182	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:1947	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f79	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:516	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:b48	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc5	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2064	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c21	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:776	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11fe	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af4	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e81	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-cd	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a50	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:174e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:31d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1acc	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40c	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57d	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16fa	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff0	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1316	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bd	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eef	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1e9	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1576	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e4b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:145	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c2	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2d8	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-234	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:2027	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:fe	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:739	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b6	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-494	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1812	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e0	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ab7	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:999	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e44	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a13	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6e5	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:641	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:137d	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c73	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:16bd	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb3	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cef	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:208e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c4b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ec	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:a7a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-74	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1539	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:108	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1799	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:368	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e5	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dba	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1441	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-457	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1d	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a73	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a3	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
7b93e6a1:150814fecb6:1e07	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:270	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:604	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:c36	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db3	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:864	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19e1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:e96	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b0	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16f	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/FAO/	associate member
7b93e6a1:150814fecb6:12ec	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be2	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-25e	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c0e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4af	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:183c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e6e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1168	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bba	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-37	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c9d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:14a8	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1070	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1404	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ab	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a36	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdd	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1664	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c96	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:13b0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:233	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c6	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-322	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:493	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2115	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a4	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:827	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-9e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-582	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e59	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd6	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1900	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:12af	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f32	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20c1	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:120b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b01	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d3	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:146b	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:68	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d61	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a9d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cd	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:29a	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:62e	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17ab	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1ddd	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d7	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1033	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5da	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1293	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1627	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:1c59	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1887	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15d3	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:456	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a88	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-545	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b61	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4f1	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:dc8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d24	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea1	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:952	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:168e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f84	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25d	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13da	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd0	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19ce	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:192a	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bcf	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f5c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1256	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20eb	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7fd	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:d8b	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:419	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-d1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-174	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bc8	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-508	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:679	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b24	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f6	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c5	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1752	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:321	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d84	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ad0	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-410	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9b9	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:581	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:915	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
7b93e6a1:150814fecb6:f47	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-30f	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:8c1	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15fd	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1cc	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-56f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b8b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2bb	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f1f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1219	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ae	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:200a	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71c	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1479	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4e	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ecb	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1121	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-137	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:cfa	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:17b9	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1381	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-397	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1715	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d47	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5e8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1975	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:544	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c1	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf3	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:b76	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2092	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:4f0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-fb	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:-19e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb6	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e12	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ef	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:177c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4de	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1afa	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43a	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:21	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:93f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13e8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1344	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:8eb	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:173	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1938	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12f0	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:507	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-262	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20f9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b39	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb6	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2055	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:767	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c12	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e4	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d99	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b3	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1840	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11ef	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae5	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e72	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-be	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:114b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a41	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-1a	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:173f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1abd	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16eb	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe1	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ba	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1307	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ae	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:80a	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1567	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1b99	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e3c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:136	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-225	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:396	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ef	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2018	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18a7	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-485	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ed9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1803	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d1	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:aa8	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e35	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110e	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a04	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6d6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:632	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:136e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c64	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de1	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ba	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:892	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19d	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16ae	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28c	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa4	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:160a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:207f	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f00	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4dd	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:186a	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e9c	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5cc	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1196	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a6b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-65	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:359	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dab	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1432	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-448	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a64	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1692	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:261	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f4	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-350	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c27	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f9	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da4	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:855	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1d00	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e87	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a1	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12dd	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd3	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f60	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-24f	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:96	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182d	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e5f	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1159	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a2e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bab	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-28	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c8e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1061	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a27	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16f9	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fce	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1655	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c87	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:224	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-313	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:484	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2106	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:818	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1d0	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-8f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-573	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fc7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f23	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b2	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:df6	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:720	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:145c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:59	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:d52	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a8e	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1be	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:980	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11a	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:28b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:61f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-37a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dce	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d2a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:87f	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19fc	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1024	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cb	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bfd	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f8a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1284	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1618	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
7b93e6a1:150814fecb6:1878	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:447	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c4	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a79	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1520	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-536	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b52	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f3	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1780	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4e2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108b	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:db9	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d15	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e7	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:943	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:167f	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f75	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24e	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13cb	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:1fa	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:19bf	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1f4d	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1247	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20dc	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ee	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:74a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d7c	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11f3	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-c2	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-165	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bb9	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b15	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e7	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1743	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:312	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d75	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a5	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ac1	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-401	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:572	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:906	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f38	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8b2	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ee	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bd	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:154a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e40	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b7c	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ac	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:f3	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70d	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d3f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ebc	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1112	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-128	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:299	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:ceb	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1372	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-388	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1706	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d38	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5d9	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1966	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f98	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:16b2	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:535	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:-290	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b67	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2083	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:795	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c40	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e1	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-ec	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d0	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-18f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e03	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:176d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d9f	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:33c	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4cf	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1099	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1aeb	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:12	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:13d9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cae	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1335	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8dc	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1595	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6a	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1929	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:164	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e1	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-253	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ca7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2046	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:758	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c03	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d5	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4a4	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1831	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e63	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ad6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:400	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-af	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:113c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a32	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:660	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:139c	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c92	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1aae	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-5	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a0	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:55f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a0a	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16dc	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ab	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c6a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-93	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1558	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1faa	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:127	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a4	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1200	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-216	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:387	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2009	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1460	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-476	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a92	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e26	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c7	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:623	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:135f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c55	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ab	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:883	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c2d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ff	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ce	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:185b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5bd	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1187	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-56	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:68a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14c7	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af9	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1423	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-439	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:9ca	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a55	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffc	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1683	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:252	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e5	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-341	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:c18	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:846	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c3	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e78	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12ce	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f51	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122a	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e0	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b20	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:148a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:87	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:d80	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:181e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1ec	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:a1f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-19	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:64d	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17ca	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c7f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dfc	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f6	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1052	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a18	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fbf	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b9	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1646	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f1b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:215	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c78	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-304	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:475	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:809	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-564	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fb8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b80	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b0	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:1f14	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a3	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b5	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:de7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:711	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144d	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d43	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec0	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a7f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1af	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:971	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10b	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:-36b	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dbf	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d1b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ed	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1015	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bc	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bee	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f7b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1275	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4a	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1609	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1869	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:438	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-f0	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:15b5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-193	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1be7	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1511	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-527	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:698	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b43	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1771	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:107c	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:340	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:d06	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:934	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f66	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23f	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13bc	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:8e0	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:49f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1eb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:-58e	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190c	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2da	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:1f3e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1238	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20cd	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7df	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:73b	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1498	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eea	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e4	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:99b	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:1140	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-156	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b06	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3a7	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1734	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:303	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d66	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103f	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ab2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1994	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:563	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16e0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:129f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b95	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f29	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a3	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15df	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed5	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ae	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:153b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
7b93e6a1:150814fecb6:e31	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:10a	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b6d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4fd	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e4	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:40	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1ead	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a7	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1103	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-119	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:6aa	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cdc	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1363	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-379	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d29	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:192	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1957	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f89	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:526	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a3	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-281	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b58	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd5	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2074	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:786	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c31	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e91	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-dd	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-5c1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a60	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:175e	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:32d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14aa	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:a7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:da0	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1adc	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58d	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1326	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cd	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eff	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1586	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e5b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:155	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d2	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e8	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:-244	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2037	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:749	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c6	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:6a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1ef8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1822	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f0	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ac7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e54	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112d	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a23	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6f5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1ba0	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:651	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:138d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c83	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:16cd	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cff	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209e	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c5b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fc	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:a8a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1549	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-84	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e1e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:118	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-207	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:378	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f5	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dca	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1451	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-467	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a83	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e17	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b8	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:280	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:614	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1dc3	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c46	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:874	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f1	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c0	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:17f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12fc	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
7b93e6a1:150814fecb6:bf2	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-26e	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c1e	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4bf	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:184c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e7e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:41b	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1178	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-5ae	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a4d	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-47	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-50a	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14b8	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1080	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1414	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bb	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a46	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fed	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e7	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1674	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	observer
7b93e6a1:150814fecb6:243	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-332	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:c09	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:837	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b4	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-592	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:e69	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe6	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1910	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:12bf	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f42	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b11	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:147b	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:78	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d71	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:180f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1dd	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:63e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17bb	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1ded	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e7	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89e	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1043	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ea	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a09	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:1637	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f0c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:206	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c69	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1897	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:466	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e3	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a98	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-555	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fa9	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b71	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f05	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a6	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd8	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:702	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143e	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d34	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb1	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:962	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169e	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f94	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26d	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ea	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d0c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19de	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1006	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ad	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:193a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bdf	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f6c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1266	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fb	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3b	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:d9b	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:15a6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:429	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-e1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-184	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1bd8	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1502	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:-518	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:689	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b34	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d5	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1762	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:331	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d94	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c4	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106d	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ae0	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-420	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9c9	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:591	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:925	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f57	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13ad	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8d1	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1dc	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-57f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b9b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2cb	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f2f	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1229	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20be	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:201a	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1489	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d5e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1edb	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aaa	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a4	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1131	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-147	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17c9	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1391	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1725	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d57	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5f8	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1985	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16d1	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:554	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b86	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a0	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:ec6	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152c	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e22	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b5e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3ff	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:178c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ee	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-44a	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:31	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
7b93e6a1:150814fecb6:94f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13f8	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ccd	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1354	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:8fb	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a0	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1948	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:183	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:517	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-272	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:b49	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc6	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2065	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c22	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:777	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f4	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1850	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11ff	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e82	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af5	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:115b	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-ce	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b2	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a51	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-2a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:174f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:31e	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1acd	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57e	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16fb	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff1	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ca	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1317	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8be	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:81a	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1577	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e4c	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:146	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c3	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2d9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-235	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ff	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2028	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18b7	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-495	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5b	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ee9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1813	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ab8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:2107	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:1e45	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a14	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6e6	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:642	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:137e	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c74	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ca	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16be	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:208f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f10	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ed	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:187a	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:a7b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-75	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e0f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:109	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:369	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e6	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbb	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1442	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-458	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a74	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a4	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
7b93e6a1:150814fecb6:1e08	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-100	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:6a9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:271	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:605	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-360	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c37	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db4	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:865	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d10	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:e97	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b1	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12ed	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be3	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f70	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-25f	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c0f	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:183d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40c	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e6f	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1169	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bbb	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-38	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c9e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:14a9	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1071	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1405	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ac	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a37	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fde	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1665	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c97	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:f3a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:234	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3c7	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-323	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:494	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2116	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a5	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:828	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1e0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:-9f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-583	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fd7	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1901	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:ba6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f33	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c2	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b02	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d4	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:730	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:146c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:69	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d62	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1a9e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ce	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:990	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:62f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17ac	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-38a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/BA/	member
7b93e6a1:150814fecb6:1dde	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d8	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88f	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d3a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1034	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5db	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f9a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1294	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1628	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:1888	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:457	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d4	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1530	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:a89	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-546	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b62	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1790	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4f2	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109b	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:dc9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d25	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f7	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea2	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:953	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:168f	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f85	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13db	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd1	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19cf	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:192b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f5d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1257	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ec	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7fe	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:75a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d8c	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-d2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-175	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bc9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-509	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b25	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3c6	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1753	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:322	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d85	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b5	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105e	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ad1	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-411	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:582	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:916	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
7b93e6a1:150814fecb6:f48	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:8c2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15fe	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1cd	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:155a	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/PIF/	associate member
7b93e6a1:150814fecb6:e50	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b8c	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2bc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:20af	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:200b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71d	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d4f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ecc	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97d	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1122	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-138	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:cfb	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1382	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-398	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1716	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d48	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5e9	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1976	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:545	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c2	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b77	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf4	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:2093	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c50	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-fc	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:-19f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb7	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e13	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:177d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4df	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1afb	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:22	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:13e9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbe	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1345	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1a	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ec	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:e7a	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:174	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1939	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12f1	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
7b93e6a1:150814fecb6:508	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-263	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cb7	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2056	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:768	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c13	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e5	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4b4	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1841	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e73	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae6	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:410	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-bf	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-5a3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:114c	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a42	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-1b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:670	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:30f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1abe	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1a1a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:9b0	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:56f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16ec	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe2	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2bb	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:1c7a	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3aa	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1308	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8af	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:80b	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1568	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e3d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fba	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:137	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b4	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1210	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-226	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:397	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2019	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18a8	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1470	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-486	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1804	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d2	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:aa9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e36	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110f	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a05	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6d7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:633	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b0	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:136f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c65	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10bb	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:893	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16af	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-28d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:160b	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f01	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4de	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:186b	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e9d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1197	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:43a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5cd	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a6c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-66	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:69a	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14d7	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dac	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1433	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-449	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:9da	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a65	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1693	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:262	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-351	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c28	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1da5	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:856	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1d01	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e88	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a2	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12de	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd4	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f61	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f0	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b30	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:149a	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:97	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:d90	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:182e	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fc	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:a2f	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bac	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-29	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:65d	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17da	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c8f	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1062	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a28	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:fcf	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2c9	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1656	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2b	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c88	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:225	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	observer
7b93e6a1:150814fecb6:-314	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:485	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:819	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1d1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-574	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fc8	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b90	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c0	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f24	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b3	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:df7	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:721	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:145d	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d53	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed0	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a8f	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bf	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:981	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11b	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:28c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dcf	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c9	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d2b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19fd	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1025	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cc	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bfe	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f8b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1285	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1619	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
7b93e6a1:150814fecb6:1879	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:448	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c5	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1521	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-537	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b53	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f4	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1781	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:350	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108c	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:d16	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e8	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:944	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f76	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24f	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13cc	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc2	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:8f0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fb	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-59e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191c	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2ea	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:1f4e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1248	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20dd	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ef	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:74b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d7d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1efa	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-c3	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
7b93e6a1:150814fecb6:1150	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-166	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1b16	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17e8	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1744	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:313	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d76	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ac2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-402	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:573	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16f0	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:907	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f39	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:8b3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ef	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee5	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1be	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:154b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e41	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:11a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b7d	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ad	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:37a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f4	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:50	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1ebd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1113	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-129	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6ba	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cec	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1373	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-389	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/BA/	member
7b93e6a1:150814fecb6:1707	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d39	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1967	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f99	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:536	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b3	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-291	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:b68	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce5	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2084	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:796	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c41	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e2	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-ed	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:ea8	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a70	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:150e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e04	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:176e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:33d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ba	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:b7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:db0	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aec	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:13	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:caf	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1336	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0b	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8dd	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1596	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6b	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:165	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e2	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-254	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ca8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2047	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:759	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c04	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:4a5	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1832	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ad7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:401	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e64	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:113d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a33	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:661	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:139d	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c93	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1aaf	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a1	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0b	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16dd	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ac	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c6b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:a9a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-94	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1559	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2e	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fab	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:128	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1201	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-217	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:388	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dda	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1461	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-477	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a93	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c3	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e27	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c8	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:290	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:624	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c56	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ac	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:884	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:5d0	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:18f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:-27e	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1c2e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4cf	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:185c	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5be	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1188	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a5d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bda	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-57	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-51a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14c8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1090	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1424	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cb	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a56	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffd	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1684	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:253	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d0	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3e6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-342	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:c19	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:847	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c4	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e79	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff6	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12cf	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc5	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:20e1	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:1f52	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122b	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b21	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:148b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:88	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:d81	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:181f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1ed	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:64e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17cb	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1dfd	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f7	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1053	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fa	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a19	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:1647	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f1c	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:216	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c79	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a9	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-305	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:476	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f3	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1c2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-565	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fb9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b81	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:1f15	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a4	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b6	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2000	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:de8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:712	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d44	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec1	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:972	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10c	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13fa	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf0	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ee	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1016	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bd	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:194a	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bef	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f7c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1276	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4b	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:439	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-f1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:15b6	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-194	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1be8	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1512	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-528	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:699	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b44	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1772	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:341	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107d	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1af0	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-430	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:d07	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:935	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f67	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13bd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-32f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:8e1	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1ec	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-58f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190d	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2db	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:1f3f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1239	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ce	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:202a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73c	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1499	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eeb	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aba	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99c	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1141	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-157	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:-10	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1b07	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3a8	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1735	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:304	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d67	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1ab3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1995	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16e1	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:564	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b96	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b0	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:8a4	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:800	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1af	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:153c	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
7b93e6a1:150814fecb6:e32	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:10b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b6e	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4fe	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e5	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-45a	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:41	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1eae	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a8	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e0a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1104	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ab	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cdd	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1364	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:10b0	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:193	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1958	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:527	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-282	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:b59	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd6	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1600	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2075	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:787	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c32	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1860	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e92	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-de	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-5c2	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a61	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-3a	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:175f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:32e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ab	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:a8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:da1	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1add	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:58e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:2da	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1327	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8ce	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:82a	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1587	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e5c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:156	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d3	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2e9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:-245	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2038	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
7b93e6a1:150814fecb6:18c7	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:6b	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1ef9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1823	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f1	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ac8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e55	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112e	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a24	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba1	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:138e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:652	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:c84	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10da	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16ce	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc4	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:209f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f20	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fd	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:188a	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:a8b	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-85	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e1f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:119	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-208	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:379	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f6	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dcb	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1452	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-468	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1a84	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e18	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-110	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:6b9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:281	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:615	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-370	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c47	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc4	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d20	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:875	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c1	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12fd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
7b93e6a1:150814fecb6:bf3	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f80	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-26f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c1f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:184d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e7f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5af	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1179	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4e	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bcb	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-48	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-50b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67c	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14b9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1081	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1415	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bc	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a47	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fee	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1675	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:244	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-333	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:838	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1f0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:19b5	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-593	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fe7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1911	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:bb6	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f43	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d2	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b12	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e4	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:740	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:147c	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:79	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:d72	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1de	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-13a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:63f	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17bc	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39a	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1dee	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e8	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d4a	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1044	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5eb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1638	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f0d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:207	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1898	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:467	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e4	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1540	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:a99	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1b3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-556	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b72	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a2	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f06	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a7	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dd9	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:703	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:143f	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d35	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb2	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:963	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:169f	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f95	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26e	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13eb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d0d	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19df	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1007	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ae	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:193b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f6d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1267	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fc	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3c	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:76a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d9c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-e2	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:15a7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-185	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1bd9	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1503	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-519	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b35	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3d6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1763	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:332	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d95	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106e	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ae1	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-421	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:592	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:926	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f58	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13ae	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c00	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1dd	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-24/	observer
7b93e6a1:150814fecb6:156a	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e60	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b9c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2cc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:20bf	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:201b	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18aa	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d5f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1edc	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aab	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a5	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1132	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-148	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:1392	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1726	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d58	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5f9	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa4	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1986	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a00	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:555	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d2	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b87	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a1	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c60	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:ec7	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:152d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e23	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa0	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b5f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:178d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ef	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-44b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:32	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
7b93e6a1:150814fecb6:13f9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cce	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1355	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2a	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8fc	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a1	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e8a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1949	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:184	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:518	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-273	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cc7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2066	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:778	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c23	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f5	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1851	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e83	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:420	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-cf	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-5b3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115c	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a52	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-2b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:680	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:31f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ace	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:9c0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:57f	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a2a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16fc	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2cb	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c8a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ba	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:1318	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bf	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:81b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1578	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1fca	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e4d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:147	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c4	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1220	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-236	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:2029	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18b8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1480	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-496	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1814	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e2	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ab9	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e46	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e7	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a15	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:643	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17c0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:137f	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c75	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10cb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16bf	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-29d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb5	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f11	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ee	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:187b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a7c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-76	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:14e7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbc	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1443	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-459	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:1f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9ea	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a75	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:1e09	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-101	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:272	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:606	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-361	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db5	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c38	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:866	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d11	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:e98	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b2	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12ee	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be4	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f71	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b40	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:183e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:a3f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bbc	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-39	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:66d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17ea	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c9f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1072	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1406	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ad	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a38	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdf	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1666	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:1c98	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:13b2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:f3b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:235	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-324	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:495	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2117	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:829	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1e1	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:19a6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-584	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fd8	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1902	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d0	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:ba7	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f34	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c3	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b03	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:731	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:146d	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d63	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee0	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a9f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cf	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:991	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29c	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17ad	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10d9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d3b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1035	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5dc	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f9b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1295	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6a	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1629	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:1889	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:458	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eaa	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a4	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1531	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-547	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:100	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b63	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1791	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:360	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f3	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:d26	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea3	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:954	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f86	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a0	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:25f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13dc	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd2	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34e	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:192c	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2fa	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:1f5e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1258	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ed	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7ff	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1caa	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:75b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d8d	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-d3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1160	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-176	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:17f8	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3c7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1754	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d86	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:14a0	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:323	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:105f	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:-4b6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad2	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-412	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:583	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:917	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
7b93e6a1:150814fecb6:f49	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:8c3	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:15ff	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1ce	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:155b	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/PIF/	associate member
7b93e6a1:150814fecb6:e51	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:12a	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b8d	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2bd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:38a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71e	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:60	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ecd	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1123	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-139	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6ca	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cfc	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1383	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:-399	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1717	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d49	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1977	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16c3	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:546	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1cf5	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:b78	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2094	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c51	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-fd	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:118a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:eb8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:a80	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:151e	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e14	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:177e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ca	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:c7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dc0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1afc	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:23	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:cbf	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1346	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ed	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:e7b	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:175	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f2	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
7b93e6a1:150814fecb6:509	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-264	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cb8	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2057	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:769	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c14	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e6	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b5	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1842	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ae7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:411	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e74	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a4	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:114d	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a43	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc0	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-1c	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
7b93e6a1:150814fecb6:-500	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:671	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1abf	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:9b1	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16ed	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe3	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2bc	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:1c7b	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ab	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1309	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:80c	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1569	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e3e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fbb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:138	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b5	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1211	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-227	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:398	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dea	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:18a9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1471	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-487	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
7b93e6a1:150814fecb6:4d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1805	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d3	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e37	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:6d8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a06	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:17b1	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:634	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c66	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de3	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10bc	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:894	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:5e0	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:19f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:-28e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:fa6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:160c	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f02	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4df	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:186c	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:43b	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e9e	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5ce	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1198	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1bea	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a6d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-67	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-52a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69b	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14d8	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dad	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1434	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9db	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a66	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1694	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:263	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e0	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3f6	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-352	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c29	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1da6	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d02	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:857	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:e89	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5a3	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1930	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12df	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f62	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123b	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b31	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:149b	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:98	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:d91	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:182f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1fd	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1bad	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:65e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17db	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3aa	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1063	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a29	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:1657	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c89	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:226	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3b9	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	observer
7b93e6a1:150814fecb6:-315	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:486	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2108	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:1d2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-575	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fc9	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1b91	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c1	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f25	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b4	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:2010	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:df8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:722	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:145e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d54	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed1	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11aa	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa0	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:982	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:28d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19fe	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1026	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cd	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:195a	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bff	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f8c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1286	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:449	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf8	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1522	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-538	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b54	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f5	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1782	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:351	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108d	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:aa	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-440	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d17	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e9	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:945	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f77	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13cd	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-33f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:8f1	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fc	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-59f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:191d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2eb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:1f4f	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1249	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20de	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:203a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d7e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1efb	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f5	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aca	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-c4	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
7b93e6a1:150814fecb6:1151	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-167	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:-20	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1b17	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17e9	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3b8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1745	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:314	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d77	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ac3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-403	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:574	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16f1	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:908	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2c0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:8b4	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ee6	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:810	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1bf	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:154c	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1b7e	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e42	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:11b	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ae	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:-20a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f5	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-46a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:51	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1ebe	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:96f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e1a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1114	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bb	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ced	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1374	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:1708	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10c0	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1968	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:537	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b4	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-292	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce6	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:b69	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1610	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2085	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:797	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c42	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e3	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1870	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-ee	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d2	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:ea9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a71	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-4a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:150f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e05	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:176f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:33e	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14bb	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:b8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:db1	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aed	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:14	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59e	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:2ea	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1337	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0c	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8de	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:83a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1597	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6c	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:166	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e3	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:-2f9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
7b93e6a1:150814fecb6:-255	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1ca9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2048	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c05	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d7	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7b	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:4a6	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1833	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ad8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:402	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e65	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:113e	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a34	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb1	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:662	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:139e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c94	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:10ea	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a2	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16de	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd4	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ad	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:163a	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f30	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:1c6c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:189a	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:a9b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-95	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1fac	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e2f	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:129	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1202	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-218	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:389	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ddb	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1462	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:3e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:-478	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:1a94	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c4	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e28	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-120	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:6c9	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:291	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:625	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-380	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c57	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd4	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ad	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:885	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d30	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5d1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f90	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-27f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1c2f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:185d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5bf	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1189	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a5e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bdb	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-58	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-51b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14c9	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1091	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1425	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cc	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a57	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:ffe	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f8	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1685	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5a	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:254	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3e7	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-343	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:848	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1ff7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1921	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bc6	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f53	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122c	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b22	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f4	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:750	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:148c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:89	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:d82	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1ee	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-14a	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:64f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17cc	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1dfe	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d5a	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1054	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fb	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1648	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f1d	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:217	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-306	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:477	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f4	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1c3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1550	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-566	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b82	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b2	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:1f16	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b7	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2001	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:de9	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:713	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:144f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d45	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec2	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:973	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:27e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13fb	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf1	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1d	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ef	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1017	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5be	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:194b	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f7d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1277	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4c	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:77a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:15b7	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-f2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:-195	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1be9	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1513	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-529	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b45	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:1773	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3e6	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:342	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107e	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1af1	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-431	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:d08	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:936	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f68	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13be	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb4	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c10	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e2	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1ed	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:157a	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e70	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:190e	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2dc	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:20cf	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:202b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73d	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ba	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d6f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1eec	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e6	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:abb	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1142	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-158	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:-11	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1b08	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:3a9	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1736	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UN/	observer
7b93e6a1:150814fecb6:305	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d68	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1ab4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1996	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a10	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:565	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16e2	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b97	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b1	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c70	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a5	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed7	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:801	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:153d	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
7b93e6a1:150814fecb6:e33	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:10c	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b6f	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:179d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ff	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-45b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:42	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1eaf	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:1e0b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1105	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ac	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cde	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1365	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10b1	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e9a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:194	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:1959	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:528	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a5	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-283	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1cd7	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1601	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2076	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:788	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c33	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d4	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1861	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e93	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:430	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-df	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5c3	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a62	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-3b	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:690	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:32f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ac	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:a9	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:da2	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ade	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41e	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9d0	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:58f	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a3a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2db	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c9a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ca	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:1328	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:8cf	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:82b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1588	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e5d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fda	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:157	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d4	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1230	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-246	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:2039	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	observer
7b93e6a1:150814fecb6:18c8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1490	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6c	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1824	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:ac9	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e56	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112f	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a25	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba2	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:17d0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:653	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:138f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c85	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10db	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:16cf	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc5	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162b	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f21	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5d	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4fe	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:188b	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a8c	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-86	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-209	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:14f7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dcc	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1453	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-469	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2f	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9fa	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a85	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b5	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e19	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-111	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:282	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:616	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-371	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c48	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc5	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:876	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d21	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c2	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:12fe	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
7b93e6a1:150814fecb6:1f81	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:bf4	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:125a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b50	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:184e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a4f	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bcc	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-49	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-50c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17fa	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:1082	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1416	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bd	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a48	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fef	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e9	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1676	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:245	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-334	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:839	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1f1	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:19b6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-594	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fe8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1912	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e0	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:bb7	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f44	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121d	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d3	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b13	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:741	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:147d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d73	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-1df	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-13b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17bd	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1def	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e9	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d4b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1045	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ec	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b7a	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1639	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f0e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:208	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1899	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:468	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e5	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eba	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1b4	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1541	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-557	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:110	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b73	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f07	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:370	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:704	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d36	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb3	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:964	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f96	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b0	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:26f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13ec	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35e	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1008	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5af	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:193c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f6e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1268	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fd	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3d	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cba	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:76b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d9d	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:15a8	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-e3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:1170	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-186	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:1504	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b36	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3d7	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1764	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d96	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:333	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c6	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106f	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1ae2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-422	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:593	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:927	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f59	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13af	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c01	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d3	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1de	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-3/	member
7b93e6a1:150814fecb6:156b	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e61	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13a	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b9d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2cd	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:39a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ab	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:70	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1edd	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aac	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-a6	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1133	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-149	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6da	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1393	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1727	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d59	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1aa5	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1987	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a01	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:556	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d3	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b88	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a2	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c61	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:119a	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:ec8	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a90	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:152e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e24	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:178e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14da	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:d7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dd0	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:33	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
7b93e6a1:150814fecb6:ccf	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1356	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2b	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8fd	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e8b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:185	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:519	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-274	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cc8	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2067	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:779	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c24	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f6	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1852	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e84	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:af7	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:421	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b4	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a53	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd0	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-510	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:681	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1acf	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:9c1	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16fd	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff3	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2cc	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c8b	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:1319	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:210a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81c	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1579	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1fcb	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e4e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:148	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c5	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1221	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-237	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:dfa	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:18b9	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1481	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-497	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1815	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e47	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:6e8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a16	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:644	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17c1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c76	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df3	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10cc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:5f0	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-29e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb6	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f12	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ef	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:187c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a7d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1bfa	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-77	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-53a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14e8	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbd	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1444	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9eb	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a76	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a6	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:-102	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:273	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f0	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:607	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-362	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c39	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db6	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:867	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d12	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e4	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:e99	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:5b3	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1940	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12ef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be5	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f72	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b41	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:183f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:40e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1bbd	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:66e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17eb	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ba	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1073	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1407	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ae	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a39	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:90a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1667	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:1c99	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:13b3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:f3c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:236	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3c9	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-325	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:496	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:19a7	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-585	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fd9	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1903	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d1	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:ba8	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f35	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c4	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b04	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d6	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2020	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:732	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:146e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d64	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee1	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ba	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:992	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12c	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17ae	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-38c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
7b93e6a1:150814fecb6:170a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1036	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5dd	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:196a	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f9c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1296	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6b	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:459	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eab	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a5	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1532	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-548	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:101	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b64	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1792	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:361	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:ba	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-450	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d27	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ea4	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:955	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e00	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f87	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a1	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13dd	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd3	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-34f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:192d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2fb	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:1f5f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1259	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ee	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cab	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d8e	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:ada	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-d4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1161	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-177	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:-30	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b27	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3c8	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1755	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d87	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:324	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:-4b7	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad3	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-413	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:584	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:918	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2d0	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:8c4	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ef6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:820	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1cf	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:155c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e52	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:12b	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b8e	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2be	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-21a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38b	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200d	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:71f	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-47a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:61	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ece	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:97f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e2a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1124	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6cb	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cfd	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1384	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:1718	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10d0	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1978	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:547	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c4	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b79	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1620	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2095	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c52	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f3	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1880	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-fe	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:118b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:eb9	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:a81	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5a	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:151f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e15	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:177f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:34e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14cb	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:c8	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dc1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1afd	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:24	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:2fa	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1347	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1c	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ee	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:84a	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e7c	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:176	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f3	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
7b93e6a1:150814fecb6:-265	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cb9	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2058	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c15	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1843	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:4b6	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e75	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ae8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:412	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-5a5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:114e	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a44	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc1	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-1d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-501	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:672	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:10fa	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:9b2	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16ee	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe4	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2bd	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:164a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f40	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c7c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ac	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:80d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fbc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e3f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:139	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1212	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-228	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:399	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ad9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:deb	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1472	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-488	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:4e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1806	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d4	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e38	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-130	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6d9	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a07	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:635	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b2	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-390	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:c67	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de4	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10bd	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:895	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d40	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5e1	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-28f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:160d	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:fa7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:f03	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c3f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:186d	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e9f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:43c	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5cf	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1199	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a6e	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1beb	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-68	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-52b	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14d9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dae	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1435	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0a	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9dc	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a67	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1695	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13e1	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:264	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3f7	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-353	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1da7	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d03	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:858	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19d5	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a4	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1931	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd6	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:500	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f63	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b32	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:760	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:149c	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:99	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:d92	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1fe	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-15a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1bae	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:65f	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b0a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17dc	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ab	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d6a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1064	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1658	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:227	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1300	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-316	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:487	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2109	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:1d3	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1560	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-576	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b92	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f26	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b5	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c7	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2011	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:df9	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:723	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a0	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:145f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d55	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed2	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ab	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:983	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:28e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2d	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19ff	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1027	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ce	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:195b	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f8d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1287	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:78a	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15c7	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bf9	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1523	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-539	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b55	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:1783	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3f6	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:352	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e5	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108e	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:ab	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-441	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d18	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:946	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f78	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13ce	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc4	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c20	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f2	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fd	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:158a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e80	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:191e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2ec	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
7b93e6a1:150814fecb6:20df	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b1f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:203b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ca	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d7f	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1efc	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f6	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:acb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-c5	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
7b93e6a1:150814fecb6:1152	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-168	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:-21	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1b18	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3b9	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1746	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:315	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d78	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ac4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-404	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:575	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a20	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f2	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:909	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2c1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c80	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b0	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b5	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ee7	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:811	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:154d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e43	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc0	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11c	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b7f	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2af	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
7b93e6a1:150814fecb6:-20b	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-46b	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:52	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1ebf	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11b9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e1b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1115	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bc	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cee	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1375	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4a	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1709	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10c1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1969	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:538	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-293	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce7	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1611	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2086	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:798	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c43	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1871	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:440	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-ef	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5d3	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117c	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a72	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-4b	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:e06	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:33f	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14bc	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:b9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:db2	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aee	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1a4a	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:9e0	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:-42e	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:15	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:59f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:2eb	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3da	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:1338	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8df	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:83b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1598	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6d	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fea	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:167	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:1240	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-256	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:2049	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c06	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7c	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:4a7	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1834	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:403	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e66	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:113f	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a35	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb2	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:663	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e0	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:139f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c95	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:10eb	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a3	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0d	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16df	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fd5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ae	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:163b	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c6d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:f31	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20a	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189b	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a9c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-96	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1fad	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12a7	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1203	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-219	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7aa	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ddc	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1463	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-479	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:3f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a95	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1c5	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e29	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-121	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:292	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a3	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:626	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-381	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:c58	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dd5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ae	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d31	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:886	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:100a	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d2	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1f91	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:126a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b60	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:185e	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15aa	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bdc	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:ea0	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a5f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-59	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-51c	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1092	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1426	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cd	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a58	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:fff	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2f9	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1686	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5b	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:255	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3e8	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-344	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
7b93e6a1:150814fecb6:849	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1ff8	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1922	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f0	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:bc7	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f54	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e3	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b23	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:751	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:148d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d83	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1ef	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-14b	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17cd	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1dff	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10f9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d5b	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1055	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fc	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1649	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f1e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:218	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-307	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:478	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eca	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1551	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-567	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:120	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b83	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f17	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a6	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b8	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:380	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2002	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:714	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d46	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec3	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:974	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-10e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:6c0	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:27f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13fc	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf2	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1018	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5bf	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:194c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f7e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1278	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4d	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cca	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:77b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:15b8	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-f3	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:1180	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-196	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1514	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b46	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1774	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:343	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c0	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4d6	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:107f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1af2	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-432	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:d09	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:937	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f69	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13bf	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:cb5	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c11	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1ee	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:157b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e71	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:14a	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:190f	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2dd	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:202c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18bb	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:80	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1eed	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e7	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:abc	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99e	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-b6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1143	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-159	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:6ea	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-12	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1b09	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1737	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:306	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d69	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1ab5	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1997	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a11	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:566	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16e3	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b98	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c71	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a6	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed8	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:802	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:153e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e34	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:10d	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:179e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ea	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:e7	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:de0	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:43	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1e0c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1106	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ad	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cdf	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1366	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10b2	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:e9b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:195	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:529	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a6	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-284	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1cd8	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1602	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2077	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:789	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c34	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d5	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1862	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:431	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e94	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5c4	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a63	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be0	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-3c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-520	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:691	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14ad	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:da3	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1adf	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-41f	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:9d1	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3b	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2dc	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c9b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cb	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:1329	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:82c	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1589	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1fdb	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e5e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:0	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:158	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:baa	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1231	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-247	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:18c9	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:1491	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1825	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e57	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:6f8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a26	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba3	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:654	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d1	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c86	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a0	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10dc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:fc6	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f22	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4ff	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:188c	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a8d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-87	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-54a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14f8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dcd	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1454	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9fb	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a86	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-112	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:283	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:617	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-372	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dc6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c49	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1d22	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:877	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19f4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c3	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1950	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:12ff	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:bf5	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f82	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:125b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b51	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:184f	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:41e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1bcd	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-50d	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17fb	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3ca	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1083	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a0	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1417	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9be	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a49	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:91a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1677	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:246	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c3	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:-3d9	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-335	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:19b7	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f2	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-595	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fe9	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1913	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:bb8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f45	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d4	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b14	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e6	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2030	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:742	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:147e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d74	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11ca	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-13c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17be	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39c	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1046	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:197a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:5ed	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b7b	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f0f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:209	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:469	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15e6	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebb	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1b5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1542	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-558	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:111	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b74	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a4	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f08	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-200	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7a9	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:371	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:ca	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:705	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-460	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:d37	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb4	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:965	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e10	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f97	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b1	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ed	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce3	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-35f	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d0f	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1009	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:193d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f6f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1269	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:20fe	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cbb	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:d9e	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:aea	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:15a9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-e4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:1171	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-187	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:-40	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1505	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b37	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:1765	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3d8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d97	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:334	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b1	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c7	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ae3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-423	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:594	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:928	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2e0	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:ca6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c02	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d4	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:830	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1df	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-3/	member
7b93e6a1:150814fecb6:156c	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:e62	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13b	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b9e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2ce	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-22a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39b	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201d	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:72f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ac	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48a	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:71	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1ede	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aad	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:98f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e3a	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-a7	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1134	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6db	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1394	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1728	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10e0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1aa6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1988	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1a02	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:557	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:16d4	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1630	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:b89	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2a3	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1c62	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1890	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:119b	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:ec9	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a91	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6a	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:152f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e25	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:178f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:35e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14db	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:d8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dd1	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:34	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1357	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2c	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
7b93e6a1:150814fecb6:8fe	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:10a3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e8c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:186	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:-275	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cc9	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2068	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c25	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c6	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1853	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:af8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:422	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e85	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5b5	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115e	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a54	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd1	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2d	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-511	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:682	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:9c2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16fe	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff4	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2cd	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:165a	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f50	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c8c	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bc	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:210b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81d	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:e4f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fcc	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:149	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12c6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1222	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-238	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:dfb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1482	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-498	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1816	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e4	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e48	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-140	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6e9	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a17	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:645	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c2	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c77	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df4	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10cd	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d50	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:5f1	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-29f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:fb7	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:161d	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f13	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c4f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:187d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44c	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1bfb	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a7e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-78	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-53b	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14e9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dbe	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1445	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ec	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a77	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1a7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:-103	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:274	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f1	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:608	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-363	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db7	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:868	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d13	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1941	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:be6	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:510	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f73	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b42	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:770	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:40f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-16a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bbe	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b1a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:66f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17ec	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3bb	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d7a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4aa	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1074	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1408	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9af	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:90b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1668	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f3d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:237	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b4	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1310	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-326	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:497	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19a8	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1e3	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:1570	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-586	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1904	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:ba9	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f36	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:120f	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20c5	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b05	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d7	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2021	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:733	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b0	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:146f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d65	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee2	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11bb	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab1	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:993	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:29e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17af	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-38d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
7b93e6a1:150814fecb6:170b	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3d	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1037	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5de	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:196b	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f9d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:53a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1297	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6c	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:79a	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:15d7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eac	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a6	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1533	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-549	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:102	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b65	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1793	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:362	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f5	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109e	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:bb	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-451	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d28	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ea5	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:956	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e01	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f88	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a2	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13de	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd4	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:133a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c30	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:159a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e90	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:192e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2fc	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:20ef	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b2f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cac	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18da	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d8f	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:adb	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-d5	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1162	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-178	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:-31	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b28	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3c9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1756	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d88	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:325	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:-4b8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad4	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-414	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:585	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a30	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:919	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2d1	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c90	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:8c5	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ef7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:821	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:155d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1fd0	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e53	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b8f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:12c	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2bf	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-21b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38c	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:-47b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:62	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1ecf	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11c9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e2b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1125	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6cc	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:cfe	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1385	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1719	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10d1	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1979	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:548	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c5	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf7	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1621	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2096	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c53	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1881	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:450	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-ff	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
7b93e6a1:150814fecb6:118c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a82	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5b	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:e16	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:34f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14cc	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:c9	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dc2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1afe	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:25	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9f0	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a5a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fb	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3ea	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1348	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1d	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8ef	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:84b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e7d	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ffa	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:177	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f4	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:1250	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-266	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:2059	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c16	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e8	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b7	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1844	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:ae9	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:413	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e76	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:114f	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:1bc2	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a45	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-1e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-502	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:673	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17f0	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10fb	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:9b3	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1d	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16ef	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fe5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2be	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:164b	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
7b93e6a1:150814fecb6:f41	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21a	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c7d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ad	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:47a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:80e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fbd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12b7	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1213	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-229	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7ba	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dec	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1473	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-489	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:4f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1807	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1d5	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e39	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-131	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a08	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:636	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b3	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-391	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:c68	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1de5	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10be	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:896	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d41	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:127a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fa8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b70	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:160e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f04	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:186e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:43d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ba	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1bec	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:eb0	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:a6f	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-69	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-52c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:daf	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1436	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9dd	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a68	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:1696	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6b	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:265	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e2	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3f8	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-354	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1da8	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:859	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1d04	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a5	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1932	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd7	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:501	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f64	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b33	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb0	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:761	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:149d	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d93	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-1ff	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-15b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1baf	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b0b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17dd	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ac	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d6b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1065	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:b9a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1659	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f2e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:228	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1301	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-317	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:488	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:eda	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d4	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1561	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-577	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:130	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b93	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f27	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20b6	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c8	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:390	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2012	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:724	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a1	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d56	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed3	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ac	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa2	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:984	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-11e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:6d0	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:28f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-37e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1028	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5cf	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:195c	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f8e	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1288	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cda	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:78b	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15c8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1190	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1524	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b56	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3f7	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1784	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14d0	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:353	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4e6	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:108f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:ac	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-442	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d19	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:947	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f79	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:13cf	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cc5	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132b	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c21	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1fe	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:158b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:191f	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e81	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15a	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ed	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:203c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18cb	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:90	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1efd	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f7	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:acc	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1153	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-169	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:6fa	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-22	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1b19	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:1747	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:316	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d79	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a9	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1ac5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-405	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:576	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a21	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f3	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:2c2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1c81	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b1	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2100	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ee8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:812	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:154e	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e44	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11d	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-20c	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37d	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:f7	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:df0	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:53	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1e1c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1116	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bd	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cef	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1376	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4b	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10c2	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:539	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16b6	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-294	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1612	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2087	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:799	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c44	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1872	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:441	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5d4	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a73	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf0	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-530	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e07	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14bd	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:db3	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aef	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-42f	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:16	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:9e1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a4b	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2ec	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3db	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:1339	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c0e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:83c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1599	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e6e	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1feb	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:168	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e5	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bba	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1241	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-257	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c07	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d9	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:7d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:4a8	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1835	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:404	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e67	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1bb3	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a36	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:664	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e1	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c96	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b0	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10ec	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:9a4	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fd6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:900	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2af	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:163c	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c6e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:f32	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189c	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a9d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-97	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-55a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fae	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12a8	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f0a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1204	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ab	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ddd	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1464	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1a96	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:-1c6	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-122	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:293	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:627	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-382	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd6	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c59	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1700	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10af	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:887	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d32	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d3	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1960	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f92	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:126b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b61	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:185f	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:42e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ab	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ea1	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1bdd	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-51d	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3da	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1093	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1427	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9ce	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a59	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:92a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1687	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:13d3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:f5c	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:256	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3e9	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-345	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
7b93e6a1:150814fecb6:19c7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1ff9	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1923	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f1	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:bc8	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f55	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e4	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:1ca1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:b24	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f6	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2040	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:752	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:148e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d84	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11da	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad0	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-14c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17ce	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:172a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5c	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1056	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fd	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:198a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:b8b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f1f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:219	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-308	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:479	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15f6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ecb	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1552	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-568	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b84	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:121	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2b4	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f18	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-210	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20a7	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b9	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:381	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:da	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2003	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:715	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-470	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:d47	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:975	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e20	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-10f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:6c1	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13fd	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-36f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d1f	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1019	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:194d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f7f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1279	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b4e	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ccb	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:77c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:afa	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:15b9	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-f4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
7b93e6a1:150814fecb6:1181	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-197	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1515	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-50	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b47	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1775	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14c1	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:344	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4d7	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1af3	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-433	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:938	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2f0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:cb6	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c12	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e4	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:840	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ef	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:157c	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e72	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:14b	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2de	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:-23a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:202d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:73f	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18bc	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-49a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:81	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1eee	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:abd	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:99f	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e4a	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-b7	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1144	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6eb	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-13	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1738	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10f0	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:307	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ab6	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1998	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:567	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a12	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e4	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:b99	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:2b3	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1640	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c72	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a2	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a7	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:ed9	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:803	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7a	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:153f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:1fb2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e35	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:10e	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:179f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:36e	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14eb	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:e8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:de1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:44	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1e0d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1107	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ae	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:60a	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1367	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3c	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10b3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86a	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:e9c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:196	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16a7	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-285	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1cd9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1603	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2078	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c35	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d6	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1863	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:432	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e95	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5c5	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:1be1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a64	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-3d	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-521	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:692	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14ae	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:da4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140a	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d00	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d2	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2dd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:166a	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f60	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c9c	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cc	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:82d	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19aa	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1fdc	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e5f	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:159	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12d6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bab	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1232	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-248	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:1492	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1826	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f4	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e58	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-150	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a27	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6f9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1ba4	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b00	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:655	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d2	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c87	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10dd	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d60	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:fc7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:162d	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f23	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1c5f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:188d	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45c	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a8e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-88	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-54b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:14f9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:dce	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1455	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2a	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9fc	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a87	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a1	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-113	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:284	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:618	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-373	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dc7	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:878	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d23	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c4	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1951	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bf6	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:520	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f83	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:125c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b52	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:780	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:41f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-17a	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bce	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-50e	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:67f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b2a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17fc	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
7b93e6a1:150814fecb6:3cb	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d8a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1084	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:-4ba	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:a1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1418	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9bf	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:91b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1678	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:247	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c4	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1320	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-336	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:19b8	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f3	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1580	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-596	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1914	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:bb9	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f46	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:121f	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20d5	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b15	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e7	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2031	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:743	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c0	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:147f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d75	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11cb	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-13d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17bf	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-39d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171b	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1047	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ee	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:197b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:b7c	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:15e7	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebc	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1b6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1543	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:-559	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1b75	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:112	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a5	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1f09	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-201	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:372	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:cb	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:706	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-461	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:d38	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb5	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:966	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e11	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f98	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b2	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ee	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce4	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:134a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c40	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:193e	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50d	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:20ff	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b3f	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cbc	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18ea	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d9f	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:aeb	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1172	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-e5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-188	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:-41	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1506	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b38	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3d9	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1766	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d98	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:335	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c8	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ae4	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-424	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:595	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a40	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:929	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2e1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3d0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:ca7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c03	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d5	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:831	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fe0	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:156d	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
7b93e6a1:150814fecb6:1b9f	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:e63	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13c	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2cf	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-22b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39c	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18ad	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48b	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:72	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1edf	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11d9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:aae	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e3b	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-a8	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1135	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a0a	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6dc	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1395	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1729	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10e1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1aa7	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1989	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:558	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a03	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d5	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:faa	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a4	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1631	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:200	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c63	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1891	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:460	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119c	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a92	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1fa3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e26	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:7a0	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:35f	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14dc	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:d9	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:dd2	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:35	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a6a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-3fa	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1358	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2d	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
7b93e6a1:150814fecb6:8ff	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1daa	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a4	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1000	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e8d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:187	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:1260	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-276	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:2069	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c26	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9c	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1854	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e86	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:15a0	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:af9	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:423	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:115f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a55	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd2	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-512	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:683	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:9c3	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
7b93e6a1:150814fecb6:16ff	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:ff5	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2ce	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:165b	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f51	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22a	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c8d	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:48a	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210c	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81e	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1fcd	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12c7	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1223	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-239	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7ca	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dfc	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1483	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-499	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:5f	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1817	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1e5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e49	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-141	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a18	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:646	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c3	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c78	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1df5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10ce	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d51	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102a	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f2	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fb8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b80	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:161e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
7b93e6a1:150814fecb6:f14	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:187e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44d	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ca	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec0	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a7f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1bfc	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-79	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-53c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:dbf	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1446	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1b	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ed	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a78	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1a8	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:-104	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:275	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f2	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:609	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:-364	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db8	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:869	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d14	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e6	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b5	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1942	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f74	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:be7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:511	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:124d	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b43	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc0	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:771	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-16b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1bbf	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b1b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ed	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3bc	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d7b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ab	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1075	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1409	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:90c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1669	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f3e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:238	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b5	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1311	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-327	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:498	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19a9	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:eea	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1571	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1e4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
7b93e6a1:150814fecb6:-587	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1905	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:140	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2d3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f37	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20c6	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b06	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d8	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2022	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:734	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:d66	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11bc	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:994	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-12e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6e0	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:29f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:-38e	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
7b93e6a1:150814fecb6:170c	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3e	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1038	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5df	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:196c	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53b	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1f9e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1298	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6d	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cea	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:79b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:15d8	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ead	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a7	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:1534	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:103	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b66	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1794	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:363	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e0	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4f6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:109f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:bc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-452	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:d29	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ea6	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:957	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e02	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f89	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6a3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13df	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cd5	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:133b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c31	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:159b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e91	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:192f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:16a	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2fd	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:1cad	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18db	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4aa	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:adc	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-d6	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1163	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-179	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:-32	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b29	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:1757	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d89	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:14a3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:326	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4b9	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ad5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-415	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-b	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:586	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a31	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2d2	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1c91	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c1	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:8c6	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2110	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ef8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:822	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:155e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e54	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd1	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12aa	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-21c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:200f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:-47c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:63	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1e2c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1126	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6cd	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:cff	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1386	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5b	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10d2	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:549	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16c6	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1622	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2097	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c54	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f5	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1882	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:451	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:118d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a83	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-540	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e17	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14cd	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dc3	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1aff	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-43f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:26	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9f1	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5b	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fc	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3eb	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1349	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c1e	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:84c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:e7e	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ffb	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:178	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f5	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bca	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1251	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-267	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c17	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18e9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:8d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b8	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1845	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:414	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e77	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a7	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a46	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc3	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-1f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:-503	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:674	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17f1	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10fc	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:9b4	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1e	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fe6	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:910	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2bf	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
7b93e6a1:150814fecb6:164c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f42	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c7e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:21b	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ae	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-30a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:47b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:80f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-56a	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fbe	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12b8	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f1a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1214	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7bb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ded	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1474	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1808	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11c0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d6	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-132	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a09	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:637	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b4	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-392	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de6	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:c69	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1710	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10bf	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:897	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d42	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1970	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:127b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fa9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b71	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:160f	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:f05	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:186f	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:43e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15bb	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eb1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1bed	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-52d	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:69e	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3ea	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:c0	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1437	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9de	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a69	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:93a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1697	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:266	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e3	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-3f9	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-355	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1da9	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d05	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:5a6	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1933	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd8	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:502	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f65	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b34	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb1	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2050	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:762	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:149e	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d94	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11ea	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae0	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-15c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0c	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17de	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ad	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:173a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d6c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1066	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:199a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:b9b	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f2f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:229	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13a6	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1302	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-318	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:489	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:edb	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1562	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-578	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:131	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b94	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c4	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f28	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-220	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20b7	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7c9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:391	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:2013	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:ea	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:725	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a2	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-480	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:d57	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ad	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:aa3	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:985	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e30	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-11f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
7b93e6a1:150814fecb6:6d1	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-37f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d2f	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1029	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:195d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f8f	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:52c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1289	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b5e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cdb	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207a	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78c	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15c9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1191	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:-60	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1525	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b57	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3f8	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1785	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:354	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4e7	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:ad	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-443	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:948	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:cc6	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c22	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f4	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:850	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1ff	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:158c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e82	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15b	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ee	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:-24a	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:203d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:74f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18cc	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:91	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1efe	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f8	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e5a	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:acd	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1154	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:-c7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:6fb	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-23	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:1748	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:317	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ac6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-406	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:577	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a22	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f4	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:2c3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1650	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:1c82	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b2	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b7	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2101	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ee9	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:813	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:154f	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:-8a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e45	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc2	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11e	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-20d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:37e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14fb	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:f8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:df1	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46d	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:54	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
7b93e6a1:150814fecb6:1e1d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1117	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6be	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:61a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1377	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10c3	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87a	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:16b7	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-295	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1ce9	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1613	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2088	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c45	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1873	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:442	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5d5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117e	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:a74	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf1	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-531	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e08	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14be	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:db4	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141a	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d10	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:17	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:9e2	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a4c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:167a	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:2ed	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:f70	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-3dc	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:c0f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:83d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19ba	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e6f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fec	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:169	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12e6	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbb	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1242	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-258	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c08	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:7e	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:4a9	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1836	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:405	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e68	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-160	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:a37	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb4	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b10	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:665	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e2	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c97	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10ed	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d70	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a0	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:9a5	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a0f	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fd7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:163d	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f33	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c6f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:189d	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:a9e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-98	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-55b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1faf	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12a9	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f0b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1205	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ac	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dde	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1465	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3a	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a97	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b1	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:-1c7	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-123	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:294	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:628	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-383	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1701	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:888	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d33	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100c	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1961	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f93	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:530	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:126c	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b62	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:790	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:42f	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ac	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-18a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:ea2	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1bde	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-51e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:68f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b3a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3db	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d9a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1094	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1428	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:9cf	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:92b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1688	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:257	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d4	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1330	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-346	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
7b93e6a1:150814fecb6:19c8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1590	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1924	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:bc9	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f56	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:122f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20e5	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b25	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2041	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:753	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18d0	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:148f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d85	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11db	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad1	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-aa	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-14d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17cf	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:172b	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5d	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1057	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5fe	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:198b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:55a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-309	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:15f7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ecc	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1553	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1c6	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-569	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:122	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b85	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2b5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:1f19	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-211	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20a8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:382	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:db	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2004	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:716	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-471	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:d48	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec5	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:976	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e21	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13fe	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf4	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:135a	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c50	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:194e	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:b4f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ccc	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:77d	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18fa	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:afb	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:1182	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-198	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:-51	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1516	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b48	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1776	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:345	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c2	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4d8	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1af4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-434	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a50	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:939	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2f1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3e0	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cb7	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c13	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:841	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:157d	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e73	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:14c	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2df	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
7b93e6a1:150814fecb6:-23b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:202e	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18bd	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:-49b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:82	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1eef	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11e9	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e4b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:abe	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-b8	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1145	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a1a	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6ec	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-14	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:c7a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1739	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10f1	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:308	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ab7	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1999	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:568	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a13	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e5	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fba	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b4	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1641	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:210	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c73	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a3	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8a8	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:470	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:804	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e36	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:10f	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:7b0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:36f	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14ec	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:e9	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:de2	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:45	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a7a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1aa	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:1e0e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1108	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6af	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:60b	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1368	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dba	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b4	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86b	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1010	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e9d	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:197	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:16a8	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1270	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-286	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1604	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:2079	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c36	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d7	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1864	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e96	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:433	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:116f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a65	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be2	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-3e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-522	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:693	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:14af	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:da5	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140b	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d01	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d3	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2de	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:166b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f61	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23a	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c9d	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cd	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:49a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:82e	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19ab	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1fdd	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bac	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1233	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-249	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:7da	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1493	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:6f	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1827	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1f5	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e59	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-151	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:a28	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba5	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b01	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:656	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c88	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a2	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10de	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d61	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103a	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:129a	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fc8	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b90	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:162e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
7b93e6a1:150814fecb6:f24	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:188e	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45d	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15da	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed0	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:a8f	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-89	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-54c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:dcf	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1456	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2b	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9fd	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a88	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a2	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-114	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8b	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:285	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
7b93e6a1:150814fecb6:619	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:-374	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:879	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d24	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f6	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c5	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1952	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bf7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:521	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f84	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:125d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b53	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd0	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:781	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-17b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1bcf	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-50f	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b2b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17fd	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:3cc	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d8b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1085	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:-4bb	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:a2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1419	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:91c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1679	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f4e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:248	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c5	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1321	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-337	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
7b93e6a1:150814fecb6:efa	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:19b9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f4	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1581	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-597	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:150	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1915	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e3	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:1f47	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20d6	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b16	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e8	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2032	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:744	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c1	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:d76	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11cc	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac2	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-13e	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6f0	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-39e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171c	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4e	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1048	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ef	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:197c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54b	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:b7d	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cfa	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:15e8	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebd	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1b7	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:1544	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:1b76	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:113	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-202	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:14f0	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:373	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:cc	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:707	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-462	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:d39	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1eb6	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:967	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e12	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:f99	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:6b3	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:ce5	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:134b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c41	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:17a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:193f	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:50e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1cbd	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18eb	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ba	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aec	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-e6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:1173	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-189	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
7b93e6a1:150814fecb6:-42	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1507	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b39	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:1767	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d99	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:336	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b3	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4c9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1ae5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-425	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:596	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a41	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2e2	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3d1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:ca8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c04	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d6	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:832	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:156e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1fe1	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e64	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:13d	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ba	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb0	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-22c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:201f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18ae	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48c	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:73	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:aaf	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e3c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-a9	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
7b93e6a1:150814fecb6:1136	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a0b	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6dd	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1396	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6b	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10e2	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1aa8	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:559	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a04	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d6	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fab	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1632	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:2a5	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:201	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c64	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1892	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:461	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119d	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a93	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-550	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e27	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa4	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f00	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14dd	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dd3	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-44f	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:36	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a6b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-3fb	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1359	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c2e	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
7b93e6a1:150814fecb6:1dab	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a5	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1001	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e8e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:188	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:bda	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1261	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-277	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c27	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18f9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:9d	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c8	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1855	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e87	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:15a1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:424	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b7	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a56	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd3	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2f	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-513	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:684	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3d0	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:9c4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:ff6	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:920	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2cf	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:165c	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f52	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22b	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c8e	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3be	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:-31a	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:48b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210d	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:81f	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-57a	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fce	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12c8	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f2a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1224	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7cb	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dfd	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1484	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1818	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11d0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e6	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-142	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:a19	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:647	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c4	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1720	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:c79	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10cf	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d52	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102b	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f3	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1980	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:128b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fb9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b81	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:161f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:f15	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:187f	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:44e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15cb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec1	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bfd	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-53d	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:3fa	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:d0	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1447	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1c	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ee	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:1a79	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1a9	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:94a	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-105	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:276	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
7b93e6a1:150814fecb6:13f3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-365	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1db9	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d15	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1943	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:be8	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:512	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f75	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:124e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b44	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc1	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2060	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:772	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:11fa	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af0	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-16c	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:1b1c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ee	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3bd	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:174a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d7c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ac	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1076	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:90d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:f3f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:239	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13b6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1312	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-328	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:499	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:eeb	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1572	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-588	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:141	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1906	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/SICA/	associated member
7b93e6a1:150814fecb6:1f38	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-230	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20c7	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b07	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7d9	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:fa	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2023	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:735	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b2	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-490	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:d67	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee4	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11bd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab3	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:995	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e40	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-12f	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6e1	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-38f	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:170d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d3f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1039	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:196d	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1f9f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1299	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b6e	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ceb	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:208a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:15d9	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:eae	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-70	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1535	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:104	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b67	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1795	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14e1	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:364	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f7	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:bd	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-453	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1ea7	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:958	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e03	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd6	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:600	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c32	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:860	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:159c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e92	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16b	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2fe	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:-25a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cae	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:75f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c0a	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18dc	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ab	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:add	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e6a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-d7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1164	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-33	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1758	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:327	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1400	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-416	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-c	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:587	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a32	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:2d3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1660	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:1c92	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:8c7	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:2111	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:ef9	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:d4a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:823	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19a0	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-9a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:155f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:e55	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd2	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ab	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-21d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:38e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-47d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:64	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1e2d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1127	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6ce	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:62a	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1387	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5c	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10d3	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:16c7	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cf9	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1623	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2098	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c55	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f6	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1883	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:452	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:118e	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a84	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5d	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-541	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e18	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14ce	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dc4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:27	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:d20	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fd	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:168a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f80	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-3ec	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c1f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:84d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19ca	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1ffc	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:e7f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:179	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:12f6	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bcb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1252	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-268	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c18	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:8e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4b9	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1846	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:415	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1e78	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a8	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-170	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:a47	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-504	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b20	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:675	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17f2	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10fd	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d80	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b0	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:9b5	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a1f	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:fe7	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:911	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:164d	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f43	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1c7f	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:21c	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3af	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-30b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:47c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-56b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fbf	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12b9	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f1b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1215	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20aa	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7bc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dee	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1475	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1809	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11c1	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d7	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-133	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:638	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b5	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-393	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de7	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1711	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:898	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d43	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101c	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e4	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1971	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:540	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:127c	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b72	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f06	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:43f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15bc	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-19a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1bee	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-52e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b4a	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:69f	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3eb	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4da	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1438	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0d	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9df	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:93b	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1698	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:267	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1340	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-356	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d06	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a7	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1934	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:bd9	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:503	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f66	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:123f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20f5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b35	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb2	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2051	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:763	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18e0	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:149f	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d95	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11eb	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ba	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-15d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:17df	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3ae	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:173b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:30a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d6d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1067	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:199b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56a	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b9c	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:13a7	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1303	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-319	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:8aa	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:edc	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d6	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1563	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:-579	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:132	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b95	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2c5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:1f29	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-221	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20b8	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:392	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:eb	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2014	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:726	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a3	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-481	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:d58	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11ae	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:aa4	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:986	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e31	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110a	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:a00	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6d2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:136a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c60	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:195e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16aa	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1cdc	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:fa0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b5f	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:207b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78d	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:1192	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:1526	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:-61	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1b58	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3f9	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1786	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:355	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4e8	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:ae	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:-444	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a60	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:949	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-3f0	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cc7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132d	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c23	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f5	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da0	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:851	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:158d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e83	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15c	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ef	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:-24b	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:203e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:18cd	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:92	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1eff	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11f9	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e5b	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ace	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-c8	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1155	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:a2a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:6fc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-24	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:c8a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1749	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:318	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ac7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-407	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:578	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a23	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f5	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fca	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c4	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1651	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:1c83	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:220	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3b3	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:8b8	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:480	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2102	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:814	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8b	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e46	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:11f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-20e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7c0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:37f	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14fc	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:f9	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:df2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46e	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:55	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1a8a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ba	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e1e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1118	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6bf	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:61b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1378	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dca	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87b	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1020	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:16b8	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1280	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-296	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1614	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:2089	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c46	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e7	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1874	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15c0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:443	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5d6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:117f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:1bf2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:a75	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-4e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-532	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e09	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14bf	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1a4d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2ee	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:167b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f71	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24a	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3dd	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:83e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19bb	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1fed	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbc	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1243	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-259	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:7ea	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c09	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:7f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:1837	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e69	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:406	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-161	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:a38	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb5	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b11	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:666	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e3	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c98	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:10ee	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d71	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a1	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9a6	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:fd8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:902	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:163e	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f34	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189e	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15ea	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1f0c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1206	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ad	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:ddf	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1466	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a98	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b2	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1c8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:-124	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:295	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:629	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17a6	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-384	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1702	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:889	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d34	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100d	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1962	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f94	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:531	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:126d	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b63	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce0	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:791	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15ad	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-18b	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea3	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1bdf	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-51f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1b3b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3dc	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d9b	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1095	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-4cb	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1429	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:92c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1689	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f5e	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:258	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:caa	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1331	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-347	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:19c9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1591	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:1925	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:160	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2f3	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:1f57	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20e6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b26	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f8	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2042	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:754	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18d1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d86	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a0	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11dc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ab	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-14e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:172c	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5e	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1058	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5ff	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aaa	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:198c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:15f8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ecd	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1554	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:1b86	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:123	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b6	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-212	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20a9	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:383	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2005	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:717	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-472	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:d49	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1ec6	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:977	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e22	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:13ff	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cf5	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:135b	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c51	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:18a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:194f	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:51e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1ccd	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:77e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18fb	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ca	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:afc	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f6	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:1183	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-199	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:-52	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1517	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b49	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:1777	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:346	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4d9	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:1af5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:-435	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a51	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2f2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3e1	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cb8	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c14	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:842	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:1ff1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:157e	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:12ca	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:e74	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:14d	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:bc0	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-23c	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:202f	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:18be	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:-49c	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:83	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181a	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e4c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:abf	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-b9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:1146	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ed	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a1b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-15	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:c7b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10f2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:309	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ab8	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:569	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a14	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbb	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b5	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1642	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:211	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c74	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3a4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-300	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:8a9	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:471	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:805	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-560	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e37	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f10	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7b1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ed	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:de3	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-45f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:46	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:1a7b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ab	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:1e0f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1109	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:60c	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1369	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c3e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dbb	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b5	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86c	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1011	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e9e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:198	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:bea	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:16a9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1271	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-287	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1605	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1c37	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1865	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:4d8	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1e97	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:434	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c7	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a66	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be3	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-3f	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-523	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:694	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:3e0	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:da6	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140c	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d02	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:930	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2df	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:166c	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f62	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23b	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c9e	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3ce	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-32a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:49b	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:82f	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19ac	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:3	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:1fde	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bad	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f3a	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1234	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7db	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1494	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1828	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11e0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f6	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-152	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:a29	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1ba6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:657	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b02	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:17d4	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c89	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:3a3	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1730	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:10df	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d62	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1990	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:129b	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:fc9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b91	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:162f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:f25	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:188f	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:45e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15db	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed1	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1aa	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-54d	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1457	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2c	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9fe	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a89	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11a3	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:-1b9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:95a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-115	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8c	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:286	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:-375	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dc9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1d25	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1953	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f85	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:bf8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:522	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:125e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b54	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd1	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2070	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:782	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-17c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17fe	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:3cd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:175a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d8c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4bc	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1086	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:91d	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f4f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:249	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1322	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-338	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:1582	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:efb	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1f5	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-598	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1916	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:151	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2e4	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:1f48	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-240	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:20d7	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b17	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7e9	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:2033	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:745	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:d77	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ef4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11cd	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac3	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e50	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-13f	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:6f1	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-39f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:171d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d4f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1049	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:197d	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:b7e	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cfb	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209a	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:15e9	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ebe	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1b77	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b8	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-80	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1545	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:114	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2a7	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-203	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:374	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f1	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:cd	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:708	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-463	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:1eb7	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:968	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e13	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b4	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:610	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c42	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:870	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:17b	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:50f	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-26a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cbe	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:76f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c1a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ec	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4bb	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aed	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e7a	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-e7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5aa	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1174	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:-43	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1508	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1768	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:337	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b4	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1410	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-426	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:597	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1670	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:2e3	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-3d2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:ca9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:130f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:c05	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:833	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b0	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:156f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e65	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe2	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:13e	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12bb	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb1	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-22d	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:39e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:18af	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-48d	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:74	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180b	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e3d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1137	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6de	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a0c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63a	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1397	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6c	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10e3	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1aa9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1a05	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fac	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a6	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1633	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:202	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c65	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:1893	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:462	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119e	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a94	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6d	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-551	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e28	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f01	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a2	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14de	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dd4	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:143a	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:37	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d30	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a6c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:169a	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f90	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:-3fc	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:c2f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dac	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:19da	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:85d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1002	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e8f	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:189	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
7b93e6a1:150814fecb6:bdb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1262	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-278	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c28	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:9e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:4c9	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1856	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e88	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:425	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15a2	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5b8	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-180	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a57	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-514	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:685	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b30	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d1	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d90	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c0	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:9c5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1a2f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:ff7	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:921	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:165d	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f53	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22c	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c8f	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3bf	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
7b93e6a1:150814fecb6:-31b	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:48c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:-57b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1fcf	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12c9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1f2b	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1225	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ba	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7cc	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dfe	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1485	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d5a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1819	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11d1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e7	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-a0	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-143	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:648	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c5	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df7	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1721	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d53	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102c	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f4	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1981	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:550	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128c	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b82	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f16	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:44f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15cc	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec2	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bfe	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-53e	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b5a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fb	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4ea	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d1	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1448	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1d	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ef	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
7b93e6a1:150814fecb6:94b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-106	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
7b93e6a1:150814fecb6:f7d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:277	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13f4	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:1350	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-366	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d16	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b7	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1944	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f76	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:be9	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:513	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:124f	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b45	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc2	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2061	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:773	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f0	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:11fb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af1	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-ca	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-16d	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:1b1d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ef	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3be	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:174b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d7d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:31a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4ad	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1077	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:57a	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:90e	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:13b7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1313	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:-329	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8ba	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eec	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1573	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:-589	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:142	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1907	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2d5	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:1f39	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-231	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20c8	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b08	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:fb	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2024	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:736	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-491	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:d68	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:11be	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ab4	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:996	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e41	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:111a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a10	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:137a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c70	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:170e	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:196e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53d	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ba	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fb0	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b6f	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cec	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:208b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:eaf	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1a9	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-71	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1536	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:105	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b68	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1796	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:14e2	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:365	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:-4f8	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:be	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-454	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:1ea8	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a70	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a0	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:959	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e04	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd7	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:601	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c33	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db0	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:861	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:159d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e93	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16c	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2ff	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:-25b	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1caf	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:204e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c0b	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18dd	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ac	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:ade	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e6b	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-d8	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:1165	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-34	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:c9a	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1759	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:328	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1401	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-417	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:588	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a33	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fda	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1661	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:2d4	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:230	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c93	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c3	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:8c8	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:490	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2112	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:19a1	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:824	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-9b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:e56	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd3	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ac	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-21e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7d0	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:38f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-47e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CAN/	observer
7b93e6a1:150814fecb6:65	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1a9a	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ca	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e2e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1128	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6cf	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:62b	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1388	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c5d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dda	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1030	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:16c8	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1290	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1624	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:2099	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c56	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f7	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1884	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:453	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d0	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:118f	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:a85	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-5e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-542	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e19	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:14cf	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dc5	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d21	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:28	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:9f3	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2fe	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:168b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f81	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25a	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ed	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:84e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19cb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1ffd	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bcc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1253	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-269	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:7fa	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1c19	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:8f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1847	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:416	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e79	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-5a9	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-171	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a48	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-505	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:676	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b21	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f3	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10fe	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:3c2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d81	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b1	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105a	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9b6	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:fe8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:912	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:164e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f44	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21d	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-30c	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:15fa	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:47d	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:ef0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:-56c	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f1c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1216	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ab	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7bd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:def	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1476	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4b	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:11c2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d8	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-134	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:639	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:17b6	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-394	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de8	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1712	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:899	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1d44	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101d	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e5	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1972	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:541	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:127d	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b73	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf0	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:f07	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15bd	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-19b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb3	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:1bef	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-52f	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b4b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ec	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4db	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c2	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1439	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d0e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:93c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1699	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f6e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:268	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cba	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1341	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-357	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d07	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19d9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:5a8	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:170	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	associate member
7b93e6a1:150814fecb6:1935	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:504	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f67	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20f6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:b36	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cb3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2052	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:764	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18e1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d96	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4b0	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11ec	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ae2	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-bb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
7b93e6a1:150814fecb6:-15e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1b0e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:3af	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:173c	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d6e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:30b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1068	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1aba	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:199c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:56b	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b9d	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:13a8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1304	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8ab	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:edd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1d7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:1564	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
7b93e6a1:150814fecb6:1b96	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:133	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12b0	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2c6	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
7b93e6a1:150814fecb6:-222	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20b9	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:393	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:ec	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2015	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:727	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18a4	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-482	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:d59	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ed6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1800	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11af	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
7b93e6a1:150814fecb6:aa5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:987	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e32	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:110b	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6d3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a01	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:136b	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
7b93e6a1:150814fecb6:c61	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:19a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:195f	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:52e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ab	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fa1	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1cdd	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:207c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:78e	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:4da	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1193	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
7b93e6a1:150814fecb6:-62	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1527	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1b59	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1787	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:356	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14d3	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4e9	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:af	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-445	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
7b93e6a1:150814fecb6:1a61	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-3f1	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cc8	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:132e	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c24	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8f6	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1da1	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:852	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:158e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e84	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:15d	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12da	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bd0	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-24c	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:203f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:18ce	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:93	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:182a	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:acf	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e5c	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-c9	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:1156	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6fd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a2b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-25	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
7b93e6a1:150814fecb6:c8b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:fd9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:319	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1ac8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-408	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:579	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a24	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16f6	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fcb	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2c5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
7b93e6a1:150814fecb6:1652	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:221	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c84	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3b4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-310	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
7b93e6a1:150814fecb6:8b9	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:481	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2103	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:815	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-8c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-570	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e47	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fc4	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f20	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-20f	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7c1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14fd	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
7b93e6a1:150814fecb6:df3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:-46f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:56	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
7b93e6a1:150814fecb6:1a8b	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1bb	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e1f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1119	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:61c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1379	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c4e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dcb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10c5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:87c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1021	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:bfa	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:16b9	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1281	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-297	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:1615	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
7b93e6a1:150814fecb6:1c47	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4e8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1875	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:444	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15c1	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5d7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:a76	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bf3	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-533	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:3f0	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:db6	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:141c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:19	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:d12	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9e4	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a4e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:940	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2ef	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:167c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f72	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:24b	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3de	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-33a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:83f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19bc	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-59a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:1fee	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12e8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bbd	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f4a	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1244	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7eb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1838	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11f0	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:407	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-162	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
7b93e6a1:150814fecb6:a39	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bb6	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b12	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
7b93e6a1:150814fecb6:667	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17e4	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:c99	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:3b3	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1740	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10ef	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d72	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4a2	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:104b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9a7	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:903	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:163f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:f35	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:20e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:189f	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:46e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15eb	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ee1	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ba	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-55d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f0d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1207	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7ae	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:f0	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:70a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1467	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d3c	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a99	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:11b3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1c9	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:96a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-125	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:f9c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:296	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:17a7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-385	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1dd9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1703	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d35	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:100e	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5d6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1963	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:532	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:1f95	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:126e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b64	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1ce1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2080	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:792	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
7b93e6a1:150814fecb6:15ae	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-18c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:ea4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:150a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e00	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b3c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
7b93e6a1:150814fecb6:3dd	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:176a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1d9c	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4cc	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1096	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:b3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:92d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f5f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:259	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13d6	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cab	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1332	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-348	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:1592	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:161	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1926	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2f4	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
7b93e6a1:150814fecb6:1f58	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-250	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:20e7	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b27	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7f9	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1ca4	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2043	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:755	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1c00	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18d2	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:d87	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:4a1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11dd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ad3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e60	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-ac	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-14f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:172d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d5f	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:1059	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1aab	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:198d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:55c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:b8e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:15f9	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ece	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1c8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-90	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1555	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
7b93e6a1:150814fecb6:e2a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1b87	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:124	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12a1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-2b7	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
7b93e6a1:150814fecb6:-213	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:384	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:dd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2006	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:718	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-473	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
7b93e6a1:150814fecb6:1ec7	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:978	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e23	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6c4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cf6	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:620	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:135c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c52	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:880	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:18b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
7b93e6a1:150814fecb6:51f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-27a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cce	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:206d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c2a	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:77f	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18fc	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4cb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:1e8a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:afd	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-f7	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
7b93e6a1:150814fecb6:-5ba	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1184	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
7b93e6a1:150814fecb6:-53	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1518	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1778	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:347	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14c4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1af6	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1420	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-436	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:1a52	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:2f3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1680	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:-3e2	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:cb9	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:131f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:c15	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8e7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:843	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19c0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:157f	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:e75	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1ff2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:14e	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12cb	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bc1	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-23d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:18bf	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:-49d	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:84	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
7b93e6a1:150814fecb6:181b	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e4d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1147	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6ee	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a1c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-16	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:64a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:c7c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:10f3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1ab9	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1a15	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
7b93e6a1:150814fecb6:16e7	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fbc	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2b6	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1643	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
7b93e6a1:150814fecb6:1c75	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:212	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3a5	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:-301	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:472	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:806	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-7d	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-561	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e38	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fb5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f11	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:20a0	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7b2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14ee	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:de4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:144a	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:47	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d40	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a7c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1ac	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
7b93e6a1:150814fecb6:60d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c3f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dbc	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10b6	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:86d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19ea	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:1012	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:e9f	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:199	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:beb	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1272	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-288	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
7b93e6a1:150814fecb6:1606	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:1c38	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:4d9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1866	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e98	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:435	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15b2	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-5c8	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-190	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:a67	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1be4	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-524	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:695	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b40	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3e1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4d0	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:da7	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:140d	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d03	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9d5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
7b93e6a1:150814fecb6:1a3f	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:931	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:166d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:f63	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:23c	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c9f	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3cf	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:-32b	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:49c	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:19ad	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-58b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:4	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
7b93e6a1:150814fecb6:1fdf	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12d9	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
7b93e6a1:150814fecb6:bae	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f3b	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1235	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ca	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b0a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:7dc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1495	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:d6a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1829	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11e1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1f7	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-b0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
7b93e6a1:150814fecb6:-153	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
7b93e6a1:150814fecb6:1ba7	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1b03	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:658	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:17d5	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3a4	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1731	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:300	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d63	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:103c	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1991	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:560	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:129c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b92	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:f26	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
7b93e6a1:150814fecb6:8a0	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:45f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15dc	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ed2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1ab	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
7b93e6a1:150814fecb6:-54e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b6a	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-4fa	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:e1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1458	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d2d	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9ff	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1eaa	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:11a4	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:95b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1100	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:-116	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
7b93e6a1:150814fecb6:f8d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:287	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
7b93e6a1:150814fecb6:1360	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-376	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d26	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19f8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5c7	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1954	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f86	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:bf9	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:523	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:16a0	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:125f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:b55	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cd2	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2071	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:783	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-da	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:-17d	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:1b2d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17ff	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:3ce	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:175b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:32a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d8d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4bd	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:1087	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:a4	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:58a	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:91e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:13c7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1323	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
7b93e6a1:150814fecb6:-339	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
7b93e6a1:150814fecb6:8ca	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:efc	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1583	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1f6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-599	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
7b93e6a1:150814fecb6:152	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1917	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:-2e5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
7b93e6a1:150814fecb6:1f49	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-241	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
7b93e6a1:150814fecb6:20d8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
7b93e6a1:150814fecb6:b18	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:2034	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:746	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18c3	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
7b93e6a1:150814fecb6:1ef5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:d78	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11ce	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:ac4	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1e51	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:112a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6f2	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a20	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:138a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c80	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:171e	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:197e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:54d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16ca	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fc0	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:b7f	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cfc	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:209b	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:ebf	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1b9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
7b93e6a1:150814fecb6:-81	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1546	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
7b93e6a1:150814fecb6:e1b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:115	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b78	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-2a8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CP/	member
7b93e6a1:150814fecb6:-204	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:375	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:14f2	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
7b93e6a1:150814fecb6:ce	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:709	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:-464	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
7b93e6a1:150814fecb6:2a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:1eb8	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a80	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1b0	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:969	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:1e14	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6b5	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:ce7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:611	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:134d	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c43	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dc0	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:871	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:17c	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:-26b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1cbf	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:205e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c1b	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18ed	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4bc	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:aee	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e7b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-e8	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
7b93e6a1:150814fecb6:-5ab	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:1175	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a4a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-44	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:1509	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:1769	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:338	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14b5	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:1ae7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
7b93e6a1:150814fecb6:1411	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-427	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
7b93e6a1:150814fecb6:598	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a43	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fea	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2e4	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1671	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
7b93e6a1:150814fecb6:240	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3d3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
7b93e6a1:150814fecb6:c06	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:8d8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:834	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19b1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:e66	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fe3	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:13f	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12bc	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:bb2	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-22e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7e0	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:39f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-48e	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
7b93e6a1:150814fecb6:75	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:180c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-1da	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:1e3e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1138	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:6df	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a0d	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:63b	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:1398	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:c6d	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1dea	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10e4	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:89b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1040	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1a06	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:16d8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fad	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:2a7	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
7b93e6a1:150814fecb6:1634	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
7b93e6a1:150814fecb6:1c66	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:203	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1894	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:15e0	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:463	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:119f	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
7b93e6a1:150814fecb6:a95	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:-6e	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-552	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:e29	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fa6	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:1f02	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:7a3	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:14df	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:dd5	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:143b	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:38	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EU/	member
7b93e6a1:150814fecb6:d31	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1a6d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:169b	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f91	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:26a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3fd	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:1dad	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10a7	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:85e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:19db	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
7b93e6a1:150814fecb6:1003	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5aa	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:bdc	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1263	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:-279	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:1c29	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:9f	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
7b93e6a1:150814fecb6:1857	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:1e89	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:15a3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:426	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-5b9	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
7b93e6a1:150814fecb6:-181	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a58	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bd5	http://www.semwebtech.org/mondial/10/country/SMAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-515	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:686	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b31	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
7b93e6a1:150814fecb6:3d2	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1d91	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4c1	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
7b93e6a1:150814fecb6:106a	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9c6	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:ff8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:922	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:165e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
7b93e6a1:150814fecb6:f54	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:22d	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13aa	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:ca0	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:-31c	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
7b93e6a1:150814fecb6:48d	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:210f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:-57c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f2c	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1226	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20bb	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7cd	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:dff	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1486	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d5b	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:11d2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1e8	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:-a1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
7b93e6a1:150814fecb6:-144	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:649	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
7b93e6a1:150814fecb6:17c6	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:1df8	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1722	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d54	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:102d	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5f5	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1aa0	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:1982	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:551	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:128d	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b83	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:f17	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15cd	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:ec3	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
7b93e6a1:150814fecb6:1bff	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-53f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:1b5b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:3fc	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:-4eb	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:d2	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1449	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d1e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:94c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-107	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
7b93e6a1:150814fecb6:f7e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:278	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
7b93e6a1:150814fecb6:13f5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cca	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1351	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:-367	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
7b93e6a1:150814fecb6:1d17	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:19e9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
7b93e6a1:150814fecb6:5b8	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:180	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1945	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:514	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1f77	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:b46	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cc3	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:2062	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:774	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18f1	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4c0	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:11fc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:af2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:-cb	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
7b93e6a1:150814fecb6:-16e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
7b93e6a1:150814fecb6:1b1e	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:3bf	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:174c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:31b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1d7e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4ae	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:1078	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:1aca	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:-40a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:57b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:90f	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:13b8	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
7b93e6a1:150814fecb6:1314	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
7b93e6a1:150814fecb6:8bb	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:eed	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
7b93e6a1:150814fecb6:1e7	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
7b93e6a1:150814fecb6:1574	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
7b93e6a1:150814fecb6:1908	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:12c0	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:143	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-2d6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
7b93e6a1:150814fecb6:-232	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:20c9	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:b09	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:fc	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:2025	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:737	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:18b4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:-492	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:d69	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1ee6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1810	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:11bf	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:1e42	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:ab5	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:997	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:111b	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:6e3	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:a11	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:137b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:c71	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:170f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:196f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:53e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:16bb	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:fb1	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:1ced	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:208c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:79e	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:4ea	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:-72	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:1537	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e0c	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:106	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:1b69	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:1797	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:366	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14e3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
7b93e6a1:150814fecb6:-4f9	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:bf	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:-455	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
7b93e6a1:150814fecb6:1b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
7b93e6a1:150814fecb6:1ea9	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1a71	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:-1a1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:1e05	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:6a6	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:cd8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:602	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:133e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:c34	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1db1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:862	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:159e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:e94	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:16d	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:12ea	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NC/	member
7b93e6a1:150814fecb6:be0	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:-25c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/C/	member
7b93e6a1:150814fecb6:204f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:1c0c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:18de	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
7b93e6a1:150814fecb6:4ad	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:183a	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:adf	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1e6c	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:-d9	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
7b93e6a1:150814fecb6:1166	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
7b93e6a1:150814fecb6:a3b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:-35	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:c9b	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:329	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:14a6	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
7b93e6a1:150814fecb6:1ad8	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
7b93e6a1:150814fecb6:1402	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:-418	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
7b93e6a1:150814fecb6:-e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
7b93e6a1:150814fecb6:589	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1a34	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
7b93e6a1:150814fecb6:fdb	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:2d5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:1662	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
7b93e6a1:150814fecb6:231	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:1c94	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:-3c4	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
7b93e6a1:150814fecb6:-320	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
7b93e6a1:150814fecb6:8c9	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:491	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:2113	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
7b93e6a1:150814fecb6:825	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:19a2	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:-9c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
7b93e6a1:150814fecb6:-580	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:e57	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
7b93e6a1:150814fecb6:1fd4	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12ad	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:ba3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f30	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:-21f	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:7d1	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:-47f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
7b93e6a1:150814fecb6:66	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
7b93e6a1:150814fecb6:1a9b	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
7b93e6a1:150814fecb6:-1cb	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
7b93e6a1:150814fecb6:1e2f	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
7b93e6a1:150814fecb6:1129	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
7b93e6a1:150814fecb6:1389	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
7b93e6a1:150814fecb6:62c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
7b93e6a1:150814fecb6:c5e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
7b93e6a1:150814fecb6:1ddb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:10d5	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:88c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:1031	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:16c9	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1291	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:1625	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
7b93e6a1:150814fecb6:1c57	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
7b93e6a1:150814fecb6:4f8	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
7b93e6a1:150814fecb6:1885	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:454	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15d1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:a86	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
7b93e6a1:150814fecb6:1a0	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
7b93e6a1:150814fecb6:-5f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
7b93e6a1:150814fecb6:-543	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
7b93e6a1:150814fecb6:dc6	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:142c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:29	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
7b93e6a1:150814fecb6:d22	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:9f4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1a5e	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
7b93e6a1:150814fecb6:950	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:2ff	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
7b93e6a1:150814fecb6:168c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:f82	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:25b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-3ee	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
7b93e6a1:150814fecb6:-34a	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
7b93e6a1:150814fecb6:84f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
7b93e6a1:150814fecb6:19cc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
7b93e6a1:150814fecb6:1ffe	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
7b93e6a1:150814fecb6:12f8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
7b93e6a1:150814fecb6:bcd	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
7b93e6a1:150814fecb6:1f5a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1254	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:7fb	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:1848	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
7b93e6a1:150814fecb6:417	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:-172	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
7b93e6a1:150814fecb6:a49	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
7b93e6a1:150814fecb6:1bc6	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
7b93e6a1:150814fecb6:-506	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:677	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
7b93e6a1:150814fecb6:1b22	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
7b93e6a1:150814fecb6:17f4	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:3c3	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:1750	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:10ff	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
7b93e6a1:150814fecb6:1d82	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:-4b2	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
7b93e6a1:150814fecb6:105b	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:9b7	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:fe9	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:913	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
7b93e6a1:150814fecb6:164f	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
7b93e6a1:150814fecb6:f45	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:21e	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:-30d	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
7b93e6a1:150814fecb6:47e	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
7b93e6a1:150814fecb6:15fb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
7b93e6a1:150814fecb6:ef1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:1ca	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
7b93e6a1:150814fecb6:-56d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/AU/	member
7b93e6a1:150814fecb6:1f1d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:1217	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:20ac	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:7be	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
7b93e6a1:150814fecb6:71a	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
7b93e6a1:150814fecb6:1477	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:d4c	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:11c3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
7b93e6a1:150814fecb6:-1d9	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
7b93e6a1:150814fecb6:97a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:-135	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CE/	member
7b93e6a1:150814fecb6:17b7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-395	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
7b93e6a1:150814fecb6:1de9	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
7b93e6a1:150814fecb6:1713	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
7b93e6a1:150814fecb6:1d45	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:101e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
7b93e6a1:150814fecb6:5e6	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
7b93e6a1:150814fecb6:1973	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:542	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
7b93e6a1:150814fecb6:127e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
7b93e6a1:150814fecb6:b74	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
7b93e6a1:150814fecb6:1cf1	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
7b93e6a1:150814fecb6:2090	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
7b93e6a1:150814fecb6:f08	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
7b93e6a1:150814fecb6:15be	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
7b93e6a1:150814fecb6:-19c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
7b93e6a1:150814fecb6:eb4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
7b93e6a1:150814fecb6:151a	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
7b93e6a1:150814fecb6:e10	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
7b93e6a1:150814fecb6:1b4c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
7b93e6a1:150814fecb6:3ed	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
7b93e6a1:150814fecb6:177a	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
7b93e6a1:150814fecb6:-4dc	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
7b93e6a1:150814fecb6:c3	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
7b93e6a1:150814fecb6:d0f	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:93d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
7b93e6a1:150814fecb6:f6f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
7b93e6a1:150814fecb6:269	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
7b93e6a1:150814fecb6:13e6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
7b93e6a1:150814fecb6:cbb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
7b93e6a1:150814fecb6:1342	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
7b93e6a1:150814fecb6:171	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
7b93e6a1:150814fecb6:1936	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
7b93e6a1:150814fecb6:1f68	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
7b93e6a1:150814fecb6:505	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
\.


--
-- TOC entry 5926 (class 0 OID 96637)
-- Dependencies: 1092
-- Data for Name: Mountain; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Mountain" ("URI", "locatedOnIsland", type, "lastEruption", "inMountains", name, elevation, longitude, latitude, rdftype) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Puy de Sancy	1885	2.8	45.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Fairweather	4663	-137.5	58.9	\N
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mawenzi	5148	37.45	-3.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	\N	\N	Zhima	1276	107.4	53.15	\N
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/island/Hokkaido/	volcanic	\N	\N	Asahi-Dake	2290	142.85	43.65	Volcano
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Popocatepetl	5450	-98	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Sabalan	4811	47.8	38.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tahan/	\N	\N	\N	\N	Tahan	2190	108	4	\N
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Torre de Cerredo	2648	4.85	43.2	\N
http://www.semwebtech.org/mondial/10/mountain/Meru/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Meru	4567	36.8	-3.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Olymp/	\N	\N	\N	\N	Olymp	2917	22.35	40.1	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Nevado del Ruiz	5389	-75.3	4.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Piz Bernina	4048	9.9	46.4	\N
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Gasherbrum II	8034	76.65	35.75	\N
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Dychtau	5204	43.13	43.05	\N
http://www.semwebtech.org/mondial/10/mountain/Joekul/	\N	\N	\N	\N	Joekul	1876	7.2	60.3	\N
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/island/Fogo/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Fogo	2829	-24.4	14.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/island/LaPalma/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Roque de los Muchachos	2426	-17.9	28.75	Volcano
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Elbrus	5642	42.26	43.21	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/island/Madeira/	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Madeira/	Pico Ruivo	1861	-16	31	Volcano
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Alpamayo	5947	-77.7	-8.9	\N
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Zugspitze	2963	11.1	47.3	\N
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Revoluzija	6940	72.2	38.3	\N
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Ulug Muztag	6973	87.4	36.4	\N
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/WestGhats/	Dodabetta	2636	76.7	11.4	\N
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Mount Everest	8848	86.9	28	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Pico de Agulhas Negras	2791	-44.65	-22.4	\N
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	\N	\N	\N	\N	Sulitjelma	1914	16.2	67.1	\N
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Grossglockner	3797	12.5	47	\N
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	Pik Pobeda	7439	80.1	42	\N
http://www.semwebtech.org/mondial/10/mountain/Kailash/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Kailash	6638	81.3	31.1	\N
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Changbai/	Changbai Shan	2744	128.1	42	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	\N	\N	Mt. Babel	952	-68.7	51.45	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mt. Bogong	1986	147.5	-37	\N
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	\N	\N	\N	\N	Kebnekaise	2114	18.3	67.5	\N
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	volcano	\N	\N	Queen Marys Peak	2062	-12.3	-37.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcanic	\N	\N	Hvannadalshnukur	2110	-16.7	64.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	http://www.semwebtech.org/mondial/10/island/Reunion/	volcanic	\N	\N	Piton des Neiges	3069	55.5	-21.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	http://www.semwebtech.org/mondial/10/island/SaintVincent/	volcano	\N	\N	Soufriere	1220	-61.2	13.35	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/island/Luzon/	volcanic	\N	\N	Pulog	2928	121	17	Volcano
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Iztaccihuatl	5286	-98.6	19.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Mt Blackburn	4996	-143.4	61.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/island/Mindanao/	volcanic	\N	\N	Mount Apo	2954	125.45	7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	http://www.semwebtech.org/mondial/10/island/Timor/	\N	\N	\N	Tatamailau	2963	125.5	-8.9	\N
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/island/Negros/	volcano	\N	\N	Kanlaon	2435	123.1	10.4	Volcano
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Licancabur	5920	-67.9	-22.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Zachwoa	3345	40.2	43.7	\N
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Altai/	Bjelucha	4506	86.4	49.48	\N
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	\N	\N	\N	\N	Pidurutalagala	2524	80.8	7	\N
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Elbert	4401	-106.4	39.1	\N
http://www.semwebtech.org/mondial/10/mountain/Athos/	\N	\N	\N	\N	Athos	2033	24.35	40.15	\N
http://www.semwebtech.org/mondial/10/mountain/Makalu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Makalu	8485	87.1	27.9	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mt. Kosciuszko	2228	148	-36.5	\N
http://www.semwebtech.org/mondial/10/mountain/Illimani/	\N	granite	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Illimani	6439	-67.8	-16.65	\N
http://www.semwebtech.org/mondial/10/mountain/MtBona/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Bona	5005	-141.75	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Coropuna	6425	-72.65	-15.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Thabana Ntlenyana	3482	29.3	-29.5	\N
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Tirich Mir	7708	71.8	36.25	\N
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/island/Bioko/	volcano	\N	\N	Pico Basile	3011	8.7	3.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Andringitra	2658	47	-22.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Karthala/	http://www.semwebtech.org/mondial/10/island/GrandComoro/	volcano	\N	\N	Karthala	2361	43.35	-11.75	Volcano
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcanic	\N	\N	Snaefell	1833	-15.2	64.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	http://www.semwebtech.org/mondial/10/island/VitiLevu/	volcanic	\N	\N	Mt. Victoria	1323	178	-17.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hekla/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcano	\N	\N	Hekla	1491	-19.7	64	Volcano
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	http://www.semwebtech.org/mondial/10/island/Reunion/	volcano	\N	\N	Piton de la Fournaise	2631	55.7	-21.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/island/Teneriffa/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Pico de Teide	3718	-16.6	28.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Finsteraarhorn	4274	8.1	46.5	\N
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mt Mitchell	2037	-82.1	35.4	\N
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Manaslu	8163	84.6	28.55	\N
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Cho Oyu	8188	86.65	28.35	\N
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Jabal Lubnan	3088	36.1	34.3	\N
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	\N	\N	\N	\N	Portefjaellen	2021	17.4	67.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Pico Bolivar	4981	-71	8.6	\N
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Wheeler Peak	4011	-105.4	36.55	\N
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Moncayo	2313	1.85	41.8	\N
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Taurus/	Demirkazik	3756	35.2	37.8	\N
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Nanga Parbat	8125	74.6	35.2	\N
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Ismoil Somoni	7495	72	39	\N
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Kings Peak	4123	-110.4	40.5	\N
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	Monte Falterona	1654	11.7	43.9	\N
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Ojos del Salado	6893	-68.5	-27.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Borah Peak	3859	-113.8	44.1	\N
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Clingmans Dome	2025	-83.2	35.3	\N
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/island/GreatBritain/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Grampians/	Ben Nevis	1344	-5	56.8	\N
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	Barbeau Peak	2616	-75	81.9	\N
http://www.semwebtech.org/mondial/10/mountain/Uluru/	\N	monolith	\N	\N	Uluru	869	131	-25.3	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/island/Hawaii/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mauna Kea	4214	-155.45	19.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Nanda Devi	7816	80	30.4	\N
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Vignemale	3298	0.15	42.8	\N
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Karl-Marx	6726	72.5	37.16	\N
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Jezerce	2694	19.4	42.3	\N
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Azbine/	Mont Greboun	1944	9	20	\N
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Gannett Peak	4207	-110	43.2	\N
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Beskides/	Gerlachovsky Stit	2655	20.1	49.2	\N
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mt Washington	1917	-71.3	44.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/island/Cuba/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Pico Turquino	1974	-76.8	20	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	volcano	\N	\N	Mt. Giluwe	4368	143.9	-6.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Matterhorn	4478	7.56	46	\N
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Pico Rocarre	5187	-78	-8.8	\N
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Guadalupe Peak	2667	-105	32	\N
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	\N	monolith	\N	\N	Aso Rock	400	7.5	9.05	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	http://www.semwebtech.org/mondial/10/island/Bougainville/	volcanic	\N	\N	Mt. Balbi	2715	155	-5.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Tsiafajavona	2642	47.2	-19.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/island/Lombok/	volcano	\N	\N	Rinjani	3726	116.5	-8.4	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/island/BaffinIsland/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Mt. Odin	2147	-65.6	66.55	\N
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Annapurna	8091	83.8	28.6	\N
http://www.semwebtech.org/mondial/10/mountain/Brocken/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Harz/	Brocken	1141	10.6	51.8	\N
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Kilimanjaro	5895	37.35	-3.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Schneekoppe	1602	15.7	50.7	\N
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/island/Sulawesi/	volcanic	\N	\N	Rantekombola	3455	120	-3.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/island/Hawaii/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mauna Loa	4170	-155.6	19.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	http://www.semwebtech.org/mondial/10/island/Montserrat/	volcano	\N	\N	Soufriere Hills	1050	-62.2	16.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Huascaran	6768	-77.3	-9	\N
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Boundary Peak	4006	-118.3	37.9	\N
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Monte Pissis	6795	-68.85	-27.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Nevado de Toluca	4558	-99	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	Mt. Cook	3754	170.2	-43.6	\N
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/island/Ceram/	\N	\N	\N	Gunung Binaiya	3027	129.3	-3.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	http://www.semwebtech.org/mondial/10/island/SaoTome/	volcanic	\N	\N	Pico de Sao Tome	2024	6.6	0.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	http://www.semwebtech.org/mondial/10/island/Jamaica/	\N	\N	\N	Blue Mountain Peak	2256	-76.4	18.1	\N
http://www.semwebtech.org/mondial/10/mountain/Olympos/	http://www.semwebtech.org/mondial/10/island/Cyprus/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Troodos/	Olympos	1952	32.85	34.9	\N
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/island/Bali/	volcano	\N	\N	Gunung Agung	3142	115.5	-8.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/island/Java/	volcano	\N	\N	Merapi	2914	110.4	-7.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Columbia	3747	-117.44	52.15	\N
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Mt Waddington	4019	-125.26	51.4	\N
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Ausangate	6336	-71.2	-13.8	\N
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/island/Palawan/	volcanic	\N	\N	Mantalingajan	2085	118.4	9.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/island/Pico/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Azores/	Pico	2351	-28.4	38.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/island/Sicilia/	volcano	\N	\N	Etna	3323	15	37.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/island/Corse/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Corse/	Monte Cinto	2706	8.9	42.4	\N
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/island/Maui/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Haleakala	3055	-156.25	20.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Puncak Jaya	4884	137.11	-4.1	\N
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	http://www.semwebtech.org/mondial/10/island/PuertoRico/	\N	\N	\N	Cerro de Punta	1338	-66.6	18.2	\N
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/island/Sumbawa/	volcano	\N	\N	Tambora	2850	118	-8.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	\N	\N	\N	\N	Jostedalsbre	2083	5.5	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/island/Krakatau/	volcano	\N	\N	Krakatau	813	105.4	-6.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Karisimbi	4507	29.45	-1.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Citlaltepetl (Pico de Orizaba)	5636	-97	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Barre des Ecrins	4101	6.3	44.9	\N
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Lhotse	8516	86.9	28	\N
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Robson	3954	-119.1	52.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Pico de Almanzor	2648	-5.3	40.25	\N
http://www.semwebtech.org/mondial/10/mountain/K2/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	K2	8611	76.5	35.9	\N
http://www.semwebtech.org/mondial/10/mountain/Kongur/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Kongur	7649	75.35	38.65	\N
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Feldberg	1493	7.5	47.5	\N
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Shishapangma	8027	85.8	28.55	\N
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Rainier	4392	-121.75	46.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Mt Marcy	1629	-73.9	44.1	\N
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Atlas/	Tubkhal	4165	-8	31	\N
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Sinai/	Jabal Katrina	2637	33.95	28.5	\N
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Mulhacen	3482	3.3	37	\N
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	\N	volcano	\N	\N	Hotaka-Dake	3190	138	36	Volcano
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Moskva	6785	71.5	39	\N
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Zagros/	Zard Kuh	4550	50.1	32.35	\N
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Grand Combin	4314	7.3	45.9	\N
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Gran Paradiso	4061	7.25	45.5	\N
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	\N	\N	\N	\N	Haltiatunturi	1328	21.4	67	\N
http://www.semwebtech.org/mondial/10/mountain/Sajama/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Sajama	6542	-68.9	-18.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Crap Sogn Gion	2228	9.2	46.85	\N
http://www.semwebtech.org/mondial/10/mountain/Musala/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Musala	2925	23.6	42.2	\N
http://www.semwebtech.org/mondial/10/mountain/Damavand/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Elburs/	Damavand	5610	52.1	35.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Chimborazo	6287	-78.5	-1.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	\N	volcano	\N	\N	Fujisan	3776	139	35	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/island/Sumatra/	volcano	\N	\N	Kerinci	3805	101.45	-1.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtHood/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Hood	3424	-121.5	45.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Granite Peak	3901	-109.5	45	\N
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	Pik Chan-Tengri	7010	80.16	42.2	\N
http://www.semwebtech.org/mondial/10/mountain/Ararat/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Ararat	5165	44.3	39.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Kangchendzonga	8586	88.1	27.7	\N
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Muztagata	7509	75.1	38.27	\N
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	\N	\N	\N	\N	Jabal Shuayb	3760	44	15.5	\N
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Lenina	7134	72.9	39.35	\N
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Kasbek	5033	44.31	42.42	Volcano
http://www.semwebtech.org/mondial/10/mountain/YuShan/	http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	\N	\N	Yu Shan	3950	121	23.5	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	\N	\N	Mt. Wilhelm	4509	145	-5.8	\N
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/island/Kreta/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Crete/	Psiloritis	2456	24.7	35.2	\N
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Pikes Peak	4302	-105	38.8	\N
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Roman Kosch	1545	34.25	44.61	\N
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Liushi Shan	7167	80.9	35.3	\N
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Torre de Estrela	1993	-7.6	40.3	\N
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Vosges/	Grand Ballon	1424	7.1	47.9	\N
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	\N	\N	\N	\N	Galdhoeppig	2469	8	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Nevado del Huila	5750	-76	2.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	http://www.semwebtech.org/mondial/10/island/Basse-Terre/	volcano	\N	\N	La Soufriere	1467	-61.65	16.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	http://www.semwebtech.org/mondial/10/island/Guadalcanal/	volcanic	\N	\N	Popomanaseu	2335	160.1	-9.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	http://www.semwebtech.org/mondial/10/island/Tahiti/	volcanic	\N	\N	Mont Orohena	2241	-149.5	-17.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Tsaratanana	2876	48.5	-14	Volcano
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	volcano	\N	\N	Concepcion	1700	-85.6	11.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/island/Luzon/	volcano	1991-06-15	\N	Pinatubo	1486	120.3	15.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/island/Java/	volcano	\N	\N	Semeru	3676	112.9	-8.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pelee/	http://www.semwebtech.org/mondial/10/island/Martinique/	volcano	\N	\N	Pelee	1397	-61.15	14.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	volcano	\N	\N	Ruapehu	2797	175.6	-39.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Silisili/	http://www.semwebtech.org/mondial/10/island/Savaii/	volcanic	\N	\N	Silisili	1858	-172.4	-13.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Katla/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcano	\N	\N	Katla	1450	-19	63.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	http://www.semwebtech.org/mondial/10/island/Dominica/	volcano	\N	\N	Morne Diablotins	1447	-61.4	15.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/island/Sumatra/	volcanic	\N	\N	Leuser	3466	98	3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Fako/	\N	volcano	\N	\N	Fako	4095	9.2	4.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Azbine/	Tamgak	1800	9	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Adams	3743	-121.5	46.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Broad Peak	8051	76.6	35.8	\N
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	\N	volcano	1944-03-18	\N	Vesuv	1281	14.4	40.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Korab/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Korab	2751	20.3	41.4	\N
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	\N	\N	\N	\N	Sarektjokko	2090	17.4	67.3	\N
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Hochgolling	2862	13.75	47.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/island/GranCanaria/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Pico de los Nieves	1949	-15.6	25.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	http://www.semwebtech.org/mondial/10/island/Hispaniola/	\N	\N	\N	Pico Duarte	3098	-71.3	18.3	\N
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/island/Borneo/	granite	\N	\N	Kinabalu	4101	116.5	6.1	\N
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Logan	5959	-140.4	60.6	\N
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	\N	\N	\N	\N	Glittertind	2452	8.1	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Irazu/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Irazu	3432	-83.9	10	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt St.Elias	5489	-140.9	60.3	\N
http://www.semwebtech.org/mondial/10/mountain/Schchara/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Schchara	5200	43.1	43	\N
http://www.semwebtech.org/mondial/10/mountain/Illampu/	\N	granite	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Illampu	6368	-68.5	-15.8	\N
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Dhaulagiri	8167	83.5	28.7	\N
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Aconcagua	6962	-70	-32.65	\N
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	Gran Sasso	2912	13.55	42.5	\N
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Mt Redoubt	3108	-152.75	60.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Darfur/	Jabal Marra	3088	24.6	13	Volcano
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Monte Rosa	4634	7.9	45.9	\N
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Ruwenzori	5109	29.9	0.4	\N
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Moldoveanu	2544	24.7	45.6	\N
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Rif/	Djebel Aures	2456	-6.5	35.5	\N
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Harney Peak	2207	-103.4	44	\N
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Grosser Arber	1456	13	49.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Pico de Aneto	3404	0.65	42.6	\N
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Cotopaxi	5897	-78.4	-0.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Ampato/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Ampato	6288	-71.9	-15.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Mt McKinley	6193	-151	63.1	\N
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Ural/	Narodnaja	1895	60.1	65	\N
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Cathkin Peak	3181	29.35	-29.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Pico Cristobal Colon	5775	-73.7	10.85	\N
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Marmolata	3343	11.85	46.4	\N
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Tupungato	6550	-69.87	-33.35	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Mt Whitney	4418	-118.2	36.6	\N
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	\N	\N	\N	\N	Snoehetta	2286	9	62.1	\N
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	\N	\N	\N	\N	Tarrekaise	1850	17.3	67	\N
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Llullaillaco	6739	-68.5	-24.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Kljutschewskaja Sopka	4750	160.6	56.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Amhara/	Ras Daschan Terara	4533	38.4	13.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Tajumulco	4220	-91.9	15	Volcano
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Humphreys Peak	3850	-111.65	35.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Elgon/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Elgon	4321	34.55	1.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mount Kenia	5199	37.3	0.15	Volcano
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Cerro Chirripo	3819	-83.5	9.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Mont Blanc	4808	6.8	45.8	\N
http://www.semwebtech.org/mondial/10/mountain/Tahat/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Tahat	3003	5.5	23.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Nevado de Colima	4330	-104	20	Volcano
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Gasherbrum I	8080	76.7	35.6	\N
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Puy De Dome	1465	3	45.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Emi Kussi	3415	18.5	20	Volcano
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Cayambe	5796	-78	0.1	Volcano
\.


--
-- TOC entry 5927 (class 0 OID 96643)
-- Dependencies: 1093
-- Data for Name: Mountains; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Mountains" ("URI", name, latitude, elevation, type, longitude, area) FROM stdin;
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Azbine	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Sinai	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Hawaii	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Crimean Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Corse/	Corse	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Jabal Lubnan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rif/	Rif	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	British Empire Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Taurus	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Cascade Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Cape Verdes	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Beskides	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Cordillera Real	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Grampians	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Sierra Parima	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Cordillera de Talamanca	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Hindukusch	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Cordillera Cantabrica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Sudirman Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Adirondacks	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Sierra Madre	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Snowy Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Cordillera Volcanica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Kurdistan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Waldai Hills	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Great Dividing Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Alaska Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Lebanon	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Appalachian Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Rocky Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Black Forest	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Harz/	Harz	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Coast Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Rhön	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Cevennes	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Cordillera Central	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Cordillera Negra	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Andes/	Andes	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Wrangell Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Pyrenees	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Atlas	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Altai/	Altai	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Zagros	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Canary Islands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Sudety Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Darfur	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Cordillera Vilcanota	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Kaukasus	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Elias Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Drakensberge	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Apennin	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Antitaurus	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Sierra Nevada California	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Tian Shan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Vosges	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Jura/	Jura	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Aleutian Range	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Penny Highlands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Cordillera Iberica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Elburs	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Tibesti	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Crete/	Crete	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ural/	Ural	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	East African Rift	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Cordillera Blanca	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Alps/	Alps	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Brazilian Highlands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Bayrischer Wald	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Fichtelgebirge	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Transhimalaya	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Cordillera Betica	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pamir	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	New Zealand Alps	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Balkan	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Kunlun	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Bohemian Mountains	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Ethiopian Highlands	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Azores/	Azores	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Changbai	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Ahaggar	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Sierra Maestra	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Himalaya	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Karakorum	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Karpaten	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Troodos	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Vogesen	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	West Ghats	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Madeira	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Sierra Nevada de Santa Marta	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Kamchatka	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Amhara	\N	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Thueringer Wald	\N	\N	\N	\N	\N
\.


--
-- TOC entry 5928 (class 0 OID 96649)
-- Dependencies: 1094
-- Data for Name: Organization; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Organization" ("URI", "hasHeadq", abbrev, name, established) FROM stdin;
http://www.semwebtech.org/mondial/10/organization/ARF/	\N	ARF	ASEAN Regional Forum	1994-07-25
http://www.semwebtech.org/mondial/10/organization/G-11/	\N	G-11	Group of 11	1984-06-22
http://www.semwebtech.org/mondial/10/organization/UNMIL/	\N	UNMIL	United Nations Mission in Liberia	2003-09-18
http://www.semwebtech.org/mondial/10/organization/SACEP/	\N	SACEP	South Asia Co-operative Environment Program	\N
http://www.semwebtech.org/mondial/10/organization/CACM/	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	CACM	Central American Common Market	1960-12-13
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNFICYP	United Nations Peacekeeping Force in Cyprus	1964-03-04
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNIFIL	United Nations Interim Force in Lebanon	1978-03-19
http://www.semwebtech.org/mondial/10/organization/ZC/	\N	ZC	Zangger Committee	\N
http://www.semwebtech.org/mondial/10/organization/UNAMID/	\N	UNAMID	African Union/United Nations Hybrid Operation in Darfur	2007-07-31
http://www.semwebtech.org/mondial/10/organization/EITI/	\N	EITI	Extractive Industry Transparency Initiative	\N
http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	OECD	Organization for Economic Cooperation and Development	1960-12-14
http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	FATF	Financial Action Task Force	1989-07-15
http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	ICAO	International Civil Aviation Organization	1944-12-07
http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	BDEAC	Central African States Development Bank	1975-12-03
http://www.semwebtech.org/mondial/10/organization/CPLP/	\N	CPLP	Comuinidade dos Paises de Lingua Portuguesa	\N
http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IFC	International Finance Corporation	1955-05-25
http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	CIS	Commonwealth of Independent States	1991-12-08
http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	CEI	Central European Initiative	1989-11-10
http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	FZ	Franc Zone	1945-12-20
http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	EIB	European Investment Bank	1957-03-25
http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	SAARC	South Asian Association for Regional Cooperation	1985-12-08
http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	CAEU	Council of Arab Economic Unity	1957-06-02
http://www.semwebtech.org/mondial/10/organization/BSEC/	\N	BSEC	Black Sea Economic Cooperation Zone	1992-06-24
http://www.semwebtech.org/mondial/10/organization/PFP/	\N	PFP	Partnership for Peace	1994-01-10
http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EAPC	Euro-Atlantic Partnership Council	1991-11-07
http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	ADB	Asian Development Bank	1966-12-19
http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	G-10	Group of 10	1962-10-01
http://www.semwebtech.org/mondial/10/organization/ITSO/	\N	ITSO	International Telecommunication Satellite Organization	\N
http://www.semwebtech.org/mondial/10/organization/UNISFA/	\N	UNISFA	United Nations Interim Security Force for Abyei	2011-06-26
http://www.semwebtech.org/mondial/10/organization/CBSS/	\N	CBSS	Council of the Baltic Sea States	1992-03-06
http://www.semwebtech.org/mondial/10/organization/EAC/	\N	EAC	East African Community	\N
http://www.semwebtech.org/mondial/10/organization/ANZUS/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	ANZUS	Australia-New Zealand-United States Security Treaty	1951-08-31
http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	SPC	Secretariat of the Pacific Community	1947-02-05
http://www.semwebtech.org/mondial/10/organization/G-9/	\N	G-9	Group of 9	\N
http://www.semwebtech.org/mondial/10/organization/IGAD/	\N	IGAD	Inter-Governmental Authority on Development	\N
http://www.semwebtech.org/mondial/10/organization/Sparteca/	\N	Sparteca	South Pacific Regional Trade and Economic Cooperation Agreement	1981-01-01
http://www.semwebtech.org/mondial/10/organization/EAS/	\N	EAS	East Asia Summit	2005-12-14
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	ECOWAS	Economic Community of West African States	1975-05-28
http://www.semwebtech.org/mondial/10/organization/Entente/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	Entente	Council of the Entente	1959-05-29
http://www.semwebtech.org/mondial/10/organization/BA/	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	BA	Baltic Assembly	1990-05-12
http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	COMESA	Common Market for Eastern and Southern Africa	1994-12-08
http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	OECS	Organization of Eastern Caribbean States	1981-06-17
http://www.semwebtech.org/mondial/10/organization/IPU/	\N	IPU	Inter-Parliamentary Union	\N
http://www.semwebtech.org/mondial/10/organization/G-77/	\N	G-77	Group of 77	1964-06-14
http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	OPCW	Organization for the Prohibition of Chemical Weapons	1997-04-28
http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	NAM	Nonaligned Movement	1961-09-05
http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	ICC	International Chamber of Commerce	1919-01-01
http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	BCIE	Central American Bank for Economic Integration	1960-12-13
http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	ASEAN	Association of Southeast Asian Nations	1967-08-07
http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WIPO	World Intellectual Property Organization	1967-07-14
http://www.semwebtech.org/mondial/10/organization/PCA/	\N	PCA	Permanent Court of Arbitration	1899-07-29
http://www.semwebtech.org/mondial/10/organization/GUAM/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	GUAM	Organization for Democracy and Economic Development	2001-06-06
http://www.semwebtech.org/mondial/10/organization/UNOCI/	\N	UNOCI	United Nations Operation in Cote d'Ivoire	2004-02-26
http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	PIF	Pacific Islands Forum	1971-08-04
http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	UNRWA	United Nations Relief and Works Agency for Palestine Refugees in the Near East	1949-12-08
http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	SCO	Shanghai Cooperation Organization	2001-06-14
http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IMF	International Monetary Fund	1944-07-22
http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	AfDB	African Development Bank Group	1964-09-09
http://www.semwebtech.org/mondial/10/organization/AFESD/	\N	AFESD	Arab Fund for Economic and Social Development	1968-05-16
http://www.semwebtech.org/mondial/10/organization/OAPEC/	\N	OAPEC	Organization of Arab Petroleum Exporting Countries	1968-01-08
http://www.semwebtech.org/mondial/10/organization/G-20/	\N	G-20	Group of 20	1999-12-16
http://www.semwebtech.org/mondial/10/organization/AG/	\N	AG	Australia Group	\N
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	\N	MONUSCO	United Nations Organization Stabilization Mission in the Democratic Republic of the Congo	2010-05-28
http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ITU	International Telecommunication Union	1865-05-17
http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	NATO	North Atlantic Treaty Organization	1949-04-03
http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	AU	African Union	1963-05-25
http://www.semwebtech.org/mondial/10/organization/UNMISS/	\N	UNMISS	United Nations Mission in the Republic of South Sudan	2011-07-08
http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	IOM	International Organization for Migration	1951-12-05
http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WHO	World Health Organization	1946-07-22
http://www.semwebtech.org/mondial/10/organization/G-8/	\N	G-8	Group of 8	1975-10-01
http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	OAS	Organization of American States	1890-04-13
http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	ICCt	International Criminal Court	2002-07-01
http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	OPEC	Organization of Petroleum Exporting Countries	1960-09-13
http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	IFAD	International Fund for Agricultural Development	1974-11-01
http://www.semwebtech.org/mondial/10/organization/CDB/	\N	CDB	Caribbean Development Bank	1969-10-18
http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	CERN	European Organization for Nuclear Research	1953-07-01
http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IDA	International Development Association	1960-01-25
http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	G-15	Group of 15	\N
http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	ECB	European Central Bank	1998-05-31
http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	Caricom	Caribbean Community and Common Market	1973-07-04
http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EU	European Union	1992-02-06
http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	OIC	Organization of Islamic Cooperation	1969-09-24
http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UN	United Nations	1945-06-25
http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	EBRD	European Bank for Reconstruction and Development	1990-01-08
http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	IDB	Islamic Development Bank	1973-12-15
http://www.semwebtech.org/mondial/10/organization/EFTA/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	EFTA	European Free Trade Association	1960-01-03
http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	BIS	Bank for International Settlements	1930-01-19
http://www.semwebtech.org/mondial/10/organization/NAFTA/	\N	NAFTA	North American Free Trade Agreement	1992-12-17
http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IBRD	International Bank for Reconstruction and Development	1944-07-22
http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	ECO	Economic Cooperation Organization	1985-01-28
http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	LAIA	Latin American Integration Association	1980-08-11
http://www.semwebtech.org/mondial/10/organization/NEA/	\N	NEA	Nuclear Energy Agency	1958-01-31
http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	SADC	Southern African Development Community	1992-08-16
http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	APEC	Asia-Pacific Economic Cooperation	1989-11-06
http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	CP	Colombo Plan	1951-07-01
http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	CAN	Andean Community	1969-05-26
http://www.semwebtech.org/mondial/10/organization/IHO/	\N	IHO	International Hydrographic Organization	\N
http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	UNIDO	United Nations Industrial Development Organization	1966-11-16
http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	UNTSO	United Nations Truce Supervision Organization	1948-05-01
http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	UNDOF	United Nations Disengagement Observer Force	1974-05-31
http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	MINURSO	United Nations Mission for the Referendum in Western Sahara	1991-04-28
http://www.semwebtech.org/mondial/10/organization/UNITAR/	\N	UNITAR	United Nations Institute for Training and Research	1963-12-11
http://www.semwebtech.org/mondial/10/organization/CEPGL/	\N	CEPGL	Economic Community of the Great Lakes Countries	1976-09-19
http://www.semwebtech.org/mondial/10/organization/G-3/	\N	G-3	Group of 3	1990-10-01
http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	SICA	Central American Integration System	1991-12-13
http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	FAO	Food and Agriculture Organization	1945-10-16
http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ISO	International Organization for Standardization	1947-02-01
http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	G-24	Group of 24	1989-07-31
http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	IOC	International Olympic Committee	1894-06-22
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNMOGIP	United Nations Military Observer Group in India and Pakistan	1949-01-23
http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	OIF	International Organization of the French-speaking World	1970-03-20
http://www.semwebtech.org/mondial/10/organization/AOSIS/	\N	AOSIS	Alliance of Small Island States	\N
http://www.semwebtech.org/mondial/10/organization/CD/	\N	CD	Community of Democracies	2000-06-26
http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	NC	Nordic Council	1952-03-16
http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ILO	International Labor Organization	1919-06-27
http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	UNESCO	United Nations Educational, Scientific, and Cultural Organization	1945-11-15
http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	LAES	Latin American and Caribbean Economic System	1975-10-17
http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	IEA	International Energy Agency	1974-11-14
http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	NIB	Nordic Investment Bank	1975-12-04
http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	UNSC	United Nations Security Council	1945-06-25
http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	GCTU	General Confederation of Trade Unions	1992-04-15
http://www.semwebtech.org/mondial/10/organization/SACU/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	SACU	Southern African Customs Union	1969-12-11
http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	ABEDA	Arab Bank for Economic Development in Africa	1974-02-17
http://www.semwebtech.org/mondial/10/organization/Benelux/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Benelux	Benelux Union	1958-02-02
http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	ICJ	International Court of Justice	1945-06-25
http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	UPU	Universal Postal Union	1874-10-09
http://www.semwebtech.org/mondial/10/organization/EADB/	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	EADB	East African Development Bank	1967-06-05
http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	ITUC	International Trade Union Confederation	2006-11-02
http://www.semwebtech.org/mondial/10/organization/WTO/	\N	WTO	World Trade Organization	1994-04-14
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	\N	UNCTAD	United Nations Conference on Trade and Development	1964-12-30
http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EMU	Economic and Monetary Union	1992-02-06
http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	Mercosur	Southern Cone Common Market	1991-03-26
http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	CE	Council of Europe	1949-05-05
http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IADB	Inter-American Development Bank	1959-04-07
http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	CEMAC	Economic and Monetary Community of Central Africa	1964-12-08
http://www.semwebtech.org/mondial/10/organization/G-5/	\N	G-5	Group of 5	1985-09-21
http://www.semwebtech.org/mondial/10/organization/EurasEC/	\N	EurasEC	Eurasian Economic Community	\N
http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	UNHCR	United Nations High Commissioner for Refugees	1949-12-03
http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WMO	World Meteorological Organization	1947-10-11
http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	OPANAL	Agency for the Prohibition of Nuclear Weapons in Latin America and the Caribbean	1967-02-13
http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	SELEC	Convention of the Southeast European Law Enforcement Center	2011-10-07
http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	UNWTO	World Tourism Organization	1975-01-01
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	\N	BIMSTEC	Bay of Bengal Initiative for Multi-Sectoral Technical and Economic Cooperation	\N
http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	IAEA	International Atomic Energy Agency	1956-10-26
http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	WFTU	World Federation of Trade Unions	1945-10-03
http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	MIGA	Multilateral Investment Guarantee Agency	1988-04-11
http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	CSTO	Collective Security Treaty Organization	2002-10-07
http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	NSG	Nuclear Suppliers Group	\N
http://www.semwebtech.org/mondial/10/organization/InOC/	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	InOC	Indian Ocean Commission	1982-12-21
http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	UNASUR	Union of South American Nations	2008-05-23
http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	LAS	League of Arab States	1945-03-22
http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	ESA	European Space Agency	1975-05-31
http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	ACP	African, Caribbean, and Pacific Group of States	1975-06-05
http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	IMSO	International Mobile Satellite Organization	1999-04-14
http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	Interpol	International Criminal Police Organization	1956-06-13
http://www.semwebtech.org/mondial/10/organization/G-7/	\N	G-7	Group of 7	1985-09-21
http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	CICA	Conference of Interaction and Confidence-Building Measures in Asia	1999-09-13
http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	IFRCS	International Federation of Red Cross and Red Crescent Societies	1919-05-05
http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	GCC	Gulf Cooperation Council	1981-05-25
http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	IMO	International Maritime Organization	1948-03-06
http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	AMF	Arab Monetary Fund	1976-04-26
http://www.semwebtech.org/mondial/10/organization/UNMIT/	\N	UNMIT	United Nations Integrated Mission in Timor-Leste	2006-08-24
http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	WCO	World Customs Organization	1950-12-15
http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	OSCE	Organization for Security and Cooperation in Europe	1994-12-31
http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	C	Commonwealth	1931-12-31
http://www.semwebtech.org/mondial/10/organization/D-8/	\N	D-8	Developing Eight	1997-06-14
http://www.semwebtech.org/mondial/10/organization/AMU/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	AMU	Arab Maghreb Union	1989-02-16
http://www.semwebtech.org/mondial/10/organization/CELAC/	\N	CELAC	Community of Latin American and Caribbean States	2010-02-22
\.


--
-- TOC entry 5929 (class 0 OID 96652)
-- Dependencies: 1095
-- Data for Name: Province; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Province" ("URI", name, capital, area, "isProvinceOf", population) FROM stdin;
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Sibiu	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	5432	http://www.semwebtech.org/mondial/10/country/RO/	397322
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Gorj	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	5601	http://www.semwebtech.org/mondial/10/country/RO/	341594
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Arad	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	7754	http://www.semwebtech.org/mondial/10/country/RO/	430629
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Argeş	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	6826	http://www.semwebtech.org/mondial/10/country/RO/	612431
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Timiş	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	8696	http://www.semwebtech.org/mondial/10/country/RO/	683540
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Neamţ	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	5896	http://www.semwebtech.org/mondial/10/country/RO/	470766
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Sălaj	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	3864	http://www.semwebtech.org/mondial/10/country/RO/	224384
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Ialomiţa	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	4452	http://www.semwebtech.org/mondial/10/country/RO/	274148
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Dolj	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	7414	http://www.semwebtech.org/mondial/10/country/RO/	660544
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Suceava	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	8553	http://www.semwebtech.org/mondial/10/country/RO/	634810
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Maramureş	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	6304	http://www.semwebtech.org/mondial/10/country/RO/	478659
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Mureş	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	6713	http://www.semwebtech.org/mondial/10/country/RO/	550846
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Vrancea	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	4857	http://www.semwebtech.org/mondial/10/country/RO/	340310
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Brăila	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	4765	http://www.semwebtech.org/mondial/10/country/RO/	321212
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Braşov	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	5363	http://www.semwebtech.org/mondial/10/country/RO/	549217
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Tulcea	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	8498	http://www.semwebtech.org/mondial/10/country/RO/	213083
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Bucureşti	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	237	http://www.semwebtech.org/mondial/10/country/RO/	1883425
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Liaoning	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	151000	http://www.semwebtech.org/mondial/10/country/CN/	43900000
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Chandigarh	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	114	http://www.semwebtech.org/mondial/10/country/IND/	1055450
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Śląskie	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	12333	http://www.semwebtech.org/mondial/10/country/PL/	4620624
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Orientale	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	503239	http://www.semwebtech.org/mondial/10/country/ZRE/	5566000
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Beni	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	213564	http://www.semwebtech.org/mondial/10/country/BOL/	421196
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Chiba	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	5156	http://www.semwebtech.org/mondial/10/country/J/	6192000
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Fromager	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	6912	http://www.semwebtech.org/mondial/10/country/CI/	542992
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Goiás	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	340086	http://www.semwebtech.org/mondial/10/country/BR/	6523222
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Rio de Janeiro	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	43696	http://www.semwebtech.org/mondial/10/country/BR/	16461173
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Western	http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	126386	http://www.semwebtech.org/mondial/10/country/Z/	881524
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Oslo	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	454	http://www.semwebtech.org/mondial/10/country/N/	623966
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Kymi	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	\N	http://www.semwebtech.org/mondial/10/country/SF/	345000
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Namur	http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	3666	http://www.semwebtech.org/mondial/10/country/B/	482451
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Brabant Wallon	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	1090	http://www.semwebtech.org/mondial/10/country/B/	388526
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Mato Grosso	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	903358	http://www.semwebtech.org/mondial/10/country/BR/	3224357
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Chelyabinsk	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	87900	http://www.semwebtech.org/mondial/10/country/R/	3490053
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Tamil Nadu	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	130060	http://www.semwebtech.org/mondial/10/country/IND/	72147030
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Gujarat	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	196244	http://www.semwebtech.org/mondial/10/country/IND/	60439692
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Edirne	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	6097	http://www.semwebtech.org/mondial/10/country/TR/	399708
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Jawa Barat	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	35377	http://www.semwebtech.org/mondial/10/country/RI/	46300543
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Minas Gerais	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	586528	http://www.semwebtech.org/mondial/10/country/BR/	20734097
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Erzurum	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	25330	http://www.semwebtech.org/mondial/10/country/TR/	778195
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Kastamonu	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	13157	http://www.semwebtech.org/mondial/10/country/TR/	359808
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Bahia	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	564692	http://www.semwebtech.org/mondial/10/country/BR/	15126371
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Western Cape	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	129462	http://www.semwebtech.org/mondial/10/country/RSA/	5822734
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	North Dakota	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	178711	http://www.semwebtech.org/mondial/10/country/USA/	739482
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Orenburg	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	124000	http://www.semwebtech.org/mondial/10/country/R/	2008566
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Libertador General Bernardo O'Higgins	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	16387	http://www.semwebtech.org/mondial/10/country/RCH/	851406
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Bacău	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	6620	http://www.semwebtech.org/mondial/10/country/RO/	616168
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Gansu	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	366500	http://www.semwebtech.org/mondial/10/country/CN/	25821800
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Xinjiang	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	1646900	http://www.semwebtech.org/mondial/10/country/CN/	22643000
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Bihor	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	7544	http://www.semwebtech.org/mondial/10/country/RO/	575398
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Baden-Württemberg	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	35751	http://www.semwebtech.org/mondial/10/country/D/	10486660
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Malanje	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	97602	http://www.semwebtech.org/mondial/10/country/ANG/	968135
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Vâlcea	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	5764	http://www.semwebtech.org/mondial/10/country/RO/	371714
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Paraná	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	199315	http://www.semwebtech.org/mondial/10/country/BR/	11081692
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Sichuan	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	488000	http://www.semwebtech.org/mondial/10/country/CN/	81070000
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Jilin	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	187000	http://www.semwebtech.org/mondial/10/country/CN/	27512800
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Dhaka	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	31177	http://www.semwebtech.org/mondial/10/country/BD/	47424418
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Hunedoara	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	7062	http://www.semwebtech.org/mondial/10/country/RO/	418565
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Nei Mongol	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	1177500	http://www.semwebtech.org/mondial/10/country/CN/	24976100
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Guangxi	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	220400	http://www.semwebtech.org/mondial/10/country/CN/	47190000
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Heilongjiang	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	463600	http://www.semwebtech.org/mondial/10/country/CN/	38350200
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Constanţa	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	7071	http://www.semwebtech.org/mondial/10/country/RO/	684082
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Mehedinţi	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	4932	http://www.semwebtech.org/mondial/10/country/RO/	265390
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Alba	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	6241	http://www.semwebtech.org/mondial/10/country/RO/	342376
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Călăraşi	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	5087	http://www.semwebtech.org/mondial/10/country/RO/	306691
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Dâmboviţa	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	4054	http://www.semwebtech.org/mondial/10/country/RO/	518745
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Zhejiang	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	101800	http://www.semwebtech.org/mondial/10/country/CN/	54980000
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Ilfov	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	1583	http://www.semwebtech.org/mondial/10/country/RO/	388738
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Maranhão	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	331983	http://www.semwebtech.org/mondial/10/country/BR/	6850884
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Arizona	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	294207	http://www.semwebtech.org/mondial/10/country/USA/	6731484
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Pernambuco	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	98311	http://www.semwebtech.org/mondial/10/country/BR/	9277727
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Emilia-Romagna	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	22445	http://www.semwebtech.org/mondial/10/country/I/	4342135
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Vaslui	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	5318	http://www.semwebtech.org/mondial/10/country/RO/	395499
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Teleorman	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	5789	http://www.semwebtech.org/mondial/10/country/RO/	380123
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Buzău	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	6102	http://www.semwebtech.org/mondial/10/country/RO/	451069
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Satu-Mare	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	4417	http://www.semwebtech.org/mondial/10/country/RO/	344360
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Caraş-Severin	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	8519	http://www.semwebtech.org/mondial/10/country/RO/	295579
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Indiana	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	92789	http://www.semwebtech.org/mondial/10/country/USA/	6596855
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Texas	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	676587	http://www.semwebtech.org/mondial/10/country/USA/	26956958
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Bistriţa-Năsăud	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	5355	http://www.semwebtech.org/mondial/10/country/RO/	286225
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Galaţi	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	4466	http://www.semwebtech.org/mondial/10/country/RO/	536167
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Gauteng	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	18178	http://www.semwebtech.org/mondial/10/country/RSA/	12272263
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Hessen	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	21114	http://www.semwebtech.org/mondial/10/country/D/	5971816
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Donets´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	26517	http://www.semwebtech.org/mondial/10/country/UA/	4403178
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	North Carolina	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	125920	http://www.semwebtech.org/mondial/10/country/USA/	9943964
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Ohio	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	105829	http://www.semwebtech.org/mondial/10/country/USA/	11594163
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Michigan	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	146435	http://www.semwebtech.org/mondial/10/country/USA/	9909877
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Bamako	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	252	http://www.semwebtech.org/mondial/10/country/RMM/	1809106
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Ségou	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	64821	http://www.semwebtech.org/mondial/10/country/RMM/	2336255
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	New York	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	122057	http://www.semwebtech.org/mondial/10/country/USA/	19746227
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Niedersachsen	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	47613	http://www.semwebtech.org/mondial/10/country/D/	7777992
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Sikasso	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	70280	http://www.semwebtech.org/mondial/10/country/RMM/	2625919
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Kayes	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	119743	http://www.semwebtech.org/mondial/10/country/RMM/	1996812
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Gao	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	170572	http://www.semwebtech.org/mondial/10/country/RMM/	544120
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Koulikoro	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	95848	http://www.semwebtech.org/mondial/10/country/RMM/	2418305
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Tombouctou	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	496611	http://www.semwebtech.org/mondial/10/country/RMM/	681691
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Kidal	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	151430	http://www.semwebtech.org/mondial/10/country/RMM/	67638
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Puntarenas	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	11265	http://www.semwebtech.org/mondial/10/country/CR/	461671
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Heredia	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	2656	http://www.semwebtech.org/mondial/10/country/CR/	483154
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Cartago	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	3124	http://www.semwebtech.org/mondial/10/country/CR/	516831
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Moskovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	45900	http://www.semwebtech.org/mondial/10/country/R/	7133620
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Limón	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	9188	http://www.semwebtech.org/mondial/10/country/CR/	428103
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Guanacaste	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	10140	http://www.semwebtech.org/mondial/10/country/CR/	359869
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	East Midlands	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	15606	http://www.semwebtech.org/mondial/10/country/GB/	4598729
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Yorkshire and the Humber	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	15407	http://www.semwebtech.org/mondial/10/country/GB/	5337710
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	South West	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	23837	http://www.semwebtech.org/mondial/10/country/GB/	5377595
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Alajuela	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	9757	http://www.semwebtech.org/mondial/10/country/CR/	946607
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Dar es Salaam	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	1393	http://www.semwebtech.org/mondial/10/country/EAT/	4364541
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	San José	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	4965	http://www.semwebtech.org/mondial/10/country/CR/	1576884
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Lindi	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	66040	http://www.semwebtech.org/mondial/10/country/EAT/	864652
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Kagera	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	25265	http://www.semwebtech.org/mondial/10/country/EAT/	2458023
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Dodoma	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	41311	http://www.semwebtech.org/mondial/10/country/EAT/	2083588
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Manyara	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	44522	http://www.semwebtech.org/mondial/10/country/EAT/	1425131
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Kigoma	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	37040	http://www.semwebtech.org/mondial/10/country/EAT/	2127930
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Morogoro	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	70624	http://www.semwebtech.org/mondial/10/country/EAT/	2218492
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Katavi	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	45843	http://www.semwebtech.org/mondial/10/country/EAT/	564604
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Hubei	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	187500	http://www.semwebtech.org/mondial/10/country/CN/	57990000
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Geita	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	20054	http://www.semwebtech.org/mondial/10/country/EAT/	1739530
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Maharashtra	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	307713	http://www.semwebtech.org/mondial/10/country/IND/	112374333
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Georgia	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	148959	http://www.semwebtech.org/mondial/10/country/USA/	10097343
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Kusini Pemba	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	332	http://www.semwebtech.org/mondial/10/country/EAT/	195116
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Shandong	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	153300	http://www.semwebtech.org/mondial/10/country/CN/	97333900
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Nordland	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	38482	http://www.semwebtech.org/mondial/10/country/N/	239611
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Souss Massa Daraa	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	70880	http://www.semwebtech.org/mondial/10/country/MA/	3601917
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Doukala Abda	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	13285	http://www.semwebtech.org/mondial/10/country/MA/	2183090
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Rabat Sale Zemmour Zaer	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	9580	http://www.semwebtech.org/mondial/10/country/MA/	2676754
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Gharb Chrarda Beni Hssen	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	8805	http://www.semwebtech.org/mondial/10/country/MA/	1904112
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Taza Al Hoceima Taounate	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	24155	http://www.semwebtech.org/mondial/10/country/MA/	1807036
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Meknes Tafilalet	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	79210	http://www.semwebtech.org/mondial/10/country/MA/	2316865
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Tanger Tetouan	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	11570	http://www.semwebtech.org/mondial/10/country/MA/	3157075
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Chaouia Ouardigha	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	7010	http://www.semwebtech.org/mondial/10/country/MA/	1893950
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Fes Boulemane	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	19795	http://www.semwebtech.org/mondial/10/country/MA/	1808295
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Guelmim Es Semara	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	62825	http://www.semwebtech.org/mondial/10/country/MA/	501921
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Grand Casablanca	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	1615	http://www.semwebtech.org/mondial/10/country/MA/	4270750
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Mendoza	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	148827	http://www.semwebtech.org/mondial/10/country/RA/	1863809
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Poitou Charentes	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	25809	http://www.semwebtech.org/mondial/10/country/F/	1777773
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Languedoc-Roussillon	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	27375	http://www.semwebtech.org/mondial/10/country/F/	2670046
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Alsace	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	8280	http://www.semwebtech.org/mondial/10/country/F/	1852325
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Cluj	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	6674	http://www.semwebtech.org/mondial/10/country/RO/	691106
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Khanty Mansi ao	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	534800	http://www.semwebtech.org/mondial/10/country/R/	1532243
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Covasna	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	3709	http://www.semwebtech.org/mondial/10/country/RO/	210177
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Iaşi	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	5475	http://www.semwebtech.org/mondial/10/country/RO/	772348
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Botoşani	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	4985	http://www.semwebtech.org/mondial/10/country/RO/	412626
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Prahova	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	4715	http://www.semwebtech.org/mondial/10/country/RO/	762886
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Giurgiu	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	3526	http://www.semwebtech.org/mondial/10/country/RO/	281422
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Olt	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	5498	http://www.semwebtech.org/mondial/10/country/RO/	436400
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Harghita	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	6638	http://www.semwebtech.org/mondial/10/country/RO/	310867
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Pwani	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	32547	http://www.semwebtech.org/mondial/10/country/EAT/	1098668
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Kaskazini Pemba	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	574	http://www.semwebtech.org/mondial/10/country/EAT/	211732
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Mara	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	21760	http://www.semwebtech.org/mondial/10/country/EAT/	1743830
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Kaskazini Unguja	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	470	http://www.semwebtech.org/mondial/10/country/EAT/	187455
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Shinyanga	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	18901	http://www.semwebtech.org/mondial/10/country/EAT/	1534808
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Njombe	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	21347	http://www.semwebtech.org/mondial/10/country/EAT/	702097
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Tanga	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	26677	http://www.semwebtech.org/mondial/10/country/EAT/	2045205
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Tabora	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	76150	http://www.semwebtech.org/mondial/10/country/EAT/	2291623
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Mjini Magharibi Unguja	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	230	http://www.semwebtech.org/mondial/10/country/EAT/	593678
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Kusini Unguja	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	854	http://www.semwebtech.org/mondial/10/country/EAT/	115588
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Mbeya	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	60350	http://www.semwebtech.org/mondial/10/country/EAT/	2707410
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Mtwara	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	16710	http://www.semwebtech.org/mondial/10/country/EAT/	1270854
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Iringa	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	35503	http://www.semwebtech.org/mondial/10/country/EAT/	941238
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Nara	http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	3691	http://www.semwebtech.org/mondial/10/country/J/	1383000
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Eastern Cape	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	168966	http://www.semwebtech.org/mondial/10/country/RSA/	6562053
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Mopti	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	79017	http://www.semwebtech.org/mondial/10/country/RMM/	2037330
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Ruvuma	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	63669	http://www.semwebtech.org/mondial/10/country/EAT/	1376891
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Arusha	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	37576	http://www.semwebtech.org/mondial/10/country/EAT/	1694310
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Santiago de Estero	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	136351	http://www.semwebtech.org/mondial/10/country/RA/	918147
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Kwara	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	34467	http://www.semwebtech.org/mondial/10/country/WAN/	2742093
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Prince Edward Island	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	5685	http://www.semwebtech.org/mondial/10/country/CDN/	145237
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Rio Grande do Norte	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	52796	http://www.semwebtech.org/mondial/10/country/BR/	3408510
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Szabolcs-Szatmár-Bereg	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	5935	http://www.semwebtech.org/mondial/10/country/H/	559272
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Dytikis Makedonias	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	9451	http://www.semwebtech.org/mondial/10/country/GR/	283689
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Ionion Nison	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	2306	http://www.semwebtech.org/mondial/10/country/GR/	207855
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Telangana	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	114840	http://www.semwebtech.org/mondial/10/country/IND/	35193978
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Chhattisgarh	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	135191	http://www.semwebtech.org/mondial/10/country/IND/	25545198
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Sicilia	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	25711	http://www.semwebtech.org/mondial/10/country/I/	5002904
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	As Sulaymaniyah	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	17023	http://www.semwebtech.org/mondial/10/country/IRQ/	942513
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	al-Qadisiya	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	8153	http://www.semwebtech.org/mondial/10/country/IRQ/	1134313
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Grodno	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	25118	http://www.semwebtech.org/mondial/10/country/BY/	1056955
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Nagasaki	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	4105	http://www.semwebtech.org/mondial/10/country/J/	1397000
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Vaud	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	3212	http://www.semwebtech.org/mondial/10/country/CH/	749373
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Dushanbe	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	100	http://www.semwebtech.org/mondial/10/country/TAD/	775800
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Tarija	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	37623	http://www.semwebtech.org/mondial/10/country/BOL/	482196
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Idlib	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	6097	http://www.semwebtech.org/mondial/10/country/SYR/	1464000
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Northern	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	147826	http://www.semwebtech.org/mondial/10/country/Z/	1759600
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Aktobe	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	300629	http://www.semwebtech.org/mondial/10/country/KAZ/	808878
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Sulawesi Utara	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	13851	http://www.semwebtech.org/mondial/10/country/RI/	2382941
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	DKI Jakarta	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	664	http://www.semwebtech.org/mondial/10/country/RI/	10135030
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Kalimantan Timur	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	204534	http://www.semwebtech.org/mondial/10/country/RI/	4115741
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Aust-Agder	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	9157	http://www.semwebtech.org/mondial/10/country/N/	112772
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Tadla Azilal	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	17125	http://www.semwebtech.org/mondial/10/country/MA/	1607506
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Nay Pyi Taw	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	7054	http://www.semwebtech.org/mondial/10/country/MYA/	1158367
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Bago	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	39402	http://www.semwebtech.org/mondial/10/country/MYA/	4863455
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Semnan	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	97491	http://www.semwebtech.org/mondial/10/country/IR/	631218
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Ancash	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	35914	http://www.semwebtech.org/mondial/10/country/PE/	1129391
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Xizang	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	1221600	http://www.semwebtech.org/mondial/10/country/CN/	3120400
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Hatay	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	5831	http://www.semwebtech.org/mondial/10/country/TR/	1483674
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Yalova	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	850	http://www.semwebtech.org/mondial/10/country/TR/	211799
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Osmaniye	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	3195	http://www.semwebtech.org/mondial/10/country/TR/	492135
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Taraba	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	60291	http://www.semwebtech.org/mondial/10/country/WAN/	2647413
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Johor	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	19210	http://www.semwebtech.org/mondial/10/country/MAL/	3348283
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Sinaloa	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	57377	http://www.semwebtech.org/mondial/10/country/MEX/	2767761
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andrés, Providencia y Santa Catalina	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	44	http://www.semwebtech.org/mondial/10/country/CO/	75801
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Tolima	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	23562	http://www.semwebtech.org/mondial/10/country/CO/	1404262
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Toshkent City	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	300	http://www.semwebtech.org/mondial/10/country/UZB/	2352900
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Sirdaryo	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	5100	http://www.semwebtech.org/mondial/10/country/UZB/	763800
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Andijon	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	4200	http://www.semwebtech.org/mondial/10/country/UZB/	2805500
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Tul´skaya	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	25700	http://www.semwebtech.org/mondial/10/country/R/	1521497
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Karelia	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	172400	http://www.semwebtech.org/mondial/10/country/R/	634402
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Kirov	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	120800	http://www.semwebtech.org/mondial/10/country/R/	1310929
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Arica y Parinacota	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	16873	http://www.semwebtech.org/mondial/10/country/RCH/	212813
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Värmland	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	17591	http://www.semwebtech.org/mondial/10/country/S/	273080
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Picardie	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	19399	http://www.semwebtech.org/mondial/10/country/F/	1918155
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Lorraine	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	23547	http://www.semwebtech.org/mondial/10/country/F/	2350657
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Kilimanjaro	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	13250	http://www.semwebtech.org/mondial/10/country/EAT/	1640087
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Simiyu	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	25212	http://www.semwebtech.org/mondial/10/country/EAT/	1584157
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Rukwa	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	22792	http://www.semwebtech.org/mondial/10/country/EAT/	1004539
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Mwanza	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	9467	http://www.semwebtech.org/mondial/10/country/EAT/	2772509
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Singida	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	49340	http://www.semwebtech.org/mondial/10/country/EAT/	1370637
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Manica	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	62272	http://www.semwebtech.org/mondial/10/country/MOC/	1735351
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Tete	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	98417	http://www.semwebtech.org/mondial/10/country/MOC/	2228527
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Gaza	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	75334	http://www.semwebtech.org/mondial/10/country/MOC/	1344095
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Maputo	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	22693	http://www.semwebtech.org/mondial/10/country/MOC/	1506442
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Zambézia	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	103478	http://www.semwebtech.org/mondial/10/country/MOC/	4444204
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Niassa	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	122827	http://www.semwebtech.org/mondial/10/country/MOC/	1472387
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Nampula	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	79010	http://www.semwebtech.org/mondial/10/country/MOC/	4647841
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Inhambane	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	68775	http://www.semwebtech.org/mondial/10/country/MOC/	1426684
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Sofala	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	67753	http://www.semwebtech.org/mondial/10/country/MOC/	1903728
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Cidade de Maputo	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	347	http://www.semwebtech.org/mondial/10/country/MOC/	1194121
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Cabo Delgado	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	78778	http://www.semwebtech.org/mondial/10/country/MOC/	1797335
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Győr-Moson-Sopron	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	4208	http://www.semwebtech.org/mondial/10/country/H/	447985
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Bács-Kiskun	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	8444	http://www.semwebtech.org/mondial/10/country/H/	520331
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Nógrád	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	2545	http://www.semwebtech.org/mondial/10/country/H/	202427
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Hajdú-Bihar	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	6210	http://www.semwebtech.org/mondial/10/country/H/	546721
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Heves	http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	3637	http://www.semwebtech.org/mondial/10/country/H/	308882
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Békés	http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	5629	http://www.semwebtech.org/mondial/10/country/H/	359948
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Zaire	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	40130	http://www.semwebtech.org/mondial/10/country/ANG/	567225
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Uíge	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	58698	http://www.semwebtech.org/mondial/10/country/ANG/	1426354
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Huíla	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	79023	http://www.semwebtech.org/mondial/10/country/ANG/	2354398
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Huambo	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	34270	http://www.semwebtech.org/mondial/10/country/ANG/	1896147
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Cuanza Norte	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	24110	http://www.semwebtech.org/mondial/10/country/ANG/	427971
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Cunene	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	87342	http://www.semwebtech.org/mondial/10/country/ANG/	965288
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Bengo	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	31371	http://www.semwebtech.org/mondial/10/country/ANG/	351579
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Bié	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	70314	http://www.semwebtech.org/mondial/10/country/ANG/	1338923
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Luanda	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	2417	http://www.semwebtech.org/mondial/10/country/ANG/	6542944
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Cabinda	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	7270	http://www.semwebtech.org/mondial/10/country/ANG/	688285
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Benguela	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	39826	http://www.semwebtech.org/mondial/10/country/ANG/	2036662
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Moxico	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	223023	http://www.semwebtech.org/mondial/10/country/ANG/	727594
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Lunda-Sul	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	77367	http://www.semwebtech.org/mondial/10/country/ANG/	516077
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Cuando Cubango	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	199049	http://www.semwebtech.org/mondial/10/country/ANG/	510369
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Cuanza Sul	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	55600	http://www.semwebtech.org/mondial/10/country/ANG/	1793787
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Namibe	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	57091	http://www.semwebtech.org/mondial/10/country/ANG/	471613
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Lunda-Norte	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	103760	http://www.semwebtech.org/mondial/10/country/ANG/	799950
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Continental	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	26017	http://www.semwebtech.org/mondial/10/country/GQ/	\N
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Insular	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	2034	http://www.semwebtech.org/mondial/10/country/GQ/	\N
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Cordillera	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	19422	http://www.semwebtech.org/mondial/10/country/RP/	1616867
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Central Luzon	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	22014	http://www.semwebtech.org/mondial/10/country/RP/	10137737
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Boreioy Aigaioy	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	3835	http://www.semwebtech.org/mondial/10/country/GR/	199231
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Peloponnisos	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	15489	http://www.semwebtech.org/mondial/10/country/GR/	577903
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Cagayan Valley	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	28228	http://www.semwebtech.org/mondial/10/country/RP/	3229163
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Calabarzon	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	16873	http://www.semwebtech.org/mondial/10/country/RP/	12609803
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Northern Mindanao	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	20496	http://www.semwebtech.org/mondial/10/country/RP/	4297323
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Muslim Mindanao	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	21065	http://www.semwebtech.org/mondial/10/country/RP/	3256140
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Ilocos	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	13012	http://www.semwebtech.org/mondial/10/country/RP/	4748372
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Central Visayas	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	15885	http://www.semwebtech.org/mondial/10/country/RP/	6800180
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Eastern Visayas	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	23251	http://www.semwebtech.org/mondial/10/country/RP/	4101322
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Zamboanga Peninsula	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	17046	http://www.semwebtech.org/mondial/10/country/RP/	3407353
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Caraga	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	21478	http://www.semwebtech.org/mondial/10/country/RP/	2429224
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Soccsksargen	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	22513	http://www.semwebtech.org/mondial/10/country/RP/	4109571
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Davao	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	20357	http://www.semwebtech.org/mondial/10/country/RP/	4468563
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Western Visayas	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	20794	http://www.semwebtech.org/mondial/10/country/RP/	7102438
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Mimaropa	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	29620	http://www.semwebtech.org/mondial/10/country/RP/	2744671
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Bicol	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	18155	http://www.semwebtech.org/mondial/10/country/RP/	5420411
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Shaanxi	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	195800	http://www.semwebtech.org/mondial/10/country/CN/	37640000
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Guizhou	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	174000	http://www.semwebtech.org/mondial/10/country/CN/	35022200
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Edo	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	19819	http://www.semwebtech.org/mondial/10/country/WAN/	3694087
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Imo	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	5182	http://www.semwebtech.org/mondial/10/country/WAN/	4597500
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Nunavut	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	1877787	http://www.semwebtech.org/mondial/10/country/CDN/	35591
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Querétaro	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	11683	http://www.semwebtech.org/mondial/10/country/MEX/	1827937
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Borsod-Abaúj-Zemplén	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	7249	http://www.semwebtech.org/mondial/10/country/H/	686266
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Komárom-Esztergom	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	2264	http://www.semwebtech.org/mondial/10/country/H/	304568
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Tolna	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	3703	http://www.semwebtech.org/mondial/10/country/H/	230361
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Lakshadweep	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	30	http://www.semwebtech.org/mondial/10/country/IND/	64473
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Delhi	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	1483	http://www.semwebtech.org/mondial/10/country/IND/	16787941
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Thiès	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	6670	http://www.semwebtech.org/mondial/10/country/SN/	1788864
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Sédhiou	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	7341	http://www.semwebtech.org/mondial/10/country/SN/	452994
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Lubuskie	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	13987	http://www.semwebtech.org/mondial/10/country/PL/	1023102
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Ontario	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	908607	http://www.semwebtech.org/mondial/10/country/CDN/	13537994
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Lubelskie	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	25122	http://www.semwebtech.org/mondial/10/country/PL/	2168616
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Atlántida	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	4372	http://www.semwebtech.org/mondial/10/country/HCA/	407551
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Gracias a Dios	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	16997	http://www.semwebtech.org/mondial/10/country/HCA/	88314
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Al-Jouf	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	100212	http://www.semwebtech.org/mondial/10/country/SA/	440009
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Okayama	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	7113	http://www.semwebtech.org/mondial/10/country/J/	1930000
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Genève	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	282	http://www.semwebtech.org/mondial/10/country/CH/	469433
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	La Paz	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	133985	http://www.semwebtech.org/mondial/10/country/BOL/	2706359
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Colón	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	4575	http://www.semwebtech.org/mondial/10/country/PA/	241928
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Hims	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	42223	http://www.semwebtech.org/mondial/10/country/SYR/	1763000
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Kouilou	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	13650	http://www.semwebtech.org/mondial/10/country/RCB/	84165
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Luapula	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	50567	http://www.semwebtech.org/mondial/10/country/Z/	958976
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	YeDebub Biheroch Bihereseboch na Hizboch	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	105887	http://www.semwebtech.org/mondial/10/country/ETH/	17359008
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Tigray	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	85366	http://www.semwebtech.org/mondial/10/country/ETH/	4929999
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Akmola	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	146219	http://www.semwebtech.org/mondial/10/country/KAZ/	735640
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Buenos Aires	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	307571	http://www.semwebtech.org/mondial/10/country/RA/	16476149
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Riau	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	87023	http://www.semwebtech.org/mondial/10/country/RI/	6358636
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Troms	http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	25862	http://www.semwebtech.org/mondial/10/country/N/	160418
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Kärnten	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	9538	http://www.semwebtech.org/mondial/10/country/A/	555969
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Liberecký	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	3162	http://www.semwebtech.org/mondial/10/country/CZ/	439262
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Hainaut	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	3785	http://www.semwebtech.org/mondial/10/country/B/	1328760
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Kayin	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	30382	http://www.semwebtech.org/mondial/10/country/MYA/	1572657
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Hormozgan	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	70697	http://www.semwebtech.org/mondial/10/country/IR/	1578183
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Tumbes	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	4669	http://www.semwebtech.org/mondial/10/country/PE/	228227
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Amasya	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	5703	http://www.semwebtech.org/mondial/10/country/TR/	322283
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Tokat	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	10072	http://www.semwebtech.org/mondial/10/country/TR/	613990
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Balıkesir	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	14472	http://www.semwebtech.org/mondial/10/country/TR/	1160731
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Kilis	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	1427	http://www.semwebtech.org/mondial/10/country/TR/	124320
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Kütahya	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	12013	http://www.semwebtech.org/mondial/10/country/TR/	573421
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Rajasthan	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	342239	http://www.semwebtech.org/mondial/10/country/IND/	68548437
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Sikkim	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	7096	http://www.semwebtech.org/mondial/10/country/IND/	610577
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Selangor	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	8104	http://www.semwebtech.org/mondial/10/country/MAL/	5411324
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	1485	http://www.semwebtech.org/mondial/10/country/MEX/	8851080
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Poltavs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	28750	http://www.semwebtech.org/mondial/10/country/UA/	1477195
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Rivnens´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	20051	http://www.semwebtech.org/mondial/10/country/UA/	1154256
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Iowa	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	144669	http://www.semwebtech.org/mondial/10/country/USA/	3107126
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Oregon	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	248608	http://www.semwebtech.org/mondial/10/country/USA/	3970239
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Schleswig-Holstein	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	15799	http://www.semwebtech.org/mondial/10/country/D/	2800119
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Surxondaryo	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	20800	http://www.semwebtech.org/mondial/10/country/UZB/	2308300
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Leningradskaya	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	83908	http://www.semwebtech.org/mondial/10/country/R/	1763924
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Omsk	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	139700	http://www.semwebtech.org/mondial/10/country/R/	1973876
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Smolenskaya	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	49800	http://www.semwebtech.org/mondial/10/country/R/	967896
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Guidimagha	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	10300	http://www.semwebtech.org/mondial/10/country/RIM/	267029
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Kronoberg	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	8466	http://www.semwebtech.org/mondial/10/country/S/	185887
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Kano	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	21276	http://www.semwebtech.org/mondial/10/country/WAN/	11058314
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Anambra	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	4816	http://www.semwebtech.org/mondial/10/country/WAN/	4796408
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Cross River	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	21636	http://www.semwebtech.org/mondial/10/country/WAN/	3337517
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Oyo	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	28245	http://www.semwebtech.org/mondial/10/country/WAN/	6596392
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Rivers	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	10432	http://www.semwebtech.org/mondial/10/country/WAN/	6144673
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Abuja	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	7753	http://www.semwebtech.org/mondial/10/country/WAN/	2193613
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Bauchi	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	49933	http://www.semwebtech.org/mondial/10/country/WAN/	5499737
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Plateau	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	27216	http://www.semwebtech.org/mondial/10/country/WAN/	3663428
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Sokoto	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	33776	http://www.semwebtech.org/mondial/10/country/WAN/	4292416
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Gombe	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	17982	http://www.semwebtech.org/mondial/10/country/WAN/	2768452
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Akwa Ibom	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	6772	http://www.semwebtech.org/mondial/10/country/WAN/	4612067
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Lagos	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	3496	http://www.semwebtech.org/mondial/10/country/WAN/	10668139
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Abia	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	4902	http://www.semwebtech.org/mondial/10/country/WAN/	3250816
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Borno	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	75480	http://www.semwebtech.org/mondial/10/country/WAN/	4930077
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Enugu	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	7660	http://www.semwebtech.org/mondial/10/country/WAN/	3788319
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Uttar Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	240928	http://www.semwebtech.org/mondial/10/country/IND/	199812341
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Puglia	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	19357	http://www.semwebtech.org/mondial/10/country/I/	4052566
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Ekiti	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	5887	http://www.semwebtech.org/mondial/10/country/WAN/	2794575
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Ebonyi	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	6421	http://www.semwebtech.org/mondial/10/country/WAN/	2499272
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Adamawa	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	38823	http://www.semwebtech.org/mondial/10/country/WAN/	3667419
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Ogun	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	16980	http://www.semwebtech.org/mondial/10/country/WAN/	4412299
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Nasarawa	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	27271	http://www.semwebtech.org/mondial/10/country/WAN/	2167120
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Zamfara	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	35170	http://www.semwebtech.org/mondial/10/country/WAN/	3838160
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Katsina	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	24971	http://www.semwebtech.org/mondial/10/country/WAN/	6725626
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Yobe	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	46909	http://www.semwebtech.org/mondial/10/country/WAN/	2757022
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Kaduna	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	45711	http://www.semwebtech.org/mondial/10/country/WAN/	7087226
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Bayelsa	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	9415	http://www.semwebtech.org/mondial/10/country/WAN/	1966426
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Kebbi	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	37727	http://www.semwebtech.org/mondial/10/country/WAN/	3793585
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Ondo	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	15195	http://www.semwebtech.org/mondial/10/country/WAN/	4012105
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Jigawa	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	24515	http://www.semwebtech.org/mondial/10/country/WAN/	5031103
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Kogi	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	29581	http://www.semwebtech.org/mondial/10/country/WAN/	3841884
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Benue	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	31276	http://www.semwebtech.org/mondial/10/country/WAN/	4931135
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Niger	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	74108	http://www.semwebtech.org/mondial/10/country/WAN/	4674381
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Delta	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	17239	http://www.semwebtech.org/mondial/10/country/WAN/	4813917
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Manitoba	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	552329	http://www.semwebtech.org/mondial/10/country/CDN/	1265015
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Northwest Territories	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	1143793	http://www.semwebtech.org/mondial/10/country/CDN/	43537
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Yukon	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	474712	http://www.semwebtech.org/mondial/10/country/CDN/	36700
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	New Brunswick	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	71377	http://www.semwebtech.org/mondial/10/country/CDN/	756050
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Newfoundland and Labrador	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	370510	http://www.semwebtech.org/mondial/10/country/CDN/	526702
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Quebec	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	1356547	http://www.semwebtech.org/mondial/10/country/CDN/	8155334
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Nova Scotia	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	52939	http://www.semwebtech.org/mondial/10/country/CDN/	940789
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Saskatchewan	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	588239	http://www.semwebtech.org/mondial/10/country/CDN/	1108303
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	British Columbia	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	922509	http://www.semwebtech.org/mondial/10/country/CDN/	4581978
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Alberta	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	640081	http://www.semwebtech.org/mondial/10/country/CDN/	4025074
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Csongrád	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	4262	http://www.semwebtech.org/mondial/10/country/H/	417456
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Pest	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	6391	http://www.semwebtech.org/mondial/10/country/H/	1217476
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Jász-Nagykun-Szolnok	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	5581	http://www.semwebtech.org/mondial/10/country/H/	386594
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Budapest	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	525	http://www.semwebtech.org/mondial/10/country/H/	1729040
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Veszprém	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	4463	http://www.semwebtech.org/mondial/10/country/H/	351898
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Somogy	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	6065	http://www.semwebtech.org/mondial/10/country/H/	317307
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Baranya	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	4429	http://www.semwebtech.org/mondial/10/country/H/	386441
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Vas	http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	3336	http://www.semwebtech.org/mondial/10/country/H/	256629
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Fejér	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	4358	http://www.semwebtech.org/mondial/10/country/H/	425847
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Zala	http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	3783	http://www.semwebtech.org/mondial/10/country/H/	282179
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Attikis	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	3808	http://www.semwebtech.org/mondial/10/country/GR/	3828434
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Fukui	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	4189	http://www.semwebtech.org/mondial/10/country/J/	795000
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Anatolikis Makedonias kai Thrakis	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	14157	http://www.semwebtech.org/mondial/10/country/GR/	608182
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Ipeiroy	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	9203	http://www.semwebtech.org/mondial/10/country/GR/	336856
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Trujillo	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	7198	http://www.semwebtech.org/mondial/10/country/YV/	686367
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Tiris Zemmour	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	252900	http://www.semwebtech.org/mondial/10/country/RIM/	53261
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Stereas Elladas	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	15549	http://www.semwebtech.org/mondial/10/country/GR/	547390
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Missouri	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	178040	http://www.semwebtech.org/mondial/10/country/USA/	6063589
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Dytikis Elladas	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	11350	http://www.semwebtech.org/mondial/10/country/GR/	679796
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Notioy Aigaioy	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	5285	http://www.semwebtech.org/mondial/10/country/GR/	309015
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Thessalias	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	14036	http://www.semwebtech.org/mondial/10/country/GR/	732762
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Aghion Oros	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	335	http://www.semwebtech.org/mondial/10/country/GR/	1811
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Kritis	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	8335	http://www.semwebtech.org/mondial/10/country/GR/	623065
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Kentrikis Makedonias	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	18810	http://www.semwebtech.org/mondial/10/country/GR/	1880297
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	FATA	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	27220	http://www.semwebtech.org/mondial/10/country/PK/	3176331
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	FCT Islamabad	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	906	http://www.semwebtech.org/mondial/10/country/PK/	805235
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Gilgit-Baltistan	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	72520	http://www.semwebtech.org/mondial/10/country/PK/	870347
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Azad Jammu and Kashmir	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	13297	http://www.semwebtech.org/mondial/10/country/PK/	2580000
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Khyber Pakhtunkhwa	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	74521	http://www.semwebtech.org/mondial/10/country/PK/	17735912
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Balochistan	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	347190	http://www.semwebtech.org/mondial/10/country/PK/	6565885
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Punjab	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	205345	http://www.semwebtech.org/mondial/10/country/PK/	73621290
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Nagaland	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	16579	http://www.semwebtech.org/mondial/10/country/IND/	1978502
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Jammu and Kashmir	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	222236	http://www.semwebtech.org/mondial/10/country/IND/	12541302
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Antioquia	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	63612	http://www.semwebtech.org/mondial/10/country/CO/	6378132
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Valle	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	1665	http://www.semwebtech.org/mondial/10/country/HCA/	171613
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Islas de la Bahía	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	236	http://www.semwebtech.org/mondial/10/country/HCA/	49158
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Telemark	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	15296	http://www.semwebtech.org/mondial/10/country/N/	170902
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Al-Hudud ash Shamaliyah	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	111797	http://www.semwebtech.org/mondial/10/country/SA/	320524
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Solothurn	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	790	http://www.semwebtech.org/mondial/10/country/CH/	261437
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Los Santos	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	3809	http://www.semwebtech.org/mondial/10/country/PA/	89592
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Herrera	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	2362	http://www.semwebtech.org/mondial/10/country/PA/	109955
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Kepulauan Bangka Belitung	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	16424	http://www.semwebtech.org/mondial/10/country/RI/	1380762
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Banten	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	9662	http://www.semwebtech.org/mondial/10/country/RI/	11834087
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Buskerud	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	14910	http://www.semwebtech.org/mondial/10/country/N/	269003
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Aland	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	\N	http://www.semwebtech.org/mondial/10/country/SF/	23000
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Limburg	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	2208	http://www.semwebtech.org/mondial/10/country/NL/	1119412
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Yunnan	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	436200	http://www.semwebtech.org/mondial/10/country/CN/	46866000
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Shanghai	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	6200	http://www.semwebtech.org/mondial/10/country/CN/	24151500
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Pinar del Río	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	8883	http://www.semwebtech.org/mondial/10/country/C/	585452
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Rize	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	3921	http://www.semwebtech.org/mondial/10/country/TR/	324152
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Quintana Roo	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	42360	http://www.semwebtech.org/mondial/10/country/MEX/	1325578
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Odes´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	33313	http://www.semwebtech.org/mondial/10/country/UA/	2388297
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Namangan	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	7900	http://www.semwebtech.org/mondial/10/country/UZB/	2504100
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Kostromskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	60100	http://www.semwebtech.org/mondial/10/country/R/	656389
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Krasnodarskiy	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	76000	http://www.semwebtech.org/mondial/10/country/R/	5404273
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Atacama	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	75176	http://www.semwebtech.org/mondial/10/country/RCH/	284992
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	La Rioja	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	5045	http://www.semwebtech.org/mondial/10/country/E/	321173
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Cortés	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	3923	http://www.semwebtech.org/mondial/10/country/HCA/	1570291
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Sergipe	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	21910	http://www.semwebtech.org/mondial/10/country/BR/	2219574
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Hebei	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	202700	http://www.semwebtech.org/mondial/10/country/CN/	73326100
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Brandenburg	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	29483	http://www.semwebtech.org/mondial/10/country/D/	2455780
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Kanagawa	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	2415	http://www.semwebtech.org/mondial/10/country/J/	9079000
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Tochigi	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	6408	http://www.semwebtech.org/mondial/10/country/J/	1986000
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Wakayama	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	4726	http://www.semwebtech.org/mondial/10/country/J/	979000
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Fukushima	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	13782	http://www.semwebtech.org/mondial/10/country/J/	1946000
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Gumma	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	6362	http://www.semwebtech.org/mondial/10/country/J/	1984000
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Tambacounda	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	42364	http://www.semwebtech.org/mondial/10/country/SN/	681310
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Glarus	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	685	http://www.semwebtech.org/mondial/10/country/CH/	39593
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	HaMerkaz	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	1294	http://www.semwebtech.org/mondial/10/country/IL/	1814300
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Saga	http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	2439	http://www.semwebtech.org/mondial/10/country/J/	840000
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Hyogo	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	8396	http://www.semwebtech.org/mondial/10/country/J/	5558000
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Basel-Stadt	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	37	http://www.semwebtech.org/mondial/10/country/CH/	189335
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Nidwalden	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	276	http://www.semwebtech.org/mondial/10/country/CH/	41888
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Appenzell Ausserrhoden	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	242	http://www.semwebtech.org/mondial/10/country/CH/	53691
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Jura	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	838	http://www.semwebtech.org/mondial/10/country/CH/	71738
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Pointe-Noire	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	44	http://www.semwebtech.org/mondial/10/country/RCB/	829134
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Táchira	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	10812	http://www.semwebtech.org/mondial/10/country/YV/	1168908
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Aragua	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	7014	http://www.semwebtech.org/mondial/10/country/YV/	1630308
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Apure	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	76500	http://www.semwebtech.org/mondial/10/country/YV/	459025
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Gorontalo	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	11257	http://www.semwebtech.org/mondial/10/country/RI/	1134498
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Oriental	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	82900	http://www.semwebtech.org/mondial/10/country/MA/	2097629
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Bruxelles	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	161	http://www.semwebtech.org/mondial/10/country/B/	1154635
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Shan	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	155801	http://www.semwebtech.org/mondial/10/country/MYA/	5815384
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Qom	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	11526	http://www.semwebtech.org/mondial/10/country/IR/	1151672
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Loreto	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	368851	http://www.semwebtech.org/mondial/10/country/PE/	1006953
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Junín	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	44197	http://www.semwebtech.org/mondial/10/country/PE/	1321407
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Ucayali	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	102410	http://www.semwebtech.org/mondial/10/country/PE/	477616
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Tianjin	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	11300	http://www.semwebtech.org/mondial/10/country/CN/	14722100
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Alagoas	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	27767	http://www.semwebtech.org/mondial/10/country/BR/	3321730
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Veracruz	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	71820	http://www.semwebtech.org/mondial/10/country/MEX/	7643194
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	5801	http://www.semwebtech.org/mondial/10/country/BR/	2852372
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Bursa	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	10886	http://www.semwebtech.org/mondial/10/country/TR/	2688171
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Ordu	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	5952	http://www.semwebtech.org/mondial/10/country/TR/	741371
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Çanakkale	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	9950	http://www.semwebtech.org/mondial/10/country/TR/	493691
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Hakkari	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	7178	http://www.semwebtech.org/mondial/10/country/TR/	279982
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Bolu	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	8323	http://www.semwebtech.org/mondial/10/country/TR/	281080
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Bilecik	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	4306	http://www.semwebtech.org/mondial/10/country/TR/	204116
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Ankara	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	25401	http://www.semwebtech.org/mondial/10/country/TR/	4965542
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Putrajaya	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	49	http://www.semwebtech.org/mondial/10/country/MAL/	67964
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Sarawak	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	124450	http://www.semwebtech.org/mondial/10/country/MAL/	2420009
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Caldas	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	7888	http://www.semwebtech.org/mondial/10/country/CO/	986042
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Zaporiz´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	27183	http://www.semwebtech.org/mondial/10/country/UA/	1791668
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Jizzax	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	20500	http://www.semwebtech.org/mondial/10/country/UZB/	1226800
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Toshkent	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	15000	http://www.semwebtech.org/mondial/10/country/UZB/	2725900
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Adygeya	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	7600	http://www.semwebtech.org/mondial/10/country/R/	446406
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Sakha	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	3083523	http://www.semwebtech.org/mondial/10/country/R/	954803
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Kaluzhskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	29900	http://www.semwebtech.org/mondial/10/country/R/	1004544
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Sakhalin	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	87100	http://www.semwebtech.org/mondial/10/country/R/	491027
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Kurgan	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	71000	http://www.semwebtech.org/mondial/10/country/R/	877149
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	New South Wales	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	800808	http://www.semwebtech.org/mondial/10/country/AUS/	7410399
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Manipur	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	22327	http://www.semwebtech.org/mondial/10/country/IND/	2855794
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Kerala	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	38852	http://www.semwebtech.org/mondial/10/country/IND/	33406061
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Karnataka	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	191791	http://www.semwebtech.org/mondial/10/country/IND/	61095297
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Haryana	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	44212	http://www.semwebtech.org/mondial/10/country/IND/	25351462
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Arunachal Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	83743	http://www.semwebtech.org/mondial/10/country/IND/	1383727
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Punjab	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	50362	http://www.semwebtech.org/mondial/10/country/IND/	27743338
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Puducherry	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	490	http://www.semwebtech.org/mondial/10/country/IND/	1247953
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Tripura	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	10486	http://www.semwebtech.org/mondial/10/country/IND/	3673917
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Dadra and Nagar Haveli	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	491	http://www.semwebtech.org/mondial/10/country/IND/	343709
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Uttarakhand	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	53483	http://www.semwebtech.org/mondial/10/country/IND/	10086292
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Goa	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	3702	http://www.semwebtech.org/mondial/10/country/IND/	1458545
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	West Bengal	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	88752	http://www.semwebtech.org/mondial/10/country/IND/	91276115
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Daman and Diu	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	111	http://www.semwebtech.org/mondial/10/country/IND/	243247
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Odisha	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	155707	http://www.semwebtech.org/mondial/10/country/IND/	41974218
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Meghalaya	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	22429	http://www.semwebtech.org/mondial/10/country/IND/	2966889
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Assam	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	78438	http://www.semwebtech.org/mondial/10/country/IND/	31205576
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Andhra Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	160205	http://www.semwebtech.org/mondial/10/country/IND/	49386799
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Jharkhand	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	79716	http://www.semwebtech.org/mondial/10/country/IND/	32988134
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Himachal Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	55673	http://www.semwebtech.org/mondial/10/country/IND/	6864602
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Mizoram	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	21081	http://www.semwebtech.org/mondial/10/country/IND/	1097206
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Bihar	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	94163	http://www.semwebtech.org/mondial/10/country/IND/	104099452
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Andaman and Nicobar Islands	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	8249	http://www.semwebtech.org/mondial/10/country/IND/	380581
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Kasai-Occidental	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	154742	http://www.semwebtech.org/mondial/10/country/ZRE/	3337000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Bandundu	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	295658	http://www.semwebtech.org/mondial/10/country/ZRE/	5201000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Sud-Kivu	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	69130	http://www.semwebtech.org/mondial/10/country/ZRE/	2837779
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Kasai-Oriental	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	170302	http://www.semwebtech.org/mondial/10/country/ZRE/	3830000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Nord-Kivu	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	59483	http://www.semwebtech.org/mondial/10/country/ZRE/	3564434
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Bas-Congo	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	53920	http://www.semwebtech.org/mondial/10/country/ZRE/	2835000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Katanga	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	496877	http://www.semwebtech.org/mondial/10/country/ZRE/	4125000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Maniema	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	132250	http://www.semwebtech.org/mondial/10/country/ZRE/	1246787
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Kinshasa	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	9965	http://www.semwebtech.org/mondial/10/country/ZRE/	4787000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Equateur	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	403292	http://www.semwebtech.org/mondial/10/country/ZRE/	4820000
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Littoral	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	20248	http://www.semwebtech.org/mondial/10/country/CAM/	2865795
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Ouest	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	13892	http://www.semwebtech.org/mondial/10/country/CAM/	1785285
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Centre	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	68953	http://www.semwebtech.org/mondial/10/country/CAM/	3525664
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Est	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	109002	http://www.semwebtech.org/mondial/10/country/CAM/	801968
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Extrême-Nord	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	34263	http://www.semwebtech.org/mondial/10/country/CAM/	3480414
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Sud	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	47191	http://www.semwebtech.org/mondial/10/country/CAM/	692142
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Adamaoua	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	63701	http://www.semwebtech.org/mondial/10/country/CAM/	1015622
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Nord-Ouest	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	17300	http://www.semwebtech.org/mondial/10/country/CAM/	1804695
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Sud-Ouest	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	25410	http://www.semwebtech.org/mondial/10/country/CAM/	1384286
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Nord	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	66090	http://www.semwebtech.org/mondial/10/country/CAM/	2050229
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Liguria	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	5421	http://www.semwebtech.org/mondial/10/country/I/	1570694
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Piemonte	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	25402	http://www.semwebtech.org/mondial/10/country/I/	4363916
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Umbria	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	8456	http://www.semwebtech.org/mondial/10/country/I/	884268
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Trentino-Alto Adige	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	13606	http://www.semwebtech.org/mondial/10/country/I/	1029475
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Marche	http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	9365	http://www.semwebtech.org/mondial/10/country/I/	1541319
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Sardegna	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	24089	http://www.semwebtech.org/mondial/10/country/I/	1639362
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Lombardia	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	23862	http://www.semwebtech.org/mondial/10/country/I/	9704151
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Molise	http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	4437	http://www.semwebtech.org/mondial/10/country/I/	313660
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Campania	http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	13590	http://www.semwebtech.org/mondial/10/country/I/	5766810
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Veneto	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	18398	http://www.semwebtech.org/mondial/10/country/I/	4857210
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Calabria	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	15080	http://www.semwebtech.org/mondial/10/country/I/	1959050
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Abruzzo	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	10762	http://www.semwebtech.org/mondial/10/country/I/	1307309
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Valle d'Aosta	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	3263	http://www.semwebtech.org/mondial/10/country/I/	126806
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Toscana	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	22993	http://www.semwebtech.org/mondial/10/country/I/	3672202
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Basilicata	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	9994	http://www.semwebtech.org/mondial/10/country/I/	578036
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Friuli-Venezia Giulia	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	7858	http://www.semwebtech.org/mondial/10/country/I/	1218985
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Lazio	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	17235	http://www.semwebtech.org/mondial/10/country/I/	5502886
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Choluteca	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	4360	http://www.semwebtech.org/mondial/10/country/HCA/	459124
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Colón	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	8248	http://www.semwebtech.org/mondial/10/country/HCA/	293540
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Copán	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	3242	http://www.semwebtech.org/mondial/10/country/HCA/	362226
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Francisco Morazán	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	8618	http://www.semwebtech.org/mondial/10/country/HCA/	1433810
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Ocotepeque	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	1630	http://www.semwebtech.org/mondial/10/country/HCA/	132453
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Santa Bárbara	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	5024	http://www.semwebtech.org/mondial/10/country/HCA/	402367
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Comayagua	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	5124	http://www.semwebtech.org/mondial/10/country/HCA/	442251
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	La Paz	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	2330	http://www.semwebtech.org/mondial/10/country/HCA/	196322
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Lempira	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	4234	http://www.semwebtech.org/mondial/10/country/HCA/	315565
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Copperbelt	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	31328	http://www.semwebtech.org/mondial/10/country/Z/	1958623
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Dire Dawa	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	1558	http://www.semwebtech.org/mondial/10/country/ETH/	387000
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Yoro	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	7781	http://www.semwebtech.org/mondial/10/country/HCA/	552100
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Intibucá	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	3122	http://www.semwebtech.org/mondial/10/country/HCA/	232509
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Olancho	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	24057	http://www.semwebtech.org/mondial/10/country/HCA/	509564
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	El Paraíso	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	7489	http://www.semwebtech.org/mondial/10/country/HCA/	427232
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Fatick	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	6849	http://www.semwebtech.org/mondial/10/country/SN/	714392
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Kaolack	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	5357	http://www.semwebtech.org/mondial/10/country/SN/	960875
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Kolda	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	13771	http://www.semwebtech.org/mondial/10/country/SN/	662455
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Dakar	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	547	http://www.semwebtech.org/mondial/10/country/SN/	3137196
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Louga	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	24889	http://www.semwebtech.org/mondial/10/country/SN/	874193
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Saint-Louis	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	19241	http://www.semwebtech.org/mondial/10/country/SN/	908942
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Matam	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	29445	http://www.semwebtech.org/mondial/10/country/SN/	562539
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Ziguinchor	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	7352	http://www.semwebtech.org/mondial/10/country/SN/	549151
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Diourbel	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	4824	http://www.semwebtech.org/mondial/10/country/SN/	1497455
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Kédougou	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	16800	http://www.semwebtech.org/mondial/10/country/SN/	151357
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Kaffrine	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	11262	http://www.semwebtech.org/mondial/10/country/SN/	566992
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Warmińsko-Mazurskie	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	24173	http://www.semwebtech.org/mondial/10/country/PL/	1451950
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Łódzkie	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	18218	http://www.semwebtech.org/mondial/10/country/PL/	2528632
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Świętokrzyskie	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	11710	http://www.semwebtech.org/mondial/10/country/PL/	1275511
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Pomorskie	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	18310	http://www.semwebtech.org/mondial/10/country/PL/	2286746
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Opolskie	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	9411	http://www.semwebtech.org/mondial/10/country/PL/	1012296
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Wielkopolskie	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	29826	http://www.semwebtech.org/mondial/10/country/PL/	3458881
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Podlaskie	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	20187	http://www.semwebtech.org/mondial/10/country/PL/	1199724
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Kujawsko-Pomorskie	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	17971	http://www.semwebtech.org/mondial/10/country/PL/	2097818
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Podkarpackie	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	17845	http://www.semwebtech.org/mondial/10/country/PL/	2128921
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Małopolskie	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	15182	http://www.semwebtech.org/mondial/10/country/PL/	3350350
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Mazowieckie	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	35558	http://www.semwebtech.org/mondial/10/country/PL/	5293224
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Zachodniopomorskie	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	22892	http://www.semwebtech.org/mondial/10/country/PL/	1722149
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Kalmykiya	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	76100	http://www.semwebtech.org/mondial/10/country/R/	282021
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Dolnośląskie	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	19946	http://www.semwebtech.org/mondial/10/country/PL/	2915245
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Hunan	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	210500	http://www.semwebtech.org/mondial/10/country/CN/	66906000
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Duhouk	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	6553	http://www.semwebtech.org/mondial/10/country/IRQ/	1128745
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Maysan	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	16072	http://www.semwebtech.org/mondial/10/country/IRQ/	971448
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Babylon	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	5119	http://www.semwebtech.org/mondial/10/country/IRQ/	1820673
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Erbil	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	15074	http://www.semwebtech.org/mondial/10/country/IRQ/	1612692
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Kerbela	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	5034	http://www.semwebtech.org/mondial/10/country/IRQ/	1066567
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Salah al-Deen	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	24075	http://www.semwebtech.org/mondial/10/country/IRQ/	1408174
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	al-Muthanna	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	51740	http://www.semwebtech.org/mondial/10/country/IRQ/	719069
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Diala	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	17685	http://www.semwebtech.org/mondial/10/country/IRQ/	1443173
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Nineveh	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	37323	http://www.semwebtech.org/mondial/10/country/IRQ/	3270422
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Thi Qar	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	12900	http://www.semwebtech.org/mondial/10/country/IRQ/	1836181
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Wasit	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	17153	http://www.semwebtech.org/mondial/10/country/IRQ/	1210591
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Baghdad	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	4555	http://www.semwebtech.org/mondial/10/country/IRQ/	7055196
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	al-Anbar	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	138288	http://www.semwebtech.org/mondial/10/country/IRQ/	1561407
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Kirkuk	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	9679	http://www.semwebtech.org/mondial/10/country/IRQ/	1395614
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	al-Najaf	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	28824	http://www.semwebtech.org/mondial/10/country/IRQ/	1285484
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basrah	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	19070	http://www.semwebtech.org/mondial/10/country/IRQ/	2531997
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Ash Sharqiyah	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	672522	http://www.semwebtech.org/mondial/10/country/SA/	4105780
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jazan	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	11671	http://www.semwebtech.org/mondial/10/country/SA/	1365110
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Najran	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	149511	http://www.semwebtech.org/mondial/10/country/SA/	505652
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Ha'il	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	103887	http://www.semwebtech.org/mondial/10/country/SA/	597144
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Aseer	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	76693	http://www.semwebtech.org/mondial/10/country/SA/	1913392
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Al-Madinah Al-Monawarah	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	151990	http://www.semwebtech.org/mondial/10/country/SA/	1777933
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Makkah Al-Mokarramah	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	153128	http://www.semwebtech.org/mondial/10/country/SA/	6915006
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Al-Riyadh	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	404240	http://www.semwebtech.org/mondial/10/country/SA/	6777146
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Al-Qaseem	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	58046	http://www.semwebtech.org/mondial/10/country/SA/	1215858
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al-Baha	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	9921	http://www.semwebtech.org/mondial/10/country/SA/	411888
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Nord-Trøndelag	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	22414	http://www.semwebtech.org/mondial/10/country/N/	134443
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Møre og Romsdal	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	15101	http://www.semwebtech.org/mondial/10/country/N/	259404
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Østfold	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	4180	http://www.semwebtech.org/mondial/10/country/N/	282000
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Hordaland	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	15438	http://www.semwebtech.org/mondial/10/country/N/	498135
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Minsk	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	39912	http://www.semwebtech.org/mondial/10/country/BY/	1400717
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Gomel	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	40361	http://www.semwebtech.org/mondial/10/country/BY/	1426674
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Mogilev	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	29079	http://www.semwebtech.org/mondial/10/country/BY/	1075067
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Vitebsk	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	40049	http://www.semwebtech.org/mondial/10/country/BY/	1206022
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Brest	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	32790	http://www.semwebtech.org/mondial/10/country/BY/	1389782
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Minsk City	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	305	http://www.semwebtech.org/mondial/10/country/BY/	1905475
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	HaZafon	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	4473	http://www.semwebtech.org/mondial/10/country/IL/	1257200
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Hefa	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	866	http://www.semwebtech.org/mondial/10/country/IL/	898400
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Tel Aviv	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	172	http://www.semwebtech.org/mondial/10/country/IL/	1277100
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	HaDarom	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	14185	http://www.semwebtech.org/mondial/10/country/IL/	1084200
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Yerushalayim	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	653	http://www.semwebtech.org/mondial/10/country/IL/	924100
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Saitama	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	3798	http://www.semwebtech.org/mondial/10/country/J/	7222000
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Miyazaki	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	7735	http://www.semwebtech.org/mondial/10/country/J/	1120000
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Iwate	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	15278	http://www.semwebtech.org/mondial/10/country/J/	1295000
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Oita	http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	6339	http://www.semwebtech.org/mondial/10/country/J/	1178000
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Hiroshima	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	8479	http://www.semwebtech.org/mondial/10/country/J/	2840000
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Yamaguchi	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	6113	http://www.semwebtech.org/mondial/10/country/J/	1420000
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Shizuoka	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	7780	http://www.semwebtech.org/mondial/10/country/J/	3723000
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Yamagata	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	9323	http://www.semwebtech.org/mondial/10/country/J/	1141000
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Kagawa	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	1876	http://www.semwebtech.org/mondial/10/country/J/	985000
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Kumamoto	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	7404	http://www.semwebtech.org/mondial/10/country/J/	1801000
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Tokyo	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	2187	http://www.semwebtech.org/mondial/10/country/J/	13300000
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Kyoto	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	4613	http://www.semwebtech.org/mondial/10/country/J/	2617000
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Aichi	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	5165	http://www.semwebtech.org/mondial/10/country/J/	7443000
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Niigata	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	12583	http://www.semwebtech.org/mondial/10/country/J/	2330000
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Rostovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	100800	http://www.semwebtech.org/mondial/10/country/R/	4245532
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Toyama	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	4247	http://www.semwebtech.org/mondial/10/country/J/	1076000
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Scotland	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	78133	http://www.semwebtech.org/mondial/10/country/GB/	5327700
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabouk	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	146072	http://www.semwebtech.org/mondial/10/country/SA/	791535
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Mato Grosso do Sul	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	357125	http://www.semwebtech.org/mondial/10/country/BR/	2619657
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Mykolaïvs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	24585	http://www.semwebtech.org/mondial/10/country/UA/	1178223
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Tottori	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	3507	http://www.semwebtech.org/mondial/10/country/J/	578000
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Ibaraki	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	6095	http://www.semwebtech.org/mondial/10/country/J/	2931000
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Aargau	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	1403	http://www.semwebtech.org/mondial/10/country/CH/	636362
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Sankt Gallen	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	2025	http://www.semwebtech.org/mondial/10/country/CH/	491699
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Wisconsin	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	140268	http://www.semwebtech.org/mondial/10/country/USA/	5757564
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Düzce	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	2592	http://www.semwebtech.org/mondial/10/country/TR/	346493
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Maryland	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	25142	http://www.semwebtech.org/mondial/10/country/USA/	5976407
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Bafing	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	9033	http://www.semwebtech.org/mondial/10/country/CI/	139251
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Republika Srpska	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	24857	http://www.semwebtech.org/mondial/10/country/BIH/	1326991
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Lékoumou	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	20950	http://www.semwebtech.org/mondial/10/country/RCB/	85617
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Harari	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	333	http://www.semwebtech.org/mondial/10/country/ETH/	210000
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Zulia	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	50230	http://www.semwebtech.org/mondial/10/country/YV/	3704404
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Guárico	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	64986	http://www.semwebtech.org/mondial/10/country/YV/	747739
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Bengkulu	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	19919	http://www.semwebtech.org/mondial/10/country/RI/	1828291
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Kuopio	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	\N	http://www.semwebtech.org/mondial/10/country/SF/	252000
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Zeeland	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	2933	http://www.semwebtech.org/mondial/10/country/NL/	380735
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Qazvin	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	15567	http://www.semwebtech.org/mondial/10/country/IR/	1201565
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Arequipa	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	63345	http://www.semwebtech.org/mondial/10/country/PE/	1245251
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarem	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	6747	http://www.semwebtech.org/mondial/10/country/P/	442700
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Erzincan	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	11727	http://www.semwebtech.org/mondial/10/country/TR/	217886
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Mersin	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	15512	http://www.semwebtech.org/mondial/10/country/TR/	1682848
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Eskişehir	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	13902	http://www.semwebtech.org/mondial/10/country/TR/	789750
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Denizli	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	11804	http://www.semwebtech.org/mondial/10/country/TR/	950557
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Haeme	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	\N	http://www.semwebtech.org/mondial/10/country/SF/	662000
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Çankırı	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	7491	http://www.semwebtech.org/mondial/10/country/TR/	184406
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Guerrero	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	63620	http://www.semwebtech.org/mondial/10/country/MEX/	3388768
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Tlaxcala	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	3991	http://www.semwebtech.org/mondial/10/country/MEX/	1169936
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Vichada	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	100242	http://www.semwebtech.org/mondial/10/country/CO/	70260
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	New Mexico	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	314161	http://www.semwebtech.org/mondial/10/country/USA/	2085572
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Saarland	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	2568	http://www.semwebtech.org/mondial/10/country/D/	999623
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Mecklenburg-Vorpommern	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	23194	http://www.semwebtech.org/mondial/10/country/D/	1609982
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Voronezhskaya	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	52400	http://www.semwebtech.org/mondial/10/country/R/	2328959
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Orlovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	24700	http://www.semwebtech.org/mondial/10/country/R/	769980
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt-Peterburg	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	1431	http://www.semwebtech.org/mondial/10/country/R/	5131942
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Dagestan	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	50300	http://www.semwebtech.org/mondial/10/country/R/	2963918
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Valparaíso	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	16396	http://www.semwebtech.org/mondial/10/country/RCH/	1697581
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Tagant	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	98340	http://www.semwebtech.org/mondial/10/country/RIM/	80962
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Kalmar	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	11217	http://www.semwebtech.org/mondial/10/country/S/	233548
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Corrientes	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	88199	http://www.semwebtech.org/mondial/10/country/RA/	1059836
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Entre Ríos	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	78781	http://www.semwebtech.org/mondial/10/country/RA/	1308290
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Corse	http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	8679	http://www.semwebtech.org/mondial/10/country/F/	314486
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Tokushima	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	4146	http://www.semwebtech.org/mondial/10/country/J/	770000
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Shiga	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	4017	http://www.semwebtech.org/mondial/10/country/J/	1416000
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Kagoshima	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	9188	http://www.semwebtech.org/mondial/10/country/J/	1680000
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Ishikawa	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	4185	http://www.semwebtech.org/mondial/10/country/J/	1159000
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Yamanashi	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	4465	http://www.semwebtech.org/mondial/10/country/J/	847000
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Miyagi	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	7285	http://www.semwebtech.org/mondial/10/country/J/	2328000
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Gifu	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	10621	http://www.semwebtech.org/mondial/10/country/J/	2051000
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Kochi	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	7105	http://www.semwebtech.org/mondial/10/country/J/	745000
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Osaka	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	1898	http://www.semwebtech.org/mondial/10/country/J/	8849000
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Nagano	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	13562	http://www.semwebtech.org/mondial/10/country/J/	2122000
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Fukuoka	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	4977	http://www.semwebtech.org/mondial/10/country/J/	5090000
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Mie	http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	5777	http://www.semwebtech.org/mondial/10/country/J/	1833000
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Akita	http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	11636	http://www.semwebtech.org/mondial/10/country/J/	1050000
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Shimane	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	6707	http://www.semwebtech.org/mondial/10/country/J/	702000
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Kemerov	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	95500	http://www.semwebtech.org/mondial/10/country/R/	2734075
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Ehime	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	5678	http://www.semwebtech.org/mondial/10/country/J/	1405000
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Hokkaido	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	83456	http://www.semwebtech.org/mondial/10/country/J/	5431000
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Okinawa	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	2276	http://www.semwebtech.org/mondial/10/country/J/	1415000
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Aomori	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	9644	http://www.semwebtech.org/mondial/10/country/J/	1335000
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Valais	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	5224	http://www.semwebtech.org/mondial/10/country/CH/	327011
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Uri	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	1076	http://www.semwebtech.org/mondial/10/country/CH/	35865
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Appenzell Innerrhoden	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	172	http://www.semwebtech.org/mondial/10/country/CH/	15778
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Obwalden	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	490	http://www.semwebtech.org/mondial/10/country/CH/	36507
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Zug	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	238	http://www.semwebtech.org/mondial/10/country/CH/	118118
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Luzern	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	1493	http://www.semwebtech.org/mondial/10/country/CH/	390349
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Graubünden	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	7105	http://www.semwebtech.org/mondial/10/country/CH/	194959
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Zürich	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	1728	http://www.semwebtech.org/mondial/10/country/CH/	1425538
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Schwyz	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	908	http://www.semwebtech.org/mondial/10/country/CH/	151396
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Schaffhausen	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	298	http://www.semwebtech.org/mondial/10/country/CH/	78783
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Bern	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	5959	http://www.semwebtech.org/mondial/10/country/CH/	1001281
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Basel-Landschaft	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	517	http://www.semwebtech.org/mondial/10/country/CH/	278656
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Neuchâtel	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	803	http://www.semwebtech.org/mondial/10/country/CH/	176402
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Thurgau	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	990	http://www.semwebtech.org/mondial/10/country/CH/	260278
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Fribourg	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	1670	http://www.semwebtech.org/mondial/10/country/CH/	297622
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Ticino	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	2812	http://www.semwebtech.org/mondial/10/country/CH/	346539
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Khatlon	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	24600	http://www.semwebtech.org/mondial/10/country/TAD/	2898600
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Gorno-Badakhshan	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	64100	http://www.semwebtech.org/mondial/10/country/TAD/	212100
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Sughd	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	25200	http://www.semwebtech.org/mondial/10/country/TAD/	2400600
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Regions of Republican Subordination	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	28600	http://www.semwebtech.org/mondial/10/country/TAD/	1874000
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Pando	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	63827	http://www.semwebtech.org/mondial/10/country/BOL/	110436
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Espírito Santo	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	46077	http://www.semwebtech.org/mondial/10/country/BR/	3885049
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Pará	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	1247689	http://www.semwebtech.org/mondial/10/country/BR/	8073924
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Metro Manila	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	633	http://www.semwebtech.org/mondial/10/country/RP/	11855975
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Azores	http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	2247	http://www.semwebtech.org/mondial/10/country/P/	236700
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Cochabamba	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	55631	http://www.semwebtech.org/mondial/10/country/BOL/	1758143
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Chuquisaca	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	51524	http://www.semwebtech.org/mondial/10/country/BOL/	576153
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Sachsen	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	18419	http://www.semwebtech.org/mondial/10/country/D/	4056799
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Sindh	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	140914	http://www.semwebtech.org/mondial/10/country/PK/	30439893
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Potosí	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	118218	http://www.semwebtech.org/mondial/10/country/BOL/	823517
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Oruro	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	53588	http://www.semwebtech.org/mondial/10/country/BOL/	494178
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Santa Cruz	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	370621	http://www.semwebtech.org/mondial/10/country/BOL/	2655084
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	La Habana	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	728	http://www.semwebtech.org/mondial/10/country/C/	2154454
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Bas-Sassandra	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	26969	http://www.semwebtech.org/mondial/10/country/CI/	1395233
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	N'zi-Comoé	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	19480	http://www.semwebtech.org/mondial/10/country/CI/	633922
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Jiangsu	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	102600	http://www.semwebtech.org/mondial/10/country/CN/	79394900
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Buxoro	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	39400	http://www.semwebtech.org/mondial/10/country/UZB/	1756400
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Aksaray	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	7965	http://www.semwebtech.org/mondial/10/country/TR/	379915
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Karaman	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	8868	http://www.semwebtech.org/mondial/10/country/TR/	235424
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Kırıkkale	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	4569	http://www.semwebtech.org/mondial/10/country/TR/	274727
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Adıyaman	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	7606	http://www.semwebtech.org/mondial/10/country/TR/	595261
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Moyen-Comoé	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	6900	http://www.semwebtech.org/mondial/10/country/CI/	394741
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Montagnes	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	16600	http://www.semwebtech.org/mondial/10/country/CI/	936502
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Lacs	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	8663	http://www.semwebtech.org/mondial/10/country/CI/	476173
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Zanzan	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	38131	http://www.semwebtech.org/mondial/10/country/CI/	700999
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Lagunes	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	12949	http://www.semwebtech.org/mondial/10/country/CI/	3733362
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Moyen-Cavally	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	14150	http://www.semwebtech.org/mondial/10/country/CI/	508728
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Vallée du Bandama	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	28200	http://www.semwebtech.org/mondial/10/country/CI/	1080432
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Sud-Bandama	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	10727	http://www.semwebtech.org/mondial/10/country/CI/	682021
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Agnéby	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	9093	http://www.semwebtech.org/mondial/10/country/CI/	525211
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Sud-Comoé	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	7619	http://www.semwebtech.org/mondial/10/country/CI/	459367
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Savanes	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	40430	http://www.semwebtech.org/mondial/10/country/CI/	929673
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Worodougou	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	22195	http://www.semwebtech.org/mondial/10/country/CI/	378463
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Denguélé	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	21000	http://www.semwebtech.org/mondial/10/country/CI/	222446
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Haut-Sassandra	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	22195	http://www.semwebtech.org/mondial/10/country/CI/	1071977
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Marahoué	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	9114	http://www.semwebtech.org/mondial/10/country/CI/	554805
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Midtjylland	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	13124	http://www.semwebtech.org/mondial/10/country/DK/	1266682
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Minnesota	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	206232	http://www.semwebtech.org/mondial/10/country/USA/	5457173
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Western	http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	23921	http://www.semwebtech.org/mondial/10/country/GH/	2376021
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Dimashq	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	105	http://www.semwebtech.org/mondial/10/country/SYR/	1733000
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Osun	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	8699	http://www.semwebtech.org/mondial/10/country/WAN/	3999800
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Somali	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	327068	http://www.semwebtech.org/mondial/10/country/ETH/	5148989
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Carabobo	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	4369	http://www.semwebtech.org/mondial/10/country/YV/	2245744
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	West Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	151339	http://www.semwebtech.org/mondial/10/country/KAZ/	624001
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Marrakech Tensift Al Haouz	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	31160	http://www.semwebtech.org/mondial/10/country/MA/	3576643
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Niederösterreich	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	19186	http://www.semwebtech.org/mondial/10/country/A/	1625400
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Ardebil	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	17800	http://www.semwebtech.org/mondial/10/country/IR/	1248488
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Piura	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	35892	http://www.semwebtech.org/mondial/10/country/PE/	1799607
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Porto	http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	2395	http://www.semwebtech.org/mondial/10/country/P/	1622300
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Qinghai	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	721000	http://www.semwebtech.org/mondial/10/country/CN/	5777900
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Santiago de Cuba	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	6227	http://www.semwebtech.org/mondial/10/country/C/	1053837
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Muş	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	8067	http://www.semwebtech.org/mondial/10/country/TR/	413260
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Konya	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	40813	http://www.semwebtech.org/mondial/10/country/TR/	2052281
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Nuevo Léon	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	64220	http://www.semwebtech.org/mondial/10/country/MEX/	4653458
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Yucatán	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	39612	http://www.semwebtech.org/mondial/10/country/MEX/	1955577
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Luhans´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	26683	http://www.semwebtech.org/mondial/10/country/UA/	2272676
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Kirovohrads´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	24588	http://www.semwebtech.org/mondial/10/country/UA/	1002420
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	New Hampshire	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	23187	http://www.semwebtech.org/mondial/10/country/USA/	1326813
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Bremen	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	419	http://www.semwebtech.org/mondial/10/country/D/	650863
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Tverskaya	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	84100	http://www.semwebtech.org/mondial/10/country/R/	1325249
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Chuvash	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	18300	http://www.semwebtech.org/mondial/10/country/R/	1239984
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Gorgol	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	13600	http://www.semwebtech.org/mondial/10/country/RIM/	335917
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Norrbotten	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	98244	http://www.semwebtech.org/mondial/10/country/S/	248637
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Dalarna	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	28188	http://www.semwebtech.org/mondial/10/country/S/	276555
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Västernorrland	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	21683	http://www.semwebtech.org/mondial/10/country/S/	241981
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Córdoba	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	165321	http://www.semwebtech.org/mondial/10/country/RA/	3528687
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	San Juan	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	89651	http://www.semwebtech.org/mondial/10/country/RA/	730408
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Jujuy	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	53219	http://www.semwebtech.org/mondial/10/country/RA/	718971
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Bourgogne	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	31581	http://www.semwebtech.org/mondial/10/country/F/	1642734
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Coquimbo	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	40579	http://www.semwebtech.org/mondial/10/country/RCH/	687806
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Guangdong	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	197100	http://www.semwebtech.org/mondial/10/country/CN/	106440000
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Chihuahua	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	247455	http://www.semwebtech.org/mondial/10/country/MEX/	3406465
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Northern Cape	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	372889	http://www.semwebtech.org/mondial/10/country/RSA/	1145861
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Eastern	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	69106	http://www.semwebtech.org/mondial/10/country/Z/	1707731
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Rhode Island	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	2678	http://www.semwebtech.org/mondial/10/country/USA/	1055173
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Jiangxi	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	164800	http://www.semwebtech.org/mondial/10/country/CN/	45221500
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Affar	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	72052	http://www.semwebtech.org/mondial/10/country/ETH/	1602995
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Oromia	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	298164	http://www.semwebtech.org/mondial/10/country/ETH/	31294992
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Benishangul-Gumuz	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	50698	http://www.semwebtech.org/mondial/10/country/ETH/	982004
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	183500	http://www.semwebtech.org/mondial/10/country/YV/	146480
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Almaty	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	223924	http://www.semwebtech.org/mondial/10/country/KAZ/	1985529
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Finnmark	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	48631	http://www.semwebtech.org/mondial/10/country/N/	74534
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Vestfold	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	2225	http://www.semwebtech.org/mondial/10/country/N/	238748
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Pardubický	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	4518	http://www.semwebtech.org/mondial/10/country/CZ/	518228
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Karlovarský	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	3314	http://www.semwebtech.org/mondial/10/country/CZ/	310245
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Ayeyarwady	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	35031	http://www.semwebtech.org/mondial/10/country/MYA/	6175123
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Yangon	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	10276	http://www.semwebtech.org/mondial/10/country/MYA/	7355075
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Fars	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	122608	http://www.semwebtech.org/mondial/10/country/IR/	4596658
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Ilam	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	20133	http://www.semwebtech.org/mondial/10/country/IR/	557599
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Madre de Dios	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	85300	http://www.semwebtech.org/mondial/10/country/PE/	127639
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Ica	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	21327	http://www.semwebtech.org/mondial/10/country/PE/	763558
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Coimbra	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	3947	http://www.semwebtech.org/mondial/10/country/P/	427600
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Santa Catarina	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	95346	http://www.semwebtech.org/mondial/10/country/BR/	6727148
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	1570745	http://www.semwebtech.org/mondial/10/country/BR/	3873743
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Roraima	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	224298	http://www.semwebtech.org/mondial/10/country/BR/	496936
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Matanzas	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	11791	http://www.semwebtech.org/mondial/10/country/C/	697314
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Şırnak	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	7151	http://www.semwebtech.org/mondial/10/country/TR/	466982
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyonkarahisar	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	14718	http://www.semwebtech.org/mondial/10/country/TR/	703948
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Morelos	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	4892	http://www.semwebtech.org/mondial/10/country/MEX/	1777227
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	La Guajira	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	20848	http://www.semwebtech.org/mondial/10/country/CO/	930143
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Bolívar	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	25978	http://www.semwebtech.org/mondial/10/country/CO/	2073004
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Louisiana	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	111898	http://www.semwebtech.org/mondial/10/country/USA/	4649676
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Sums´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	23832	http://www.semwebtech.org/mondial/10/country/UA/	1152333
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Vermont	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	23871	http://www.semwebtech.org/mondial/10/country/USA/	626562
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Alabama	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	131171	http://www.semwebtech.org/mondial/10/country/USA/	4849377
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	District of Columbia	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	158	http://www.semwebtech.org/mondial/10/country/USA/	658893
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Khabarov	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	752600	http://www.semwebtech.org/mondial/10/country/R/	1339912
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Buryat	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	351300	http://www.semwebtech.org/mondial/10/country/R/	973860
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Jewish ao.	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	36266	http://www.semwebtech.org/mondial/10/country/R/	170377
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Maule	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	30296	http://www.semwebtech.org/mondial/10/country/RCH/	955048
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Bío-Bío	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	37068	http://www.semwebtech.org/mondial/10/country/RCH/	1950482
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Magallanes	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	116437	http://www.semwebtech.org/mondial/10/country/RCH/	155332
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Tasmania	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	68018	http://www.semwebtech.org/mondial/10/country/AUS/	513159
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Maradi	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	41796	http://www.semwebtech.org/mondial/10/country/RN/	3402094
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Uppsala	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	8207	http://www.semwebtech.org/mondial/10/country/S/	341977
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Västerbotten	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	55186	http://www.semwebtech.org/mondial/10/country/S/	260217
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Neuquén	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	94078	http://www.semwebtech.org/mondial/10/country/RA/	610449
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Santa Fe	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	133007	http://www.semwebtech.org/mondial/10/country/RA/	3369365
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	203	http://www.semwebtech.org/mondial/10/country/RA/	3049229
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Haute-Normandie	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	12317	http://www.semwebtech.org/mondial/10/country/F/	1839393
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Midi-Pyrénées	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	45347	http://www.semwebtech.org/mondial/10/country/F/	2903420
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Basse Normandie	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	17589	http://www.semwebtech.org/mondial/10/country/F/	1475684
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Federacija Bosne i Hercegovine	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	26110	http://www.semwebtech.org/mondial/10/country/BIH/	2371603
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	New Jersey	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	19047	http://www.semwebtech.org/mondial/10/country/USA/	8938175
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Arkhangel´skaya	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	587400	http://www.semwebtech.org/mondial/10/country/R/	1191785
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Kaliningradskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	15100	http://www.semwebtech.org/mondial/10/country/R/	963128
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Hodh Chargui	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	182700	http://www.semwebtech.org/mondial/10/country/RIM/	430668
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Tahoua	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	113371	http://www.semwebtech.org/mondial/10/country/RN/	3328365
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Diffa	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	156906	http://www.semwebtech.org/mondial/10/country/RN/	593821
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Jämtland	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	49341	http://www.semwebtech.org/mondial/10/country/S/	126201
http://www.semwebtech.org/mondial/10/country/GB/province/London/	London	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	1572	http://www.semwebtech.org/mondial/10/country/GB/	8416535
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	North West	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	14105	http://www.semwebtech.org/mondial/10/country/GB/	7103260
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	North East	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	8573	http://www.semwebtech.org/mondial/10/country/GB/	2610481
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	La Rioja	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	89680	http://www.semwebtech.org/mondial/10/country/RA/	362605
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Brčko	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	493	http://www.semwebtech.org/mondial/10/country/BIH/	93028
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Volta	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	20570	http://www.semwebtech.org/mondial/10/country/GH/	2118252
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Northern	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	70384	http://www.semwebtech.org/mondial/10/country/GH/	2479461
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Greater Accra	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	3245	http://www.semwebtech.org/mondial/10/country/GH/	4010054
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Ashanti	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	24389	http://www.semwebtech.org/mondial/10/country/GH/	4780380
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Brong Ahafo	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	39557	http://www.semwebtech.org/mondial/10/country/GH/	2310983
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Upper West	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	18476	http://www.semwebtech.org/mondial/10/country/GH/	702110
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Eastern	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	19323	http://www.semwebtech.org/mondial/10/country/GH/	2633154
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Central	http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	9826	http://www.semwebtech.org/mondial/10/country/GH/	2201863
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Upper East	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	8842	http://www.semwebtech.org/mondial/10/country/GH/	1046545
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Emberá	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	4393	http://www.semwebtech.org/mondial/10/country/PA/	10001
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Panamá	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	11289	http://www.semwebtech.org/mondial/10/country/PA/	1713070
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Kuna Yala	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	2358	http://www.semwebtech.org/mondial/10/country/PA/	33109
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Madrid	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	8022	http://www.semwebtech.org/mondial/10/country/E/	6421874
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Veraguas	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	10587	http://www.semwebtech.org/mondial/10/country/PA/	226991
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Darién	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	11892	http://www.semwebtech.org/mondial/10/country/PA/	48378
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Bocas del Toro	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	4657	http://www.semwebtech.org/mondial/10/country/PA/	125461
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Ngöbe Buglé	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	6814	http://www.semwebtech.org/mondial/10/country/PA/	156747
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Coclé	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	4946	http://www.semwebtech.org/mondial/10/country/PA/	233708
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Chiriquí	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	6490	http://www.semwebtech.org/mondial/10/country/PA/	416873
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Tartus	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	1892	http://www.semwebtech.org/mondial/10/country/SYR/	785000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Al Hasakah	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	23334	http://www.semwebtech.org/mondial/10/country/SYR/	1477000
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Dar`a	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	3730	http://www.semwebtech.org/mondial/10/country/SYR/	998000
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Ar Raqqah	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	19616	http://www.semwebtech.org/mondial/10/country/SYR/	921000
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hamah	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	8883	http://www.semwebtech.org/mondial/10/country/SYR/	1593000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Al Ladhiqiyah	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	2297	http://www.semwebtech.org/mondial/10/country/SYR/	991000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Al Qunaytirah	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	1861	http://www.semwebtech.org/mondial/10/country/SYR/	87000
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Halab	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	18500	http://www.semwebtech.org/mondial/10/country/SYR/	4744000
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	As Suwayda'	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	5550	http://www.semwebtech.org/mondial/10/country/SYR/	364000
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Rif Dimashq	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	18032	http://www.semwebtech.org/mondial/10/country/SYR/	2744000
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Dayr az Zawr	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	33060	http://www.semwebtech.org/mondial/10/country/SYR/	1202000
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Akhal	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	97428	http://www.semwebtech.org/mondial/10/country/TM/	779400
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Balkan	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	138500	http://www.semwebtech.org/mondial/10/country/TM/	477600
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Lebap	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	93800	http://www.semwebtech.org/mondial/10/country/TM/	1147000
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Ashgabat	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	100	http://www.semwebtech.org/mondial/10/country/TM/	712000
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Dashhowuz	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	73600	http://www.semwebtech.org/mondial/10/country/TM/	1183100
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Mary	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	86800	http://www.semwebtech.org/mondial/10/country/TM/	1271200
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Likouala	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	66044	http://www.semwebtech.org/mondial/10/country/RCB/	97206
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Pool	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	33955	http://www.semwebtech.org/mondial/10/country/RCB/	436786
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Niari	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	25942	http://www.semwebtech.org/mondial/10/country/RCB/	255120
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Cuvette-Ouest	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	26600	http://www.semwebtech.org/mondial/10/country/RCB/	59728
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Andalucía	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	87585	http://www.semwebtech.org/mondial/10/country/E/	8371271
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	East of England	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	19108	http://www.semwebtech.org/mondial/10/country/GB/	5954169
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Auvergne	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	26012	http://www.semwebtech.org/mondial/10/country/F/	1350682
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Nitriansky	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	6343	http://www.semwebtech.org/mondial/10/country/SK/	689867
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Trnavský	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	4145	http://www.semwebtech.org/mondial/10/country/SK/	554741
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Košický	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	6753	http://www.semwebtech.org/mondial/10/country/SK/	791723
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Bratislavský	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	2052	http://www.semwebtech.org/mondial/10/country/SK/	602436
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Trenčiansky	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	4502	http://www.semwebtech.org/mondial/10/country/SK/	594328
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Žilinský	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	6808	http://www.semwebtech.org/mondial/10/country/SK/	688851
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Banskobystrický	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	9453	http://www.semwebtech.org/mondial/10/country/SK/	660563
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Prešovský	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	8973	http://www.semwebtech.org/mondial/10/country/SK/	814527
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Cuvette	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	48250	http://www.semwebtech.org/mondial/10/country/RCB/	152433
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Brazzaville	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	100	http://www.semwebtech.org/mondial/10/country/RCB/	1408150
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Sangha	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	55800	http://www.semwebtech.org/mondial/10/country/RCB/	81326
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Plateaux	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	38400	http://www.semwebtech.org/mondial/10/country/RCB/	192596
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Bouenza	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	12265	http://www.semwebtech.org/mondial/10/country/RCB/	319570
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Central	http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	94394	http://www.semwebtech.org/mondial/10/country/Z/	1267803
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	North-Western	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	125826	http://www.semwebtech.org/mondial/10/country/Z/	706462
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Southern	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	85283	http://www.semwebtech.org/mondial/10/country/Z/	1606793
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Lusaka	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	21896	http://www.semwebtech.org/mondial/10/country/Z/	2198996
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambella	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	29782	http://www.semwebtech.org/mondial/10/country/ETH/	385997
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Addis Ababa	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	526	http://www.semwebtech.org/mondial/10/country/ETH/	3041002
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Amhara	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	154708	http://www.semwebtech.org/mondial/10/country/ETH/	18866002
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Sucre	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	11800	http://www.semwebtech.org/mondial/10/country/YV/	896291
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Cojedes	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	14800	http://www.semwebtech.org/mondial/10/country/YV/	323165
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Lara	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	19800	http://www.semwebtech.org/mondial/10/country/YV/	1774867
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	433	http://www.semwebtech.org/mondial/10/country/YV/	1943901
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Portuguesa	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	15200	http://www.semwebtech.org/mondial/10/country/YV/	876496
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Bolívar	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	240528	http://www.semwebtech.org/mondial/10/country/YV/	1410964
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Barinas	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	35200	http://www.semwebtech.org/mondial/10/country/YV/	816264
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Vargas	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	1172	http://www.semwebtech.org/mondial/10/country/YV/	352920
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Falcón	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	24800	http://www.semwebtech.org/mondial/10/country/YV/	902847
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Nueva Esparta	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	1151	http://www.semwebtech.org/mondial/10/country/YV/	491610
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Miranda	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	7950	http://www.semwebtech.org/mondial/10/country/YV/	2675165
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Monagas	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	28900	http://www.semwebtech.org/mondial/10/country/YV/	905443
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Yaracuy	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	7100	http://www.semwebtech.org/mondial/10/country/YV/	600852
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Mérida	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	11300	http://www.semwebtech.org/mondial/10/country/YV/	828592
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Anzoátegui	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	43300	http://www.semwebtech.org/mondial/10/country/YV/	1469747
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Delta Amacuro	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	40200	http://www.semwebtech.org/mondial/10/country/YV/	167676
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Atyrau	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	118631	http://www.semwebtech.org/mondial/10/country/KAZ/	567938
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Almaty City	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	319	http://www.semwebtech.org/mondial/10/country/KAZ/	1507737
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Baikonur	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	57	http://www.semwebtech.org/mondial/10/country/KAZ/	\N
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	East-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	283226	http://www.semwebtech.org/mondial/10/country/KAZ/	1394114
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Pavlodar	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	124800	http://www.semwebtech.org/mondial/10/country/KAZ/	752977
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	North-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	97993	http://www.semwebtech.org/mondial/10/country/KAZ/	575746
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Mangistau	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	165642	http://www.semwebtech.org/mondial/10/country/KAZ/	587440
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Astana	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	710	http://www.semwebtech.org/mondial/10/country/KAZ/	814401
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanai	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	196001	http://www.semwebtech.org/mondial/10/country/KAZ/	880889
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Kyzylorda	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	226019	http://www.semwebtech.org/mondial/10/country/KAZ/	740389
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Zhambyl	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	144264	http://www.semwebtech.org/mondial/10/country/KAZ/	1084987
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	South-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	117249	http://www.semwebtech.org/mondial/10/country/KAZ/	2734734
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Bali	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	5780	http://www.semwebtech.org/mondial/10/country/RI/	4225384
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Sumatera Utara	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	72981	http://www.semwebtech.org/mondial/10/country/RI/	13527937
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Nusa Tenggara Timur	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	48718	http://www.semwebtech.org/mondial/10/country/RI/	5070746
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Jawa Tengah	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	32800	http://www.semwebtech.org/mondial/10/country/RI/	32779832
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Nusa Tenggara Barat	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	18572	http://www.semwebtech.org/mondial/10/country/RI/	4702389
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Sulawesi Barat	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	16787	http://www.semwebtech.org/mondial/10/country/RI/	1284620
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Sulawesi Selatan	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	46717	http://www.semwebtech.org/mondial/10/country/RI/	8395747
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Kepulauan Riau	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	8201	http://www.semwebtech.org/mondial/10/country/RI/	2031895
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Papua Barat	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	97024	http://www.semwebtech.org/mondial/10/country/RI/	877437
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Kalimantan Barat	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	147307	http://www.semwebtech.org/mondial/10/country/RI/	4546439
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Sulawesi Tenggara	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	38067	http://www.semwebtech.org/mondial/10/country/RI/	2417962
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Maluku	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	46914	http://www.semwebtech.org/mondial/10/country/RI/	1708190
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Maluku Utara	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	31982	http://www.semwebtech.org/mondial/10/country/RI/	1141561
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Jawa Timur	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	47799	http://www.semwebtech.org/mondial/10/country/RI/	38529481
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Aceh	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	57956	http://www.semwebtech.org/mondial/10/country/RI/	4731705
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Sumatera Selatan	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	91592	http://www.semwebtech.org/mondial/10/country/RI/	7996535
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Jambi	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	50058	http://www.semwebtech.org/mondial/10/country/RI/	3412459
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Sulawesi Tengah	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	61841	http://www.semwebtech.org/mondial/10/country/RI/	2839290
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Kalimantan Selatan	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	38744	http://www.semwebtech.org/mondial/10/country/RI/	3913908
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	DI Yogyakarta	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	3133	http://www.semwebtech.org/mondial/10/country/RI/	3594290
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Lampung	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	34623	http://www.semwebtech.org/mondial/10/country/RI/	7972246
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Kalimantan Tengah	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	153564	http://www.semwebtech.org/mondial/10/country/RI/	2368654
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Papua	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	319036	http://www.semwebtech.org/mondial/10/country/RI/	3486432
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Catamarca	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	102602	http://www.semwebtech.org/mondial/10/country/RA/	393088
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	São Paulo	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	248209	http://www.semwebtech.org/mondial/10/country/BR/	44035304
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Villa Clara	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	8411	http://www.semwebtech.org/mondial/10/country/C/	783708
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Sumatera Barat	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	42012	http://www.semwebtech.org/mondial/10/country/RI/	5098790
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Bayern	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	70550	http://www.semwebtech.org/mondial/10/country/D/	12397614
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Praha	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	496	http://www.semwebtech.org/mondial/10/country/CZ/	1272690
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Olomoucký	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	5266	http://www.semwebtech.org/mondial/10/country/CZ/	639946
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Mon	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	12296	http://www.semwebtech.org/mondial/10/country/MYA/	2050282
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamedan	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	19368	http://www.semwebtech.org/mondial/10/country/IR/	1758268
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Ayacucho	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	43814	http://www.semwebtech.org/mondial/10/country/PE/	666029
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Lima	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	32126	http://www.semwebtech.org/mondial/10/country/PE/	913734
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Algarve	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	4960	http://www.semwebtech.org/mondial/10/country/P/	340100
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Viseu	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	5007	http://www.semwebtech.org/mondial/10/country/P/	401000
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Leiria	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	3515	http://www.semwebtech.org/mondial/10/country/P/	427800
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Braga	http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	2673	http://www.semwebtech.org/mondial/10/country/P/	746100
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Castelo Branco	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	6675	http://www.semwebtech.org/mondial/10/country/P/	214700
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Ningxia	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	66400	http://www.semwebtech.org/mondial/10/country/CN/	6541900
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Camagüey	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	15386	http://www.semwebtech.org/mondial/10/country/C/	768311
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Van	http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	19414	http://www.semwebtech.org/mondial/10/country/TR/	1051975
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Artvin	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	7367	http://www.semwebtech.org/mondial/10/country/TR/	167082
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Gümüşhane	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	6437	http://www.semwebtech.org/mondial/10/country/TR/	135216
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Karabük	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	4108	http://www.semwebtech.org/mondial/10/country/TR/	225145
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Giresun	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	6831	http://www.semwebtech.org/mondial/10/country/TR/	419555
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Sabah	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	73631	http://www.semwebtech.org/mondial/10/country/MAL/	3120040
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Pahang	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	36137	http://www.semwebtech.org/mondial/10/country/MAL/	1443365
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Sonora	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	179502	http://www.semwebtech.org/mondial/10/country/MEX/	2662480
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Putumayo	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	24885	http://www.semwebtech.org/mondial/10/country/CO/	341034
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	109665	http://www.semwebtech.org/mondial/10/country/CO/	75388
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Norte de Santander	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	21658	http://www.semwebtech.org/mondial/10/country/CO/	1344038
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Vinnyts´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	26492	http://www.semwebtech.org/mondial/10/country/UA/	1634187
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Khersons´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	28461	http://www.semwebtech.org/mondial/10/country/UA/	1083367
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	KwaZulu-Natal	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	94361	http://www.semwebtech.org/mondial/10/country/RSA/	10267300
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Massachusetts	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	20202	http://www.semwebtech.org/mondial/10/country/USA/	6745408
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Nebraska	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	198974	http://www.semwebtech.org/mondial/10/country/USA/	1881503
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Navoiy	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	110800	http://www.semwebtech.org/mondial/10/country/UZB/	901100
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Kurskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	29800	http://www.semwebtech.org/mondial/10/country/R/	1118915
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Ivanovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	23900	http://www.semwebtech.org/mondial/10/country/R/	1043130
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Tatarstan	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	68000	http://www.semwebtech.org/mondial/10/country/R/	3838230
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Tyumen	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	150100	http://www.semwebtech.org/mondial/10/country/R/	1340608
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Irkutsk	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	767900	http://www.semwebtech.org/mondial/10/country/R/	2418348
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Queensland	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	1729958	http://www.semwebtech.org/mondial/10/country/AUS/	4656803
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	País Vasco	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	7237	http://www.semwebtech.org/mondial/10/country/E/	2185393
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Zinder	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	155778	http://www.semwebtech.org/mondial/10/country/RN/	3539764
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Dosso	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	33844	http://www.semwebtech.org/mondial/10/country/RN/	2037713
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Franche-Comté	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	16202	http://www.semwebtech.org/mondial/10/country/F/	1173440
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Aquitaine	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	41308	http://www.semwebtech.org/mondial/10/country/F/	3254233
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Novgorodskaya	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	55300	http://www.semwebtech.org/mondial/10/country/R/	622430
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Vologodskaya	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	145700	http://www.semwebtech.org/mondial/10/country/R/	1193371
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Tocantins	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	277620	http://www.semwebtech.org/mondial/10/country/BR/	1496880
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Vysočina	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	6795	http://www.semwebtech.org/mondial/10/country/CZ/	512727
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Jihočeský	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	10056	http://www.semwebtech.org/mondial/10/country/CZ/	637460
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Plzeňský	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	7560	http://www.semwebtech.org/mondial/10/country/CZ/	574694
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Batman	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	4659	http://www.semwebtech.org/mondial/10/country/TR/	534205
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Středočeský	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	11014	http://www.semwebtech.org/mondial/10/country/CZ/	1274633
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Tirol	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	12640	http://www.semwebtech.org/mondial/10/country/A/	720436
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Steiermark	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	16401	http://www.semwebtech.org/mondial/10/country/A/	1214945
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Burgenland	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	3961	http://www.semwebtech.org/mondial/10/country/A/	287470
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Wien	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	414	http://www.semwebtech.org/mondial/10/country/A/	1761738
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Vorarlberg	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	2601	http://www.semwebtech.org/mondial/10/country/A/	374861
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Salzburg	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	7156	http://www.semwebtech.org/mondial/10/country/A/	534030
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Oberösterreich	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	11979	http://www.semwebtech.org/mondial/10/country/A/	1424910
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Královéhradecký	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	4758	http://www.semwebtech.org/mondial/10/country/CZ/	555683
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Zlínský	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	3963	http://www.semwebtech.org/mondial/10/country/CZ/	590459
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Moravskoslezský	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	5426	http://www.semwebtech.org/mondial/10/country/CZ/	1236028
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Ústecký	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	5334	http://www.semwebtech.org/mondial/10/country/CZ/	830371
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Jihomoravský	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	7194	http://www.semwebtech.org/mondial/10/country/CZ/	1169788
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Turku-Pori	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	\N	http://www.semwebtech.org/mondial/10/country/SF/	702000
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Uusimaa	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	\N	http://www.semwebtech.org/mondial/10/country/SF/	1119000
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Mikkeli	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	\N	http://www.semwebtech.org/mondial/10/country/SF/	209000
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Lappia	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	\N	http://www.semwebtech.org/mondial/10/country/SF/	195000
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Yazd	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	129285	http://www.semwebtech.org/mondial/10/country/IR/	1074428
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Esfahan	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	107018	http://www.semwebtech.org/mondial/10/country/IR/	4879312
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Khorasan-e-Razavi	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	118851	http://www.semwebtech.org/mondial/10/country/IR/	5994402
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Zanjan	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	21773	http://www.semwebtech.org/mondial/10/country/IR/	1015734
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Lisboa	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	2761	http://www.semwebtech.org/mondial/10/country/P/	2063800
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Ardahan	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	4967	http://www.semwebtech.org/mondial/10/country/TR/	106643
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Malatya	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	12102	http://www.semwebtech.org/mondial/10/country/TR/	762366
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Zonguldak	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	3309	http://www.semwebtech.org/mondial/10/country/TR/	606527
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Tabasco	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	24737	http://www.semwebtech.org/mondial/10/country/MEX/	2238603
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Baja California Sur	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	73922	http://www.semwebtech.org/mondial/10/country/MEX/	637026
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Syddanmark	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	12206	http://www.semwebtech.org/mondial/10/country/DK/	1201342
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Cundinamarca	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	22623	http://www.semwebtech.org/mondial/10/country/CO/	2639059
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Sevastopol´	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	864	http://www.semwebtech.org/mondial/10/country/UA/	381234
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Krym	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	26080	http://www.semwebtech.org/mondial/10/country/UA/	1963008
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Qoraqalpogʻiston	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	165590	http://www.semwebtech.org/mondial/10/country/UZB/	1736500
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Moscow	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	1100	http://www.semwebtech.org/mondial/10/country/R/	12108257
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Ingushskaya	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	3750	http://www.semwebtech.org/mondial/10/country/R/	453010
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Bashkortostan	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	143600	http://www.semwebtech.org/mondial/10/country/R/	4069698
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Mordoviya	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	26200	http://www.semwebtech.org/mondial/10/country/R/	812156
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Victoria	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	227495	http://www.semwebtech.org/mondial/10/country/AUS/	5739341
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Trarza	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	67800	http://www.semwebtech.org/mondial/10/country/RIM/	272773
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Niamey	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	402	http://www.semwebtech.org/mondial/10/country/RN/	1026848
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Formosa	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	72066	http://www.semwebtech.org/mondial/10/country/RA/	573823
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Tucumán	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	22524	http://www.semwebtech.org/mondial/10/country/RA/	1572205
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Suomi	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	\N	http://www.semwebtech.org/mondial/10/country/SF/	242000
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Pohjols-Karjala	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	\N	http://www.semwebtech.org/mondial/10/country/SF/	177000
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Oulu	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	\N	http://www.semwebtech.org/mondial/10/country/SF/	415000
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Vaasa	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	\N	http://www.semwebtech.org/mondial/10/country/SF/	430000
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Friesland	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	5748	http://www.semwebtech.org/mondial/10/country/NL/	646452
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Gelderland	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	5136	http://www.semwebtech.org/mondial/10/country/NL/	2020754
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Noord-Holland	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	4090	http://www.semwebtech.org/mondial/10/country/NL/	2745613
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Noord-Brabant	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	5081	http://www.semwebtech.org/mondial/10/country/NL/	2482079
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Flevoland	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	2412	http://www.semwebtech.org/mondial/10/country/NL/	400398
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Drenthe	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	2680	http://www.semwebtech.org/mondial/10/country/NL/	488876
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Groningen	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	2959	http://www.semwebtech.org/mondial/10/country/NL/	582156
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Zuid-Holland	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	3418	http://www.semwebtech.org/mondial/10/country/NL/	3580735
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	South East	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	19069	http://www.semwebtech.org/mondial/10/country/GB/	8792626
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Utrecht	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	1449	http://www.semwebtech.org/mondial/10/country/NL/	1255661
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	West-Vlaanderen	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	3144	http://www.semwebtech.org/mondial/10/country/B/	1173019
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Limburg	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	2422	http://www.semwebtech.org/mondial/10/country/B/	853239
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Vlaams-Brabant	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	2106	http://www.semwebtech.org/mondial/10/country/B/	1101280
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Oost-Vlaanderen	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	2982	http://www.semwebtech.org/mondial/10/country/B/	1460944
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Liège	http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	3862	http://www.semwebtech.org/mondial/10/country/B/	1087729
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Luxembourg	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	4439	http://www.semwebtech.org/mondial/10/country/B/	275594
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Sagaing	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	93704	http://www.semwebtech.org/mondial/10/country/MYA/	5320299
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Kachin	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	89041	http://www.semwebtech.org/mondial/10/country/MYA/	1689654
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Rakhine	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	36778	http://www.semwebtech.org/mondial/10/country/MYA/	3188963
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Chin	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	36018	http://www.semwebtech.org/mondial/10/country/MYA/	478690
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Tanintharyi	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	43344	http://www.semwebtech.org/mondial/10/country/MYA/	1406434
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Kayah	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	11731	http://www.semwebtech.org/mondial/10/country/MYA/	286738
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Gillan	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	14042	http://www.semwebtech.org/mondial/10/country/IR/	2480874
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Lorestan	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	28294	http://www.semwebtech.org/mondial/10/country/IR/	1754243
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	North Khorasan	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	28434	http://www.semwebtech.org/mondial/10/country/IR/	867727
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Bushehr	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	22743	http://www.semwebtech.org/mondial/10/country/IR/	1032949
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	West Azarbayejan	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	37411	http://www.semwebtech.org/mondial/10/country/IR/	3080576
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Kurdestan	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	29137	http://www.semwebtech.org/mondial/10/country/IR/	1493645
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Kerman	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	180726	http://www.semwebtech.org/mondial/10/country/IR/	2938988
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Golestan	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	20367	http://www.semwebtech.org/mondial/10/country/IR/	1777014
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	South Khorasan	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	95385	http://www.semwebtech.org/mondial/10/country/IR/	662534
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Markazi	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	29127	http://www.semwebtech.org/mondial/10/country/IR/	1413959
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Kermanshah	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	25009	http://www.semwebtech.org/mondial/10/country/IR/	1945227
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Mazandaran	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	23842	http://www.semwebtech.org/mondial/10/country/IR/	3073943
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Huancavelica	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	22131	http://www.semwebtech.org/mondial/10/country/PE/	483580
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	San Martín	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	51253	http://www.semwebtech.org/mondial/10/country/PE/	806452
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Callao	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	146	http://www.semwebtech.org/mondial/10/country/PE/	969170
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Cajamarca	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	33317	http://www.semwebtech.org/mondial/10/country/PE/	1513892
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Lambayeque	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	14231	http://www.semwebtech.org/mondial/10/country/PE/	1229260
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Huánuco	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	36848	http://www.semwebtech.org/mondial/10/country/PE/	840984
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Moquegua	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	15733	http://www.semwebtech.org/mondial/10/country/PE/	174859
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Tacna	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	16075	http://www.semwebtech.org/mondial/10/country/PE/	328915
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	La Libertad	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	25499	http://www.semwebtech.org/mondial/10/country/PE/	1791659
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Pasco	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	25319	http://www.semwebtech.org/mondial/10/country/PE/	297591
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Apurímac	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	20895	http://www.semwebtech.org/mondial/10/country/PE/	451881
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Lima City	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	2670	http://www.semwebtech.org/mondial/10/country/PE/	8481415
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Puno	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	71999	http://www.semwebtech.org/mondial/10/country/PE/	1377122
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Cusco	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	71986	http://www.semwebtech.org/mondial/10/country/PE/	1292175
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Shanxi	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	157100	http://www.semwebtech.org/mondial/10/country/CN/	36298000
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magwe	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	44820	http://www.semwebtech.org/mondial/10/country/MYA/	3912711
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Mandalay	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	37945	http://www.semwebtech.org/mondial/10/country/MYA/	6145588
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Amapá	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	142814	http://www.semwebtech.org/mondial/10/country/BR/	750912
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Isla de la Juventud	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	2419	http://www.semwebtech.org/mondial/10/country/C/	84263
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Overijssel	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	3420	http://www.semwebtech.org/mondial/10/country/NL/	1140310
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Tambovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	34300	http://www.semwebtech.org/mondial/10/country/R/	1068934
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Antwerpen	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	2867	http://www.semwebtech.org/mondial/10/country/B/	1793377
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Rondônia	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	237576	http://www.semwebtech.org/mondial/10/country/BR/	1748531
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Kohgiluyeh and Boyerahmad	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	15504	http://www.semwebtech.org/mondial/10/country/IR/	658629
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Chaharmahal and Bakhtiyari	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	16328	http://www.semwebtech.org/mondial/10/country/IR/	895263
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Sistan and Baluchestan	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	181785	http://www.semwebtech.org/mondial/10/country/IR/	2534327
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Alborz	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	5122	http://www.semwebtech.org/mondial/10/country/IR/	2412513
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Tehran	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	13692	http://www.semwebtech.org/mondial/10/country/IR/	12183391
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	East Azarbayejan	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	45651	http://www.semwebtech.org/mondial/10/country/IR/	3724620
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	39249	http://www.semwebtech.org/mondial/10/country/PE/	417508
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Madeira	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	794	http://www.semwebtech.org/mondial/10/country/P/	253000
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Viana do Castelo	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	2255	http://www.semwebtech.org/mondial/10/country/P/	248700
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Rangpur	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	16184	http://www.semwebtech.org/mondial/10/country/BD/	15787758
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Chittagong	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	33908	http://www.semwebtech.org/mondial/10/country/BD/	28423019
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Cienfuegos	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	4188	http://www.semwebtech.org/mondial/10/country/C/	400768
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Granma	http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	8374	http://www.semwebtech.org/mondial/10/country/C/	830645
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Bartın	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	2080	http://www.semwebtech.org/mondial/10/country/TR/	188436
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Manisa	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	13228	http://www.semwebtech.org/mondial/10/country/TR/	1346162
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	İstanbul	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	5315	http://www.semwebtech.org/mondial/10/country/TR/	13854740
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Trabzon	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	4664	http://www.semwebtech.org/mondial/10/country/TR/	757898
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Uşak	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	5363	http://www.semwebtech.org/mondial/10/country/TR/	342269
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Bayburt	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	3739	http://www.semwebtech.org/mondial/10/country/TR/	75797
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Chiapas	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	73288	http://www.semwebtech.org/mondial/10/country/MEX/	4796580
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Zacatecas	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	75539	http://www.semwebtech.org/mondial/10/country/MEX/	1490668
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Casanare	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	44640	http://www.semwebtech.org/mondial/10/country/CO/	350239
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	North West	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	104882	http://www.semwebtech.org/mondial/10/country/RSA/	3509953
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Kansas	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	211754	http://www.semwebtech.org/mondial/10/country/USA/	2904021
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Maine	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	79883	http://www.semwebtech.org/mondial/10/country/USA/	1330089
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Idaho	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	214045	http://www.semwebtech.org/mondial/10/country/USA/	1634464
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Khakasiya	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	61900	http://www.semwebtech.org/mondial/10/country/R/	534079
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Yamalo Nenets ao	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	750300	http://www.semwebtech.org/mondial/10/country/R/	522904
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Antofagasta	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	126049	http://www.semwebtech.org/mondial/10/country/RCH/	530879
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Western Australia	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	2526574	http://www.semwebtech.org/mondial/10/country/AUS/	2519321
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Galicia	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	29559	http://www.semwebtech.org/mondial/10/country/E/	2772927
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Murcia	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	11312	http://www.semwebtech.org/mondial/10/country/E/	1462128
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Asturias	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	10603	http://www.semwebtech.org/mondial/10/country/E/	1075183
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Assaba	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	36600	http://www.semwebtech.org/mondial/10/country/RIM/	325897
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Stockholm	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	6519	http://www.semwebtech.org/mondial/10/country/S/	2127006
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Blekinge	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	2946	http://www.semwebtech.org/mondial/10/country/S/	152315
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	San Luis	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	76748	http://www.semwebtech.org/mondial/10/country/RA/	469889
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Chaco	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	99633	http://www.semwebtech.org/mondial/10/country/RA/	1130608
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Provence-Alpes-Côte d'Azur	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	31399	http://www.semwebtech.org/mondial/10/country/F/	4916069
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Setubal	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	5064	http://www.semwebtech.org/mondial/10/country/P/	713700
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Portalegre	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	6065	http://www.semwebtech.org/mondial/10/country/P/	134300
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Braganca	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	6608	http://www.semwebtech.org/mondial/10/country/P/	158300
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Beja	http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	10225	http://www.semwebtech.org/mondial/10/country/P/	167900
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Guarda	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	5518	http://www.semwebtech.org/mondial/10/country/P/	187800
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Aveiro	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	2808	http://www.semwebtech.org/mondial/10/country/P/	656000
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Vila Real	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	4328	http://www.semwebtech.org/mondial/10/country/P/	237100
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Evora	http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	7393	http://www.semwebtech.org/mondial/10/country/P/	173500
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Madhya Pradesh	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	308252	http://www.semwebtech.org/mondial/10/country/IND/	72626809
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Rajshahi	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	18153	http://www.semwebtech.org/mondial/10/country/BD/	18484858
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Barisal	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	13225	http://www.semwebtech.org/mondial/10/country/BD/	8325666
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Sylhet	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	12635	http://www.semwebtech.org/mondial/10/country/BD/	9910219
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Khulna	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	22284	http://www.semwebtech.org/mondial/10/country/BD/	15687759
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Piauí	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	251529	http://www.semwebtech.org/mondial/10/country/BR/	3194718
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Hainan	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	34300	http://www.semwebtech.org/mondial/10/country/CN/	8952800
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Beijing	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	16808	http://www.semwebtech.org/mondial/10/country/CN/	21148000
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Chongqing	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	82400	http://www.semwebtech.org/mondial/10/country/CN/	29700000
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Paraíba	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	56439	http://www.semwebtech.org/mondial/10/country/BR/	3943885
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Acre	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	152581	http://www.semwebtech.org/mondial/10/country/BR/	790101
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Las Tunas	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	6592	http://www.semwebtech.org/mondial/10/country/C/	525729
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Artemisa	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	4003	http://www.semwebtech.org/mondial/10/country/C/	487339
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Sancti Spíritus	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	6777	http://www.semwebtech.org/mondial/10/country/C/	462114
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Ciego de Ávila	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	6971	http://www.semwebtech.org/mondial/10/country/C/	424750
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Mayabeque	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	3743	http://www.semwebtech.org/mondial/10/country/C/	371198
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Elazığ	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	9281	http://www.semwebtech.org/mondial/10/country/TR/	562703
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Nevşehir	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	5391	http://www.semwebtech.org/mondial/10/country/TR/	285190
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Jalisco	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	78599	http://www.semwebtech.org/mondial/10/country/MEX/	7350682
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Xorazm	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	6300	http://www.semwebtech.org/mondial/10/country/UZB/	1684100
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Perm	http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	160600	http://www.semwebtech.org/mondial/10/country/R/	2636154
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Lipetskaya	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	24100	http://www.semwebtech.org/mondial/10/country/R/	1159866
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Mariy-El	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	23200	http://www.semwebtech.org/mondial/10/country/R/	688686
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Zabaykalskiy	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	431500	http://www.semwebtech.org/mondial/10/country/R/	1090344
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Tarapacá	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	42225	http://www.semwebtech.org/mondial/10/country/RCH/	295095
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Sucre	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	10917	http://www.semwebtech.org/mondial/10/country/CO/	843202
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Guaviare	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	42327	http://www.semwebtech.org/mondial/10/country/CO/	109490
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Arauca	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	23818	http://www.semwebtech.org/mondial/10/country/CO/	259447
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Boyacá	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	23189	http://www.semwebtech.org/mondial/10/country/CO/	1274615
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Chernivets´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	8096	http://www.semwebtech.org/mondial/10/country/UA/	905264
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Ternopil´s´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	13824	http://www.semwebtech.org/mondial/10/country/UA/	1080431
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Free State	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	129825	http://www.semwebtech.org/mondial/10/country/RSA/	2745590
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	South Dakota	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	196350	http://www.semwebtech.org/mondial/10/country/USA/	853175
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Extremadura	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	41634	http://www.semwebtech.org/mondial/10/country/E/	1104500
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Navarra	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	10573	http://www.semwebtech.org/mondial/10/country/E/	640129
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Brakna	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	33000	http://www.semwebtech.org/mondial/10/country/RIM/	312277
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Gotland	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	3151	http://www.semwebtech.org/mondial/10/country/S/	57241
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Skåne	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	11034	http://www.semwebtech.org/mondial/10/country/S/	1263088
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Jönköping	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	10495	http://www.semwebtech.org/mondial/10/country/S/	339116
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Centre	http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	39150	http://www.semwebtech.org/mondial/10/country/F/	2556835
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Île-de-France	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	12012	http://www.semwebtech.org/mondial/10/country/F/	11852851
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Guantánamo	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	6167	http://www.semwebtech.org/mondial/10/country/C/	506369
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Holguín	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	9215	http://www.semwebtech.org/mondial/10/country/C/	1027683
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Yozgat	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	14074	http://www.semwebtech.org/mondial/10/country/TR/	453211
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Sivas	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	28567	http://www.semwebtech.org/mondial/10/country/TR/	623535
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Niğde	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	7365	http://www.semwebtech.org/mondial/10/country/TR/	340270
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Iğdır	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	3587	http://www.semwebtech.org/mondial/10/country/TR/	190409
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Burdur	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	7134	http://www.semwebtech.org/mondial/10/country/TR/	254341
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Kahramanmaraş	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	14456	http://www.semwebtech.org/mondial/10/country/TR/	1063174
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Tunceli	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	7685	http://www.semwebtech.org/mondial/10/country/TR/	86276
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Diyarbakır	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	15204	http://www.semwebtech.org/mondial/10/country/TR/	1592167
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Kayseri	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	17109	http://www.semwebtech.org/mondial/10/country/TR/	1274968
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Siirt	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	5473	http://www.semwebtech.org/mondial/10/country/TR/	310879
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Sakarya	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	4880	http://www.semwebtech.org/mondial/10/country/TR/	902267
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Kırşehir	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	6530	http://www.semwebtech.org/mondial/10/country/TR/	221209
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Samsun	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	9364	http://www.semwebtech.org/mondial/10/country/TR/	1251722
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	12015	http://www.semwebtech.org/mondial/10/country/TR/	4005459
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Tekirdağ	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	6342	http://www.semwebtech.org/mondial/10/country/TR/	852321
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Bitlis	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	7094	http://www.semwebtech.org/mondial/10/country/TR/	337253
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Sinop	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	5816	http://www.semwebtech.org/mondial/10/country/TR/	201311
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Kars	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	10139	http://www.semwebtech.org/mondial/10/country/TR/	304821
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Kırklareli	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	6299	http://www.semwebtech.org/mondial/10/country/TR/	341218
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Çorum	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	12796	http://www.semwebtech.org/mondial/10/country/TR/	529975
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Bingöl	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	8253	http://www.semwebtech.org/mondial/10/country/TR/	262507
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Isparta	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	8871	http://www.semwebtech.org/mondial/10/country/TR/	416663
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Mardin	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	8806	http://www.semwebtech.org/mondial/10/country/TR/	773026
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Ağrı	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	11498	http://www.semwebtech.org/mondial/10/country/TR/	552404
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Muğla	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	12949	http://www.semwebtech.org/mondial/10/country/TR/	851145
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Aydın	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	7904	http://www.semwebtech.org/mondial/10/country/TR/	1006541
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Adana	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	14045	http://www.semwebtech.org/mondial/10/country/TR/	2125635
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Kocaeli	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	3625	http://www.semwebtech.org/mondial/10/country/TR/	1634691
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Gaziantep	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	6844	http://www.semwebtech.org/mondial/10/country/TR/	1799558
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Antalya	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	20790	http://www.semwebtech.org/mondial/10/country/TR/	2092537
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Şanlıurfa	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	19336	http://www.semwebtech.org/mondial/10/country/TR/	1762075
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Perak	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	21035	http://www.semwebtech.org/mondial/10/country/MAL/	2258428
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Labuan	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	91	http://www.semwebtech.org/mondial/10/country/MAL/	85272
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Perlis	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	821	http://www.semwebtech.org/mondial/10/country/MAL/	227025
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Pulau Pinang	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	1048	http://www.semwebtech.org/mondial/10/country/MAL/	1520143
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Terengganu	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	13035	http://www.semwebtech.org/mondial/10/country/MAL/	1015776
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Kelantan	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	15099	http://www.semwebtech.org/mondial/10/country/MAL/	1459994
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Kuala Lumpur	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	243	http://www.semwebtech.org/mondial/10/country/MAL/	1627172
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Kedah	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	9500	http://www.semwebtech.org/mondial/10/country/MAL/	1947651
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Negeri Sembilan	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	6686	http://www.semwebtech.org/mondial/10/country/MAL/	997071
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Melaka	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	1664	http://www.semwebtech.org/mondial/10/country/MAL/	788706
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Hidalgo	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	20846	http://www.semwebtech.org/mondial/10/country/MEX/	2665018
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Colima	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	5625	http://www.semwebtech.org/mondial/10/country/MEX/	650555
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Campeche	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	57924	http://www.semwebtech.org/mondial/10/country/MEX/	822441
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Tamaulipas	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	80174	http://www.semwebtech.org/mondial/10/country/MEX/	3268554
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Nayarit	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	27815	http://www.semwebtech.org/mondial/10/country/MEX/	1084979
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Durango	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	123451	http://www.semwebtech.org/mondial/10/country/MEX/	1632934
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Coahuila	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	151562	http://www.semwebtech.org/mondial/10/country/MEX/	2748391
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	México, Estado de	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	22356	http://www.semwebtech.org/mondial/10/country/MEX/	15175862
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Baja California	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	71445	http://www.semwebtech.org/mondial/10/country/MEX/	3155070
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Puebla	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	34289	http://www.semwebtech.org/mondial/10/country/MEX/	5779829
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Michoacán	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	58643	http://www.semwebtech.org/mondial/10/country/MEX/	4351037
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Oaxaca	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	93793	http://www.semwebtech.org/mondial/10/country/MEX/	3801962
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Aguascalientes	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	5617	http://www.semwebtech.org/mondial/10/country/MEX/	1184996
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	San Luis Potosí	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	60982	http://www.semwebtech.org/mondial/10/country/MEX/	2585518
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Kyïv	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	836	http://www.semwebtech.org/mondial/10/country/UA/	2814258
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Illes Balears	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	4991	http://www.semwebtech.org/mondial/10/country/E/	1100503
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Nordjylland	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	7933	http://www.semwebtech.org/mondial/10/country/DK/	579996
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Sjælland	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	7273	http://www.semwebtech.org/mondial/10/country/DK/	817907
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Hovedstaden	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	2561	http://www.semwebtech.org/mondial/10/country/DK/	1714589
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Santa Fe de Bogotá	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	1587	http://www.semwebtech.org/mondial/10/country/CO/	7776845
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Huila	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	19890	http://www.semwebtech.org/mondial/10/country/CO/	1140539
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Córdoba	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	25020	http://www.semwebtech.org/mondial/10/country/CO/	1683782
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Chocó	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	46530	http://www.semwebtech.org/mondial/10/country/CO/	495151
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Santander	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	30537	http://www.semwebtech.org/mondial/10/country/CO/	2051022
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Vaupés	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	65268	http://www.semwebtech.org/mondial/10/country/CO/	43240
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Quindío	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	1845	http://www.semwebtech.org/mondial/10/country/CO/	562114
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Cesar	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	22905	http://www.semwebtech.org/mondial/10/country/CO/	1016533
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Nariño	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	33268	http://www.semwebtech.org/mondial/10/country/CO/	1722945
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Risaralda	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	4140	http://www.semwebtech.org/mondial/10/country/CO/	946632
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Guainía	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	72238	http://www.semwebtech.org/mondial/10/country/CO/	40839
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Atlántico	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	3388	http://www.semwebtech.org/mondial/10/country/CO/	2432003
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Cauca	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	29308	http://www.semwebtech.org/mondial/10/country/CO/	1366984
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Caquetá	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	88965	http://www.semwebtech.org/mondial/10/country/CO/	471541
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Magdalena	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	23188	http://www.semwebtech.org/mondial/10/country/CO/	1247514
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Meta	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	85635	http://www.semwebtech.org/mondial/10/country/CO/	943072
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	L´vivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	21831	http://www.semwebtech.org/mondial/10/country/UA/	2540938
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Zakarpats´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	12753	http://www.semwebtech.org/mondial/10/country/UA/	1250759
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Volyns´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	20144	http://www.semwebtech.org/mondial/10/country/UA/	1038598
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Kyïvs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	28121	http://www.semwebtech.org/mondial/10/country/UA/	1719558
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Kharkivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	31418	http://www.semwebtech.org/mondial/10/country/UA/	2742180
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Chernihivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	31903	http://www.semwebtech.org/mondial/10/country/UA/	1088509
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Cherkas´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	20916	http://www.semwebtech.org/mondial/10/country/UA/	1277303
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Khmel´nyts´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	20629	http://www.semwebtech.org/mondial/10/country/UA/	1320171
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Zhytomyrs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	29827	http://www.semwebtech.org/mondial/10/country/UA/	1273199
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Dnipropetrovs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	31923	http://www.semwebtech.org/mondial/10/country/UA/	3320299
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Ivano-Frankivs´ka	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	13927	http://www.semwebtech.org/mondial/10/country/UA/	1380128
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Mpumalanga	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	76495	http://www.semwebtech.org/mondial/10/country/RSA/	4039939
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Limpopo	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	125754	http://www.semwebtech.org/mondial/10/country/RSA/	5404868
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Delaware	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	5047	http://www.semwebtech.org/mondial/10/country/USA/	935614
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Mississippi	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	121531	http://www.semwebtech.org/mondial/10/country/USA/	2994079
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Sachsen-Anhalt	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	20450	http://www.semwebtech.org/mondial/10/country/D/	2287040
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Castilla-La Mancha	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	79408	http://www.semwebtech.org/mondial/10/country/E/	2106331
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Misiones	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	29801	http://www.semwebtech.org/mondial/10/country/RA/	1174542
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Río Negro	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	203013	http://www.semwebtech.org/mondial/10/country/RA/	688873
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Champagne-Ardenne	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	25605	http://www.semwebtech.org/mondial/10/country/F/	1336053
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Pays de la Loire	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	32081	http://www.semwebtech.org/mondial/10/country/F/	3601113
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Hawaii	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	16635	http://www.semwebtech.org/mondial/10/country/USA/	1419561
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Nevada	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	284332	http://www.semwebtech.org/mondial/10/country/USA/	2839099
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Oklahoma	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	177660	http://www.semwebtech.org/mondial/10/country/USA/	3878051
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Montana	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	376962	http://www.semwebtech.org/mondial/10/country/USA/	1023579
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	West Virginia	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	62259	http://www.semwebtech.org/mondial/10/country/USA/	1850326
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Wyoming	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	251470	http://www.semwebtech.org/mondial/10/country/USA/	584153
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Alaska	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	1477953	http://www.semwebtech.org/mondial/10/country/USA/	736732
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Arkansas	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	134771	http://www.semwebtech.org/mondial/10/country/USA/	2966369
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Tennessee	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	106798	http://www.semwebtech.org/mondial/10/country/USA/	6549352
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	South Carolina	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	77857	http://www.semwebtech.org/mondial/10/country/USA/	4832482
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Utah	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	212818	http://www.semwebtech.org/mondial/10/country/USA/	2942902
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Kentucky	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	102269	http://www.semwebtech.org/mondial/10/country/USA/	4413457
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Rheinland-Pfalz	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	19854	http://www.semwebtech.org/mondial/10/country/D/	3989808
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Thüringen	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	16172	http://www.semwebtech.org/mondial/10/country/D/	2188589
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Hamburg	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	755	http://www.semwebtech.org/mondial/10/country/D/	1706696
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Berlin	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	891	http://www.semwebtech.org/mondial/10/country/D/	3292365
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Pskovskaya	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	55300	http://www.semwebtech.org/mondial/10/country/R/	656561
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Belgorodskaya	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	27134	http://www.semwebtech.org/mondial/10/country/R/	1544108
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarqand	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	16400	http://www.semwebtech.org/mondial/10/country/UZB/	3445600
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fargʻona	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	6800	http://www.semwebtech.org/mondial/10/country/UZB/	3386500
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Qasqadaryo	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	28400	http://www.semwebtech.org/mondial/10/country/UZB/	2895300
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Kamchatka	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	472300	http://www.semwebtech.org/mondial/10/country/R/	319864
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhnii Novgorod	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	74800	http://www.semwebtech.org/mondial/10/country/R/	3281496
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Primorskiy	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	165900	http://www.semwebtech.org/mondial/10/country/R/	1938516
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Chechenskaya	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	12300	http://www.semwebtech.org/mondial/10/country/R/	1346438
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Sverdlov	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	194300	http://www.semwebtech.org/mondial/10/country/R/	4320677
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Amur	http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	363700	http://www.semwebtech.org/mondial/10/country/R/	811274
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Komi	http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	415900	http://www.semwebtech.org/mondial/10/country/R/	872057
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Magadan	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	461400	http://www.semwebtech.org/mondial/10/country/R/	150312
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Yaroslavskaya	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	36400	http://www.semwebtech.org/mondial/10/country/R/	1271766
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Vladimirskaya	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	29084	http://www.semwebtech.org/mondial/10/country/R/	1413321
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Ryazanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	39600	http://www.semwebtech.org/mondial/10/country/R/	1140844
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Samara	http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	53600	http://www.semwebtech.org/mondial/10/country/R/	3211187
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Murmanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	144900	http://www.semwebtech.org/mondial/10/country/R/	771058
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Udmurt	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	42100	http://www.semwebtech.org/mondial/10/country/R/	1517050
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Tyva	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	170500	http://www.semwebtech.org/mondial/10/country/R/	311761
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Kabardino-Balkarskaya	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	12500	http://www.semwebtech.org/mondial/10/country/R/	858397
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Bryanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	34857	http://www.semwebtech.org/mondial/10/country/R/	1242599
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Astrakhanskaya	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	44100	http://www.semwebtech.org/mondial/10/country/R/	1016516
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Chukotka	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	737700	http://www.semwebtech.org/mondial/10/country/R/	50555
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Ul´yanovsk	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	37300	http://www.semwebtech.org/mondial/10/country/R/	1267561
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Saratov	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	100200	http://www.semwebtech.org/mondial/10/country/R/	2496552
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Altay	http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	92600	http://www.semwebtech.org/mondial/10/country/R/	211645
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Novosibirsk	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	178200	http://www.semwebtech.org/mondial/10/country/R/	2731176
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Volgogradskaya	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	113900	http://www.semwebtech.org/mondial/10/country/R/	2569126
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Karachayevo-Cherkesskaya	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	14100	http://www.semwebtech.org/mondial/10/country/R/	469837
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Tomsk	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	316900	http://www.semwebtech.org/mondial/10/country/R/	1070128
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	North Ossetia-Alania	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	8000	http://www.semwebtech.org/mondial/10/country/R/	703977
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Krasnoyarsk	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	2339700	http://www.semwebtech.org/mondial/10/country/R/	2852810
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Penza	http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	43200	http://www.semwebtech.org/mondial/10/country/R/	1360587
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Altayskiy	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	169100	http://www.semwebtech.org/mondial/10/country/R/	2390638
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Lagos	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	48583	http://www.semwebtech.org/mondial/10/country/RCH/	767714
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Araucanía	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	31842	http://www.semwebtech.org/mondial/10/country/RCH/	889492
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Santiago	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	15403	http://www.semwebtech.org/mondial/10/country/RCH/	6604835
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Ríos	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	18429	http://www.semwebtech.org/mondial/10/country/RCH/	364183
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Aysén	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	108494	http://www.semwebtech.org/mondial/10/country/RCH/	94271
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	South Australia	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	984179	http://www.semwebtech.org/mondial/10/country/AUS/	1670827
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Northern Territory	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	1348198	http://www.semwebtech.org/mondial/10/country/AUS/	240759
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Australia Capital Territory	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	2358	http://www.semwebtech.org/mondial/10/country/AUS/	381488
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Canarias	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	7447	http://www.semwebtech.org/mondial/10/country/E/	2082654
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Cantabria	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	5323	http://www.semwebtech.org/mondial/10/country/E/	592542
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Valenciana	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	23253	http://www.semwebtech.org/mondial/10/country/E/	5009931
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Castilla y León	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	94351	http://www.semwebtech.org/mondial/10/country/E/	2540187
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Aragón	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	47721	http://www.semwebtech.org/mondial/10/country/E/	1344509
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Adrar	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	235002	http://www.semwebtech.org/mondial/10/country/RIM/	62658
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Dakhlet Nouadhibou	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	23090	http://www.semwebtech.org/mondial/10/country/RIM/	123779
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Inchiri	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	46800	http://www.semwebtech.org/mondial/10/country/RIM/	19639
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Hodh El Gharbi	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	53400	http://www.semwebtech.org/mondial/10/country/RIM/	294109
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Nouakchott	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	1000	http://www.semwebtech.org/mondial/10/country/RIM/	958399
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Tillabéri	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	97251	http://www.semwebtech.org/mondial/10/country/RN/	2722482
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Agadez	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	667799	http://www.semwebtech.org/mondial/10/country/RN/	487620
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Örebro	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	8545	http://www.semwebtech.org/mondial/10/country/S/	283113
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Södermanland	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	6102	http://www.semwebtech.org/mondial/10/country/S/	274723
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Gävleborg	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	18198	http://www.semwebtech.org/mondial/10/country/S/	276637
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Östergötland	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	10602	http://www.semwebtech.org/mondial/10/country/S/	433784
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Västra Götaland	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	23948	http://www.semwebtech.org/mondial/10/country/S/	1600447
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Halland	http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	5460	http://www.semwebtech.org/mondial/10/country/S/	304116
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Västmanland	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	5145	http://www.semwebtech.org/mondial/10/country/S/	256224
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Wales	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	20735	http://www.semwebtech.org/mondial/10/country/GB/	3082412
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Northern Ireland	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	14130	http://www.semwebtech.org/mondial/10/country/GB/	1829725
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Salta	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	155488	http://www.semwebtech.org/mondial/10/country/RA/	1314726
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Tierra del Fuego	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	21571	http://www.semwebtech.org/mondial/10/country/RA/	148143
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	La Pampa	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	143440	http://www.semwebtech.org/mondial/10/country/RA/	339895
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Chubut	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	224686	http://www.semwebtech.org/mondial/10/country/RA/	556319
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Anhui	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	139900	http://www.semwebtech.org/mondial/10/country/CN/	60298000
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Fujian	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	123100	http://www.semwebtech.org/mondial/10/country/CN/	37740000
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Pennsylvania	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	115883	http://www.semwebtech.org/mondial/10/country/USA/	12787209
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Illinois	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	143793	http://www.semwebtech.org/mondial/10/country/USA/	12880580
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Colorado	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	268431	http://www.semwebtech.org/mondial/10/country/USA/	5355866
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Nordrhein-Westfalen	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	34097	http://www.semwebtech.org/mondial/10/country/D/	17538251
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Virginia	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	102279	http://www.semwebtech.org/mondial/10/country/USA/	8326289
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Stavropol´skiy	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	66500	http://www.semwebtech.org/mondial/10/country/R/	2794508
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Oppland	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	25192	http://www.semwebtech.org/mondial/10/country/N/	187254
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Vest-Agder	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	7276	http://www.semwebtech.org/mondial/10/country/N/	176353
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Rio Grande do Sul	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	268887	http://www.semwebtech.org/mondial/10/country/BR/	11207274
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Akershus	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	4917	http://www.semwebtech.org/mondial/10/country/N/	566399
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Sogn og Fjordane	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	18623	http://www.semwebtech.org/mondial/10/country/N/	108700
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Sør-Trøndelag	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	18839	http://www.semwebtech.org/mondial/10/country/N/	302755
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Rogaland	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	9375	http://www.semwebtech.org/mondial/10/country/N/	452159
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Hedmark	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	27397	http://www.semwebtech.org/mondial/10/country/N/	193719
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Cataluña	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	32163	http://www.semwebtech.org/mondial/10/country/E/	7519843
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Guanajuato	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	30608	http://www.semwebtech.org/mondial/10/country/MEX/	5486372
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Ceará	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	148825	http://www.semwebtech.org/mondial/10/country/BR/	8842791
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	West Midlands	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	12998	http://www.semwebtech.org/mondial/10/country/GB/	5674712
http://www.semwebtech.org/mondial/10/country/USA/province/California/	California	http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	403466	http://www.semwebtech.org/mondial/10/country/USA/	38802500
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karaganda	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	427982	http://www.semwebtech.org/mondial/10/country/KAZ/	1369839
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Henan	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	167000	http://www.semwebtech.org/mondial/10/country/CN/	94133500
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Connecticut	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	12542	http://www.semwebtech.org/mondial/10/country/USA/	3596677
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Valle de Cauca	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	22140	http://www.semwebtech.org/mondial/10/country/CO/	4566875
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Florida	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	138887	http://www.semwebtech.org/mondial/10/country/USA/	19893297
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Washington	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	172119	http://www.semwebtech.org/mondial/10/country/USA/	7061530
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Khuzestan	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	64055	http://www.semwebtech.org/mondial/10/country/IR/	4531720
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Santa Cruz	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	243943	http://www.semwebtech.org/mondial/10/country/RA/	311444
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Limousin	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	16942	http://www.semwebtech.org/mondial/10/country/F/	741072
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Bretagne	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	27207	http://www.semwebtech.org/mondial/10/country/F/	3217767
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Rhône-Alpes	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	43698	http://www.semwebtech.org/mondial/10/country/F/	6283541
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Nord-Pas-de-Calais	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	12414	http://www.semwebtech.org/mondial/10/country/F/	4042015
\.


--
-- TOC entry 5930 (class 0 OID 96659)
-- Dependencies: 1096
-- Data for Name: Religion; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Religion" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Presbyterian
http://www.semwebtech.org/mondial/10/religion/Baptist/	Baptist
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Church of God
http://www.semwebtech.org/mondial/10/religion/Hindu/	Hindu
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Armenian Apostolic
http://www.semwebtech.org/mondial/10/religion/Catholic/	Catholic
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Cao Dai
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Roman Catholic
http://www.semwebtech.org/mondial/10/religion/Sikh/	Sikh
http://www.semwebtech.org/mondial/10/religion/Jains/	Jains
http://www.semwebtech.org/mondial/10/religion/Taoist/	Taoist
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Episcopalian
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Christian Congregationalist
http://www.semwebtech.org/mondial/10/religion/Mormon/	Mormon
http://www.semwebtech.org/mondial/10/religion/Druze/	Druze
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Jehovas Witnesses
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Ukrainian Greek Catholic
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Christian Orthodox
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Seventh-Day Adventist
http://www.semwebtech.org/mondial/10/religion/Methodist/	Methodist
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Uniting Church Australia
http://www.semwebtech.org/mondial/10/religion/Christian/	Christian
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Chondogyo
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	United Church
http://www.semwebtech.org/mondial/10/religion/Protestant/	Protestant
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Ekalesia Niue
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Hoa Hao
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Kimbanguist
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Confucianism
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	New Apostolic
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Church Christ
http://www.semwebtech.org/mondial/10/religion/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/religion/Anglican/	Anglican
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Congregational Christian
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Buddhist
http://www.semwebtech.org/mondial/10/religion/Bahai/	Bahai
http://www.semwebtech.org/mondial/10/religion/Mayan/	Mayan
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Church Tuvalu
http://www.semwebtech.org/mondial/10/religion/Adventist/	Adventist
http://www.semwebtech.org/mondial/10/religion/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Coptic Christian
http://www.semwebtech.org/mondial/10/religion/United/	United
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	African Methodist Episcopal
\.


--
-- TOC entry 5931 (class 0 OID 96662)
-- Dependencies: 1097
-- Data for Name: Source; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Source" ("URI", "inMountains", longitude, elevation, "hasSource-", latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-3	608	http://www.semwebtech.org/mondial/10/river/Guadiana/	42
http://www.semwebtech.org/mondial/10/source/Marne/	\N	5.35	406	http://www.semwebtech.org/mondial/10/river/Marne/	47.8
http://www.semwebtech.org/mondial/10/source/Seine/	\N	4.71	470	http://www.semwebtech.org/mondial/10/river/Seine/	47.48
http://www.semwebtech.org/mondial/10/source/Gambia/	\N	-12.3	438	http://www.semwebtech.org/mondial/10/river/Gambia/	11.3
http://www.semwebtech.org/mondial/10/source/SchattalArab/	\N	47.44	20	http://www.semwebtech.org/mondial/10/river/SchattalArab/	31
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-77	\N	http://www.semwebtech.org/mondial/10/river/RioMagdalena/	2
http://www.semwebtech.org/mondial/10/source/Jubba/	\N	39	\N	http://www.semwebtech.org/mondial/10/river/Jubba/	7
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	35.2	474	http://www.semwebtech.org/mondial/10/river/Chire/	-14.2
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148	\N	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	-38
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	37.3	1830	http://www.semwebtech.org/mondial/10/river/BlueNile/	12
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.35	1375	http://www.semwebtech.org/mondial/10/river/Enns/	47.33
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	7.15	640	http://www.semwebtech.org/mondial/10/river/Saar/	48.5
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.2	782	http://www.semwebtech.org/mondial/10/river/Lukuga/	-5.9
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	35.7	\N	http://www.semwebtech.org/mondial/10/river/Jordan/	33.7
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.2	1462	http://www.semwebtech.org/mondial/10/river/Ruzizi/	-1.8
http://www.semwebtech.org/mondial/10/source/Senegal/	\N	-12	\N	http://www.semwebtech.org/mondial/10/river/Senegal/	11.5
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/mountains/SierraParima/	-63.5	\N	http://www.semwebtech.org/mondial/10/river/Orinoco/	2
http://www.semwebtech.org/mondial/10/source/Limmat/	\N	8.64	406	http://www.semwebtech.org/mondial/10/river/Limmat/	47.23
http://www.semwebtech.org/mondial/10/source/Vuoksi/	\N	28.75	\N	http://www.semwebtech.org/mondial/10/river/Vuoksi/	61.2
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.2	2310	http://www.semwebtech.org/mondial/10/river/Aare/	46.55
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	23	1000	http://www.semwebtech.org/mondial/10/river/Dnjestr/	49
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	73	4130	http://www.semwebtech.org/mondial/10/river/Pjandsh/	37
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.6	\N	http://www.semwebtech.org/mondial/10/river/Save/	46.2
http://www.semwebtech.org/mondial/10/source/Buna/	\N	19.5	1	http://www.semwebtech.org/mondial/10/river/Buna/	42.05
http://www.semwebtech.org/mondial/10/source/Irawaddy/	\N	98	4300	http://www.semwebtech.org/mondial/10/river/Irawaddy/	29
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	30	\N	http://www.semwebtech.org/mondial/10/river/Vaal/	-26
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	72.45	2595	http://www.semwebtech.org/mondial/10/river/Bartang/	38.3
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	\N	-113.9	156	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	61.7
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	\N	21.4	\N	http://www.semwebtech.org/mondial/10/river/SouthernMorava/	42.1
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/mountains/Altai/	86.56	2000	http://www.semwebtech.org/mondial/10/river/Katun/	49.75
http://www.semwebtech.org/mondial/10/source/Kama/	\N	53.75	\N	http://www.semwebtech.org/mondial/10/river/Kama/	58.2
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	16.85	1380	http://www.semwebtech.org/mondial/10/river/March/	50.21
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10	1840	http://www.semwebtech.org/mondial/10/river/Lech/	47.17
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	44.1	1950	http://www.semwebtech.org/mondial/10/river/Murat/	39.55
http://www.semwebtech.org/mondial/10/source/Chatanga/	\N	95	\N	http://www.semwebtech.org/mondial/10/river/Chatanga/	68
http://www.semwebtech.org/mondial/10/source/WhiteNile/	\N	30.43	\N	http://www.semwebtech.org/mondial/10/river/WhiteNile/	9.5
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	17.52	634	http://www.semwebtech.org/mondial/10/river/Oder/	49.61
http://www.semwebtech.org/mondial/10/source/Lulua/	\N	14.7	\N	http://www.semwebtech.org/mondial/10/river/Lulua/	-11.3
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/mountains/Alps/	7	2770	http://www.semwebtech.org/mondial/10/river/Isere/	45.4
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-74.23	295	http://www.semwebtech.org/mondial/10/river/Tambo/	-11.15
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.52	686	http://www.semwebtech.org/mondial/10/river/Donau/	47.95
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	18.8	441	http://www.semwebtech.org/mondial/10/river/Drina/	43.35
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	6.2	451	http://www.semwebtech.org/mondial/10/river/Saone/	48.1
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	\N	-115.85	808	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	50.2
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	\N	-78.9	174	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	42.9
http://www.semwebtech.org/mondial/10/source/Arkansas/	\N	-106.3	4260	http://www.semwebtech.org/mondial/10/river/Arkansas/	39.25
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	\N	-97.97	218	http://www.semwebtech.org/mondial/10/river/NelsonRiver/	52.77
http://www.semwebtech.org/mondial/10/source/Schari/	\N	21	\N	http://www.semwebtech.org/mondial/10/river/Schari/	8
http://www.semwebtech.org/mondial/10/source/Manicouagan/	\N	-68.7	350	http://www.semwebtech.org/mondial/10/river/Manicouagan/	51.4
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	\N	28.3	119	http://www.semwebtech.org/mondial/10/river/Paatsjoki/	68.95
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/mountains/Jura/	6.2	937	http://www.semwebtech.org/mondial/10/river/Doubs/	46.7
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/mountains/Apennin/	12.08	1348	http://www.semwebtech.org/mondial/10/river/Tiber/	43.77
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	6.89	715	http://www.semwebtech.org/mondial/10/river/Mosel/	47.89
http://www.semwebtech.org/mondial/10/source/Ob/	\N	85	162	http://www.semwebtech.org/mondial/10/river/Ob/	52.43
http://www.semwebtech.org/mondial/10/source/Araguaia/	\N	-53.07	760	http://www.semwebtech.org/mondial/10/river/Araguaia/	-17.97
http://www.semwebtech.org/mondial/10/source/Parana/	\N	-46.5	\N	http://www.semwebtech.org/mondial/10/river/Parana/	-19
http://www.semwebtech.org/mondial/10/source/Saluen/	\N	91.9	5450	http://www.semwebtech.org/mondial/10/river/Saluen/	32.5
http://www.semwebtech.org/mondial/10/source/Volta/	\N	-4.5	\N	http://www.semwebtech.org/mondial/10/river/Volta/	11
http://www.semwebtech.org/mondial/10/source/Ganges/	\N	79.5	\N	http://www.semwebtech.org/mondial/10/river/Ganges/	30.5
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.97	400	http://www.semwebtech.org/mondial/10/river/Ene/	-12.26
http://www.semwebtech.org/mondial/10/source/Selenge/	\N	106	\N	http://www.semwebtech.org/mondial/10/river/Selenge/	52
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.3	2700	http://www.semwebtech.org/mondial/10/river/Akagera/	-2.5
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.6	920	http://www.semwebtech.org/mondial/10/river/Semliki/	-0.35
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	41	\N	http://www.semwebtech.org/mondial/10/river/Tigris/	38.3
http://www.semwebtech.org/mondial/10/source/Oulujoki/	\N	27.25	123	http://www.semwebtech.org/mondial/10/river/Oulujoki/	64.3
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	25.8	1280	http://www.semwebtech.org/mondial/10/river/Olt/	46.65
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/mountains/Ural/	59	\N	http://www.semwebtech.org/mondial/10/river/Petschora/	62
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	\N	-76.55	75	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	44.2
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.26	1450	http://www.semwebtech.org/mondial/10/river/Drau/	46.73
http://www.semwebtech.org/mondial/10/source/Kwa/	\N	17.4	\N	http://www.semwebtech.org/mondial/10/river/Kwa/	3.3
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.2	\N	http://www.semwebtech.org/mondial/10/river/WhiteDrin/	42.7
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	33	\N	http://www.semwebtech.org/mondial/10/river/Volga/	57
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	18.82	\N	http://www.semwebtech.org/mondial/10/river/Piva/	43.11
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	37.3	\N	http://www.semwebtech.org/mondial/10/river/Atbara/	12.8
http://www.semwebtech.org/mondial/10/source/Lagen/	\N	8.45	611	http://www.semwebtech.org/mondial/10/river/Lagen/	62.19
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.35	1898	http://www.semwebtech.org/mondial/10/river/Mur/	47.13
http://www.semwebtech.org/mondial/10/source/Colorado/	\N	-105.7	2700	http://www.semwebtech.org/mondial/10/river/Colorado/	40.35
http://www.semwebtech.org/mondial/10/source/Pibor/	\N	33.5	\N	http://www.semwebtech.org/mondial/10/river/Pibor/	7
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/mountains/Altai/	90	2930	http://www.semwebtech.org/mondial/10/river/Irtysch/	47.9
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.42	2400	http://www.semwebtech.org/mondial/10/river/Ticino/	46.475
http://www.semwebtech.org/mondial/10/source/Don/	\N	37.5	\N	http://www.semwebtech.org/mondial/10/river/Don/	53
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	\N	-123	1920	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	52.5
http://www.semwebtech.org/mondial/10/source/Cuilo/	\N	14.7	\N	http://www.semwebtech.org/mondial/10/river/Cuilo/	-11.3
http://www.semwebtech.org/mondial/10/source/Würm/	\N	11.35	596	http://www.semwebtech.org/mondial/10/river/Würm/	48
http://www.semwebtech.org/mondial/10/source/Sobat/	\N	33.2	\N	http://www.semwebtech.org/mondial/10/river/Sobat/	8.45
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/mountains/Ural/	60.8	\N	http://www.semwebtech.org/mondial/10/river/Tobol/	51.2
http://www.semwebtech.org/mondial/10/source/Lena/	\N	107.88	1465	http://www.semwebtech.org/mondial/10/river/Lena/	53.99
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-3	2160	http://www.semwebtech.org/mondial/10/river/Douro/	42
http://www.semwebtech.org/mondial/10/source/Mekong/	\N	94	5200	http://www.semwebtech.org/mondial/10/river/Mekong/	32.5
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/mountains/Alps/	11.05	850	http://www.semwebtech.org/mondial/10/river/Ammer/	47.57
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	41.3	1950	http://www.semwebtech.org/mondial/10/river/Karasu/	49.9
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/mountains/Beskides/	19.01	1100	http://www.semwebtech.org/mondial/10/river/Weichsel/	49.61
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/mountains/Alps/	11.4	1.16	http://www.semwebtech.org/mondial/10/river/Isar/	47.37
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	33	1134	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	-1
http://www.semwebtech.org/mondial/10/source/Limpopo/	\N	28	1800	http://www.semwebtech.org/mondial/10/river/Limpopo/	-26
http://www.semwebtech.org/mondial/10/source/Glomma/	\N	12	860	http://www.semwebtech.org/mondial/10/river/Glomma/	62.6
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	-3	1400	http://www.semwebtech.org/mondial/10/river/Guadalquivir/	37.8
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.5	\N	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	-35.8
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	-83	\N	http://www.semwebtech.org/mondial/10/river/Tennessee/	35.2
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.7	1140	http://www.semwebtech.org/mondial/10/river/Luapula/	-11.2
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	\N	-82.6	176	http://www.semwebtech.org/mondial/10/river/DetroitRiver/	42.1
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.38	1753	http://www.semwebtech.org/mondial/10/river/Rhone/	46.57
http://www.semwebtech.org/mondial/10/source/Bani/	\N	-6.56	285	http://www.semwebtech.org/mondial/10/river/Bani/	12.6
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/mountains/Zagros/	50.1	\N	http://www.semwebtech.org/mondial/10/river/Karun/	32.35
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/mountains/Andes/	\N	\N	http://www.semwebtech.org/mondial/10/river/Urubamba/	\N
http://www.semwebtech.org/mondial/10/source/Zaire/	\N	25.2	\N	http://www.semwebtech.org/mondial/10/river/Zaire/	0.5
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.3	5800	http://www.semwebtech.org/mondial/10/river/Huallaga/	-10.5
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	30.5	\N	http://www.semwebtech.org/mondial/10/river/Uelle/	2
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-69	3812	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	-16.55
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/mountains/TianShan/	85.5	\N	http://www.semwebtech.org/mondial/10/river/Ili/	43.8
http://www.semwebtech.org/mondial/10/source/Neckar/	\N	8.5	706	http://www.semwebtech.org/mondial/10/river/Neckar/	48.05
http://www.semwebtech.org/mondial/10/source/Sanaga/	\N	13.4	628	http://www.semwebtech.org/mondial/10/river/Sanaga/	5.3
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	4.22	1408	http://www.semwebtech.org/mondial/10/river/Loire/	44.84
http://www.semwebtech.org/mondial/10/source/Kymijoki/	\N	25.4	78	http://www.semwebtech.org/mondial/10/river/Kymijoki/	61.5
http://www.semwebtech.org/mondial/10/source/Niger/	\N	-10.87	490	http://www.semwebtech.org/mondial/10/river/Niger/	9.65
http://www.semwebtech.org/mondial/10/source/Zambezi/	\N	24.2	1500	http://www.semwebtech.org/mondial/10/river/Zambezi/	-11
http://www.semwebtech.org/mondial/10/source/Argun/	\N	122.46	1200	http://www.semwebtech.org/mondial/10/river/Argun/	49.94
http://www.semwebtech.org/mondial/10/source/Aruwimi/	\N	14.7	\N	http://www.semwebtech.org/mondial/10/river/Aruwimi/	-11.3
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.45	88	http://www.semwebtech.org/mondial/10/river/Amazonas/	-4.44
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	\N	-84.6	184	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	46.5
http://www.semwebtech.org/mondial/10/source/Sanga/	\N	15	\N	http://www.semwebtech.org/mondial/10/river/Sanga/	6
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.7	695	http://www.semwebtech.org/mondial/10/river/BlackDrin/	41
http://www.semwebtech.org/mondial/10/source/Kemijoki/	\N	28.9525	230	http://www.semwebtech.org/mondial/10/river/Kemijoki/	67.96
http://www.semwebtech.org/mondial/10/source/Okavango/	\N	12.7	\N	http://www.semwebtech.org/mondial/10/river/Okavango/	-18.4
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	74.4	4015	http://www.semwebtech.org/mondial/10/river/Murgab/	37.35
http://www.semwebtech.org/mondial/10/source/Bomu/	\N	27	\N	http://www.semwebtech.org/mondial/10/river/Bomu/	5
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/mountains/Ural/	59	\N	http://www.semwebtech.org/mondial/10/river/Ural/	54
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-66.5	\N	http://www.semwebtech.org/mondial/10/river/RioMamore/	-18
http://www.semwebtech.org/mondial/10/source/Kolyma/	\N	145	\N	http://www.semwebtech.org/mondial/10/river/Kolyma/	61.5
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	13.56	1174	http://www.semwebtech.org/mondial/10/river/Moldau/	48.97
http://www.semwebtech.org/mondial/10/source/Suchona/	\N	59	180	http://www.semwebtech.org/mondial/10/river/Suchona/	39
http://www.semwebtech.org/mondial/10/source/Busira/	\N	20.8	\N	http://www.semwebtech.org/mondial/10/river/Busira/	-0.2
http://www.semwebtech.org/mondial/10/source/Dalaelv/	\N	15.1	\N	http://www.semwebtech.org/mondial/10/river/Dalaelv/	60.7
http://www.semwebtech.org/mondial/10/source/Lualaba/	\N	27	\N	http://www.semwebtech.org/mondial/10/river/Lualaba/	-12
http://www.semwebtech.org/mondial/10/source/Hwangho/	\N	96.2	4500	http://www.semwebtech.org/mondial/10/river/Hwangho/	35.3
http://www.semwebtech.org/mondial/10/source/Cuango/	\N	14.2	502	http://www.semwebtech.org/mondial/10/river/Cuango/	-11.5
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	22.93	1000	http://www.semwebtech.org/mondial/10/river/Dnister/	49.2
http://www.semwebtech.org/mondial/10/source/Thames/	\N	-2.03	105	http://www.semwebtech.org/mondial/10/river/Thames/	51.7
http://www.semwebtech.org/mondial/10/source/Klaraelv/	\N	11.9	662	http://www.semwebtech.org/mondial/10/river/Klaraelv/	62.2
http://www.semwebtech.org/mondial/10/source/Amur/	\N	121.48	305	http://www.semwebtech.org/mondial/10/river/Amur/	53.33
http://www.semwebtech.org/mondial/10/source/Tshuapa/	\N	24.5	\N	http://www.semwebtech.org/mondial/10/river/Tshuapa/	-3
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.66	5800	http://www.semwebtech.org/mondial/10/river/Maranon/	-10
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/mountains/Alps/	15.52	1150	http://www.semwebtech.org/mondial/10/river/Raab/	47.35
http://www.semwebtech.org/mondial/10/source/Shabelle/	\N	38.5	\N	http://www.semwebtech.org/mondial/10/river/Shabelle/	7
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	\N	-84.75	176	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	45.8
http://www.semwebtech.org/mondial/10/source/RioLerma/	\N	-99	\N	http://www.semwebtech.org/mondial/10/river/RioLerma/	19
http://www.semwebtech.org/mondial/10/source/Baro/	\N	36.2	\N	http://www.semwebtech.org/mondial/10/river/Baro/	8.5
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	42.76	2650	http://www.semwebtech.org/mondial/10/river/Kura/	40.7
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.4	\N	http://www.semwebtech.org/mondial/10/river/Drin/	42.1
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	15.54	1.386	http://www.semwebtech.org/mondial/10/river/Elbe/	50.78
http://www.semwebtech.org/mondial/10/source/Maas/	\N	5.63	409	http://www.semwebtech.org/mondial/10/river/Maas/	47.97
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	\N	-16.5	\N	http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	64.8
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	\N	23	\N	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	61.3
http://www.semwebtech.org/mondial/10/source/Nile/	\N	32.5	\N	http://www.semwebtech.org/mondial/10/river/Nile/	15.6
http://www.semwebtech.org/mondial/10/source/Uruguay/	\N	-52	1800	http://www.semwebtech.org/mondial/10/river/Uruguay/	-27.5
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	24.25	460	http://www.semwebtech.org/mondial/10/river/Theiss/	48.1
http://www.semwebtech.org/mondial/10/source/Newa/	\N	31.53	4	http://www.semwebtech.org/mondial/10/river/Newa/	60.82
http://www.semwebtech.org/mondial/10/source/Swir/	\N	35.49	33	http://www.semwebtech.org/mondial/10/river/Swir/	60.99
http://www.semwebtech.org/mondial/10/source/Kasai/	\N	19.3	\N	http://www.semwebtech.org/mondial/10/river/Kasai/	-10.96
http://www.semwebtech.org/mondial/10/source/Prypjat/	\N	24.1	\N	http://www.semwebtech.org/mondial/10/river/Prypjat/	51.5
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/mountains/Apennin/	11.7	1385	http://www.semwebtech.org/mondial/10/river/Arno/	43.9
http://www.semwebtech.org/mondial/10/source/Ruki/	\N	19	\N	http://www.semwebtech.org/mondial/10/river/Ruki/	-0.3
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	-4.37	1.6	http://www.semwebtech.org/mondial/10/river/Ebro/	43.0375
http://www.semwebtech.org/mondial/10/source/OhioRiver/	\N	-80	222	http://www.semwebtech.org/mondial/10/river/OhioRiver/	40.42
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	\N	-43	1200	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	-20.3
http://www.semwebtech.org/mondial/10/source/Leine/	\N	10.32	340	http://www.semwebtech.org/mondial/10/river/Leine/	51.39
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/mountains/TianShan/	78	\N	http://www.semwebtech.org/mondial/10/river/Naryn/	42
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-75.27	650	http://www.semwebtech.org/mondial/10/river/Perene/	-10.95
http://www.semwebtech.org/mondial/10/source/Aller/	\N	11.23	130	http://www.semwebtech.org/mondial/10/river/Aller/	52.1
http://www.semwebtech.org/mondial/10/source/RioGrande/	\N	-107.5	3900	http://www.semwebtech.org/mondial/10/river/RioGrande/	38
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	152	\N	http://www.semwebtech.org/mondial/10/river/DarlingRiver/	-28
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	\N	23.8	450	http://www.semwebtech.org/mondial/10/river/Ounasjoki/	68.6
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-71.84	5020	http://www.semwebtech.org/mondial/10/river/Apurimac/	-15.24
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	\N	-71.6	\N	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	43.4
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/mountains/Rhön/	9.9	850	http://www.semwebtech.org/mondial/10/river/Fulda/	50.5
http://www.semwebtech.org/mondial/10/source/Oka/	\N	36.1	\N	http://www.semwebtech.org/mondial/10/river/Oka/	52.5
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.5	\N	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	-37
http://www.semwebtech.org/mondial/10/source/Narew/	\N	24	\N	http://www.semwebtech.org/mondial/10/river/Narew/	53
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.7	65	http://www.semwebtech.org/mondial/10/river/Mincio/	45.4
http://www.semwebtech.org/mondial/10/source/RioMadeira/	\N	-65.4	\N	http://www.semwebtech.org/mondial/10/river/RioMadeira/	-10.4
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	19.25	1	http://www.semwebtech.org/mondial/10/river/Moraca/	42.85
http://www.semwebtech.org/mondial/10/source/Missouri/	\N	-111.5	1232	http://www.semwebtech.org/mondial/10/river/Missouri/	45.9
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	\N	-85.35	31	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	11.6
http://www.semwebtech.org/mondial/10/source/Lomami/	\N	24.7	1140	http://www.semwebtech.org/mondial/10/river/Lomami/	-8.7
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.5	1525	http://www.semwebtech.org/mondial/10/river/Etsch/	46.7
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-1.7	1.58	http://www.semwebtech.org/mondial/10/river/Tajo/	40.32
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	10.96	797	http://www.semwebtech.org/mondial/10/river/Werra/	50.5
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	\N	12.6	\N	http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	61.8
http://www.semwebtech.org/mondial/10/source/Amudarja/	\N	68.3	310	http://www.semwebtech.org/mondial/10/river/Amudarja/	37.1
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	-77.9	759	http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	41.9
http://www.semwebtech.org/mondial/10/source/Euphrat/	\N	38.75	\N	http://www.semwebtech.org/mondial/10/river/Euphrat/	38.8
http://www.semwebtech.org/mondial/10/source/Narva/	\N	27.49	30	http://www.semwebtech.org/mondial/10/river/Narva/	58.68
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.3	\N	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	-36.5
http://www.semwebtech.org/mondial/10/source/Ischim/	\N	71.5	\N	http://www.semwebtech.org/mondial/10/river/Ischim/	52
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	34	220	http://www.semwebtech.org/mondial/10/river/Dnepr/	55.5
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	\N	-120	1900	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	39
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.35	\N	http://www.semwebtech.org/mondial/10/river/Alz/	47.3
http://www.semwebtech.org/mondial/10/source/Jangtse/	\N	91.2	5405	http://www.semwebtech.org/mondial/10/river/Jangtse/	33.5
http://www.semwebtech.org/mondial/10/source/Umeaelv/	\N	15	\N	http://www.semwebtech.org/mondial/10/river/Umeaelv/	66.1
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	\N	12.6	\N	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	62.2
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/mountains/Alps/	7.09	2022	http://www.semwebtech.org/mondial/10/river/Po/	44.7
http://www.semwebtech.org/mondial/10/source/Lukenie/	\N	24.5	\N	http://www.semwebtech.org/mondial/10/river/Lukenie/	-6.8
http://www.semwebtech.org/mondial/10/source/Mississippi/	\N	-95.2	512	http://www.semwebtech.org/mondial/10/river/Mississippi/	47.25
http://www.semwebtech.org/mondial/10/source/Fimi/	\N	18.2	\N	http://www.semwebtech.org/mondial/10/river/Fimi/	-2.7
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.16	1078	http://www.semwebtech.org/mondial/10/river/Breg/	48.1
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	\N	12.34	44	http://www.semwebtech.org/mondial/10/river/Goetaaelv/	58.4
http://www.semwebtech.org/mondial/10/source/Benue/	\N	12.58	1100	http://www.semwebtech.org/mondial/10/river/Benue/	7.58
http://www.semwebtech.org/mondial/10/source/WesternMorava/	\N	20.2	\N	http://www.semwebtech.org/mondial/10/river/WesternMorava/	43.85
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	\N	60.9	180	http://www.semwebtech.org/mondial/10/river/NorthernDwina/	46.3
http://www.semwebtech.org/mondial/10/source/YukonRiver/	\N	-134.5	668	http://www.semwebtech.org/mondial/10/river/YukonRiver/	60.54
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	\N	28.5	\N	http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	5
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	24.55	\N	http://www.semwebtech.org/mondial/10/river/Pruth/	48.16
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	34	228	http://www.semwebtech.org/mondial/10/river/WesternDwina/	56
http://www.semwebtech.org/mondial/10/source/Paraguay/	\N	-56.5	\N	http://www.semwebtech.org/mondial/10/river/Paraguay/	-14.5
http://www.semwebtech.org/mondial/10/source/WesternBug/	\N	25.06	\N	http://www.semwebtech.org/mondial/10/river/WesternBug/	49.09
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	30.9	619	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	1.7
http://www.semwebtech.org/mondial/10/source/Asahan/	\N	98.7	905	http://www.semwebtech.org/mondial/10/river/Asahan/	2.7
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	19.57	2000	http://www.semwebtech.org/mondial/10/river/Tara/	42.6
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	11.4	887	http://www.semwebtech.org/mondial/10/river/Main/	50.1
http://www.semwebtech.org/mondial/10/source/Indus/	\N	79.7	5300	http://www.semwebtech.org/mondial/10/river/Indus/	32.45
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.27	783	http://www.semwebtech.org/mondial/10/river/Iller/	47.43
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-70	\N	http://www.semwebtech.org/mondial/10/river/RioNegro/	-2
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.3	2235	http://www.semwebtech.org/mondial/10/river/Adda/	46.55
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	\N	-73.3	30	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	45
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.54	2431	http://www.semwebtech.org/mondial/10/river/Reuss/	46.56
http://www.semwebtech.org/mondial/10/source/Morava/	\N	21.4	\N	http://www.semwebtech.org/mondial/10/river/Morava/	43.7
http://www.semwebtech.org/mondial/10/source/Weser/	\N	9.65	116.5	http://www.semwebtech.org/mondial/10/river/Weser/	51.4
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/mountains/Beskides/	19.81	664	http://www.semwebtech.org/mondial/10/river/Waag/	49.02
http://www.semwebtech.org/mondial/10/source/Angara/	\N	113	\N	http://www.semwebtech.org/mondial/10/river/Angara/	56.5
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	28.7	931	http://www.semwebtech.org/mondial/10/river/Luvua/	-9
http://www.semwebtech.org/mondial/10/source/Ubangi/	\N	22.5	\N	http://www.semwebtech.org/mondial/10/river/Ubangi/	4
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.75	287	http://www.semwebtech.org/mondial/10/river/Ucayali/	-10.7
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	-73.95	1309	http://www.semwebtech.org/mondial/10/river/HudsonRiver/	44.1
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.28	940	http://www.semwebtech.org/mondial/10/river/Brigach/	48.11
http://www.semwebtech.org/mondial/10/source/Thjorsa/	\N	-18	\N	http://www.semwebtech.org/mondial/10/river/Thjorsa/	65
http://www.semwebtech.org/mondial/10/source/Tocantins/	\N	-49	1070	http://www.semwebtech.org/mondial/10/river/Tocantins/	-16
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.7	2345	http://www.semwebtech.org/mondial/10/river/Rhein/	46.6
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	\N	81.33	6000	http://www.semwebtech.org/mondial/10/river/Brahmaputra/	31.06
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	80.5	\N	http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	33.5
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	\N	-71.21	\N	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	45.25
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.27	4082	http://www.semwebtech.org/mondial/10/river/Mantaro/	-10.92
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	0.8	\N	http://www.semwebtech.org/mondial/10/river/Garonne/	42.73
http://www.semwebtech.org/mondial/10/source/Syrdarja/	\N	71.7	\N	http://www.semwebtech.org/mondial/10/river/Syrdarja/	41
http://www.semwebtech.org/mondial/10/source/Jenissej/	\N	97.5	\N	http://www.semwebtech.org/mondial/10/river/Jenissej/	52.33
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.11	2300	http://www.semwebtech.org/mondial/10/river/Salzach/	47.3
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	28.5	1800	http://www.semwebtech.org/mondial/10/river/Oranje/	-28.5
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/mountains/Alps/	9.67	2484	http://www.semwebtech.org/mondial/10/river/Inn/	46.41
http://www.semwebtech.org/mondial/10/source/Schilka/	\N	111	\N	http://www.semwebtech.org/mondial/10/river/Schilka/	49.8
\.


--
-- TOC entry 5932 (class 0 OID 96668)
-- Dependencies: 1098
-- Data for Name: SpokenBy; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "SpokenBy" ("URI", percent, "languageInfo-", "onLanguage") FROM stdin;
7b93e6a1:150814fecb6:21e5	100	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2141	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Slovenian/
7b93e6a1:150814fecb6:21a8	1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Kurd/
7b93e6a1:150814fecb6:216b	75	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:212e	7	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2179	96	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Swedish/
7b93e6a1:150814fecb6:221c	99	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:21d6	40	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Amerindian/
7b93e6a1:150814fecb6:2132	7	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Galician/
7b93e6a1:150814fecb6:215c	77	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Luxembourgish/
7b93e6a1:150814fecb6:2220	99	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:211f	1.2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:220d	2.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Chinese/
7b93e6a1:150814fecb6:2160	1	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21c7	75	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2123	1.1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:218a	16	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:214d	1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Romansch/
7b93e6a1:150814fecb6:2211	10.8	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2198	26	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkic/
7b93e6a1:150814fecb6:21aa	71	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Georgian/
7b93e6a1:150814fecb6:21f5	8.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Creole/
7b93e6a1:150814fecb6:2151	37.5	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21b8	12.5	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:217b	50	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:213e	98	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2202	1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Vietnamese/
7b93e6a1:150814fecb6:2189	75.8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Romanian/
7b93e6a1:150814fecb6:222c	67.6	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21e6	90	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/Creole/
7b93e6a1:150814fecb6:2142	0.1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:21a9	0.9	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:216c	18	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Kurdish/
7b93e6a1:150814fecb6:2230	100	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:212f	100	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:221d	100	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2170	29.7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21d7	95	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2133	2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Basque/
7b93e6a1:150814fecb6:219a	8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Urdu/
7b93e6a1:150814fecb6:215d	8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2221	84.1	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:220e	24.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
7b93e6a1:150814fecb6:21ba	95.6	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/Chinese/
7b93e6a1:150814fecb6:2161	100	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:21c8	17	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Hebrew/
7b93e6a1:150814fecb6:2124	63.6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:218b	3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Gagauz/
7b93e6a1:150814fecb6:214e	62.8	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:2212	9.5	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/
7b93e6a1:150814fecb6:2199	8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Pashtu/
7b93e6a1:150814fecb6:21ab	9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21f6	99	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2152	82	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Lithuanian/
7b93e6a1:150814fecb6:21b9	1	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Dungun/
7b93e6a1:150814fecb6:217c	21.6	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Monegasque/
7b93e6a1:150814fecb6:213f	0.7	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2203	61.1	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:222d	100	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2180	2	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:21e7	10	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2143	100	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:216d	98	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/Danish/
7b93e6a1:150814fecb6:2231	100	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:21a0	10	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Siraiki/
7b93e6a1:150814fecb6:221e	90	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21ca	18	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Tamil/
7b93e6a1:150814fecb6:2171	90	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Finnish/
7b93e6a1:150814fecb6:21d8	100	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2134	88.6	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:219b	48	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Punjabi/
7b93e6a1:150814fecb6:215e	6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2222	13	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Quechua/
7b93e6a1:150814fecb6:220f	23.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/ChineseLanguage/
7b93e6a1:150814fecb6:21bb	3.2	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2162	99	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/
7b93e6a1:150814fecb6:21c9	100	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/language/Japanese/
7b93e6a1:150814fecb6:2125	22	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Montenegrin/
7b93e6a1:150814fecb6:218c	4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
7b93e6a1:150814fecb6:214f	36.7	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Belorussian/
7b93e6a1:150814fecb6:2213	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/language/Pitkern/
7b93e6a1:150814fecb6:21ac	7	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Armenian/
7b93e6a1:150814fecb6:2190	35	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Pashtu/
7b93e6a1:150814fecb6:21f7	100	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2153	8	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:217d	19	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2204	31.4	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/Polynesian/
7b93e6a1:150814fecb6:21b0	1.8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:222e	20	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21da	21.6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2181	100	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/language/Icelandic/
7b93e6a1:150814fecb6:21e8	99	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2144	83.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Slovak/
7b93e6a1:150814fecb6:216e	0.4	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:21a1	72	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Turkmen/
7b93e6a1:150814fecb6:221f	8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Guarani/
7b93e6a1:150814fecb6:21cb	74	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Sinhala/
7b93e6a1:150814fecb6:2172	5.4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Swedish/
7b93e6a1:150814fecb6:21d9	58.8	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2135	2.3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:219c	12	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Sindhi/
7b93e6a1:150814fecb6:215f	4	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2223	1.7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Aymara/
7b93e6a1:150814fecb6:21bc	4	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2163	96.1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Croatian/
7b93e6a1:150814fecb6:2126	5.5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Bosnian/
7b93e6a1:150814fecb6:218d	100	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2214	1	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21c0	18	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:21ea	99	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21ad	6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Azeri/
7b93e6a1:150814fecb6:2191	50	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/AfghanPersian/
7b93e6a1:150814fecb6:21f8	100	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2154	5.6	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Polish/
7b93e6a1:150814fecb6:217e	8.5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2205	38.3	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21b1	1.5	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Armenian/
7b93e6a1:150814fecb6:222f	100	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:21db	82.1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2182	95	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21e9	99	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2145	10.7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:216f	67.3	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Estonian/
7b93e6a1:150814fecb6:21a2	12	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21cc	100	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2173	1.8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:2136	2.2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:219d	3	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Balochi/
7b93e6a1:150814fecb6:2224	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21d0	32.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Creole/
7b93e6a1:150814fecb6:21fa	90.6	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Samoan/
7b93e6a1:150814fecb6:21bd	90	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/
7b93e6a1:150814fecb6:2164	1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:2127	5.3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:218e	95	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2215	58.9	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Wallisian/
7b93e6a1:150814fecb6:21c1	99	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:21eb	100	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21ae	90.3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Azeri/
7b93e6a1:150814fecb6:2192	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:21f9	100	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2155	100	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/language/Polish/
7b93e6a1:150814fecb6:2118	98.8	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:217f	3.5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2206	22.2	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/Chamorro/
7b93e6a1:150814fecb6:21b2	100	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/language/Burmese/
7b93e6a1:150814fecb6:21dc	10.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2183	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2146	1.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:21e0	97.5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21a3	9	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Uzbek/
7b93e6a1:150814fecb6:21cd	100	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2174	0.6	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Estonian/
7b93e6a1:150814fecb6:2137	2.5	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Croatian/
7b93e6a1:150814fecb6:219e	2	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Hindko/
7b93e6a1:150814fecb6:2225	99	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21d1	8.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/MayanDialects/
7b93e6a1:150814fecb6:21fb	2.9	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21be	100	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/language/Nepali/
7b93e6a1:150814fecb6:211a	99	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:2165	76.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Bulgarian/
7b93e6a1:150814fecb6:2128	92	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:218f	11	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Turkic/
7b93e6a1:150814fecb6:2216	30.1	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Futunian/
7b93e6a1:150814fecb6:21c2	0.6	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Hebrew/
7b93e6a1:150814fecb6:21ec	81.2	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Papiamento/
7b93e6a1:150814fecb6:21af	2.2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Lezgi/
7b93e6a1:150814fecb6:2193	9	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Kurdish/
7b93e6a1:150814fecb6:2156	67	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
7b93e6a1:150814fecb6:2119	0.5	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:21f0	2.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Papiamento/
7b93e6a1:150814fecb6:2207	22.2	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
7b93e6a1:150814fecb6:21b3	30	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/language/Hindi/
7b93e6a1:150814fecb6:21dd	95	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2184	94.5	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2147	1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
7b93e6a1:150814fecb6:21e1	1.7	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Miskito/
7b93e6a1:150814fecb6:21a4	74.3	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Uzbek/
7b93e6a1:150814fecb6:21ce	100	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:212a	44	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Catalan/
7b93e6a1:150814fecb6:2175	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2138	0.3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Slovene/
7b93e6a1:150814fecb6:219f	1	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Brahui/
7b93e6a1:150814fecb6:2226	99	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21d2	3.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21fc	2.4	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Tongan/
7b93e6a1:150814fecb6:21bf	78	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:211b	66.5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Macedonian/
7b93e6a1:150814fecb6:2166	8.2	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:2129	5	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:2217	10.8	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21c3	76	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Hebrew/
7b93e6a1:150814fecb6:21ed	2.9	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2194	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Balochi/
7b93e6a1:150814fecb6:2157	24	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21f1	67.5	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2208	91.2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21b4	64.4	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/language/Kazakh/
7b93e6a1:150814fecb6:21de	3.2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:213a	94.9	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Czech/
7b93e6a1:150814fecb6:2185	4.6	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2148	91	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Slovenian/
7b93e6a1:150814fecb6:21e2	84	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21a5	14.2	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21cf	46	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:212b	33	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2176	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2139	0.1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:2227	100	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21d3	3.4	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Garifuna/
7b93e6a1:150814fecb6:21fd	78.5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:211c	25.1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Albanian/
7b93e6a1:150814fecb6:2167	3.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:220a	2.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Samoan/
7b93e6a1:150814fecb6:2218	100	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21c4	23	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2120	88.3	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Serbian/
7b93e6a1:150814fecb6:21ee	8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:214a	20	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2195	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2158	100	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/language/Russian/
7b93e6a1:150814fecb6:21f2	4.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:2209	3.9	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Maori/
7b93e6a1:150814fecb6:21b5	100	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/language/Korean/
7b93e6a1:150814fecb6:21df	99	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:213b	2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Slovak/
7b93e6a1:150814fecb6:2186	90.2	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/Maltese/
7b93e6a1:150814fecb6:2149	7	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Croatian/
7b93e6a1:150814fecb6:21e3	14	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21a6	4.4	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Tajik/
7b93e6a1:150814fecb6:212c	2	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Galician/
7b93e6a1:150814fecb6:2177	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Somali/
7b93e6a1:150814fecb6:221a	21.2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Quechua/
7b93e6a1:150814fecb6:2228	80	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/language/Bambara/
7b93e6a1:150814fecb6:21d4	3.3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2130	74	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21fe	2.5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Chinese/
7b93e6a1:150814fecb6:215a	1	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:211d	3.5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Turkish/
7b93e6a1:150814fecb6:2168	91	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Romanian/
7b93e6a1:150814fecb6:220b	1.3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2219	60.7	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21c5	1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:2121	3.8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:21ef	4	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:214b	64	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2196	2	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Luri/
7b93e6a1:150814fecb6:2159	32	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21f3	12.9	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:21b6	64.7	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Kyrgyz/
7b93e6a1:150814fecb6:213c	100	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:2200	1.3	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Greek/
7b93e6a1:150814fecb6:2187	6	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:222a	7	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:21e4	100	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2140	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:21a7	97.7	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Armenian/
7b93e6a1:150814fecb6:216a	1.1	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:212d	11	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Portuguese/
7b93e6a1:150814fecb6:2178	99	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/language/Norwegian/
7b93e6a1:150814fecb6:221b	14.6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Aymara/
7b93e6a1:150814fecb6:2229	32	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/German/
7b93e6a1:150814fecb6:21d5	60	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Spanish/
7b93e6a1:150814fecb6:2131	17	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Catalan/
7b93e6a1:150814fecb6:21ff	1.6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:215b	56	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/Dutch/
7b93e6a1:150814fecb6:211e	1.9	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Roma/
7b93e6a1:150814fecb6:2169	6.7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:220c	1.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Hindi/
7b93e6a1:150814fecb6:21c6	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2122	1.8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Bosnian/
7b93e6a1:150814fecb6:214c	7	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Italian/
7b93e6a1:150814fecb6:2210	22.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/Chamorro/
7b93e6a1:150814fecb6:2197	58	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Persian/
7b93e6a1:150814fecb6:21f4	1.5	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/French/
7b93e6a1:150814fecb6:2150	58.2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Latvian/
7b93e6a1:150814fecb6:21b7	13.6	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Uzbek/
7b93e6a1:150814fecb6:217a	2.6	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Finnish/
7b93e6a1:150814fecb6:213d	93.6	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/language/Hungarian/
7b93e6a1:150814fecb6:2201	1.2	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Arabic/
7b93e6a1:150814fecb6:2188	100	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/language/English/
7b93e6a1:150814fecb6:222b	60	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/Afrikaans/
\.


--
-- TOC entry 5933 (class 0 OID 96674)
-- Dependencies: 1099
-- Data for Name: TOP_area; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_area" ("URI", area) FROM stdin;
\.


--
-- TOC entry 5934 (class 0 OID 96680)
-- Dependencies: 1100
-- Data for Name: TOP_bordering; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_bordering" ("URI", bordering) FROM stdin;
\.


--
-- TOC entry 5935 (class 0 OID 96683)
-- Dependencies: 1101
-- Data for Name: TOP_capital; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_capital" ("URI", capital) FROM stdin;
\.


--
-- TOC entry 5936 (class 0 OID 96686)
-- Dependencies: 1102
-- Data for Name: TOP_elevation; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_elevation" ("URI", elevation) FROM stdin;
\.


--
-- TOC entry 5937 (class 0 OID 96692)
-- Dependencies: 1103
-- Data for Name: TOP_hasFather; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_hasFather" ("URI", "hasFather") FROM stdin;
\.


--
-- TOC entry 5938 (class 0 OID 96695)
-- Dependencies: 1104
-- Data for Name: TOP_hasMother; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_hasMother" ("URI", "hasMother") FROM stdin;
\.


--
-- TOC entry 5939 (class 0 OID 96698)
-- Dependencies: 1105
-- Data for Name: TOP_inMountains; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_inMountains" ("URI", "inMountains") FROM stdin;
\.


--
-- TOC entry 5940 (class 0 OID 96701)
-- Dependencies: 1106
-- Data for Name: TOP_invfktprop_Inv; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_invfktprop_Inv" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5941 (class 0 OID 96704)
-- Dependencies: 1107
-- Data for Name: TOP_latitude; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_latitude" ("URI", latitude) FROM stdin;
\.


--
-- TOC entry 5942 (class 0 OID 96710)
-- Dependencies: 1108
-- Data for Name: TOP_length; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_length" ("URI", length) FROM stdin;
\.


--
-- TOC entry 5943 (class 0 OID 96716)
-- Dependencies: 1109
-- Data for Name: TOP_locatedOnIsland; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_locatedOnIsland" ("URI", "locatedOnIsland") FROM stdin;
\.


--
-- TOC entry 5944 (class 0 OID 96719)
-- Dependencies: 1110
-- Data for Name: TOP_longitude; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_longitude" ("URI", longitude) FROM stdin;
\.


--
-- TOC entry 5945 (class 0 OID 96725)
-- Dependencies: 1111
-- Data for Name: TOP_name; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_name" ("URI", name) FROM stdin;
\.


--
-- TOC entry 5946 (class 0 OID 96728)
-- Dependencies: 1112
-- Data for Name: TOP_nmprop; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_nmprop" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 5947 (class 0 OID 96731)
-- Dependencies: 1113
-- Data for Name: TOP_nmprop_Inv; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_nmprop_Inv" ("URI", "nmprop_Inv") FROM stdin;
\.


--
-- TOC entry 5948 (class 0 OID 96734)
-- Dependencies: 1114
-- Data for Name: TOP_onlyfemaleprop; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_onlyfemaleprop" ("URI", onlyfemaleprop) FROM stdin;
\.


--
-- TOC entry 5949 (class 0 OID 96740)
-- Dependencies: 1115
-- Data for Name: TOP_percent; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_percent" ("URI", percent) FROM stdin;
\.


--
-- TOC entry 5950 (class 0 OID 96746)
-- Dependencies: 1116
-- Data for Name: TOP_population; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_population" ("URI", population) FROM stdin;
\.


--
-- TOC entry 5951 (class 0 OID 96753)
-- Dependencies: 1117
-- Data for Name: TOP_type; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "TOP_type" ("URI", type) FROM stdin;
\.


--
-- TOC entry 5952 (class 0 OID 96756)
-- Dependencies: 1118
-- Data for Name: U; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "U" ("URI", "totUpartV11prop") FROM stdin;
\.


--
-- TOC entry 5953 (class 0 OID 96759)
-- Dependencies: 1119
-- Data for Name: V; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "V" ("URI") FROM stdin;
\.


--
-- TOC entry 5954 (class 0 OID 96762)
-- Dependencies: 1120
-- Data for Name: Water; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Water" ("URI", "flowsInto", latitude, "flowsThrough_Inv", type, elevation, length, depth, longitude, area, name, rdftype) FROM stdin;
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/river/Colorado/	36.9	http://www.semwebtech.org/mondial/10/river/Colorado/	dam	1127	\N	171	-111.5	645	Lake Powell	Lake
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N	\N	\N	2334	\N	\N	435122	Arkansas	River
http://www.semwebtech.org/mondial/10/lake/LakeVan/	\N	38.6	\N	salt	1719	\N	457	42.9	3740	Lake Van	Lake
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	145	\N	\N	18404	Paatsjoki	River
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	59.4	\N	\N	0.7	\N	66	17.1	1140	Maelaren	Lake
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	1.7	\N	\N	619	\N	48	30.9	5347	Lake Sese Seko/Albertsee	Lake
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	44.56	\N	\N	30	\N	121	-73.35	1130	Lake Champlain	Lake
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	\N	51.4	\N	impact	350	\N	\N	-68.7	1942	Lake Manicouagan	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/river/Euphrat/	38.8	\N	\N	\N	\N	\N	38.75	675	Lake Keban	Lake
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	405	\N	\N	\N	Tiber	River
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	2845	\N	\N	795686	Donau	River
http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N	\N	\N	\N	\N	\N	200	\N	\N	Yellow Sea	Sea
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	50.6	http://www.semwebtech.org/mondial/10/river/Dnepr/	dam	\N	\N	8	30.5	922	Kiev Reservoir	Lake
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N	\N	\N	3650	\N	\N	2972497	Ob	River
http://www.semwebtech.org/mondial/10/lake/CraterLake/	\N	42.9	\N	caldera	1883	\N	594	-122.1	53.2	Crater Lake	Lake
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	1091	\N	\N	148268	Elbe	River
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N	\N	\N	1591	\N	\N	426000	Tobol	River
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	\N	\N	\N	\N	\N	\N	4036	\N	\N	Sea of Japan	Sea
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	530	\N	\N	\N	Sanga	River
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	\N	42.6	\N	caldera	335	\N	151	11.9	114	Lago di Bolsena	Lake
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	\N	42.1	\N	caldera	164	\N	160	12.2	57	Lago di Bracciano	Lake
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/river/Fimi/	-2.05	\N	\N	300	\N	10	18.3	8200	Lake Mai Ndombe	Lake
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	42.16	\N	\N	174	\N	64	-81.27	25745	Lake Erie	Lake
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	44.81	\N	salt	31	\N	35	59.62	17160	Ozero Aral	Lake
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/	\N	\N	\N	\N	58	\N	\N	684000	Niagara River	River
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/river/Tennessee/	37	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N	\N	\N	\N	-88.3	648	Kentucky Lake	Lake
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/river/Saone/	\N	\N	\N	\N	453	\N	\N	4400	Doubs	River
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	\N	-25.5	\N	salt	\N	\N	0	21	12000	Makarikari Salt Pan	Lake
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	\N	37.7	\N	salt	1280	\N	7	45.3	5470	Lake Urmia	Lake
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	1287	\N	\N	\N	Aruwimi	River
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	\N	\N	\N	\N	1001	\N	\N	\N	Ili	River
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N	\N	\N	1900	\N	\N	375000	Tigris	River
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	\N	45.76	\N	\N	\N	\N	\N	-82	104	Lake Manitou	Lake
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	\N	-20.5	\N	salt	\N	\N	2	23	770	Lake Ngami	Lake
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	107	\N	\N	22.841	Oulujoki	River
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/river/Drin/	\N	\N	\N	\N	133	\N	\N	\N	Black Drin	River
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	2574	\N	\N	1332574	Zambezi	River
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	517	\N	\N	25700	Inn	River
http://www.semwebtech.org/mondial/10/sea/BandaSea/	\N	\N	\N	\N	\N	\N	7440	\N	\N	Banda Sea	Sea
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	550	\N	\N	51.127	Kemijoki	River
http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	\N	\N	\N	\N	\N	4096	\N	\N	Bering Sea	Sea
http://www.semwebtech.org/mondial/10/sea/RedSea/	\N	\N	\N	\N	\N	\N	2635	\N	\N	Red Sea	Sea
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/river/Buna/	42.2	\N	\N	7	\N	44	19.3	368	Lake Skutari	Lake
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	\N	40.03	\N	salt	1155	\N	108	-119.57	487	Pyramid Lake	Lake
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	3778	\N	\N	7050000	Amazonas	River
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/river/Volta/	6.3	http://www.semwebtech.org/mondial/10/river/Volta/	dam	\N	\N	130	0.5	8502	Lake Volta	Lake
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	\N	\N	\N	3778	\N	\N	2981076	Mississippi	River
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	4184	\N	\N	2261763	Niger	River
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	\N	\N	450	\N	\N	Barents Sea	Sea
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/river/Nile/	22.4	http://www.semwebtech.org/mondial/10/river/Nile/	dam	183	\N	180	31.75	5250	Lake Nasser	Lake
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/river/Reuss/	47	http://www.semwebtech.org/mondial/10/river/Reuss/	\N	434	\N	214	8.4	113.7	Vierwaldstattersee	Lake
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	\N	40.9	\N	\N	849	\N	54	21	273	Lake Prespa	Lake
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/river/Asahan/	2.6	\N	caldera	905	\N	505	98.8	1103	Lake Toba	Lake
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/river/Murgab/	38.2	http://www.semwebtech.org/mondial/10/river/Murgab/	naturaldam	3250	\N	500	72.75	80	Koli Sarez	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/river/Zambezi/	-16.5	http://www.semwebtech.org/mondial/10/river/Zambezi/	dam	\N	\N	32	28.75	5580	Lake Kariba	Lake
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N	\N	\N	\N	230	\N	\N	\N	Semliki	River
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/lake/KievReservoir/	\N	\N	\N	\N	775	\N	\N	114300	Prypjat	River
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	\N	-18.8	\N	salt	1000	\N	0	16	6133	Etoscha Salt Pan	Lake
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	-36.1	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	\N	\N	147	202	Lake Hume	Lake
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	\N	\N	5121	\N	\N	Mediterranean Sea	Sea
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/river/OhioRiver/	\N	\N	\N	\N	1049	\N	\N	\N	Tennessee	River
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	\N	\N	\N	\N	\N	4375	\N	\N	Gulf of Mexico	Sea
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	47.45	http://www.semwebtech.org/mondial/10/river/Dnepr/	dam	44	\N	26	34.2	2155	Kakhovka Reservoir	Lake
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	\N	65.9	\N	\N	156	\N	446	-120.6	31792	Great Bear Lake	Lake
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	\N	6.44	\N	caldera	\N	\N	208	10.3	\N	Lake Nyos	Lake
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/river/Dnepr/	49.2	http://www.semwebtech.org/mondial/10/river/Dnepr/	dam	44	\N	28	32.65	2252	Kremenchuk Reservoir	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/river/Niger/	10.4	http://www.semwebtech.org/mondial/10/river/Niger/	dam	\N	\N	\N	4.5	1243	Lake Kainji	Lake
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	61.7	\N	\N	156	\N	614	-113.9	28568	Great Slave Lake	Lake
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	749	\N	\N	11828	Drau	River
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	\N	\N	11034	\N	\N	Pacific Ocean	Sea
http://www.semwebtech.org/mondial/10/lake/Vaettern/	\N	58.3	\N	\N	88	\N	119	14.5	1900	Vaettern	Lake
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	\N	14.4	\N	\N	\N	\N	20	121.35	911	Laguna de Bay	Lake
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	\N	\N	\N	\N	162	\N	\N	52.4	Vuoksi	River
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/river/Colorado/	36.05	http://www.semwebtech.org/mondial/10/river/Colorado/	dam	372	\N	180	-114.75	640	Lake Mead	Lake
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/river/Tennessee/	35.4	http://www.semwebtech.org/mondial/10/river/Tennessee/	\N	\N	\N	\N	-85	147	Chickamauga Lake	Lake
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	\N	\N	\N	\N	\N	\N	1355	\N	\N	Marmara Sea	Sea
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N	\N	\N	\N	\N	\N	3372	\N	\N	Sea of Okhotsk	Sea
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/river/RioLerma/	20.22	http://www.semwebtech.org/mondial/10/river/RioLerma/	\N	1520	\N	12	-103.05	1685	Lago de Chapala	Lake
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/river/Vuoksi/	62.9	http://www.semwebtech.org/mondial/10/river/Vuoksi/	\N	\N	\N	\N	27.7	472	Kallavesi	Lake
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	\N	\N	740	\N	\N	225000	Sobat	River
http://www.semwebtech.org/mondial/10/sea/SuluSea/	\N	\N	\N	\N	\N	\N	6218	\N	\N	Sulu Sea	Sea
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/lake/ChadLake/	\N	\N	\N	\N	1400	\N	\N	548747	Schari	River
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	43.69	\N	\N	176	\N	281	-87.08	57800	Lake Michigan	Lake
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	\N	41.15	\N	salt	1279	\N	10	-112.6	4400	Great Salt Lake	Lake
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	100	\N	\N	\N	Kwa	River
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/river/NelsonRiver/	52.77	\N	\N	218	\N	18	-97.97	24420	Lake Winnipeg	Lake
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/river/Glomma/	\N	\N	\N	\N	322	\N	\N	\N	Lagen	River
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N	\N	\N	\N	\N	\N	5420	\N	\N	South China Sea	Sea
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/river/Drin/	\N	\N	\N	\N	175	\N	\N	4964	White Drin	River
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/river/Narva/	58.68	\N	\N	30	\N	14.6	27.49	3555	Ozero Pskovskoje	Lake
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	\N	-30.5	\N	salt	71	\N	19	-62.67	5770	Laguna Mar Chiquita	Lake
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	\N	47.8	\N	\N	115.5	\N	1.8	16.7	320	Neusiedlersee	Lake
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/river/Mincio/	45.6	\N	\N	65	\N	346	10.65	370	Lago di Garda	Lake
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	\N	11.2	\N	salt	243	\N	37	41.8	320	Lake Abbe	Lake
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/river/Vuoksi/	61.3	http://www.semwebtech.org/mondial/10/river/Vuoksi/	\N	76	\N	85	28	4370	Saimaa	Lake
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	\N	\N	\N	\N	\N	\N	3970	\N	\N	Norwegian Sea	Sea
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/river/Volga/	\N	\N	\N	\N	1480	\N	\N	\N	Oka	River
http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	\N	\N	200	\N	\N	North Sea	Sea
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	\N	-3.6	\N	salt	1030	\N	\N	35	1050	Lake Eyasi	Lake
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	\N	10	\N	acid	3200	\N	\N	-83.9	1	Lake Irazu	Lake
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	12.35	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	\N	39	\N	20	-86.4	1035	Lake Managua	Lake
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	\N	\N	1120	\N	\N	112000	Atbara	River
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/river/Drau/	\N	\N	\N	\N	453	\N	\N	13824	Mur	River
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	\N	\N	\N	2170	\N	\N	413674	Irawaddy	River
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N	\N	\N	\N	776	\N	\N	75000	Seine	River
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	60.85	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	impact	161	\N	134	14.8	290	Siljan	Lake
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	\N	43.1	\N	caldera	259	\N	7	12.1	128	Lago Trasimeno	Lake
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N	\N	\N	\N	1870	\N	\N	425600	Don	River
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	\N	\N	\N	\N	1392	\N	\N	146100	Saskatchewan River	River
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/river/Missouri/	47.48	http://www.semwebtech.org/mondial/10/river/Missouri/	dam	\N	\N	55	-101.42	1578	Lake Sakakawea	Lake
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/river/YukonRiver/	59.5	\N	\N	668	\N	283	-133.75	798	Atlin Lake	Lake
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/river/Asahan/	-8.4	\N	caldera	2008	\N	190	116.45	11.3	Segara Anak	Lake
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	1.5	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	\N	914	\N	5.7	33	1720	Lake Kioga	Lake
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	897	\N	\N	98400	Douro	River
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	\N	\N	\N	\N	\N	3113	\N	\N	Andaman Sea	Sea
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	\N	\N	\N	\N	\N	\N	5143	\N	\N	Gulf of Aden	Sea
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N	\N	\N	\N	720	\N	\N	\N	Karasu	River
http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N	\N	\N	\N	\N	\N	175	\N	\N	The Channel	Sea
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/river/Dalaelv/	\N	\N	\N	\N	241	\N	\N	\N	Oesterdalaelv	River
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	1047	\N	\N	194424	Weichsel	River
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	\N	34.5	\N	salt	790	\N	1	51.88	1800	Daryacheh ye Namak	Lake
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N	\N	\N	\N	\N	\N	\N	\N	Victoria Nile	River
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/river/Ammer/	48	http://www.semwebtech.org/mondial/10/river/Ammer/	\N	533	\N	81.1	11.6	46.6	Ammersee	Lake
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	1750	\N	\N	413000	Limpopo	River
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	657	\N	\N	56978	Guadalquivir	River
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/river/Umeaelv/	65.22	http://www.semwebtech.org/mondial/10/river/Umeaelv/	\N	419	\N	139	16.88	173	Storuman	Lake
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	-35.3	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	dam	556	\N	\N	149.1	6.64	Lake Burley Griffin	Lake
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	\N	\N	\N	2428	\N	\N	244280	Ural	River
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	470	\N	\N	\N	Umeaelv	River
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	\N	\N	\N	\N	83	\N	\N	\N	Eucumbene River	River
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	\N	-22.8	\N	crater	5600	\N	\N	-67.9	0.005	Licancabur Crater Lake	Lake
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/river/Ticino/	45.95	http://www.semwebtech.org/mondial/10/river/Ticino/	\N	193	\N	372	8.6	216	Lago Maggiore	Lake
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/river/Jordan/	32.81	http://www.semwebtech.org/mondial/10/river/Jordan/	\N	-212	\N	46	35.6	165	Lake Genezareth	Lake
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/river/Luapula/	-11.2	\N	\N	1140	\N	4	29.7	10000	Lake Bangweulu	Lake
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/river/Aare/	46.69	http://www.semwebtech.org/mondial/10/river/Aare/	\N	558	\N	217	7.716	48.3	Thunersee	Lake
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/river/Würm/	47.92	http://www.semwebtech.org/mondial/10/river/Würm/	\N	584	\N	127.7	11.32	56.36	Starnberger See	Lake
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	\N	-28.6	\N	salt	-17	\N	4	137.3	9500	Lake Eyre	Lake
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/river/Lualaba/	\N	\N	\N	\N	350	\N	\N	\N	Lukuga	River
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/river/Niger/	\N	\N	\N	\N	430	\N	\N	\N	Bani	River
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	\N	\N	\N	\N	\N	\N	6218	\N	\N	Sulawesi Sea	Sea
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	\N	\N	\N	\N	\N	\N	3350	\N	\N	Gulf of Oman	Sea
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	\N	\N	\N	1538	\N	\N	263858	Rio Magdalena	River
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/river/BlueNile/	12	\N	\N	1830	\N	14	37.3	3000	Lake Tana	Lake
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/river/Lagen/	60.65	http://www.semwebtech.org/mondial/10/river/Lagen/	\N	123	\N	449	11	368	Mjoesa-See	Lake
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/river/Zambezi/	-15.6	http://www.semwebtech.org/mondial/10/river/Zambezi/	dam	326	\N	\N	32.7	2800	Lake Cabora-Bassa	Lake
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/lake/PyramidLake/	\N	\N	\N	\N	225	\N	\N	\N	Truckee River	River
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/river/Angara/	53	http://www.semwebtech.org/mondial/10/river/Angara/	\N	455	\N	1637	108	31492	Ozero Baikal	Lake
http://www.semwebtech.org/mondial/10/lake/DeadSea/	\N	31.3	\N	salt	-422	\N	378	35.5	41650	Dead Sea	Lake
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/river/Rhein/	47.6	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	395	\N	254	9.4	538.5	Bodensee	Lake
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/river/BlackDrin/	41	\N	\N	695	\N	289	20.7	367	Lake Ohrid	Lake
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	\N	-20.1	\N	salt	3650	\N	0	-67.5	10582	Salar de Uyuni	Lake
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	965	\N	\N	\N	Rio Lerma	River
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/river/Chire/	-12	\N	\N	474	\N	704	34	29600	Lake Malawi	Lake
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N	\N	\N	\N	2511	\N	\N	1016104	Ganges	River
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	\N	3.6	\N	salt	375	\N	73	36.1	6405	Lake Turkana	Lake
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	-9.46	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	dam	\N	\N	\N	-40.7	4214	Lago de Sobradinho	Lake
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	\N	36.9	\N	salt	3195	\N	\N	100.2	4583	Qinghai Lake	Lake
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	\N	\N	\N	\N	\N	102	\N	\N	Persian Gulf	Sea
http://www.semwebtech.org/mondial/10/lake/LochLomond/	\N	56.08	\N	\N	7.9	\N	190	-4.59	71	Loch Lomond	Lake
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2830	\N	\N	617812	Rio Sao Francisco	River
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	\N	\N	\N	\N	\N	4846	\N	\N	Greenland Sea	Sea
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/river/Syrdarja/	\N	\N	\N	\N	807	\N	\N	\N	Naryn	River
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	45.9	\N	\N	291.2	Breg	River
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	1308	\N	\N	146500	Theiss	River
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	925	\N	\N	34548	Maas	River
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/river/Po/	\N	\N	\N	\N	75	\N	\N	2859	Mincio	River
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	\N	-15.3	\N	salt	474	\N	2	35.7	687	Lake Chilwa	Lake
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/river/Paatsjoki/	68.95	\N	\N	119	\N	92	27.7	1040	Inari	Lake
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	\N	\N	2739	\N	\N	\N	Darling River	River
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	742	\N	\N	67733	Guadiana	River
http://www.semwebtech.org/mondial/10/lake/Poopo/	\N	-18.55	\N	salt	3686	\N	4	-67.1	1340	Poopo	Lake
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1790	\N	\N	297199	Uruguay	River
http://www.semwebtech.org/mondial/10/lake/LopNor/	\N	40.2	\N	salt	780	\N	0	90.6	5000	Lop Nor	Lake
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/river/Kemijoki/	\N	\N	\N	\N	300	\N	\N	13968	Ounasjoki	River
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	\N	\N	9219	\N	\N	Atlantic Ocean	Sea
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	\N	\N	\N	\N	1579	\N	\N	\N	Murrumbidgee River	River
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	43.695	\N	\N	75	\N	244	-77.96	18960	Lake Ontario	Lake
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N	\N	\N	\N	93	\N	\N	50180	Goetaaelv	River
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N	\N	\N	\N	\N	\N	5203	\N	\N	Arabian Sea	Sea
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/river/Aare/	\N	\N	\N	\N	36.3	\N	\N	2416	Limmat	River
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/river/Missouri/	48	http://www.semwebtech.org/mondial/10/river/Missouri/	dam	\N	\N	67	-106.4	981	Fort Peck Lake	Lake
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	-36.45	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	dam	915	\N	\N	148.6	30	Lake Jindabyne	Lake
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	\N	6.3	\N	salt	619	\N	13	37.8	1285	Lake Abaya	Lake
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	264	\N	\N	3926	Lech	River
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/river/Ruzizi/	-1.8	\N	\N	1462	\N	450	29.2	2650	Lake Kivu	Lake
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/river/Narew/	\N	\N	\N	\N	772	\N	\N	39400	Western Bug	River
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	1809	\N	\N	\N	Petschora	River
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	\N	\N	540	\N	\N	East Sibirian Sea	Sea
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	\N	74.5	\N	\N	5	\N	26	101.6	4560	Ozero Taimyr	Lake
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/river/Kwa/	\N	\N	\N	\N	200	\N	\N	\N	Fimi	River
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	\N	\N	\N	\N	\N	104	\N	\N	Malakka Strait	Sea
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	\N	\N	\N	\N	99.5	\N	\N	1600	Moraca	River
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	\N	54.9	\N	\N	10	\N	106	77.5	2500	Ozero Tschany	Lake
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	953	\N	\N	27500	Pruth	River
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	47.95	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	dam	\N	\N	\N	-119	337	Franklin. D. Roosevelt Lake	Lake
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/river/Seine/	\N	\N	\N	\N	514	\N	\N	12800	Marne	River
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	\N	\N	\N	199	\N	\N	\N	Rio San Juan	River
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	\N	42.4	\N	salt	1609	\N	668	77.2	6236	Issyk-Kul	Lake
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	254	\N	\N	5940	Enns	River
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N	\N	\N	\N	1903	\N	\N	886300	Mackenzie River	River
http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	\N	\N	459	\N	\N	Baltic Sea	Sea
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/river/Bartang/	\N	\N	\N	\N	395	\N	\N	\N	Murgab	River
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	44	\N	\N	5187	Buna	River
http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	\N	\N	2211	\N	\N	Black Sea	Sea
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/river/Zaire/	-4.3	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	272	\N	10	15.5	500	Malebo Pool	Lake
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	\N	-8	\N	salt	800	\N	5	32.35	5760	Lake Rukwa	Lake
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	-15.84	\N	\N	3812	\N	281	-69.33	8372	Lake Titicaca	Lake
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	47.7675	\N	\N	184	\N	405	-87.37	82103	Lake Superior	Lake
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/river/Adda/	46	http://www.semwebtech.org/mondial/10/river/Adda/	\N	197	\N	425	9.3	146	Lago di Como	Lake
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/	44.795	\N	\N	176	\N	229	-82.44	59600	Lake Huron	Lake
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	43.6	\N	\N	153	\N	55	-71.3	186	Lake Winnipesaukee	Lake
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2450	\N	\N	749200	Tocantins	River
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/river/Alz/	47.9	http://www.semwebtech.org/mondial/10/river/Alz/	\N	518	\N	73	12.4	80	Chiemsee	Lake
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	724	\N	\N	15410	Mantaro	River
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	165	\N	\N	\N	Perene	River
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N	\N	\N	221	\N	\N	6947	Fulda	River
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N	\N	\N	211	\N	\N	15744	Aller	River
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	\N	26.94	\N	\N	\N	\N	4	-80.8	1890	Lake Okeechobee	Lake
http://www.semwebtech.org/mondial/10/lake/ChadLake/	\N	13.2	\N	salt	250	\N	7	14	23000	Chad Lake	Lake
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/river/Weser/	\N	\N	\N	\N	292	\N	\N	5496	Werra	River
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/river/Pjandsh/	\N	\N	\N	\N	133	\N	\N	\N	Bartang	River
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/river/OhioRiver/	\N	\N	\N	\N	523	\N	\N	29992	Allegheny River	River
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/river/Dalaelv/	\N	\N	\N	\N	320	\N	\N	\N	Vaesterdalaelv	River
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	\N	\N	\N	\N	\N	7240	\N	\N	Caribbean Sea	Sea
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	\N	\N	6400	\N	\N	Indian Ocean	Sea
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/river/Sanaga/	6.4	http://www.semwebtech.org/mondial/10/river/Sanaga/	dam	\N	\N	\N	12.75	\N	Barrage de Mbakaou	Lake
http://www.semwebtech.org/mondial/10/sea/IrishSea/	\N	\N	\N	\N	\N	\N	272	\N	\N	Irish Sea	Sea
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/river/Mosel/	\N	\N	\N	\N	227	\N	\N	7431	Saar	River
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/river/Elbe/	\N	\N	\N	\N	440	\N	\N	28000	Moldau	River
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/river/Morava/	\N	\N	\N	\N	295	\N	\N	15469	Southern Morava	River
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	78	\N	\N	\N	Narva	River
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/	\N	\N	\N	\N	558	\N	\N	50300	Suchona	River
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/river/Missouri/	44.45	http://www.semwebtech.org/mondial/10/river/Missouri/	dam	\N	\N	\N	-100.4	1453	Lake Oahe	Lake
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/river/Volga/	53.5	http://www.semwebtech.org/mondial/10/river/Volga/	dam	53	\N	41	49.45	6450	Kuybyshev Reservoir	Lake
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/river/Drina/	\N	\N	\N	\N	140	\N	\N	\N	Tara	River
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	\N	-2.4	\N	salt	600	\N	2	36	1040	Lake Natron	Lake
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	9.72	\N	\N	0	\N	50	-71.55	13000	Lake Maracaibo	Lake
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N	\N	\N	970	\N	\N	\N	Lulua	River
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	\N	46.55	\N	salt	342	\N	26	74.88	18428	Ozero Balchash	Lake
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/river/Swir/	61.67	\N	\N	33	\N	127	35.485	9616	Ozero Onega	Lake
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	647	\N	\N	55000	Garonne	River
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	\N	4.7	\N	salt	520	\N	7.5	36.85	800	Chew Bahir	Lake
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N	\N	\N	950	\N	\N	\N	Karun	River
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/river/Ucayali/	\N	\N	\N	\N	750	\N	\N	\N	Urubamba	River
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/	58.8	\N	\N	44	\N	106	13.3	5648	Vaenern	Lake
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/river/Maranon/	\N	\N	\N	\N	1138	\N	\N	\N	Huallaga	River
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/river/Ubangi/	\N	\N	\N	\N	1130	\N	\N	\N	Uelle	River
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/lake/Poopo/	\N	\N	\N	\N	383	\N	\N	\N	Rio Desaguadero	River
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	367	\N	\N	14000	Neckar	River
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	11.6	\N	\N	31	\N	45	-85.35	8157	Lake Nicaragua	Lake
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	39	\N	\N	1900	\N	501	-120	497	Lake Tahoe	Lake
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	\N	50.4	\N	caldera	275	\N	53	7.3	3.3	Laacher Maar	Lake
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	41	\N	salt	-28	\N	995	51	386400	Caspian Sea	Lake
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N	\N	\N	\N	720	\N	\N	\N	Murat	River
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/river/Mantaro/	-11.02	\N	\N	4082	\N	12	-76.12	175	Lago Junin	Lake
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/river/Limmat/	47.501794	\N	\N	406	\N	136	8.236313	88	Zurichsee	Lake
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	\N	30.8	\N	salt	500	\N	\N	61.2	1600	Hamun e Jaz Murian	Lake
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/river/Rhone/	46.5	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	372	\N	310	6.5	581	Lac Leman	Lake
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	\N	\N	\N	3185	\N	\N	\N	Yukon River	River
http://www.semwebtech.org/mondial/10/sea/JavaSea/	\N	\N	\N	\N	\N	\N	2333	\N	\N	Java Sea	Sea
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/river/Kymijoki/	61.5	\N	\N	78	\N	95	25.4	1118	Paeijaenne	Lake
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	\N	\N	\N	2129	\N	\N	782669	Syrdarja	River
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N	\N	\N	\N	\N	\N	5608	\N	\N	Arctic Ocean	Sea
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	\N	6.5	\N	impact	107	\N	81	-1.4	49	Lake Bosumtwi	Lake
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	\N	49.83	\N	\N	260	\N	165	-88.5	4848	Lake Nipigon	Lake
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	74	\N	\N	281000	Newa	River
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	\N	\N	\N	\N	224	\N	\N	\N	Swir	River
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/river/Inn/	\N	\N	\N	\N	225	\N	\N	6700	Salzach	River
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	\N	40.96	\N	\N	995	\N	1.5	-1.5	14.4	Laguna de Gallocanta	Lake
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	1953	\N	\N	668217	Columbia River	River
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	\N	\N	\N	480	\N	\N	\N	Saone	River
http://www.semwebtech.org/mondial/10/lake/Arresoe/	\N	56	\N	\N	\N	\N	5.6	12.1	40.2	Arresoe	Lake
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	152	\N	\N	11756	Drin	River
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	-36.1	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	dam	1200	\N	\N	148.6	145	Lake Eucumbene	Lake
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	493	\N	\N	5405	Hudson River	River
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	\N	10.24	\N	asphalt	\N	\N	75	-61.64	0.4	La Brea Pitch Lake	Lake
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	655	\N	\N	\N	Connecticut River	River
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	403	\N	\N	\N	Snowy River	River
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	1636	\N	\N	275000	Chatanga	River
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/river/Ruki/	\N	\N	\N	\N	830	\N	\N	\N	Busira	River
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	\N	\N	\N	206	\N	\N	\N	Joekulsa a Fjoellum	River
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	\N	\N	\N	3254853	Nile	River
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/river/Luvua/	-9	\N	\N	931	\N	27	28.7	5120	Lake Mweru	Lake
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/river/Save/	\N	\N	\N	\N	346	\N	\N	19926	Drina	River
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N	\N	\N	4092	\N	\N	2554482	Jenissej	River
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2160	\N	\N	973000	Oranje	River
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/river/Newa/	60.82	\N	\N	4	\N	225	31.53	18400	Ozero Ladoga	Lake
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	-1	\N	\N	1134	\N	85	33	68870	Lake Victoria	Lake
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/river/Aare/	46.73	http://www.semwebtech.org/mondial/10/river/Aare/	\N	564	\N	260	7.97	29.8	Brienzersee	Lake
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/river/Lukuga/	-6	\N	\N	782	\N	1470	30	32893	Lake Tanganjika	Lake
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	\N	\N	716	\N	\N	\N	Bahr el-Ghasal	River
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/river/Morava/	\N	\N	\N	\N	308	\N	\N	15849	Western Morava	River
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	\N	\N	\N	\N	Lualaba	River
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	346	\N	\N	12935	Thames	River
http://www.semwebtech.org/mondial/10/lake/LacAssal/	\N	11.65	\N	salt	-155	\N	\N	42.4	54	Lac Assal	Lake
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/river/Parana/	\N	\N	\N	\N	2549	\N	\N	1168540	Paraguay	River
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	\N	\N	\N	\N	\N	\N	White Nile	River
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	866	\N	\N	118861	Oder	River
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/river/WhiteNile/	\N	\N	\N	\N	\N	\N	\N	\N	Bahr el-Djebel/Albert-Nil	River
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/river/Ubangi/	\N	\N	\N	\N	280	\N	\N	\N	Bomu	River
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1120	\N	\N	69931	Gambia	River
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	\N	\N	\N	\N	\N	\N	4316	\N	\N	Labrador Sea	Sea
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/river/Rhone/	\N	\N	\N	\N	290	\N	\N	11800	Isere	River
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/river/Amur/	\N	\N	\N	\N	1620	\N	\N	164000	Argun	River
http://www.semwebtech.org/mondial/10/river/Okavango/	\N	\N	\N	\N	\N	1700	\N	\N	721.258	Okavango	River
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	\N	\N	\N	3531	\N	\N	1410000	Volga	River
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	544	\N	\N	28286	Mosel	River
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	615	\N	\N	24010	Olt	River
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/river/Drina/	\N	\N	\N	\N	120	\N	\N	1270	Piva	River
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	\N	\N	\N	150	\N	\N	\N	Asahan	River
http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N	\N	\N	\N	\N	\N	\N	\N	Kara Sea	Sea
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/river/Inn/	\N	\N	\N	\N	150	\N	\N	2197	Alz	River
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/river/Isar/	\N	\N	\N	\N	168	\N	\N	3100	Ammer	River
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/lake/Vaenern/	\N	\N	\N	\N	460	\N	\N	\N	Klaraelv	River
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/river/Ucayali/	\N	\N	\N	\N	160	\N	\N	\N	Tambo	River
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/river/Po/	\N	\N	\N	\N	313	\N	\N	7979	Adda	River
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/river/Sobat/	\N	\N	\N	\N	320	\N	\N	10000	Pibor	River
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	4400	\N	\N	2306772	Lena	River
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N	\N	\N	\N	4350	\N	\N	795000	Mekong	River
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/river/Fimi/	\N	\N	\N	\N	900	\N	\N	\N	Lukenie	River
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/river/Ammer/	\N	\N	\N	\N	35	\N	\N	3100	Würm	River
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N	\N	\N	4248	\N	\N	1673470	Irtysch	River
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	\N	\N	\N	\N	\N	725	\N	\N	Skagerrak	Sea
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	\N	\N	\N	2330	\N	\N	629100	Colorado	River
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N	\N	\N	970	\N	\N	\N	Cuilo	River
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	147	\N	\N	2152	Iller	River
http://www.semwebtech.org/mondial/10/lake/NamCo/	\N	30.7	\N	salt	4718	\N	125	90.55	1855	Nam Co	Lake
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N	\N	\N	\N	2824	\N	\N	1855000	Amur	River
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	\N	\N	\N	\N	124	\N	\N	23400	Riviere Richelieu	River
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	3998	\N	\N	2582672	Parana	River
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N	\N	\N	\N	\N	\N	100	\N	\N	Sea of Azov	Sea
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/river/Jubba/	\N	\N	\N	\N	1820	\N	\N	336627	Shabelle	River
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	\N	45	\N	\N	\N	\N	\N	132.4	4400	Ozero Chanka	Lake
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/river/Busira/	\N	\N	\N	\N	1300	\N	\N	\N	Tshuapa	River
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	185	\N	\N	37444	Morava	River
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N	\N	\N	\N	\N	\N	\N	\N	\N	Hudson Bay	Sea
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	\N	\N	\N	604	\N	\N	\N	Glomma	River
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/lake/LakeMweru/	\N	\N	\N	\N	300	\N	\N	\N	Luapula	River
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	295	\N	\N	8370	Isar	River
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	4374	\N	\N	3700000	Zaire	River
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	652	\N	\N	75000	Po	River
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	1905	\N	\N	382877	Maranon	River
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N	\N	\N	\N	0.1	\N	\N	\N	Straits of Mackinac	River
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	403	\N	\N	10640	Waag	River
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	812	\N	\N	100000	Rhone	River
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/river/Lualaba/	\N	\N	\N	\N	350	\N	\N	265300	Luvua	River
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/river/Sobat/	\N	\N	\N	\N	306	\N	\N	41400	Baro	River
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/river/Ganges/	\N	\N	\N	\N	2896	\N	\N	651334	Brahmaputra	River
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	\N	\N	\N	3034	\N	\N	607965	Rio Grande	River
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/lake/LakeErie/	\N	\N	\N	\N	200	\N	\N	\N	Detroit River	River
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/lake/DeadSea/	\N	\N	\N	\N	251	\N	\N	\N	Jordan	River
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	\N	\N	\N	\N	104	\N	\N	\N	Ruzizi	River
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	730	\N	\N	\N	Apurimac	River
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	288	\N	\N	17620	Aare	River
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/river/Weichsel/	\N	\N	\N	\N	448	\N	\N	\N	Narew	River
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1013	\N	\N	117000	Loire	River
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N	\N	\N	\N	\N	\N	4045	\N	\N	Gulf of Bengal	Sea
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/lake/LopNor/	\N	\N	\N	\N	3260	\N	\N	\N	Tarim-Yarkend	River
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	2589	\N	\N	1050111	Murray River	River
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	240	\N	\N	8200	Arno	River
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/river/Oulujoki/	64.3	\N	\N	123	\N	35	27.25	928	Oulujaervi	Lake
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N	\N	\N	\N	\N	\N	2370	\N	\N	East China Sea	Sea
http://www.semwebtech.org/mondial/10/lake/Balaton/	\N	46.8	\N	\N	104	\N	12.5	17.6	594	Balaton	Lake
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/river/Nile/	\N	\N	\N	\N	1783	\N	\N	\N	Blue Nile	River
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	130	\N	\N	\N	Ruki	River
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/river/Tambo/	\N	\N	\N	\N	180	\N	\N	\N	Ene	River
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	\N	\N	\N	\N	992	\N	\N	447000	Selenge	River
http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N	\N	\N	\N	\N	\N	94	\N	\N	Kattegat	Sea
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/river/Kwa/	\N	\N	\N	\N	1983	\N	\N	\N	Kasai	River
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N	\N	\N	\N	664	\N	\N	1093442	Nelson River	River
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	918	\N	\N	\N	Sanaga	River
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	203	\N	\N	\N	Kymijoki	River
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/river/Aller/	\N	\N	\N	\N	281	\N	\N	6512	Leine	River
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	177	\N	\N	12900	Merrimack River	River
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1430	\N	\N	337000	Senegal	River
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	\N	\N	\N	\N	560	\N	\N	\N	Manicouagan	River
http://www.semwebtech.org/mondial/10/lake/LochNess/	\N	57.31	\N	\N	16	\N	226	-4.44	56	Loch Ness	Lake
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N	\N	\N	\N	120	\N	\N	\N	Saint Marys River	River
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/river/Tocantins/	\N	\N	\N	\N	2198	\N	\N	384800	Araguaia	River
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	2201	\N	\N	531817	Dnepr	River
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1197	\N	\N	1030000	Saint Lawrence River	River
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/river/Po/	\N	\N	\N	\N	248	\N	\N	7228	Ticino	River
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N	\N	\N	\N	6380	\N	\N	1722155	Jangtse	River
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	945	\N	\N	95419	Save	River
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	415	\N	\N	12200	Etsch	River
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1007	\N	\N	80600	Tajo	River
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/river/Oranje/	\N	\N	\N	\N	1251	\N	\N	973000	Vaal	River
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	1352	\N	\N	72100	Dnjestr	River
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	\N	\N	\N	2129	\N	\N	526000	Kolyma	River
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	2140	\N	\N	\N	Orinoco	River
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	1450	\N	\N	\N	Rio Madeira	River
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/river/SchattalArab/	\N	\N	\N	\N	2736	\N	\N	\N	Euphrat	River
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	\N	\N	\N	740	\N	\N	357052	Northern Dwina	River
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	358	\N	\N	27633	March	River
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/river/Niger/	\N	\N	\N	\N	1400	\N	\N	\N	Benue	River
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/river/Amudarja/	\N	\N	\N	\N	1141	\N	\N	\N	Pjandsh	River
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N	\N	\N	4130	\N	\N	1371010	Missouri	River
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	1450	\N	\N	\N	Lomami	River
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/lake/OzeroAral/	\N	\N	\N	\N	1415	\N	\N	465000	Amudarja	River
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N	\N	\N	\N	4845	\N	\N	752000	Hwangho	River
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	\N	\N	\N	1352	\N	\N	72100	Dnister	River
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/river/Rhein/	\N	\N	\N	\N	524	\N	\N	27292	Main	River
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N	\N	\N	\N	3180	\N	\N	980000	Indus	River
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/river/Irtysch/	\N	\N	\N	\N	2450	\N	\N	\N	Ischim	River
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	520	\N	\N	\N	Dalaelv	River
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	1020	\N	\N	\N	Western Dwina	River
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	250	\N	\N	1020	Raab	River
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/river/Ob/	\N	\N	\N	\N	688	\N	\N	60900	Katun	River
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	\N	\N	\N	\N	1805	\N	\N	507000	Kama	River
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/river/Kasai/	\N	\N	\N	\N	1100	\N	\N	263500	Cuango	River
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	2253	\N	\N	720114	Rio Negro	River
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/river/RioMadeira/	\N	\N	\N	\N	1931	\N	\N	24300	Rio Mamore	River
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	\N	\N	\N	2980	\N	\N	320000	Saluen	River
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	\N	\N	\N	193	\N	\N	\N	Schatt al Arab	River
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	1500	\N	\N	\N	Volta	River
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/	\N	\N	\N	\N	1364	\N	\N	218906	Kura	River
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	\N	\N	\N	1658	\N	\N	497626	Jubba	River
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/river/Zaire/	\N	\N	\N	\N	1120	\N	\N	\N	Ubangi	River
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	1324	\N	\N	198735	Rhein	River
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/river/Zambezi/	\N	\N	\N	\N	402	\N	\N	\N	Chire	River
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/river/Aare/	\N	\N	\N	\N	164	\N	\N	3425	Reuss	River
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	\N	\N	\N	440	\N	\N	41.094	Weser	River
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/river/Jenissej/	\N	\N	\N	\N	1779	\N	\N	1039000	Angara	River
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	\N	\N	\N	121	\N	\N	27046	Kokemaeenjoki	River
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/river/Amazonas/	\N	\N	\N	\N	1600	\N	\N	337519	Ucayali	River
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	\N	\N	\N	925	\N	\N	83093	Ebro	River
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/river/Semliki/	-0.35	\N	\N	920	\N	112	29.6	2325	Rutanzige/Eduardsee	Lake
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/river/Amur/	\N	\N	\N	\N	560	\N	\N	\N	Schilka	River
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/river/Mississippi/	\N	\N	\N	\N	1579	\N	\N	490574	Ohio River	River
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	\N	\N	\N	\N	275	\N	\N	\N	Akagera	River
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/river/Donau/	\N	\N	\N	\N	43	\N	\N	195	Brigach	River
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	\N	\N	\N	230	\N	\N	7530	Thjorsa	River
\.


--
-- TOC entry 5955 (class 0 OID 96768)
-- Dependencies: 1121
-- Data for Name: X1; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "X1" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 5956 (class 0 OID 96771)
-- Dependencies: 1122
-- Data for Name: X2; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "X2" ("URI") FROM stdin;
\.


--
-- TOC entry 5957 (class 0 OID 96774)
-- Dependencies: 1123
-- Data for Name: Y1; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Y1" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5958 (class 0 OID 96777)
-- Dependencies: 1124
-- Data for Name: Y2; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "Y2" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5959 (class 0 OID 96780)
-- Dependencies: 1125
-- Data for Name: allcl; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY allcl (subclass, superclass) FROM stdin;
X2	X
Desert	Entity
Source	Entity
Volcano	Mountain
Religion	Entity
SpokenBy	Entity
Continent	Entity
Lake	Water
Organization	Entity
Y1	Y
Encompassed	Entity
Islands	Entity
Sea	Water
Water	Entity
Language	Entity
Person	rdf2sqlTOP
X	rdf2sqlTOP
Estuary	Entity
EthnicGroup	Entity
Female	Person
U	rdf2sqlTOP
Male	Person
Entity	rdf2sqlTOP
BelievedBy	Entity
River	Water
Island	Entity
Y2	Y
Y	rdf2sqlTOP
Border	Entity
City	Entity
Mountains	Entity
Country	Entity
EthnicProportion	Entity
V	rdf2sqlTOP
Mountain	Entity
X1	X
Membership	Entity
Province	Entity
\.


--
-- TOC entry 5960 (class 0 OID 96783)
-- Dependencies: 1126
-- Data for Name: borders; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY borders ("Entity", "LargeArea") FROM stdin;
\.


--
-- TOC entry 5961 (class 0 OID 96786)
-- Dependencies: 1127
-- Data for Name: cityIn; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "cityIn" ("City", "AdministrativeArea") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	http://www.semwebtech.org/mondial/10/country/BHT/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	http://www.semwebtech.org/mondial/10/country/V/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	http://www.semwebtech.org/mondial/10/country/SD/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/province/Békés/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	http://www.semwebtech.org/mondial/10/country/ARM/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	http://www.semwebtech.org/mondial/10/country/RSM/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	http://www.semwebtech.org/mondial/10/country/AND/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
\.


--
-- TOC entry 5962 (class 0 OID 96789)
-- Dependencies: 1128
-- Data for Name: hasAccountNo; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "hasAccountNo" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 5963 (class 0 OID 96795)
-- Dependencies: 1129
-- Data for Name: hasChild; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "hasChild" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 5964 (class 0 OID 96798)
-- Dependencies: 1130
-- Data for Name: hasNickname; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "hasNickname" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 5965 (class 0 OID 96801)
-- Dependencies: 1131
-- Data for Name: inv; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY inv (property, inverse) FROM stdin;
spokenInCountry	speakLanguage
speakLanguage	spokenInCountry
invfktprop	invfktprop_Inv
invfktprop_Inv	invfktprop
liveInInfo	onEthnicGroup
onEthnicGroup	liveInInfo
languageInfo	languageInfo-
languageInfo-	languageInfo
locatedOnIsland	locatedOnIsland_Inv
locatedOnIsland_Inv	locatedOnIsland
hasSource-	hasSource
hasSource	hasSource-
cityIn	hasCity
hasCity	cityIn
marriedWith	marriedWith
belongsToIslands_Inv	belongsToIslands
belongsToIslands	belongsToIslands_Inv
locatedInWater_Inv	locatedInWater
locatedInWater	locatedInWater_Inv
hasEstuary	hasEstuary-
hasEstuary-	hasEstuary
locatedIn_Inv	locatedIn
locatedIn	locatedIn_Inv
hasProvince	isProvinceOf
isProvinceOf	hasProvince
hasFather	hasFather_Inv
hasFather_Inv	hasFather
neighbor	neighbor
borders	borders_Inv
borders_Inv	borders
inMountains	inMountains_Inv
inMountains_Inv	inMountains
wasDependentOf_Inv	wasDependentOf
wasDependentOf	wasDependentOf_Inv
isInMembership	ofMember
ofMember	isInMembership
mergesWith	mergesWith
encompasses	encompassed
encompassed	encompasses
locatedAt_Inv	locatedAt
locatedAt	locatedAt_Inv
populationcount	populationcount_Inv
populationcount_Inv	populationcount
onLanguage	spokenInInfo
spokenInInfo	onLanguage
isMember	hasMember
hasMember	isMember
liveInCountry	belongToEthnicGroup
belongToEthnicGroup	liveInCountry
believeInReligion	believedInCountry
believedInCountry	believeInReligion
hasParent	hasChild
hasChild	hasParent
isCapitalOf	capital
capital	isCapitalOf
flowsThrough_Inv	flowsThrough
flowsThrough	flowsThrough_Inv
dependentOf_Inv	dependentOf
dependentOf	dependentOf_Inv
encompassedArea	encompassedByInfo
encompassedByInfo	encompassedArea
totUpartV11prop_Inv	totUpartV11prop
totUpartV11prop	totUpartV11prop_Inv
nmprop	nmprop_Inv
nmprop_Inv	nmprop
hasMother_Inv	hasMother
hasMother	hasMother_Inv
hasBorder	bordering
bordering	hasBorder
religionInfo-	religionInfo
religionInfo	religionInfo-
encompassesInfo	encompassedBy
encompassedBy	encompassesInfo
flowsInto_Inv	flowsInto
flowsInto	flowsInto_Inv
hasHeadq	hasHeadq_Inv
hasHeadq_Inv	hasHeadq
inOrganization	hasMembership
hasMembership	inOrganization
onReligion	followedInInfo
followedInInfo	onReligion
ethnicInfo-	ethnicInfo
ethnicInfo	ethnicInfo-
\.


--
-- TOC entry 5966 (class 0 OID 96804)
-- Dependencies: 1132
-- Data for Name: locatedAt; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedAt" ("City", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/lake/LakeSuperior/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/lake/Kallavesi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/lake/Bodensee/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/lake/Zurichsee/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/lake/Vaettern/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/lake/OzeroOnega/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
\.


--
-- TOC entry 5967 (class 0 OID 96807)
-- Dependencies: 1133
-- Data for Name: locatedIn; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedIn" ("Entity", "Area") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/estuary/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/mountain/Olympos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/source/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/estuary/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Namib/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Hekla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Karthala/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Darfur/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Fesan/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LacAssal/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/desert/Djourab/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tahat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Silisili/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Pest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/mountain/Pelee/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/source/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/YuShan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/estuary/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Katla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Musala/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
\.


--
-- TOC entry 5968 (class 0 OID 96810)
-- Dependencies: 1134
-- Data for Name: locatedInWater; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedInWater" ("Island", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/lake/LakeToba/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
\.


--
-- TOC entry 5969 (class 0 OID 96813)
-- Dependencies: 1135
-- Data for Name: locatedOnIsland; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "locatedOnIsland" ("Entity", "Island") FROM stdin;
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/island/Babelthuap/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/island/Antigua/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Mahe/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/island/NorfolkIsland/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/GrandBermuda/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/island/VitiLevu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/island/Dominica/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/island/Bangka/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/island/SanAndres/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/island/Martinique/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/island/Majuro/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/island/Tahiti/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/island/Jeju/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/island/SaintThomas/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/island/Barbados/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/island/Batam/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/island/SaintVincent/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/island/BaffinIsland/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/island/Tortola/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/island/Grenada/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/island/Fuenen/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/island/PulauPanjang/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/island/Bahrain/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/island/Negros/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/island/Phuket/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/island/OrkneyMainland/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/island/Labuan/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/island/SaintPierre/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/island/Mindoro/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/island/Panay/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/island/Mayotte/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/island/Sachalin/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/island/ChristmasIsland/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/island/Fongafale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/island/Anguilla/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/island/Bioko/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/island/Oahu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/island/Mauritius/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/island/GrandComoro/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Gozo/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/island/Curacao/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/island/Fakaofo/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/island/Santiago/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/island/Cebu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/island/EastFalkland/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/island/NewProvidence/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/island/Bali/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/island/Saipan/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/island/SaintHelena/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/island/Svalbard/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/island/SaoTome/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/island/Aruba/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/island/Guam/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/island/Male/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/island/GrandCayman/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/island/Rhodos/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/island/Singapore/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/island/Guadalcanal/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/island/Leyte/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/island/Tasmania/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/island/Upolu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/island/Nauru/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/island/Zhoushan/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/island/SaoMiguel/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/island/Malta/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/island/GrandeTerre/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/island/Rarotonga/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/island/Korfu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/island/St.Barthelemy/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/island/Uvea/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/island/GrandTurk/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/island/Tutuila/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/island/Okinawa/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/island/Lombok/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/island/IsleofMan/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/island/Syros/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/island/ShetlandMainland/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/island/Corse/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/island/Mallorca/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/island/SaintLucia/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/island/SaintKitts/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/island/Pitcairn/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/island/Reunion/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/island/Greenland/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/island/VancouverIsland/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/island/Tongatapu/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/island/Ternate/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/island/Trinidad/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/island/Ambon/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/island/Basse-Terre/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/island/Jersey/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/island/Jamaica/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/island/Kavaratti/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/island/Tarawa/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/island/Niue/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/island/Efate/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/Montserrat/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/island/Guernsey/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/island/Bintan/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/island/Lesbos/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/island/Streymoy/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/island/Koror/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/island/Madeira/
\.


--
-- TOC entry 5970 (class 0 OID 96816)
-- Dependencies: 1136
-- Data for Name: marriedWith; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "marriedWith" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 5971 (class 0 OID 96819)
-- Dependencies: 1137
-- Data for Name: md; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY md (class, property, range, tablename, lookupattr, inv, isview) FROM stdin;
Islands	latitude	DECIMAL	Islands	latitude	false	false
Islands	population	DECIMAL	Islands	population	false	false
Islands	area	DECIMAL	Islands	area	false	false
Islands	type	VARCHAR(199)	Islands	type	false	false
Islands	longitude	DECIMAL	Islands	longitude	false	false
Islands	elevation	DECIMAL	Islands	elevation	false	false
Islands	name	VARCHAR(199)	Islands	name	false	false
Organization	hasHeadq	VARCHAR(199)	Organization	hasHeadq	false	false
City	hasHeadq_Inv	VARCHAR(199)	Organization	hasHeadq	true	false
Organization	abbrev	VARCHAR(199)	Organization	abbrev	false	false
Organization	name	VARCHAR(199)	Organization	name	false	false
Organization	established	DATE	Organization	established	false	false
Water	flowsInto	VARCHAR(199)	Water	flowsInto	false	false
Water	flowsInto_Inv	VARCHAR(199)	Water	flowsInto	true	false
Water	latitude	DECIMAL	Water	latitude	false	false
Water	flowsThrough_Inv	VARCHAR(199)	Water	flowsThrough_Inv	false	false
Water	flowsThrough	VARCHAR(199)	Water	flowsThrough_Inv	true	false
Water	type	VARCHAR(199)	Water	type	false	false
Water	elevation	DECIMAL	Water	elevation	false	false
Water	length	DECIMAL	Water	length	false	false
Water	depth	DECIMAL	Water	depth	false	false
Water	longitude	DECIMAL	Water	longitude	false	false
Water	area	DECIMAL	Water	area	false	false
Water	name	VARCHAR(199)	Water	name	false	false
Language	name	VARCHAR(199)	Language	name	false	false
Island	population	DECIMAL	Island	population	false	false
Island	latitude	DECIMAL	Island	latitude	false	false
Island	belongsToIslands	VARCHAR(199)	Island	belongsToIslands	false	false
Islands	belongsToIslands_Inv	VARCHAR(199)	Island	belongsToIslands	true	false
Island	area	DECIMAL	Island	area	false	false
Island	name	VARCHAR(199)	Island	name	false	false
Island	longitude	DECIMAL	Island	longitude	false	false
Island	type	VARCHAR(199)	Island	type	false	false
Island	elevation	DECIMAL	Island	elevation	false	false
Country	gdpAgri	DECIMAL	Country	gdpAgri	false	false
Country	inflation	DECIMAL	Country	inflation	false	false
Country	populationGrowth	DECIMAL	Country	populationGrowth	false	false
Country	government	VARCHAR(199)	Country	government	false	false
Country	gdpServ	DECIMAL	Country	gdpServ	false	false
Country	population	DECIMAL	Country	population	false	false
Country	gdpTotal	DECIMAL	Country	gdpTotal	false	false
Country	unemployment	DECIMAL	Country	unemployment	false	false
Country	independenceDate	DATE	Country	independenceDate	false	false
Country	dependentOf	VARCHAR(199)	Country	dependentOf	false	false
Country	dependentOf_Inv	VARCHAR(199)	Country	dependentOf	true	false
Country	infantMortality	DECIMAL	Country	infantMortality	false	false
Country	area	DECIMAL	Country	area	false	false
Country	gdpInd	DECIMAL	Country	gdpInd	false	false
Country	carCode	VARCHAR(199)	Country	carCode	false	false
Country	capital	VARCHAR(199)	Country	capital	false	false
City	isCapitalOf	VARCHAR(199)	Country	capital	true	false
Country	wasDependentOf	VARCHAR(199)	Country	wasDependentOf	false	false
Organization	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	name	VARCHAR(199)	Country	name	false	false
Desert	area	DECIMAL	Desert	area	false	false
Desert	type	VARCHAR(199)	Desert	type	false	false
Desert	latitude	DECIMAL	Desert	latitude	false	false
Desert	longitude	DECIMAL	Desert	longitude	false	false
Desert	name	VARCHAR(199)	Desert	name	false	false
Mountain	locatedOnIsland	VARCHAR(199)	Mountain	locatedOnIsland	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	Mountain	locatedOnIsland	true	false
Mountain	type	VARCHAR(199)	Mountain	type	false	false
Mountain	lastEruption	DATE	Mountain	lastEruption	false	false
Mountain	inMountains	VARCHAR(199)	Mountain	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Mountain	inMountains	true	false
Mountain	name	VARCHAR(199)	Mountain	name	false	false
Mountain	elevation	DECIMAL	Mountain	elevation	false	false
Mountain	longitude	DECIMAL	Mountain	longitude	false	false
Mountain	latitude	DECIMAL	Mountain	latitude	false	false
Female	onlyfemaleprop	DECIMAL	Female	onlyfemaleprop	false	false
Female	hasMother	VARCHAR(199)	Female	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Female	hasMother	true	false
Female	hasFather	VARCHAR(199)	Female	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Female	hasFather	true	false
Border	length	DECIMAL	Border	length	false	false
Continent	name	VARCHAR(199)	Continent	name	false	false
Continent	area	DECIMAL	Continent	area	false	false
Mountains	name	VARCHAR(199)	Mountains	name	false	false
Mountains	latitude	DECIMAL	Mountains	latitude	false	false
Mountains	elevation	DECIMAL	Mountains	elevation	false	false
Mountains	type	VARCHAR(199)	Mountains	type	false	false
Mountains	longitude	DECIMAL	Mountains	longitude	false	false
Mountains	area	DECIMAL	Mountains	area	false	false
Province	name	VARCHAR(199)	Province	name	false	false
Province	capital	VARCHAR(199)	Province	capital	false	false
City	isCapitalOf	VARCHAR(199)	Province	capital	true	false
Province	area	DECIMAL	Province	area	false	false
Province	isProvinceOf	VARCHAR(199)	Province	isProvinceOf	false	false
Country	hasProvince	VARCHAR(199)	Province	isProvinceOf	true	false
Province	population	DECIMAL	Province	population	false	false
Source	inMountains	VARCHAR(199)	Source	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Source	inMountains	true	false
Source	longitude	DECIMAL	Source	longitude	false	false
Source	elevation	DECIMAL	Source	elevation	false	false
Source	hasSource-	VARCHAR(199)	Source	hasSource-	false	false
Water	hasSource	VARCHAR(199)	Source	hasSource-	true	false
Source	latitude	DECIMAL	Source	latitude	false	false
EthnicProportion	ethnicInfo-	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	false
Country	ethnicInfo	VARCHAR(199)	EthnicProportion	ethnicInfo-	true	false
EthnicProportion	onEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	false
EthnicGroup	liveInInfo	VARCHAR(199)	EthnicProportion	onEthnicGroup	true	false
EthnicProportion	percent	DECIMAL	EthnicProportion	percent	false	false
Encompassed	percent	DECIMAL	Encompassed	percent	false	false
Encompassed	encompassedArea	VARCHAR(199)	Encompassed	encompassedArea	false	false
Country	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Province	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Encompassed	encompassedBy	VARCHAR(199)	Encompassed	encompassedBy	false	false
Continent	encompassesInfo	VARCHAR(199)	Encompassed	encompassedBy	true	false
BelievedBy	percent	DECIMAL	BelievedBy	percent	false	false
BelievedBy	religionInfo-	VARCHAR(199)	BelievedBy	religionInfo-	false	false
Country	religionInfo	VARCHAR(199)	BelievedBy	religionInfo-	true	false
BelievedBy	onReligion	VARCHAR(199)	BelievedBy	onReligion	false	false
Religion	followedInInfo	VARCHAR(199)	BelievedBy	onReligion	true	false
Y2	invfktprop_Inv	VARCHAR(199)	Y2	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
Membership	ofMember	VARCHAR(199)	Membership	ofMember	false	false
Country	isInMembership	VARCHAR(199)	Membership	ofMember	true	false
Membership	inOrganization	VARCHAR(199)	Membership	inOrganization	false	false
Organization	hasMembership	VARCHAR(199)	Membership	inOrganization	true	false
Membership	type	VARCHAR(199)	Membership	type	false	false
Male	hasMother	VARCHAR(199)	Male	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Male	hasMother	true	false
Male	hasFather	VARCHAR(199)	Male	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Male	hasFather	true	false
SpokenBy	percent	DECIMAL	SpokenBy	percent	false	false
SpokenBy	languageInfo-	VARCHAR(199)	SpokenBy	languageInfo-	false	false
Country	languageInfo	VARCHAR(199)	SpokenBy	languageInfo-	true	false
SpokenBy	onLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	false
Language	spokenInInfo	VARCHAR(199)	SpokenBy	onLanguage	true	false
EthnicGroup	name	VARCHAR(199)	EthnicGroup	name	false	false
X1	nmprop	VARCHAR(199)	X1	nmprop	false	false
Y1	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
Y2	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
City	name	VARCHAR(199)	City	name	false	false
City	population	DECIMAL	City	population	false	false
City	elevation	DECIMAL	City	elevation	false	false
City	longitude	DECIMAL	City	longitude	false	false
City	latitude	DECIMAL	City	latitude	false	false
U	totUpartV11prop	VARCHAR(199)	U	totUpartV11prop	false	false
V	totUpartV11prop_Inv	VARCHAR(199)	U	totUpartV11prop	true	false
Estuary	longitude	DECIMAL	Estuary	longitude	false	false
Estuary	elevation	DECIMAL	Estuary	elevation	false	false
Estuary	latitude	DECIMAL	Estuary	latitude	false	false
Estuary	hasEstuary-	VARCHAR(199)	Estuary	hasEstuary-	false	false
Water	hasEstuary	VARCHAR(199)	Estuary	hasEstuary-	true	false
Religion	name	VARCHAR(199)	Religion	name	false	false
Y1	invfktprop_Inv	VARCHAR(199)	Y1	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
Male	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
ANY	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
Female	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
City	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
ANY	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
X2	nmprop	VARCHAR(199)	nmprop	Y	false	false
Water	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
City	locatedOnIsland	VARCHAR(199)	locatedOnIsland	Island	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
Continent	borders	VARCHAR(199)	borders	LargeArea	false	false
ANY	borders	VARCHAR(199)	borders	LargeArea	false	false
Country	borders	VARCHAR(199)	borders	LargeArea	false	false
Water	borders	VARCHAR(199)	borders	LargeArea	false	false
Province	borders	VARCHAR(199)	borders	LargeArea	false	false
City	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
ANY	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
City	othername	VARCHAR(199)	othername	VALUE	false	false
ANY	othername	VARCHAR(199)	othername	VALUE	false	false
Organization	othername	VARCHAR(199)	othername	VALUE	false	false
Island	othername	VARCHAR(199)	othername	VALUE	false	false
Desert	othername	VARCHAR(199)	othername	VALUE	false	false
Mountains	othername	VARCHAR(199)	othername	VALUE	false	false
Continent	othername	VARCHAR(199)	othername	VALUE	false	false
Mountain	othername	VARCHAR(199)	othername	VALUE	false	false
Islands	othername	VARCHAR(199)	othername	VALUE	false	false
EthnicGroup	othername	VARCHAR(199)	othername	VALUE	false	false
Language	othername	VARCHAR(199)	othername	VALUE	false	false
Water	othername	VARCHAR(199)	othername	VALUE	false	false
Country	othername	VARCHAR(199)	othername	VALUE	false	false
Religion	othername	VARCHAR(199)	othername	VALUE	false	false
Province	othername	VARCHAR(199)	othername	VALUE	false	false
Estuary	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
ANY	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Desert	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountains	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Source	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountain	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
City	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Water	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Islands	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
ANY	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
Female	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
ANY	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Male	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Male	hasChild	VARCHAR(199)	hasChild	Person2	false	false
ANY	hasChild	VARCHAR(199)	hasChild	Person2	false	false
Female	hasChild	VARCHAR(199)	hasChild	Person2	false	false
Water	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
ANY	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Y1	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Y2	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Water	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	locatedOnIsland	Entity	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
Water	borders_Inv	VARCHAR(199)	borders	Entity	false	false
ANY	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Province	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Country	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Continent	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Province	hasCity	VARCHAR(199)	cityIn	City	false	false
ANY	hasCity	VARCHAR(199)	cityIn	City	false	false
Country	hasCity	VARCHAR(199)	cityIn	City	false	false
Country	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
ANY	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Province	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Island	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Continent	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Mountains	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Water	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
City	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Desert	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Islands	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Water	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
ANY	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Female	hasParent	VARCHAR(199)	hasChild	Person1	false	false
ANY	hasParent	VARCHAR(199)	hasChild	Person1	false	false
Male	hasParent	VARCHAR(199)	hasChild	Person1	false	false
EthnicGroup	liveInCountry	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	true
Country	belongToEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	true
Country	speakLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	true
Language	spokenInCountry	VARCHAR(199)	SpokenBy	languageInfo-	false	true
Continent	encompasses	VARCHAR(199)	Encompassed	encompassedArea	false	true
Country	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
Country	believeInReligion	VARCHAR(199)	BelievedBy	onReligion	false	true
Religion	believedInCountry	VARCHAR(199)	BelievedBy	religionInfo-	false	true
Province	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
Organization	hasMember	VARCHAR(199)	Membership	ofMember	false	true
Country	isMember	VARCHAR(199)	Membership	inOrganization	false	true
Border	bordering	VARCHAR(199)	Border	Country1	false	false
Country	hasBorder	VARCHAR(199)	Border	Country1	true	false
Border	bordering	VARCHAR(199)	Border	Country2	false	false
Country	hasBorder	VARCHAR(199)	Border	Country2	true	false
Country	neighbor	VARCHAR(199)	Border	Country1	false	true
Country	neighbor	VARCHAR(199)	Border	Country2	false	true
Lake	rdftype	VARCHAR(199)	Water	rdftype	false	false
Water	rdftype	VARCHAR(199)	Water	rdftype	false	false
Volcano	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
Mountain	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
\.


--
-- TOC entry 5972 (class 0 OID 96822)
-- Dependencies: 1138
-- Data for Name: mdlastchanged; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY mdlastchanged (at) FROM stdin;
\.


--
-- TOC entry 5973 (class 0 OID 96825)
-- Dependencies: 1139
-- Data for Name: mergesWith; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY "mergesWith" ("Sea1", "Sea2") FROM stdin;
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
\.


--
-- TOC entry 5974 (class 0 OID 96828)
-- Dependencies: 1140
-- Data for Name: nmj; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY nmj (class, tablename, lookupattr, fkjoinattr) FROM stdin;
Male	hasNickname	VALUE	Person
Female	hasNickname	VALUE	Person
City	locatedAt	Water	City
X2	nmprop	Y	X
Water	mergesWith	Sea2	Sea1
City	locatedOnIsland	Island	Entity
Female	marriedWith	Person2	Person1
Male	marriedWith	Person2	Person1
Continent	borders	LargeArea	Entity
Country	borders	LargeArea	Entity
Water	borders	LargeArea	Entity
Province	borders	LargeArea	Entity
City	cityIn	AdministrativeArea	City
City	othername	VALUE	Entity
Organization	othername	VALUE	Entity
Island	othername	VALUE	Entity
Desert	othername	VALUE	Entity
Mountains	othername	VALUE	Entity
Continent	othername	VALUE	Entity
Mountain	othername	VALUE	Entity
Islands	othername	VALUE	Entity
EthnicGroup	othername	VALUE	Entity
Language	othername	VALUE	Entity
Water	othername	VALUE	Entity
Country	othername	VALUE	Entity
Religion	othername	VALUE	Entity
Province	othername	VALUE	Entity
Estuary	locatedIn	Area	Entity
Desert	locatedIn	Area	Entity
Island	locatedIn	Area	Entity
Mountains	locatedIn	Area	Entity
Source	locatedIn	Area	Entity
Mountain	locatedIn	Area	Entity
City	locatedIn	Area	Entity
Water	locatedIn	Area	Entity
Islands	locatedIn	Area	Entity
Island	locatedInWater	Water	Island
Female	hasAccountNo	VALUE	Person
Male	hasAccountNo	VALUE	Person
Male	hasChild	Person2	Person1
Female	hasChild	Person2	Person1
Water	locatedAt	City	Water
Y1	nmprop	X	Y
Y2	nmprop	X	Y
Water	mergesWith	Sea1	Sea2
Water	mergesWith	Sea1	Sea2
Island	locatedOnIsland	Entity	Island
Male	marriedWith	Person1	Person2
Male	marriedWith	Person1	Person2
Female	marriedWith	Person1	Person2
Female	marriedWith	Person1	Person2
Water	borders	Entity	LargeArea
Province	borders	Entity	LargeArea
Country	borders	Entity	LargeArea
Continent	borders	Entity	LargeArea
Province	cityIn	City	AdministrativeArea
Country	cityIn	City	AdministrativeArea
Country	locatedIn	Entity	Area
Province	locatedIn	Entity	Area
Island	locatedIn	Entity	Area
Continent	locatedIn	Entity	Area
Mountains	locatedIn	Entity	Area
Water	locatedIn	Entity	Area
City	locatedIn	Entity	Area
Desert	locatedIn	Entity	Area
Islands	locatedIn	Entity	Area
Water	locatedInWater	Island	Water
Female	hasChild	Person1	Person2
Male	hasChild	Person1	Person2
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
Country	SpokenBy	onLanguage	languageInfo-
Language	SpokenBy	languageInfo-	onLanguage
Continent	Encompassed	encompassedArea	encompassedBy
Country	Encompassed	encompassedBy	encompassedArea
Country	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Country	BelievedBy	onReligion	religionInfo-
Religion	BelievedBy	religionInfo-	onReligion
Province	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Religion	BelievedBy	religionInfo-	onReligion
Country	BelievedBy	onReligion	religionInfo-
Organization	Membership	ofMember	inOrganization
Country	Membership	inOrganization	ofMember
Continent	Encompassed	encompassedArea	encompassedBy
Province	Encompassed	encompassedBy	encompassedArea
Language	SpokenBy	languageInfo-	onLanguage
Country	SpokenBy	onLanguage	languageInfo-
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Country	Membership	inOrganization	ofMember
Organization	Membership	ofMember	inOrganization
Country	Border	Country1	Country2
Country	Border	Country2	Country1
\.


--
-- TOC entry 5975 (class 0 OID 96831)
-- Dependencies: 1141
-- Data for Name: nmprop; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY nmprop ("X", "Y") FROM stdin;
\.


--
-- TOC entry 5976 (class 0 OID 96834)
-- Dependencies: 1142
-- Data for Name: nmtables; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY nmtables (tablename) FROM stdin;
hasNickname
mergesWith
locatedOnIsland
locatedIn
locatedAt
marriedWith
borders
locatedInWater
nmprop
hasAccountNo
hasChild
cityIn
othername
EthnicProportion
EthnicProportion
SpokenBy
SpokenBy
Encompassed
Encompassed
Encompassed
Encompassed
BelievedBy
BelievedBy
Encompassed
Encompassed
BelievedBy
BelievedBy
Membership
Membership
Encompassed
Encompassed
SpokenBy
SpokenBy
EthnicProportion
EthnicProportion
Membership
Membership
Border
\.


--
-- TOC entry 5977 (class 0 OID 96837)
-- Dependencies: 1143
-- Data for Name: ocdict; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY ocdict (uri, class) FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Province
7b93e6a1:150814fecb6:-260	Membership
7b93e6a1:150814fecb6:20f7	Membership
7b93e6a1:150814fecb6:b37	Membership
7b93e6a1:150814fecb6:1cb4	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	City
7b93e6a1:150814fecb6:2053	Membership
7b93e6a1:150814fecb6:765	Membership
7b93e6a1:150814fecb6:1c10	Membership
7b93e6a1:150814fecb6:18e2	Membership
http://www.semwebtech.org/mondial/10/island/Iceland/	Island
7b93e6a1:150814fecb6:d97	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	City
7b93e6a1:150814fecb6:4b1	Membership
7b93e6a1:150814fecb6:11ed	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	EthnicGroup
7b93e6a1:150814fecb6:1e70	Membership
7b93e6a1:150814fecb6:ae3	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	City
7b93e6a1:150814fecb6:-bc	Membership
7b93e6a1:150814fecb6:-5a0	Membership
7b93e6a1:150814fecb6:-15f	Membership
7b93e6a1:150814fecb6:2647	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	City
7b93e6a1:150814fecb6:1b0f	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	City
7b93e6a1:150814fecb6:25f3	EthnicProportion
7b93e6a1:150814fecb6:173d	Membership
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	Desert
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	Mountain
7b93e6a1:150814fecb6:30c	Membership
7b93e6a1:150814fecb6:1d6f	Membership
7b93e6a1:150814fecb6:1069	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	EthnicGroup
7b93e6a1:150814fecb6:1abb	Membership
7b93e6a1:150814fecb6:199d	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	City
7b93e6a1:150814fecb6:56c	Membership
7b93e6a1:150814fecb6:-6ff	Border
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Province
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	City
7b93e6a1:150814fecb6:b9e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	City
7b93e6a1:150814fecb6:-65b	Border
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	City
7b93e6a1:150814fecb6:13a9	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	City
7b93e6a1:150814fecb6:244e	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	City
7b93e6a1:150814fecb6:1305	Membership
http://www.semwebtech.org/mondial/10/river/Guadiana/	Water
7b93e6a1:150814fecb6:8ac	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	City
7b93e6a1:150814fecb6:ede	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	City
7b93e6a1:150814fecb6:1d8	Membership
7b93e6a1:150814fecb6:1565	Membership
7b93e6a1:150814fecb6:23fa	BelievedBy
7b93e6a1:150814fecb6:1b97	Membership
7b93e6a1:150814fecb6:e3a	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	City
7b93e6a1:150814fecb6:134	Membership
7b93e6a1:150814fecb6:12b1	Membership
7b93e6a1:150814fecb6:-2c7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Province
7b93e6a1:150814fecb6:-223	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	City
7b93e6a1:150814fecb6:394	Membership
7b93e6a1:150814fecb6:2016	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	City
7b93e6a1:150814fecb6:ed	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	City
7b93e6a1:150814fecb6:728	Membership
7b93e6a1:150814fecb6:18a5	Membership
7b93e6a1:150814fecb6:-483	Membership
http://www.semwebtech.org/mondial/10/island/Futuna/	Island
7b93e6a1:150814fecb6:1ed7	Membership
7b93e6a1:150814fecb6:1801	Membership
7b93e6a1:150814fecb6:2276	BelievedBy
7b93e6a1:150814fecb6:aa6	Membership
7b93e6a1:150814fecb6:988	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	City
7b93e6a1:150814fecb6:1e33	Membership
7b93e6a1:150814fecb6:110c	Membership
7b93e6a1:150814fecb6:6d4	Membership
7b93e6a1:150814fecb6:a02	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Province
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	Source
http://www.semwebtech.org/mondial/10/river/Mantaro/	Water
http://www.semwebtech.org/mondial/10/organization/OECD/	Organization
7b93e6a1:150814fecb6:630	Membership
7b93e6a1:150814fecb6:-7c3	Encompassed
7b93e6a1:150814fecb6:136c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	City
7b93e6a1:150814fecb6:c62	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	City
7b93e6a1:150814fecb6:25b6	EthnicProportion
7b93e6a1:150814fecb6:890	Membership
7b93e6a1:150814fecb6:2512	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Province
7b93e6a1:150814fecb6:19b	Membership
7b93e6a1:150814fecb6:52f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	City
7b93e6a1:150814fecb6:16ac	Membership
7b93e6a1:150814fecb6:-28a	Membership
7b93e6a1:150814fecb6:fa2	Membership
7b93e6a1:150814fecb6:1cde	Membership
7b93e6a1:150814fecb6:-61e	Border
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	Estuary
7b93e6a1:150814fecb6:207d	Membership
7b93e6a1:150814fecb6:78f	Membership
http://www.semwebtech.org/mondial/10/source/Jubba/	Source
7b93e6a1:150814fecb6:1c3a	Membership
7b93e6a1:150814fecb6:4db	Membership
http://www.semwebtech.org/mondial/10/source/Huallaga/	Source
7b93e6a1:150814fecb6:1e9a	Membership
7b93e6a1:150814fecb6:-5ca	Membership
7b93e6a1:150814fecb6:1194	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	City
7b93e6a1:150814fecb6:1528	Membership
7b93e6a1:150814fecb6:-63	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	City
7b93e6a1:150814fecb6:23bd	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	City
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Mountains
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	Desert
7b93e6a1:150814fecb6:1788	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	City
http://www.semwebtech.org/mondial/10/lake/Inari/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	City
7b93e6a1:150814fecb6:357	Membership
7b93e6a1:150814fecb6:14d4	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	City
http://www.semwebtech.org/mondial/10/source/Rhein/	Source
7b93e6a1:150814fecb6:1430	Membership
7b93e6a1:150814fecb6:-446	Membership
7b93e6a1:150814fecb6:1a62	Membership
7b93e6a1:150814fecb6:2239	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	City
7b93e6a1:150814fecb6:1690	Membership
7b93e6a1:150814fecb6:-3f2	Membership
7b93e6a1:150814fecb6:2499	EthnicProportion
7b93e6a1:150814fecb6:cc9	Membership
7b93e6a1:150814fecb6:132f	Membership
7b93e6a1:150814fecb6:21e5	SpokenBy
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	Water
7b93e6a1:150814fecb6:c25	Membership
7b93e6a1:150814fecb6:8f7	Membership
7b93e6a1:150814fecb6:1da2	Membership
7b93e6a1:150814fecb6:2141	SpokenBy
7b93e6a1:150814fecb6:853	Membership
7b93e6a1:150814fecb6:19d0	Membership
7b93e6a1:150814fecb6:158f	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	City
7b93e6a1:150814fecb6:e85	Membership
7b93e6a1:150814fecb6:15e	Membership
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	City
http://www.semwebtech.org/mondial/10/lake/LochNess/	Water
7b93e6a1:150814fecb6:12db	Membership
7b93e6a1:150814fecb6:bd1	Membership
7b93e6a1:150814fecb6:-24d	Membership
http://www.semwebtech.org/mondial/10/islands/Seychelles/	Islands
http://www.semwebtech.org/mondial/10/source/Po/	Source
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	City
7b93e6a1:150814fecb6:18cf	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	City
7b93e6a1:150814fecb6:94	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Province
7b93e6a1:150814fecb6:182b	Membership
7b93e6a1:150814fecb6:1e5d	Membership
7b93e6a1:150814fecb6:1157	Membership
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	City
7b93e6a1:150814fecb6:6fe	Membership
7b93e6a1:150814fecb6:a2c	Membership
7b93e6a1:150814fecb6:-26	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	City
7b93e6a1:150814fecb6:65a	Membership
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	Islands
7b93e6a1:150814fecb6:-7ed	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	EthnicGroup
7b93e6a1:150814fecb6:c8c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	City
7b93e6a1:150814fecb6:3f1	Membership
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	City
7b93e6a1:150814fecb6:253c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Province
7b93e6a1:150814fecb6:1ac9	Membership
7b93e6a1:150814fecb6:-409	Membership
7b93e6a1:150814fecb6:1a25	Membership
7b93e6a1:150814fecb6:16f7	Membership
http://www.semwebtech.org/mondial/10/island/Olkhon/	Island
7b93e6a1:150814fecb6:fcc	Membership
7b93e6a1:150814fecb6:2c6	Membership
7b93e6a1:150814fecb6:1653	Membership
7b93e6a1:150814fecb6:-669	Border
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Province
7b93e6a1:150814fecb6:222	Membership
7b93e6a1:150814fecb6:1c85	Membership
7b93e6a1:150814fecb6:-3b5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	City
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	City
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	Mountain
http://www.semwebtech.org/mondial/10/country/SK/	Country
7b93e6a1:150814fecb6:-311	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	City
7b93e6a1:150814fecb6:21a8	SpokenBy
7b93e6a1:150814fecb6:482	Membership
7b93e6a1:150814fecb6:2104	Membership
7b93e6a1:150814fecb6:816	Membership
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	Estuary
7b93e6a1:150814fecb6:-8d	Membership
7b93e6a1:150814fecb6:-571	Membership
http://www.semwebtech.org/mondial/10/mountain/Korab/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	City
7b93e6a1:150814fecb6:e48	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	City
7b93e6a1:150814fecb6:1fc5	Membership
7b93e6a1:150814fecb6:2364	BelievedBy
7b93e6a1:150814fecb6:1f21	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Province
7b93e6a1:150814fecb6:20b0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	City
7b93e6a1:150814fecb6:7c2	Membership
7b93e6a1:150814fecb6:14fe	Membership
7b93e6a1:150814fecb6:df4	Membership
7b93e6a1:150814fecb6:145a	Membership
7b93e6a1:150814fecb6:57	Membership
7b93e6a1:150814fecb6:d50	Membership
7b93e6a1:150814fecb6:1a8c	Membership
7b93e6a1:150814fecb6:-1bc	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	City
7b93e6a1:150814fecb6:26a4	EthnicProportion
7b93e6a1:150814fecb6:2600	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	City
7b93e6a1:150814fecb6:61d	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	City
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	City
7b93e6a1:150814fecb6:c4f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Province
7b93e6a1:150814fecb6:1dcc	Membership
7b93e6a1:150814fecb6:-70c	Border
7b93e6a1:150814fecb6:10c6	Membership
7b93e6a1:150814fecb6:216b	SpokenBy
7b93e6a1:150814fecb6:87d	Membership
7b93e6a1:150814fecb6:19fa	Membership
7b93e6a1:150814fecb6:1022	Membership
http://www.semwebtech.org/mondial/10/source/Chire/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	City
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Province
7b93e6a1:150814fecb6:bfb	Membership
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	Mountain
7b93e6a1:150814fecb6:1282	Membership
7b93e6a1:150814fecb6:-298	Membership
http://www.semwebtech.org/mondial/10/estuary/Argun/	Estuary
7b93e6a1:150814fecb6:1616	Membership
7b93e6a1:150814fecb6:24ab	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	City
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	Water
7b93e6a1:150814fecb6:1c48	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	City
7b93e6a1:150814fecb6:4e9	Membership
7b93e6a1:150814fecb6:1876	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	City
7b93e6a1:150814fecb6:445	Membership
7b93e6a1:150814fecb6:15c2	Membership
7b93e6a1:150814fecb6:-5d8	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	City
7b93e6a1:150814fecb6:a77	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	City
7b93e6a1:150814fecb6:1bf4	Membership
7b93e6a1:150814fecb6:-534	Membership
http://www.semwebtech.org/mondial/10/river/Garonne/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	City
http://www.semwebtech.org/mondial/10/island/IsleofMan/	Island
7b93e6a1:150814fecb6:1b50	Membership
7b93e6a1:150814fecb6:2327	BelievedBy
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	City
7b93e6a1:150814fecb6:-794	Encompassed
7b93e6a1:150814fecb6:-4e0	Membership
7b93e6a1:150814fecb6:2587	EthnicProportion
7b93e6a1:150814fecb6:db7	Membership
7b93e6a1:150814fecb6:141d	Membership
7b93e6a1:150814fecb6:22d3	BelievedBy
7b93e6a1:150814fecb6:d13	Membership
7b93e6a1:150814fecb6:9e5	Membership
7b93e6a1:150814fecb6:1a4f	Membership
7b93e6a1:150814fecb6:941	Membership
7b93e6a1:150814fecb6:167d	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	City
7b93e6a1:150814fecb6:f73	Membership
7b93e6a1:150814fecb6:24c	Membership
7b93e6a1:150814fecb6:-3df	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	Mountain
7b93e6a1:150814fecb6:-33b	Membership
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	Estuary
http://www.semwebtech.org/mondial/10/estuary/Oranje/	Estuary
7b93e6a1:150814fecb6:212e	SpokenBy
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	City
7b93e6a1:150814fecb6:19bd	Membership
7b93e6a1:150814fecb6:-59b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	City
7b93e6a1:150814fecb6:1fef	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	City
7b93e6a1:150814fecb6:12e9	Membership
7b93e6a1:150814fecb6:238e	BelievedBy
7b93e6a1:150814fecb6:bbe	Membership
7b93e6a1:150814fecb6:1f4b	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Province
7b93e6a1:150814fecb6:1245	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	City
7b93e6a1:150814fecb6:20da	Membership
7b93e6a1:150814fecb6:b1a	Membership
7b93e6a1:150814fecb6:7ec	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Province
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Province
7b93e6a1:150814fecb6:d7a	Membership
http://www.semwebtech.org/mondial/10/country/BHT/	Country
7b93e6a1:150814fecb6:1839	Membership
7b93e6a1:150814fecb6:11f1	Membership
7b93e6a1:150814fecb6:408	Membership
7b93e6a1:150814fecb6:-c0	Membership
7b93e6a1:150814fecb6:-163	Membership
7b93e6a1:150814fecb6:262a	EthnicProportion
7b93e6a1:150814fecb6:1bb7	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Province
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	Island
http://www.semwebtech.org/mondial/10/island/Phuket/	Island
7b93e6a1:150814fecb6:668	Membership
7b93e6a1:150814fecb6:1b13	Membership
7b93e6a1:150814fecb6:17e5	Membership
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Province
7b93e6a1:150814fecb6:3b4	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	City
7b93e6a1:150814fecb6:1741	Membership
7b93e6a1:150814fecb6:-757	Encompassed
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	City
7b93e6a1:150814fecb6:310	Membership
7b93e6a1:150814fecb6:1d73	Membership
7b93e6a1:150814fecb6:-4a3	Membership
7b93e6a1:150814fecb6:104c	Membership
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	Province
7b93e6a1:150814fecb6:9a8	Membership
7b93e6a1:150814fecb6:570	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Mountains
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Province
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	City
7b93e6a1:150814fecb6:904	Membership
7b93e6a1:150814fecb6:24f6	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	City
7b93e6a1:150814fecb6:f36	Membership
7b93e6a1:150814fecb6:20f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	City
7b93e6a1:150814fecb6:2452	BelievedBy
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Province
http://www.semwebtech.org/mondial/10/organization/FATF/	Organization
7b93e6a1:150814fecb6:8b0	Membership
7b93e6a1:150814fecb6:46f	Membership
7b93e6a1:150814fecb6:15ec	Membership
7b93e6a1:150814fecb6:ee2	Membership
7b93e6a1:150814fecb6:1bb	Membership
7b93e6a1:150814fecb6:-55e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	City
7b93e6a1:150814fecb6:1b7a	Membership
7b93e6a1:150814fecb6:-2aa	Membership
http://www.semwebtech.org/mondial/10/estuary/Theiss/	Estuary
http://www.semwebtech.org/mondial/10/island/Principe/	Island
7b93e6a1:150814fecb6:1f0e	Membership
7b93e6a1:150814fecb6:1208	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	City
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	City
7b93e6a1:150814fecb6:7af	Membership
http://www.semwebtech.org/mondial/10/country/VIRG/	Country
7b93e6a1:150814fecb6:f1	Membership
7b93e6a1:150814fecb6:70b	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	City
7b93e6a1:150814fecb6:1468	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	City
7b93e6a1:150814fecb6:22fd	BelievedBy
7b93e6a1:150814fecb6:d3d	Membership
7b93e6a1:150814fecb6:1eba	Membership
7b93e6a1:150814fecb6:11b4	Membership
7b93e6a1:150814fecb6:96b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Province
7b93e6a1:150814fecb6:1110	Membership
7b93e6a1:150814fecb6:-126	Membership
7b93e6a1:150814fecb6:f9d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Province
http://www.semwebtech.org/mondial/10/organization/BDEAC/	Organization
7b93e6a1:150814fecb6:297	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Province
7b93e6a1:150814fecb6:17a8	Membership
7b93e6a1:150814fecb6:1370	Membership
7b93e6a1:150814fecb6:-386	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Province
7b93e6a1:150814fecb6:1704	Membership
7b93e6a1:150814fecb6:2179	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Don/	Estuary
7b93e6a1:150814fecb6:1d36	Membership
7b93e6a1:150814fecb6:100f	Membership
http://www.semwebtech.org/mondial/10/desert/Sonora/	Desert
7b93e6a1:150814fecb6:5d7	Membership
7b93e6a1:150814fecb6:1964	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	City
7b93e6a1:150814fecb6:1f96	Membership
7b93e6a1:150814fecb6:533	Membership
7b93e6a1:150814fecb6:16b0	Membership
7b93e6a1:150814fecb6:-6c6	Border
7b93e6a1:150814fecb6:126f	Membership
7b93e6a1:150814fecb6:b65	Membership
7b93e6a1:150814fecb6:1ce2	Membership
7b93e6a1:150814fecb6:-622	Border
7b93e6a1:150814fecb6:24b9	EthnicProportion
7b93e6a1:150814fecb6:2081	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	City
7b93e6a1:150814fecb6:793	Membership
7b93e6a1:150814fecb6:2415	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Province
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	Water
7b93e6a1:150814fecb6:15af	Membership
7b93e6a1:150814fecb6:-ea	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	City
7b93e6a1:150814fecb6:-18d	Membership
7b93e6a1:150814fecb6:2675	EthnicProportion
7b93e6a1:150814fecb6:ea5	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	City
7b93e6a1:150814fecb6:150b	Membership
7b93e6a1:150814fecb6:23c1	BelievedBy
7b93e6a1:150814fecb6:e01	Membership
7b93e6a1:150814fecb6:1b3d	Membership
7b93e6a1:150814fecb6:3de	Membership
7b93e6a1:150814fecb6:176b	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	City
7b93e6a1:150814fecb6:33a	Membership
7b93e6a1:150814fecb6:1d9d	Membership
7b93e6a1:150814fecb6:-4cd	Membership
7b93e6a1:150814fecb6:1097	Membership
7b93e6a1:150814fecb6:b4	Membership
7b93e6a1:150814fecb6:10	Membership
7b93e6a1:150814fecb6:59a	Membership
7b93e6a1:150814fecb6:221c	SpokenBy
7b93e6a1:150814fecb6:92e	Membership
7b93e6a1:150814fecb6:13d7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	City
7b93e6a1:150814fecb6:247c	EthnicProportion
7b93e6a1:150814fecb6:cac	Membership
7b93e6a1:150814fecb6:1333	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	City
7b93e6a1:150814fecb6:-349	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Province
7b93e6a1:150814fecb6:8da	Membership
http://www.semwebtech.org/mondial/10/organization/IFC/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	City
http://www.semwebtech.org/mondial/10/country/GUAD/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	EthnicGroup
7b93e6a1:150814fecb6:1593	Membership
7b93e6a1:150814fecb6:1927	Membership
7b93e6a1:150814fecb6:162	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	City
7b93e6a1:150814fecb6:-2f5	Membership
7b93e6a1:150814fecb6:1f59	Membership
7b93e6a1:150814fecb6:3e2	Membership
http://www.semwebtech.org/mondial/10/country/RO/	Country
7b93e6a1:150814fecb6:-251	Membership
7b93e6a1:150814fecb6:20e8	Membership
7b93e6a1:150814fecb6:b28	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Province
7b93e6a1:150814fecb6:1ca5	Membership
http://www.semwebtech.org/mondial/10/estuary/Missouri/	Estuary
7b93e6a1:150814fecb6:2044	Membership
7b93e6a1:150814fecb6:1c01	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	City
7b93e6a1:150814fecb6:756	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	City
7b93e6a1:150814fecb6:18d3	Membership
7b93e6a1:150814fecb6:d88	Membership
7b93e6a1:150814fecb6:4a2	Membership
7b93e6a1:150814fecb6:11de	Membership
http://www.semwebtech.org/mondial/10/continent/Africa/	Continent
7b93e6a1:150814fecb6:ad4	Membership
7b93e6a1:150814fecb6:1e61	Membership
7b93e6a1:150814fecb6:-ad	Membership
7b93e6a1:150814fecb6:113a	Membership
7b93e6a1:150814fecb6:2638	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	City
7b93e6a1:150814fecb6:a30	Membership
7b93e6a1:150814fecb6:-7f1	Encompassed
7b93e6a1:150814fecb6:139a	Membership
7b93e6a1:150814fecb6:c90	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Province
7b93e6a1:150814fecb6:172e	Membership
7b93e6a1:150814fecb6:25e4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	City
7b93e6a1:150814fecb6:2540	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	City
7b93e6a1:150814fecb6:1aac	Membership
7b93e6a1:150814fecb6:198e	Membership
7b93e6a1:150814fecb6:-3	Membership
7b93e6a1:150814fecb6:55d	Membership
7b93e6a1:150814fecb6:16da	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	City
7b93e6a1:150814fecb6:fd0	Membership
7b93e6a1:150814fecb6:b8f	Membership
7b93e6a1:150814fecb6:-64c	Border
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	Mountain
7b93e6a1:150814fecb6:243f	BelievedBy
http://www.semwebtech.org/mondial/10/organization/G-11/	Organization
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Province
7b93e6a1:150814fecb6:269f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	City
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	Estuary
7b93e6a1:150814fecb6:ecf	Membership
7b93e6a1:150814fecb6:1c9	Membership
7b93e6a1:150814fecb6:-91	Membership
7b93e6a1:150814fecb6:1556	Membership
7b93e6a1:150814fecb6:23eb	BelievedBy
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	Water
7b93e6a1:150814fecb6:e2b	Membership
7b93e6a1:150814fecb6:1b88	Membership
7b93e6a1:150814fecb6:125	Membership
7b93e6a1:150814fecb6:12a2	Membership
7b93e6a1:150814fecb6:-2b8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Mountains
7b93e6a1:150814fecb6:-214	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	City
7b93e6a1:150814fecb6:385	Membership
7b93e6a1:150814fecb6:de	Membership
7b93e6a1:150814fecb6:2007	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	City
7b93e6a1:150814fecb6:719	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	City
7b93e6a1:150814fecb6:-474	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	EthnicGroup
7b93e6a1:150814fecb6:3a	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	City
7b93e6a1:150814fecb6:1ec8	Membership
7b93e6a1:150814fecb6:1a90	Membership
7b93e6a1:150814fecb6:-808	Encompassed
7b93e6a1:150814fecb6:-1c0	Membership
7b93e6a1:150814fecb6:2267	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	Mountain
7b93e6a1:150814fecb6:979	Membership
7b93e6a1:150814fecb6:1e24	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	City
7b93e6a1:150814fecb6:6c5	Membership
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Religion
7b93e6a1:150814fecb6:cf7	Membership
7b93e6a1:150814fecb6:621	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Province
7b93e6a1:150814fecb6:-7b4	Encompassed
7b93e6a1:150814fecb6:135d	Membership
7b93e6a1:150814fecb6:c53	Membership
7b93e6a1:150814fecb6:1dd0	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Province
7b93e6a1:150814fecb6:-710	Border
7b93e6a1:150814fecb6:25a7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	City
7b93e6a1:150814fecb6:881	Membership
7b93e6a1:150814fecb6:2503	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	City
7b93e6a1:150814fecb6:18c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	City
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Mountains
7b93e6a1:150814fecb6:-27b	Membership
7b93e6a1:150814fecb6:1ccf	Membership
7b93e6a1:150814fecb6:-60f	Border
7b93e6a1:150814fecb6:206e	Membership
7b93e6a1:150814fecb6:1c2b	Membership
7b93e6a1:150814fecb6:18fd	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Province
http://www.semwebtech.org/mondial/10/island/Molokai/	Island
7b93e6a1:150814fecb6:4cc	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Province
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	Water
7b93e6a1:150814fecb6:1e8b	Membership
7b93e6a1:150814fecb6:afe	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Province
7b93e6a1:150814fecb6:-f8	Membership
7b93e6a1:150814fecb6:-5bb	Membership
7b93e6a1:150814fecb6:1185	Membership
7b93e6a1:150814fecb6:a5a	Membership
7b93e6a1:150814fecb6:-54	Membership
7b93e6a1:150814fecb6:1519	Membership
7b93e6a1:150814fecb6:23ae	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	City
7b93e6a1:150814fecb6:230a	BelievedBy
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	City
7b93e6a1:150814fecb6:1779	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Province
7b93e6a1:150814fecb6:348	Membership
7b93e6a1:150814fecb6:14c5	Membership
7b93e6a1:150814fecb6:256a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	City
7b93e6a1:150814fecb6:1af7	Membership
7b93e6a1:150814fecb6:1421	Membership
7b93e6a1:150814fecb6:-437	Membership
7b93e6a1:150814fecb6:1a53	Membership
7b93e6a1:150814fecb6:ffa	Membership
7b93e6a1:150814fecb6:2f4	Membership
7b93e6a1:150814fecb6:1681	Membership
7b93e6a1:150814fecb6:-697	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	City
7b93e6a1:150814fecb6:250	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	City
7b93e6a1:150814fecb6:-3e3	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	City
7b93e6a1:150814fecb6:21d6	SpokenBy
7b93e6a1:150814fecb6:c16	Membership
7b93e6a1:150814fecb6:8e8	Membership
7b93e6a1:150814fecb6:2132	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Mountains
http://www.semwebtech.org/mondial/10/island/Lolland/	Island
http://www.semwebtech.org/mondial/10/river/Syrdarja/	Water
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	City
7b93e6a1:150814fecb6:844	Membership
7b93e6a1:150814fecb6:19c1	Membership
7b93e6a1:150814fecb6:e76	Membership
7b93e6a1:150814fecb6:1ff3	Membership
7b93e6a1:150814fecb6:14f	Membership
7b93e6a1:150814fecb6:12cc	Membership
7b93e6a1:150814fecb6:2392	BelievedBy
http://www.semwebtech.org/mondial/10/country/SPMI/	Country
7b93e6a1:150814fecb6:bc2	Membership
7b93e6a1:150814fecb6:-23e	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	EthnicGroup
7b93e6a1:150814fecb6:7f0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Province
7b93e6a1:150814fecb6:-49e	Membership
7b93e6a1:150814fecb6:85	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	Water
7b93e6a1:150814fecb6:181c	Membership
7b93e6a1:150814fecb6:-1ea	Membership
7b93e6a1:150814fecb6:1e4e	Membership
7b93e6a1:150814fecb6:1148	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	City
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	Desert
http://www.semwebtech.org/mondial/10/river/Jenissej/	Water
7b93e6a1:150814fecb6:6ef	Membership
7b93e6a1:150814fecb6:a1d	Membership
7b93e6a1:150814fecb6:-17	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	City
7b93e6a1:150814fecb6:64b	Membership
7b93e6a1:150814fecb6:-7de	Encompassed
http://www.semwebtech.org/mondial/10/language/Pitkern/	Language
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	City
7b93e6a1:150814fecb6:c7d	Membership
http://www.semwebtech.org/mondial/10/mountain/Brocken/	Mountain
7b93e6a1:150814fecb6:1dfa	Membership
7b93e6a1:150814fecb6:-73a	Encompassed
7b93e6a1:150814fecb6:10f4	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	City
7b93e6a1:150814fecb6:1050	Membership
7b93e6a1:150814fecb6:252d	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	City
7b93e6a1:150814fecb6:1a16	Membership
7b93e6a1:150814fecb6:16e8	Membership
7b93e6a1:150814fecb6:fbd	Membership
http://www.semwebtech.org/mondial/10/island/IsleofWight/	Island
7b93e6a1:150814fecb6:2b7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	City
7b93e6a1:150814fecb6:1644	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Province
7b93e6a1:150814fecb6:213	Membership
7b93e6a1:150814fecb6:1c76	Membership
7b93e6a1:150814fecb6:-3a6	Membership
7b93e6a1:150814fecb6:-302	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	Estuary
7b93e6a1:150814fecb6:473	Membership
http://www.semwebtech.org/mondial/10/river/Salzach/	Water
7b93e6a1:150814fecb6:15f0	Membership
7b93e6a1:150814fecb6:807	Membership
7b93e6a1:150814fecb6:-7e	Membership
7b93e6a1:150814fecb6:-562	Membership
7b93e6a1:150814fecb6:23f9	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	Mountain
7b93e6a1:150814fecb6:e39	Membership
http://www.semwebtech.org/mondial/10/source/Waag/	Source
7b93e6a1:150814fecb6:1fb6	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Province
7b93e6a1:150814fecb6:2355	BelievedBy
http://www.semwebtech.org/mondial/10/island/Ceram/	Island
http://www.semwebtech.org/mondial/10/island/Langeland/	Island
7b93e6a1:150814fecb6:1f12	Membership
http://www.semwebtech.org/mondial/10/language/Gagauz/	Language
7b93e6a1:150814fecb6:20a1	Membership
7b93e6a1:150814fecb6:7b3	Membership
http://www.semwebtech.org/mondial/10/estuary/Sanga/	Estuary
7b93e6a1:150814fecb6:14ef	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	City
7b93e6a1:150814fecb6:de5	Membership
http://www.semwebtech.org/mondial/10/organization/CIS/	Organization
7b93e6a1:150814fecb6:144b	Membership
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	City
http://www.semwebtech.org/mondial/10/organization/FZ/	Organization
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	City
7b93e6a1:150814fecb6:48	Membership
7b93e6a1:150814fecb6:d41	Membership
7b93e6a1:150814fecb6:1a7d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	City
7b93e6a1:150814fecb6:-1ad	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	City
7b93e6a1:150814fecb6:27a	Membership
7b93e6a1:150814fecb6:60e	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	Province
7b93e6a1:150814fecb6:1dbd	Membership
7b93e6a1:150814fecb6:10b7	Membership
7b93e6a1:150814fecb6:215c	SpokenBy
7b93e6a1:150814fecb6:86e	Membership
7b93e6a1:150814fecb6:19eb	Membership
7b93e6a1:150814fecb6:1013	Membership
7b93e6a1:150814fecb6:5ba	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Province
http://www.semwebtech.org/mondial/10/island/Java/	Island
http://www.semwebtech.org/mondial/10/river/Oranje/	Water
7b93e6a1:150814fecb6:bec	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	City
http://www.semwebtech.org/mondial/10/river/Uruguay/	Water
7b93e6a1:150814fecb6:1273	Membership
7b93e6a1:150814fecb6:-289	Membership
7b93e6a1:150814fecb6:1607	Membership
7b93e6a1:150814fecb6:1c39	Membership
http://www.semwebtech.org/mondial/10/country/OM/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	EthnicGroup
7b93e6a1:150814fecb6:1867	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	City
7b93e6a1:150814fecb6:1e99	Membership
7b93e6a1:150814fecb6:436	Membership
7b93e6a1:150814fecb6:15b3	Membership
7b93e6a1:150814fecb6:-5c9	Membership
7b93e6a1:150814fecb6:-191	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Province
7b93e6a1:150814fecb6:a68	Membership
7b93e6a1:150814fecb6:1be5	Membership
7b93e6a1:150814fecb6:-525	Membership
7b93e6a1:150814fecb6:1b41	Membership
7b93e6a1:150814fecb6:696	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	City
http://www.semwebtech.org/mondial/10/country/SY/	Country
7b93e6a1:150814fecb6:2318	BelievedBy
7b93e6a1:150814fecb6:-785	Encompassed
7b93e6a1:150814fecb6:-4d1	Membership
7b93e6a1:150814fecb6:107a	Membership
7b93e6a1:150814fecb6:2578	EthnicProportion
7b93e6a1:150814fecb6:da8	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	City
7b93e6a1:150814fecb6:140e	Membership
7b93e6a1:150814fecb6:22c4	BelievedBy
7b93e6a1:150814fecb6:d04	Membership
7b93e6a1:150814fecb6:9d6	Membership
http://www.semwebtech.org/mondial/10/source/Fulda/	Source
7b93e6a1:150814fecb6:2220	SpokenBy
7b93e6a1:150814fecb6:932	Membership
7b93e6a1:150814fecb6:166e	Membership
7b93e6a1:150814fecb6:f64	Membership
7b93e6a1:150814fecb6:23d	Membership
7b93e6a1:150814fecb6:13ba	Membership
7b93e6a1:150814fecb6:2480	EthnicProportion
7b93e6a1:150814fecb6:cb0	Membership
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	City
7b93e6a1:150814fecb6:-32c	Membership
7b93e6a1:150814fecb6:49d	Membership
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Province
7b93e6a1:150814fecb6:211f	SpokenBy
7b93e6a1:150814fecb6:19ae	Membership
7b93e6a1:150814fecb6:-58c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	City
7b93e6a1:150814fecb6:5	Membership
7b93e6a1:150814fecb6:190a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	EthnicGroup
7b93e6a1:150814fecb6:237f	BelievedBy
7b93e6a1:150814fecb6:1f3c	Membership
7b93e6a1:150814fecb6:baf	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	City
7b93e6a1:150814fecb6:1236	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Province
7b93e6a1:150814fecb6:20cb	Membership
7b93e6a1:150814fecb6:b0b	Membership
7b93e6a1:150814fecb6:7dd	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	City
http://www.semwebtech.org/mondial/10/river/Theiss/	Water
7b93e6a1:150814fecb6:1496	Membership
7b93e6a1:150814fecb6:d6b	Membership
7b93e6a1:150814fecb6:26bf	EthnicProportion
7b93e6a1:150814fecb6:11e2	Membership
7b93e6a1:150814fecb6:-1f8	Membership
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	Desert
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	City
7b93e6a1:150814fecb6:-b1	Membership
7b93e6a1:150814fecb6:-154	Membership
7b93e6a1:150814fecb6:261b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	City
7b93e6a1:150814fecb6:1ba8	Membership
http://www.semwebtech.org/mondial/10/island/GreatBritain/	Island
7b93e6a1:150814fecb6:659	Membership
7b93e6a1:150814fecb6:1b04	Membership
7b93e6a1:150814fecb6:17d6	Membership
7b93e6a1:150814fecb6:1732	Membership
7b93e6a1:150814fecb6:3a5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	City
7b93e6a1:150814fecb6:-748	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	EthnicGroup
7b93e6a1:150814fecb6:301	Membership
7b93e6a1:150814fecb6:1d64	Membership
7b93e6a1:150814fecb6:103d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	City
7b93e6a1:150814fecb6:1ab0	Membership
7b93e6a1:150814fecb6:1992	Membership
7b93e6a1:150814fecb6:561	Membership
7b93e6a1:150814fecb6:-6f4	Border
7b93e6a1:150814fecb6:129d	Membership
7b93e6a1:150814fecb6:b93	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Province
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	Island
7b93e6a1:150814fecb6:-650	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	City
7b93e6a1:150814fecb6:24e7	EthnicProportion
7b93e6a1:150814fecb6:f27	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	City
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Province
7b93e6a1:150814fecb6:2443	BelievedBy
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	City
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	City
http://www.semwebtech.org/mondial/10/island/LittleCayman/	Island
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Province
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	Water
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	City
7b93e6a1:150814fecb6:8a1	Membership
http://www.semwebtech.org/mondial/10/river/Newa/	Water
7b93e6a1:150814fecb6:15dd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	City
7b93e6a1:150814fecb6:ed3	Membership
7b93e6a1:150814fecb6:1ac	Membership
7b93e6a1:150814fecb6:-54f	Membership
7b93e6a1:150814fecb6:1b6b	Membership
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mountains
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	Province
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	City
7b93e6a1:150814fecb6:-4fb	Membership
7b93e6a1:150814fecb6:e2	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	City
7b93e6a1:150814fecb6:1459	Membership
7b93e6a1:150814fecb6:22ee	BelievedBy
7b93e6a1:150814fecb6:1eab	Membership
7b93e6a1:150814fecb6:d2e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	City
7b93e6a1:150814fecb6:11a5	Membership
7b93e6a1:150814fecb6:224a	BelievedBy
7b93e6a1:150814fecb6:95c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	City
7b93e6a1:150814fecb6:1101	Membership
7b93e6a1:150814fecb6:-117	Membership
http://www.semwebtech.org/mondial/10/river/Swir/	Water
7b93e6a1:150814fecb6:f8e	Membership
7b93e6a1:150814fecb6:288	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	City
7b93e6a1:150814fecb6:cda	Membership
7b93e6a1:150814fecb6:1361	Membership
7b93e6a1:150814fecb6:-377	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	City
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	City
http://www.semwebtech.org/mondial/10/country/RMM/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	City
7b93e6a1:150814fecb6:1d27	Membership
7b93e6a1:150814fecb6:19f9	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	City
7b93e6a1:150814fecb6:5c8	Membership
7b93e6a1:150814fecb6:190	Membership
7b93e6a1:150814fecb6:1955	Membership
7b93e6a1:150814fecb6:1f87	Membership
7b93e6a1:150814fecb6:524	Membership
7b93e6a1:150814fecb6:16a1	Membership
7b93e6a1:150814fecb6:-6b7	Border
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Province
7b93e6a1:150814fecb6:b56	Membership
7b93e6a1:150814fecb6:1cd3	Membership
7b93e6a1:150814fecb6:-613	Border
7b93e6a1:150814fecb6:2072	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Province
7b93e6a1:150814fecb6:784	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	City
7b93e6a1:150814fecb6:2406	BelievedBy
7b93e6a1:150814fecb6:4d0	Membership
http://www.semwebtech.org/mondial/10/estuary/Mincio/	Estuary
7b93e6a1:150814fecb6:-db	Membership
7b93e6a1:150814fecb6:-17e	Membership
7b93e6a1:150814fecb6:2666	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Province
7b93e6a1:150814fecb6:23b2	BelievedBy
7b93e6a1:150814fecb6:1b2e	Membership
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	City
7b93e6a1:150814fecb6:3cf	Membership
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Province
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	City
7b93e6a1:150814fecb6:175c	Membership
7b93e6a1:150814fecb6:1d8e	Membership
7b93e6a1:150814fecb6:32b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	City
7b93e6a1:150814fecb6:-4be	Membership
7b93e6a1:150814fecb6:1088	Membership
7b93e6a1:150814fecb6:a5	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	EthnicGroup
7b93e6a1:150814fecb6:1ada	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	City
7b93e6a1:150814fecb6:-41a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	EthnicGroup
7b93e6a1:150814fecb6:58b	Membership
7b93e6a1:150814fecb6:220d	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	City
7b93e6a1:150814fecb6:91f	Membership
7b93e6a1:150814fecb6:-67a	Border
http://www.semwebtech.org/mondial/10/island/Singapore/	Island
7b93e6a1:150814fecb6:13c8	Membership
7b93e6a1:150814fecb6:246d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	City
7b93e6a1:150814fecb6:1324	Membership
http://www.semwebtech.org/mondial/10/organization/SAARC/	Organization
http://www.semwebtech.org/mondial/10/island/NorthUist/	Island
7b93e6a1:150814fecb6:8cb	Membership
http://www.semwebtech.org/mondial/10/organization/CAEU/	Organization
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	City
7b93e6a1:150814fecb6:efd	Membership
7b93e6a1:150814fecb6:1f7	Membership
http://www.semwebtech.org/mondial/10/country/HELX/	Country
7b93e6a1:150814fecb6:1584	Membership
http://www.semwebtech.org/mondial/10/country/MACX/	Country
7b93e6a1:150814fecb6:1918	Membership
7b93e6a1:150814fecb6:153	Membership
7b93e6a1:150814fecb6:12d0	Membership
7b93e6a1:150814fecb6:-2e6	Membership
http://www.semwebtech.org/mondial/10/island/Montserrat/	Island
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Province
7b93e6a1:150814fecb6:-242	Membership
7b93e6a1:150814fecb6:20d9	Membership
7b93e6a1:150814fecb6:b19	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	City
7b93e6a1:150814fecb6:2035	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Province
7b93e6a1:150814fecb6:747	Membership
7b93e6a1:150814fecb6:18c4	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	City
7b93e6a1:150814fecb6:d79	Membership
7b93e6a1:150814fecb6:2295	BelievedBy
7b93e6a1:150814fecb6:1ef6	Membership
7b93e6a1:150814fecb6:1820	Membership
7b93e6a1:150814fecb6:11cf	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Province
7b93e6a1:150814fecb6:ac5	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Province
7b93e6a1:150814fecb6:1e52	Membership
7b93e6a1:150814fecb6:112b	Membership
7b93e6a1:150814fecb6:2629	EthnicProportion
http://www.semwebtech.org/mondial/10/country/AL/	Country
7b93e6a1:150814fecb6:6f3	Membership
7b93e6a1:150814fecb6:a21	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	City
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/NIC/	Country
7b93e6a1:150814fecb6:138b	Membership
7b93e6a1:150814fecb6:-7e2	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	City
http://www.semwebtech.org/mondial/10/country/CR/	Country
7b93e6a1:150814fecb6:c81	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Province
7b93e6a1:150814fecb6:171f	Membership
7b93e6a1:150814fecb6:25d5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	City
7b93e6a1:150814fecb6:2531	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	City
7b93e6a1:150814fecb6:197f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	City
http://www.semwebtech.org/mondial/10/source/Mississippi/	Source
7b93e6a1:150814fecb6:54e	Membership
7b93e6a1:150814fecb6:16cb	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	City
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	City
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	Mountain
7b93e6a1:150814fecb6:fc1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	City
7b93e6a1:150814fecb6:1cfd	Membership
7b93e6a1:150814fecb6:-63d	Border
7b93e6a1:150814fecb6:209c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	City
7b93e6a1:150814fecb6:4fa	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	City
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	City
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	Estuary
7b93e6a1:150814fecb6:-82	Membership
7b93e6a1:150814fecb6:1547	Membership
7b93e6a1:150814fecb6:23dc	BelievedBy
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	Islands
7b93e6a1:150814fecb6:e1c	Membership
7b93e6a1:150814fecb6:1b79	Membership
7b93e6a1:150814fecb6:116	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Province
7b93e6a1:150814fecb6:-2a9	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	City
http://www.semwebtech.org/mondial/10/mountains/Corse/	Mountains
7b93e6a1:150814fecb6:-205	Membership
http://www.semwebtech.org/mondial/10/estuary/Breg/	Estuary
http://www.semwebtech.org/mondial/10/organization/BSEC/	Organization
http://www.semwebtech.org/mondial/10/organization/EAPC/	Organization
7b93e6a1:150814fecb6:376	Membership
7b93e6a1:150814fecb6:14f3	Membership
7b93e6a1:150814fecb6:cf	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	City
7b93e6a1:150814fecb6:-465	Membership
7b93e6a1:150814fecb6:2b	Membership
7b93e6a1:150814fecb6:2258	BelievedBy
7b93e6a1:150814fecb6:1eb9	Membership
7b93e6a1:150814fecb6:1a81	Membership
7b93e6a1:150814fecb6:-1b1	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	City
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	City
7b93e6a1:150814fecb6:1e15	Membership
7b93e6a1:150814fecb6:6b6	Membership
http://www.semwebtech.org/mondial/10/mountain/Damavand/	Mountain
http://www.semwebtech.org/mondial/10/organization/ADB/	Organization
7b93e6a1:150814fecb6:ce8	Membership
7b93e6a1:150814fecb6:612	Membership
7b93e6a1:150814fecb6:-7a5	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Province
7b93e6a1:150814fecb6:134e	Membership
7b93e6a1:150814fecb6:c44	Membership
http://www.semwebtech.org/mondial/10/island/Trinidad/	Island
7b93e6a1:150814fecb6:1dc1	Membership
7b93e6a1:150814fecb6:-701	Border
7b93e6a1:150814fecb6:2160	SpokenBy
7b93e6a1:150814fecb6:872	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	City
7b93e6a1:150814fecb6:17d	Membership
7b93e6a1:150814fecb6:12fa	Membership
7b93e6a1:150814fecb6:bf0	Membership
7b93e6a1:150814fecb6:-26c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	City
7b93e6a1:150814fecb6:24a0	EthnicProportion
7b93e6a1:150814fecb6:205f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	City
7b93e6a1:150814fecb6:1c1c	Membership
7b93e6a1:150814fecb6:18ee	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	City
7b93e6a1:150814fecb6:184a	Membership
7b93e6a1:150814fecb6:4bd	Membership
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	City
7b93e6a1:150814fecb6:aef	Membership
7b93e6a1:150814fecb6:1e7c	Membership
7b93e6a1:150814fecb6:-e9	Membership
7b93e6a1:150814fecb6:-5ac	Membership
7b93e6a1:150814fecb6:1176	Membership
7b93e6a1:150814fecb6:a4b	Membership
7b93e6a1:150814fecb6:-45	Membership
7b93e6a1:150814fecb6:25ff	EthnicProportion
7b93e6a1:150814fecb6:339	Membership
7b93e6a1:150814fecb6:14b6	Membership
7b93e6a1:150814fecb6:255b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	City
7b93e6a1:150814fecb6:1ae8	Membership
7b93e6a1:150814fecb6:1412	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	City
7b93e6a1:150814fecb6:-428	Membership
7b93e6a1:150814fecb6:599	Membership
7b93e6a1:150814fecb6:1a44	Membership
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	Estuary
7b93e6a1:150814fecb6:feb	Membership
7b93e6a1:150814fecb6:2e5	Membership
7b93e6a1:150814fecb6:1672	Membership
7b93e6a1:150814fecb6:-688	Border
7b93e6a1:150814fecb6:241	Membership
7b93e6a1:150814fecb6:-3d4	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	City
7b93e6a1:150814fecb6:-330	Membership
7b93e6a1:150814fecb6:21c7	SpokenBy
7b93e6a1:150814fecb6:c07	Membership
7b93e6a1:150814fecb6:8d9	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	City
7b93e6a1:150814fecb6:2123	SpokenBy
7b93e6a1:150814fecb6:835	Membership
7b93e6a1:150814fecb6:19b2	Membership
7b93e6a1:150814fecb6:-590	Membership
http://www.semwebtech.org/mondial/10/island/Skye/	Island
7b93e6a1:150814fecb6:e67	Membership
7b93e6a1:150814fecb6:1fe4	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	City
7b93e6a1:150814fecb6:12bd	Membership
7b93e6a1:150814fecb6:2383	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	City
7b93e6a1:150814fecb6:bb3	Membership
7b93e6a1:150814fecb6:1f40	Membership
7b93e6a1:150814fecb6:-22f	Membership
7b93e6a1:150814fecb6:7e1	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	City
7b93e6a1:150814fecb6:-48f	Membership
7b93e6a1:150814fecb6:76	Membership
7b93e6a1:150814fecb6:180d	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	City
7b93e6a1:150814fecb6:-1db	Membership
7b93e6a1:150814fecb6:26c3	EthnicProportion
7b93e6a1:150814fecb6:1e3f	Membership
7b93e6a1:150814fecb6:1139	Membership
7b93e6a1:150814fecb6:a0e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	City
http://www.semwebtech.org/mondial/10/island/Rugen/	Island
7b93e6a1:150814fecb6:63c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	City
7b93e6a1:150814fecb6:-7cf	Encompassed
7b93e6a1:150814fecb6:1399	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	City
7b93e6a1:150814fecb6:c6e	Membership
7b93e6a1:150814fecb6:1deb	Membership
7b93e6a1:150814fecb6:-72b	Encompassed
7b93e6a1:150814fecb6:10e5	Membership
7b93e6a1:150814fecb6:218a	SpokenBy
7b93e6a1:150814fecb6:89c	Membership
7b93e6a1:150814fecb6:1041	Membership
7b93e6a1:150814fecb6:251e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	City
http://www.semwebtech.org/mondial/10/religion/Baptist/	Religion
7b93e6a1:150814fecb6:1a07	Membership
7b93e6a1:150814fecb6:16d9	Membership
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	Organization
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	City
7b93e6a1:150814fecb6:fae	Membership
http://www.semwebtech.org/mondial/10/country/EAT/	Country
7b93e6a1:150814fecb6:2a8	Membership
7b93e6a1:150814fecb6:1635	Membership
7b93e6a1:150814fecb6:24ca	EthnicProportion
7b93e6a1:150814fecb6:f0a	Membership
http://www.semwebtech.org/mondial/10/source/Jangtse/	Source
7b93e6a1:150814fecb6:204	Membership
7b93e6a1:150814fecb6:1c67	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	City
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	City
7b93e6a1:150814fecb6:1895	Membership
7b93e6a1:150814fecb6:464	Membership
7b93e6a1:150814fecb6:15e1	Membership
7b93e6a1:150814fecb6:-5f7	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Province
7b93e6a1:150814fecb6:a96	Membership
7b93e6a1:150814fecb6:1b0	Membership
7b93e6a1:150814fecb6:-6f	Membership
7b93e6a1:150814fecb6:-553	Membership
http://www.semwebtech.org/mondial/10/country/MOC/	Country
7b93e6a1:150814fecb6:1fa7	Membership
http://www.semwebtech.org/mondial/10/source/Ischim/	Source
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Province
7b93e6a1:150814fecb6:2346	BelievedBy
7b93e6a1:150814fecb6:1f03	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Province
7b93e6a1:150814fecb6:7a4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	City
7b93e6a1:150814fecb6:dd6	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	City
7b93e6a1:150814fecb6:700	Membership
7b93e6a1:150814fecb6:143c	Membership
7b93e6a1:150814fecb6:22f2	BelievedBy
7b93e6a1:150814fecb6:39	Membership
http://www.semwebtech.org/mondial/10/river/Kasai/	Water
7b93e6a1:150814fecb6:d32	Membership
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	Islands
7b93e6a1:150814fecb6:1a6e	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Province
http://www.semwebtech.org/mondial/10/river/Drina/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	City
7b93e6a1:150814fecb6:960	Membership
7b93e6a1:150814fecb6:169c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	EthnicGroup
7b93e6a1:150814fecb6:f92	Membership
7b93e6a1:150814fecb6:26b	Membership
7b93e6a1:150814fecb6:-3fe	Membership
http://www.semwebtech.org/mondial/10/island/Ponape/	Island
7b93e6a1:150814fecb6:-35a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	City
7b93e6a1:150814fecb6:1dae	Membership
7b93e6a1:150814fecb6:10a8	Membership
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	Mountain
7b93e6a1:150814fecb6:214d	SpokenBy
7b93e6a1:150814fecb6:85f	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	City
7b93e6a1:150814fecb6:1d0a	Membership
7b93e6a1:150814fecb6:19dc	Membership
7b93e6a1:150814fecb6:1004	Membership
7b93e6a1:150814fecb6:5ab	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	City
7b93e6a1:150814fecb6:bdd	Membership
7b93e6a1:150814fecb6:1f6a	Membership
7b93e6a1:150814fecb6:1264	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	City
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	City
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	City
7b93e6a1:150814fecb6:1858	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Province
7b93e6a1:150814fecb6:427	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Religion
7b93e6a1:150814fecb6:15a4	Membership
7b93e6a1:150814fecb6:-182	Membership
http://www.semwebtech.org/mondial/10/language/Brahui/	Language
7b93e6a1:150814fecb6:a59	Membership
7b93e6a1:150814fecb6:1bd6	Membership
7b93e6a1:150814fecb6:1500	Membership
7b93e6a1:150814fecb6:-516	Membership
7b93e6a1:150814fecb6:687	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Province
7b93e6a1:150814fecb6:1b32	Membership
7b93e6a1:150814fecb6:2309	BelievedBy
7b93e6a1:150814fecb6:1760	Membership
7b93e6a1:150814fecb6:3d3	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	City
7b93e6a1:150814fecb6:-776	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Province
7b93e6a1:150814fecb6:1d92	Membership
7b93e6a1:150814fecb6:-4c2	Membership
7b93e6a1:150814fecb6:106b	Membership
7b93e6a1:150814fecb6:2569	EthnicProportion
7b93e6a1:150814fecb6:22b5	BelievedBy
7b93e6a1:150814fecb6:9c7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	City
7b93e6a1:150814fecb6:2211	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	City
http://www.semwebtech.org/mondial/10/estuary/Schari/	Estuary
7b93e6a1:150814fecb6:ff9	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Province
7b93e6a1:150814fecb6:923	Membership
7b93e6a1:150814fecb6:165f	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	City
7b93e6a1:150814fecb6:f55	Membership
7b93e6a1:150814fecb6:22e	Membership
7b93e6a1:150814fecb6:13ab	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	City
7b93e6a1:150814fecb6:2471	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Province
7b93e6a1:150814fecb6:ca1	Membership
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	Islands
7b93e6a1:150814fecb6:-31d	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	City
7b93e6a1:150814fecb6:48e	Membership
http://www.semwebtech.org/mondial/10/island/Lefkas/	Island
7b93e6a1:150814fecb6:1da	Membership
7b93e6a1:150814fecb6:-57d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	City
7b93e6a1:150814fecb6:1f2d	Membership
7b93e6a1:150814fecb6:1227	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	City
7b93e6a1:150814fecb6:20bc	Membership
7b93e6a1:150814fecb6:7ce	Membership
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	Water
7b93e6a1:150814fecb6:72a	Membership
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Mountains
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Province
7b93e6a1:150814fecb6:1487	Membership
7b93e6a1:150814fecb6:d5c	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	City
7b93e6a1:150814fecb6:11d3	Membership
7b93e6a1:150814fecb6:-1e9	Membership
7b93e6a1:150814fecb6:98a	Membership
7b93e6a1:150814fecb6:-a2	Membership
7b93e6a1:150814fecb6:-145	Membership
7b93e6a1:150814fecb6:260c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Province
7b93e6a1:150814fecb6:17c7	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Province
7b93e6a1:150814fecb6:1df9	Membership
7b93e6a1:150814fecb6:1723	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	City
http://www.semwebtech.org/mondial/10/country/RB/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	City
7b93e6a1:150814fecb6:-739	Encompassed
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	City
http://www.semwebtech.org/mondial/10/source/Fimi/	Source
7b93e6a1:150814fecb6:2198	SpokenBy
http://www.semwebtech.org/mondial/10/organization/Entente/	Organization
7b93e6a1:150814fecb6:1d55	Membership
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	City
http://www.semwebtech.org/mondial/10/religion/Hindu/	Religion
7b93e6a1:150814fecb6:102e	Membership
7b93e6a1:150814fecb6:5f6	Membership
7b93e6a1:150814fecb6:1aa1	Membership
7b93e6a1:150814fecb6:1983	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	EthnicGroup
7b93e6a1:150814fecb6:552	Membership
7b93e6a1:150814fecb6:-6e5	Border
7b93e6a1:150814fecb6:128e	Membership
http://www.semwebtech.org/mondial/10/island/Palawan/	Island
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	City
7b93e6a1:150814fecb6:b84	Membership
http://www.semwebtech.org/mondial/10/river/Saone/	Water
http://www.semwebtech.org/mondial/10/country/VN/	Country
7b93e6a1:150814fecb6:-641	Border
7b93e6a1:150814fecb6:24d8	EthnicProportion
7b93e6a1:150814fecb6:57c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	City
7b93e6a1:150814fecb6:f18	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	City
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	Mountain
7b93e6a1:150814fecb6:2434	BelievedBy
7b93e6a1:150814fecb6:15ce	Membership
7b93e6a1:150814fecb6:2694	EthnicProportion
7b93e6a1:150814fecb6:ec4	Membership
7b93e6a1:150814fecb6:152a	Membership
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	Mountain
7b93e6a1:150814fecb6:23e0	BelievedBy
7b93e6a1:150814fecb6:e20	Membership
7b93e6a1:150814fecb6:1b5c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Province
7b93e6a1:150814fecb6:3fd	Membership
7b93e6a1:150814fecb6:178a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	City
7b93e6a1:150814fecb6:-4ec	Membership
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	City
7b93e6a1:150814fecb6:d3	Membership
http://www.semwebtech.org/mondial/10/island/Kavaratti/	Island
7b93e6a1:150814fecb6:22df	BelievedBy
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	City
http://www.semwebtech.org/mondial/10/country/ANG/	Country
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Province
7b93e6a1:150814fecb6:d1f	Membership
7b93e6a1:150814fecb6:223b	BelievedBy
7b93e6a1:150814fecb6:94d	Membership
http://www.semwebtech.org/mondial/10/desert/Talak/	Desert
7b93e6a1:150814fecb6:-108	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	City
7b93e6a1:150814fecb6:f7f	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	City
7b93e6a1:150814fecb6:279	Membership
7b93e6a1:150814fecb6:13f6	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	City
7b93e6a1:150814fecb6:249b	EthnicProportion
7b93e6a1:150814fecb6:ccb	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	City
7b93e6a1:150814fecb6:1352	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	City
7b93e6a1:150814fecb6:-368	Membership
http://www.semwebtech.org/mondial/10/country/G/	Country
http://www.semwebtech.org/mondial/10/lake/LakeVan/	Water
7b93e6a1:150814fecb6:1d18	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Province
7b93e6a1:150814fecb6:5b9	Membership
7b93e6a1:150814fecb6:181	Membership
7b93e6a1:150814fecb6:1946	Membership
7b93e6a1:150814fecb6:1f78	Membership
7b93e6a1:150814fecb6:515	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Province
7b93e6a1:150814fecb6:-6a8	Border
7b93e6a1:150814fecb6:-270	Membership
http://www.semwebtech.org/mondial/10/lake/Maelaren/	Water
7b93e6a1:150814fecb6:b47	Membership
7b93e6a1:150814fecb6:1cc4	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Province
7b93e6a1:150814fecb6:-604	Border
7b93e6a1:150814fecb6:2063	Membership
7b93e6a1:150814fecb6:1c20	Membership
7b93e6a1:150814fecb6:775	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Province
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	City
7b93e6a1:150814fecb6:18f2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	EthnicGroup
7b93e6a1:150814fecb6:4c1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	City
http://www.semwebtech.org/mondial/10/sea/Kattegat/	Water
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	Source
7b93e6a1:150814fecb6:11fd	Membership
7b93e6a1:150814fecb6:1e80	Membership
7b93e6a1:150814fecb6:af3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	City
7b93e6a1:150814fecb6:-cc	Membership
7b93e6a1:150814fecb6:-5b0	Membership
7b93e6a1:150814fecb6:-16f	Membership
7b93e6a1:150814fecb6:2657	EthnicProportion
7b93e6a1:150814fecb6:23a3	BelievedBy
7b93e6a1:150814fecb6:1b1f	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	City
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	Water
7b93e6a1:150814fecb6:174d	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	City
7b93e6a1:150814fecb6:1d7f	Membership
7b93e6a1:150814fecb6:31c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	City
7b93e6a1:150814fecb6:-4af	Membership
7b93e6a1:150814fecb6:1079	Membership
7b93e6a1:150814fecb6:1acb	Membership
7b93e6a1:150814fecb6:-40b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Province
7b93e6a1:150814fecb6:-66b	Border
http://www.semwebtech.org/mondial/10/source/Alz/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	City
7b93e6a1:150814fecb6:13b9	Membership
7b93e6a1:150814fecb6:245e	EthnicProportion
7b93e6a1:150814fecb6:1315	Membership
7b93e6a1:150814fecb6:21aa	SpokenBy
7b93e6a1:150814fecb6:8bc	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	City
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	Mountain
7b93e6a1:150814fecb6:eee	Membership
7b93e6a1:150814fecb6:1e8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	City
7b93e6a1:150814fecb6:1575	Membership
http://www.semwebtech.org/mondial/10/language/English/	Language
7b93e6a1:150814fecb6:e4a	Membership
7b93e6a1:150814fecb6:1909	Membership
7b93e6a1:150814fecb6:144	Membership
7b93e6a1:150814fecb6:12c1	Membership
7b93e6a1:150814fecb6:-2d7	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	City
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	Estuary
7b93e6a1:150814fecb6:-233	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	City
7b93e6a1:150814fecb6:2026	Membership
7b93e6a1:150814fecb6:fd	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	City
7b93e6a1:150814fecb6:738	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Province
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	Island
7b93e6a1:150814fecb6:18b5	Membership
7b93e6a1:150814fecb6:-493	Membership
http://www.semwebtech.org/mondial/10/country/MNG/	Country
7b93e6a1:150814fecb6:1ee7	Membership
7b93e6a1:150814fecb6:1811	Membership
http://www.semwebtech.org/mondial/10/lake/Bodensee/	Water
7b93e6a1:150814fecb6:2286	BelievedBy
7b93e6a1:150814fecb6:ab6	Membership
7b93e6a1:150814fecb6:998	Membership
7b93e6a1:150814fecb6:1e43	Membership
7b93e6a1:150814fecb6:111c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	City
7b93e6a1:150814fecb6:6e4	Membership
7b93e6a1:150814fecb6:a12	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	City
http://www.semwebtech.org/mondial/10/estuary/Inn/	Estuary
7b93e6a1:150814fecb6:640	Membership
7b93e6a1:150814fecb6:-7d3	Encompassed
7b93e6a1:150814fecb6:137c	Membership
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	Water
7b93e6a1:150814fecb6:c72	Membership
http://www.semwebtech.org/mondial/10/source/Limpopo/	Source
7b93e6a1:150814fecb6:25c6	EthnicProportion
7b93e6a1:150814fecb6:2522	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	City
7b93e6a1:150814fecb6:53f	Membership
7b93e6a1:150814fecb6:16bc	Membership
7b93e6a1:150814fecb6:-29a	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	City
7b93e6a1:150814fecb6:fb2	Membership
7b93e6a1:150814fecb6:1cee	Membership
7b93e6a1:150814fecb6:-62e	Border
7b93e6a1:150814fecb6:208d	Membership
7b93e6a1:150814fecb6:79f	Membership
7b93e6a1:150814fecb6:1c4a	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	EthnicGroup
7b93e6a1:150814fecb6:4eb	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	City
7b93e6a1:150814fecb6:-5da	Border
http://www.semwebtech.org/mondial/10/language/Slovene/	Language
7b93e6a1:150814fecb6:1538	Membership
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	City
7b93e6a1:150814fecb6:-73	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	City
7b93e6a1:150814fecb6:23cd	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	City
7b93e6a1:150814fecb6:e0d	Membership
7b93e6a1:150814fecb6:107	Membership
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	City
http://www.semwebtech.org/mondial/10/mountain/Schchara/	Mountain
7b93e6a1:150814fecb6:1798	Membership
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	Islands
7b93e6a1:150814fecb6:367	Membership
7b93e6a1:150814fecb6:14e4	Membership
http://www.semwebtech.org/mondial/10/estuary/Lomami/	Estuary
7b93e6a1:150814fecb6:1440	Membership
7b93e6a1:150814fecb6:-456	Membership
7b93e6a1:150814fecb6:1c	Membership
7b93e6a1:150814fecb6:1a72	Membership
7b93e6a1:150814fecb6:-1a2	Membership
7b93e6a1:150814fecb6:2249	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	City
http://www.semwebtech.org/mondial/10/language/Arabic/	Language
7b93e6a1:150814fecb6:1e06	Membership
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	Mountain
http://www.semwebtech.org/mondial/10/river/Arkansas/	Water
7b93e6a1:150814fecb6:6a7	Membership
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Mountains
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Religion
7b93e6a1:150814fecb6:21f5	SpokenBy
http://www.semwebtech.org/mondial/10/organization/BA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	City
7b93e6a1:150814fecb6:cd9	Membership
7b93e6a1:150814fecb6:603	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	City
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	Water
7b93e6a1:150814fecb6:133f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Province
7b93e6a1:150814fecb6:c35	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	City
7b93e6a1:150814fecb6:1db2	Membership
7b93e6a1:150814fecb6:2151	SpokenBy
http://www.semwebtech.org/mondial/10/country/AZ/	Country
7b93e6a1:150814fecb6:863	Membership
7b93e6a1:150814fecb6:19e0	Membership
7b93e6a1:150814fecb6:159f	Membership
7b93e6a1:150814fecb6:e95	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	City
7b93e6a1:150814fecb6:16e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Province
7b93e6a1:150814fecb6:12eb	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Province
7b93e6a1:150814fecb6:be1	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	City
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	City
7b93e6a1:150814fecb6:-25d	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	City
7b93e6a1:150814fecb6:1c0d	Membership
7b93e6a1:150814fecb6:18df	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	City
7b93e6a1:150814fecb6:4ae	Membership
7b93e6a1:150814fecb6:183b	Membership
http://www.semwebtech.org/mondial/10/island/Reunion/	Island
7b93e6a1:150814fecb6:40a	Membership
7b93e6a1:150814fecb6:1e6d	Membership
7b93e6a1:150814fecb6:1167	Membership
http://www.semwebtech.org/mondial/10/mountain/Illampu/	Mountain
7b93e6a1:150814fecb6:a3c	Membership
7b93e6a1:150814fecb6:-36	Membership
7b93e6a1:150814fecb6:66a	Membership
7b93e6a1:150814fecb6:-7fd	Encompassed
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	City
7b93e6a1:150814fecb6:c9c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	City
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	Water
http://www.semwebtech.org/mondial/10/estuary/Bartang/	Estuary
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	City
7b93e6a1:150814fecb6:14a7	Membership
7b93e6a1:150814fecb6:254c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Province
7b93e6a1:150814fecb6:1ad9	Membership
7b93e6a1:150814fecb6:1403	Membership
7b93e6a1:150814fecb6:-419	Membership
7b93e6a1:150814fecb6:-f	Membership
7b93e6a1:150814fecb6:9aa	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	City
7b93e6a1:150814fecb6:1a35	Membership
7b93e6a1:150814fecb6:fdc	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	Water
7b93e6a1:150814fecb6:2d6	Membership
7b93e6a1:150814fecb6:1663	Membership
7b93e6a1:150814fecb6:-679	Border
7b93e6a1:150814fecb6:1c95	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Province
7b93e6a1:150814fecb6:232	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	City
7b93e6a1:150814fecb6:-3c5	Membership
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	City
7b93e6a1:150814fecb6:-321	Membership
7b93e6a1:150814fecb6:21b8	SpokenBy
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	City
7b93e6a1:150814fecb6:492	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	City
7b93e6a1:150814fecb6:2114	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Province
7b93e6a1:150814fecb6:19a3	Membership
7b93e6a1:150814fecb6:826	Membership
7b93e6a1:150814fecb6:-9d	Membership
7b93e6a1:150814fecb6:-581	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	City
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	City
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	Water
7b93e6a1:150814fecb6:e58	Membership
7b93e6a1:150814fecb6:1fd5	Membership
7b93e6a1:150814fecb6:2374	BelievedBy
7b93e6a1:150814fecb6:12ae	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	City
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	Desert
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	City
7b93e6a1:150814fecb6:ba4	Membership
7b93e6a1:150814fecb6:1f31	Membership
7b93e6a1:150814fecb6:120a	Membership
7b93e6a1:150814fecb6:20c0	Membership
7b93e6a1:150814fecb6:b00	Membership
7b93e6a1:150814fecb6:7d2	Membership
http://www.semwebtech.org/mondial/10/religion/Catholic/	Religion
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	City
7b93e6a1:150814fecb6:146a	Membership
http://www.semwebtech.org/mondial/10/island/Fongafale/	Island
7b93e6a1:150814fecb6:67	Membership
7b93e6a1:150814fecb6:d60	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Province
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	City
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	City
7b93e6a1:150814fecb6:1a9c	Membership
7b93e6a1:150814fecb6:-1cc	Membership
7b93e6a1:150814fecb6:26b4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	City
7b93e6a1:150814fecb6:2610	EthnicProportion
http://www.semwebtech.org/mondial/10/island/SaintThomas/	Island
7b93e6a1:150814fecb6:62d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Province
7b93e6a1:150814fecb6:17aa	Membership
7b93e6a1:150814fecb6:c5f	Membership
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	Estuary
7b93e6a1:150814fecb6:1ddc	Membership
7b93e6a1:150814fecb6:-71c	Border
7b93e6a1:150814fecb6:10d6	Membership
7b93e6a1:150814fecb6:217b	SpokenBy
7b93e6a1:150814fecb6:88d	Membership
7b93e6a1:150814fecb6:1032	Membership
7b93e6a1:150814fecb6:250f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	City
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	Desert
7b93e6a1:150814fecb6:1292	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Province
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Province
7b93e6a1:150814fecb6:1626	Membership
7b93e6a1:150814fecb6:24bb	EthnicProportion
7b93e6a1:150814fecb6:1c58	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	City
7b93e6a1:150814fecb6:4f9	Membership
7b93e6a1:150814fecb6:1886	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Province
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	Island
7b93e6a1:150814fecb6:455	Membership
7b93e6a1:150814fecb6:15d2	Membership
7b93e6a1:150814fecb6:-5e8	Border
7b93e6a1:150814fecb6:a87	Membership
7b93e6a1:150814fecb6:1a1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	City
7b93e6a1:150814fecb6:-544	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	City
7b93e6a1:150814fecb6:1b60	Membership
7b93e6a1:150814fecb6:2337	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	City
7b93e6a1:150814fecb6:-4f0	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Province
7b93e6a1:150814fecb6:2597	EthnicProportion
7b93e6a1:150814fecb6:dc7	Membership
7b93e6a1:150814fecb6:142d	Membership
7b93e6a1:150814fecb6:22e3	BelievedBy
7b93e6a1:150814fecb6:d23	Membership
7b93e6a1:150814fecb6:9f5	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	City
7b93e6a1:150814fecb6:1ea0	Membership
7b93e6a1:150814fecb6:1a5f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Province
7b93e6a1:150814fecb6:951	Membership
7b93e6a1:150814fecb6:168d	Membership
7b93e6a1:150814fecb6:f83	Membership
7b93e6a1:150814fecb6:25c	Membership
7b93e6a1:150814fecb6:-3ef	Membership
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	City
http://www.semwebtech.org/mondial/10/river/Schari/	Water
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Province
7b93e6a1:150814fecb6:-34b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Province
http://www.semwebtech.org/mondial/10/mountain/Etna/	Mountain
7b93e6a1:150814fecb6:213e	SpokenBy
7b93e6a1:150814fecb6:19cd	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	City
7b93e6a1:150814fecb6:1fff	Membership
7b93e6a1:150814fecb6:12f9	Membership
7b93e6a1:150814fecb6:239e	BelievedBy
http://www.semwebtech.org/mondial/10/source/SchattalArab/	Source
7b93e6a1:150814fecb6:bce	Membership
7b93e6a1:150814fecb6:20ea	Membership
7b93e6a1:150814fecb6:1f5b	Membership
7b93e6a1:150814fecb6:1255	Membership
7b93e6a1:150814fecb6:b2a	Membership
7b93e6a1:150814fecb6:7fc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Province
7b93e6a1:150814fecb6:d8a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	City
7b93e6a1:150814fecb6:1849	Membership
7b93e6a1:150814fecb6:263a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	City
http://www.semwebtech.org/mondial/10/estuary/Volga/	Estuary
7b93e6a1:150814fecb6:418	Membership
7b93e6a1:150814fecb6:-d0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	City
7b93e6a1:150814fecb6:-173	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Province
7b93e6a1:150814fecb6:1bc7	Membership
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	City
7b93e6a1:150814fecb6:-507	Membership
7b93e6a1:150814fecb6:678	Membership
7b93e6a1:150814fecb6:1b23	Membership
7b93e6a1:150814fecb6:17f5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Province
7b93e6a1:150814fecb6:3c4	Membership
7b93e6a1:150814fecb6:1751	Membership
7b93e6a1:150814fecb6:-767	Encompassed
7b93e6a1:150814fecb6:320	Membership
7b93e6a1:150814fecb6:1d83	Membership
7b93e6a1:150814fecb6:-4b3	Membership
7b93e6a1:150814fecb6:105c	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	City
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Mountains
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	City
7b93e6a1:150814fecb6:22a6	BelievedBy
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Province
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	Source
7b93e6a1:150814fecb6:9b8	Membership
7b93e6a1:150814fecb6:580	Membership
7b93e6a1:150814fecb6:2202	SpokenBy
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	City
7b93e6a1:150814fecb6:914	Membership
7b93e6a1:150814fecb6:f46	Membership
7b93e6a1:150814fecb6:21f	Membership
7b93e6a1:150814fecb6:2462	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	City
7b93e6a1:150814fecb6:-30e	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Province
7b93e6a1:150814fecb6:8c0	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	City
7b93e6a1:150814fecb6:47f	Membership
7b93e6a1:150814fecb6:15fc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	City
7b93e6a1:150814fecb6:ef2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Province
7b93e6a1:150814fecb6:1cb	Membership
7b93e6a1:150814fecb6:-56e	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Province
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	City
7b93e6a1:150814fecb6:1b8a	Membership
7b93e6a1:150814fecb6:-2ba	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	EthnicGroup
7b93e6a1:150814fecb6:1f1e	Membership
7b93e6a1:150814fecb6:1218	Membership
7b93e6a1:150814fecb6:20ad	Membership
7b93e6a1:150814fecb6:7bf	Membership
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Religion
7b93e6a1:150814fecb6:71b	Membership
7b93e6a1:150814fecb6:1478	Membership
7b93e6a1:150814fecb6:d4d	Membership
7b93e6a1:150814fecb6:1eca	Membership
7b93e6a1:150814fecb6:-80a	Encompassed
7b93e6a1:150814fecb6:11c4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	City
7b93e6a1:150814fecb6:97b	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	City
7b93e6a1:150814fecb6:1120	Membership
7b93e6a1:150814fecb6:-136	Membership
7b93e6a1:150814fecb6:17b8	Membership
7b93e6a1:150814fecb6:1380	Membership
7b93e6a1:150814fecb6:-396	Membership
http://www.semwebtech.org/mondial/10/lake/LakePowell/	Water
7b93e6a1:150814fecb6:1714	Membership
http://www.semwebtech.org/mondial/10/source/Umeaelv/	Source
7b93e6a1:150814fecb6:2189	SpokenBy
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Province
7b93e6a1:150814fecb6:1d46	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	City
7b93e6a1:150814fecb6:101f	Membership
7b93e6a1:150814fecb6:5e7	Membership
7b93e6a1:150814fecb6:1974	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Province
http://www.semwebtech.org/mondial/10/river/Manicouagan/	Water
7b93e6a1:150814fecb6:543	Membership
7b93e6a1:150814fecb6:16c0	Membership
7b93e6a1:150814fecb6:-6d6	Border
7b93e6a1:150814fecb6:127f	Membership
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	Source
7b93e6a1:150814fecb6:b75	Membership
http://www.semwebtech.org/mondial/10/lake/Arresoe/	Water
7b93e6a1:150814fecb6:1cf2	Membership
7b93e6a1:150814fecb6:-632	Border
7b93e6a1:150814fecb6:24c9	EthnicProportion
7b93e6a1:150814fecb6:2091	Membership
7b93e6a1:150814fecb6:f09	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	EthnicGroup
7b93e6a1:150814fecb6:2425	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Province
7b93e6a1:150814fecb6:15bf	Membership
7b93e6a1:150814fecb6:-fa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	City
7b93e6a1:150814fecb6:-19d	Membership
7b93e6a1:150814fecb6:2685	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	City
7b93e6a1:150814fecb6:eb5	Membership
7b93e6a1:150814fecb6:151b	Membership
7b93e6a1:150814fecb6:23d1	BelievedBy
7b93e6a1:150814fecb6:e11	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	City
7b93e6a1:150814fecb6:1b4d	Membership
7b93e6a1:150814fecb6:3ee	Membership
7b93e6a1:150814fecb6:177b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Province
http://www.semwebtech.org/mondial/10/country/GQ/	Country
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	Islands
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	City
7b93e6a1:150814fecb6:34a	Membership
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Mountains
7b93e6a1:150814fecb6:-4dd	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	City
7b93e6a1:150814fecb6:c4	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	City
7b93e6a1:150814fecb6:20	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	City
7b93e6a1:150814fecb6:222c	SpokenBy
7b93e6a1:150814fecb6:93e	Membership
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	City
7b93e6a1:150814fecb6:13e7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	City
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Province
7b93e6a1:150814fecb6:248c	EthnicProportion
7b93e6a1:150814fecb6:cbc	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	Mountain
7b93e6a1:150814fecb6:1343	Membership
7b93e6a1:150814fecb6:-359	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	City
7b93e6a1:150814fecb6:8ea	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	City
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Mountains
7b93e6a1:150814fecb6:1d09	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	City
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	Water
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	Mountain
7b93e6a1:150814fecb6:1937	Membership
7b93e6a1:150814fecb6:172	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	City
7b93e6a1:150814fecb6:1b51	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	City
7b93e6a1:150814fecb6:1f69	Membership
7b93e6a1:150814fecb6:506	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	City
http://www.semwebtech.org/mondial/10/country/RP/	Country
7b93e6a1:150814fecb6:-261	Membership
7b93e6a1:150814fecb6:20f8	Membership
7b93e6a1:150814fecb6:b38	Membership
7b93e6a1:150814fecb6:1cb5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	EthnicGroup
7b93e6a1:150814fecb6:2054	Membership
7b93e6a1:150814fecb6:766	Membership
7b93e6a1:150814fecb6:1c11	Membership
7b93e6a1:150814fecb6:18e3	Membership
7b93e6a1:150814fecb6:d98	Membership
7b93e6a1:150814fecb6:4b2	Membership
7b93e6a1:150814fecb6:11ee	Membership
7b93e6a1:150814fecb6:1e71	Membership
7b93e6a1:150814fecb6:ae4	Membership
7b93e6a1:150814fecb6:-bd	Membership
7b93e6a1:150814fecb6:-5a1	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	City
7b93e6a1:150814fecb6:114a	Membership
7b93e6a1:150814fecb6:2648	EthnicProportion
7b93e6a1:150814fecb6:a40	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	City
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	EthnicGroup
7b93e6a1:150814fecb6:173e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Province
7b93e6a1:150814fecb6:25f4	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Bintan/	Island
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	Water
7b93e6a1:150814fecb6:30d	Membership
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Religion
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	City
7b93e6a1:150814fecb6:2550	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	City
7b93e6a1:150814fecb6:1abc	Membership
7b93e6a1:150814fecb6:199e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	City
7b93e6a1:150814fecb6:56d	Membership
7b93e6a1:150814fecb6:16ea	Membership
7b93e6a1:150814fecb6:fe0	Membership
7b93e6a1:150814fecb6:b9f	Membership
http://www.semwebtech.org/mondial/10/country/THA/	Country
7b93e6a1:150814fecb6:-65c	Border
http://www.semwebtech.org/mondial/10/country/WAN/	Country
7b93e6a1:150814fecb6:244f	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	City
7b93e6a1:150814fecb6:1306	Membership
7b93e6a1:150814fecb6:8ad	Membership
http://www.semwebtech.org/mondial/10/source/Benue/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	EthnicGroup
7b93e6a1:150814fecb6:edf	Membership
7b93e6a1:150814fecb6:1566	Membership
7b93e6a1:150814fecb6:1d9	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Province
http://www.semwebtech.org/mondial/10/country/DJI/	Country
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	City
7b93e6a1:150814fecb6:23fb	BelievedBy
7b93e6a1:150814fecb6:e3b	Membership
7b93e6a1:150814fecb6:1b98	Membership
7b93e6a1:150814fecb6:135	Membership
7b93e6a1:150814fecb6:12b2	Membership
7b93e6a1:150814fecb6:-2c8	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	City
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Province
7b93e6a1:150814fecb6:-224	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Province
7b93e6a1:150814fecb6:395	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	City
7b93e6a1:150814fecb6:ee	Membership
7b93e6a1:150814fecb6:2017	Membership
7b93e6a1:150814fecb6:729	Membership
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	Mountain
7b93e6a1:150814fecb6:18a6	Membership
7b93e6a1:150814fecb6:-484	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	EthnicGroup
7b93e6a1:150814fecb6:4a	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	City
7b93e6a1:150814fecb6:1ed8	Membership
7b93e6a1:150814fecb6:1802	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	City
7b93e6a1:150814fecb6:-1d0	Membership
7b93e6a1:150814fecb6:2277	BelievedBy
7b93e6a1:150814fecb6:aa7	Membership
7b93e6a1:150814fecb6:989	Membership
7b93e6a1:150814fecb6:1e34	Membership
7b93e6a1:150814fecb6:110d	Membership
7b93e6a1:150814fecb6:6d5	Membership
7b93e6a1:150814fecb6:a03	Membership
7b93e6a1:150814fecb6:631	Membership
http://www.semwebtech.org/mondial/10/source/Marne/	Source
7b93e6a1:150814fecb6:-7c4	Encompassed
7b93e6a1:150814fecb6:136d	Membership
7b93e6a1:150814fecb6:c63	Membership
7b93e6a1:150814fecb6:1de0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	City
7b93e6a1:150814fecb6:-720	Encompassed
7b93e6a1:150814fecb6:25b7	EthnicProportion
7b93e6a1:150814fecb6:891	Membership
7b93e6a1:150814fecb6:2513	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	EthnicGroup
7b93e6a1:150814fecb6:19c	Membership
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Province
7b93e6a1:150814fecb6:16ad	Membership
7b93e6a1:150814fecb6:-28b	Membership
7b93e6a1:150814fecb6:fa3	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	Province
7b93e6a1:150814fecb6:1cdf	Membership
7b93e6a1:150814fecb6:-61f	Border
http://www.semwebtech.org/mondial/10/mountain/Tambora/	Mountain
7b93e6a1:150814fecb6:207e	Membership
7b93e6a1:150814fecb6:1c3b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Province
http://www.semwebtech.org/mondial/10/language/Punjabi/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Province
7b93e6a1:150814fecb6:4dc	Membership
http://www.semwebtech.org/mondial/10/river/Doubs/	Water
7b93e6a1:150814fecb6:1e9b	Membership
7b93e6a1:150814fecb6:-5cb	Membership
7b93e6a1:150814fecb6:1195	Membership
7b93e6a1:150814fecb6:a6a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Province
7b93e6a1:150814fecb6:-64	Membership
7b93e6a1:150814fecb6:1529	Membership
7b93e6a1:150814fecb6:23be	BelievedBy
http://www.semwebtech.org/mondial/10/country/UAE/	Country
http://www.semwebtech.org/mondial/10/island/Samosir/	Island
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	City
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Province
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Mountains
7b93e6a1:150814fecb6:231a	BelievedBy
7b93e6a1:150814fecb6:1789	Membership
7b93e6a1:150814fecb6:358	Membership
7b93e6a1:150814fecb6:14d5	Membership
7b93e6a1:150814fecb6:257a	EthnicProportion
7b93e6a1:150814fecb6:daa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	EthnicGroup
7b93e6a1:150814fecb6:1431	Membership
7b93e6a1:150814fecb6:-447	Membership
7b93e6a1:150814fecb6:1a63	Membership
7b93e6a1:150814fecb6:1691	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	City
http://www.semwebtech.org/mondial/10/island/Kiritimati/	Island
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	City
7b93e6a1:150814fecb6:260	Membership
7b93e6a1:150814fecb6:-3f3	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	City
7b93e6a1:150814fecb6:21e6	SpokenBy
7b93e6a1:150814fecb6:c26	Membership
7b93e6a1:150814fecb6:8f8	Membership
7b93e6a1:150814fecb6:1da3	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	City
7b93e6a1:150814fecb6:2142	SpokenBy
7b93e6a1:150814fecb6:854	Membership
7b93e6a1:150814fecb6:19d1	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	Water
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	City
7b93e6a1:150814fecb6:e86	Membership
7b93e6a1:150814fecb6:5a0	Membership
http://www.semwebtech.org/mondial/10/organization/OECS/	Organization
7b93e6a1:150814fecb6:15f	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Province
7b93e6a1:150814fecb6:12dc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	City
7b93e6a1:150814fecb6:bd2	Membership
7b93e6a1:150814fecb6:-24e	Membership
http://www.semwebtech.org/mondial/10/island/Ambon/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	City
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	Water
7b93e6a1:150814fecb6:95	Membership
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	City
7b93e6a1:150814fecb6:182c	Membership
7b93e6a1:150814fecb6:-1fa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	City
http://www.semwebtech.org/mondial/10/river/Tiber/	Water
7b93e6a1:150814fecb6:1e5e	Membership
7b93e6a1:150814fecb6:1158	Membership
7b93e6a1:150814fecb6:6ff	Membership
http://www.semwebtech.org/mondial/10/country/BERM/	Country
7b93e6a1:150814fecb6:a2d	Membership
7b93e6a1:150814fecb6:1baa	Membership
7b93e6a1:150814fecb6:-27	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	City
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	Water
7b93e6a1:150814fecb6:65b	Membership
7b93e6a1:150814fecb6:2328	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	City
7b93e6a1:150814fecb6:-7ee	Encompassed
7b93e6a1:150814fecb6:c8d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Province
7b93e6a1:150814fecb6:-74a	Encompassed
http://www.semwebtech.org/mondial/10/organization/ICAO/	Organization
7b93e6a1:150814fecb6:1060	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	City
7b93e6a1:150814fecb6:253d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	City
7b93e6a1:150814fecb6:1a26	Membership
7b93e6a1:150814fecb6:16f8	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Province
7b93e6a1:150814fecb6:fcd	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	City
7b93e6a1:150814fecb6:2c7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	City
7b93e6a1:150814fecb6:1654	Membership
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	Island
7b93e6a1:150814fecb6:1c86	Membership
7b93e6a1:150814fecb6:223	Membership
7b93e6a1:150814fecb6:13a0	Membership
7b93e6a1:150814fecb6:-3b6	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	City
http://www.semwebtech.org/mondial/10/river/Mosel/	Water
http://www.semwebtech.org/mondial/10/estuary/Lagen/	Estuary
7b93e6a1:150814fecb6:-312	Membership
7b93e6a1:150814fecb6:21a9	SpokenBy
7b93e6a1:150814fecb6:483	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	City
7b93e6a1:150814fecb6:2105	Membership
7b93e6a1:150814fecb6:817	Membership
7b93e6a1:150814fecb6:-8e	Membership
7b93e6a1:150814fecb6:-572	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	City
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	City
7b93e6a1:150814fecb6:e49	Membership
7b93e6a1:150814fecb6:1fc6	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	City
7b93e6a1:150814fecb6:2365	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	City
7b93e6a1:150814fecb6:1f22	Membership
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	Estuary
7b93e6a1:150814fecb6:20b1	Membership
http://www.semwebtech.org/mondial/10/country/BI/	Country
7b93e6a1:150814fecb6:7c3	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	City
7b93e6a1:150814fecb6:14ff	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	City
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	Mountain
7b93e6a1:150814fecb6:df5	Membership
7b93e6a1:150814fecb6:145b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	City
7b93e6a1:150814fecb6:58	Membership
7b93e6a1:150814fecb6:d51	Membership
7b93e6a1:150814fecb6:1a8d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Province
7b93e6a1:150814fecb6:-1bd	Membership
7b93e6a1:150814fecb6:26a5	EthnicProportion
7b93e6a1:150814fecb6:2601	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	EthnicGroup
7b93e6a1:150814fecb6:28a	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Province
7b93e6a1:150814fecb6:61e	Membership
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	Mountain
7b93e6a1:150814fecb6:1dcd	Membership
7b93e6a1:150814fecb6:-70d	Border
7b93e6a1:150814fecb6:10c7	Membership
7b93e6a1:150814fecb6:216c	SpokenBy
7b93e6a1:150814fecb6:87e	Membership
7b93e6a1:150814fecb6:19fb	Membership
7b93e6a1:150814fecb6:1023	Membership
7b93e6a1:150814fecb6:5ca	Membership
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	City
7b93e6a1:150814fecb6:bfc	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Province
7b93e6a1:150814fecb6:1283	Membership
http://www.semwebtech.org/mondial/10/country/MH/	Country
7b93e6a1:150814fecb6:-299	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	EthnicGroup
http://www.semwebtech.org/mondial/10/desert/Ferlo/	Desert
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	City
7b93e6a1:150814fecb6:1617	Membership
7b93e6a1:150814fecb6:24ac	EthnicProportion
7b93e6a1:150814fecb6:1c49	Membership
http://www.semwebtech.org/mondial/10/river/Ob/	Water
7b93e6a1:150814fecb6:1877	Membership
7b93e6a1:150814fecb6:446	Membership
7b93e6a1:150814fecb6:15c3	Membership
7b93e6a1:150814fecb6:-5d9	Border
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	City
7b93e6a1:150814fecb6:a78	Membership
7b93e6a1:150814fecb6:1bf5	Membership
7b93e6a1:150814fecb6:-535	Membership
7b93e6a1:150814fecb6:3f2	Membership
7b93e6a1:150814fecb6:-795	Encompassed
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	EthnicGroup
7b93e6a1:150814fecb6:-4e1	Membership
7b93e6a1:150814fecb6:108a	Membership
7b93e6a1:150814fecb6:2588	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	EthnicGroup
7b93e6a1:150814fecb6:db8	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Province
7b93e6a1:150814fecb6:22d4	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	Estuary
7b93e6a1:150814fecb6:141e	Membership
7b93e6a1:150814fecb6:d14	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	City
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	City
7b93e6a1:150814fecb6:9e6	Membership
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	Estuary
7b93e6a1:150814fecb6:2230	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	Estuary
7b93e6a1:150814fecb6:942	Membership
7b93e6a1:150814fecb6:167e	Membership
7b93e6a1:150814fecb6:f74	Membership
7b93e6a1:150814fecb6:24d	Membership
7b93e6a1:150814fecb6:13ca	Membership
7b93e6a1:150814fecb6:2490	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	Mountain
7b93e6a1:150814fecb6:cc0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Province
7b93e6a1:150814fecb6:-33c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	City
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	Mountain
7b93e6a1:150814fecb6:212f	SpokenBy
7b93e6a1:150814fecb6:19be	Membership
7b93e6a1:150814fecb6:-59c	Membership
7b93e6a1:150814fecb6:191a	Membership
7b93e6a1:150814fecb6:238f	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	Mountain
7b93e6a1:150814fecb6:bbf	Membership
7b93e6a1:150814fecb6:1f4c	Membership
7b93e6a1:150814fecb6:1246	Membership
7b93e6a1:150814fecb6:20db	Membership
7b93e6a1:150814fecb6:b1b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	City
7b93e6a1:150814fecb6:7ed	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Province
7b93e6a1:150814fecb6:d7b	Membership
7b93e6a1:150814fecb6:11f2	Membership
http://www.semwebtech.org/mondial/10/country/GBZ/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Province
7b93e6a1:150814fecb6:409	Membership
7b93e6a1:150814fecb6:-c1	Membership
7b93e6a1:150814fecb6:-164	Membership
7b93e6a1:150814fecb6:262b	EthnicProportion
7b93e6a1:150814fecb6:1bb8	Membership
http://www.semwebtech.org/mondial/10/river/Araguaia/	Water
7b93e6a1:150814fecb6:669	Membership
7b93e6a1:150814fecb6:1b14	Membership
7b93e6a1:150814fecb6:17e6	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	City
7b93e6a1:150814fecb6:3b5	Membership
7b93e6a1:150814fecb6:1742	Membership
7b93e6a1:150814fecb6:-758	Encompassed
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Mountains
7b93e6a1:150814fecb6:311	Membership
7b93e6a1:150814fecb6:1d74	Membership
7b93e6a1:150814fecb6:-4a4	Membership
7b93e6a1:150814fecb6:104d	Membership
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	Water
7b93e6a1:150814fecb6:1ac0	Membership
7b93e6a1:150814fecb6:-400	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Province
7b93e6a1:150814fecb6:9a9	Membership
7b93e6a1:150814fecb6:571	Membership
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	Mountain
7b93e6a1:150814fecb6:905	Membership
7b93e6a1:150814fecb6:-660	Border
7b93e6a1:150814fecb6:24f7	EthnicProportion
7b93e6a1:150814fecb6:f37	Membership
7b93e6a1:150814fecb6:2453	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	City
7b93e6a1:150814fecb6:8b1	Membership
7b93e6a1:150814fecb6:15ed	Membership
7b93e6a1:150814fecb6:ee3	Membership
7b93e6a1:150814fecb6:1bc	Membership
7b93e6a1:150814fecb6:-55f	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	City
7b93e6a1:150814fecb6:1b7b	Membership
7b93e6a1:150814fecb6:-2ab	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	City
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	City
7b93e6a1:150814fecb6:1f0f	Membership
http://www.semwebtech.org/mondial/10/organization/CPLP/	Organization
7b93e6a1:150814fecb6:1209	Membership
7b93e6a1:150814fecb6:f2	Membership
7b93e6a1:150814fecb6:70c	Membership
7b93e6a1:150814fecb6:1469	Membership
7b93e6a1:150814fecb6:22fe	BelievedBy
7b93e6a1:150814fecb6:d3e	Membership
7b93e6a1:150814fecb6:1ebb	Membership
7b93e6a1:150814fecb6:11b5	Membership
7b93e6a1:150814fecb6:225a	BelievedBy
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	City
7b93e6a1:150814fecb6:96c	Membership
7b93e6a1:150814fecb6:1111	Membership
7b93e6a1:150814fecb6:-127	Membership
7b93e6a1:150814fecb6:f9e	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	City
7b93e6a1:150814fecb6:298	Membership
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	City
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	Water
7b93e6a1:150814fecb6:cea	Membership
7b93e6a1:150814fecb6:17a9	Membership
7b93e6a1:150814fecb6:1371	Membership
7b93e6a1:150814fecb6:-387	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	City
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Province
7b93e6a1:150814fecb6:1705	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	City
7b93e6a1:150814fecb6:1d37	Membership
http://www.semwebtech.org/mondial/10/island/Gozo/	Island
7b93e6a1:150814fecb6:5d8	Membership
7b93e6a1:150814fecb6:1965	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	City
7b93e6a1:150814fecb6:1f97	Membership
7b93e6a1:150814fecb6:534	Membership
7b93e6a1:150814fecb6:16b1	Membership
7b93e6a1:150814fecb6:-6c7	Border
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Province
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Province
7b93e6a1:150814fecb6:b66	Membership
7b93e6a1:150814fecb6:1ce3	Membership
7b93e6a1:150814fecb6:-623	Border
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	City
7b93e6a1:150814fecb6:2082	Membership
7b93e6a1:150814fecb6:794	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Province
http://www.semwebtech.org/mondial/10/organization/EIB/	Organization
7b93e6a1:150814fecb6:2416	BelievedBy
7b93e6a1:150814fecb6:4e0	Membership
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	City
http://www.semwebtech.org/mondial/10/estuary/Pibor/	Estuary
7b93e6a1:150814fecb6:-eb	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	City
7b93e6a1:150814fecb6:-18e	Membership
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	City
7b93e6a1:150814fecb6:2676	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	City
7b93e6a1:150814fecb6:ea6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	City
7b93e6a1:150814fecb6:150c	Membership
7b93e6a1:150814fecb6:23c2	BelievedBy
7b93e6a1:150814fecb6:e02	Membership
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	Island
http://www.semwebtech.org/mondial/10/source/Lukenie/	Source
7b93e6a1:150814fecb6:1b3e	Membership
7b93e6a1:150814fecb6:3df	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Province
7b93e6a1:150814fecb6:176c	Membership
7b93e6a1:150814fecb6:1d9e	Membership
7b93e6a1:150814fecb6:33b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	City
7b93e6a1:150814fecb6:-4ce	Membership
7b93e6a1:150814fecb6:1098	Membership
7b93e6a1:150814fecb6:b5	Membership
7b93e6a1:150814fecb6:1aea	Membership
7b93e6a1:150814fecb6:-42a	Membership
7b93e6a1:150814fecb6:11	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	Water
7b93e6a1:150814fecb6:59b	Membership
7b93e6a1:150814fecb6:221d	SpokenBy
7b93e6a1:150814fecb6:92f	Membership
7b93e6a1:150814fecb6:-68a	Border
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	City
http://www.semwebtech.org/mondial/10/organization/PFP/	Organization
7b93e6a1:150814fecb6:13d8	Membership
7b93e6a1:150814fecb6:247d	EthnicProportion
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	Island
7b93e6a1:150814fecb6:cad	Membership
7b93e6a1:150814fecb6:1334	Membership
7b93e6a1:150814fecb6:8db	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	City
7b93e6a1:150814fecb6:1594	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	City
7b93e6a1:150814fecb6:1928	Membership
7b93e6a1:150814fecb6:163	Membership
7b93e6a1:150814fecb6:12e0	Membership
7b93e6a1:150814fecb6:-2f6	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	City
7b93e6a1:150814fecb6:10aa	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	City
7b93e6a1:150814fecb6:-252	Membership
7b93e6a1:150814fecb6:20e9	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	City
7b93e6a1:150814fecb6:b29	Membership
7b93e6a1:150814fecb6:1ca6	Membership
7b93e6a1:150814fecb6:2045	Membership
7b93e6a1:150814fecb6:757	Membership
7b93e6a1:150814fecb6:1c02	Membership
7b93e6a1:150814fecb6:18d4	Membership
http://www.semwebtech.org/mondial/10/country/CDN/	Country
http://www.semwebtech.org/mondial/10/river/Zambezi/	Water
7b93e6a1:150814fecb6:d89	Membership
7b93e6a1:150814fecb6:4a3	Membership
7b93e6a1:150814fecb6:1830	Membership
7b93e6a1:150814fecb6:11df	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Province
7b93e6a1:150814fecb6:1e62	Membership
7b93e6a1:150814fecb6:ad5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	City
7b93e6a1:150814fecb6:-ae	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Province
7b93e6a1:150814fecb6:113b	Membership
7b93e6a1:150814fecb6:2639	EthnicProportion
7b93e6a1:150814fecb6:a31	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	City
7b93e6a1:150814fecb6:-7f2	Encompassed
7b93e6a1:150814fecb6:139b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Province
7b93e6a1:150814fecb6:c91	Membership
7b93e6a1:150814fecb6:172f	Membership
http://www.semwebtech.org/mondial/10/estuary/Save/	Estuary
7b93e6a1:150814fecb6:25e5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SME/	Country
7b93e6a1:150814fecb6:2541	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	City
7b93e6a1:150814fecb6:1aad	Membership
7b93e6a1:150814fecb6:198f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	City
7b93e6a1:150814fecb6:-4	Membership
7b93e6a1:150814fecb6:55e	Membership
7b93e6a1:150814fecb6:16db	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	City
http://www.semwebtech.org/mondial/10/lake/LakeHume/	Water
7b93e6a1:150814fecb6:fd1	Membership
7b93e6a1:150814fecb6:2aa	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Province
7b93e6a1:150814fecb6:-64d	Border
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	City
http://www.semwebtech.org/mondial/10/country/COM/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Province
7b93e6a1:150814fecb6:-92	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	City
7b93e6a1:150814fecb6:1557	Membership
7b93e6a1:150814fecb6:23ec	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	City
7b93e6a1:150814fecb6:1b89	Membership
7b93e6a1:150814fecb6:e2c	Membership
7b93e6a1:150814fecb6:126	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	City
7b93e6a1:150814fecb6:12a3	Membership
7b93e6a1:150814fecb6:-2b9	Membership
7b93e6a1:150814fecb6:-215	Membership
7b93e6a1:150814fecb6:386	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	City
7b93e6a1:150814fecb6:df	Membership
7b93e6a1:150814fecb6:2008	Membership
http://www.semwebtech.org/mondial/10/language/Futunian/	Language
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Mountains
http://www.semwebtech.org/mondial/10/river/Argun/	Water
7b93e6a1:150814fecb6:-475	Membership
7b93e6a1:150814fecb6:3b	Membership
7b93e6a1:150814fecb6:1ec9	Membership
7b93e6a1:150814fecb6:1a91	Membership
7b93e6a1:150814fecb6:-809	Encompassed
7b93e6a1:150814fecb6:-1c1	Membership
7b93e6a1:150814fecb6:2268	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeErie/	Water
7b93e6a1:150814fecb6:1e25	Membership
7b93e6a1:150814fecb6:6c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	EthnicGroup
7b93e6a1:150814fecb6:25a8	EthnicProportion
7b93e6a1:150814fecb6:cf8	Membership
7b93e6a1:150814fecb6:622	Membership
7b93e6a1:150814fecb6:2170	SpokenBy
7b93e6a1:150814fecb6:-7b5	Encompassed
7b93e6a1:150814fecb6:135e	Membership
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	Source
http://www.semwebtech.org/mondial/10/source/Apurimac/	Source
7b93e6a1:150814fecb6:1dd1	Membership
7b93e6a1:150814fecb6:c54	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	City
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Province
7b93e6a1:150814fecb6:-711	Border
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	Estuary
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	City
7b93e6a1:150814fecb6:882	Membership
7b93e6a1:150814fecb6:2504	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	City
7b93e6a1:150814fecb6:18d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	City
7b93e6a1:150814fecb6:-27c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	City
7b93e6a1:150814fecb6:24b0	EthnicProportion
7b93e6a1:150814fecb6:206f	Membership
7b93e6a1:150814fecb6:1c2c	Membership
7b93e6a1:150814fecb6:18fe	Membership
http://www.semwebtech.org/mondial/10/island/Mayotte/	Island
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Province
7b93e6a1:150814fecb6:4cd	Membership
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	Estuary
7b93e6a1:150814fecb6:185a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	EthnicGroup
7b93e6a1:150814fecb6:aff	Membership
7b93e6a1:150814fecb6:1e8c	Membership
7b93e6a1:150814fecb6:-f9	Membership
7b93e6a1:150814fecb6:-5bc	Membership
7b93e6a1:150814fecb6:1186	Membership
7b93e6a1:150814fecb6:a5b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	City
7b93e6a1:150814fecb6:-55	Membership
http://www.semwebtech.org/mondial/10/estuary/Buna/	Estuary
7b93e6a1:150814fecb6:23af	BelievedBy
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	City
7b93e6a1:150814fecb6:230b	BelievedBy
http://www.semwebtech.org/mondial/10/source/Breg/	Source
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	Mountain
7b93e6a1:150814fecb6:349	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	City
7b93e6a1:150814fecb6:14c6	Membership
7b93e6a1:150814fecb6:256b	EthnicProportion
7b93e6a1:150814fecb6:1af8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	City
7b93e6a1:150814fecb6:1422	Membership
7b93e6a1:150814fecb6:-438	Membership
7b93e6a1:150814fecb6:1a54	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	City
7b93e6a1:150814fecb6:ffb	Membership
http://www.semwebtech.org/mondial/10/island/Anglesey/	Island
7b93e6a1:150814fecb6:2f5	Membership
7b93e6a1:150814fecb6:1682	Membership
7b93e6a1:150814fecb6:-698	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Province
http://www.semwebtech.org/mondial/10/islands/Malta/	Islands
7b93e6a1:150814fecb6:251	Membership
7b93e6a1:150814fecb6:-3e4	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Province
7b93e6a1:150814fecb6:-340	Membership
7b93e6a1:150814fecb6:21d7	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Tajo/	Estuary
7b93e6a1:150814fecb6:c17	Membership
7b93e6a1:150814fecb6:8e9	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Province
7b93e6a1:150814fecb6:2133	SpokenBy
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	City
7b93e6a1:150814fecb6:845	Membership
7b93e6a1:150814fecb6:19c2	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	City
http://www.semwebtech.org/mondial/10/island/PortoSanto/	Island
7b93e6a1:150814fecb6:e77	Membership
7b93e6a1:150814fecb6:1ff4	Membership
7b93e6a1:150814fecb6:12cd	Membership
7b93e6a1:150814fecb6:2393	BelievedBy
7b93e6a1:150814fecb6:bc3	Membership
7b93e6a1:150814fecb6:1f50	Membership
7b93e6a1:150814fecb6:-23f	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Province
7b93e6a1:150814fecb6:7f1	Membership
7b93e6a1:150814fecb6:-49f	Membership
7b93e6a1:150814fecb6:86	Membership
http://www.semwebtech.org/mondial/10/source/Mekong/	Source
7b93e6a1:150814fecb6:181d	Membership
7b93e6a1:150814fecb6:-1eb	Membership
7b93e6a1:150814fecb6:1e4f	Membership
7b93e6a1:150814fecb6:1149	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	City
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	Estuary
http://www.semwebtech.org/mondial/10/source/BlueNile/	Source
7b93e6a1:150814fecb6:a1e	Membership
7b93e6a1:150814fecb6:-18	Membership
7b93e6a1:150814fecb6:64c	Membership
7b93e6a1:150814fecb6:-7df	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	EthnicGroup
7b93e6a1:150814fecb6:c7e	Membership
7b93e6a1:150814fecb6:1dfb	Membership
7b93e6a1:150814fecb6:-73b	Encompassed
7b93e6a1:150814fecb6:10f5	Membership
7b93e6a1:150814fecb6:219a	SpokenBy
7b93e6a1:150814fecb6:1051	Membership
7b93e6a1:150814fecb6:252e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Province
7b93e6a1:150814fecb6:1a17	Membership
7b93e6a1:150814fecb6:16e9	Membership
http://www.semwebtech.org/mondial/10/language/Estonian/	Language
http://www.semwebtech.org/mondial/10/organization/EAS/	Organization
7b93e6a1:150814fecb6:fbe	Membership
http://www.semwebtech.org/mondial/10/country/EAU/	Country
7b93e6a1:150814fecb6:2b8	Membership
7b93e6a1:150814fecb6:1645	Membership
7b93e6a1:150814fecb6:24da	EthnicProportion
7b93e6a1:150814fecb6:f1a	Membership
7b93e6a1:150814fecb6:1c77	Membership
7b93e6a1:150814fecb6:214	Membership
7b93e6a1:150814fecb6:-3a7	Membership
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	City
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	City
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	Water
7b93e6a1:150814fecb6:-303	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	City
7b93e6a1:150814fecb6:474	Membership
7b93e6a1:150814fecb6:15f1	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Province
7b93e6a1:150814fecb6:808	Membership
7b93e6a1:150814fecb6:1c0	Membership
7b93e6a1:150814fecb6:-7f	Membership
7b93e6a1:150814fecb6:-563	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	City
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	City
7b93e6a1:150814fecb6:1fb7	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	City
7b93e6a1:150814fecb6:2356	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Province
7b93e6a1:150814fecb6:1f13	Membership
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	Islands
7b93e6a1:150814fecb6:20a2	Membership
7b93e6a1:150814fecb6:7b4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	City
7b93e6a1:150814fecb6:de6	Membership
7b93e6a1:150814fecb6:710	Membership
7b93e6a1:150814fecb6:144c	Membership
http://www.semwebtech.org/mondial/10/island/Flores/	Island
7b93e6a1:150814fecb6:49	Membership
7b93e6a1:150814fecb6:d42	Membership
7b93e6a1:150814fecb6:1a7e	Membership
7b93e6a1:150814fecb6:-1ae	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	City
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Province
7b93e6a1:150814fecb6:970	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	EthnicGroup
7b93e6a1:150814fecb6:-10a	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	City
7b93e6a1:150814fecb6:27b	Membership
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	Islands
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Province
7b93e6a1:150814fecb6:60f	Membership
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	Island
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	City
7b93e6a1:150814fecb6:-36a	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Province
7b93e6a1:150814fecb6:1dbe	Membership
7b93e6a1:150814fecb6:10b8	Membership
7b93e6a1:150814fecb6:215d	SpokenBy
7b93e6a1:150814fecb6:86f	Membership
7b93e6a1:150814fecb6:1d1a	Membership
7b93e6a1:150814fecb6:19ec	Membership
7b93e6a1:150814fecb6:1014	Membership
7b93e6a1:150814fecb6:5bb	Membership
7b93e6a1:150814fecb6:bed	Membership
7b93e6a1:150814fecb6:1f7a	Membership
7b93e6a1:150814fecb6:-6aa	Border
7b93e6a1:150814fecb6:1274	Membership
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	Mountain
7b93e6a1:150814fecb6:1608	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	City
7b93e6a1:150814fecb6:1868	Membership
7b93e6a1:150814fecb6:437	Membership
http://www.semwebtech.org/mondial/10/country/NAU/	Country
7b93e6a1:150814fecb6:15b4	Membership
7b93e6a1:150814fecb6:-192	Membership
7b93e6a1:150814fecb6:a69	Membership
7b93e6a1:150814fecb6:1be6	Membership
7b93e6a1:150814fecb6:1510	Membership
7b93e6a1:150814fecb6:-526	Membership
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	Estuary
7b93e6a1:150814fecb6:697	Membership
7b93e6a1:150814fecb6:1b42	Membership
7b93e6a1:150814fecb6:2319	BelievedBy
7b93e6a1:150814fecb6:3e3	Membership
7b93e6a1:150814fecb6:1770	Membership
7b93e6a1:150814fecb6:-786	Encompassed
7b93e6a1:150814fecb6:-4d2	Membership
7b93e6a1:150814fecb6:107b	Membership
7b93e6a1:150814fecb6:2579	EthnicProportion
7b93e6a1:150814fecb6:da9	Membership
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	Estuary
7b93e6a1:150814fecb6:140f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	City
http://www.semwebtech.org/mondial/10/island/Ameland/	Island
7b93e6a1:150814fecb6:22c5	BelievedBy
7b93e6a1:150814fecb6:d05	Membership
7b93e6a1:150814fecb6:9d7	Membership
7b93e6a1:150814fecb6:2221	SpokenBy
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Province
http://www.semwebtech.org/mondial/10/organization/COMESA/	Organization
7b93e6a1:150814fecb6:933	Membership
7b93e6a1:150814fecb6:166f	Membership
7b93e6a1:150814fecb6:f65	Membership
7b93e6a1:150814fecb6:23e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Province
7b93e6a1:150814fecb6:13bb	Membership
7b93e6a1:150814fecb6:2481	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	City
7b93e6a1:150814fecb6:cb1	Membership
7b93e6a1:150814fecb6:-32d	Membership
7b93e6a1:150814fecb6:49e	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	City
7b93e6a1:150814fecb6:1ea	Membership
7b93e6a1:150814fecb6:19af	Membership
7b93e6a1:150814fecb6:-58d	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Province
7b93e6a1:150814fecb6:6	Membership
7b93e6a1:150814fecb6:190b	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Province
7b93e6a1:150814fecb6:1f3d	Membership
7b93e6a1:150814fecb6:1237	Membership
7b93e6a1:150814fecb6:20cc	Membership
7b93e6a1:150814fecb6:b0c	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Province
7b93e6a1:150814fecb6:7de	Membership
http://www.semwebtech.org/mondial/10/island/Madagaskar/	Island
7b93e6a1:150814fecb6:73a	Membership
7b93e6a1:150814fecb6:1497	Membership
7b93e6a1:150814fecb6:d6c	Membership
7b93e6a1:150814fecb6:11e3	Membership
http://www.semwebtech.org/mondial/10/country/MV/	Country
7b93e6a1:150814fecb6:-1f9	Membership
http://www.semwebtech.org/mondial/10/island/Mindoro/	Island
http://www.semwebtech.org/mondial/10/islands/Kyklades/	Islands
7b93e6a1:150814fecb6:99a	Membership
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	Island
7b93e6a1:150814fecb6:-b2	Membership
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	City
7b93e6a1:150814fecb6:-155	Membership
7b93e6a1:150814fecb6:261c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Province
7b93e6a1:150814fecb6:1ba9	Membership
http://www.semwebtech.org/mondial/10/language/Creole/	Language
7b93e6a1:150814fecb6:1b05	Membership
7b93e6a1:150814fecb6:17d7	Membership
7b93e6a1:150814fecb6:1733	Membership
7b93e6a1:150814fecb6:3a6	Membership
http://www.semwebtech.org/mondial/10/country/RC/	Country
7b93e6a1:150814fecb6:-749	Encompassed
7b93e6a1:150814fecb6:302	Membership
7b93e6a1:150814fecb6:1d65	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	City
7b93e6a1:150814fecb6:103e	Membership
7b93e6a1:150814fecb6:1ab1	Membership
7b93e6a1:150814fecb6:1993	Membership
http://www.semwebtech.org/mondial/10/religion/Sikh/	Religion
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Province
7b93e6a1:150814fecb6:562	Membership
7b93e6a1:150814fecb6:129e	Membership
7b93e6a1:150814fecb6:-6f5	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	City
http://www.semwebtech.org/mondial/10/river/Aruwimi/	Water
7b93e6a1:150814fecb6:b94	Membership
7b93e6a1:150814fecb6:-651	Border
7b93e6a1:150814fecb6:24e8	EthnicProportion
7b93e6a1:150814fecb6:f28	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	City
7b93e6a1:150814fecb6:2444	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	Estuary
7b93e6a1:150814fecb6:8a2	Membership
7b93e6a1:150814fecb6:15de	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	City
http://www.semwebtech.org/mondial/10/organization/IPU/	Organization
http://www.semwebtech.org/mondial/10/source/Gambia/	Source
7b93e6a1:150814fecb6:ed4	Membership
7b93e6a1:150814fecb6:1ad	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	City
7b93e6a1:150814fecb6:153a	Membership
7b93e6a1:150814fecb6:23f0	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Province
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Language
7b93e6a1:150814fecb6:e30	Membership
7b93e6a1:150814fecb6:1b6c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Province
http://www.semwebtech.org/mondial/10/island/Labuan/	Island
7b93e6a1:150814fecb6:179a	Membership
7b93e6a1:150814fecb6:-4fc	Membership
7b93e6a1:150814fecb6:e3	Membership
7b93e6a1:150814fecb6:22ef	BelievedBy
7b93e6a1:150814fecb6:d2f	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	City
7b93e6a1:150814fecb6:1eac	Membership
7b93e6a1:150814fecb6:11a6	Membership
7b93e6a1:150814fecb6:224b	BelievedBy
http://www.semwebtech.org/mondial/10/island/Streymoy/	Island
7b93e6a1:150814fecb6:95d	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	City
7b93e6a1:150814fecb6:1102	Membership
7b93e6a1:150814fecb6:-118	Membership
7b93e6a1:150814fecb6:f8f	Membership
http://www.semwebtech.org/mondial/10/lake/Vaettern/	Water
7b93e6a1:150814fecb6:289	Membership
http://www.semwebtech.org/mondial/10/source/Karasu/	Source
7b93e6a1:150814fecb6:cdb	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Province
7b93e6a1:150814fecb6:1362	Membership
7b93e6a1:150814fecb6:-378	Membership
http://www.semwebtech.org/mondial/10/country/H/	Country
http://www.semwebtech.org/mondial/10/sea/RedSea/	Water
7b93e6a1:150814fecb6:1d28	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	City
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Province
http://www.semwebtech.org/mondial/10/river/Amazonas/	Water
7b93e6a1:150814fecb6:1956	Membership
7b93e6a1:150814fecb6:5c9	Membership
7b93e6a1:150814fecb6:191	Membership
http://www.semwebtech.org/mondial/10/organization/G-77/	Organization
7b93e6a1:150814fecb6:1f88	Membership
7b93e6a1:150814fecb6:525	Membership
7b93e6a1:150814fecb6:16a2	Membership
7b93e6a1:150814fecb6:-6b8	Border
7b93e6a1:150814fecb6:-280	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Province
7b93e6a1:150814fecb6:b57	Membership
7b93e6a1:150814fecb6:1cd4	Membership
7b93e6a1:150814fecb6:-614	Border
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	City
7b93e6a1:150814fecb6:2073	Membership
7b93e6a1:150814fecb6:785	Membership
7b93e6a1:150814fecb6:1c30	Membership
7b93e6a1:150814fecb6:2407	BelievedBy
7b93e6a1:150814fecb6:4d1	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Province
7b93e6a1:150814fecb6:2667	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Province
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	Mountain
7b93e6a1:150814fecb6:1e90	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	City
7b93e6a1:150814fecb6:-dc	Membership
7b93e6a1:150814fecb6:-5c0	Membership
7b93e6a1:150814fecb6:-17f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	City
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	Island
7b93e6a1:150814fecb6:23b3	BelievedBy
7b93e6a1:150814fecb6:1b2f	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Province
7b93e6a1:150814fecb6:175d	Membership
7b93e6a1:150814fecb6:1d8f	Membership
7b93e6a1:150814fecb6:32c	Membership
7b93e6a1:150814fecb6:-4bf	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Province
7b93e6a1:150814fecb6:1089	Membership
7b93e6a1:150814fecb6:a6	Membership
7b93e6a1:150814fecb6:1adb	Membership
7b93e6a1:150814fecb6:-41b	Membership
7b93e6a1:150814fecb6:58c	Membership
7b93e6a1:150814fecb6:220e	SpokenBy
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	City
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	City
7b93e6a1:150814fecb6:-67b	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	City
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	EthnicGroup
7b93e6a1:150814fecb6:13c9	Membership
7b93e6a1:150814fecb6:246e	EthnicProportion
7b93e6a1:150814fecb6:21ba	SpokenBy
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	Water
7b93e6a1:150814fecb6:1325	Membership
http://www.semwebtech.org/mondial/10/island/Cebu/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Province
7b93e6a1:150814fecb6:8cc	Membership
7b93e6a1:150814fecb6:efe	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	City
7b93e6a1:150814fecb6:1f8	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	Mountain
7b93e6a1:150814fecb6:1585	Membership
7b93e6a1:150814fecb6:1919	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	City
7b93e6a1:150814fecb6:e5a	Membership
7b93e6a1:150814fecb6:154	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	City
7b93e6a1:150814fecb6:12d1	Membership
7b93e6a1:150814fecb6:-2e7	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Province
7b93e6a1:150814fecb6:-243	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Province
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Province
7b93e6a1:150814fecb6:2036	Membership
7b93e6a1:150814fecb6:748	Membership
7b93e6a1:150814fecb6:18c5	Membership
http://www.semwebtech.org/mondial/10/estuary/Ili/	Estuary
7b93e6a1:150814fecb6:1ef7	Membership
7b93e6a1:150814fecb6:1821	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	City
http://www.semwebtech.org/mondial/10/source/Petschora/	Source
7b93e6a1:150814fecb6:2296	BelievedBy
7b93e6a1:150814fecb6:ac6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Province
7b93e6a1:150814fecb6:1e53	Membership
7b93e6a1:150814fecb6:112c	Membership
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	Desert
7b93e6a1:150814fecb6:a22	Membership
7b93e6a1:150814fecb6:6f4	Membership
http://www.semwebtech.org/mondial/10/lake/Storuman/	Water
7b93e6a1:150814fecb6:650	Membership
7b93e6a1:150814fecb6:-7e3	Encompassed
7b93e6a1:150814fecb6:138c	Membership
7b93e6a1:150814fecb6:c82	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	City
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	Water
7b93e6a1:150814fecb6:25d6	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	Water
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Province
7b93e6a1:150814fecb6:2532	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Sanga/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	City
7b93e6a1:150814fecb6:54f	Membership
7b93e6a1:150814fecb6:16cc	Membership
7b93e6a1:150814fecb6:fc2	Membership
7b93e6a1:150814fecb6:1cfe	Membership
7b93e6a1:150814fecb6:-63e	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	City
7b93e6a1:150814fecb6:209d	Membership
7b93e6a1:150814fecb6:1c5a	Membership
7b93e6a1:150814fecb6:4fb	Membership
http://www.semwebtech.org/mondial/10/estuary/Sobat/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Province
7b93e6a1:150814fecb6:-5ea	Border
7b93e6a1:150814fecb6:-83	Membership
7b93e6a1:150814fecb6:1548	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Province
7b93e6a1:150814fecb6:23dd	BelievedBy
7b93e6a1:150814fecb6:e1d	Membership
7b93e6a1:150814fecb6:117	Membership
http://www.semwebtech.org/mondial/10/river/BlackDrin/	Water
7b93e6a1:150814fecb6:-206	Membership
http://www.semwebtech.org/mondial/10/religion/Jains/	Religion
7b93e6a1:150814fecb6:377	Membership
7b93e6a1:150814fecb6:14f4	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	City
7b93e6a1:150814fecb6:1450	Membership
http://www.semwebtech.org/mondial/10/country/KIR/	Country
7b93e6a1:150814fecb6:-466	Membership
7b93e6a1:150814fecb6:2c	Membership
7b93e6a1:150814fecb6:1a82	Membership
7b93e6a1:150814fecb6:-1b2	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Province
7b93e6a1:150814fecb6:2259	BelievedBy
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	City
7b93e6a1:150814fecb6:1e16	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	City
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	City
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	City
7b93e6a1:150814fecb6:6b7	Membership
7b93e6a1:150814fecb6:ce9	Membership
7b93e6a1:150814fecb6:613	Membership
7b93e6a1:150814fecb6:-7a6	Encompassed
7b93e6a1:150814fecb6:134f	Membership
7b93e6a1:150814fecb6:c45	Membership
7b93e6a1:150814fecb6:1dc2	Membership
7b93e6a1:150814fecb6:-702	Border
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	City
7b93e6a1:150814fecb6:2161	SpokenBy
7b93e6a1:150814fecb6:873	Membership
7b93e6a1:150814fecb6:19f0	Membership
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	Islands
7b93e6a1:150814fecb6:17e	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	City
7b93e6a1:150814fecb6:12fb	Membership
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	Mountain
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	City
7b93e6a1:150814fecb6:bf1	Membership
7b93e6a1:150814fecb6:-26d	Membership
7b93e6a1:150814fecb6:24a1	EthnicProportion
7b93e6a1:150814fecb6:1c1d	Membership
7b93e6a1:150814fecb6:18ef	Membership
http://www.semwebtech.org/mondial/10/island/Fohr/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	City
7b93e6a1:150814fecb6:4be	Membership
7b93e6a1:150814fecb6:184b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	City
http://www.semwebtech.org/mondial/10/mountain/Irazu/	Mountain
7b93e6a1:150814fecb6:41a	Membership
7b93e6a1:150814fecb6:1e7d	Membership
7b93e6a1:150814fecb6:-5ad	Membership
7b93e6a1:150814fecb6:1177	Membership
7b93e6a1:150814fecb6:a4c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Province
7b93e6a1:150814fecb6:-46	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	City
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	City
7b93e6a1:150814fecb6:67a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	City
http://www.semwebtech.org/mondial/10/river/Kemijoki/	Water
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	City
7b93e6a1:150814fecb6:14b7	Membership
7b93e6a1:150814fecb6:255c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Province
7b93e6a1:150814fecb6:1ae9	Membership
7b93e6a1:150814fecb6:1413	Membership
7b93e6a1:150814fecb6:-429	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Province
7b93e6a1:150814fecb6:9ba	Membership
7b93e6a1:150814fecb6:1a45	Membership
7b93e6a1:150814fecb6:fec	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	City
7b93e6a1:150814fecb6:2e6	Membership
7b93e6a1:150814fecb6:1673	Membership
7b93e6a1:150814fecb6:-689	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Province
7b93e6a1:150814fecb6:242	Membership
7b93e6a1:150814fecb6:-3d5	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	City
7b93e6a1:150814fecb6:-331	Membership
7b93e6a1:150814fecb6:21c8	SpokenBy
7b93e6a1:150814fecb6:c08	Membership
7b93e6a1:150814fecb6:2124	SpokenBy
7b93e6a1:150814fecb6:836	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Province
7b93e6a1:150814fecb6:19b3	Membership
7b93e6a1:150814fecb6:-591	Membership
http://www.semwebtech.org/mondial/10/source/Asahan/	Source
7b93e6a1:150814fecb6:e68	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Province
7b93e6a1:150814fecb6:1fe5	Membership
7b93e6a1:150814fecb6:12be	Membership
7b93e6a1:150814fecb6:2384	BelievedBy
7b93e6a1:150814fecb6:bb4	Membership
7b93e6a1:150814fecb6:1f41	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	City
7b93e6a1:150814fecb6:121a	Membership
7b93e6a1:150814fecb6:20d0	Membership
7b93e6a1:150814fecb6:b10	Membership
7b93e6a1:150814fecb6:7e2	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Province
http://www.semwebtech.org/mondial/10/estuary/Tobol/	Estuary
7b93e6a1:150814fecb6:147a	Membership
7b93e6a1:150814fecb6:77	Membership
http://www.semwebtech.org/mondial/10/source/Seine/	Source
7b93e6a1:150814fecb6:d70	Membership
7b93e6a1:150814fecb6:180e	Membership
7b93e6a1:150814fecb6:-1dc	Membership
7b93e6a1:150814fecb6:26c4	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	Mountains
7b93e6a1:150814fecb6:2620	EthnicProportion
7b93e6a1:150814fecb6:a0f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Province
7b93e6a1:150814fecb6:63d	Membership
7b93e6a1:150814fecb6:17ba	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	City
7b93e6a1:150814fecb6:c6f	Membership
7b93e6a1:150814fecb6:1dec	Membership
7b93e6a1:150814fecb6:-72c	Encompassed
7b93e6a1:150814fecb6:10e6	Membership
7b93e6a1:150814fecb6:218b	SpokenBy
7b93e6a1:150814fecb6:89d	Membership
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	Source
7b93e6a1:150814fecb6:1042	Membership
7b93e6a1:150814fecb6:251f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	City
7b93e6a1:150814fecb6:1a08	Membership
http://www.semwebtech.org/mondial/10/country/GBM/	Country
http://www.semwebtech.org/mondial/10/estuary/Tigris/	Estuary
7b93e6a1:150814fecb6:faf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	City
7b93e6a1:150814fecb6:2a9	Membership
7b93e6a1:150814fecb6:1636	Membership
7b93e6a1:150814fecb6:24cb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	City
7b93e6a1:150814fecb6:f0b	Membership
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Mountains
7b93e6a1:150814fecb6:205	Membership
7b93e6a1:150814fecb6:1c68	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Province
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Mountains
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	Water
7b93e6a1:150814fecb6:1896	Membership
7b93e6a1:150814fecb6:15e2	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Province
7b93e6a1:150814fecb6:465	Membership
7b93e6a1:150814fecb6:-5f8	Border
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	City
7b93e6a1:150814fecb6:a97	Membership
7b93e6a1:150814fecb6:1b1	Membership
7b93e6a1:150814fecb6:-554	Membership
7b93e6a1:150814fecb6:1fa8	Membership
7b93e6a1:150814fecb6:1b70	Membership
7b93e6a1:150814fecb6:-2a0	Membership
7b93e6a1:150814fecb6:2347	BelievedBy
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	City
7b93e6a1:150814fecb6:1f04	Membership
7b93e6a1:150814fecb6:7a5	Membership
7b93e6a1:150814fecb6:dd7	Membership
7b93e6a1:150814fecb6:701	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	EthnicGroup
7b93e6a1:150814fecb6:143d	Membership
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	City
7b93e6a1:150814fecb6:22f3	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	City
7b93e6a1:150814fecb6:d33	Membership
7b93e6a1:150814fecb6:1eb0	Membership
7b93e6a1:150814fecb6:1a6f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	City
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	Desert
7b93e6a1:150814fecb6:961	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	City
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Mountains
7b93e6a1:150814fecb6:169d	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	City
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	Estuary
7b93e6a1:150814fecb6:f93	Membership
7b93e6a1:150814fecb6:26c	Membership
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	Islands
7b93e6a1:150814fecb6:-3ff	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	City
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	City
7b93e6a1:150814fecb6:-35b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	Source
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	Estuary
7b93e6a1:150814fecb6:1daf	Membership
7b93e6a1:150814fecb6:214e	SpokenBy
7b93e6a1:150814fecb6:10a9	Membership
http://www.semwebtech.org/mondial/10/lake/Siljan/	Water
7b93e6a1:150814fecb6:1d0b	Membership
7b93e6a1:150814fecb6:19dd	Membership
7b93e6a1:150814fecb6:1005	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	City
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Province
7b93e6a1:150814fecb6:5ac	Membership
7b93e6a1:150814fecb6:bde	Membership
7b93e6a1:150814fecb6:1f6b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	City
http://www.semwebtech.org/mondial/10/river/Okavango/	Water
7b93e6a1:150814fecb6:1265	Membership
7b93e6a1:150814fecb6:20fa	Membership
7b93e6a1:150814fecb6:b3a	Membership
http://www.semwebtech.org/mondial/10/country/JOR/	Country
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Province
7b93e6a1:150814fecb6:d9a	Membership
7b93e6a1:150814fecb6:1859	Membership
7b93e6a1:150814fecb6:428	Membership
7b93e6a1:150814fecb6:-e0	Membership
7b93e6a1:150814fecb6:15a5	Membership
7b93e6a1:150814fecb6:-183	Membership
7b93e6a1:150814fecb6:264a	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	Estuary
7b93e6a1:150814fecb6:1bd7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Province
7b93e6a1:150814fecb6:1501	Membership
7b93e6a1:150814fecb6:-517	Membership
http://www.semwebtech.org/mondial/10/source/Doubs/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	EthnicGroup
7b93e6a1:150814fecb6:688	Membership
7b93e6a1:150814fecb6:1b33	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	City
7b93e6a1:150814fecb6:3d4	Membership
7b93e6a1:150814fecb6:1761	Membership
7b93e6a1:150814fecb6:-777	Encompassed
7b93e6a1:150814fecb6:330	Membership
7b93e6a1:150814fecb6:1d93	Membership
7b93e6a1:150814fecb6:-4c3	Membership
7b93e6a1:150814fecb6:106c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	City
7b93e6a1:150814fecb6:22b6	BelievedBy
7b93e6a1:150814fecb6:9c8	Membership
7b93e6a1:150814fecb6:590	Membership
7b93e6a1:150814fecb6:2212	SpokenBy
7b93e6a1:150814fecb6:924	Membership
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	Water
7b93e6a1:150814fecb6:f56	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	City
7b93e6a1:150814fecb6:22f	Membership
7b93e6a1:150814fecb6:13ac	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	Water
7b93e6a1:150814fecb6:2472	EthnicProportion
7b93e6a1:150814fecb6:ca2	Membership
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	Estuary
7b93e6a1:150814fecb6:-31e	Membership
7b93e6a1:150814fecb6:8d0	Membership
7b93e6a1:150814fecb6:48f	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	City
7b93e6a1:150814fecb6:1db	Membership
7b93e6a1:150814fecb6:-57e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Province
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	Estuary
7b93e6a1:150814fecb6:1b9a	Membership
7b93e6a1:150814fecb6:-2ca	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	City
7b93e6a1:150814fecb6:1f2e	Membership
7b93e6a1:150814fecb6:1228	Membership
7b93e6a1:150814fecb6:20bd	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	Province
7b93e6a1:150814fecb6:7cf	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Province
7b93e6a1:150814fecb6:72b	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	Province
7b93e6a1:150814fecb6:1488	Membership
7b93e6a1:150814fecb6:d5d	Membership
7b93e6a1:150814fecb6:1eda	Membership
7b93e6a1:150814fecb6:11d4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	City
7b93e6a1:150814fecb6:98b	Membership
7b93e6a1:150814fecb6:-a3	Membership
7b93e6a1:150814fecb6:1130	Membership
7b93e6a1:150814fecb6:-146	Membership
7b93e6a1:150814fecb6:260d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	City
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	Estuary
http://www.semwebtech.org/mondial/10/river/Prypjat/	Water
7b93e6a1:150814fecb6:17c8	Membership
7b93e6a1:150814fecb6:1390	Membership
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	Water
7b93e6a1:150814fecb6:1724	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Province
7b93e6a1:150814fecb6:2199	SpokenBy
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	Water
7b93e6a1:150814fecb6:1d56	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	City
7b93e6a1:150814fecb6:102f	Membership
7b93e6a1:150814fecb6:5f7	Membership
7b93e6a1:150814fecb6:1aa2	Membership
7b93e6a1:150814fecb6:1984	Membership
7b93e6a1:150814fecb6:553	Membership
7b93e6a1:150814fecb6:16d0	Membership
7b93e6a1:150814fecb6:-6e6	Border
7b93e6a1:150814fecb6:128f	Membership
7b93e6a1:150814fecb6:b85	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	City
7b93e6a1:150814fecb6:-642	Border
7b93e6a1:150814fecb6:24d9	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	Estuary
7b93e6a1:150814fecb6:f19	Membership
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	City
http://www.semwebtech.org/mondial/10/estuary/Douro/	Estuary
7b93e6a1:150814fecb6:2435	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	City
http://www.semwebtech.org/mondial/10/language/Albanian/	Language
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	City
7b93e6a1:150814fecb6:15cf	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	City
7b93e6a1:150814fecb6:2695	EthnicProportion
7b93e6a1:150814fecb6:ec5	Membership
7b93e6a1:150814fecb6:152b	Membership
7b93e6a1:150814fecb6:23e1	BelievedBy
7b93e6a1:150814fecb6:e21	Membership
7b93e6a1:150814fecb6:1b5d	Membership
7b93e6a1:150814fecb6:3fe	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	City
7b93e6a1:150814fecb6:178b	Membership
http://www.semwebtech.org/mondial/10/country/GR/	Country
7b93e6a1:150814fecb6:-4ed	Membership
7b93e6a1:150814fecb6:35a	Membership
http://www.semwebtech.org/mondial/10/organization/NAM/	Organization
7b93e6a1:150814fecb6:d4	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Province
7b93e6a1:150814fecb6:30	Membership
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	Mountain
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	City
7b93e6a1:150814fecb6:223c	BelievedBy
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	City
7b93e6a1:150814fecb6:94e	Membership
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	Estuary
7b93e6a1:150814fecb6:-109	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	City
7b93e6a1:150814fecb6:13f7	Membership
7b93e6a1:150814fecb6:249c	EthnicProportion
7b93e6a1:150814fecb6:ccc	Membership
7b93e6a1:150814fecb6:1353	Membership
7b93e6a1:150814fecb6:-369	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	City
7b93e6a1:150814fecb6:8fa	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Province
http://www.semwebtech.org/mondial/10/country/CUR/	Country
7b93e6a1:150814fecb6:1d19	Membership
http://www.semwebtech.org/mondial/10/country/PK/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	City
7b93e6a1:150814fecb6:182	Membership
7b93e6a1:150814fecb6:1947	Membership
7b93e6a1:150814fecb6:1f79	Membership
7b93e6a1:150814fecb6:516	Membership
7b93e6a1:150814fecb6:-6a9	Border
7b93e6a1:150814fecb6:-271	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	City
http://www.semwebtech.org/mondial/10/island/Babelthuap/	Island
7b93e6a1:150814fecb6:b48	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	City
7b93e6a1:150814fecb6:1cc5	Membership
7b93e6a1:150814fecb6:-605	Border
http://www.semwebtech.org/mondial/10/river/Dnepr/	Water
7b93e6a1:150814fecb6:2064	Membership
7b93e6a1:150814fecb6:1c21	Membership
7b93e6a1:150814fecb6:776	Membership
7b93e6a1:150814fecb6:18f3	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	City
7b93e6a1:150814fecb6:4c2	Membership
7b93e6a1:150814fecb6:2658	EthnicProportion
7b93e6a1:150814fecb6:11fe	Membership
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	Estuary
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Mountains
7b93e6a1:150814fecb6:af4	Membership
http://www.semwebtech.org/mondial/10/organization/BCIE/	Organization
7b93e6a1:150814fecb6:1e81	Membership
7b93e6a1:150814fecb6:-cd	Membership
7b93e6a1:150814fecb6:-5b1	Membership
7b93e6a1:150814fecb6:115a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Province
7b93e6a1:150814fecb6:a50	Membership
7b93e6a1:150814fecb6:23a4	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Province
7b93e6a1:150814fecb6:2300	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	City
7b93e6a1:150814fecb6:174e	Membership
http://www.semwebtech.org/mondial/10/country/FALK/	Country
7b93e6a1:150814fecb6:31d	Membership
7b93e6a1:150814fecb6:2560	EthnicProportion
7b93e6a1:150814fecb6:1acc	Membership
7b93e6a1:150814fecb6:-40c	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	City
7b93e6a1:150814fecb6:57d	Membership
7b93e6a1:150814fecb6:16fa	Membership
7b93e6a1:150814fecb6:ff0	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Province
7b93e6a1:150814fecb6:-66c	Border
http://www.semwebtech.org/mondial/10/estuary/Vaal/	Estuary
7b93e6a1:150814fecb6:245f	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	Water
7b93e6a1:150814fecb6:1316	Membership
7b93e6a1:150814fecb6:21ab	SpokenBy
7b93e6a1:150814fecb6:8bd	Membership
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	Water
7b93e6a1:150814fecb6:eef	Membership
7b93e6a1:150814fecb6:1e9	Membership
7b93e6a1:150814fecb6:1576	Membership
http://www.semwebtech.org/mondial/10/island/Linosa/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	City
7b93e6a1:150814fecb6:e4b	Membership
7b93e6a1:150814fecb6:145	Membership
7b93e6a1:150814fecb6:12c2	Membership
7b93e6a1:150814fecb6:-2d8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	City
http://www.semwebtech.org/mondial/10/country/V/	Country
7b93e6a1:150814fecb6:-234	Membership
7b93e6a1:150814fecb6:2027	Membership
7b93e6a1:150814fecb6:fe	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	City
7b93e6a1:150814fecb6:739	Membership
http://www.semwebtech.org/mondial/10/island/Antigua/	Island
7b93e6a1:150814fecb6:18b6	Membership
7b93e6a1:150814fecb6:-494	Membership
7b93e6a1:150814fecb6:5a	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	City
7b93e6a1:150814fecb6:1ee8	Membership
7b93e6a1:150814fecb6:1812	Membership
7b93e6a1:150814fecb6:-1e0	Membership
7b93e6a1:150814fecb6:2287	BelievedBy
7b93e6a1:150814fecb6:ab7	Membership
7b93e6a1:150814fecb6:999	Membership
7b93e6a1:150814fecb6:1e44	Membership
7b93e6a1:150814fecb6:111d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	City
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Province
7b93e6a1:150814fecb6:a13	Membership
7b93e6a1:150814fecb6:6e5	Membership
http://www.semwebtech.org/mondial/10/organization/ASEAN/	Organization
7b93e6a1:150814fecb6:641	Membership
7b93e6a1:150814fecb6:-7d4	Encompassed
7b93e6a1:150814fecb6:137d	Membership
7b93e6a1:150814fecb6:c73	Membership
7b93e6a1:150814fecb6:1df0	Membership
7b93e6a1:150814fecb6:-730	Encompassed
7b93e6a1:150814fecb6:25c7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	City
7b93e6a1:150814fecb6:2523	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	City
http://www.semwebtech.org/mondial/10/island/EastFalkland/	Island
7b93e6a1:150814fecb6:16bd	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	City
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	City
7b93e6a1:150814fecb6:-29b	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	City
http://www.semwebtech.org/mondial/10/country/WSA/	Country
7b93e6a1:150814fecb6:fb3	Membership
7b93e6a1:150814fecb6:1cef	Membership
7b93e6a1:150814fecb6:-62f	Border
7b93e6a1:150814fecb6:208e	Membership
7b93e6a1:150814fecb6:1c4b	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Province
7b93e6a1:150814fecb6:4ec	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	City
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	Water
7b93e6a1:150814fecb6:-5db	Border
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	City
7b93e6a1:150814fecb6:a7a	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	City
7b93e6a1:150814fecb6:-74	Membership
7b93e6a1:150814fecb6:1539	Membership
7b93e6a1:150814fecb6:23ce	BelievedBy
http://www.semwebtech.org/mondial/10/source/Aare/	Source
7b93e6a1:150814fecb6:e0e	Membership
7b93e6a1:150814fecb6:108	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	City
7b93e6a1:150814fecb6:232a	BelievedBy
7b93e6a1:150814fecb6:1799	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Province
http://www.semwebtech.org/mondial/10/organization/WIPO/	Organization
7b93e6a1:150814fecb6:368	Membership
7b93e6a1:150814fecb6:14e5	Membership
7b93e6a1:150814fecb6:258a	EthnicProportion
7b93e6a1:150814fecb6:dba	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	City
http://www.semwebtech.org/mondial/10/estuary/Ammer/	Estuary
7b93e6a1:150814fecb6:1441	Membership
7b93e6a1:150814fecb6:-457	Membership
7b93e6a1:150814fecb6:1d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	City
7b93e6a1:150814fecb6:1a73	Membership
7b93e6a1:150814fecb6:-1a3	Membership
7b93e6a1:150814fecb6:1e07	Membership
7b93e6a1:150814fecb6:6a8	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	City
7b93e6a1:150814fecb6:270	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	City
7b93e6a1:150814fecb6:604	Membership
7b93e6a1:150814fecb6:21f6	SpokenBy
7b93e6a1:150814fecb6:c36	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	EthnicGroup
7b93e6a1:150814fecb6:1db3	Membership
http://www.semwebtech.org/mondial/10/river/Semliki/	Water
7b93e6a1:150814fecb6:2152	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	City
7b93e6a1:150814fecb6:864	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	City
7b93e6a1:150814fecb6:19e1	Membership
7b93e6a1:150814fecb6:e96	Membership
7b93e6a1:150814fecb6:5b0	Membership
7b93e6a1:150814fecb6:16f	Membership
7b93e6a1:150814fecb6:12ec	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	City
7b93e6a1:150814fecb6:be2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	City
7b93e6a1:150814fecb6:-25e	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	City
7b93e6a1:150814fecb6:1c0e	Membership
7b93e6a1:150814fecb6:4af	Membership
7b93e6a1:150814fecb6:183c	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	City
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	City
http://www.semwebtech.org/mondial/10/organization/PCA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	City
7b93e6a1:150814fecb6:40b	Membership
7b93e6a1:150814fecb6:1e6e	Membership
7b93e6a1:150814fecb6:1168	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	City
7b93e6a1:150814fecb6:a3d	Membership
7b93e6a1:150814fecb6:1bba	Membership
7b93e6a1:150814fecb6:-37	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	City
7b93e6a1:150814fecb6:66b	Membership
7b93e6a1:150814fecb6:-7fe	Encompassed
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	Water
7b93e6a1:150814fecb6:c9d	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	City
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Province
7b93e6a1:150814fecb6:-75a	Encompassed
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	City
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	Estuary
7b93e6a1:150814fecb6:14a8	Membership
7b93e6a1:150814fecb6:1070	Membership
7b93e6a1:150814fecb6:254d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	City
7b93e6a1:150814fecb6:1404	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	City
7b93e6a1:150814fecb6:9ab	Membership
7b93e6a1:150814fecb6:1a36	Membership
http://www.semwebtech.org/mondial/10/country/KGZ/	Country
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	EthnicGroup
7b93e6a1:150814fecb6:fdd	Membership
7b93e6a1:150814fecb6:2d7	Membership
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	Mountain
7b93e6a1:150814fecb6:1664	Membership
7b93e6a1:150814fecb6:1c96	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	City
7b93e6a1:150814fecb6:13b0	Membership
7b93e6a1:150814fecb6:233	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	City
7b93e6a1:150814fecb6:-3c6	Membership
http://www.semwebtech.org/mondial/10/river/Tigris/	Water
7b93e6a1:150814fecb6:-322	Membership
7b93e6a1:150814fecb6:21b9	SpokenBy
7b93e6a1:150814fecb6:493	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	Water
7b93e6a1:150814fecb6:2115	Membership
7b93e6a1:150814fecb6:19a4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	City
7b93e6a1:150814fecb6:827	Membership
http://www.semwebtech.org/mondial/10/organization/CEI/	Organization
7b93e6a1:150814fecb6:-9e	Membership
7b93e6a1:150814fecb6:-582	Membership
7b93e6a1:150814fecb6:e59	Membership
7b93e6a1:150814fecb6:1fd6	Membership
7b93e6a1:150814fecb6:1900	Membership
7b93e6a1:150814fecb6:12af	Membership
7b93e6a1:150814fecb6:2375	BelievedBy
7b93e6a1:150814fecb6:ba5	Membership
7b93e6a1:150814fecb6:1f32	Membership
7b93e6a1:150814fecb6:20c1	Membership
7b93e6a1:150814fecb6:120b	Membership
7b93e6a1:150814fecb6:b01	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Province
7b93e6a1:150814fecb6:7d3	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Province
7b93e6a1:150814fecb6:146b	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Province
7b93e6a1:150814fecb6:68	Membership
7b93e6a1:150814fecb6:d61	Membership
7b93e6a1:150814fecb6:26b5	EthnicProportion
7b93e6a1:150814fecb6:1a9d	Membership
7b93e6a1:150814fecb6:-1cd	Membership
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	City
7b93e6a1:150814fecb6:2611	EthnicProportion
7b93e6a1:150814fecb6:29a	Membership
7b93e6a1:150814fecb6:62e	Membership
7b93e6a1:150814fecb6:17ab	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Province
7b93e6a1:150814fecb6:1ddd	Membership
7b93e6a1:150814fecb6:-71d	Border
7b93e6a1:150814fecb6:10d7	Membership
7b93e6a1:150814fecb6:217c	SpokenBy
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	City
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	Islands
7b93e6a1:150814fecb6:88e	Membership
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	City
7b93e6a1:150814fecb6:1033	Membership
7b93e6a1:150814fecb6:5da	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	City
http://www.semwebtech.org/mondial/10/organization/ICC/	Organization
7b93e6a1:150814fecb6:1293	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Province
http://www.semwebtech.org/mondial/10/island/Savaii/	Island
7b93e6a1:150814fecb6:1627	Membership
7b93e6a1:150814fecb6:24bc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	City
7b93e6a1:150814fecb6:1c59	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	City
7b93e6a1:150814fecb6:1887	Membership
http://www.semwebtech.org/mondial/10/language/Garifuna/	Language
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	Water
7b93e6a1:150814fecb6:15d3	Membership
7b93e6a1:150814fecb6:456	Membership
7b93e6a1:150814fecb6:-5e9	Border
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	City
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	Mountain
7b93e6a1:150814fecb6:a88	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	City
7b93e6a1:150814fecb6:1a2	Membership
7b93e6a1:150814fecb6:-545	Membership
7b93e6a1:150814fecb6:1b61	Membership
7b93e6a1:150814fecb6:2338	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	City
7b93e6a1:150814fecb6:-4f1	Membership
7b93e6a1:150814fecb6:109a	Membership
7b93e6a1:150814fecb6:2598	EthnicProportion
7b93e6a1:150814fecb6:dc8	Membership
7b93e6a1:150814fecb6:22e4	BelievedBy
7b93e6a1:150814fecb6:142e	Membership
7b93e6a1:150814fecb6:d24	Membership
http://www.semwebtech.org/mondial/10/country/IND/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	City
7b93e6a1:150814fecb6:9f6	Membership
7b93e6a1:150814fecb6:1ea1	Membership
7b93e6a1:150814fecb6:2240	BelievedBy
http://www.semwebtech.org/mondial/10/source/Argun/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	City
7b93e6a1:150814fecb6:952	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	Province
7b93e6a1:150814fecb6:168e	Membership
7b93e6a1:150814fecb6:f84	Membership
7b93e6a1:150814fecb6:25d	Membership
7b93e6a1:150814fecb6:13da	Membership
http://www.semwebtech.org/mondial/10/river/Oulujoki/	Water
7b93e6a1:150814fecb6:cd0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	City
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	City
7b93e6a1:150814fecb6:-34c	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	City
7b93e6a1:150814fecb6:213f	SpokenBy
7b93e6a1:150814fecb6:19ce	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	City
7b93e6a1:150814fecb6:192a	Membership
7b93e6a1:150814fecb6:239f	BelievedBy
http://www.semwebtech.org/mondial/10/desert/Tenere/	Desert
7b93e6a1:150814fecb6:bcf	Membership
7b93e6a1:150814fecb6:1f5c	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	City
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	Source
7b93e6a1:150814fecb6:1256	Membership
7b93e6a1:150814fecb6:20eb	Membership
7b93e6a1:150814fecb6:b2b	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	City
7b93e6a1:150814fecb6:7fd	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	City
7b93e6a1:150814fecb6:d8b	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	City
http://www.semwebtech.org/mondial/10/estuary/Enns/	Estuary
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	EthnicGroup
7b93e6a1:150814fecb6:263b	EthnicProportion
7b93e6a1:150814fecb6:419	Membership
7b93e6a1:150814fecb6:-d1	Membership
http://www.semwebtech.org/mondial/10/organization/GUAM/	Organization
7b93e6a1:150814fecb6:-174	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	City
7b93e6a1:150814fecb6:1bc8	Membership
7b93e6a1:150814fecb6:-508	Membership
7b93e6a1:150814fecb6:679	Membership
7b93e6a1:150814fecb6:1b24	Membership
7b93e6a1:150814fecb6:17f6	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	City
7b93e6a1:150814fecb6:3c5	Membership
7b93e6a1:150814fecb6:1752	Membership
7b93e6a1:150814fecb6:-768	Encompassed
7b93e6a1:150814fecb6:321	Membership
7b93e6a1:150814fecb6:1d84	Membership
7b93e6a1:150814fecb6:-4b4	Membership
7b93e6a1:150814fecb6:105d	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	City
7b93e6a1:150814fecb6:1ad0	Membership
7b93e6a1:150814fecb6:-410	Membership
7b93e6a1:150814fecb6:22a7	BelievedBy
7b93e6a1:150814fecb6:9b9	Membership
7b93e6a1:150814fecb6:581	Membership
7b93e6a1:150814fecb6:2203	SpokenBy
7b93e6a1:150814fecb6:915	Membership
http://www.semwebtech.org/mondial/10/organization/UNOCI/	Organization
7b93e6a1:150814fecb6:-670	Border
7b93e6a1:150814fecb6:f47	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	City
7b93e6a1:150814fecb6:2463	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Province
http://www.semwebtech.org/mondial/10/source/Syrdarja/	Source
7b93e6a1:150814fecb6:-30f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	City
7b93e6a1:150814fecb6:8c1	Membership
7b93e6a1:150814fecb6:15fd	Membership
7b93e6a1:150814fecb6:ef3	Membership
7b93e6a1:150814fecb6:1cc	Membership
7b93e6a1:150814fecb6:-56f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Province
http://www.semwebtech.org/mondial/10/river/Olt/	Water
7b93e6a1:150814fecb6:1b8b	Membership
7b93e6a1:150814fecb6:-2bb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Province
7b93e6a1:150814fecb6:1f1f	Membership
7b93e6a1:150814fecb6:1219	Membership
7b93e6a1:150814fecb6:20ae	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Province
7b93e6a1:150814fecb6:200a	Membership
7b93e6a1:150814fecb6:71c	Membership
7b93e6a1:150814fecb6:1479	Membership
7b93e6a1:150814fecb6:d4e	Membership
http://www.semwebtech.org/mondial/10/source/Jenissej/	Source
7b93e6a1:150814fecb6:1ecb	Membership
7b93e6a1:150814fecb6:-80b	Encompassed
7b93e6a1:150814fecb6:11c5	Membership
7b93e6a1:150814fecb6:226a	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	City
7b93e6a1:150814fecb6:97c	Membership
http://www.semwebtech.org/mondial/10/river/Petschora/	Water
7b93e6a1:150814fecb6:1121	Membership
7b93e6a1:150814fecb6:-137	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	City
7b93e6a1:150814fecb6:cfa	Membership
7b93e6a1:150814fecb6:17b9	Membership
7b93e6a1:150814fecb6:1381	Membership
7b93e6a1:150814fecb6:-397	Membership
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	City
7b93e6a1:150814fecb6:25aa	EthnicProportion
7b93e6a1:150814fecb6:1715	Membership
http://www.semwebtech.org/mondial/10/desert/Negev/	Desert
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	Water
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	EthnicGroup
http://www.semwebtech.org/mondial/10/sea/YellowSea/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Province
7b93e6a1:150814fecb6:1d47	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	Water
7b93e6a1:150814fecb6:5e8	Membership
7b93e6a1:150814fecb6:1975	Membership
http://www.semwebtech.org/mondial/10/country/ROU/	Country
7b93e6a1:150814fecb6:544	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	City
7b93e6a1:150814fecb6:16c1	Membership
7b93e6a1:150814fecb6:-6d7	Border
http://www.semwebtech.org/mondial/10/estuary/Atbara/	Estuary
http://www.semwebtech.org/mondial/10/river/Drau/	Water
7b93e6a1:150814fecb6:1cf3	Membership
7b93e6a1:150814fecb6:b76	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	City
7b93e6a1:150814fecb6:-633	Border
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	City
7b93e6a1:150814fecb6:2092	Membership
7b93e6a1:150814fecb6:2426	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Province
7b93e6a1:150814fecb6:4f0	Membership
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	Desert
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Province
7b93e6a1:150814fecb6:-fb	Membership
7b93e6a1:150814fecb6:-19e	Membership
7b93e6a1:150814fecb6:2686	EthnicProportion
7b93e6a1:150814fecb6:eb6	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	City
http://www.semwebtech.org/mondial/10/island/Barra/	Island
7b93e6a1:150814fecb6:151c	Membership
7b93e6a1:150814fecb6:23d2	BelievedBy
7b93e6a1:150814fecb6:e12	Membership
7b93e6a1:150814fecb6:1b4e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	City
7b93e6a1:150814fecb6:3ef	Membership
7b93e6a1:150814fecb6:177c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	EthnicGroup
7b93e6a1:150814fecb6:34b	Membership
7b93e6a1:150814fecb6:-4de	Membership
http://www.semwebtech.org/mondial/10/organization/UNRWA/	Organization
7b93e6a1:150814fecb6:c5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	City
7b93e6a1:150814fecb6:1afa	Membership
7b93e6a1:150814fecb6:-43a	Membership
7b93e6a1:150814fecb6:21	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Mountains
http://www.semwebtech.org/mondial/10/island/Krakatau/	Island
7b93e6a1:150814fecb6:222d	SpokenBy
7b93e6a1:150814fecb6:93f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	City
7b93e6a1:150814fecb6:-69a	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	City
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	Mountain
7b93e6a1:150814fecb6:13e8	Membership
7b93e6a1:150814fecb6:248d	EthnicProportion
7b93e6a1:150814fecb6:cbd	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	City
7b93e6a1:150814fecb6:1344	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Province
7b93e6a1:150814fecb6:8eb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Province
http://www.semwebtech.org/mondial/10/sea/BeringSea/	Water
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Province
7b93e6a1:150814fecb6:173	Membership
7b93e6a1:150814fecb6:1938	Membership
7b93e6a1:150814fecb6:12f0	Membership
7b93e6a1:150814fecb6:507	Membership
7b93e6a1:150814fecb6:-262	Membership
7b93e6a1:150814fecb6:20f9	Membership
7b93e6a1:150814fecb6:b39	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Province
7b93e6a1:150814fecb6:1cb6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	City
7b93e6a1:150814fecb6:2055	Membership
7b93e6a1:150814fecb6:767	Membership
7b93e6a1:150814fecb6:1c12	Membership
7b93e6a1:150814fecb6:18e4	Membership
http://www.semwebtech.org/mondial/10/mountain/Olympos/	Mountain
http://www.semwebtech.org/mondial/10/island/Upolu/	Island
7b93e6a1:150814fecb6:d99	Membership
7b93e6a1:150814fecb6:4b3	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	City
7b93e6a1:150814fecb6:1840	Membership
7b93e6a1:150814fecb6:11ef	Membership
7b93e6a1:150814fecb6:207f	Membership
http://www.semwebtech.org/mondial/10/source/Newa/	Source
7b93e6a1:150814fecb6:ae5	Membership
7b93e6a1:150814fecb6:1e72	Membership
7b93e6a1:150814fecb6:-be	Membership
7b93e6a1:150814fecb6:-5a2	Membership
7b93e6a1:150814fecb6:114b	Membership
7b93e6a1:150814fecb6:2649	EthnicProportion
7b93e6a1:150814fecb6:a41	Membership
7b93e6a1:150814fecb6:-1a	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	City
7b93e6a1:150814fecb6:173f	Membership
7b93e6a1:150814fecb6:25f5	EthnicProportion
7b93e6a1:150814fecb6:30e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	City
7b93e6a1:150814fecb6:2551	EthnicProportion
7b93e6a1:150814fecb6:1abd	Membership
7b93e6a1:150814fecb6:199f	Membership
7b93e6a1:150814fecb6:56e	Membership
7b93e6a1:150814fecb6:16eb	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Province
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	Water
7b93e6a1:150814fecb6:fe1	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	City
7b93e6a1:150814fecb6:2ba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	City
7b93e6a1:150814fecb6:-65d	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	City
7b93e6a1:150814fecb6:1307	Membership
http://www.semwebtech.org/mondial/10/island/Korfu/	Island
7b93e6a1:150814fecb6:8ae	Membership
http://www.semwebtech.org/mondial/10/religion/Taoist/	Religion
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	City
7b93e6a1:150814fecb6:80a	Membership
7b93e6a1:150814fecb6:1567	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	City
7b93e6a1:150814fecb6:23fc	BelievedBy
7b93e6a1:150814fecb6:1b99	Membership
7b93e6a1:150814fecb6:e3c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	City
7b93e6a1:150814fecb6:136	Membership
7b93e6a1:150814fecb6:12b3	Membership
7b93e6a1:150814fecb6:-2c9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	City
7b93e6a1:150814fecb6:-225	Membership
7b93e6a1:150814fecb6:396	Membership
http://www.semwebtech.org/mondial/10/country/PY/	Country
7b93e6a1:150814fecb6:ef	Membership
7b93e6a1:150814fecb6:2018	Membership
7b93e6a1:150814fecb6:18a7	Membership
7b93e6a1:150814fecb6:-485	Membership
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Religion
7b93e6a1:150814fecb6:4b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	City
7b93e6a1:150814fecb6:1ed9	Membership
7b93e6a1:150814fecb6:1803	Membership
7b93e6a1:150814fecb6:-1d1	Membership
7b93e6a1:150814fecb6:2278	BelievedBy
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	City
7b93e6a1:150814fecb6:aa8	Membership
7b93e6a1:150814fecb6:1e35	Membership
7b93e6a1:150814fecb6:110e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	City
7b93e6a1:150814fecb6:a04	Membership
7b93e6a1:150814fecb6:6d6	Membership
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	City
http://www.semwebtech.org/mondial/10/river/Kwa/	Water
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Province
7b93e6a1:150814fecb6:632	Membership
7b93e6a1:150814fecb6:136e	Membership
7b93e6a1:150814fecb6:-7c5	Encompassed
http://www.semwebtech.org/mondial/10/organization/IMF/	Organization
http://www.semwebtech.org/mondial/10/source/Save/	Source
http://www.semwebtech.org/mondial/10/islands/Tokelau/	Islands
7b93e6a1:150814fecb6:c64	Membership
7b93e6a1:150814fecb6:1de1	Membership
http://www.semwebtech.org/mondial/10/country/WL/	Country
7b93e6a1:150814fecb6:-721	Encompassed
7b93e6a1:150814fecb6:10ba	Membership
7b93e6a1:150814fecb6:25b8	EthnicProportion
7b93e6a1:150814fecb6:2180	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	Mountain
7b93e6a1:150814fecb6:892	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	City
7b93e6a1:150814fecb6:2514	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	City
7b93e6a1:150814fecb6:19d	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Province
7b93e6a1:150814fecb6:16ae	Membership
7b93e6a1:150814fecb6:-28c	Membership
7b93e6a1:150814fecb6:fa4	Membership
7b93e6a1:150814fecb6:160a	Membership
7b93e6a1:150814fecb6:24c0	EthnicProportion
7b93e6a1:150814fecb6:f00	Membership
7b93e6a1:150814fecb6:1c3c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	City
7b93e6a1:150814fecb6:4dd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	EthnicGroup
7b93e6a1:150814fecb6:186a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	City
7b93e6a1:150814fecb6:1e9c	Membership
7b93e6a1:150814fecb6:-5cc	Membership
7b93e6a1:150814fecb6:1196	Membership
7b93e6a1:150814fecb6:a6b	Membership
7b93e6a1:150814fecb6:-65	Membership
7b93e6a1:150814fecb6:23bf	BelievedBy
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	City
7b93e6a1:150814fecb6:231b	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	Mountain
http://www.semwebtech.org/mondial/10/language/Maori/	Language
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Province
7b93e6a1:150814fecb6:359	Membership
7b93e6a1:150814fecb6:14d6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	City
7b93e6a1:150814fecb6:257b	EthnicProportion
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	Water
7b93e6a1:150814fecb6:dab	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	City
7b93e6a1:150814fecb6:1432	Membership
7b93e6a1:150814fecb6:-448	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	City
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	City
http://www.semwebtech.org/mondial/10/estuary/Dnister/	Estuary
7b93e6a1:150814fecb6:1a64	Membership
7b93e6a1:150814fecb6:1692	Membership
7b93e6a1:150814fecb6:261	Membership
7b93e6a1:150814fecb6:-3f4	Membership
http://www.semwebtech.org/mondial/10/river/Volga/	Water
7b93e6a1:150814fecb6:-350	Membership
7b93e6a1:150814fecb6:21e7	SpokenBy
7b93e6a1:150814fecb6:c27	Membership
7b93e6a1:150814fecb6:8f9	Membership
7b93e6a1:150814fecb6:1da4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	City
7b93e6a1:150814fecb6:2143	SpokenBy
7b93e6a1:150814fecb6:855	Membership
7b93e6a1:150814fecb6:1d00	Membership
7b93e6a1:150814fecb6:19d2	Membership
7b93e6a1:150814fecb6:e87	Membership
7b93e6a1:150814fecb6:5a1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	City
7b93e6a1:150814fecb6:12dd	Membership
7b93e6a1:150814fecb6:bd3	Membership
7b93e6a1:150814fecb6:1f60	Membership
7b93e6a1:150814fecb6:-24f	Membership
7b93e6a1:150814fecb6:96	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	City
7b93e6a1:150814fecb6:182d	Membership
7b93e6a1:150814fecb6:-1fb	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	Water
7b93e6a1:150814fecb6:1e5f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Province
7b93e6a1:150814fecb6:1159	Membership
http://www.semwebtech.org/mondial/10/source/Buna/	Source
7b93e6a1:150814fecb6:a2e	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	City
7b93e6a1:150814fecb6:1bab	Membership
7b93e6a1:150814fecb6:-28	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	City
7b93e6a1:150814fecb6:65c	Membership
7b93e6a1:150814fecb6:-7ef	Encompassed
http://www.semwebtech.org/mondial/10/source/Parana/	Source
7b93e6a1:150814fecb6:c8e	Membership
7b93e6a1:150814fecb6:-74b	Encompassed
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	City
7b93e6a1:150814fecb6:1061	Membership
7b93e6a1:150814fecb6:253e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	City
7b93e6a1:150814fecb6:1a27	Membership
7b93e6a1:150814fecb6:16f9	Membership
7b93e6a1:150814fecb6:fce	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	City
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	City
7b93e6a1:150814fecb6:2c8	Membership
7b93e6a1:150814fecb6:1655	Membership
7b93e6a1:150814fecb6:24ea	EthnicProportion
7b93e6a1:150814fecb6:f2a	Membership
7b93e6a1:150814fecb6:1c87	Membership
7b93e6a1:150814fecb6:224	Membership
7b93e6a1:150814fecb6:13a1	Membership
7b93e6a1:150814fecb6:-3b7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Province
7b93e6a1:150814fecb6:-313	Membership
7b93e6a1:150814fecb6:cc1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	City
7b93e6a1:150814fecb6:484	Membership
7b93e6a1:150814fecb6:2106	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	City
7b93e6a1:150814fecb6:818	Membership
7b93e6a1:150814fecb6:1d0	Membership
7b93e6a1:150814fecb6:-8f	Membership
7b93e6a1:150814fecb6:-573	Membership
7b93e6a1:150814fecb6:1fc7	Membership
7b93e6a1:150814fecb6:2366	BelievedBy
7b93e6a1:150814fecb6:1f23	Membership
http://www.semwebtech.org/mondial/10/source/Saluen/	Source
7b93e6a1:150814fecb6:20b2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	City
7b93e6a1:150814fecb6:7c4	Membership
http://www.semwebtech.org/mondial/10/sea/NorthSea/	Water
7b93e6a1:150814fecb6:df6	Membership
7b93e6a1:150814fecb6:720	Membership
7b93e6a1:150814fecb6:145c	Membership
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	City
7b93e6a1:150814fecb6:59	Membership
7b93e6a1:150814fecb6:d52	Membership
7b93e6a1:150814fecb6:26a6	EthnicProportion
7b93e6a1:150814fecb6:1a8e	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Province
7b93e6a1:150814fecb6:-1be	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Province
http://www.semwebtech.org/mondial/10/estuary/Saar/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	City
7b93e6a1:150814fecb6:980	Membership
7b93e6a1:150814fecb6:-11a	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	City
7b93e6a1:150814fecb6:2602	EthnicProportion
7b93e6a1:150814fecb6:28b	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	City
7b93e6a1:150814fecb6:61f	Membership
7b93e6a1:150814fecb6:-37a	Membership
http://www.semwebtech.org/mondial/10/language/French/	Language
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	Island
7b93e6a1:150814fecb6:1dce	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	City
7b93e6a1:150814fecb6:-70e	Border
7b93e6a1:150814fecb6:10c8	Membership
7b93e6a1:150814fecb6:216d	SpokenBy
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Province
7b93e6a1:150814fecb6:1d2a	Membership
7b93e6a1:150814fecb6:87f	Membership
7b93e6a1:150814fecb6:19fc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	City
7b93e6a1:150814fecb6:1024	Membership
7b93e6a1:150814fecb6:5cb	Membership
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	City
7b93e6a1:150814fecb6:bfd	Membership
7b93e6a1:150814fecb6:1f8a	Membership
7b93e6a1:150814fecb6:-6ba	Border
7b93e6a1:150814fecb6:1284	Membership
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	Desert
7b93e6a1:150814fecb6:1618	Membership
7b93e6a1:150814fecb6:24ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	City
7b93e6a1:150814fecb6:1878	Membership
http://www.semwebtech.org/mondial/10/organization/OPCW/	Organization
http://www.semwebtech.org/mondial/10/organization/SCO/	Organization
7b93e6a1:150814fecb6:447	Membership
7b93e6a1:150814fecb6:15c4	Membership
http://www.semwebtech.org/mondial/10/country/CAM/	Country
7b93e6a1:150814fecb6:1bf6	Membership
7b93e6a1:150814fecb6:a79	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	City
7b93e6a1:150814fecb6:1520	Membership
7b93e6a1:150814fecb6:-536	Membership
7b93e6a1:150814fecb6:1b52	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	City
7b93e6a1:150814fecb6:2329	BelievedBy
7b93e6a1:150814fecb6:3f3	Membership
7b93e6a1:150814fecb6:1780	Membership
7b93e6a1:150814fecb6:-796	Encompassed
http://www.semwebtech.org/mondial/10/river/Piva/	Water
http://www.semwebtech.org/mondial/10/island/Jersey/	Island
7b93e6a1:150814fecb6:-4e2	Membership
7b93e6a1:150814fecb6:108b	Membership
7b93e6a1:150814fecb6:2589	EthnicProportion
7b93e6a1:150814fecb6:db9	Membership
7b93e6a1:150814fecb6:141f	Membership
7b93e6a1:150814fecb6:22d5	BelievedBy
7b93e6a1:150814fecb6:d15	Membership
7b93e6a1:150814fecb6:9e7	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Province
7b93e6a1:150814fecb6:2231	SpokenBy
7b93e6a1:150814fecb6:943	Membership
7b93e6a1:150814fecb6:167f	Membership
7b93e6a1:150814fecb6:f75	Membership
7b93e6a1:150814fecb6:24e	Membership
7b93e6a1:150814fecb6:13cb	Membership
7b93e6a1:150814fecb6:2491	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	Estuary
7b93e6a1:150814fecb6:-33d	Membership
http://www.semwebtech.org/mondial/10/country/GE/	Country
7b93e6a1:150814fecb6:1fa	Membership
7b93e6a1:150814fecb6:19bf	Membership
7b93e6a1:150814fecb6:-59d	Membership
7b93e6a1:150814fecb6:191b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	City
http://www.semwebtech.org/mondial/10/country/KWT/	Country
7b93e6a1:150814fecb6:1f4d	Membership
7b93e6a1:150814fecb6:1247	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	City
7b93e6a1:150814fecb6:20dc	Membership
7b93e6a1:150814fecb6:b1c	Membership
7b93e6a1:150814fecb6:7ee	Membership
7b93e6a1:150814fecb6:74a	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Province
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	City
7b93e6a1:150814fecb6:d7c	Membership
7b93e6a1:150814fecb6:11f3	Membership
http://www.semwebtech.org/mondial/10/country/MW/	Country
7b93e6a1:150814fecb6:-c2	Membership
7b93e6a1:150814fecb6:-165	Membership
7b93e6a1:150814fecb6:262c	EthnicProportion
7b93e6a1:150814fecb6:1bb9	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	City
http://www.semwebtech.org/mondial/10/country/AMSA/	Country
7b93e6a1:150814fecb6:1b15	Membership
7b93e6a1:150814fecb6:17e7	Membership
7b93e6a1:150814fecb6:3b6	Membership
7b93e6a1:150814fecb6:1743	Membership
7b93e6a1:150814fecb6:-759	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Province
7b93e6a1:150814fecb6:312	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Province
7b93e6a1:150814fecb6:1d75	Membership
7b93e6a1:150814fecb6:-4a5	Membership
7b93e6a1:150814fecb6:104e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Province
7b93e6a1:150814fecb6:1ac1	Membership
7b93e6a1:150814fecb6:-401	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	City
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	City
7b93e6a1:150814fecb6:572	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	City
7b93e6a1:150814fecb6:906	Membership
7b93e6a1:150814fecb6:-661	Border
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	City
7b93e6a1:150814fecb6:24f8	EthnicProportion
7b93e6a1:150814fecb6:f38	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	EthnicGroup
7b93e6a1:150814fecb6:2454	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	City
http://www.semwebtech.org/mondial/10/river/Atbara/	Water
7b93e6a1:150814fecb6:21a0	SpokenBy
http://www.semwebtech.org/mondial/10/island/BishopRock/	Island
7b93e6a1:150814fecb6:8b2	Membership
http://www.semwebtech.org/mondial/10/estuary/Drau/	Estuary
7b93e6a1:150814fecb6:15ee	Membership
http://www.semwebtech.org/mondial/10/country/TCH/	Country
7b93e6a1:150814fecb6:ee4	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	City
7b93e6a1:150814fecb6:1bd	Membership
7b93e6a1:150814fecb6:154a	Membership
7b93e6a1:150814fecb6:e40	Membership
7b93e6a1:150814fecb6:1b7c	Membership
7b93e6a1:150814fecb6:-2ac	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Province
7b93e6a1:150814fecb6:f3	Membership
7b93e6a1:150814fecb6:70d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	City
7b93e6a1:150814fecb6:22ff	BelievedBy
7b93e6a1:150814fecb6:d3f	Membership
7b93e6a1:150814fecb6:1ebc	Membership
7b93e6a1:150814fecb6:11b6	Membership
7b93e6a1:150814fecb6:225b	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	City
7b93e6a1:150814fecb6:96d	Membership
7b93e6a1:150814fecb6:1112	Membership
7b93e6a1:150814fecb6:-128	Membership
7b93e6a1:150814fecb6:f9f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	City
7b93e6a1:150814fecb6:299	Membership
7b93e6a1:150814fecb6:ceb	Membership
7b93e6a1:150814fecb6:1372	Membership
7b93e6a1:150814fecb6:-388	Membership
http://www.semwebtech.org/mondial/10/country/ARU/	Country
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	City
7b93e6a1:150814fecb6:f1b	Membership
http://www.semwebtech.org/mondial/10/country/I/	Country
7b93e6a1:150814fecb6:1706	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Province
7b93e6a1:150814fecb6:1d38	Membership
7b93e6a1:150814fecb6:5d9	Membership
7b93e6a1:150814fecb6:1966	Membership
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	Mountain
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	Water
7b93e6a1:150814fecb6:1f98	Membership
7b93e6a1:150814fecb6:16b2	Membership
7b93e6a1:150814fecb6:535	Membership
7b93e6a1:150814fecb6:-6c8	Border
7b93e6a1:150814fecb6:-290	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Province
7b93e6a1:150814fecb6:b67	Membership
7b93e6a1:150814fecb6:1ce4	Membership
7b93e6a1:150814fecb6:-624	Border
7b93e6a1:150814fecb6:2083	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	City
7b93e6a1:150814fecb6:795	Membership
7b93e6a1:150814fecb6:1c40	Membership
7b93e6a1:150814fecb6:2417	BelievedBy
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	Islands
7b93e6a1:150814fecb6:4e1	Membership
http://www.semwebtech.org/mondial/10/island/Fehmarn/	Island
7b93e6a1:150814fecb6:-ec	Membership
7b93e6a1:150814fecb6:-5d0	Membership
7b93e6a1:150814fecb6:-18f	Membership
7b93e6a1:150814fecb6:2677	EthnicProportion
7b93e6a1:150814fecb6:ea7	Membership
7b93e6a1:150814fecb6:150d	Membership
7b93e6a1:150814fecb6:23c3	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	City
7b93e6a1:150814fecb6:e03	Membership
http://www.semwebtech.org/mondial/10/source/Lukuga/	Source
7b93e6a1:150814fecb6:1b3f	Membership
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	Mountain
7b93e6a1:150814fecb6:176d	Membership
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	Water
7b93e6a1:150814fecb6:1d9f	Membership
7b93e6a1:150814fecb6:33c	Membership
7b93e6a1:150814fecb6:-4cf	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	City
7b93e6a1:150814fecb6:1099	Membership
7b93e6a1:150814fecb6:b6	Membership
7b93e6a1:150814fecb6:1aeb	Membership
7b93e6a1:150814fecb6:-42b	Membership
7b93e6a1:150814fecb6:12	Membership
7b93e6a1:150814fecb6:59c	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Province
7b93e6a1:150814fecb6:221e	SpokenBy
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	Water
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	City
7b93e6a1:150814fecb6:-68b	Border
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	EthnicGroup
7b93e6a1:150814fecb6:13d9	Membership
7b93e6a1:150814fecb6:247e	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Katun/	Source
7b93e6a1:150814fecb6:cae	Membership
7b93e6a1:150814fecb6:1335	Membership
7b93e6a1:150814fecb6:21ca	SpokenBy
7b93e6a1:150814fecb6:c0a	Membership
7b93e6a1:150814fecb6:8dc	Membership
http://www.semwebtech.org/mondial/10/organization/AfDB/	Organization
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	City
7b93e6a1:150814fecb6:1595	Membership
7b93e6a1:150814fecb6:e6a	Membership
7b93e6a1:150814fecb6:1929	Membership
7b93e6a1:150814fecb6:164	Membership
7b93e6a1:150814fecb6:12e1	Membership
7b93e6a1:150814fecb6:-2f7	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	City
7b93e6a1:150814fecb6:-253	Membership
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Mountains
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Province
7b93e6a1:150814fecb6:1ca7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	City
7b93e6a1:150814fecb6:2046	Membership
7b93e6a1:150814fecb6:758	Membership
7b93e6a1:150814fecb6:1c03	Membership
7b93e6a1:150814fecb6:18d5	Membership
7b93e6a1:150814fecb6:4a4	Membership
7b93e6a1:150814fecb6:1831	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	City
7b93e6a1:150814fecb6:1e63	Membership
7b93e6a1:150814fecb6:ad6	Membership
7b93e6a1:150814fecb6:400	Membership
7b93e6a1:150814fecb6:-af	Membership
http://www.semwebtech.org/mondial/10/river/Lagen/	Water
7b93e6a1:150814fecb6:113c	Membership
7b93e6a1:150814fecb6:a32	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	City
7b93e6a1:150814fecb6:660	Membership
7b93e6a1:150814fecb6:-7f3	Encompassed
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	City
7b93e6a1:150814fecb6:139c	Membership
http://www.semwebtech.org/mondial/10/country/HCA/	Country
7b93e6a1:150814fecb6:9d8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	City
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	City
7b93e6a1:150814fecb6:c92	Membership
7b93e6a1:150814fecb6:25e6	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	EthnicGroup
7b93e6a1:150814fecb6:2542	EthnicProportion
7b93e6a1:150814fecb6:1aae	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	City
7b93e6a1:150814fecb6:-5	Membership
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	Water
7b93e6a1:150814fecb6:9a0	Membership
7b93e6a1:150814fecb6:55f	Membership
7b93e6a1:150814fecb6:1a0a	Membership
7b93e6a1:150814fecb6:16dc	Membership
7b93e6a1:150814fecb6:fd2	Membership
7b93e6a1:150814fecb6:2ab	Membership
7b93e6a1:150814fecb6:-64e	Border
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	City
7b93e6a1:150814fecb6:1c6a	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Province
http://www.semwebtech.org/mondial/10/organization/AFESD/	Organization
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	City
7b93e6a1:150814fecb6:-5fa	Border
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	EthnicGroup
7b93e6a1:150814fecb6:-93	Membership
7b93e6a1:150814fecb6:1558	Membership
7b93e6a1:150814fecb6:23ed	BelievedBy
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	Islands
7b93e6a1:150814fecb6:e2d	Membership
7b93e6a1:150814fecb6:1faa	Membership
7b93e6a1:150814fecb6:127	Membership
7b93e6a1:150814fecb6:12a4	Membership
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Mountains
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	City
http://www.semwebtech.org/mondial/10/organization/PIF/	Organization
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	City
7b93e6a1:150814fecb6:1200	Membership
7b93e6a1:150814fecb6:-216	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	City
7b93e6a1:150814fecb6:387	Membership
7b93e6a1:150814fecb6:2009	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Province
7b93e6a1:150814fecb6:1460	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	City
7b93e6a1:150814fecb6:-476	Membership
7b93e6a1:150814fecb6:3c	Membership
http://www.semwebtech.org/mondial/10/river/Mur/	Water
7b93e6a1:150814fecb6:1a92	Membership
http://www.semwebtech.org/mondial/10/country/NCA/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	City
7b93e6a1:150814fecb6:-1c2	Membership
7b93e6a1:150814fecb6:2269	BelievedBy
7b93e6a1:150814fecb6:1e26	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	City
http://www.semwebtech.org/mondial/10/organization/OAPEC/	Organization
7b93e6a1:150814fecb6:6c7	Membership
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	Islands
7b93e6a1:150814fecb6:cf9	Membership
7b93e6a1:150814fecb6:623	Membership
7b93e6a1:150814fecb6:17a0	Membership
7b93e6a1:150814fecb6:-7b6	Encompassed
7b93e6a1:150814fecb6:135f	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	City
7b93e6a1:150814fecb6:c55	Membership
7b93e6a1:150814fecb6:25a9	EthnicProportion
7b93e6a1:150814fecb6:1dd2	Membership
7b93e6a1:150814fecb6:-712	Border
7b93e6a1:150814fecb6:10ab	Membership
7b93e6a1:150814fecb6:2171	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	City
7b93e6a1:150814fecb6:883	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	EthnicGroup
7b93e6a1:150814fecb6:2505	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	City
7b93e6a1:150814fecb6:18e	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Language
7b93e6a1:150814fecb6:-27d	Membership
http://www.semwebtech.org/mondial/10/estuary/Ticino/	Estuary
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	City
7b93e6a1:150814fecb6:24b1	EthnicProportion
7b93e6a1:150814fecb6:1c2d	Membership
7b93e6a1:150814fecb6:18ff	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	City
7b93e6a1:150814fecb6:4ce	Membership
7b93e6a1:150814fecb6:185b	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Province
http://www.semwebtech.org/mondial/10/island/Tasmania/	Island
7b93e6a1:150814fecb6:42a	Membership
7b93e6a1:150814fecb6:1e8d	Membership
7b93e6a1:150814fecb6:-5bd	Membership
7b93e6a1:150814fecb6:1187	Membership
http://www.semwebtech.org/mondial/10/source/Irawaddy/	Source
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	City
7b93e6a1:150814fecb6:a5c	Membership
7b93e6a1:150814fecb6:-56	Membership
http://www.semwebtech.org/mondial/10/river/Colorado/	Water
7b93e6a1:150814fecb6:68a	Membership
7b93e6a1:150814fecb6:230c	BelievedBy
7b93e6a1:150814fecb6:14c7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	City
7b93e6a1:150814fecb6:256c	EthnicProportion
7b93e6a1:150814fecb6:1af9	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Province
7b93e6a1:150814fecb6:1423	Membership
7b93e6a1:150814fecb6:-439	Membership
7b93e6a1:150814fecb6:9ca	Membership
7b93e6a1:150814fecb6:1a55	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	City
7b93e6a1:150814fecb6:ffc	Membership
7b93e6a1:150814fecb6:2f6	Membership
7b93e6a1:150814fecb6:1683	Membership
7b93e6a1:150814fecb6:-699	Border
7b93e6a1:150814fecb6:252	Membership
7b93e6a1:150814fecb6:-3e5	Membership
http://www.semwebtech.org/mondial/10/country/SN/	Country
7b93e6a1:150814fecb6:-341	Membership
7b93e6a1:150814fecb6:21d8	SpokenBy
7b93e6a1:150814fecb6:c18	Membership
http://www.semwebtech.org/mondial/10/source/WhiteNile/	Source
7b93e6a1:150814fecb6:2134	SpokenBy
7b93e6a1:150814fecb6:846	Membership
7b93e6a1:150814fecb6:19c3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Ene/	Source
7b93e6a1:150814fecb6:e78	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	City
7b93e6a1:150814fecb6:1ff5	Membership
7b93e6a1:150814fecb6:12ce	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	City
7b93e6a1:150814fecb6:2394	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	City
7b93e6a1:150814fecb6:bc4	Membership
7b93e6a1:150814fecb6:1f51	Membership
7b93e6a1:150814fecb6:122a	Membership
7b93e6a1:150814fecb6:20e0	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	City
7b93e6a1:150814fecb6:b20	Membership
7b93e6a1:150814fecb6:7f2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Province
7b93e6a1:150814fecb6:148a	Membership
7b93e6a1:150814fecb6:87	Membership
7b93e6a1:150814fecb6:d80	Membership
7b93e6a1:150814fecb6:181e	Membership
7b93e6a1:150814fecb6:-1ec	Membership
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	Island
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	City
http://www.semwebtech.org/mondial/10/desert/Thar/	Desert
7b93e6a1:150814fecb6:2630	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Province
7b93e6a1:150814fecb6:a1f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Province
7b93e6a1:150814fecb6:-19	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	City
7b93e6a1:150814fecb6:64d	Membership
7b93e6a1:150814fecb6:17ca	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	EthnicGroup
7b93e6a1:150814fecb6:c7f	Membership
7b93e6a1:150814fecb6:1dfc	Membership
7b93e6a1:150814fecb6:-73c	Encompassed
7b93e6a1:150814fecb6:10f6	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	Water
7b93e6a1:150814fecb6:219b	SpokenBy
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	City
7b93e6a1:150814fecb6:1052	Membership
7b93e6a1:150814fecb6:252f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	City
http://www.semwebtech.org/mondial/10/organization/G-20/	Organization
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	City
http://www.semwebtech.org/mondial/10/language/Quechua/	Language
7b93e6a1:150814fecb6:1a18	Membership
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	Mountain
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	EthnicGroup
7b93e6a1:150814fecb6:fbf	Membership
7b93e6a1:150814fecb6:2b9	Membership
7b93e6a1:150814fecb6:1646	Membership
7b93e6a1:150814fecb6:24db	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Mountains
7b93e6a1:150814fecb6:215	Membership
7b93e6a1:150814fecb6:1c78	Membership
7b93e6a1:150814fecb6:-3a8	Membership
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Province
7b93e6a1:150814fecb6:-304	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Province
7b93e6a1:150814fecb6:475	Membership
7b93e6a1:150814fecb6:15f2	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	Mountain
7b93e6a1:150814fecb6:809	Membership
7b93e6a1:150814fecb6:1c1	Membership
7b93e6a1:150814fecb6:-564	Membership
7b93e6a1:150814fecb6:1fb8	Membership
7b93e6a1:150814fecb6:1b80	Membership
7b93e6a1:150814fecb6:-2b0	Membership
7b93e6a1:150814fecb6:2357	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	City
7b93e6a1:150814fecb6:1f14	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	City
7b93e6a1:150814fecb6:20a3	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	City
7b93e6a1:150814fecb6:7b5	Membership
http://www.semwebtech.org/mondial/10/island/Sumbawa/	Island
http://www.semwebtech.org/mondial/10/island/Lavan/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	City
7b93e6a1:150814fecb6:de7	Membership
7b93e6a1:150814fecb6:711	Membership
7b93e6a1:150814fecb6:144d	Membership
7b93e6a1:150814fecb6:d43	Membership
7b93e6a1:150814fecb6:1ec0	Membership
7b93e6a1:150814fecb6:1a7f	Membership
7b93e6a1:150814fecb6:-800	Encompassed
7b93e6a1:150814fecb6:-1af	Membership
http://www.semwebtech.org/mondial/10/island/Ibiza/	Island
7b93e6a1:150814fecb6:971	Membership
7b93e6a1:150814fecb6:-10b	Membership
7b93e6a1:150814fecb6:27c	Membership
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	Island
http://www.semwebtech.org/mondial/10/river/Pibor/	Water
7b93e6a1:150814fecb6:-36b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Province
7b93e6a1:150814fecb6:1dbf	Membership
7b93e6a1:150814fecb6:10b9	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	City
7b93e6a1:150814fecb6:215e	SpokenBy
7b93e6a1:150814fecb6:1d1b	Membership
7b93e6a1:150814fecb6:19ed	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	City
7b93e6a1:150814fecb6:1015	Membership
7b93e6a1:150814fecb6:5bc	Membership
7b93e6a1:150814fecb6:bee	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	City
7b93e6a1:150814fecb6:1f7b	Membership
7b93e6a1:150814fecb6:-6ab	Border
7b93e6a1:150814fecb6:1275	Membership
7b93e6a1:150814fecb6:b4a	Membership
7b93e6a1:150814fecb6:1609	Membership
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	City
7b93e6a1:150814fecb6:1869	Membership
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	Estuary
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	City
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Religion
7b93e6a1:150814fecb6:438	Membership
7b93e6a1:150814fecb6:-f0	Membership
7b93e6a1:150814fecb6:15b5	Membership
7b93e6a1:150814fecb6:-193	Membership
7b93e6a1:150814fecb6:265a	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Irtysch/	Water
7b93e6a1:150814fecb6:1be7	Membership
7b93e6a1:150814fecb6:1511	Membership
7b93e6a1:150814fecb6:-527	Membership
7b93e6a1:150814fecb6:698	Membership
7b93e6a1:150814fecb6:1b43	Membership
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	Water
http://www.semwebtech.org/mondial/10/island/SaintPierre/	Island
7b93e6a1:150814fecb6:3e4	Membership
7b93e6a1:150814fecb6:1771	Membership
7b93e6a1:150814fecb6:-787	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	City
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	Water
7b93e6a1:150814fecb6:107c	Membership
7b93e6a1:150814fecb6:340	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	City
7b93e6a1:150814fecb6:-4d3	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Province
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	Estuary
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Province
7b93e6a1:150814fecb6:22c6	BelievedBy
7b93e6a1:150814fecb6:d06	Membership
http://www.semwebtech.org/mondial/10/estuary/Rhone/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	City
7b93e6a1:150814fecb6:2222	SpokenBy
7b93e6a1:150814fecb6:934	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	City
7b93e6a1:150814fecb6:f66	Membership
7b93e6a1:150814fecb6:23f	Membership
7b93e6a1:150814fecb6:2482	EthnicProportion
7b93e6a1:150814fecb6:13bc	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Province
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	Mountain
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	City
7b93e6a1:150814fecb6:cb2	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Province
7b93e6a1:150814fecb6:-32e	Membership
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	City
7b93e6a1:150814fecb6:8e0	Membership
7b93e6a1:150814fecb6:49f	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	City
7b93e6a1:150814fecb6:1eb	Membership
7b93e6a1:150814fecb6:-58e	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	City
7b93e6a1:150814fecb6:7	Membership
7b93e6a1:150814fecb6:190c	Membership
7b93e6a1:150814fecb6:-2da	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	City
7b93e6a1:150814fecb6:1f3e	Membership
7b93e6a1:150814fecb6:1238	Membership
7b93e6a1:150814fecb6:20cd	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	City
7b93e6a1:150814fecb6:b0d	Membership
7b93e6a1:150814fecb6:7df	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	City
http://www.semwebtech.org/mondial/10/estuary/Karun/	Estuary
7b93e6a1:150814fecb6:73b	Membership
7b93e6a1:150814fecb6:1498	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	EthnicGroup
7b93e6a1:150814fecb6:d6d	Membership
7b93e6a1:150814fecb6:1eea	Membership
7b93e6a1:150814fecb6:11e4	Membership
7b93e6a1:150814fecb6:99b	Membership
7b93e6a1:150814fecb6:-b3	Membership
7b93e6a1:150814fecb6:1140	Membership
7b93e6a1:150814fecb6:-156	Membership
7b93e6a1:150814fecb6:261d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	Province
7b93e6a1:150814fecb6:1b06	Membership
7b93e6a1:150814fecb6:17d8	Membership
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	Islands
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Province
7b93e6a1:150814fecb6:3a7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	City
7b93e6a1:150814fecb6:1734	Membership
7b93e6a1:150814fecb6:303	Membership
7b93e6a1:150814fecb6:1d66	Membership
7b93e6a1:150814fecb6:103f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	City
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	City
7b93e6a1:150814fecb6:1ab2	Membership
7b93e6a1:150814fecb6:1994	Membership
http://www.semwebtech.org/mondial/10/organization/AG/	Organization
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	City
7b93e6a1:150814fecb6:563	Membership
7b93e6a1:150814fecb6:16e0	Membership
7b93e6a1:150814fecb6:-6f6	Border
7b93e6a1:150814fecb6:129f	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Province
7b93e6a1:150814fecb6:b95	Membership
7b93e6a1:150814fecb6:-652	Border
7b93e6a1:150814fecb6:24e9	EthnicProportion
7b93e6a1:150814fecb6:f29	Membership
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Mountains
7b93e6a1:150814fecb6:2445	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Mountains
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	City
7b93e6a1:150814fecb6:8a3	Membership
7b93e6a1:150814fecb6:15df	Membership
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	Desert
7b93e6a1:150814fecb6:ed5	Membership
7b93e6a1:150814fecb6:1ae	Membership
7b93e6a1:150814fecb6:153b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	City
7b93e6a1:150814fecb6:23f1	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Province
7b93e6a1:150814fecb6:e31	Membership
7b93e6a1:150814fecb6:10a	Membership
7b93e6a1:150814fecb6:1b6d	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	Mountain
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	City
7b93e6a1:150814fecb6:179b	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	City
7b93e6a1:150814fecb6:36a	Membership
7b93e6a1:150814fecb6:-4fd	Membership
7b93e6a1:150814fecb6:e4	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	City
7b93e6a1:150814fecb6:40	Membership
7b93e6a1:150814fecb6:1ead	Membership
7b93e6a1:150814fecb6:11a7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Province
7b93e6a1:150814fecb6:224c	BelievedBy
7b93e6a1:150814fecb6:95e	Membership
7b93e6a1:150814fecb6:1103	Membership
7b93e6a1:150814fecb6:-119	Membership
7b93e6a1:150814fecb6:6aa	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	City
7b93e6a1:150814fecb6:cdc	Membership
7b93e6a1:150814fecb6:1363	Membership
7b93e6a1:150814fecb6:-379	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	City
7b93e6a1:150814fecb6:1d29	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Province
http://www.semwebtech.org/mondial/10/country/PL/	Country
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	City
7b93e6a1:150814fecb6:192	Membership
7b93e6a1:150814fecb6:1957	Membership
7b93e6a1:150814fecb6:1f89	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Province
7b93e6a1:150814fecb6:526	Membership
7b93e6a1:150814fecb6:16a3	Membership
7b93e6a1:150814fecb6:-6b9	Border
7b93e6a1:150814fecb6:-281	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Province
7b93e6a1:150814fecb6:b58	Membership
7b93e6a1:150814fecb6:1cd5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	City
7b93e6a1:150814fecb6:-615	Border
7b93e6a1:150814fecb6:2074	Membership
7b93e6a1:150814fecb6:786	Membership
7b93e6a1:150814fecb6:1c31	Membership
7b93e6a1:150814fecb6:2408	BelievedBy
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	City
http://www.semwebtech.org/mondial/10/country/FSM/	Country
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	City
7b93e6a1:150814fecb6:4d2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	City
7b93e6a1:150814fecb6:1e91	Membership
7b93e6a1:150814fecb6:-dd	Membership
7b93e6a1:150814fecb6:-5c1	Membership
7b93e6a1:150814fecb6:116a	Membership
7b93e6a1:150814fecb6:2668	EthnicProportion
7b93e6a1:150814fecb6:a60	Membership
7b93e6a1:150814fecb6:23b4	BelievedBy
http://www.semwebtech.org/mondial/10/country/YE/	Country
7b93e6a1:150814fecb6:2310	BelievedBy
7b93e6a1:150814fecb6:175e	Membership
7b93e6a1:150814fecb6:32d	Membership
7b93e6a1:150814fecb6:14aa	Membership
7b93e6a1:150814fecb6:2570	EthnicProportion
7b93e6a1:150814fecb6:a7	Membership
7b93e6a1:150814fecb6:da0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Province
7b93e6a1:150814fecb6:1adc	Membership
7b93e6a1:150814fecb6:-41c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	City
7b93e6a1:150814fecb6:58d	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Province
7b93e6a1:150814fecb6:220f	SpokenBy
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	City
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	City
7b93e6a1:150814fecb6:-67c	Border
http://www.semwebtech.org/mondial/10/religion/Mormon/	Religion
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	Island
7b93e6a1:150814fecb6:246f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	City
7b93e6a1:150814fecb6:1326	Membership
http://www.semwebtech.org/mondial/10/source/March/	Source
7b93e6a1:150814fecb6:21bb	SpokenBy
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	City
7b93e6a1:150814fecb6:8cd	Membership
7b93e6a1:150814fecb6:eff	Membership
7b93e6a1:150814fecb6:1f9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Province
7b93e6a1:150814fecb6:1586	Membership
7b93e6a1:150814fecb6:e5b	Membership
7b93e6a1:150814fecb6:155	Membership
7b93e6a1:150814fecb6:12d2	Membership
7b93e6a1:150814fecb6:-2e8	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	City
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	City
7b93e6a1:150814fecb6:-244	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	City
7b93e6a1:150814fecb6:2037	Membership
7b93e6a1:150814fecb6:749	Membership
7b93e6a1:150814fecb6:18c6	Membership
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	City
7b93e6a1:150814fecb6:6a	Membership
http://www.semwebtech.org/mondial/10/source/Jordan/	Source
7b93e6a1:150814fecb6:1ef8	Membership
7b93e6a1:150814fecb6:1822	Membership
7b93e6a1:150814fecb6:-1f0	Membership
7b93e6a1:150814fecb6:2297	BelievedBy
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	City
7b93e6a1:150814fecb6:ac7	Membership
7b93e6a1:150814fecb6:1e54	Membership
7b93e6a1:150814fecb6:112d	Membership
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	Estuary
7b93e6a1:150814fecb6:a23	Membership
7b93e6a1:150814fecb6:6f5	Membership
7b93e6a1:150814fecb6:1ba0	Membership
http://www.semwebtech.org/mondial/10/island/Jamaica/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	EthnicGroup
7b93e6a1:150814fecb6:651	Membership
7b93e6a1:150814fecb6:-7e4	Encompassed
7b93e6a1:150814fecb6:138d	Membership
7b93e6a1:150814fecb6:c83	Membership
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Mountains
7b93e6a1:150814fecb6:-740	Encompassed
7b93e6a1:150814fecb6:25d7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Province
7b93e6a1:150814fecb6:2533	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Province
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	Water
7b93e6a1:150814fecb6:16cd	Membership
7b93e6a1:150814fecb6:fc3	Membership
7b93e6a1:150814fecb6:1cff	Membership
7b93e6a1:150814fecb6:-63f	Border
http://www.semwebtech.org/mondial/10/source/Vaal/	Source
7b93e6a1:150814fecb6:209e	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Province
7b93e6a1:150814fecb6:1c5b	Membership
http://www.semwebtech.org/mondial/10/river/Ticino/	Water
7b93e6a1:150814fecb6:4fc	Membership
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	City
http://www.semwebtech.org/mondial/10/river/Don/	Water
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	City
7b93e6a1:150814fecb6:-5eb	Border
7b93e6a1:150814fecb6:a8a	Membership
7b93e6a1:150814fecb6:1549	Membership
7b93e6a1:150814fecb6:-84	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	City
7b93e6a1:150814fecb6:23de	BelievedBy
7b93e6a1:150814fecb6:e1e	Membership
7b93e6a1:150814fecb6:118	Membership
http://www.semwebtech.org/mondial/10/estuary/Kama/	Estuary
7b93e6a1:150814fecb6:233a	BelievedBy
7b93e6a1:150814fecb6:-207	Membership
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	Organization
7b93e6a1:150814fecb6:378	Membership
7b93e6a1:150814fecb6:14f5	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	City
7b93e6a1:150814fecb6:259a	EthnicProportion
7b93e6a1:150814fecb6:dca	Membership
http://www.semwebtech.org/mondial/10/estuary/Zaire/	Estuary
7b93e6a1:150814fecb6:1451	Membership
7b93e6a1:150814fecb6:-467	Membership
7b93e6a1:150814fecb6:2d	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Province
7b93e6a1:150814fecb6:1a83	Membership
7b93e6a1:150814fecb6:-1b3	Membership
http://www.semwebtech.org/mondial/10/language/Chinese/	Language
7b93e6a1:150814fecb6:1e17	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	City
7b93e6a1:150814fecb6:6b8	Membership
7b93e6a1:150814fecb6:280	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	City
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	City
7b93e6a1:150814fecb6:614	Membership
7b93e6a1:150814fecb6:-7a7	Encompassed
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	City
7b93e6a1:150814fecb6:1dc3	Membership
7b93e6a1:150814fecb6:c46	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	City
7b93e6a1:150814fecb6:-703	Border
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Province
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	City
7b93e6a1:150814fecb6:2162	SpokenBy
7b93e6a1:150814fecb6:874	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	City
7b93e6a1:150814fecb6:19f1	Membership
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	Estuary
7b93e6a1:150814fecb6:5c0	Membership
7b93e6a1:150814fecb6:17f	Membership
7b93e6a1:150814fecb6:12fc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Province
7b93e6a1:150814fecb6:bf2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	City
7b93e6a1:150814fecb6:-26e	Membership
http://www.semwebtech.org/mondial/10/language/Belorussian/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	City
7b93e6a1:150814fecb6:24a2	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Curacao/	Island
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	Island
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Province
7b93e6a1:150814fecb6:1c1e	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	City
7b93e6a1:150814fecb6:4bf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	City
7b93e6a1:150814fecb6:184c	Membership
7b93e6a1:150814fecb6:1e7e	Membership
7b93e6a1:150814fecb6:41b	Membership
7b93e6a1:150814fecb6:1178	Membership
7b93e6a1:150814fecb6:-5ae	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	City
7b93e6a1:150814fecb6:a4d	Membership
7b93e6a1:150814fecb6:1bca	Membership
7b93e6a1:150814fecb6:-47	Membership
7b93e6a1:150814fecb6:-50a	Membership
7b93e6a1:150814fecb6:67b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	City
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	City
7b93e6a1:150814fecb6:-76a	Encompassed
http://www.semwebtech.org/mondial/10/island/Gheschm/	Island
7b93e6a1:150814fecb6:14b8	Membership
7b93e6a1:150814fecb6:1080	Membership
7b93e6a1:150814fecb6:255d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	City
7b93e6a1:150814fecb6:1414	Membership
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	City
7b93e6a1:150814fecb6:9bb	Membership
7b93e6a1:150814fecb6:1a46	Membership
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	Mountain
7b93e6a1:150814fecb6:fed	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	City
http://www.semwebtech.org/mondial/10/source/Murat/	Source
7b93e6a1:150814fecb6:2e7	Membership
7b93e6a1:150814fecb6:1674	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	City
7b93e6a1:150814fecb6:243	Membership
7b93e6a1:150814fecb6:13c0	Membership
7b93e6a1:150814fecb6:-3d6	Membership
7b93e6a1:150814fecb6:-332	Membership
7b93e6a1:150814fecb6:21c9	SpokenBy
7b93e6a1:150814fecb6:c09	Membership
7b93e6a1:150814fecb6:2125	SpokenBy
http://www.semwebtech.org/mondial/10/country/SGP/	Country
7b93e6a1:150814fecb6:837	Membership
7b93e6a1:150814fecb6:19b4	Membership
7b93e6a1:150814fecb6:-592	Membership
7b93e6a1:150814fecb6:e69	Membership
7b93e6a1:150814fecb6:1fe6	Membership
7b93e6a1:150814fecb6:1910	Membership
7b93e6a1:150814fecb6:12bf	Membership
7b93e6a1:150814fecb6:2385	BelievedBy
7b93e6a1:150814fecb6:bb5	Membership
7b93e6a1:150814fecb6:1f42	Membership
7b93e6a1:150814fecb6:121b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Province
7b93e6a1:150814fecb6:20d1	Membership
7b93e6a1:150814fecb6:b11	Membership
7b93e6a1:150814fecb6:7e3	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Province
7b93e6a1:150814fecb6:147b	Membership
7b93e6a1:150814fecb6:78	Membership
7b93e6a1:150814fecb6:d71	Membership
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	Water
7b93e6a1:150814fecb6:180f	Membership
7b93e6a1:150814fecb6:-1dd	Membership
7b93e6a1:150814fecb6:26c5	EthnicProportion
7b93e6a1:150814fecb6:2621	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Cuilo/	Water
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	City
7b93e6a1:150814fecb6:63e	Membership
7b93e6a1:150814fecb6:17bb	Membership
7b93e6a1:150814fecb6:1ded	Membership
7b93e6a1:150814fecb6:-72d	Encompassed
7b93e6a1:150814fecb6:10e7	Membership
7b93e6a1:150814fecb6:218c	SpokenBy
7b93e6a1:150814fecb6:89e	Membership
7b93e6a1:150814fecb6:1043	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	City
7b93e6a1:150814fecb6:5ea	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Province
7b93e6a1:150814fecb6:1a09	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	City
7b93e6a1:150814fecb6:1637	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	City
7b93e6a1:150814fecb6:24cc	EthnicProportion
7b93e6a1:150814fecb6:f0c	Membership
7b93e6a1:150814fecb6:206	Membership
7b93e6a1:150814fecb6:1c69	Membership
7b93e6a1:150814fecb6:1897	Membership
http://www.semwebtech.org/mondial/10/source/Ruzizi/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	City
http://www.semwebtech.org/mondial/10/estuary/Uelle/	Estuary
7b93e6a1:150814fecb6:466	Membership
7b93e6a1:150814fecb6:15e3	Membership
7b93e6a1:150814fecb6:-5f9	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	City
7b93e6a1:150814fecb6:a98	Membership
7b93e6a1:150814fecb6:1b2	Membership
7b93e6a1:150814fecb6:-555	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Newfoundland/	Island
7b93e6a1:150814fecb6:1fa9	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	City
7b93e6a1:150814fecb6:1b71	Membership
7b93e6a1:150814fecb6:-2a1	Membership
7b93e6a1:150814fecb6:2348	BelievedBy
7b93e6a1:150814fecb6:1f05	Membership
7b93e6a1:150814fecb6:7a6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	EthnicGroup
7b93e6a1:150814fecb6:dd8	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	City
7b93e6a1:150814fecb6:702	Membership
7b93e6a1:150814fecb6:143e	Membership
7b93e6a1:150814fecb6:22f4	BelievedBy
7b93e6a1:150814fecb6:d34	Membership
7b93e6a1:150814fecb6:1eb1	Membership
7b93e6a1:150814fecb6:2250	BelievedBy
7b93e6a1:150814fecb6:962	Membership
7b93e6a1:150814fecb6:169e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Province
7b93e6a1:150814fecb6:f94	Membership
7b93e6a1:150814fecb6:26d	Membership
7b93e6a1:150814fecb6:13ea	Membership
http://www.semwebtech.org/mondial/10/river/Würm/	Water
7b93e6a1:150814fecb6:ce0	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Province
7b93e6a1:150814fecb6:-35c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/	Country
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Province
http://www.semwebtech.org/mondial/10/mountain/Meru/	Mountain
http://www.semwebtech.org/mondial/10/religion/Druze/	Religion
7b93e6a1:150814fecb6:214f	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	Mountain
7b93e6a1:150814fecb6:1d0c	Membership
7b93e6a1:150814fecb6:19de	Membership
http://www.semwebtech.org/mondial/10/organization/ITU/	Organization
7b93e6a1:150814fecb6:1006	Membership
7b93e6a1:150814fecb6:5ad	Membership
7b93e6a1:150814fecb6:193a	Membership
7b93e6a1:150814fecb6:bdf	Membership
7b93e6a1:150814fecb6:1f6c	Membership
7b93e6a1:150814fecb6:1266	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	Water
7b93e6a1:150814fecb6:20fb	Membership
7b93e6a1:150814fecb6:b3b	Membership
http://www.semwebtech.org/mondial/10/estuary/Mekong/	Estuary
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	EthnicGroup
7b93e6a1:150814fecb6:d9b	Membership
http://www.semwebtech.org/mondial/10/organization/ARF/	Organization
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	City
7b93e6a1:150814fecb6:15a6	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	City
7b93e6a1:150814fecb6:429	Membership
7b93e6a1:150814fecb6:-e1	Membership
7b93e6a1:150814fecb6:-184	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	City
7b93e6a1:150814fecb6:264b	EthnicProportion
7b93e6a1:150814fecb6:1bd8	Membership
7b93e6a1:150814fecb6:1502	Membership
7b93e6a1:150814fecb6:-518	Membership
7b93e6a1:150814fecb6:689	Membership
7b93e6a1:150814fecb6:1b34	Membership
7b93e6a1:150814fecb6:3d5	Membership
7b93e6a1:150814fecb6:1762	Membership
7b93e6a1:150814fecb6:-778	Encompassed
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	Desert
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Religion
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	City
7b93e6a1:150814fecb6:331	Membership
7b93e6a1:150814fecb6:1d94	Membership
7b93e6a1:150814fecb6:-4c4	Membership
7b93e6a1:150814fecb6:106d	Membership
http://www.semwebtech.org/mondial/10/island/Ireland/	Island
7b93e6a1:150814fecb6:1ae0	Membership
7b93e6a1:150814fecb6:-420	Membership
7b93e6a1:150814fecb6:22b7	BelievedBy
7b93e6a1:150814fecb6:9c9	Membership
7b93e6a1:150814fecb6:591	Membership
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	Mountain
7b93e6a1:150814fecb6:2213	SpokenBy
7b93e6a1:150814fecb6:925	Membership
7b93e6a1:150814fecb6:-680	Border
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	City
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	City
7b93e6a1:150814fecb6:f57	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Province
7b93e6a1:150814fecb6:13ad	Membership
7b93e6a1:150814fecb6:2473	EthnicProportion
7b93e6a1:150814fecb6:ca3	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	City
7b93e6a1:150814fecb6:-31f	Membership
7b93e6a1:150814fecb6:8d1	Membership
http://www.semwebtech.org/mondial/10/estuary/Lech/	Estuary
7b93e6a1:150814fecb6:1dc	Membership
7b93e6a1:150814fecb6:-57f	Membership
7b93e6a1:150814fecb6:1b9b	Membership
7b93e6a1:150814fecb6:-2cb	Membership
7b93e6a1:150814fecb6:1f2f	Membership
7b93e6a1:150814fecb6:1229	Membership
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Province
7b93e6a1:150814fecb6:20be	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Province
7b93e6a1:150814fecb6:201a	Membership
7b93e6a1:150814fecb6:72c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Enns/	Source
7b93e6a1:150814fecb6:1489	Membership
7b93e6a1:150814fecb6:d5e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	EthnicGroup
7b93e6a1:150814fecb6:1edb	Membership
7b93e6a1:150814fecb6:260e	EthnicProportion
7b93e6a1:150814fecb6:11d5	Membership
7b93e6a1:150814fecb6:227a	BelievedBy
7b93e6a1:150814fecb6:aaa	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	City
7b93e6a1:150814fecb6:98c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	City
7b93e6a1:150814fecb6:-a4	Membership
7b93e6a1:150814fecb6:1131	Membership
7b93e6a1:150814fecb6:-147	Membership
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	City
http://www.semwebtech.org/mondial/10/river/Sobat/	Water
7b93e6a1:150814fecb6:17c9	Membership
7b93e6a1:150814fecb6:1391	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	City
7b93e6a1:150814fecb6:1725	Membership
7b93e6a1:150814fecb6:25ba	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	City
7b93e6a1:150814fecb6:1d57	Membership
7b93e6a1:150814fecb6:5f8	Membership
7b93e6a1:150814fecb6:1aa3	Membership
7b93e6a1:150814fecb6:1985	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Province
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Religion
7b93e6a1:150814fecb6:16d1	Membership
7b93e6a1:150814fecb6:554	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	Province
7b93e6a1:150814fecb6:-6e7	Border
7b93e6a1:150814fecb6:b86	Membership
7b93e6a1:150814fecb6:2a0	Membership
7b93e6a1:150814fecb6:-643	Border
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	City
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Province
7b93e6a1:150814fecb6:2436	BelievedBy
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	City
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	EthnicGroup
7b93e6a1:150814fecb6:2696	EthnicProportion
7b93e6a1:150814fecb6:ec6	Membership
7b93e6a1:150814fecb6:23e2	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	City
7b93e6a1:150814fecb6:152c	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	City
7b93e6a1:150814fecb6:e22	Membership
7b93e6a1:150814fecb6:1b5e	Membership
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	Estuary
http://www.semwebtech.org/mondial/10/language/Amerindian/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	City
7b93e6a1:150814fecb6:3ff	Membership
7b93e6a1:150814fecb6:178c	Membership
7b93e6a1:150814fecb6:35b	Membership
7b93e6a1:150814fecb6:-4ee	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	City
7b93e6a1:150814fecb6:d5	Membership
7b93e6a1:150814fecb6:-44a	Membership
7b93e6a1:150814fecb6:31	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	City
7b93e6a1:150814fecb6:223d	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	City
7b93e6a1:150814fecb6:94f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	City
7b93e6a1:150814fecb6:13f8	Membership
7b93e6a1:150814fecb6:249d	EthnicProportion
7b93e6a1:150814fecb6:ccd	Membership
7b93e6a1:150814fecb6:1354	Membership
7b93e6a1:150814fecb6:8fb	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	City
7b93e6a1:150814fecb6:10a0	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	City
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	City
7b93e6a1:150814fecb6:1948	Membership
7b93e6a1:150814fecb6:183	Membership
http://www.semwebtech.org/mondial/10/organization/NATO/	Organization
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	City
7b93e6a1:150814fecb6:517	Membership
7b93e6a1:150814fecb6:-272	Membership
7b93e6a1:150814fecb6:b49	Membership
7b93e6a1:150814fecb6:1cc6	Membership
7b93e6a1:150814fecb6:-606	Border
http://www.semwebtech.org/mondial/10/source/Selenge/	Source
7b93e6a1:150814fecb6:2065	Membership
7b93e6a1:150814fecb6:1c22	Membership
7b93e6a1:150814fecb6:777	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	City
7b93e6a1:150814fecb6:18f4	Membership
http://www.semwebtech.org/mondial/10/organization/AU/	Organization
7b93e6a1:150814fecb6:4c3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	City
7b93e6a1:150814fecb6:1850	Membership
7b93e6a1:150814fecb6:11ff	Membership
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Language
7b93e6a1:150814fecb6:1e82	Membership
7b93e6a1:150814fecb6:af5	Membership
7b93e6a1:150814fecb6:115b	Membership
7b93e6a1:150814fecb6:-ce	Membership
7b93e6a1:150814fecb6:-5b2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	City
7b93e6a1:150814fecb6:2659	EthnicProportion
7b93e6a1:150814fecb6:a51	Membership
http://www.semwebtech.org/mondial/10/island/Mull/	Island
7b93e6a1:150814fecb6:-2a	Membership
7b93e6a1:150814fecb6:23a5	BelievedBy
http://www.semwebtech.org/mondial/10/desert/Gobi/	Desert
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	City
7b93e6a1:150814fecb6:2301	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	City
7b93e6a1:150814fecb6:174f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	City
7b93e6a1:150814fecb6:31e	Membership
7b93e6a1:150814fecb6:2561	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Senegal/	Source
7b93e6a1:150814fecb6:1acd	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	City
7b93e6a1:150814fecb6:-40d	Membership
7b93e6a1:150814fecb6:57e	Membership
7b93e6a1:150814fecb6:16fb	Membership
http://www.semwebtech.org/mondial/10/river/Tobol/	Water
7b93e6a1:150814fecb6:ff1	Membership
7b93e6a1:150814fecb6:2ca	Membership
7b93e6a1:150814fecb6:-66d	Border
http://www.semwebtech.org/mondial/10/estuary/Gambia/	Estuary
7b93e6a1:150814fecb6:1317	Membership
7b93e6a1:150814fecb6:21ac	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	City
7b93e6a1:150814fecb6:8be	Membership
7b93e6a1:150814fecb6:81a	Membership
7b93e6a1:150814fecb6:1577	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	City
7b93e6a1:150814fecb6:e4c	Membership
7b93e6a1:150814fecb6:146	Membership
7b93e6a1:150814fecb6:12c3	Membership
7b93e6a1:150814fecb6:-2d9	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	City
http://www.semwebtech.org/mondial/10/organization/UNMISS/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	City
7b93e6a1:150814fecb6:-235	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	City
7b93e6a1:150814fecb6:ff	Membership
7b93e6a1:150814fecb6:2028	Membership
7b93e6a1:150814fecb6:18b7	Membership
7b93e6a1:150814fecb6:-495	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	City
7b93e6a1:150814fecb6:5b	Membership
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	Mountain
7b93e6a1:150814fecb6:1ee9	Membership
7b93e6a1:150814fecb6:1813	Membership
7b93e6a1:150814fecb6:-1e1	Membership
http://www.semwebtech.org/mondial/10/country/SA/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Province
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	Mountain
7b93e6a1:150814fecb6:2288	BelievedBy
7b93e6a1:150814fecb6:5b1	Membership
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	Estuary
7b93e6a1:150814fecb6:ab8	Membership
7b93e6a1:150814fecb6:1e45	Membership
http://www.semwebtech.org/mondial/10/estuary/Karasu/	Estuary
7b93e6a1:150814fecb6:111e	Membership
7b93e6a1:150814fecb6:a14	Membership
7b93e6a1:150814fecb6:6e6	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	EthnicGroup
7b93e6a1:150814fecb6:642	Membership
7b93e6a1:150814fecb6:137e	Membership
7b93e6a1:150814fecb6:-7d5	Encompassed
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	City
7b93e6a1:150814fecb6:c74	Membership
7b93e6a1:150814fecb6:1df1	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	City
7b93e6a1:150814fecb6:-731	Encompassed
7b93e6a1:150814fecb6:10ca	Membership
7b93e6a1:150814fecb6:25c8	EthnicProportion
7b93e6a1:150814fecb6:2190	SpokenBy
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	City
http://www.semwebtech.org/mondial/10/organization/IOM/	Organization
7b93e6a1:150814fecb6:2524	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Lena/	Water
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	City
7b93e6a1:150814fecb6:16be	Membership
7b93e6a1:150814fecb6:-29c	Membership
7b93e6a1:150814fecb6:fb4	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	City
7b93e6a1:150814fecb6:161a	Membership
7b93e6a1:150814fecb6:24d0	EthnicProportion
7b93e6a1:150814fecb6:208f	Membership
7b93e6a1:150814fecb6:f10	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	City
7b93e6a1:150814fecb6:1c4c	Membership
7b93e6a1:150814fecb6:4ed	Membership
7b93e6a1:150814fecb6:187a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Province
http://www.semwebtech.org/mondial/10/source/Akagera/	Source
7b93e6a1:150814fecb6:-5dc	Border
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	EthnicGroup
7b93e6a1:150814fecb6:a7b	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Province
7b93e6a1:150814fecb6:-75	Membership
7b93e6a1:150814fecb6:23cf	BelievedBy
7b93e6a1:150814fecb6:e0f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	City
7b93e6a1:150814fecb6:109	Membership
7b93e6a1:150814fecb6:232b	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	City
7b93e6a1:150814fecb6:369	Membership
7b93e6a1:150814fecb6:14e6	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	City
7b93e6a1:150814fecb6:258b	EthnicProportion
7b93e6a1:150814fecb6:dbb	Membership
7b93e6a1:150814fecb6:1442	Membership
7b93e6a1:150814fecb6:-458	Membership
7b93e6a1:150814fecb6:1e	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	City
7b93e6a1:150814fecb6:1a74	Membership
7b93e6a1:150814fecb6:-1a4	Membership
http://www.semwebtech.org/mondial/10/organization/WHO/	Organization
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	EthnicGroup
7b93e6a1:150814fecb6:1e08	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	City
7b93e6a1:150814fecb6:-100	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Province
http://www.semwebtech.org/mondial/10/organization/OAS/	Organization
7b93e6a1:150814fecb6:6a9	Membership
7b93e6a1:150814fecb6:271	Membership
7b93e6a1:150814fecb6:605	Membership
7b93e6a1:150814fecb6:-360	Membership
7b93e6a1:150814fecb6:21f7	SpokenBy
7b93e6a1:150814fecb6:c37	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	City
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	City
7b93e6a1:150814fecb6:1db4	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	City
7b93e6a1:150814fecb6:2153	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	City
7b93e6a1:150814fecb6:865	Membership
7b93e6a1:150814fecb6:1d10	Membership
7b93e6a1:150814fecb6:19e2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Province
7b93e6a1:150814fecb6:e97	Membership
http://www.semwebtech.org/mondial/10/country/TUV/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	City
7b93e6a1:150814fecb6:12ed	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	City
7b93e6a1:150814fecb6:be3	Membership
7b93e6a1:150814fecb6:1f70	Membership
7b93e6a1:150814fecb6:-6a0	Border
7b93e6a1:150814fecb6:-25f	Membership
http://www.semwebtech.org/mondial/10/island/Santiago/	Island
http://www.semwebtech.org/mondial/10/language/Korean/	Language
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	City
7b93e6a1:150814fecb6:1c0f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	City
7b93e6a1:150814fecb6:183d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/HONX/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Province
7b93e6a1:150814fecb6:40c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	City
7b93e6a1:150814fecb6:1e6f	Membership
7b93e6a1:150814fecb6:1169	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	City
7b93e6a1:150814fecb6:a3e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	City
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Province
7b93e6a1:150814fecb6:1bbb	Membership
7b93e6a1:150814fecb6:-38	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	City
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	Desert
7b93e6a1:150814fecb6:66c	Membership
7b93e6a1:150814fecb6:-7ff	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	Estuary
7b93e6a1:150814fecb6:c9e	Membership
7b93e6a1:150814fecb6:-75b	Encompassed
7b93e6a1:150814fecb6:254e	EthnicProportion
7b93e6a1:150814fecb6:14a9	Membership
7b93e6a1:150814fecb6:1071	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Province
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	Water
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	City
7b93e6a1:150814fecb6:1405	Membership
7b93e6a1:150814fecb6:9ac	Membership
7b93e6a1:150814fecb6:1a37	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	City
7b93e6a1:150814fecb6:fde	Membership
7b93e6a1:150814fecb6:2d8	Membership
7b93e6a1:150814fecb6:1665	Membership
7b93e6a1:150814fecb6:24fa	EthnicProportion
7b93e6a1:150814fecb6:1c97	Membership
7b93e6a1:150814fecb6:f3a	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	City
7b93e6a1:150814fecb6:234	Membership
7b93e6a1:150814fecb6:13b1	Membership
7b93e6a1:150814fecb6:-3c7	Membership
http://www.semwebtech.org/mondial/10/organization/UNMIL/	Organization
7b93e6a1:150814fecb6:-323	Membership
7b93e6a1:150814fecb6:494	Membership
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	Mountain
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Province
7b93e6a1:150814fecb6:2116	Membership
7b93e6a1:150814fecb6:19a5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	City
7b93e6a1:150814fecb6:828	Membership
7b93e6a1:150814fecb6:1e0	Membership
7b93e6a1:150814fecb6:-9f	Membership
7b93e6a1:150814fecb6:-583	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	City
http://www.semwebtech.org/mondial/10/island/Sokotra/	Island
7b93e6a1:150814fecb6:1fd7	Membership
7b93e6a1:150814fecb6:1901	Membership
7b93e6a1:150814fecb6:2376	BelievedBy
7b93e6a1:150814fecb6:ba6	Membership
7b93e6a1:150814fecb6:1f33	Membership
7b93e6a1:150814fecb6:120c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	EthnicGroup
7b93e6a1:150814fecb6:20c2	Membership
7b93e6a1:150814fecb6:b02	Membership
7b93e6a1:150814fecb6:7d4	Membership
7b93e6a1:150814fecb6:730	Membership
7b93e6a1:150814fecb6:146c	Membership
7b93e6a1:150814fecb6:69	Membership
7b93e6a1:150814fecb6:d62	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	EthnicGroup
7b93e6a1:150814fecb6:26b6	EthnicProportion
7b93e6a1:150814fecb6:1a9e	Membership
7b93e6a1:150814fecb6:-1ce	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	City
http://www.semwebtech.org/mondial/10/river/Douro/	Water
7b93e6a1:150814fecb6:990	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Province
7b93e6a1:150814fecb6:-12a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Province
7b93e6a1:150814fecb6:2612	EthnicProportion
7b93e6a1:150814fecb6:151d	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	City
7b93e6a1:150814fecb6:29b	Membership
http://www.semwebtech.org/mondial/10/country/PAL/	Country
7b93e6a1:150814fecb6:62f	Membership
7b93e6a1:150814fecb6:17ac	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	City
7b93e6a1:150814fecb6:-38a	Membership
7b93e6a1:150814fecb6:217d	SpokenBy
http://www.semwebtech.org/mondial/10/island/St.Martin/	Island
7b93e6a1:150814fecb6:1dde	Membership
7b93e6a1:150814fecb6:-71e	Encompassed
7b93e6a1:150814fecb6:10d8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	City
7b93e6a1:150814fecb6:88f	Membership
7b93e6a1:150814fecb6:1d3a	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	City
7b93e6a1:150814fecb6:1034	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	City
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	City
7b93e6a1:150814fecb6:5db	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Province
http://www.semwebtech.org/mondial/10/language/Swedish/	Language
7b93e6a1:150814fecb6:1f9a	Membership
7b93e6a1:150814fecb6:-6ca	Border
7b93e6a1:150814fecb6:1294	Membership
http://www.semwebtech.org/mondial/10/estuary/Oka/	Estuary
7b93e6a1:150814fecb6:1628	Membership
7b93e6a1:150814fecb6:24bd	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Namib/	Desert
7b93e6a1:150814fecb6:1888	Membership
http://www.semwebtech.org/mondial/10/river/Mekong/	Water
7b93e6a1:150814fecb6:457	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	City
7b93e6a1:150814fecb6:15d4	Membership
7b93e6a1:150814fecb6:1530	Membership
7b93e6a1:150814fecb6:a89	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	City
7b93e6a1:150814fecb6:1a3	Membership
7b93e6a1:150814fecb6:-546	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	City
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	City
7b93e6a1:150814fecb6:1b62	Membership
7b93e6a1:150814fecb6:2339	BelievedBy
7b93e6a1:150814fecb6:1790	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	Province
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	City
http://www.semwebtech.org/mondial/10/language/Portuguese/	Language
7b93e6a1:150814fecb6:-4f2	Membership
7b93e6a1:150814fecb6:109b	Membership
7b93e6a1:150814fecb6:2599	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Province
7b93e6a1:150814fecb6:dc9	Membership
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Religion
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mountains
7b93e6a1:150814fecb6:142f	Membership
7b93e6a1:150814fecb6:22e5	BelievedBy
7b93e6a1:150814fecb6:d25	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	City
7b93e6a1:150814fecb6:9f7	Membership
http://www.semwebtech.org/mondial/10/source/Saar/	Source
7b93e6a1:150814fecb6:1ea2	Membership
7b93e6a1:150814fecb6:2241	BelievedBy
http://www.semwebtech.org/mondial/10/island/Tongatapu/	Island
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Province
http://www.semwebtech.org/mondial/10/country/BY/	Country
7b93e6a1:150814fecb6:953	Membership
7b93e6a1:150814fecb6:168f	Membership
7b93e6a1:150814fecb6:f85	Membership
7b93e6a1:150814fecb6:25e	Membership
7b93e6a1:150814fecb6:13db	Membership
7b93e6a1:150814fecb6:cd1	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	City
7b93e6a1:150814fecb6:-34d	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	City
7b93e6a1:150814fecb6:19cf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Province
7b93e6a1:150814fecb6:192b	Membership
http://www.semwebtech.org/mondial/10/country/IL/	Country
7b93e6a1:150814fecb6:1f5d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	City
7b93e6a1:150814fecb6:1257	Membership
7b93e6a1:150814fecb6:20ec	Membership
7b93e6a1:150814fecb6:b2c	Membership
7b93e6a1:150814fecb6:7fe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	City
7b93e6a1:150814fecb6:75a	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Province
http://www.semwebtech.org/mondial/10/country/SUD/	Country
7b93e6a1:150814fecb6:d8c	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	City
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Province
7b93e6a1:150814fecb6:-d2	Membership
7b93e6a1:150814fecb6:-175	Membership
7b93e6a1:150814fecb6:263c	EthnicProportion
7b93e6a1:150814fecb6:1bc9	Membership
7b93e6a1:150814fecb6:-509	Membership
7b93e6a1:150814fecb6:1b25	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	City
7b93e6a1:150814fecb6:17f7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Province
http://www.semwebtech.org/mondial/10/source/Orinoco/	Source
7b93e6a1:150814fecb6:3c6	Membership
7b93e6a1:150814fecb6:1753	Membership
7b93e6a1:150814fecb6:-769	Encompassed
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	City
7b93e6a1:150814fecb6:322	Membership
7b93e6a1:150814fecb6:1d85	Membership
7b93e6a1:150814fecb6:-4b5	Membership
7b93e6a1:150814fecb6:105e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Province
7b93e6a1:150814fecb6:1ad1	Membership
7b93e6a1:150814fecb6:-411	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	City
7b93e6a1:150814fecb6:22a8	BelievedBy
7b93e6a1:150814fecb6:582	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Province
7b93e6a1:150814fecb6:2204	SpokenBy
7b93e6a1:150814fecb6:916	Membership
7b93e6a1:150814fecb6:-671	Border
http://www.semwebtech.org/mondial/10/estuary/Loire/	Estuary
7b93e6a1:150814fecb6:f48	Membership
7b93e6a1:150814fecb6:2464	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	City
7b93e6a1:150814fecb6:21b0	SpokenBy
7b93e6a1:150814fecb6:8c2	Membership
7b93e6a1:150814fecb6:15fe	Membership
7b93e6a1:150814fecb6:ef4	Membership
7b93e6a1:150814fecb6:1cd	Membership
7b93e6a1:150814fecb6:155a	Membership
7b93e6a1:150814fecb6:e50	Membership
7b93e6a1:150814fecb6:1b8c	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Province
7b93e6a1:150814fecb6:-2bc	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Province
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	Water
7b93e6a1:150814fecb6:20af	Membership
http://www.semwebtech.org/mondial/10/island/Islay/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	City
7b93e6a1:150814fecb6:200b	Membership
7b93e6a1:150814fecb6:71d	Membership
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	Water
http://www.semwebtech.org/mondial/10/island/Hawaii/	Island
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Province
7b93e6a1:150814fecb6:d4f	Membership
7b93e6a1:150814fecb6:1ecc	Membership
7b93e6a1:150814fecb6:-80c	Encompassed
7b93e6a1:150814fecb6:11c6	Membership
7b93e6a1:150814fecb6:226b	BelievedBy
http://www.semwebtech.org/mondial/10/island/PuertoRico/	Island
7b93e6a1:150814fecb6:97d	Membership
7b93e6a1:150814fecb6:1122	Membership
7b93e6a1:150814fecb6:-138	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Province
7b93e6a1:150814fecb6:cfb	Membership
7b93e6a1:150814fecb6:1382	Membership
7b93e6a1:150814fecb6:-398	Membership
http://www.semwebtech.org/mondial/10/country/J/	Country
7b93e6a1:150814fecb6:1716	Membership
7b93e6a1:150814fecb6:25ab	EthnicProportion
7b93e6a1:150814fecb6:1d48	Membership
7b93e6a1:150814fecb6:5e9	Membership
7b93e6a1:150814fecb6:1976	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	City
7b93e6a1:150814fecb6:545	Membership
7b93e6a1:150814fecb6:16c2	Membership
7b93e6a1:150814fecb6:-6d8	Border
http://www.semwebtech.org/mondial/10/river/Ammer/	Water
7b93e6a1:150814fecb6:b77	Membership
7b93e6a1:150814fecb6:1cf4	Membership
7b93e6a1:150814fecb6:-634	Border
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	Water
7b93e6a1:150814fecb6:2093	Membership
7b93e6a1:150814fecb6:1c50	Membership
http://www.semwebtech.org/mondial/10/river/Alz/	Water
7b93e6a1:150814fecb6:2427	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Province
7b93e6a1:150814fecb6:4f1	Membership
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	Estuary
http://www.semwebtech.org/mondial/10/language/Finnish/	Language
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	Mountain
7b93e6a1:150814fecb6:-fc	Membership
7b93e6a1:150814fecb6:-5e0	Border
7b93e6a1:150814fecb6:-19f	Membership
7b93e6a1:150814fecb6:2687	EthnicProportion
7b93e6a1:150814fecb6:eb7	Membership
7b93e6a1:150814fecb6:23d3	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	City
7b93e6a1:150814fecb6:e13	Membership
7b93e6a1:150814fecb6:1b4f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	City
http://www.semwebtech.org/mondial/10/source/Lulua/	Source
7b93e6a1:150814fecb6:177d	Membership
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	Water
7b93e6a1:150814fecb6:34c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	City
7b93e6a1:150814fecb6:-4df	Membership
7b93e6a1:150814fecb6:c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	EthnicGroup
7b93e6a1:150814fecb6:1afb	Membership
7b93e6a1:150814fecb6:-43b	Membership
7b93e6a1:150814fecb6:22	Membership
7b93e6a1:150814fecb6:222e	SpokenBy
7b93e6a1:150814fecb6:-69b	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	City
7b93e6a1:150814fecb6:13e9	Membership
7b93e6a1:150814fecb6:248e	EthnicProportion
7b93e6a1:150814fecb6:cbe	Membership
7b93e6a1:150814fecb6:1345	Membership
7b93e6a1:150814fecb6:21da	SpokenBy
7b93e6a1:150814fecb6:c1a	Membership
7b93e6a1:150814fecb6:8ec	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	EthnicGroup
7b93e6a1:150814fecb6:e7a	Membership
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	Mountain
7b93e6a1:150814fecb6:174	Membership
7b93e6a1:150814fecb6:1939	Membership
7b93e6a1:150814fecb6:12f1	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Province
7b93e6a1:150814fecb6:508	Membership
7b93e6a1:150814fecb6:-263	Membership
http://www.semwebtech.org/mondial/10/island/Oeland/	Island
7b93e6a1:150814fecb6:1cb7	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Province
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	City
7b93e6a1:150814fecb6:2056	Membership
7b93e6a1:150814fecb6:768	Membership
7b93e6a1:150814fecb6:1c13	Membership
7b93e6a1:150814fecb6:18e5	Membership
7b93e6a1:150814fecb6:4b4	Membership
7b93e6a1:150814fecb6:1841	Membership
7b93e6a1:150814fecb6:1e73	Membership
7b93e6a1:150814fecb6:ae6	Membership
7b93e6a1:150814fecb6:410	Membership
7b93e6a1:150814fecb6:-bf	Membership
7b93e6a1:150814fecb6:-5a3	Membership
7b93e6a1:150814fecb6:114c	Membership
7b93e6a1:150814fecb6:a42	Membership
7b93e6a1:150814fecb6:-1b	Membership
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	Water
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	City
7b93e6a1:150814fecb6:670	Membership
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	Mountain
http://www.semwebtech.org/mondial/10/river/Karasu/	Water
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	Estuary
7b93e6a1:150814fecb6:25f6	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Weichsel/	Water
http://www.semwebtech.org/mondial/10/estuary/Oder/	Estuary
7b93e6a1:150814fecb6:30f	Membership
7b93e6a1:150814fecb6:2552	EthnicProportion
7b93e6a1:150814fecb6:1abe	Membership
http://www.semwebtech.org/mondial/10/river/Isar/	Water
7b93e6a1:150814fecb6:1a1a	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	City
7b93e6a1:150814fecb6:9b0	Membership
7b93e6a1:150814fecb6:56f	Membership
7b93e6a1:150814fecb6:16ec	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	City
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	Desert
http://www.semwebtech.org/mondial/10/island/Ascension/	Island
7b93e6a1:150814fecb6:fe2	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	City
7b93e6a1:150814fecb6:2bb	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	City
7b93e6a1:150814fecb6:-65e	Border
7b93e6a1:150814fecb6:1c7a	Membership
7b93e6a1:150814fecb6:-3aa	Membership
7b93e6a1:150814fecb6:1308	Membership
7b93e6a1:150814fecb6:8af	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	City
7b93e6a1:150814fecb6:80b	Membership
7b93e6a1:150814fecb6:1568	Membership
7b93e6a1:150814fecb6:23fd	BelievedBy
7b93e6a1:150814fecb6:e3d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Province
7b93e6a1:150814fecb6:1fba	Membership
7b93e6a1:150814fecb6:137	Membership
7b93e6a1:150814fecb6:12b4	Membership
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	Estuary
7b93e6a1:150814fecb6:1210	Membership
7b93e6a1:150814fecb6:21e8	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	City
7b93e6a1:150814fecb6:-226	Membership
http://www.semwebtech.org/mondial/10/country/BVIR/	Country
7b93e6a1:150814fecb6:397	Membership
http://www.semwebtech.org/mondial/10/estuary/Niger/	Estuary
7b93e6a1:150814fecb6:2019	Membership
7b93e6a1:150814fecb6:18a8	Membership
7b93e6a1:150814fecb6:1470	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Province
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	City
http://www.semwebtech.org/mondial/10/organization/OPEC/	Organization
7b93e6a1:150814fecb6:-486	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	City
7b93e6a1:150814fecb6:4c	Membership
7b93e6a1:150814fecb6:1804	Membership
7b93e6a1:150814fecb6:-1d2	Membership
7b93e6a1:150814fecb6:2279	BelievedBy
http://www.semwebtech.org/mondial/10/source/Manicouagan/	Source
7b93e6a1:150814fecb6:aa9	Membership
http://www.semwebtech.org/mondial/10/organization/IFAD/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	City
7b93e6a1:150814fecb6:1e36	Membership
7b93e6a1:150814fecb6:110f	Membership
7b93e6a1:150814fecb6:a05	Membership
7b93e6a1:150814fecb6:6d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Serbian/	Language
7b93e6a1:150814fecb6:633	Membership
7b93e6a1:150814fecb6:17b0	Membership
7b93e6a1:150814fecb6:-7c6	Encompassed
7b93e6a1:150814fecb6:136f	Membership
7b93e6a1:150814fecb6:c65	Membership
7b93e6a1:150814fecb6:1de2	Membership
7b93e6a1:150814fecb6:-722	Encompassed
7b93e6a1:150814fecb6:10bb	Membership
7b93e6a1:150814fecb6:25b9	EthnicProportion
7b93e6a1:150814fecb6:2181	SpokenBy
http://www.semwebtech.org/mondial/10/desert/KumTagh/	Desert
7b93e6a1:150814fecb6:893	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Province
7b93e6a1:150814fecb6:2515	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	City
7b93e6a1:150814fecb6:19e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	City
7b93e6a1:150814fecb6:16af	Membership
7b93e6a1:150814fecb6:-28d	Membership
7b93e6a1:150814fecb6:fa5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Province
7b93e6a1:150814fecb6:160b	Membership
7b93e6a1:150814fecb6:24c1	EthnicProportion
7b93e6a1:150814fecb6:f01	Membership
7b93e6a1:150814fecb6:1c3d	Membership
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	Water
http://www.semwebtech.org/mondial/10/river/Jangtse/	Water
7b93e6a1:150814fecb6:4de	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Province
7b93e6a1:150814fecb6:186b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	EthnicGroup
7b93e6a1:150814fecb6:1e9d	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	City
7b93e6a1:150814fecb6:1197	Membership
7b93e6a1:150814fecb6:43a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	City
7b93e6a1:150814fecb6:-5cd	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Province
http://www.semwebtech.org/mondial/10/country/SRB/	Country
7b93e6a1:150814fecb6:a6c	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	City
7b93e6a1:150814fecb6:-66	Membership
7b93e6a1:150814fecb6:69a	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	City
7b93e6a1:150814fecb6:231c	BelievedBy
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Province
http://www.semwebtech.org/mondial/10/estuary/Maranon/	Estuary
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	City
7b93e6a1:150814fecb6:14d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	EthnicGroup
7b93e6a1:150814fecb6:257c	EthnicProportion
7b93e6a1:150814fecb6:dac	Membership
7b93e6a1:150814fecb6:1433	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	City
7b93e6a1:150814fecb6:-449	Membership
7b93e6a1:150814fecb6:9da	Membership
7b93e6a1:150814fecb6:1a65	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	City
7b93e6a1:150814fecb6:1693	Membership
7b93e6a1:150814fecb6:262	Membership
http://www.semwebtech.org/mondial/10/estuary/Glomma/	Estuary
7b93e6a1:150814fecb6:-3f5	Membership
7b93e6a1:150814fecb6:-351	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	City
7b93e6a1:150814fecb6:c28	Membership
7b93e6a1:150814fecb6:1da5	Membership
http://www.semwebtech.org/mondial/10/source/Amazonas/	Source
7b93e6a1:150814fecb6:2144	SpokenBy
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	City
7b93e6a1:150814fecb6:856	Membership
7b93e6a1:150814fecb6:1d01	Membership
7b93e6a1:150814fecb6:19d3	Membership
7b93e6a1:150814fecb6:e88	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	City
7b93e6a1:150814fecb6:5a2	Membership
7b93e6a1:150814fecb6:12de	Membership
7b93e6a1:150814fecb6:bd4	Membership
7b93e6a1:150814fecb6:1f61	Membership
7b93e6a1:150814fecb6:123a	Membership
7b93e6a1:150814fecb6:20f0	Membership
7b93e6a1:150814fecb6:b30	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	City
7b93e6a1:150814fecb6:149a	Membership
7b93e6a1:150814fecb6:97	Membership
7b93e6a1:150814fecb6:d90	Membership
7b93e6a1:150814fecb6:182e	Membership
7b93e6a1:150814fecb6:-1fc	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	City
7b93e6a1:150814fecb6:2640	EthnicProportion
7b93e6a1:150814fecb6:a2f	Membership
7b93e6a1:150814fecb6:1bac	Membership
7b93e6a1:150814fecb6:-29	Membership
7b93e6a1:150814fecb6:65d	Membership
7b93e6a1:150814fecb6:17da	Membership
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Religion
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Province
7b93e6a1:150814fecb6:c8f	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	City
7b93e6a1:150814fecb6:-74c	Encompassed
http://www.semwebtech.org/mondial/10/language/Bosnian/	Language
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	Mountain
7b93e6a1:150814fecb6:1062	Membership
7b93e6a1:150814fecb6:253f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	City
7b93e6a1:150814fecb6:1a28	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	City
7b93e6a1:150814fecb6:fcf	Membership
7b93e6a1:150814fecb6:2c9	Membership
http://www.semwebtech.org/mondial/10/river/Inn/	Water
7b93e6a1:150814fecb6:1656	Membership
7b93e6a1:150814fecb6:24eb	EthnicProportion
7b93e6a1:150814fecb6:f2b	Membership
7b93e6a1:150814fecb6:1c88	Membership
7b93e6a1:150814fecb6:225	Membership
7b93e6a1:150814fecb6:13a2	Membership
7b93e6a1:150814fecb6:-3b8	Membership
7b93e6a1:150814fecb6:-314	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	City
7b93e6a1:150814fecb6:485	Membership
7b93e6a1:150814fecb6:2107	Membership
7b93e6a1:150814fecb6:819	Membership
7b93e6a1:150814fecb6:1d1	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	Mountain
7b93e6a1:150814fecb6:-574	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	Estuary
7b93e6a1:150814fecb6:1fc8	Membership
7b93e6a1:150814fecb6:1b90	Membership
7b93e6a1:150814fecb6:-2c0	Membership
7b93e6a1:150814fecb6:2367	BelievedBy
7b93e6a1:150814fecb6:1f24	Membership
7b93e6a1:150814fecb6:20b3	Membership
7b93e6a1:150814fecb6:7c5	Membership
7b93e6a1:150814fecb6:df7	Membership
7b93e6a1:150814fecb6:721	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	City
7b93e6a1:150814fecb6:145d	Membership
7b93e6a1:150814fecb6:d53	Membership
7b93e6a1:150814fecb6:1ed0	Membership
7b93e6a1:150814fecb6:1a8f	Membership
7b93e6a1:150814fecb6:-810	Encompassed
7b93e6a1:150814fecb6:-1bf	Membership
7b93e6a1:150814fecb6:26a7	EthnicProportion
7b93e6a1:150814fecb6:981	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	City
7b93e6a1:150814fecb6:-11b	Membership
7b93e6a1:150814fecb6:2603	EthnicProportion
7b93e6a1:150814fecb6:28c	Membership
7b93e6a1:150814fecb6:-37b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	City
7b93e6a1:150814fecb6:1dcf	Membership
7b93e6a1:150814fecb6:-70f	Border
7b93e6a1:150814fecb6:10c9	Membership
7b93e6a1:150814fecb6:216e	SpokenBy
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	City
7b93e6a1:150814fecb6:1d2b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	City
7b93e6a1:150814fecb6:19fd	Membership
7b93e6a1:150814fecb6:1025	Membership
7b93e6a1:150814fecb6:5cc	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	City
7b93e6a1:150814fecb6:bfe	Membership
7b93e6a1:150814fecb6:1f8b	Membership
7b93e6a1:150814fecb6:-6bb	Border
7b93e6a1:150814fecb6:1285	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	City
7b93e6a1:150814fecb6:b5a	Membership
http://www.semwebtech.org/mondial/10/island/SaoTome/	Island
7b93e6a1:150814fecb6:1619	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Province
7b93e6a1:150814fecb6:24ae	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Ganges/	Source
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	City
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	Islands
7b93e6a1:150814fecb6:240a	BelievedBy
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	Water
http://www.semwebtech.org/mondial/10/desert/Rigestan/	Desert
7b93e6a1:150814fecb6:1879	Membership
http://www.semwebtech.org/mondial/10/organization/CERN/	Organization
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	City
7b93e6a1:150814fecb6:448	Membership
7b93e6a1:150814fecb6:15c5	Membership
7b93e6a1:150814fecb6:266a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Province
http://www.semwebtech.org/mondial/10/source/Dnjestr/	Source
7b93e6a1:150814fecb6:1bf7	Membership
7b93e6a1:150814fecb6:1521	Membership
7b93e6a1:150814fecb6:-537	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	City
7b93e6a1:150814fecb6:1b53	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Province
7b93e6a1:150814fecb6:3f4	Membership
7b93e6a1:150814fecb6:1781	Membership
7b93e6a1:150814fecb6:-797	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	City
7b93e6a1:150814fecb6:350	Membership
7b93e6a1:150814fecb6:-4e3	Membership
7b93e6a1:150814fecb6:108c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Province
7b93e6a1:150814fecb6:22d6	BelievedBy
7b93e6a1:150814fecb6:d16	Membership
7b93e6a1:150814fecb6:9e8	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	City
7b93e6a1:150814fecb6:2232	BelievedBy
7b93e6a1:150814fecb6:944	Membership
7b93e6a1:150814fecb6:f76	Membership
7b93e6a1:150814fecb6:24f	Membership
7b93e6a1:150814fecb6:13cc	Membership
7b93e6a1:150814fecb6:2492	EthnicProportion
7b93e6a1:150814fecb6:cc2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	City
7b93e6a1:150814fecb6:-33e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	City
7b93e6a1:150814fecb6:8f0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	City
7b93e6a1:150814fecb6:1fb	Membership
7b93e6a1:150814fecb6:-59e	Membership
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	City
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	Mountain
7b93e6a1:150814fecb6:191c	Membership
7b93e6a1:150814fecb6:-2ea	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Province
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	Mountain
7b93e6a1:150814fecb6:1f4e	Membership
7b93e6a1:150814fecb6:1248	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	City
7b93e6a1:150814fecb6:20dd	Membership
7b93e6a1:150814fecb6:b1d	Membership
7b93e6a1:150814fecb6:7ef	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	City
http://www.semwebtech.org/mondial/10/source/Isere/	Source
7b93e6a1:150814fecb6:74b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	City
7b93e6a1:150814fecb6:d7d	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	City
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	Mountain
7b93e6a1:150814fecb6:1efa	Membership
7b93e6a1:150814fecb6:11f4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	City
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	Mountain
7b93e6a1:150814fecb6:-c3	Membership
7b93e6a1:150814fecb6:1150	Membership
7b93e6a1:150814fecb6:-166	Membership
7b93e6a1:150814fecb6:262d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Kemijoki/	Source
7b93e6a1:150814fecb6:1b16	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	City
7b93e6a1:150814fecb6:17e8	Membership
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	Water
7b93e6a1:150814fecb6:3b7	Membership
7b93e6a1:150814fecb6:1744	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	EthnicGroup
7b93e6a1:150814fecb6:313	Membership
7b93e6a1:150814fecb6:1d76	Membership
7b93e6a1:150814fecb6:-4a6	Membership
7b93e6a1:150814fecb6:104f	Membership
7b93e6a1:150814fecb6:1ac2	Membership
7b93e6a1:150814fecb6:-402	Membership
7b93e6a1:150814fecb6:573	Membership
7b93e6a1:150814fecb6:16f0	Membership
7b93e6a1:150814fecb6:24f9	EthnicProportion
7b93e6a1:150814fecb6:907	Membership
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	Mountain
7b93e6a1:150814fecb6:f39	Membership
7b93e6a1:150814fecb6:-662	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	City
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Province
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Province
7b93e6a1:150814fecb6:2455	EthnicProportion
7b93e6a1:150814fecb6:21a1	SpokenBy
http://www.semwebtech.org/mondial/10/country/CH/	Country
7b93e6a1:150814fecb6:8b3	Membership
7b93e6a1:150814fecb6:15ef	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	City
7b93e6a1:150814fecb6:ee5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	City
7b93e6a1:150814fecb6:1be	Membership
7b93e6a1:150814fecb6:154b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	City
7b93e6a1:150814fecb6:e41	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Province
7b93e6a1:150814fecb6:11a	Membership
7b93e6a1:150814fecb6:1b7d	Membership
7b93e6a1:150814fecb6:-2ad	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	City
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	City
7b93e6a1:150814fecb6:37a	Membership
7b93e6a1:150814fecb6:f4	Membership
http://www.semwebtech.org/mondial/10/country/NOK/	Country
7b93e6a1:150814fecb6:70e	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Province
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Mountains
7b93e6a1:150814fecb6:50	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	City
7b93e6a1:150814fecb6:225c	BelievedBy
7b93e6a1:150814fecb6:1ebd	Membership
7b93e6a1:150814fecb6:11b7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	City
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	City
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	City
http://www.semwebtech.org/mondial/10/continent/Asia/	Continent
7b93e6a1:150814fecb6:96e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	City
7b93e6a1:150814fecb6:1113	Membership
7b93e6a1:150814fecb6:-129	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	City
7b93e6a1:150814fecb6:6ba	Membership
http://www.semwebtech.org/mondial/10/organization/IDA/	Organization
7b93e6a1:150814fecb6:cec	Membership
7b93e6a1:150814fecb6:1373	Membership
7b93e6a1:150814fecb6:-389	Membership
http://www.semwebtech.org/mondial/10/source/Cuilo/	Source
7b93e6a1:150814fecb6:1707	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	City
http://www.semwebtech.org/mondial/10/island/Alicudi/	Island
http://www.semwebtech.org/mondial/10/river/Limpopo/	Water
7b93e6a1:150814fecb6:1d39	Membership
http://www.semwebtech.org/mondial/10/estuary/Bomu/	Estuary
7b93e6a1:150814fecb6:1967	Membership
7b93e6a1:150814fecb6:1f99	Membership
7b93e6a1:150814fecb6:536	Membership
7b93e6a1:150814fecb6:16b3	Membership
7b93e6a1:150814fecb6:-6c9	Border
7b93e6a1:150814fecb6:-291	Membership
7b93e6a1:150814fecb6:b68	Membership
http://www.semwebtech.org/mondial/10/island/Svalbard/	Island
7b93e6a1:150814fecb6:1ce5	Membership
7b93e6a1:150814fecb6:-625	Border
7b93e6a1:150814fecb6:2084	Membership
http://www.semwebtech.org/mondial/10/mountains/Harz/	Mountains
7b93e6a1:150814fecb6:796	Membership
7b93e6a1:150814fecb6:1c41	Membership
7b93e6a1:150814fecb6:2418	BelievedBy
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	City
7b93e6a1:150814fecb6:4e2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	City
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	City
7b93e6a1:150814fecb6:-ed	Membership
7b93e6a1:150814fecb6:-5d1	Membership
7b93e6a1:150814fecb6:117a	Membership
7b93e6a1:150814fecb6:2678	EthnicProportion
7b93e6a1:150814fecb6:ea8	Membership
7b93e6a1:150814fecb6:a70	Membership
http://www.semwebtech.org/mondial/10/island/SaoJorge/	Island
7b93e6a1:150814fecb6:150e	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	City
7b93e6a1:150814fecb6:23c4	BelievedBy
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	Water
7b93e6a1:150814fecb6:e04	Membership
7b93e6a1:150814fecb6:2320	BelievedBy
7b93e6a1:150814fecb6:176e	Membership
7b93e6a1:150814fecb6:33d	Membership
http://www.semwebtech.org/mondial/10/language/Siraiki/	Language
7b93e6a1:150814fecb6:14ba	Membership
7b93e6a1:150814fecb6:2580	EthnicProportion
7b93e6a1:150814fecb6:b7	Membership
7b93e6a1:150814fecb6:db0	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	City
7b93e6a1:150814fecb6:1aec	Membership
7b93e6a1:150814fecb6:-42c	Membership
7b93e6a1:150814fecb6:13	Membership
7b93e6a1:150814fecb6:59d	Membership
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	Mountain
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Religion
7b93e6a1:150814fecb6:221f	SpokenBy
7b93e6a1:150814fecb6:-68c	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	City
7b93e6a1:150814fecb6:247f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	City
7b93e6a1:150814fecb6:caf	Membership
7b93e6a1:150814fecb6:1336	Membership
http://www.semwebtech.org/mondial/10/organization/G-15/	Organization
7b93e6a1:150814fecb6:21cb	SpokenBy
7b93e6a1:150814fecb6:c0b	Membership
7b93e6a1:150814fecb6:8dd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	City
7b93e6a1:150814fecb6:1596	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	Mountain
http://www.semwebtech.org/mondial/10/source/Okavango/	Source
7b93e6a1:150814fecb6:e6b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	EthnicGroup
7b93e6a1:150814fecb6:165	Membership
7b93e6a1:150814fecb6:12e2	Membership
7b93e6a1:150814fecb6:-2f8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	City
7b93e6a1:150814fecb6:-254	Membership
7b93e6a1:150814fecb6:1ca8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	EthnicGroup
7b93e6a1:150814fecb6:2047	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	EthnicGroup
7b93e6a1:150814fecb6:759	Membership
7b93e6a1:150814fecb6:1c04	Membership
7b93e6a1:150814fecb6:18d6	Membership
7b93e6a1:150814fecb6:7a	Membership
7b93e6a1:150814fecb6:4a5	Membership
7b93e6a1:150814fecb6:1832	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Province
7b93e6a1:150814fecb6:ad7	Membership
7b93e6a1:150814fecb6:401	Membership
7b93e6a1:150814fecb6:1e64	Membership
7b93e6a1:150814fecb6:113d	Membership
7b93e6a1:150814fecb6:a33	Membership
7b93e6a1:150814fecb6:1bb0	Membership
http://www.semwebtech.org/mondial/10/island/Corse/	Island
7b93e6a1:150814fecb6:661	Membership
7b93e6a1:150814fecb6:139d	Membership
7b93e6a1:150814fecb6:-7f4	Encompassed
http://www.semwebtech.org/mondial/10/organization/Caricom/	Organization
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Province
7b93e6a1:150814fecb6:c93	Membership
7b93e6a1:150814fecb6:-750	Encompassed
7b93e6a1:150814fecb6:25e7	EthnicProportion
7b93e6a1:150814fecb6:2543	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	Estuary
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	City
7b93e6a1:150814fecb6:1aaf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	City
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	City
7b93e6a1:150814fecb6:-6	Membership
7b93e6a1:150814fecb6:9a1	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Province
7b93e6a1:150814fecb6:1a0b	Membership
7b93e6a1:150814fecb6:16dd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	EthnicGroup
7b93e6a1:150814fecb6:fd3	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	Mountain
7b93e6a1:150814fecb6:2ac	Membership
7b93e6a1:150814fecb6:-64f	Border
7b93e6a1:150814fecb6:1c6b	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Province
7b93e6a1:150814fecb6:2075	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	City
7b93e6a1:150814fecb6:-5fb	Border
7b93e6a1:150814fecb6:a9a	Membership
7b93e6a1:150814fecb6:-94	Membership
7b93e6a1:150814fecb6:1559	Membership
7b93e6a1:150814fecb6:23ee	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Province
7b93e6a1:150814fecb6:e2e	Membership
7b93e6a1:150814fecb6:1fab	Membership
7b93e6a1:150814fecb6:128	Membership
7b93e6a1:150814fecb6:12a5	Membership
7b93e6a1:150814fecb6:234a	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Mountains
7b93e6a1:150814fecb6:1201	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	City
7b93e6a1:150814fecb6:-217	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Province
7b93e6a1:150814fecb6:388	Membership
7b93e6a1:150814fecb6:dda	Membership
7b93e6a1:150814fecb6:1461	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	City
7b93e6a1:150814fecb6:-477	Membership
7b93e6a1:150814fecb6:3d	Membership
7b93e6a1:150814fecb6:1a93	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	City
7b93e6a1:150814fecb6:-1c3	Membership
7b93e6a1:150814fecb6:1e27	Membership
7b93e6a1:150814fecb6:6c8	Membership
7b93e6a1:150814fecb6:290	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Province
7b93e6a1:150814fecb6:624	Membership
7b93e6a1:150814fecb6:17a1	Membership
7b93e6a1:150814fecb6:-7b7	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Japanese/	Language
7b93e6a1:150814fecb6:c56	Membership
http://www.semwebtech.org/mondial/10/river/Glomma/	Water
7b93e6a1:150814fecb6:1dd3	Membership
7b93e6a1:150814fecb6:-713	Border
7b93e6a1:150814fecb6:10ac	Membership
7b93e6a1:150814fecb6:2172	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Mountains
http://www.semwebtech.org/mondial/10/mountain/Olymp/	Mountain
7b93e6a1:150814fecb6:884	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	City
7b93e6a1:150814fecb6:2506	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	Estuary
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	City
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Province
7b93e6a1:150814fecb6:5d0	Membership
7b93e6a1:150814fecb6:18f	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	City
7b93e6a1:150814fecb6:-27e	Membership
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	City
7b93e6a1:150814fecb6:24b2	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	Water
7b93e6a1:150814fecb6:1c2e	Membership
7b93e6a1:150814fecb6:4cf	Membership
7b93e6a1:150814fecb6:185c	Membership
http://www.semwebtech.org/mondial/10/island/Impalila/	Island
7b93e6a1:150814fecb6:42b	Membership
7b93e6a1:150814fecb6:1e8e	Membership
7b93e6a1:150814fecb6:-5be	Membership
7b93e6a1:150814fecb6:1188	Membership
http://www.semwebtech.org/mondial/10/source/Pjandsh/	Source
7b93e6a1:150814fecb6:a5d	Membership
7b93e6a1:150814fecb6:1bda	Membership
7b93e6a1:150814fecb6:-57	Membership
7b93e6a1:150814fecb6:-51a	Membership
http://www.semwebtech.org/mondial/10/source/Kama/	Source
7b93e6a1:150814fecb6:68b	Membership
7b93e6a1:150814fecb6:230d	BelievedBy
7b93e6a1:150814fecb6:-77a	Encompassed
7b93e6a1:150814fecb6:256d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Tambo/	Source
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	City
7b93e6a1:150814fecb6:14c8	Membership
7b93e6a1:150814fecb6:1090	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	City
7b93e6a1:150814fecb6:1424	Membership
7b93e6a1:150814fecb6:9cb	Membership
7b93e6a1:150814fecb6:1a56	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Leine/	Estuary
7b93e6a1:150814fecb6:ffd	Membership
7b93e6a1:150814fecb6:2f7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	City
7b93e6a1:150814fecb6:1684	Membership
7b93e6a1:150814fecb6:253	Membership
7b93e6a1:150814fecb6:13d0	Membership
7b93e6a1:150814fecb6:-3e6	Membership
7b93e6a1:150814fecb6:787	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	City
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	City
7b93e6a1:150814fecb6:-342	Membership
7b93e6a1:150814fecb6:21d9	SpokenBy
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	City
7b93e6a1:150814fecb6:c19	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	City
http://www.semwebtech.org/mondial/10/language/Basque/	Language
7b93e6a1:150814fecb6:2135	SpokenBy
7b93e6a1:150814fecb6:847	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Province
7b93e6a1:150814fecb6:19c4	Membership
7b93e6a1:150814fecb6:e79	Membership
7b93e6a1:150814fecb6:1ff6	Membership
7b93e6a1:150814fecb6:1920	Membership
7b93e6a1:150814fecb6:12cf	Membership
7b93e6a1:150814fecb6:2395	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	Mountain
7b93e6a1:150814fecb6:bc5	Membership
7b93e6a1:150814fecb6:20e1	Membership
7b93e6a1:150814fecb6:1f52	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	City
7b93e6a1:150814fecb6:122b	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Province
7b93e6a1:150814fecb6:b21	Membership
7b93e6a1:150814fecb6:7f3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	City
7b93e6a1:150814fecb6:148b	Membership
7b93e6a1:150814fecb6:88	Membership
7b93e6a1:150814fecb6:d81	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	City
7b93e6a1:150814fecb6:181f	Membership
7b93e6a1:150814fecb6:-1ed	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	City
7b93e6a1:150814fecb6:2631	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	City
7b93e6a1:150814fecb6:64e	Membership
7b93e6a1:150814fecb6:17cb	Membership
7b93e6a1:150814fecb6:1dfd	Membership
7b93e6a1:150814fecb6:-73d	Encompassed
7b93e6a1:150814fecb6:10f7	Membership
7b93e6a1:150814fecb6:219c	SpokenBy
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	City
7b93e6a1:150814fecb6:1053	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	City
7b93e6a1:150814fecb6:5fa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	EthnicGroup
7b93e6a1:150814fecb6:1a19	Membership
http://www.semwebtech.org/mondial/10/country/MK/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Province
7b93e6a1:150814fecb6:24dc	EthnicProportion
7b93e6a1:150814fecb6:1647	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Province
7b93e6a1:150814fecb6:f1c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Province
7b93e6a1:150814fecb6:216	Membership
7b93e6a1:150814fecb6:1c79	Membership
7b93e6a1:150814fecb6:-3a9	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Province
7b93e6a1:150814fecb6:-305	Membership
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Province
7b93e6a1:150814fecb6:476	Membership
7b93e6a1:150814fecb6:15f3	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	City
7b93e6a1:150814fecb6:1c2	Membership
7b93e6a1:150814fecb6:-565	Membership
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	Estuary
7b93e6a1:150814fecb6:1fb9	Membership
7b93e6a1:150814fecb6:1b81	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Province
7b93e6a1:150814fecb6:-2b1	Membership
7b93e6a1:150814fecb6:2358	BelievedBy
7b93e6a1:150814fecb6:1f15	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	City
7b93e6a1:150814fecb6:20a4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	City
7b93e6a1:150814fecb6:7b6	Membership
7b93e6a1:150814fecb6:2000	Membership
7b93e6a1:150814fecb6:de8	Membership
7b93e6a1:150814fecb6:712	Membership
7b93e6a1:150814fecb6:144e	Membership
7b93e6a1:150814fecb6:d44	Membership
7b93e6a1:150814fecb6:1ec1	Membership
7b93e6a1:150814fecb6:-801	Encompassed
7b93e6a1:150814fecb6:2260	BelievedBy
7b93e6a1:150814fecb6:972	Membership
7b93e6a1:150814fecb6:-10c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	City
7b93e6a1:150814fecb6:27d	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Province
7b93e6a1:150814fecb6:13fa	Membership
7b93e6a1:150814fecb6:cf0	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	City
7b93e6a1:150814fecb6:-36c	Membership
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	Water
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	City
7b93e6a1:150814fecb6:25a0	EthnicProportion
7b93e6a1:150814fecb6:215f	SpokenBy
7b93e6a1:150814fecb6:1d1c	Membership
7b93e6a1:150814fecb6:19ee	Membership
7b93e6a1:150814fecb6:1016	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	City
http://www.semwebtech.org/mondial/10/river/Umeaelv/	Water
7b93e6a1:150814fecb6:5bd	Membership
7b93e6a1:150814fecb6:194a	Membership
7b93e6a1:150814fecb6:bef	Membership
7b93e6a1:150814fecb6:1f7c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Province
7b93e6a1:150814fecb6:-6ac	Border
7b93e6a1:150814fecb6:1276	Membership
7b93e6a1:150814fecb6:b4b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	City
http://www.semwebtech.org/mondial/10/island/Sansibar/	Island
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	City
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Province
7b93e6a1:150814fecb6:439	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	City
7b93e6a1:150814fecb6:-f1	Membership
7b93e6a1:150814fecb6:15b6	Membership
7b93e6a1:150814fecb6:-194	Membership
7b93e6a1:150814fecb6:265b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	City
http://www.semwebtech.org/mondial/10/estuary/Parana/	Estuary
7b93e6a1:150814fecb6:1be8	Membership
7b93e6a1:150814fecb6:1512	Membership
7b93e6a1:150814fecb6:-528	Membership
7b93e6a1:150814fecb6:699	Membership
7b93e6a1:150814fecb6:1b44	Membership
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	Water
7b93e6a1:150814fecb6:3e5	Membership
7b93e6a1:150814fecb6:1772	Membership
7b93e6a1:150814fecb6:-788	Encompassed
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	City
7b93e6a1:150814fecb6:341	Membership
7b93e6a1:150814fecb6:-4d4	Membership
7b93e6a1:150814fecb6:107d	Membership
7b93e6a1:150814fecb6:1af0	Membership
7b93e6a1:150814fecb6:-430	Membership
7b93e6a1:150814fecb6:22c7	BelievedBy
7b93e6a1:150814fecb6:d07	Membership
7b93e6a1:150814fecb6:9d9	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	City
7b93e6a1:150814fecb6:2223	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	City
7b93e6a1:150814fecb6:935	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/SouthUist/	Island
7b93e6a1:150814fecb6:-690	Border
7b93e6a1:150814fecb6:f67	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	City
7b93e6a1:150814fecb6:13bd	Membership
7b93e6a1:150814fecb6:2483	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	EthnicGroup
7b93e6a1:150814fecb6:cb3	Membership
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	City
7b93e6a1:150814fecb6:-32f	Membership
http://www.semwebtech.org/mondial/10/organization/OIC/	Organization
7b93e6a1:150814fecb6:8e1	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/	Country
7b93e6a1:150814fecb6:1ec	Membership
7b93e6a1:150814fecb6:-58f	Membership
http://www.semwebtech.org/mondial/10/estuary/Tara/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	City
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	City
7b93e6a1:150814fecb6:8	Membership
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Language
7b93e6a1:150814fecb6:190d	Membership
7b93e6a1:150814fecb6:-2db	Membership
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	Estuary
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	City
7b93e6a1:150814fecb6:1f3f	Membership
7b93e6a1:150814fecb6:1239	Membership
7b93e6a1:150814fecb6:20ce	Membership
7b93e6a1:150814fecb6:b0e	Membership
http://www.semwebtech.org/mondial/10/island/Sylt/	Island
7b93e6a1:150814fecb6:202a	Membership
7b93e6a1:150814fecb6:73c	Membership
7b93e6a1:150814fecb6:1499	Membership
7b93e6a1:150814fecb6:d6e	Membership
7b93e6a1:150814fecb6:1eeb	Membership
7b93e6a1:150814fecb6:228a	BelievedBy
7b93e6a1:150814fecb6:11e5	Membership
7b93e6a1:150814fecb6:aba	Membership
7b93e6a1:150814fecb6:99c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Province
7b93e6a1:150814fecb6:-b4	Membership
7b93e6a1:150814fecb6:1141	Membership
7b93e6a1:150814fecb6:-157	Membership
7b93e6a1:150814fecb6:261e	EthnicProportion
7b93e6a1:150814fecb6:-10	Membership
7b93e6a1:150814fecb6:1b07	Membership
7b93e6a1:150814fecb6:17d9	Membership
7b93e6a1:150814fecb6:3a8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	EthnicGroup
7b93e6a1:150814fecb6:1735	Membership
7b93e6a1:150814fecb6:25ca	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	City
7b93e6a1:150814fecb6:304	Membership
7b93e6a1:150814fecb6:1d67	Membership
7b93e6a1:150814fecb6:1ab3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Province
7b93e6a1:150814fecb6:1995	Membership
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Province
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	City
7b93e6a1:150814fecb6:16e1	Membership
7b93e6a1:150814fecb6:564	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	City
7b93e6a1:150814fecb6:-6f7	Border
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	City
7b93e6a1:150814fecb6:b96	Membership
7b93e6a1:150814fecb6:2b0	Membership
7b93e6a1:150814fecb6:-653	Border
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	City
7b93e6a1:150814fecb6:2446	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Main/	Estuary
http://www.semwebtech.org/mondial/10/source/Lech/	Source
7b93e6a1:150814fecb6:8a4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	City
7b93e6a1:150814fecb6:ed6	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	City
7b93e6a1:150814fecb6:800	Membership
7b93e6a1:150814fecb6:1af	Membership
7b93e6a1:150814fecb6:153c	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	City
7b93e6a1:150814fecb6:23f2	BelievedBy
7b93e6a1:150814fecb6:e32	Membership
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	City
http://www.semwebtech.org/mondial/10/religion/Methodist/	Religion
7b93e6a1:150814fecb6:10b	Membership
7b93e6a1:150814fecb6:1b6e	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	City
7b93e6a1:150814fecb6:179c	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	City
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	City
7b93e6a1:150814fecb6:36b	Membership
7b93e6a1:150814fecb6:-4fe	Membership
7b93e6a1:150814fecb6:e5	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	City
7b93e6a1:150814fecb6:-45a	Membership
7b93e6a1:150814fecb6:41	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	City
7b93e6a1:150814fecb6:1eae	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	City
7b93e6a1:150814fecb6:11a8	Membership
7b93e6a1:150814fecb6:224d	BelievedBy
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Province
7b93e6a1:150814fecb6:95f	Membership
7b93e6a1:150814fecb6:1e0a	Membership
7b93e6a1:150814fecb6:1104	Membership
7b93e6a1:150814fecb6:6ab	Membership
http://www.semwebtech.org/mondial/10/source/Douro/	Source
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	City
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Province
7b93e6a1:150814fecb6:cdd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	EthnicGroup
7b93e6a1:150814fecb6:1364	Membership
7b93e6a1:150814fecb6:10b0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	City
7b93e6a1:150814fecb6:193	Membership
7b93e6a1:150814fecb6:1958	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	City
7b93e6a1:150814fecb6:527	Membership
7b93e6a1:150814fecb6:16a4	Membership
7b93e6a1:150814fecb6:-282	Membership
7b93e6a1:150814fecb6:b59	Membership
7b93e6a1:150814fecb6:1cd6	Membership
7b93e6a1:150814fecb6:1600	Membership
7b93e6a1:150814fecb6:-616	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Province
7b93e6a1:150814fecb6:1c32	Membership
7b93e6a1:150814fecb6:2409	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	Mountain
7b93e6a1:150814fecb6:4d3	Membership
7b93e6a1:150814fecb6:1860	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	City
7b93e6a1:150814fecb6:1e92	Membership
7b93e6a1:150814fecb6:-de	Membership
7b93e6a1:150814fecb6:-5c2	Membership
7b93e6a1:150814fecb6:116b	Membership
7b93e6a1:150814fecb6:2669	EthnicProportion
7b93e6a1:150814fecb6:a61	Membership
7b93e6a1:150814fecb6:-3a	Membership
7b93e6a1:150814fecb6:23b5	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Province
7b93e6a1:150814fecb6:2311	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Mountains
http://www.semwebtech.org/mondial/10/country/CV/	Country
http://www.semwebtech.org/mondial/10/estuary/Naryn/	Estuary
7b93e6a1:150814fecb6:175f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	City
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	Estuary
7b93e6a1:150814fecb6:32e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	City
7b93e6a1:150814fecb6:14ab	Membership
7b93e6a1:150814fecb6:2571	EthnicProportion
7b93e6a1:150814fecb6:a8	Membership
7b93e6a1:150814fecb6:da1	Membership
7b93e6a1:150814fecb6:1add	Membership
7b93e6a1:150814fecb6:-41d	Membership
7b93e6a1:150814fecb6:58e	Membership
7b93e6a1:150814fecb6:2da	Membership
http://www.semwebtech.org/mondial/10/source/Oulujoki/	Source
7b93e6a1:150814fecb6:-67d	Border
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Mountains
7b93e6a1:150814fecb6:1327	Membership
7b93e6a1:150814fecb6:21bc	SpokenBy
7b93e6a1:150814fecb6:8ce	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Province
7b93e6a1:150814fecb6:82a	Membership
7b93e6a1:150814fecb6:1587	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	City
7b93e6a1:150814fecb6:e5c	Membership
7b93e6a1:150814fecb6:156	Membership
7b93e6a1:150814fecb6:12d3	Membership
7b93e6a1:150814fecb6:-2e9	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Province
7b93e6a1:150814fecb6:-245	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	City
http://www.semwebtech.org/mondial/10/river/Po/	Water
7b93e6a1:150814fecb6:2038	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	City
7b93e6a1:150814fecb6:18c7	Membership
7b93e6a1:150814fecb6:6b	Membership
7b93e6a1:150814fecb6:1ef9	Membership
http://www.semwebtech.org/mondial/10/organization/UN/	Organization
7b93e6a1:150814fecb6:1823	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	City
7b93e6a1:150814fecb6:-1f1	Membership
7b93e6a1:150814fecb6:2298	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	City
7b93e6a1:150814fecb6:ac8	Membership
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	Estuary
7b93e6a1:150814fecb6:1e55	Membership
http://www.semwebtech.org/mondial/10/river/Tennessee/	Water
7b93e6a1:150814fecb6:112e	Membership
http://www.semwebtech.org/mondial/10/island/Borneo/	Island
7b93e6a1:150814fecb6:6f6	Membership
7b93e6a1:150814fecb6:a24	Membership
7b93e6a1:150814fecb6:1ba1	Membership
7b93e6a1:150814fecb6:138e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	City
7b93e6a1:150814fecb6:652	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	City
7b93e6a1:150814fecb6:-7e5	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	City
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	City
7b93e6a1:150814fecb6:c84	Membership
7b93e6a1:150814fecb6:-741	Encompassed
7b93e6a1:150814fecb6:10da	Membership
7b93e6a1:150814fecb6:25d8	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Province
7b93e6a1:150814fecb6:2534	EthnicProportion
7b93e6a1:150814fecb6:16ce	Membership
7b93e6a1:150814fecb6:fc4	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	City
7b93e6a1:150814fecb6:24e0	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	Desert
7b93e6a1:150814fecb6:162a	Membership
7b93e6a1:150814fecb6:209f	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	City
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	Province
7b93e6a1:150814fecb6:f20	Membership
7b93e6a1:150814fecb6:1c5c	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	City
http://www.semwebtech.org/mondial/10/river/Luapula/	Water
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	City
7b93e6a1:150814fecb6:4fd	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	City
7b93e6a1:150814fecb6:188a	Membership
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	Water
http://www.semwebtech.org/mondial/10/island/Zakynthos/	Island
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	City
7b93e6a1:150814fecb6:-5ec	Border
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	Estuary
7b93e6a1:150814fecb6:a8b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	City
7b93e6a1:150814fecb6:-85	Membership
http://www.semwebtech.org/mondial/10/language/Greek/	Language
7b93e6a1:150814fecb6:23df	BelievedBy
7b93e6a1:150814fecb6:e1f	Membership
7b93e6a1:150814fecb6:119	Membership
http://www.semwebtech.org/mondial/10/island/Tortola/	Island
7b93e6a1:150814fecb6:233b	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	City
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	Water
7b93e6a1:150814fecb6:-208	Membership
7b93e6a1:150814fecb6:379	Membership
7b93e6a1:150814fecb6:14f6	Membership
http://www.semwebtech.org/mondial/10/mountain/Kailash/	Mountain
7b93e6a1:150814fecb6:259b	EthnicProportion
7b93e6a1:150814fecb6:dcb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	City
7b93e6a1:150814fecb6:1452	Membership
7b93e6a1:150814fecb6:-468	Membership
7b93e6a1:150814fecb6:2e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	City
7b93e6a1:150814fecb6:1a84	Membership
7b93e6a1:150814fecb6:-1b4	Membership
7b93e6a1:150814fecb6:1e18	Membership
7b93e6a1:150814fecb6:-110	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Province
7b93e6a1:150814fecb6:6b9	Membership
7b93e6a1:150814fecb6:281	Membership
http://www.semwebtech.org/mondial/10/language/Hebrew/	Language
7b93e6a1:150814fecb6:615	Membership
7b93e6a1:150814fecb6:-7a8	Encompassed
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	City
7b93e6a1:150814fecb6:-370	Membership
7b93e6a1:150814fecb6:c47	Membership
7b93e6a1:150814fecb6:1dc4	Membership
7b93e6a1:150814fecb6:-704	Border
7b93e6a1:150814fecb6:2163	SpokenBy
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	Water
7b93e6a1:150814fecb6:1d20	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	City
7b93e6a1:150814fecb6:875	Membership
7b93e6a1:150814fecb6:19f2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	City
7b93e6a1:150814fecb6:5c1	Membership
7b93e6a1:150814fecb6:12fd	Membership
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	City
7b93e6a1:150814fecb6:bf3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	City
7b93e6a1:150814fecb6:1f80	Membership
7b93e6a1:150814fecb6:-6b0	Border
7b93e6a1:150814fecb6:-26f	Membership
http://www.semwebtech.org/mondial/10/river/Rhone/	Water
7b93e6a1:150814fecb6:24a3	EthnicProportion
7b93e6a1:150814fecb6:1c1f	Membership
http://www.semwebtech.org/mondial/10/river/Bani/	Water
http://www.semwebtech.org/mondial/10/organization/EBRD/	Organization
7b93e6a1:150814fecb6:184d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	EthnicGroup
7b93e6a1:150814fecb6:41c	Membership
7b93e6a1:150814fecb6:1e7f	Membership
7b93e6a1:150814fecb6:-5af	Membership
7b93e6a1:150814fecb6:1179	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	City
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	City
7b93e6a1:150814fecb6:a4e	Membership
7b93e6a1:150814fecb6:1bcb	Membership
7b93e6a1:150814fecb6:-48	Membership
7b93e6a1:150814fecb6:-50b	Membership
7b93e6a1:150814fecb6:67c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	City
7b93e6a1:150814fecb6:-76b	Encompassed
http://www.semwebtech.org/mondial/10/country/GUY/	Country
7b93e6a1:150814fecb6:14b9	Membership
7b93e6a1:150814fecb6:1081	Membership
7b93e6a1:150814fecb6:255e	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Religion
7b93e6a1:150814fecb6:1415	Membership
7b93e6a1:150814fecb6:22aa	BelievedBy
7b93e6a1:150814fecb6:9bc	Membership
http://www.semwebtech.org/mondial/10/river/Karun/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	City
7b93e6a1:150814fecb6:1a47	Membership
http://www.semwebtech.org/mondial/10/mountain/K2/	Mountain
7b93e6a1:150814fecb6:fee	Membership
7b93e6a1:150814fecb6:2e8	Membership
7b93e6a1:150814fecb6:1675	Membership
7b93e6a1:150814fecb6:f4a	Membership
7b93e6a1:150814fecb6:244	Membership
7b93e6a1:150814fecb6:13c1	Membership
7b93e6a1:150814fecb6:-3d7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	City
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	Province
7b93e6a1:150814fecb6:-333	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Province
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	Mountain
7b93e6a1:150814fecb6:2126	SpokenBy
7b93e6a1:150814fecb6:838	Membership
7b93e6a1:150814fecb6:1f0	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Province
7b93e6a1:150814fecb6:19b5	Membership
7b93e6a1:150814fecb6:-593	Membership
7b93e6a1:150814fecb6:1fe7	Membership
7b93e6a1:150814fecb6:1911	Membership
7b93e6a1:150814fecb6:2386	BelievedBy
7b93e6a1:150814fecb6:bb6	Membership
7b93e6a1:150814fecb6:1f43	Membership
http://www.semwebtech.org/mondial/10/river/Urubamba/	Water
7b93e6a1:150814fecb6:121c	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	Water
7b93e6a1:150814fecb6:20d2	Membership
7b93e6a1:150814fecb6:b12	Membership
7b93e6a1:150814fecb6:7e4	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	City
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	Mountain
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	City
7b93e6a1:150814fecb6:740	Membership
7b93e6a1:150814fecb6:147c	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	City
7b93e6a1:150814fecb6:79	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Province
7b93e6a1:150814fecb6:d72	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	City
7b93e6a1:150814fecb6:-1de	Membership
7b93e6a1:150814fecb6:26c6	EthnicProportion
7b93e6a1:150814fecb6:-13a	Membership
7b93e6a1:150814fecb6:2622	EthnicProportion
7b93e6a1:150814fecb6:63f	Membership
7b93e6a1:150814fecb6:17bc	Membership
7b93e6a1:150814fecb6:-39a	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	EthnicGroup
7b93e6a1:150814fecb6:1dee	Membership
7b93e6a1:150814fecb6:-72e	Encompassed
7b93e6a1:150814fecb6:10e8	Membership
7b93e6a1:150814fecb6:218d	SpokenBy
http://www.semwebtech.org/mondial/10/source/Chatanga/	Source
7b93e6a1:150814fecb6:89f	Membership
7b93e6a1:150814fecb6:1d4a	Membership
7b93e6a1:150814fecb6:1044	Membership
7b93e6a1:150814fecb6:5eb	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	City
http://www.semwebtech.org/mondial/10/country/COCO/	Country
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	City
7b93e6a1:150814fecb6:-6da	Border
7b93e6a1:150814fecb6:1638	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Province
7b93e6a1:150814fecb6:24cd	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Aller/	Estuary
7b93e6a1:150814fecb6:f0d	Membership
7b93e6a1:150814fecb6:207	Membership
7b93e6a1:150814fecb6:1898	Membership
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	Mountain
http://www.semwebtech.org/mondial/10/island/Sumatra/	Island
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	City
7b93e6a1:150814fecb6:467	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	City
7b93e6a1:150814fecb6:15e4	Membership
7b93e6a1:150814fecb6:1540	Membership
7b93e6a1:150814fecb6:a99	Membership
7b93e6a1:150814fecb6:1b3	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Province
7b93e6a1:150814fecb6:-556	Membership
http://www.semwebtech.org/mondial/10/language/Turkic/	Language
7b93e6a1:150814fecb6:1b72	Membership
7b93e6a1:150814fecb6:-2a2	Membership
7b93e6a1:150814fecb6:2349	BelievedBy
7b93e6a1:150814fecb6:18aa	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	City
7b93e6a1:150814fecb6:1f06	Membership
7b93e6a1:150814fecb6:7a7	Membership
http://www.semwebtech.org/mondial/10/island/Cyprus/	Island
7b93e6a1:150814fecb6:dd9	Membership
7b93e6a1:150814fecb6:703	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	Water
7b93e6a1:150814fecb6:143f	Membership
7b93e6a1:150814fecb6:22f5	BelievedBy
7b93e6a1:150814fecb6:d35	Membership
7b93e6a1:150814fecb6:1eb2	Membership
7b93e6a1:150814fecb6:2251	BelievedBy
http://www.semwebtech.org/mondial/10/country/BZ/	Country
7b93e6a1:150814fecb6:963	Membership
7b93e6a1:150814fecb6:169f	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	City
7b93e6a1:150814fecb6:f95	Membership
http://www.semwebtech.org/mondial/10/organization/EFTA/	Organization
7b93e6a1:150814fecb6:26e	Membership
7b93e6a1:150814fecb6:13eb	Membership
http://www.semwebtech.org/mondial/10/sea/SuluSea/	Water
7b93e6a1:150814fecb6:ce1	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	City
7b93e6a1:150814fecb6:-35d	Membership
7b93e6a1:150814fecb6:1d0d	Membership
7b93e6a1:150814fecb6:19df	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Province
7b93e6a1:150814fecb6:1007	Membership
7b93e6a1:150814fecb6:5ae	Membership
7b93e6a1:150814fecb6:193b	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Province
7b93e6a1:150814fecb6:50a	Membership
7b93e6a1:150814fecb6:1f6d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	EthnicGroup
7b93e6a1:150814fecb6:1267	Membership
7b93e6a1:150814fecb6:20fc	Membership
7b93e6a1:150814fecb6:b3c	Membership
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	Island
http://www.semwebtech.org/mondial/10/estuary/Ural/	Estuary
7b93e6a1:150814fecb6:76a	Membership
http://www.semwebtech.org/mondial/10/source/Donau/	Source
7b93e6a1:150814fecb6:d9c	Membership
7b93e6a1:150814fecb6:-e2	Membership
7b93e6a1:150814fecb6:15a7	Membership
7b93e6a1:150814fecb6:-185	Membership
7b93e6a1:150814fecb6:264c	EthnicProportion
7b93e6a1:150814fecb6:1bd9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	City
7b93e6a1:150814fecb6:1503	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	City
7b93e6a1:150814fecb6:-519	Membership
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	Estuary
7b93e6a1:150814fecb6:1b35	Membership
http://www.semwebtech.org/mondial/10/river/Lukenie/	Water
7b93e6a1:150814fecb6:3d6	Membership
7b93e6a1:150814fecb6:1763	Membership
7b93e6a1:150814fecb6:-779	Encompassed
http://www.semwebtech.org/mondial/10/country/LAO/	Country
7b93e6a1:150814fecb6:332	Membership
7b93e6a1:150814fecb6:1d95	Membership
7b93e6a1:150814fecb6:-4c5	Membership
7b93e6a1:150814fecb6:106e	Membership
7b93e6a1:150814fecb6:1ae1	Membership
http://www.semwebtech.org/mondial/10/country/TL/	Country
7b93e6a1:150814fecb6:-421	Membership
7b93e6a1:150814fecb6:22b8	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Tahan/	Mountain
7b93e6a1:150814fecb6:592	Membership
7b93e6a1:150814fecb6:2214	SpokenBy
7b93e6a1:150814fecb6:926	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Province
7b93e6a1:150814fecb6:-681	Border
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	City
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	City
7b93e6a1:150814fecb6:f58	Membership
7b93e6a1:150814fecb6:13ae	Membership
http://www.semwebtech.org/mondial/10/country/TAD/	Country
7b93e6a1:150814fecb6:2474	EthnicProportion
7b93e6a1:150814fecb6:ca4	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	City
7b93e6a1:150814fecb6:130a	Membership
7b93e6a1:150814fecb6:21c0	SpokenBy
7b93e6a1:150814fecb6:c00	Membership
7b93e6a1:150814fecb6:8d2	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	City
7b93e6a1:150814fecb6:1dd	Membership
7b93e6a1:150814fecb6:156a	Membership
http://www.semwebtech.org/mondial/10/island/Timor/	Island
7b93e6a1:150814fecb6:e60	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	City
7b93e6a1:150814fecb6:1b9c	Membership
7b93e6a1:150814fecb6:-2cc	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Province
7b93e6a1:150814fecb6:20bf	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	City
7b93e6a1:150814fecb6:201b	Membership
7b93e6a1:150814fecb6:72d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	EthnicGroup
7b93e6a1:150814fecb6:d5f	Membership
7b93e6a1:150814fecb6:1edc	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	City
7b93e6a1:150814fecb6:11d6	Membership
7b93e6a1:150814fecb6:227b	BelievedBy
7b93e6a1:150814fecb6:aab	Membership
7b93e6a1:150814fecb6:98d	Membership
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	City
7b93e6a1:150814fecb6:-a5	Membership
7b93e6a1:150814fecb6:1132	Membership
7b93e6a1:150814fecb6:-148	Membership
7b93e6a1:150814fecb6:260f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	City
7b93e6a1:150814fecb6:1392	Membership
http://www.semwebtech.org/mondial/10/country/K/	Country
7b93e6a1:150814fecb6:1726	Membership
7b93e6a1:150814fecb6:25bb	EthnicProportion
7b93e6a1:150814fecb6:1d58	Membership
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	City
7b93e6a1:150814fecb6:5f9	Membership
7b93e6a1:150814fecb6:1aa4	Membership
7b93e6a1:150814fecb6:1986	Membership
http://www.semwebtech.org/mondial/10/river/Zaire/	Water
7b93e6a1:150814fecb6:1a00	Membership
7b93e6a1:150814fecb6:555	Membership
7b93e6a1:150814fecb6:16d2	Membership
7b93e6a1:150814fecb6:-6e8	Border
7b93e6a1:150814fecb6:b87	Membership
7b93e6a1:150814fecb6:2a1	Membership
7b93e6a1:150814fecb6:-644	Border
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Mountains
7b93e6a1:150814fecb6:1c60	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	City
7b93e6a1:150814fecb6:2437	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Adda/	Estuary
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Province
7b93e6a1:150814fecb6:-5f0	Border
7b93e6a1:150814fecb6:2697	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Zhima/	Mountain
7b93e6a1:150814fecb6:ec7	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Province
7b93e6a1:150814fecb6:152d	Membership
7b93e6a1:150814fecb6:23e3	BelievedBy
7b93e6a1:150814fecb6:e23	Membership
7b93e6a1:150814fecb6:1fa0	Membership
7b93e6a1:150814fecb6:1b5f	Membership
7b93e6a1:150814fecb6:178d	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	City
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	City
http://www.semwebtech.org/mondial/10/country/RCA/	Country
7b93e6a1:150814fecb6:35c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Province
7b93e6a1:150814fecb6:-4ef	Membership
7b93e6a1:150814fecb6:d6	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	City
7b93e6a1:150814fecb6:-44b	Membership
7b93e6a1:150814fecb6:32	Membership
7b93e6a1:150814fecb6:223e	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Province
7b93e6a1:150814fecb6:13f9	Membership
7b93e6a1:150814fecb6:249e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Province
7b93e6a1:150814fecb6:cce	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	City
http://www.semwebtech.org/mondial/10/language/Danish/	Language
7b93e6a1:150814fecb6:1355	Membership
7b93e6a1:150814fecb6:21ea	SpokenBy
7b93e6a1:150814fecb6:c2a	Membership
7b93e6a1:150814fecb6:8fc	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	City
7b93e6a1:150814fecb6:10a1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Province
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Language
http://www.semwebtech.org/mondial/10/mountains/Andes/	Mountains
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	City
http://www.semwebtech.org/mondial/10/organization/BIS/	Organization
7b93e6a1:150814fecb6:e8a	Membership
7b93e6a1:150814fecb6:1949	Membership
7b93e6a1:150814fecb6:184	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	City
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	City
7b93e6a1:150814fecb6:518	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	City
7b93e6a1:150814fecb6:-273	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	City
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	Island
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	City
7b93e6a1:150814fecb6:1cc7	Membership
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Continent
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	City
7b93e6a1:150814fecb6:-607	Border
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	City
7b93e6a1:150814fecb6:2066	Membership
7b93e6a1:150814fecb6:778	Membership
7b93e6a1:150814fecb6:1c23	Membership
7b93e6a1:150814fecb6:18f5	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	City
7b93e6a1:150814fecb6:4c4	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	City
7b93e6a1:150814fecb6:1851	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	City
http://www.semwebtech.org/mondial/10/religion/Christian/	Religion
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Mountains
7b93e6a1:150814fecb6:1e83	Membership
7b93e6a1:150814fecb6:af6	Membership
7b93e6a1:150814fecb6:420	Membership
7b93e6a1:150814fecb6:-cf	Membership
7b93e6a1:150814fecb6:-5b3	Membership
7b93e6a1:150814fecb6:115c	Membership
7b93e6a1:150814fecb6:a52	Membership
7b93e6a1:150814fecb6:-2b	Membership
7b93e6a1:150814fecb6:23a6	BelievedBy
7b93e6a1:150814fecb6:680	Membership
7b93e6a1:150814fecb6:2302	BelievedBy
http://www.semwebtech.org/mondial/10/country/BRN/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	City
7b93e6a1:150814fecb6:31f	Membership
7b93e6a1:150814fecb6:2562	EthnicProportion
7b93e6a1:150814fecb6:1ace	Membership
7b93e6a1:150814fecb6:-40e	Membership
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	Mountain
7b93e6a1:150814fecb6:9c0	Membership
7b93e6a1:150814fecb6:57f	Membership
7b93e6a1:150814fecb6:1a2a	Membership
7b93e6a1:150814fecb6:16fc	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	City
7b93e6a1:150814fecb6:ff2	Membership
7b93e6a1:150814fecb6:2cb	Membership
7b93e6a1:150814fecb6:-66e	Border
7b93e6a1:150814fecb6:1c8a	Membership
7b93e6a1:150814fecb6:-3ba	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	City
http://www.semwebtech.org/mondial/10/language/Dungun/	Language
7b93e6a1:150814fecb6:1318	Membership
http://www.semwebtech.org/mondial/10/source/Volta/	Source
7b93e6a1:150814fecb6:21ad	SpokenBy
7b93e6a1:150814fecb6:8bf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	City
7b93e6a1:150814fecb6:81b	Membership
7b93e6a1:150814fecb6:1578	Membership
7b93e6a1:150814fecb6:1fca	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	City
7b93e6a1:150814fecb6:e4d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	City
7b93e6a1:150814fecb6:147	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	City
7b93e6a1:150814fecb6:12c4	Membership
http://www.semwebtech.org/mondial/10/river/Lukuga/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	City
7b93e6a1:150814fecb6:1220	Membership
7b93e6a1:150814fecb6:-236	Membership
http://www.semwebtech.org/mondial/10/river/Huallaga/	Water
http://www.semwebtech.org/mondial/10/river/Mississippi/	Water
7b93e6a1:150814fecb6:2029	Membership
7b93e6a1:150814fecb6:18b8	Membership
7b93e6a1:150814fecb6:1480	Membership
7b93e6a1:150814fecb6:-496	Membership
7b93e6a1:150814fecb6:5c	Membership
7b93e6a1:150814fecb6:1814	Membership
7b93e6a1:150814fecb6:-1e2	Membership
7b93e6a1:150814fecb6:2289	BelievedBy
http://www.semwebtech.org/mondial/10/island/Rhum/	Island
7b93e6a1:150814fecb6:ab9	Membership
7b93e6a1:150814fecb6:1e46	Membership
7b93e6a1:150814fecb6:111f	Membership
7b93e6a1:150814fecb6:6e7	Membership
7b93e6a1:150814fecb6:a15	Membership
http://www.semwebtech.org/mondial/10/estuary/Amur/	Estuary
http://www.semwebtech.org/mondial/10/river/Uelle/	Water
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Province
7b93e6a1:150814fecb6:643	Membership
7b93e6a1:150814fecb6:17c0	Membership
7b93e6a1:150814fecb6:-7d6	Encompassed
7b93e6a1:150814fecb6:137f	Membership
http://www.semwebtech.org/mondial/10/island/Panay/	Island
7b93e6a1:150814fecb6:25c9	EthnicProportion
7b93e6a1:150814fecb6:c75	Membership
http://www.semwebtech.org/mondial/10/source/Oder/	Source
7b93e6a1:150814fecb6:1df2	Membership
7b93e6a1:150814fecb6:-732	Encompassed
7b93e6a1:150814fecb6:10cb	Membership
7b93e6a1:150814fecb6:2191	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	City
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	City
7b93e6a1:150814fecb6:2525	EthnicProportion
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	Water
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Language
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakeToba/	Water
7b93e6a1:150814fecb6:16bf	Membership
7b93e6a1:150814fecb6:-29d	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	City
7b93e6a1:150814fecb6:fb5	Membership
7b93e6a1:150814fecb6:161b	Membership
7b93e6a1:150814fecb6:24d1	EthnicProportion
7b93e6a1:150814fecb6:f11	Membership
7b93e6a1:150814fecb6:1c4d	Membership
7b93e6a1:150814fecb6:4ee	Membership
7b93e6a1:150814fecb6:187b	Membership
7b93e6a1:150814fecb6:44a	Membership
7b93e6a1:150814fecb6:-5dd	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	City
7b93e6a1:150814fecb6:a7c	Membership
7b93e6a1:150814fecb6:-76	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Province
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	City
7b93e6a1:150814fecb6:232c	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	Water
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	City
7b93e6a1:150814fecb6:14e7	Membership
7b93e6a1:150814fecb6:258c	EthnicProportion
7b93e6a1:150814fecb6:dbc	Membership
7b93e6a1:150814fecb6:1443	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	City
7b93e6a1:150814fecb6:-459	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	City
7b93e6a1:150814fecb6:1f	Membership
7b93e6a1:150814fecb6:9ea	Membership
7b93e6a1:150814fecb6:1a75	Membership
7b93e6a1:150814fecb6:-1a5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Province
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	City
7b93e6a1:150814fecb6:1e09	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	City
7b93e6a1:150814fecb6:-101	Membership
7b93e6a1:150814fecb6:272	Membership
7b93e6a1:150814fecb6:606	Membership
http://www.semwebtech.org/mondial/10/country/SP/	Country
7b93e6a1:150814fecb6:-361	Membership
7b93e6a1:150814fecb6:21f8	SpokenBy
7b93e6a1:150814fecb6:1db5	Membership
7b93e6a1:150814fecb6:c38	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	City
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Province
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	Desert
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	City
7b93e6a1:150814fecb6:2154	SpokenBy
7b93e6a1:150814fecb6:866	Membership
7b93e6a1:150814fecb6:1d11	Membership
7b93e6a1:150814fecb6:19e3	Membership
http://www.semwebtech.org/mondial/10/island/Providenciales/	Island
7b93e6a1:150814fecb6:e98	Membership
7b93e6a1:150814fecb6:5b2	Membership
7b93e6a1:150814fecb6:12ee	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	City
7b93e6a1:150814fecb6:be4	Membership
7b93e6a1:150814fecb6:1f71	Membership
7b93e6a1:150814fecb6:-6a1	Border
7b93e6a1:150814fecb6:124a	Membership
7b93e6a1:150814fecb6:b40	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	City
http://www.semwebtech.org/mondial/10/estuary/Jordan/	Estuary
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	City
7b93e6a1:150814fecb6:183e	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	City
7b93e6a1:150814fecb6:40d	Membership
7b93e6a1:150814fecb6:2650	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	Estuary
7b93e6a1:150814fecb6:a3f	Membership
7b93e6a1:150814fecb6:1bbc	Membership
7b93e6a1:150814fecb6:-39	Membership
7b93e6a1:150814fecb6:66d	Membership
7b93e6a1:150814fecb6:17ea	Membership
7b93e6a1:150814fecb6:c9f	Membership
7b93e6a1:150814fecb6:-75c	Encompassed
7b93e6a1:150814fecb6:254f	EthnicProportion
7b93e6a1:150814fecb6:1072	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Province
http://www.semwebtech.org/mondial/10/river/Ili/	Water
7b93e6a1:150814fecb6:1406	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Province
7b93e6a1:150814fecb6:9ad	Membership
7b93e6a1:150814fecb6:1a38	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	City
http://www.semwebtech.org/mondial/10/source/Limmat/	Source
7b93e6a1:150814fecb6:fdf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	City
7b93e6a1:150814fecb6:2d9	Membership
7b93e6a1:150814fecb6:24fb	EthnicProportion
7b93e6a1:150814fecb6:1666	Membership
7b93e6a1:150814fecb6:1c98	Membership
7b93e6a1:150814fecb6:13b2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	City
7b93e6a1:150814fecb6:f3b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	City
7b93e6a1:150814fecb6:235	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	City
7b93e6a1:150814fecb6:-3c8	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Province
7b93e6a1:150814fecb6:-324	Membership
7b93e6a1:150814fecb6:495	Membership
7b93e6a1:150814fecb6:2117	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Province
7b93e6a1:150814fecb6:829	Membership
7b93e6a1:150814fecb6:1e1	Membership
7b93e6a1:150814fecb6:19a6	Membership
7b93e6a1:150814fecb6:-584	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	City
7b93e6a1:150814fecb6:1fd8	Membership
7b93e6a1:150814fecb6:1902	Membership
7b93e6a1:150814fecb6:-2d0	Membership
7b93e6a1:150814fecb6:2377	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	Mountain
7b93e6a1:150814fecb6:ba7	Membership
7b93e6a1:150814fecb6:1f34	Membership
7b93e6a1:150814fecb6:120d	Membership
7b93e6a1:150814fecb6:20c3	Membership
7b93e6a1:150814fecb6:b03	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	Province
7b93e6a1:150814fecb6:7d5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	City
7b93e6a1:150814fecb6:731	Membership
7b93e6a1:150814fecb6:146d	Membership
7b93e6a1:150814fecb6:d63	Membership
http://www.semwebtech.org/mondial/10/island/Helgoland/	Island
7b93e6a1:150814fecb6:1ee0	Membership
7b93e6a1:150814fecb6:1a9f	Membership
7b93e6a1:150814fecb6:-1cf	Membership
7b93e6a1:150814fecb6:26b7	EthnicProportion
http://www.semwebtech.org/mondial/10/island/VitiLevu/	Island
7b93e6a1:150814fecb6:991	Membership
http://www.semwebtech.org/mondial/10/island/BanksIsland/	Island
7b93e6a1:150814fecb6:-12b	Membership
7b93e6a1:150814fecb6:2613	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	City
7b93e6a1:150814fecb6:29c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	City
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	City
http://www.semwebtech.org/mondial/10/island/Tahiti/	Island
7b93e6a1:150814fecb6:17ad	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	City
7b93e6a1:150814fecb6:-38b	Membership
7b93e6a1:150814fecb6:1ddf	Membership
7b93e6a1:150814fecb6:-71f	Encompassed
7b93e6a1:150814fecb6:10d9	Membership
7b93e6a1:150814fecb6:217e	SpokenBy
http://www.semwebtech.org/mondial/10/source/Bartang/	Source
7b93e6a1:150814fecb6:1d3b	Membership
7b93e6a1:150814fecb6:1035	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Province
7b93e6a1:150814fecb6:5dc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Province
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	City
7b93e6a1:150814fecb6:1f9b	Membership
7b93e6a1:150814fecb6:-6cb	Border
7b93e6a1:150814fecb6:1295	Membership
7b93e6a1:150814fecb6:b6a	Membership
7b93e6a1:150814fecb6:1629	Membership
7b93e6a1:150814fecb6:24be	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	City
7b93e6a1:150814fecb6:241a	BelievedBy
7b93e6a1:150814fecb6:1889	Membership
7b93e6a1:150814fecb6:458	Membership
7b93e6a1:150814fecb6:15d5	Membership
7b93e6a1:150814fecb6:267a	EthnicProportion
7b93e6a1:150814fecb6:eaa	Membership
7b93e6a1:150814fecb6:1a4	Membership
7b93e6a1:150814fecb6:1531	Membership
7b93e6a1:150814fecb6:-547	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	City
7b93e6a1:150814fecb6:100	Membership
7b93e6a1:150814fecb6:1b63	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Province
http://www.semwebtech.org/mondial/10/organization/IBRD/	Organization
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	City
7b93e6a1:150814fecb6:1791	Membership
7b93e6a1:150814fecb6:360	Membership
7b93e6a1:150814fecb6:-4f3	Membership
7b93e6a1:150814fecb6:109c	Membership
http://www.semwebtech.org/mondial/10/country/BOL/	Country
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	EthnicGroup
7b93e6a1:150814fecb6:22e6	BelievedBy
http://www.semwebtech.org/mondial/10/source/Vuoksi/	Source
7b93e6a1:150814fecb6:d26	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	City
7b93e6a1:150814fecb6:9f8	Membership
7b93e6a1:150814fecb6:1ea3	Membership
7b93e6a1:150814fecb6:2242	BelievedBy
7b93e6a1:150814fecb6:954	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	City
7b93e6a1:150814fecb6:f86	Membership
7b93e6a1:150814fecb6:6a0	Membership
7b93e6a1:150814fecb6:25f	Membership
7b93e6a1:150814fecb6:13dc	Membership
7b93e6a1:150814fecb6:cd2	Membership
7b93e6a1:150814fecb6:-34e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	City
http://www.semwebtech.org/mondial/10/organization/LAIA/	Organization
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	Source
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	City
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	City
7b93e6a1:150814fecb6:192c	Membership
7b93e6a1:150814fecb6:-2fa	Membership
7b93e6a1:150814fecb6:1f5e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	City
7b93e6a1:150814fecb6:1258	Membership
http://www.semwebtech.org/mondial/10/river/Neckar/	Water
7b93e6a1:150814fecb6:20ed	Membership
7b93e6a1:150814fecb6:b2d	Membership
7b93e6a1:150814fecb6:7ff	Membership
7b93e6a1:150814fecb6:1caa	Membership
7b93e6a1:150814fecb6:75b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	City
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	City
7b93e6a1:150814fecb6:d8d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Province
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	City
7b93e6a1:150814fecb6:-d3	Membership
7b93e6a1:150814fecb6:1160	Membership
7b93e6a1:150814fecb6:-176	Membership
7b93e6a1:150814fecb6:263d	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/ICCt/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	City
7b93e6a1:150814fecb6:1b26	Membership
7b93e6a1:150814fecb6:17f8	Membership
7b93e6a1:150814fecb6:3c7	Membership
7b93e6a1:150814fecb6:1754	Membership
7b93e6a1:150814fecb6:1d86	Membership
7b93e6a1:150814fecb6:14a0	Membership
7b93e6a1:150814fecb6:323	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	City
7b93e6a1:150814fecb6:105f	Membership
7b93e6a1:150814fecb6:-4b6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	City
http://www.semwebtech.org/mondial/10/mountain/Merapi/	Mountain
7b93e6a1:150814fecb6:1ad2	Membership
http://www.semwebtech.org/mondial/10/organization/CDB/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	City
7b93e6a1:150814fecb6:-412	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	City
7b93e6a1:150814fecb6:22a9	BelievedBy
7b93e6a1:150814fecb6:583	Membership
7b93e6a1:150814fecb6:2205	SpokenBy
7b93e6a1:150814fecb6:917	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	City
7b93e6a1:150814fecb6:-672	Border
7b93e6a1:150814fecb6:f49	Membership
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	Estuary
7b93e6a1:150814fecb6:2465	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/EU/	Organization
7b93e6a1:150814fecb6:21b1	SpokenBy
http://www.semwebtech.org/mondial/10/country/CI/	Country
7b93e6a1:150814fecb6:8c3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	City
7b93e6a1:150814fecb6:15ff	Membership
7b93e6a1:150814fecb6:ef5	Membership
7b93e6a1:150814fecb6:1ce	Membership
7b93e6a1:150814fecb6:155b	Membership
7b93e6a1:150814fecb6:e51	Membership
7b93e6a1:150814fecb6:12a	Membership
7b93e6a1:150814fecb6:1b8d	Membership
7b93e6a1:150814fecb6:-2bd	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	City
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Mountains
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Province
7b93e6a1:150814fecb6:38a	Membership
7b93e6a1:150814fecb6:200c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	City
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	City
7b93e6a1:150814fecb6:71e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	EthnicGroup
7b93e6a1:150814fecb6:60	Membership
http://www.semwebtech.org/mondial/10/language/Hindko/	Language
7b93e6a1:150814fecb6:1ecd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	City
7b93e6a1:150814fecb6:-80d	Encompassed
7b93e6a1:150814fecb6:11c7	Membership
7b93e6a1:150814fecb6:226c	BelievedBy
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Province
7b93e6a1:150814fecb6:97e	Membership
7b93e6a1:150814fecb6:1123	Membership
http://www.semwebtech.org/mondial/10/country/LB/	Country
7b93e6a1:150814fecb6:-139	Membership
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	Mountain
7b93e6a1:150814fecb6:6ca	Membership
http://www.semwebtech.org/mondial/10/organization/IDB/	Organization
7b93e6a1:150814fecb6:cfc	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	City
7b93e6a1:150814fecb6:1383	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Province
7b93e6a1:150814fecb6:-399	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	City
7b93e6a1:150814fecb6:1717	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Province
7b93e6a1:150814fecb6:25ac	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	City
7b93e6a1:150814fecb6:1d49	Membership
7b93e6a1:150814fecb6:1977	Membership
7b93e6a1:150814fecb6:16c3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	City
7b93e6a1:150814fecb6:546	Membership
http://www.semwebtech.org/mondial/10/country/RT/	Country
7b93e6a1:150814fecb6:-6d9	Border
7b93e6a1:150814fecb6:1cf5	Membership
7b93e6a1:150814fecb6:b78	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	City
7b93e6a1:150814fecb6:-635	Border
7b93e6a1:150814fecb6:2094	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	City
7b93e6a1:150814fecb6:1c51	Membership
7b93e6a1:150814fecb6:2428	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Fulda/	Estuary
7b93e6a1:150814fecb6:4f2	Membership
7b93e6a1:150814fecb6:-fd	Membership
7b93e6a1:150814fecb6:-5e1	Border
7b93e6a1:150814fecb6:118a	Membership
7b93e6a1:150814fecb6:2688	EthnicProportion
7b93e6a1:150814fecb6:eb8	Membership
7b93e6a1:150814fecb6:a80	Membership
7b93e6a1:150814fecb6:151e	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Province
7b93e6a1:150814fecb6:23d4	BelievedBy
7b93e6a1:150814fecb6:e14	Membership
7b93e6a1:150814fecb6:2330	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	EthnicGroup
7b93e6a1:150814fecb6:177e	Membership
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	Mountain
7b93e6a1:150814fecb6:34d	Membership
7b93e6a1:150814fecb6:2590	EthnicProportion
7b93e6a1:150814fecb6:14ca	Membership
7b93e6a1:150814fecb6:c7	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	Province
7b93e6a1:150814fecb6:dc0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	EthnicGroup
7b93e6a1:150814fecb6:1afc	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Province
7b93e6a1:150814fecb6:-43c	Membership
7b93e6a1:150814fecb6:23	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	City
7b93e6a1:150814fecb6:222f	SpokenBy
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Province
7b93e6a1:150814fecb6:-69c	Border
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	City
7b93e6a1:150814fecb6:248f	EthnicProportion
7b93e6a1:150814fecb6:cbf	Membership
7b93e6a1:150814fecb6:1346	Membership
7b93e6a1:150814fecb6:21db	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Province
7b93e6a1:150814fecb6:c1b	Membership
7b93e6a1:150814fecb6:8ed	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	City
http://www.semwebtech.org/mondial/10/source/Bomu/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	City
7b93e6a1:150814fecb6:e7b	Membership
7b93e6a1:150814fecb6:175	Membership
7b93e6a1:150814fecb6:12f2	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Province
7b93e6a1:150814fecb6:509	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Province
7b93e6a1:150814fecb6:-264	Membership
7b93e6a1:150814fecb6:1cb8	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Province
7b93e6a1:150814fecb6:2057	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	Water
7b93e6a1:150814fecb6:769	Membership
7b93e6a1:150814fecb6:1c14	Membership
7b93e6a1:150814fecb6:18e6	Membership
7b93e6a1:150814fecb6:8a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Jordan/	Water
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Province
7b93e6a1:150814fecb6:4b5	Membership
7b93e6a1:150814fecb6:1842	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Province
7b93e6a1:150814fecb6:ae7	Membership
7b93e6a1:150814fecb6:411	Membership
7b93e6a1:150814fecb6:1e74	Membership
7b93e6a1:150814fecb6:-5a4	Membership
7b93e6a1:150814fecb6:114d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	City
7b93e6a1:150814fecb6:a43	Membership
7b93e6a1:150814fecb6:1bc0	Membership
7b93e6a1:150814fecb6:-1c	Membership
7b93e6a1:150814fecb6:-500	Membership
7b93e6a1:150814fecb6:671	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	City
7b93e6a1:150814fecb6:-760	Encompassed
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	City
7b93e6a1:150814fecb6:25f7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	EthnicGroup
7b93e6a1:150814fecb6:2553	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	City
http://www.semwebtech.org/mondial/10/island/Ternate/	Island
7b93e6a1:150814fecb6:1abf	Membership
7b93e6a1:150814fecb6:9b1	Membership
7b93e6a1:150814fecb6:1a1b	Membership
7b93e6a1:150814fecb6:16ed	Membership
7b93e6a1:150814fecb6:fe3	Membership
7b93e6a1:150814fecb6:2bc	Membership
7b93e6a1:150814fecb6:-65f	Border
7b93e6a1:150814fecb6:1c7b	Membership
7b93e6a1:150814fecb6:-3ab	Membership
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	City
7b93e6a1:150814fecb6:1309	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	City
http://www.semwebtech.org/mondial/10/island/Lampedusa/	Island
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	City
7b93e6a1:150814fecb6:80c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	City
7b93e6a1:150814fecb6:1569	Membership
7b93e6a1:150814fecb6:23fe	BelievedBy
7b93e6a1:150814fecb6:e3e	Membership
7b93e6a1:150814fecb6:1fbb	Membership
7b93e6a1:150814fecb6:138	Membership
7b93e6a1:150814fecb6:12b5	Membership
7b93e6a1:150814fecb6:235a	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Mountains
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	City
7b93e6a1:150814fecb6:1211	Membership
7b93e6a1:150814fecb6:-227	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	City
http://www.semwebtech.org/mondial/10/country/EAK/	Country
7b93e6a1:150814fecb6:398	Membership
7b93e6a1:150814fecb6:dea	Membership
7b93e6a1:150814fecb6:18a9	Membership
7b93e6a1:150814fecb6:1471	Membership
7b93e6a1:150814fecb6:-487	Membership
7b93e6a1:150814fecb6:4d	Membership
http://www.semwebtech.org/mondial/10/organization/ECO/	Organization
7b93e6a1:150814fecb6:1805	Membership
7b93e6a1:150814fecb6:-1d3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	City
7b93e6a1:150814fecb6:1e37	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Province
7b93e6a1:150814fecb6:6d8	Membership
7b93e6a1:150814fecb6:a06	Membership
7b93e6a1:150814fecb6:17b1	Membership
7b93e6a1:150814fecb6:634	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Province
7b93e6a1:150814fecb6:-7c7	Encompassed
http://www.semwebtech.org/mondial/10/language/Azeri/	Language
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Province
7b93e6a1:150814fecb6:c66	Membership
7b93e6a1:150814fecb6:1de3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Province
7b93e6a1:150814fecb6:-723	Encompassed
7b93e6a1:150814fecb6:10bc	Membership
7b93e6a1:150814fecb6:2182	SpokenBy
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Province
7b93e6a1:150814fecb6:894	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Province
7b93e6a1:150814fecb6:2516	EthnicProportion
7b93e6a1:150814fecb6:5e0	Membership
7b93e6a1:150814fecb6:19f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Province
7b93e6a1:150814fecb6:-28e	Membership
http://www.semwebtech.org/mondial/10/language/Kurdish/	Language
7b93e6a1:150814fecb6:fa6	Membership
7b93e6a1:150814fecb6:160c	Membership
7b93e6a1:150814fecb6:24c2	EthnicProportion
7b93e6a1:150814fecb6:f02	Membership
7b93e6a1:150814fecb6:1c3e	Membership
7b93e6a1:150814fecb6:4df	Membership
7b93e6a1:150814fecb6:186c	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	City
7b93e6a1:150814fecb6:43b	Membership
7b93e6a1:150814fecb6:1e9e	Membership
7b93e6a1:150814fecb6:-5ce	Membership
7b93e6a1:150814fecb6:1198	Membership
7b93e6a1:150814fecb6:1bea	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	City
7b93e6a1:150814fecb6:a6d	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	City
7b93e6a1:150814fecb6:-67	Membership
7b93e6a1:150814fecb6:-52a	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	City
7b93e6a1:150814fecb6:69b	Membership
7b93e6a1:150814fecb6:231d	BelievedBy
http://www.semwebtech.org/mondial/10/river/Sanaga/	Water
7b93e6a1:150814fecb6:-78a	Encompassed
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	City
http://www.semwebtech.org/mondial/10/source/RioMamore/	Source
7b93e6a1:150814fecb6:14d8	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	City
7b93e6a1:150814fecb6:257d	EthnicProportion
7b93e6a1:150814fecb6:dad	Membership
7b93e6a1:150814fecb6:1434	Membership
7b93e6a1:150814fecb6:9db	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	City
7b93e6a1:150814fecb6:1a66	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	City
7b93e6a1:150814fecb6:1694	Membership
7b93e6a1:150814fecb6:263	Membership
7b93e6a1:150814fecb6:13e0	Membership
7b93e6a1:150814fecb6:-3f6	Membership
http://www.semwebtech.org/mondial/10/language/Slovenian/	Language
7b93e6a1:150814fecb6:-352	Membership
7b93e6a1:150814fecb6:21e9	SpokenBy
7b93e6a1:150814fecb6:2145	SpokenBy
7b93e6a1:150814fecb6:c29	Membership
http://www.semwebtech.org/mondial/10/source/Euphrat/	Source
7b93e6a1:150814fecb6:1da6	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Province
7b93e6a1:150814fecb6:1d02	Membership
7b93e6a1:150814fecb6:857	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	City
7b93e6a1:150814fecb6:19d4	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	City
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Province
7b93e6a1:150814fecb6:e89	Membership
7b93e6a1:150814fecb6:5a3	Membership
7b93e6a1:150814fecb6:a	Membership
7b93e6a1:150814fecb6:1930	Membership
7b93e6a1:150814fecb6:12df	Membership
7b93e6a1:150814fecb6:bd5	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Province
http://www.semwebtech.org/mondial/10/island/Taiwan/	Island
7b93e6a1:150814fecb6:1f62	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	City
7b93e6a1:150814fecb6:123b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	City
7b93e6a1:150814fecb6:20f1	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	City
7b93e6a1:150814fecb6:b31	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	City
7b93e6a1:150814fecb6:149b	Membership
7b93e6a1:150814fecb6:98	Membership
http://www.semwebtech.org/mondial/10/river/Loire/	Water
7b93e6a1:150814fecb6:d91	Membership
7b93e6a1:150814fecb6:182f	Membership
7b93e6a1:150814fecb6:-1fd	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Province
http://www.semwebtech.org/mondial/10/river/Kymijoki/	Water
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	City
7b93e6a1:150814fecb6:2641	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Tobago/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	City
7b93e6a1:150814fecb6:1bad	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	EthnicGroup
7b93e6a1:150814fecb6:65e	Membership
7b93e6a1:150814fecb6:17db	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	Province
7b93e6a1:150814fecb6:3aa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	EthnicGroup
7b93e6a1:150814fecb6:-74d	Encompassed
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	Water
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	City
7b93e6a1:150814fecb6:1063	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	City
http://www.semwebtech.org/mondial/10/organization/NEA/	Organization
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	City
7b93e6a1:150814fecb6:1a29	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	City
7b93e6a1:150814fecb6:1657	Membership
7b93e6a1:150814fecb6:24ec	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Efate/	Island
7b93e6a1:150814fecb6:f2c	Membership
7b93e6a1:150814fecb6:1c89	Membership
7b93e6a1:150814fecb6:226	Membership
7b93e6a1:150814fecb6:13a3	Membership
7b93e6a1:150814fecb6:-3b9	Membership
7b93e6a1:150814fecb6:-315	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Province
7b93e6a1:150814fecb6:486	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	City
7b93e6a1:150814fecb6:2108	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	City
7b93e6a1:150814fecb6:1d2	Membership
7b93e6a1:150814fecb6:-575	Membership
http://www.semwebtech.org/mondial/10/estuary/Raab/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	City
7b93e6a1:150814fecb6:1fc9	Membership
7b93e6a1:150814fecb6:1b91	Membership
7b93e6a1:150814fecb6:-2c1	Membership
7b93e6a1:150814fecb6:2368	BelievedBy
7b93e6a1:150814fecb6:1f25	Membership
7b93e6a1:150814fecb6:20b4	Membership
7b93e6a1:150814fecb6:7c6	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Province
7b93e6a1:150814fecb6:2010	Membership
7b93e6a1:150814fecb6:df8	Membership
http://www.semwebtech.org/mondial/10/country/GROX/	Country
7b93e6a1:150814fecb6:722	Membership
7b93e6a1:150814fecb6:145e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Province
7b93e6a1:150814fecb6:26a8	EthnicProportion
7b93e6a1:150814fecb6:2270	BelievedBy
7b93e6a1:150814fecb6:d54	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Province
7b93e6a1:150814fecb6:1ed1	Membership
7b93e6a1:150814fecb6:-811	Encompassed
7b93e6a1:150814fecb6:11aa	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Province
7b93e6a1:150814fecb6:aa0	Membership
7b93e6a1:150814fecb6:982	Membership
7b93e6a1:150814fecb6:-11c	Membership
7b93e6a1:150814fecb6:2604	EthnicProportion
7b93e6a1:150814fecb6:28d	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Province
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	City
7b93e6a1:150814fecb6:-37c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Province
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	Desert
http://www.semwebtech.org/mondial/10/estuary/Ob/	Estuary
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	City
7b93e6a1:150814fecb6:25b0	EthnicProportion
7b93e6a1:150814fecb6:216f	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	City
7b93e6a1:150814fecb6:1d2c	Membership
7b93e6a1:150814fecb6:19fe	Membership
7b93e6a1:150814fecb6:1026	Membership
7b93e6a1:150814fecb6:5cd	Membership
7b93e6a1:150814fecb6:195a	Membership
http://www.semwebtech.org/mondial/10/source/Moraca/	Source
7b93e6a1:150814fecb6:bff	Membership
7b93e6a1:150814fecb6:1f8c	Membership
7b93e6a1:150814fecb6:-6bc	Border
7b93e6a1:150814fecb6:1286	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	Mountain
7b93e6a1:150814fecb6:b5b	Membership
7b93e6a1:150814fecb6:24af	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	City
7b93e6a1:150814fecb6:240b	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	City
7b93e6a1:150814fecb6:449	Membership
7b93e6a1:150814fecb6:15c6	Membership
7b93e6a1:150814fecb6:266b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Altai/	Mountains
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	City
7b93e6a1:150814fecb6:1bf8	Membership
7b93e6a1:150814fecb6:1522	Membership
7b93e6a1:150814fecb6:-538	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	City
7b93e6a1:150814fecb6:1b54	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	EthnicGroup
7b93e6a1:150814fecb6:3f5	Membership
7b93e6a1:150814fecb6:1782	Membership
7b93e6a1:150814fecb6:-798	Encompassed
7b93e6a1:150814fecb6:351	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	City
7b93e6a1:150814fecb6:-4e4	Membership
7b93e6a1:150814fecb6:108d	Membership
7b93e6a1:150814fecb6:aa	Membership
7b93e6a1:150814fecb6:-440	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	EthnicGroup
7b93e6a1:150814fecb6:22d7	BelievedBy
7b93e6a1:150814fecb6:d17	Membership
7b93e6a1:150814fecb6:9e9	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	City
7b93e6a1:150814fecb6:2233	BelievedBy
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	City
7b93e6a1:150814fecb6:945	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Province
7b93e6a1:150814fecb6:f77	Membership
7b93e6a1:150814fecb6:13cd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	City
7b93e6a1:150814fecb6:2493	EthnicProportion
7b93e6a1:150814fecb6:cc3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Province
7b93e6a1:150814fecb6:-33f	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	EthnicGroup
7b93e6a1:150814fecb6:8f1	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Province
http://www.semwebtech.org/mondial/10/river/Ruzizi/	Water
7b93e6a1:150814fecb6:1fc	Membership
7b93e6a1:150814fecb6:-59f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	City
7b93e6a1:150814fecb6:191d	Membership
7b93e6a1:150814fecb6:-2eb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	City
7b93e6a1:150814fecb6:1f4f	Membership
http://www.semwebtech.org/mondial/10/source/Oranje/	Source
7b93e6a1:150814fecb6:1249	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	City
7b93e6a1:150814fecb6:20de	Membership
7b93e6a1:150814fecb6:b1e	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	City
7b93e6a1:150814fecb6:203a	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	City
7b93e6a1:150814fecb6:74c	Membership
7b93e6a1:150814fecb6:d7e	Membership
7b93e6a1:150814fecb6:1efb	Membership
7b93e6a1:150814fecb6:11f5	Membership
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	Mountain
7b93e6a1:150814fecb6:229a	BelievedBy
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	Water
7b93e6a1:150814fecb6:aca	Membership
7b93e6a1:150814fecb6:262e	EthnicProportion
7b93e6a1:150814fecb6:-c4	Membership
7b93e6a1:150814fecb6:1151	Membership
7b93e6a1:150814fecb6:-167	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Province
7b93e6a1:150814fecb6:-20	Membership
http://www.semwebtech.org/mondial/10/country/BIH/	Country
7b93e6a1:150814fecb6:1b17	Membership
7b93e6a1:150814fecb6:17e9	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	EthnicGroup
7b93e6a1:150814fecb6:3b8	Membership
7b93e6a1:150814fecb6:1745	Membership
7b93e6a1:150814fecb6:25da	EthnicProportion
7b93e6a1:150814fecb6:314	Membership
7b93e6a1:150814fecb6:1d77	Membership
7b93e6a1:150814fecb6:-4a7	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	City
7b93e6a1:150814fecb6:1ac3	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	City
7b93e6a1:150814fecb6:-403	Membership
http://www.semwebtech.org/mondial/10/island/Juist/	Island
7b93e6a1:150814fecb6:574	Membership
7b93e6a1:150814fecb6:16f1	Membership
http://www.semwebtech.org/mondial/10/river/Niger/	Water
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	Water
7b93e6a1:150814fecb6:908	Membership
7b93e6a1:150814fecb6:2c0	Membership
7b93e6a1:150814fecb6:-663	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	City
7b93e6a1:150814fecb6:2456	EthnicProportion
7b93e6a1:150814fecb6:21a2	SpokenBy
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	Province
7b93e6a1:150814fecb6:8b4	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	City
7b93e6a1:150814fecb6:ee6	Membership
7b93e6a1:150814fecb6:810	Membership
7b93e6a1:150814fecb6:1bf	Membership
7b93e6a1:150814fecb6:154c	Membership
7b93e6a1:150814fecb6:1b7e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	City
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Province
7b93e6a1:150814fecb6:e42	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	City
7b93e6a1:150814fecb6:11b	Membership
7b93e6a1:150814fecb6:10ad	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Province
7b93e6a1:150814fecb6:-2ae	Membership
http://www.semwebtech.org/mondial/10/estuary/Narew/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	City
7b93e6a1:150814fecb6:-20a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	EthnicGroup
7b93e6a1:150814fecb6:37b	Membership
7b93e6a1:150814fecb6:f5	Membership
7b93e6a1:150814fecb6:70f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Province
7b93e6a1:150814fecb6:-46a	Membership
7b93e6a1:150814fecb6:51	Membership
http://www.semwebtech.org/mondial/10/source/Theiss/	Source
7b93e6a1:150814fecb6:1ebe	Membership
7b93e6a1:150814fecb6:11b8	Membership
7b93e6a1:150814fecb6:225d	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	EthnicGroup
7b93e6a1:150814fecb6:96f	Membership
7b93e6a1:150814fecb6:1e1a	Membership
7b93e6a1:150814fecb6:1114	Membership
7b93e6a1:150814fecb6:6bb	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	City
7b93e6a1:150814fecb6:ced	Membership
7b93e6a1:150814fecb6:-7aa	Encompassed
7b93e6a1:150814fecb6:1374	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	City
7b93e6a1:150814fecb6:1708	Membership
7b93e6a1:150814fecb6:10c0	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Province
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	Water
7b93e6a1:150814fecb6:1968	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	City
7b93e6a1:150814fecb6:537	Membership
7b93e6a1:150814fecb6:16b4	Membership
7b93e6a1:150814fecb6:-292	Membership
7b93e6a1:150814fecb6:1ce6	Membership
7b93e6a1:150814fecb6:b69	Membership
7b93e6a1:150814fecb6:1610	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	City
7b93e6a1:150814fecb6:-626	Border
7b93e6a1:150814fecb6:2085	Membership
http://www.semwebtech.org/mondial/10/source/Main/	Source
7b93e6a1:150814fecb6:797	Membership
7b93e6a1:150814fecb6:1c42	Membership
7b93e6a1:150814fecb6:2419	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	Mountain
7b93e6a1:150814fecb6:4e3	Membership
7b93e6a1:150814fecb6:1870	Membership
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	Mountain
7b93e6a1:150814fecb6:-ee	Membership
7b93e6a1:150814fecb6:-5d2	Membership
7b93e6a1:150814fecb6:117b	Membership
7b93e6a1:150814fecb6:2679	EthnicProportion
7b93e6a1:150814fecb6:ea9	Membership
7b93e6a1:150814fecb6:a71	Membership
7b93e6a1:150814fecb6:-4a	Membership
7b93e6a1:150814fecb6:150f	Membership
7b93e6a1:150814fecb6:23c5	BelievedBy
http://www.semwebtech.org/mondial/10/country/COOK/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	City
7b93e6a1:150814fecb6:e05	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	City
7b93e6a1:150814fecb6:2321	BelievedBy
7b93e6a1:150814fecb6:176f	Membership
7b93e6a1:150814fecb6:2581	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	City
7b93e6a1:150814fecb6:33e	Membership
7b93e6a1:150814fecb6:14bb	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	City
7b93e6a1:150814fecb6:b8	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	Province
7b93e6a1:150814fecb6:db1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	City
7b93e6a1:150814fecb6:1aed	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	City
7b93e6a1:150814fecb6:-42d	Membership
7b93e6a1:150814fecb6:14	Membership
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	Island
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	Desert
7b93e6a1:150814fecb6:59e	Membership
7b93e6a1:150814fecb6:2ea	Membership
7b93e6a1:150814fecb6:-68d	Border
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	Water
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	EthnicGroup
7b93e6a1:150814fecb6:1337	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	City
7b93e6a1:150814fecb6:21cc	SpokenBy
7b93e6a1:150814fecb6:c0c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	City
7b93e6a1:150814fecb6:8de	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	City
7b93e6a1:150814fecb6:83a	Membership
7b93e6a1:150814fecb6:1597	Membership
7b93e6a1:150814fecb6:e6c	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	City
7b93e6a1:150814fecb6:166	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	City
7b93e6a1:150814fecb6:12e3	Membership
7b93e6a1:150814fecb6:-2f9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	City
http://www.semwebtech.org/mondial/10/island/Niue/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	City
7b93e6a1:150814fecb6:-255	Membership
7b93e6a1:150814fecb6:1ca9	Membership
7b93e6a1:150814fecb6:2048	Membership
7b93e6a1:150814fecb6:1c05	Membership
7b93e6a1:150814fecb6:18d7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	City
7b93e6a1:150814fecb6:7b	Membership
7b93e6a1:150814fecb6:4a6	Membership
7b93e6a1:150814fecb6:1833	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	City
7b93e6a1:150814fecb6:ad8	Membership
7b93e6a1:150814fecb6:402	Membership
7b93e6a1:150814fecb6:1e65	Membership
7b93e6a1:150814fecb6:113e	Membership
7b93e6a1:150814fecb6:a34	Membership
7b93e6a1:150814fecb6:1bb1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	City
7b93e6a1:150814fecb6:662	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	City
7b93e6a1:150814fecb6:-7f5	Encompassed
7b93e6a1:150814fecb6:139e	Membership
7b93e6a1:150814fecb6:c94	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	City
7b93e6a1:150814fecb6:-751	Encompassed
7b93e6a1:150814fecb6:10ea	Membership
7b93e6a1:150814fecb6:25e8	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	City
7b93e6a1:150814fecb6:2544	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	City
7b93e6a1:150814fecb6:-7	Membership
7b93e6a1:150814fecb6:9a2	Membership
7b93e6a1:150814fecb6:1a0c	Membership
7b93e6a1:150814fecb6:16de	Membership
7b93e6a1:150814fecb6:fd4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	City
7b93e6a1:150814fecb6:2ad	Membership
7b93e6a1:150814fecb6:24f0	EthnicProportion
7b93e6a1:150814fecb6:163a	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	City
7b93e6a1:150814fecb6:f30	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Province
7b93e6a1:150814fecb6:1c6c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	City
7b93e6a1:150814fecb6:189a	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Province
7b93e6a1:150814fecb6:-5fc	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	City
7b93e6a1:150814fecb6:a9b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	City
7b93e6a1:150814fecb6:-95	Membership
7b93e6a1:150814fecb6:23ef	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	Mountain
7b93e6a1:150814fecb6:1fac	Membership
7b93e6a1:150814fecb6:e2f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	City
7b93e6a1:150814fecb6:129	Membership
7b93e6a1:150814fecb6:12a6	Membership
7b93e6a1:150814fecb6:234b	BelievedBy
7b93e6a1:150814fecb6:1202	Membership
7b93e6a1:150814fecb6:-218	Membership
7b93e6a1:150814fecb6:389	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	City
7b93e6a1:150814fecb6:ddb	Membership
7b93e6a1:150814fecb6:1462	Membership
7b93e6a1:150814fecb6:3e	Membership
7b93e6a1:150814fecb6:-478	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	City
7b93e6a1:150814fecb6:1a94	Membership
7b93e6a1:150814fecb6:-1c4	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Province
7b93e6a1:150814fecb6:1e28	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	City
7b93e6a1:150814fecb6:-120	Membership
7b93e6a1:150814fecb6:6c9	Membership
7b93e6a1:150814fecb6:291	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Province
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Province
7b93e6a1:150814fecb6:17a2	Membership
7b93e6a1:150814fecb6:625	Membership
7b93e6a1:150814fecb6:-7b8	Encompassed
7b93e6a1:150814fecb6:-380	Membership
http://www.semwebtech.org/mondial/10/country/AXA/	Country
7b93e6a1:150814fecb6:c57	Membership
7b93e6a1:150814fecb6:1dd4	Membership
7b93e6a1:150814fecb6:-714	Border
7b93e6a1:150814fecb6:2173	SpokenBy
7b93e6a1:150814fecb6:885	Membership
7b93e6a1:150814fecb6:1d30	Membership
7b93e6a1:150814fecb6:2507	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Fakaofo/	Island
http://www.semwebtech.org/mondial/10/organization/APEC/	Organization
7b93e6a1:150814fecb6:5d1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	EthnicGroup
7b93e6a1:150814fecb6:1f90	Membership
7b93e6a1:150814fecb6:-6c0	Border
7b93e6a1:150814fecb6:-27f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Province
7b93e6a1:150814fecb6:24b3	EthnicProportion
7b93e6a1:150814fecb6:1c2f	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Province
7b93e6a1:150814fecb6:185d	Membership
7b93e6a1:150814fecb6:42c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	City
7b93e6a1:150814fecb6:1e8f	Membership
7b93e6a1:150814fecb6:-5bf	Membership
7b93e6a1:150814fecb6:1189	Membership
http://www.semwebtech.org/mondial/10/source/Murgab/	Source
http://www.semwebtech.org/mondial/10/estuary/Petschora/	Estuary
7b93e6a1:150814fecb6:a5e	Membership
7b93e6a1:150814fecb6:1bdb	Membership
7b93e6a1:150814fecb6:-58	Membership
7b93e6a1:150814fecb6:-51b	Membership
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	Island
7b93e6a1:150814fecb6:68c	Membership
7b93e6a1:150814fecb6:230e	BelievedBy
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	Province
7b93e6a1:150814fecb6:-77b	Encompassed
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Language
7b93e6a1:150814fecb6:14c9	Membership
7b93e6a1:150814fecb6:1091	Membership
7b93e6a1:150814fecb6:256e	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	Desert
7b93e6a1:150814fecb6:1425	Membership
7b93e6a1:150814fecb6:22ba	BelievedBy
7b93e6a1:150814fecb6:9cc	Membership
7b93e6a1:150814fecb6:1a57	Membership
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	City
7b93e6a1:150814fecb6:ffe	Membership
7b93e6a1:150814fecb6:2f8	Membership
http://www.semwebtech.org/mondial/10/island/Sulawesi/	Island
7b93e6a1:150814fecb6:1685	Membership
7b93e6a1:150814fecb6:f5a	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	City
7b93e6a1:150814fecb6:254	Membership
7b93e6a1:150814fecb6:13d1	Membership
7b93e6a1:150814fecb6:-3e7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	City
7b93e6a1:150814fecb6:-343	Membership
7b93e6a1:150814fecb6:2136	SpokenBy
7b93e6a1:150814fecb6:848	Membership
7b93e6a1:150814fecb6:19c5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	City
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	Island
7b93e6a1:150814fecb6:1ff7	Membership
7b93e6a1:150814fecb6:1921	Membership
7b93e6a1:150814fecb6:2396	BelievedBy
7b93e6a1:150814fecb6:bc6	Membership
7b93e6a1:150814fecb6:1f53	Membership
7b93e6a1:150814fecb6:122c	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Province
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	City
7b93e6a1:150814fecb6:20e2	Membership
7b93e6a1:150814fecb6:b22	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Province
7b93e6a1:150814fecb6:7f4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Province
7b93e6a1:150814fecb6:750	Membership
7b93e6a1:150814fecb6:148c	Membership
7b93e6a1:150814fecb6:89	Membership
7b93e6a1:150814fecb6:d82	Membership
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	Estuary
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	City
7b93e6a1:150814fecb6:-1ee	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	City
7b93e6a1:150814fecb6:-14a	Membership
7b93e6a1:150814fecb6:2632	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	City
7b93e6a1:150814fecb6:64f	Membership
7b93e6a1:150814fecb6:17cc	Membership
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Religion
7b93e6a1:150814fecb6:1dfe	Membership
7b93e6a1:150814fecb6:-73e	Encompassed
7b93e6a1:150814fecb6:10f8	Membership
7b93e6a1:150814fecb6:219d	SpokenBy
7b93e6a1:150814fecb6:1d5a	Membership
7b93e6a1:150814fecb6:1054	Membership
7b93e6a1:150814fecb6:5fb	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	City
7b93e6a1:150814fecb6:-6ea	Border
7b93e6a1:150814fecb6:1648	Membership
7b93e6a1:150814fecb6:24dd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Province
7b93e6a1:150814fecb6:f1d	Membership
7b93e6a1:150814fecb6:217	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	City
7b93e6a1:150814fecb6:-306	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	City
7b93e6a1:150814fecb6:477	Membership
http://www.semwebtech.org/mondial/10/organization/CAN/	Organization
7b93e6a1:150814fecb6:15f4	Membership
http://www.semwebtech.org/mondial/10/estuary/Waag/	Estuary
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Province
7b93e6a1:150814fecb6:1c3	Membership
7b93e6a1:150814fecb6:1550	Membership
7b93e6a1:150814fecb6:-566	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	City
7b93e6a1:150814fecb6:1b82	Membership
7b93e6a1:150814fecb6:-2b2	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	City
7b93e6a1:150814fecb6:2359	BelievedBy
7b93e6a1:150814fecb6:1f16	Membership
http://www.semwebtech.org/mondial/10/island/Guernsey/	Island
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	City
7b93e6a1:150814fecb6:20a5	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Province
7b93e6a1:150814fecb6:7b7	Membership
http://www.semwebtech.org/mondial/10/language/Italian/	Language
7b93e6a1:150814fecb6:2001	Membership
7b93e6a1:150814fecb6:de9	Membership
7b93e6a1:150814fecb6:713	Membership
7b93e6a1:150814fecb6:144f	Membership
7b93e6a1:150814fecb6:d45	Membership
7b93e6a1:150814fecb6:1ec2	Membership
7b93e6a1:150814fecb6:-802	Encompassed
7b93e6a1:150814fecb6:2261	BelievedBy
7b93e6a1:150814fecb6:973	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	City
7b93e6a1:150814fecb6:-10d	Membership
7b93e6a1:150814fecb6:27e	Membership
7b93e6a1:150814fecb6:13fb	Membership
7b93e6a1:150814fecb6:cf1	Membership
7b93e6a1:150814fecb6:-36d	Membership
http://www.semwebtech.org/mondial/10/source/Uelle/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	City
7b93e6a1:150814fecb6:25a1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GH/	Country
7b93e6a1:150814fecb6:1d1d	Membership
7b93e6a1:150814fecb6:19ef	Membership
7b93e6a1:150814fecb6:1017	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Province
7b93e6a1:150814fecb6:5be	Membership
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	Mountain
7b93e6a1:150814fecb6:194b	Membership
http://www.semwebtech.org/mondial/10/language/Persian/	Language
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	City
7b93e6a1:150814fecb6:51a	Membership
7b93e6a1:150814fecb6:1f7d	Membership
7b93e6a1:150814fecb6:-6ad	Border
7b93e6a1:150814fecb6:1277	Membership
7b93e6a1:150814fecb6:b4c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	Mountain
7b93e6a1:150814fecb6:77a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Province
http://www.semwebtech.org/mondial/10/country/FJI/	Country
http://www.semwebtech.org/mondial/10/island/Hispaniola/	Island
7b93e6a1:150814fecb6:15b7	Membership
7b93e6a1:150814fecb6:-f2	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Province
7b93e6a1:150814fecb6:-195	Membership
7b93e6a1:150814fecb6:265c	EthnicProportion
7b93e6a1:150814fecb6:1be9	Membership
7b93e6a1:150814fecb6:1513	Membership
http://www.semwebtech.org/mondial/10/country/PA/	Country
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Province
7b93e6a1:150814fecb6:-529	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Province
http://www.semwebtech.org/mondial/10/organization/UNIDO/	Organization
7b93e6a1:150814fecb6:1b45	Membership
http://www.semwebtech.org/mondial/10/country/SYR/	Country
http://www.semwebtech.org/mondial/10/islands/Laccadives/	Islands
7b93e6a1:150814fecb6:1773	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Province
7b93e6a1:150814fecb6:3e6	Membership
http://www.semwebtech.org/mondial/10/country/RG/	Country
7b93e6a1:150814fecb6:-789	Encompassed
7b93e6a1:150814fecb6:342	Membership
7b93e6a1:150814fecb6:-4d5	Membership
7b93e6a1:150814fecb6:107e	Membership
7b93e6a1:150814fecb6:1af1	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Province
http://www.semwebtech.org/mondial/10/country/TM/	Country
7b93e6a1:150814fecb6:-431	Membership
7b93e6a1:150814fecb6:22c8	BelievedBy
7b93e6a1:150814fecb6:d08	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	City
7b93e6a1:150814fecb6:2224	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	City
7b93e6a1:150814fecb6:936	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	City
7b93e6a1:150814fecb6:-691	Border
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	City
7b93e6a1:150814fecb6:f68	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	City
7b93e6a1:150814fecb6:13be	Membership
7b93e6a1:150814fecb6:2484	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	City
7b93e6a1:150814fecb6:cb4	Membership
7b93e6a1:150814fecb6:131a	Membership
7b93e6a1:150814fecb6:21d0	SpokenBy
7b93e6a1:150814fecb6:c10	Membership
7b93e6a1:150814fecb6:8e2	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Province
7b93e6a1:150814fecb6:1ed	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Province
7b93e6a1:150814fecb6:157a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	EthnicGroup
7b93e6a1:150814fecb6:e70	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Province
7b93e6a1:150814fecb6:9	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Province
7b93e6a1:150814fecb6:190e	Membership
7b93e6a1:150814fecb6:-2dc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Province
http://www.semwebtech.org/mondial/10/source/Ural/	Source
7b93e6a1:150814fecb6:20cf	Membership
7b93e6a1:150814fecb6:b0f	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Province
7b93e6a1:150814fecb6:202b	Membership
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	Mountain
7b93e6a1:150814fecb6:73d	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	City
7b93e6a1:150814fecb6:18ba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	City
7b93e6a1:150814fecb6:d6f	Membership
7b93e6a1:150814fecb6:1eec	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	City
7b93e6a1:150814fecb6:11e6	Membership
7b93e6a1:150814fecb6:228b	BelievedBy
7b93e6a1:150814fecb6:abb	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	City
7b93e6a1:150814fecb6:99d	Membership
7b93e6a1:150814fecb6:-b5	Membership
7b93e6a1:150814fecb6:1142	Membership
7b93e6a1:150814fecb6:-158	Membership
7b93e6a1:150814fecb6:261f	EthnicProportion
7b93e6a1:150814fecb6:-11	Membership
7b93e6a1:150814fecb6:1b08	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	City
7b93e6a1:150814fecb6:3a9	Membership
http://www.semwebtech.org/mondial/10/country/L/	Country
7b93e6a1:150814fecb6:1736	Membership
7b93e6a1:150814fecb6:25cb	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Perene/	Estuary
7b93e6a1:150814fecb6:305	Membership
7b93e6a1:150814fecb6:1d68	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	City
7b93e6a1:150814fecb6:1ab4	Membership
7b93e6a1:150814fecb6:1996	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	City
7b93e6a1:150814fecb6:1a10	Membership
7b93e6a1:150814fecb6:565	Membership
7b93e6a1:150814fecb6:16e2	Membership
7b93e6a1:150814fecb6:-6f8	Border
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Province
http://www.semwebtech.org/mondial/10/estuary/Ganges/	Estuary
7b93e6a1:150814fecb6:b97	Membership
7b93e6a1:150814fecb6:2b1	Membership
7b93e6a1:150814fecb6:-654	Border
7b93e6a1:150814fecb6:1c70	Membership
7b93e6a1:150814fecb6:-3a0	Membership
7b93e6a1:150814fecb6:2447	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	City
7b93e6a1:150814fecb6:8a5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	Province
http://www.semwebtech.org/mondial/10/organization/UNTSO/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	City
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Mountains
7b93e6a1:150814fecb6:ed7	Membership
7b93e6a1:150814fecb6:801	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	City
7b93e6a1:150814fecb6:153d	Membership
7b93e6a1:150814fecb6:23f3	BelievedBy
7b93e6a1:150814fecb6:e33	Membership
7b93e6a1:150814fecb6:1fb0	Membership
7b93e6a1:150814fecb6:10c	Membership
7b93e6a1:150814fecb6:1b6f	Membership
http://www.semwebtech.org/mondial/10/island/Faial/	Island
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	City
7b93e6a1:150814fecb6:179d	Membership
http://www.semwebtech.org/mondial/10/country/RCB/	Country
7b93e6a1:150814fecb6:36c	Membership
7b93e6a1:150814fecb6:-4ff	Membership
7b93e6a1:150814fecb6:e6	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	City
7b93e6a1:150814fecb6:-45b	Membership
7b93e6a1:150814fecb6:42	Membership
http://www.semwebtech.org/mondial/10/source/Suchona/	Source
http://www.semwebtech.org/mondial/10/river/Fimi/	Water
7b93e6a1:150814fecb6:1eaf	Membership
http://www.semwebtech.org/mondial/10/language/Slovak/	Language
7b93e6a1:150814fecb6:11a9	Membership
7b93e6a1:150814fecb6:224e	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	Mountain
7b93e6a1:150814fecb6:1e0b	Membership
7b93e6a1:150814fecb6:1105	Membership
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	Mountain
7b93e6a1:150814fecb6:6ac	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	City
7b93e6a1:150814fecb6:cde	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Province
7b93e6a1:150814fecb6:1365	Membership
7b93e6a1:150814fecb6:21fa	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	Estuary
7b93e6a1:150814fecb6:c3a	Membership
7b93e6a1:150814fecb6:10b1	Membership
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	Water
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	City
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	City
7b93e6a1:150814fecb6:e9a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	EthnicGroup
7b93e6a1:150814fecb6:194	Membership
7b93e6a1:150814fecb6:1959	Membership
http://www.semwebtech.org/mondial/10/estuary/Selenge/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	City
http://www.semwebtech.org/mondial/10/organization/ECB/	Organization
7b93e6a1:150814fecb6:528	Membership
7b93e6a1:150814fecb6:16a5	Membership
7b93e6a1:150814fecb6:-283	Membership
7b93e6a1:150814fecb6:1cd7	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Province
7b93e6a1:150814fecb6:1601	Membership
7b93e6a1:150814fecb6:-617	Border
7b93e6a1:150814fecb6:2076	Membership
7b93e6a1:150814fecb6:788	Membership
http://www.semwebtech.org/mondial/10/river/Leine/	Water
7b93e6a1:150814fecb6:1c33	Membership
7b93e6a1:150814fecb6:4d4	Membership
7b93e6a1:150814fecb6:1861	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	EthnicGroup
7b93e6a1:150814fecb6:1e93	Membership
7b93e6a1:150814fecb6:430	Membership
7b93e6a1:150814fecb6:-df	Membership
7b93e6a1:150814fecb6:-5c3	Membership
7b93e6a1:150814fecb6:116c	Membership
http://www.semwebtech.org/mondial/10/language/Sinhala/	Language
7b93e6a1:150814fecb6:a62	Membership
7b93e6a1:150814fecb6:-3b	Membership
7b93e6a1:150814fecb6:23b6	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Province
7b93e6a1:150814fecb6:690	Membership
7b93e6a1:150814fecb6:2312	BelievedBy
http://www.semwebtech.org/mondial/10/sea/BandaSea/	Water
7b93e6a1:150814fecb6:32f	Membership
7b93e6a1:150814fecb6:14ac	Membership
7b93e6a1:150814fecb6:2572	EthnicProportion
7b93e6a1:150814fecb6:a9	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	City
7b93e6a1:150814fecb6:da2	Membership
7b93e6a1:150814fecb6:1ade	Membership
7b93e6a1:150814fecb6:-41e	Membership
7b93e6a1:150814fecb6:9d0	Membership
7b93e6a1:150814fecb6:58f	Membership
7b93e6a1:150814fecb6:1a3a	Membership
7b93e6a1:150814fecb6:2db	Membership
7b93e6a1:150814fecb6:-67e	Border
7b93e6a1:150814fecb6:1c9a	Membership
7b93e6a1:150814fecb6:-3ca	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	City
http://www.semwebtech.org/mondial/10/language/Georgian/	Language
7b93e6a1:150814fecb6:1328	Membership
http://www.semwebtech.org/mondial/10/source/Olt/	Source
7b93e6a1:150814fecb6:21bd	SpokenBy
7b93e6a1:150814fecb6:8cf	Membership
7b93e6a1:150814fecb6:82b	Membership
7b93e6a1:150814fecb6:1588	Membership
7b93e6a1:150814fecb6:e5d	Membership
7b93e6a1:150814fecb6:1fda	Membership
7b93e6a1:150814fecb6:157	Membership
7b93e6a1:150814fecb6:12d4	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	City
7b93e6a1:150814fecb6:1230	Membership
7b93e6a1:150814fecb6:-246	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Province
7b93e6a1:150814fecb6:2039	Membership
7b93e6a1:150814fecb6:18c8	Membership
7b93e6a1:150814fecb6:1490	Membership
7b93e6a1:150814fecb6:6c	Membership
7b93e6a1:150814fecb6:1824	Membership
7b93e6a1:150814fecb6:-1f2	Membership
7b93e6a1:150814fecb6:2299	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Province
7b93e6a1:150814fecb6:ac9	Membership
7b93e6a1:150814fecb6:1e56	Membership
7b93e6a1:150814fecb6:112f	Membership
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Mountains
7b93e6a1:150814fecb6:6f7	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Province
7b93e6a1:150814fecb6:a25	Membership
7b93e6a1:150814fecb6:1ba2	Membership
7b93e6a1:150814fecb6:17d0	Membership
7b93e6a1:150814fecb6:653	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	City
7b93e6a1:150814fecb6:-7e6	Encompassed
7b93e6a1:150814fecb6:138f	Membership
7b93e6a1:150814fecb6:c85	Membership
7b93e6a1:150814fecb6:10db	Membership
7b93e6a1:150814fecb6:-742	Encompassed
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	City
7b93e6a1:150814fecb6:25d9	EthnicProportion
7b93e6a1:150814fecb6:2535	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Pulog/	Mountain
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	Island
7b93e6a1:150814fecb6:16cf	Membership
7b93e6a1:150814fecb6:fc5	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	City
7b93e6a1:150814fecb6:162b	Membership
7b93e6a1:150814fecb6:24e1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/FL/	Country
http://www.semwebtech.org/mondial/10/estuary/Akagera/	Estuary
7b93e6a1:150814fecb6:f21	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	City
7b93e6a1:150814fecb6:1c5d	Membership
http://www.semwebtech.org/mondial/10/organization/NAFTA/	Organization
7b93e6a1:150814fecb6:4fe	Membership
7b93e6a1:150814fecb6:188b	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Province
http://www.semwebtech.org/mondial/10/country/HR/	Country
7b93e6a1:150814fecb6:45a	Membership
7b93e6a1:150814fecb6:-5ed	Border
7b93e6a1:150814fecb6:a8c	Membership
7b93e6a1:150814fecb6:-86	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	City
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	Islands
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Province
7b93e6a1:150814fecb6:233c	BelievedBy
7b93e6a1:150814fecb6:-209	Membership
http://www.semwebtech.org/mondial/10/island/Lipari/	Island
7b93e6a1:150814fecb6:14f7	Membership
7b93e6a1:150814fecb6:259c	EthnicProportion
7b93e6a1:150814fecb6:dcc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Province
7b93e6a1:150814fecb6:1453	Membership
7b93e6a1:150814fecb6:-469	Membership
7b93e6a1:150814fecb6:2f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	City
7b93e6a1:150814fecb6:9fa	Membership
http://www.semwebtech.org/mondial/10/source/Klaraelv/	Source
7b93e6a1:150814fecb6:1a85	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Province
7b93e6a1:150814fecb6:-1b5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Province
7b93e6a1:150814fecb6:1e19	Membership
http://www.semwebtech.org/mondial/10/source/Amur/	Source
7b93e6a1:150814fecb6:-111	Membership
http://www.semwebtech.org/mondial/10/desert/UstUrt/	Desert
7b93e6a1:150814fecb6:282	Membership
7b93e6a1:150814fecb6:616	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	City
7b93e6a1:150814fecb6:-7a9	Encompassed
7b93e6a1:150814fecb6:-371	Membership
7b93e6a1:150814fecb6:c48	Membership
7b93e6a1:150814fecb6:1dc5	Membership
7b93e6a1:150814fecb6:-705	Border
7b93e6a1:150814fecb6:2164	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	EthnicGroup
7b93e6a1:150814fecb6:876	Membership
7b93e6a1:150814fecb6:1d21	Membership
7b93e6a1:150814fecb6:19f3	Membership
http://www.semwebtech.org/mondial/10/mountain/Fogo/	Mountain
7b93e6a1:150814fecb6:5c2	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	City
http://www.semwebtech.org/mondial/10/island/Unalaska/	Island
7b93e6a1:150814fecb6:12fe	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Province
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	Estuary
7b93e6a1:150814fecb6:1f81	Membership
7b93e6a1:150814fecb6:bf4	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	City
7b93e6a1:150814fecb6:-6b1	Border
7b93e6a1:150814fecb6:125a	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Province
7b93e6a1:150814fecb6:b50	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	City
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Province
7b93e6a1:150814fecb6:24a4	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Schilka/	Estuary
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Province
7b93e6a1:150814fecb6:2400	BelievedBy
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	City
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Mountains
7b93e6a1:150814fecb6:184e	Membership
7b93e6a1:150814fecb6:41d	Membership
7b93e6a1:150814fecb6:2660	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	Water
7b93e6a1:150814fecb6:a4f	Membership
7b93e6a1:150814fecb6:1bcc	Membership
7b93e6a1:150814fecb6:-49	Membership
7b93e6a1:150814fecb6:-50c	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	EthnicGroup
7b93e6a1:150814fecb6:67d	Membership
7b93e6a1:150814fecb6:17fa	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Province
http://www.semwebtech.org/mondial/10/estuary/Benue/	Estuary
7b93e6a1:150814fecb6:-76c	Encompassed
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	City
7b93e6a1:150814fecb6:1082	Membership
7b93e6a1:150814fecb6:255f	EthnicProportion
7b93e6a1:150814fecb6:1416	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Province
7b93e6a1:150814fecb6:22ab	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	City
7b93e6a1:150814fecb6:9bd	Membership
7b93e6a1:150814fecb6:1a48	Membership
7b93e6a1:150814fecb6:fef	Membership
7b93e6a1:150814fecb6:2e9	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	Mountain
7b93e6a1:150814fecb6:1676	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	City
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	Islands
7b93e6a1:150814fecb6:f4b	Membership
http://www.semwebtech.org/mondial/10/estuary/Brigach/	Estuary
7b93e6a1:150814fecb6:245	Membership
7b93e6a1:150814fecb6:13c2	Membership
7b93e6a1:150814fecb6:-3d8	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	City
7b93e6a1:150814fecb6:-334	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	City
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	Estuary
7b93e6a1:150814fecb6:2127	SpokenBy
7b93e6a1:150814fecb6:839	Membership
7b93e6a1:150814fecb6:1f1	Membership
7b93e6a1:150814fecb6:19b6	Membership
7b93e6a1:150814fecb6:-594	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	City
http://www.semwebtech.org/mondial/10/estuary/Marne/	Estuary
7b93e6a1:150814fecb6:1fe8	Membership
7b93e6a1:150814fecb6:1912	Membership
7b93e6a1:150814fecb6:-2e0	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	City
7b93e6a1:150814fecb6:2387	BelievedBy
7b93e6a1:150814fecb6:bb7	Membership
7b93e6a1:150814fecb6:1f44	Membership
7b93e6a1:150814fecb6:121d	Membership
7b93e6a1:150814fecb6:20d3	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	City
7b93e6a1:150814fecb6:b13	Membership
7b93e6a1:150814fecb6:7e5	Membership
7b93e6a1:150814fecb6:741	Membership
7b93e6a1:150814fecb6:147d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Province
7b93e6a1:150814fecb6:d73	Membership
7b93e6a1:150814fecb6:26c7	EthnicProportion
7b93e6a1:150814fecb6:1ef0	Membership
http://www.semwebtech.org/mondial/10/source/Kwa/	Source
7b93e6a1:150814fecb6:-1df	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	City
7b93e6a1:150814fecb6:-13b	Membership
7b93e6a1:150814fecb6:2623	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	City
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	Water
http://www.semwebtech.org/mondial/10/source/Weichsel/	Source
7b93e6a1:150814fecb6:17bd	Membership
7b93e6a1:150814fecb6:-39b	Membership
7b93e6a1:150814fecb6:1def	Membership
7b93e6a1:150814fecb6:-72f	Encompassed
7b93e6a1:150814fecb6:10e9	Membership
7b93e6a1:150814fecb6:218e	SpokenBy
7b93e6a1:150814fecb6:1d4b	Membership
7b93e6a1:150814fecb6:1045	Membership
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	City
7b93e6a1:150814fecb6:5ec	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Province
7b93e6a1:150814fecb6:b6b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	City
7b93e6a1:150814fecb6:-6db	Border
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	Estuary
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	City
7b93e6a1:150814fecb6:b7a	Membership
7b93e6a1:150814fecb6:1639	Membership
7b93e6a1:150814fecb6:24ce	EthnicProportion
7b93e6a1:150814fecb6:f0e	Membership
7b93e6a1:150814fecb6:208	Membership
7b93e6a1:150814fecb6:242a	BelievedBy
7b93e6a1:150814fecb6:1899	Membership
7b93e6a1:150814fecb6:468	Membership
7b93e6a1:150814fecb6:15e5	Membership
7b93e6a1:150814fecb6:268a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	City
7b93e6a1:150814fecb6:eba	Membership
7b93e6a1:150814fecb6:1b4	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	City
7b93e6a1:150814fecb6:1541	Membership
7b93e6a1:150814fecb6:-557	Membership
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	City
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Province
7b93e6a1:150814fecb6:110	Membership
7b93e6a1:150814fecb6:1b73	Membership
7b93e6a1:150814fecb6:-2a3	Membership
http://www.semwebtech.org/mondial/10/country/ROK/	Country
7b93e6a1:150814fecb6:1f07	Membership
7b93e6a1:150814fecb6:7a8	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	City
7b93e6a1:150814fecb6:370	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Guam/	Island
7b93e6a1:150814fecb6:704	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	City
7b93e6a1:150814fecb6:22f6	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	Estuary
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	Mountain
7b93e6a1:150814fecb6:d36	Membership
7b93e6a1:150814fecb6:1eb3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	EthnicGroup
7b93e6a1:150814fecb6:2252	BelievedBy
http://www.semwebtech.org/mondial/10/island/Bangka/	Island
7b93e6a1:150814fecb6:964	Membership
7b93e6a1:150814fecb6:f96	Membership
7b93e6a1:150814fecb6:6b0	Membership
7b93e6a1:150814fecb6:26f	Membership
7b93e6a1:150814fecb6:13ec	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	City
7b93e6a1:150814fecb6:ce2	Membership
7b93e6a1:150814fecb6:-35e	Membership
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Province
http://www.semwebtech.org/mondial/10/river/Naryn/	Water
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	City
7b93e6a1:150814fecb6:1d0e	Membership
7b93e6a1:150814fecb6:1008	Membership
7b93e6a1:150814fecb6:5af	Membership
7b93e6a1:150814fecb6:193c	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	City
7b93e6a1:150814fecb6:50b	Membership
7b93e6a1:150814fecb6:1f6e	Membership
7b93e6a1:150814fecb6:1268	Membership
7b93e6a1:150814fecb6:20fd	Membership
7b93e6a1:150814fecb6:b3d	Membership
7b93e6a1:150814fecb6:1cba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	City
7b93e6a1:150814fecb6:76b	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	City
7b93e6a1:150814fecb6:d9d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Province
7b93e6a1:150814fecb6:15a8	Membership
7b93e6a1:150814fecb6:-e3	Membership
7b93e6a1:150814fecb6:1170	Membership
7b93e6a1:150814fecb6:-186	Membership
7b93e6a1:150814fecb6:264d	EthnicProportion
7b93e6a1:150814fecb6:1504	Membership
http://www.semwebtech.org/mondial/10/lake/DeadSea/	Water
7b93e6a1:150814fecb6:1b36	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Province
7b93e6a1:150814fecb6:3d7	Membership
7b93e6a1:150814fecb6:1764	Membership
7b93e6a1:150814fecb6:1d96	Membership
7b93e6a1:150814fecb6:333	Membership
7b93e6a1:150814fecb6:14b0	Membership
7b93e6a1:150814fecb6:-4c6	Membership
7b93e6a1:150814fecb6:106f	Membership
7b93e6a1:150814fecb6:1ae2	Membership
7b93e6a1:150814fecb6:-422	Membership
7b93e6a1:150814fecb6:22b9	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	Mountain
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	City
http://www.semwebtech.org/mondial/10/river/Perene/	Water
7b93e6a1:150814fecb6:593	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	City
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	Islands
7b93e6a1:150814fecb6:2215	SpokenBy
7b93e6a1:150814fecb6:927	Membership
7b93e6a1:150814fecb6:-682	Border
http://www.semwebtech.org/mondial/10/organization/CP/	Organization
http://www.semwebtech.org/mondial/10/estuary/Baro/	Estuary
7b93e6a1:150814fecb6:f59	Membership
7b93e6a1:150814fecb6:13af	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	City
7b93e6a1:150814fecb6:2475	EthnicProportion
7b93e6a1:150814fecb6:ca5	Membership
7b93e6a1:150814fecb6:130b	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	City
7b93e6a1:150814fecb6:21c1	SpokenBy
7b93e6a1:150814fecb6:c01	Membership
7b93e6a1:150814fecb6:8d3	Membership
http://www.semwebtech.org/mondial/10/source/Schari/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	City
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	City
7b93e6a1:150814fecb6:1de	Membership
7b93e6a1:150814fecb6:156b	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Province
7b93e6a1:150814fecb6:e61	Membership
7b93e6a1:150814fecb6:13a	Membership
7b93e6a1:150814fecb6:1b9d	Membership
7b93e6a1:150814fecb6:-2cd	Membership
7b93e6a1:150814fecb6:39a	Membership
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	City
http://www.semwebtech.org/mondial/10/estuary/Etsch/	Estuary
7b93e6a1:150814fecb6:201c	Membership
7b93e6a1:150814fecb6:72e	Membership
7b93e6a1:150814fecb6:18ab	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	City
7b93e6a1:150814fecb6:70	Membership
7b93e6a1:150814fecb6:1edd	Membership
7b93e6a1:150814fecb6:11d7	Membership
7b93e6a1:150814fecb6:227c	BelievedBy
7b93e6a1:150814fecb6:aac	Membership
7b93e6a1:150814fecb6:98e	Membership
7b93e6a1:150814fecb6:-a6	Membership
7b93e6a1:150814fecb6:1133	Membership
7b93e6a1:150814fecb6:-149	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	City
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	City
7b93e6a1:150814fecb6:6da	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	EthnicGroup
7b93e6a1:150814fecb6:1393	Membership
7b93e6a1:150814fecb6:1727	Membership
7b93e6a1:150814fecb6:25bc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	City
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	Island
7b93e6a1:150814fecb6:1d59	Membership
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	Water
http://www.semwebtech.org/mondial/10/source/Semliki/	Source
7b93e6a1:150814fecb6:1aa5	Membership
7b93e6a1:150814fecb6:1987	Membership
http://www.semwebtech.org/mondial/10/organization/IHO/	Organization
7b93e6a1:150814fecb6:1a01	Membership
7b93e6a1:150814fecb6:556	Membership
7b93e6a1:150814fecb6:16d3	Membership
7b93e6a1:150814fecb6:-6e9	Border
7b93e6a1:150814fecb6:b88	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Province
7b93e6a1:150814fecb6:2a2	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	City
7b93e6a1:150814fecb6:-645	Border
http://www.semwebtech.org/mondial/10/source/Dalaelv/	Source
7b93e6a1:150814fecb6:1c61	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Province
7b93e6a1:150814fecb6:2438	BelievedBy
http://www.semwebtech.org/mondial/10/source/Lualaba/	Source
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	City
7b93e6a1:150814fecb6:-5f1	Border
7b93e6a1:150814fecb6:119a	Membership
7b93e6a1:150814fecb6:2698	EthnicProportion
7b93e6a1:150814fecb6:ec8	Membership
7b93e6a1:150814fecb6:a90	Membership
7b93e6a1:150814fecb6:152e	Membership
7b93e6a1:150814fecb6:23e4	BelievedBy
7b93e6a1:150814fecb6:e24	Membership
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	City
http://www.semwebtech.org/mondial/10/source/Hwangho/	Source
7b93e6a1:150814fecb6:1fa1	Membership
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	City
7b93e6a1:150814fecb6:2340	BelievedBy
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	Islands
7b93e6a1:150814fecb6:178e	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Province
7b93e6a1:150814fecb6:35d	Membership
7b93e6a1:150814fecb6:14da	Membership
7b93e6a1:150814fecb6:d7	Membership
7b93e6a1:150814fecb6:dd0	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	City
7b93e6a1:150814fecb6:-44c	Membership
7b93e6a1:150814fecb6:33	Membership
http://www.semwebtech.org/mondial/10/lake/Saimaa/	Water
7b93e6a1:150814fecb6:223f	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	City
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Mountains
7b93e6a1:150814fecb6:249f	EthnicProportion
7b93e6a1:150814fecb6:ccf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	City
7b93e6a1:150814fecb6:1356	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	City
7b93e6a1:150814fecb6:21eb	SpokenBy
7b93e6a1:150814fecb6:c2b	Membership
7b93e6a1:150814fecb6:8fd	Membership
http://www.semwebtech.org/mondial/10/organization/MINURSO/	Organization
7b93e6a1:150814fecb6:10a2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	City
7b93e6a1:150814fecb6:e8b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	City
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	City
7b93e6a1:150814fecb6:185	Membership
http://www.semwebtech.org/mondial/10/language/Russian/	Language
7b93e6a1:150814fecb6:519	Membership
http://www.semwebtech.org/mondial/10/country/Z/	Country
7b93e6a1:150814fecb6:-274	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Province
7b93e6a1:150814fecb6:1cc8	Membership
7b93e6a1:150814fecb6:-608	Border
7b93e6a1:150814fecb6:2067	Membership
7b93e6a1:150814fecb6:779	Membership
7b93e6a1:150814fecb6:1c24	Membership
7b93e6a1:150814fecb6:18f6	Membership
7b93e6a1:150814fecb6:9a	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	City
7b93e6a1:150814fecb6:4c5	Membership
7b93e6a1:150814fecb6:1852	Membership
http://www.semwebtech.org/mondial/10/source/OhioRiver/	Source
7b93e6a1:150814fecb6:1e84	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	City
7b93e6a1:150814fecb6:af7	Membership
7b93e6a1:150814fecb6:421	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	City
7b93e6a1:150814fecb6:-5b4	Membership
7b93e6a1:150814fecb6:115d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	EthnicGroup
7b93e6a1:150814fecb6:a53	Membership
7b93e6a1:150814fecb6:1bd0	Membership
7b93e6a1:150814fecb6:-2c	Membership
7b93e6a1:150814fecb6:-510	Membership
7b93e6a1:150814fecb6:23a7	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	City
7b93e6a1:150814fecb6:681	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	EthnicGroup
7b93e6a1:150814fecb6:2303	BelievedBy
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	Islands
7b93e6a1:150814fecb6:-770	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Elbe/	Estuary
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	City
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	City
7b93e6a1:150814fecb6:2563	EthnicProportion
7b93e6a1:150814fecb6:1acf	Membership
7b93e6a1:150814fecb6:-40f	Membership
7b93e6a1:150814fecb6:9c1	Membership
7b93e6a1:150814fecb6:1a2b	Membership
7b93e6a1:150814fecb6:16fd	Membership
7b93e6a1:150814fecb6:ff3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	City
7b93e6a1:150814fecb6:2cc	Membership
7b93e6a1:150814fecb6:-66f	Border
7b93e6a1:150814fecb6:1c8b	Membership
7b93e6a1:150814fecb6:-3bb	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Province
7b93e6a1:150814fecb6:1319	Membership
7b93e6a1:150814fecb6:21ae	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Garonne/	Estuary
7b93e6a1:150814fecb6:210a	Membership
7b93e6a1:150814fecb6:81c	Membership
7b93e6a1:150814fecb6:1579	Membership
7b93e6a1:150814fecb6:1fcb	Membership
7b93e6a1:150814fecb6:e4e	Membership
7b93e6a1:150814fecb6:148	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Province
7b93e6a1:150814fecb6:12c5	Membership
7b93e6a1:150814fecb6:236a	BelievedBy
7b93e6a1:150814fecb6:1221	Membership
7b93e6a1:150814fecb6:-237	Membership
http://www.semwebtech.org/mondial/10/estuary/Maas/	Estuary
7b93e6a1:150814fecb6:dfa	Membership
7b93e6a1:150814fecb6:18b9	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	City
7b93e6a1:150814fecb6:1481	Membership
7b93e6a1:150814fecb6:-497	Membership
7b93e6a1:150814fecb6:5d	Membership
http://www.semwebtech.org/mondial/10/desert/Mojave/	Desert
http://www.semwebtech.org/mondial/10/river/Aller/	Water
7b93e6a1:150814fecb6:1815	Membership
7b93e6a1:150814fecb6:-1e3	Membership
7b93e6a1:150814fecb6:26aa	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	City
7b93e6a1:150814fecb6:1e47	Membership
7b93e6a1:150814fecb6:6e8	Membership
7b93e6a1:150814fecb6:a16	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	City
7b93e6a1:150814fecb6:644	Membership
7b93e6a1:150814fecb6:17c1	Membership
7b93e6a1:150814fecb6:-7d7	Encompassed
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Mountains
7b93e6a1:150814fecb6:c76	Membership
7b93e6a1:150814fecb6:1df3	Membership
http://www.semwebtech.org/mondial/10/country/PITC/	Country
7b93e6a1:150814fecb6:-733	Encompassed
7b93e6a1:150814fecb6:10cc	Membership
7b93e6a1:150814fecb6:2192	SpokenBy
7b93e6a1:150814fecb6:2526	EthnicProportion
7b93e6a1:150814fecb6:5f0	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Province
7b93e6a1:150814fecb6:-29e	Membership
7b93e6a1:150814fecb6:fb6	Membership
7b93e6a1:150814fecb6:161c	Membership
http://www.semwebtech.org/mondial/10/organization/UNITAR/	Organization
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Province
7b93e6a1:150814fecb6:24d2	EthnicProportion
7b93e6a1:150814fecb6:f12	Membership
http://www.semwebtech.org/mondial/10/source/Niger/	Source
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Province
7b93e6a1:150814fecb6:1c4e	Membership
7b93e6a1:150814fecb6:4ef	Membership
7b93e6a1:150814fecb6:187c	Membership
7b93e6a1:150814fecb6:44b	Membership
7b93e6a1:150814fecb6:-5de	Border
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	City
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	City
7b93e6a1:150814fecb6:a7d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	City
7b93e6a1:150814fecb6:1bfa	Membership
7b93e6a1:150814fecb6:-77	Membership
7b93e6a1:150814fecb6:-53a	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	Province
7b93e6a1:150814fecb6:232d	BelievedBy
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	City
7b93e6a1:150814fecb6:-79a	Encompassed
http://www.semwebtech.org/mondial/10/river/RioGrande/	Water
7b93e6a1:150814fecb6:14e8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	City
7b93e6a1:150814fecb6:258d	EthnicProportion
7b93e6a1:150814fecb6:dbd	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	City
7b93e6a1:150814fecb6:1444	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Province
7b93e6a1:150814fecb6:9eb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	City
7b93e6a1:150814fecb6:1a76	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Province
7b93e6a1:150814fecb6:-1a6	Membership
7b93e6a1:150814fecb6:-102	Membership
7b93e6a1:150814fecb6:273	Membership
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	City
7b93e6a1:150814fecb6:13f0	Membership
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	Mountain
7b93e6a1:150814fecb6:607	Membership
7b93e6a1:150814fecb6:-362	Membership
7b93e6a1:150814fecb6:21f9	SpokenBy
7b93e6a1:150814fecb6:c39	Membership
7b93e6a1:150814fecb6:1db6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	City
7b93e6a1:150814fecb6:2155	SpokenBy
7b93e6a1:150814fecb6:867	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Province
http://www.semwebtech.org/mondial/10/organization/CEPGL/	Organization
7b93e6a1:150814fecb6:1d12	Membership
7b93e6a1:150814fecb6:19e4	Membership
7b93e6a1:150814fecb6:e99	Membership
7b93e6a1:150814fecb6:5b3	Membership
7b93e6a1:150814fecb6:1940	Membership
7b93e6a1:150814fecb6:12ef	Membership
7b93e6a1:150814fecb6:be5	Membership
7b93e6a1:150814fecb6:1f72	Membership
7b93e6a1:150814fecb6:124b	Membership
7b93e6a1:150814fecb6:-6a2	Border
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Province
7b93e6a1:150814fecb6:b41	Membership
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	Mountain
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	City
7b93e6a1:150814fecb6:24bf	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	City
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Province
7b93e6a1:150814fecb6:183f	Membership
7b93e6a1:150814fecb6:40e	Membership
7b93e6a1:150814fecb6:2651	EthnicProportion
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	City
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	City
7b93e6a1:150814fecb6:1bbd	Membership
7b93e6a1:150814fecb6:66e	Membership
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	Mountain
7b93e6a1:150814fecb6:17eb	Membership
7b93e6a1:150814fecb6:3ba	Membership
http://www.semwebtech.org/mondial/10/country/FGU/	Country
7b93e6a1:150814fecb6:-75d	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	EthnicGroup
7b93e6a1:150814fecb6:1073	Membership
http://www.semwebtech.org/mondial/10/island/Westray/	Island
http://www.semwebtech.org/mondial/10/estuary/Werra/	Estuary
7b93e6a1:150814fecb6:1407	Membership
http://www.semwebtech.org/mondial/10/island/Wangerooge/	Island
7b93e6a1:150814fecb6:9ae	Membership
7b93e6a1:150814fecb6:1a39	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Province
7b93e6a1:150814fecb6:90a	Membership
7b93e6a1:150814fecb6:1667	Membership
7b93e6a1:150814fecb6:24fc	EthnicProportion
7b93e6a1:150814fecb6:1c99	Membership
7b93e6a1:150814fecb6:13b3	Membership
7b93e6a1:150814fecb6:f3c	Membership
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	City
7b93e6a1:150814fecb6:236	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	City
7b93e6a1:150814fecb6:-3c9	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	City
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	Mountain
7b93e6a1:150814fecb6:-325	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Province
http://www.semwebtech.org/mondial/10/continent/America/	Continent
7b93e6a1:150814fecb6:496	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	City
7b93e6a1:150814fecb6:2118	SpokenBy
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	City
7b93e6a1:150814fecb6:1e2	Membership
7b93e6a1:150814fecb6:19a7	Membership
7b93e6a1:150814fecb6:-585	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	City
7b93e6a1:150814fecb6:2378	BelievedBy
7b93e6a1:150814fecb6:1fd9	Membership
7b93e6a1:150814fecb6:1903	Membership
7b93e6a1:150814fecb6:-2d1	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	City
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	Mountain
7b93e6a1:150814fecb6:ba8	Membership
7b93e6a1:150814fecb6:1f35	Membership
http://www.semwebtech.org/mondial/10/source/Mur/	Source
7b93e6a1:150814fecb6:120e	Membership
7b93e6a1:150814fecb6:20c4	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	City
7b93e6a1:150814fecb6:b04	Membership
7b93e6a1:150814fecb6:7d6	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	City
7b93e6a1:150814fecb6:2020	Membership
7b93e6a1:150814fecb6:732	Membership
7b93e6a1:150814fecb6:146e	Membership
http://www.semwebtech.org/mondial/10/estuary/Nile/	Estuary
7b93e6a1:150814fecb6:d64	Membership
7b93e6a1:150814fecb6:1ee1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	City
7b93e6a1:150814fecb6:11ba	Membership
7b93e6a1:150814fecb6:26b8	EthnicProportion
7b93e6a1:150814fecb6:2280	BelievedBy
7b93e6a1:150814fecb6:ab0	Membership
7b93e6a1:150814fecb6:992	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	City
7b93e6a1:150814fecb6:-12c	Membership
7b93e6a1:150814fecb6:2614	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	City
7b93e6a1:150814fecb6:29d	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	City
7b93e6a1:150814fecb6:17ae	Membership
7b93e6a1:150814fecb6:-38c	Membership
7b93e6a1:150814fecb6:170a	Membership
7b93e6a1:150814fecb6:25c0	EthnicProportion
7b93e6a1:150814fecb6:217f	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Province
7b93e6a1:150814fecb6:1d3c	Membership
7b93e6a1:150814fecb6:1036	Membership
7b93e6a1:150814fecb6:5dd	Membership
7b93e6a1:150814fecb6:196a	Membership
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	Estuary
http://www.semwebtech.org/mondial/10/organization/SICA/	Organization
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	City
7b93e6a1:150814fecb6:1f9c	Membership
7b93e6a1:150814fecb6:-6cc	Border
7b93e6a1:150814fecb6:1296	Membership
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	Water
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	City
7b93e6a1:150814fecb6:241b	BelievedBy
7b93e6a1:150814fecb6:459	Membership
7b93e6a1:150814fecb6:15d6	Membership
7b93e6a1:150814fecb6:267b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	Mountain
7b93e6a1:150814fecb6:eab	Membership
http://www.semwebtech.org/mondial/10/source/Raab/	Source
7b93e6a1:150814fecb6:1a5	Membership
7b93e6a1:150814fecb6:1532	Membership
7b93e6a1:150814fecb6:-548	Membership
7b93e6a1:150814fecb6:101	Membership
7b93e6a1:150814fecb6:1b64	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	City
7b93e6a1:150814fecb6:1792	Membership
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	Source
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Province
7b93e6a1:150814fecb6:361	Membership
7b93e6a1:150814fecb6:-4f4	Membership
7b93e6a1:150814fecb6:109d	Membership
7b93e6a1:150814fecb6:ba	Membership
7b93e6a1:150814fecb6:-450	Membership
7b93e6a1:150814fecb6:22e7	BelievedBy
7b93e6a1:150814fecb6:d27	Membership
7b93e6a1:150814fecb6:9f9	Membership
7b93e6a1:150814fecb6:1ea4	Membership
7b93e6a1:150814fecb6:2243	BelievedBy
7b93e6a1:150814fecb6:955	Membership
7b93e6a1:150814fecb6:1e00	Membership
7b93e6a1:150814fecb6:f87	Membership
7b93e6a1:150814fecb6:6a1	Membership
7b93e6a1:150814fecb6:13dd	Membership
7b93e6a1:150814fecb6:cd3	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	City
7b93e6a1:150814fecb6:-34f	Membership
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Province
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	Islands
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	City
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	Water
7b93e6a1:150814fecb6:192d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Province
7b93e6a1:150814fecb6:-2fb	Membership
7b93e6a1:150814fecb6:1f5f	Membership
7b93e6a1:150814fecb6:1259	Membership
7b93e6a1:150814fecb6:20ee	Membership
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	Islands
7b93e6a1:150814fecb6:b2e	Membership
7b93e6a1:150814fecb6:1cab	Membership
7b93e6a1:150814fecb6:204a	Membership
7b93e6a1:150814fecb6:75c	Membership
http://www.semwebtech.org/mondial/10/island/Filicudi/	Island
http://www.semwebtech.org/mondial/10/island/Langeoog/	Island
7b93e6a1:150814fecb6:d8e	Membership
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	City
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	City
7b93e6a1:150814fecb6:ada	Membership
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	Mountain
7b93e6a1:150814fecb6:-d4	Membership
7b93e6a1:150814fecb6:1161	Membership
7b93e6a1:150814fecb6:-177	Membership
7b93e6a1:150814fecb6:263e	EthnicProportion
7b93e6a1:150814fecb6:-30	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	City
7b93e6a1:150814fecb6:1b27	Membership
7b93e6a1:150814fecb6:17f9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	City
7b93e6a1:150814fecb6:3c8	Membership
7b93e6a1:150814fecb6:25ea	EthnicProportion
7b93e6a1:150814fecb6:1755	Membership
7b93e6a1:150814fecb6:1d87	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	City
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Province
7b93e6a1:150814fecb6:324	Membership
7b93e6a1:150814fecb6:14a1	Membership
7b93e6a1:150814fecb6:-4b7	Membership
7b93e6a1:150814fecb6:1ad3	Membership
7b93e6a1:150814fecb6:-413	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	City
7b93e6a1:150814fecb6:584	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Province
7b93e6a1:150814fecb6:2206	SpokenBy
7b93e6a1:150814fecb6:918	Membership
7b93e6a1:150814fecb6:2d0	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	City
7b93e6a1:150814fecb6:-673	Border
7b93e6a1:150814fecb6:2466	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	Mountain
7b93e6a1:150814fecb6:21b2	SpokenBy
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Province
7b93e6a1:150814fecb6:8c4	Membership
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Mountains
7b93e6a1:150814fecb6:ef6	Membership
7b93e6a1:150814fecb6:820	Membership
7b93e6a1:150814fecb6:1cf	Membership
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	Water
7b93e6a1:150814fecb6:155c	Membership
7b93e6a1:150814fecb6:e52	Membership
7b93e6a1:150814fecb6:12b	Membership
7b93e6a1:150814fecb6:1b8e	Membership
7b93e6a1:150814fecb6:-2be	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	City
7b93e6a1:150814fecb6:-21a	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	City
7b93e6a1:150814fecb6:38b	Membership
http://www.semwebtech.org/mondial/10/island/Salina/	Island
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	Estuary
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	City
7b93e6a1:150814fecb6:200d	Membership
7b93e6a1:150814fecb6:71f	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Province
7b93e6a1:150814fecb6:-47a	Membership
7b93e6a1:150814fecb6:61	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	City
7b93e6a1:150814fecb6:1ece	Membership
7b93e6a1:150814fecb6:-80e	Encompassed
7b93e6a1:150814fecb6:11c8	Membership
7b93e6a1:150814fecb6:226d	BelievedBy
7b93e6a1:150814fecb6:97f	Membership
7b93e6a1:150814fecb6:1e2a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	City
7b93e6a1:150814fecb6:1124	Membership
7b93e6a1:150814fecb6:6cb	Membership
http://www.semwebtech.org/mondial/10/country/ETH/	Country
7b93e6a1:150814fecb6:cfd	Membership
7b93e6a1:150814fecb6:-7ba	Encompassed
7b93e6a1:150814fecb6:1384	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Province
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	Water
7b93e6a1:150814fecb6:1718	Membership
7b93e6a1:150814fecb6:10d0	Membership
7b93e6a1:150814fecb6:25ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	EthnicGroup
7b93e6a1:150814fecb6:1978	Membership
7b93e6a1:150814fecb6:547	Membership
7b93e6a1:150814fecb6:16c4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	City
7b93e6a1:150814fecb6:b79	Membership
7b93e6a1:150814fecb6:1cf6	Membership
7b93e6a1:150814fecb6:1620	Membership
7b93e6a1:150814fecb6:-636	Border
7b93e6a1:150814fecb6:2095	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Province
7b93e6a1:150814fecb6:2429	BelievedBy
7b93e6a1:150814fecb6:1c52	Membership
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	Island
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	City
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Province
7b93e6a1:150814fecb6:4f3	Membership
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	Water
7b93e6a1:150814fecb6:1880	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	City
http://www.semwebtech.org/mondial/10/island/Hierro/	Island
7b93e6a1:150814fecb6:-fe	Membership
7b93e6a1:150814fecb6:-5e2	Border
7b93e6a1:150814fecb6:118b	Membership
7b93e6a1:150814fecb6:2689	EthnicProportion
7b93e6a1:150814fecb6:eb9	Membership
7b93e6a1:150814fecb6:a81	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	City
7b93e6a1:150814fecb6:-5a	Membership
7b93e6a1:150814fecb6:151f	Membership
7b93e6a1:150814fecb6:23d5	BelievedBy
7b93e6a1:150814fecb6:e15	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	Mountain
7b93e6a1:150814fecb6:2331	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	City
7b93e6a1:150814fecb6:177f	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	City
7b93e6a1:150814fecb6:34e	Membership
7b93e6a1:150814fecb6:2591	EthnicProportion
7b93e6a1:150814fecb6:14cb	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	City
7b93e6a1:150814fecb6:c8	Membership
7b93e6a1:150814fecb6:dc1	Membership
7b93e6a1:150814fecb6:1afd	Membership
7b93e6a1:150814fecb6:-43d	Membership
http://www.semwebtech.org/mondial/10/desert/RedCentre/	Desert
7b93e6a1:150814fecb6:24	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	City
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	Mountain
7b93e6a1:150814fecb6:2fa	Membership
7b93e6a1:150814fecb6:-69d	Border
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	City
http://www.semwebtech.org/mondial/10/estuary/Salzach/	Estuary
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Province
7b93e6a1:150814fecb6:21dc	SpokenBy
7b93e6a1:150814fecb6:1347	Membership
7b93e6a1:150814fecb6:-488	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	Mountain
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	Island
7b93e6a1:150814fecb6:c1c	Membership
7b93e6a1:150814fecb6:8ee	Membership
7b93e6a1:150814fecb6:84a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	City
7b93e6a1:150814fecb6:e7c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	EthnicGroup
7b93e6a1:150814fecb6:176	Membership
7b93e6a1:150814fecb6:12f3	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Province
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	Province
7b93e6a1:150814fecb6:-265	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	City
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	Mountain
7b93e6a1:150814fecb6:1cb9	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	City
7b93e6a1:150814fecb6:2058	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	City
7b93e6a1:150814fecb6:1c15	Membership
7b93e6a1:150814fecb6:18e7	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	City
7b93e6a1:150814fecb6:8b	Membership
7b93e6a1:150814fecb6:1843	Membership
7b93e6a1:150814fecb6:4b6	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	City
http://www.semwebtech.org/mondial/10/country/SD/	Country
http://www.semwebtech.org/mondial/10/island/Koror/	Island
7b93e6a1:150814fecb6:1e75	Membership
7b93e6a1:150814fecb6:ae8	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Province
7b93e6a1:150814fecb6:412	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	City
7b93e6a1:150814fecb6:-5a5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	City
7b93e6a1:150814fecb6:114e	Membership
7b93e6a1:150814fecb6:a44	Membership
7b93e6a1:150814fecb6:1bc1	Membership
7b93e6a1:150814fecb6:-1d	Membership
7b93e6a1:150814fecb6:-501	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	City
7b93e6a1:150814fecb6:672	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Province
7b93e6a1:150814fecb6:-761	Encompassed
7b93e6a1:150814fecb6:10fa	Membership
7b93e6a1:150814fecb6:25f8	EthnicProportion
7b93e6a1:150814fecb6:2554	EthnicProportion
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	City
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	Estuary
http://www.semwebtech.org/mondial/10/country/YV/	Country
7b93e6a1:150814fecb6:22a0	BelievedBy
7b93e6a1:150814fecb6:9b2	Membership
7b93e6a1:150814fecb6:1a1c	Membership
7b93e6a1:150814fecb6:16ee	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	City
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	Mountain
7b93e6a1:150814fecb6:fe4	Membership
7b93e6a1:150814fecb6:2bd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	EthnicGroup
7b93e6a1:150814fecb6:164a	Membership
http://www.semwebtech.org/mondial/10/river/Apurimac/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	City
7b93e6a1:150814fecb6:f40	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Province
7b93e6a1:150814fecb6:1c7c	Membership
7b93e6a1:150814fecb6:-3ac	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Terschelling/	Island
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	Mountain
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Province
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	Water
7b93e6a1:150814fecb6:80d	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	City
7b93e6a1:150814fecb6:23ff	BelievedBy
7b93e6a1:150814fecb6:1fbc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Province
7b93e6a1:150814fecb6:e3f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Province
7b93e6a1:150814fecb6:139	Membership
7b93e6a1:150814fecb6:12b6	Membership
7b93e6a1:150814fecb6:235b	BelievedBy
7b93e6a1:150814fecb6:1212	Membership
7b93e6a1:150814fecb6:-228	Membership
7b93e6a1:150814fecb6:399	Membership
http://www.semwebtech.org/mondial/10/desert/Ryn/	Desert
7b93e6a1:150814fecb6:deb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	Province
7b93e6a1:150814fecb6:1472	Membership
7b93e6a1:150814fecb6:4e	Membership
7b93e6a1:150814fecb6:1806	Membership
7b93e6a1:150814fecb6:-1d4	Membership
7b93e6a1:150814fecb6:1e38	Membership
7b93e6a1:150814fecb6:-130	Membership
7b93e6a1:150814fecb6:6d9	Membership
7b93e6a1:150814fecb6:a07	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	City
7b93e6a1:150814fecb6:635	Membership
7b93e6a1:150814fecb6:17b2	Membership
7b93e6a1:150814fecb6:-7c8	Encompassed
7b93e6a1:150814fecb6:-390	Membership
7b93e6a1:150814fecb6:c67	Membership
7b93e6a1:150814fecb6:1de4	Membership
7b93e6a1:150814fecb6:-724	Encompassed
7b93e6a1:150814fecb6:10bd	Membership
7b93e6a1:150814fecb6:2183	SpokenBy
http://www.semwebtech.org/mondial/10/source/Shabelle/	Source
7b93e6a1:150814fecb6:895	Membership
7b93e6a1:150814fecb6:1d40	Membership
7b93e6a1:150814fecb6:2517	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	Desert
7b93e6a1:150814fecb6:5e1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	City
7b93e6a1:150814fecb6:-6d0	Border
7b93e6a1:150814fecb6:-28f	Membership
7b93e6a1:150814fecb6:160d	Membership
7b93e6a1:150814fecb6:fa7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	City
7b93e6a1:150814fecb6:24c3	EthnicProportion
7b93e6a1:150814fecb6:f03	Membership
7b93e6a1:150814fecb6:1c3f	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	Mountain
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	City
7b93e6a1:150814fecb6:186d	Membership
7b93e6a1:150814fecb6:1e9f	Membership
7b93e6a1:150814fecb6:43c	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	City
7b93e6a1:150814fecb6:-5cf	Membership
7b93e6a1:150814fecb6:1199	Membership
7b93e6a1:150814fecb6:a6e	Membership
7b93e6a1:150814fecb6:1beb	Membership
7b93e6a1:150814fecb6:-68	Membership
7b93e6a1:150814fecb6:-52b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Province
7b93e6a1:150814fecb6:69c	Membership
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	Mountain
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Province
7b93e6a1:150814fecb6:231e	BelievedBy
7b93e6a1:150814fecb6:-78b	Encompassed
http://www.semwebtech.org/mondial/10/island/Paramuschir/	Island
7b93e6a1:150814fecb6:14d9	Membership
7b93e6a1:150814fecb6:257e	EthnicProportion
7b93e6a1:150814fecb6:dae	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	City
7b93e6a1:150814fecb6:1435	Membership
7b93e6a1:150814fecb6:22ca	BelievedBy
7b93e6a1:150814fecb6:d0a	Membership
7b93e6a1:150814fecb6:9dc	Membership
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	Source
7b93e6a1:150814fecb6:1a67	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	City
7b93e6a1:150814fecb6:1695	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	City
7b93e6a1:150814fecb6:f6a	Membership
7b93e6a1:150814fecb6:13e1	Membership
7b93e6a1:150814fecb6:264	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	City
7b93e6a1:150814fecb6:-3f7	Membership
http://www.semwebtech.org/mondial/10/island/Luzon/	Island
7b93e6a1:150814fecb6:-353	Membership
7b93e6a1:150814fecb6:1da7	Membership
7b93e6a1:150814fecb6:2146	SpokenBy
7b93e6a1:150814fecb6:1d03	Membership
7b93e6a1:150814fecb6:858	Membership
7b93e6a1:150814fecb6:19d5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	City
7b93e6a1:150814fecb6:5a4	Membership
7b93e6a1:150814fecb6:b	Membership
7b93e6a1:150814fecb6:1931	Membership
7b93e6a1:150814fecb6:bd6	Membership
7b93e6a1:150814fecb6:500	Membership
7b93e6a1:150814fecb6:1f63	Membership
7b93e6a1:150814fecb6:123c	Membership
7b93e6a1:150814fecb6:20f2	Membership
7b93e6a1:150814fecb6:b32	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	City
7b93e6a1:150814fecb6:760	Membership
7b93e6a1:150814fecb6:149c	Membership
http://www.semwebtech.org/mondial/10/river/Breg/	Water
7b93e6a1:150814fecb6:99	Membership
7b93e6a1:150814fecb6:d92	Membership
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mountains
7b93e6a1:150814fecb6:-1fe	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Province
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	City
7b93e6a1:150814fecb6:-15a	Membership
7b93e6a1:150814fecb6:2642	EthnicProportion
7b93e6a1:150814fecb6:1bae	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	City
7b93e6a1:150814fecb6:65f	Membership
7b93e6a1:150814fecb6:1b0a	Membership
7b93e6a1:150814fecb6:17dc	Membership
7b93e6a1:150814fecb6:3ab	Membership
7b93e6a1:150814fecb6:-74e	Encompassed
http://www.semwebtech.org/mondial/10/country/KAZ/	Country
7b93e6a1:150814fecb6:1d6a	Membership
7b93e6a1:150814fecb6:1064	Membership
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	Desert
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	City
http://www.semwebtech.org/mondial/10/source/Dnister/	Source
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	City
7b93e6a1:150814fecb6:-6fa	Border
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	City
7b93e6a1:150814fecb6:1658	Membership
7b93e6a1:150814fecb6:24ed	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Kolyma/	Source
http://www.semwebtech.org/mondial/10/source/Don/	Source
7b93e6a1:150814fecb6:f2d	Membership
7b93e6a1:150814fecb6:227	Membership
7b93e6a1:150814fecb6:13a4	Membership
7b93e6a1:150814fecb6:1300	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	City
7b93e6a1:150814fecb6:-316	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	City
7b93e6a1:150814fecb6:487	Membership
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	Water
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	City
7b93e6a1:150814fecb6:2109	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	City
7b93e6a1:150814fecb6:1d3	Membership
7b93e6a1:150814fecb6:1560	Membership
7b93e6a1:150814fecb6:-576	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Province
7b93e6a1:150814fecb6:1b92	Membership
7b93e6a1:150814fecb6:-2c2	Membership
7b93e6a1:150814fecb6:2369	BelievedBy
7b93e6a1:150814fecb6:1f26	Membership
7b93e6a1:150814fecb6:20b5	Membership
7b93e6a1:150814fecb6:7c7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Province
7b93e6a1:150814fecb6:2011	Membership
7b93e6a1:150814fecb6:df9	Membership
7b93e6a1:150814fecb6:723	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Province
7b93e6a1:150814fecb6:18a0	Membership
7b93e6a1:150814fecb6:145f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	EthnicGroup
7b93e6a1:150814fecb6:d55	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Province
7b93e6a1:150814fecb6:26a9	EthnicProportion
7b93e6a1:150814fecb6:1ed2	Membership
7b93e6a1:150814fecb6:-812	Encompassed
7b93e6a1:150814fecb6:11ab	Membership
7b93e6a1:150814fecb6:2271	BelievedBy
7b93e6a1:150814fecb6:aa1	Membership
7b93e6a1:150814fecb6:983	Membership
http://www.semwebtech.org/mondial/10/organization/FAO/	Organization
http://www.semwebtech.org/mondial/10/language/Galician/	Language
http://www.semwebtech.org/mondial/10/river/Fulda/	Water
7b93e6a1:150814fecb6:2605	EthnicProportion
7b93e6a1:150814fecb6:-11d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	City
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	City
7b93e6a1:150814fecb6:28e	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	City
http://www.semwebtech.org/mondial/10/country/EC/	Country
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	City
http://www.semwebtech.org/mondial/10/lake/Poopo/	Water
7b93e6a1:150814fecb6:-37d	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	City
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Province
7b93e6a1:150814fecb6:25b1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	City
7b93e6a1:150814fecb6:1d2d	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Province
7b93e6a1:150814fecb6:19ff	Membership
7b93e6a1:150814fecb6:1027	Membership
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	Estuary
7b93e6a1:150814fecb6:5ce	Membership
7b93e6a1:150814fecb6:195b	Membership
7b93e6a1:150814fecb6:52a	Membership
7b93e6a1:150814fecb6:1f8d	Membership
7b93e6a1:150814fecb6:-6bd	Border
7b93e6a1:150814fecb6:1287	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	City
7b93e6a1:150814fecb6:b5c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	City
7b93e6a1:150814fecb6:78a	Membership
7b93e6a1:150814fecb6:240c	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	EthnicGroup
7b93e6a1:150814fecb6:15c7	Membership
7b93e6a1:150814fecb6:266c	EthnicProportion
7b93e6a1:150814fecb6:1bf9	Membership
7b93e6a1:150814fecb6:1523	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	City
7b93e6a1:150814fecb6:-539	Membership
http://www.semwebtech.org/mondial/10/language/Miskito/	Language
7b93e6a1:150814fecb6:1b55	Membership
7b93e6a1:150814fecb6:1783	Membership
7b93e6a1:150814fecb6:3f6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	City
http://www.semwebtech.org/mondial/10/country/RH/	Country
7b93e6a1:150814fecb6:-799	Encompassed
7b93e6a1:150814fecb6:352	Membership
7b93e6a1:150814fecb6:-4e5	Membership
7b93e6a1:150814fecb6:108e	Membership
7b93e6a1:150814fecb6:ab	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	City
http://www.semwebtech.org/mondial/10/country/TN/	Country
7b93e6a1:150814fecb6:-441	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	City
7b93e6a1:150814fecb6:22d8	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Limmat/	Estuary
7b93e6a1:150814fecb6:d18	Membership
http://www.semwebtech.org/mondial/10/country/WAFU/	Country
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	City
7b93e6a1:150814fecb6:2234	BelievedBy
7b93e6a1:150814fecb6:946	Membership
7b93e6a1:150814fecb6:f78	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	City
7b93e6a1:150814fecb6:13ce	Membership
7b93e6a1:150814fecb6:2494	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Seine/	Estuary
7b93e6a1:150814fecb6:cc4	Membership
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	Religion
7b93e6a1:150814fecb6:132a	Membership
7b93e6a1:150814fecb6:21e0	SpokenBy
7b93e6a1:150814fecb6:c20	Membership
7b93e6a1:150814fecb6:8f2	Membership
http://www.semwebtech.org/mondial/10/source/Moldau/	Source
7b93e6a1:150814fecb6:1fd	Membership
7b93e6a1:150814fecb6:158a	Membership
7b93e6a1:150814fecb6:e80	Membership
7b93e6a1:150814fecb6:191e	Membership
7b93e6a1:150814fecb6:-2ec	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	City
7b93e6a1:150814fecb6:20df	Membership
7b93e6a1:150814fecb6:b1f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	City
7b93e6a1:150814fecb6:203b	Membership
7b93e6a1:150814fecb6:74d	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	City
7b93e6a1:150814fecb6:18ca	Membership
7b93e6a1:150814fecb6:d7f	Membership
7b93e6a1:150814fecb6:1efc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Province
7b93e6a1:150814fecb6:11f6	Membership
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	City
7b93e6a1:150814fecb6:229b	BelievedBy
7b93e6a1:150814fecb6:acb	Membership
7b93e6a1:150814fecb6:-c5	Membership
7b93e6a1:150814fecb6:1152	Membership
7b93e6a1:150814fecb6:-168	Membership
7b93e6a1:150814fecb6:262f	EthnicProportion
7b93e6a1:150814fecb6:-21	Membership
7b93e6a1:150814fecb6:1b18	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	City
7b93e6a1:150814fecb6:3b9	Membership
http://www.semwebtech.org/mondial/10/country/M/	Country
7b93e6a1:150814fecb6:1746	Membership
7b93e6a1:150814fecb6:25db	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Hekla/	Mountain
7b93e6a1:150814fecb6:315	Membership
7b93e6a1:150814fecb6:1d78	Membership
7b93e6a1:150814fecb6:-4a8	Membership
7b93e6a1:150814fecb6:1ac4	Membership
7b93e6a1:150814fecb6:-404	Membership
http://www.semwebtech.org/mondial/10/river/Senegal/	Water
http://www.semwebtech.org/mondial/10/mountain/Joekul/	Mountain
7b93e6a1:150814fecb6:575	Membership
7b93e6a1:150814fecb6:1a20	Membership
7b93e6a1:150814fecb6:16f2	Membership
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Mountains
7b93e6a1:150814fecb6:909	Membership
7b93e6a1:150814fecb6:2c1	Membership
7b93e6a1:150814fecb6:-664	Border
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	City
7b93e6a1:150814fecb6:2457	EthnicProportion
7b93e6a1:150814fecb6:1c80	Membership
7b93e6a1:150814fecb6:-3b0	Membership
http://www.semwebtech.org/mondial/10/organization/UNDOF/	Organization
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	Source
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Province
7b93e6a1:150814fecb6:16e3	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	City
7b93e6a1:150814fecb6:21a3	SpokenBy
7b93e6a1:150814fecb6:8b5	Membership
7b93e6a1:150814fecb6:ee7	Membership
7b93e6a1:150814fecb6:811	Membership
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Mountains
7b93e6a1:150814fecb6:154d	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	Mountain
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	City
http://www.semwebtech.org/mondial/10/source/Urubamba/	Source
7b93e6a1:150814fecb6:e43	Membership
7b93e6a1:150814fecb6:1fc0	Membership
7b93e6a1:150814fecb6:11c	Membership
7b93e6a1:150814fecb6:1b7f	Membership
7b93e6a1:150814fecb6:-2af	Membership
http://www.semwebtech.org/mondial/10/river/Oka/	Water
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	City
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	Mountain
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	City
7b93e6a1:150814fecb6:-20b	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	Estuary
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	City
7b93e6a1:150814fecb6:37c	Membership
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	Estuary
7b93e6a1:150814fecb6:f6	Membership
7b93e6a1:150814fecb6:-46b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Province
7b93e6a1:150814fecb6:52	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	City
7b93e6a1:150814fecb6:1ebf	Membership
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Mountains
7b93e6a1:150814fecb6:11b9	Membership
7b93e6a1:150814fecb6:225e	BelievedBy
7b93e6a1:150814fecb6:1e1b	Membership
7b93e6a1:150814fecb6:1115	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Province
7b93e6a1:150814fecb6:6bc	Membership
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	Islands
7b93e6a1:150814fecb6:cee	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	City
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	City
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	City
7b93e6a1:150814fecb6:-7ab	Encompassed
7b93e6a1:150814fecb6:1375	Membership
7b93e6a1:150814fecb6:c4a	Membership
7b93e6a1:150814fecb6:1709	Membership
7b93e6a1:150814fecb6:10c1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	City
7b93e6a1:150814fecb6:1969	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Province
7b93e6a1:150814fecb6:538	Membership
7b93e6a1:150814fecb6:16b5	Membership
7b93e6a1:150814fecb6:-293	Membership
7b93e6a1:150814fecb6:1ce7	Membership
7b93e6a1:150814fecb6:1611	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Province
7b93e6a1:150814fecb6:-627	Border
7b93e6a1:150814fecb6:2086	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	City
7b93e6a1:150814fecb6:798	Membership
7b93e6a1:150814fecb6:1c43	Membership
7b93e6a1:150814fecb6:4e4	Membership
7b93e6a1:150814fecb6:1871	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Province
7b93e6a1:150814fecb6:440	Membership
7b93e6a1:150814fecb6:-ef	Membership
7b93e6a1:150814fecb6:-5d3	Membership
7b93e6a1:150814fecb6:117c	Membership
7b93e6a1:150814fecb6:a72	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Province
7b93e6a1:150814fecb6:-4b	Membership
7b93e6a1:150814fecb6:23c6	BelievedBy
7b93e6a1:150814fecb6:e06	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	City
7b93e6a1:150814fecb6:2322	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	EthnicGroup
7b93e6a1:150814fecb6:33f	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Province
7b93e6a1:150814fecb6:2582	EthnicProportion
7b93e6a1:150814fecb6:14bc	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	City
7b93e6a1:150814fecb6:b9	Membership
7b93e6a1:150814fecb6:db2	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	City
7b93e6a1:150814fecb6:1aee	Membership
7b93e6a1:150814fecb6:1a4a	Membership
7b93e6a1:150814fecb6:9e0	Membership
7b93e6a1:150814fecb6:-42e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	City
7b93e6a1:150814fecb6:15	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	City
7b93e6a1:150814fecb6:59f	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	City
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	Water
7b93e6a1:150814fecb6:2eb	Membership
7b93e6a1:150814fecb6:-68e	Border
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	City
7b93e6a1:150814fecb6:-3da	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	City
7b93e6a1:150814fecb6:1338	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	City
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	City
7b93e6a1:150814fecb6:21cd	SpokenBy
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	City
7b93e6a1:150814fecb6:c0d	Membership
7b93e6a1:150814fecb6:8df	Membership
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	Desert
http://www.semwebtech.org/mondial/10/island/Kauai/	Island
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Language
7b93e6a1:150814fecb6:83b	Membership
7b93e6a1:150814fecb6:1598	Membership
http://www.semwebtech.org/mondial/10/mountain/Athos/	Mountain
7b93e6a1:150814fecb6:e6d	Membership
7b93e6a1:150814fecb6:1fea	Membership
7b93e6a1:150814fecb6:167	Membership
7b93e6a1:150814fecb6:12e4	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	City
http://www.semwebtech.org/mondial/10/source/Naryn/	Source
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	Water
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Province
7b93e6a1:150814fecb6:1240	Membership
7b93e6a1:150814fecb6:-256	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	City
7b93e6a1:150814fecb6:2049	Membership
7b93e6a1:150814fecb6:1c06	Membership
7b93e6a1:150814fecb6:18d8	Membership
7b93e6a1:150814fecb6:7c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Province
7b93e6a1:150814fecb6:4a7	Membership
7b93e6a1:150814fecb6:1834	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	City
7b93e6a1:150814fecb6:ad9	Membership
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	City
7b93e6a1:150814fecb6:403	Membership
7b93e6a1:150814fecb6:1e66	Membership
7b93e6a1:150814fecb6:113f	Membership
7b93e6a1:150814fecb6:a35	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	City
7b93e6a1:150814fecb6:1bb2	Membership
http://www.semwebtech.org/mondial/10/mountain/Makalu/	Mountain
http://www.semwebtech.org/mondial/10/island/Lombok/	Island
7b93e6a1:150814fecb6:663	Membership
7b93e6a1:150814fecb6:17e0	Membership
7b93e6a1:150814fecb6:-7f6	Encompassed
7b93e6a1:150814fecb6:139f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	EthnicGroup
7b93e6a1:150814fecb6:c95	Membership
http://www.semwebtech.org/mondial/10/source/RioLerma/	Source
7b93e6a1:150814fecb6:-752	Encompassed
7b93e6a1:150814fecb6:10eb	Membership
7b93e6a1:150814fecb6:25e9	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	City
7b93e6a1:150814fecb6:2545	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Honshu/	Island
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	Mountain
7b93e6a1:150814fecb6:-8	Membership
7b93e6a1:150814fecb6:9a3	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	City
7b93e6a1:150814fecb6:1a0d	Membership
7b93e6a1:150814fecb6:16df	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	City
7b93e6a1:150814fecb6:fd5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	City
7b93e6a1:150814fecb6:2ae	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	City
7b93e6a1:150814fecb6:163b	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	City
7b93e6a1:150814fecb6:24f1	EthnicProportion
7b93e6a1:150814fecb6:1c6d	Membership
7b93e6a1:150814fecb6:f31	Membership
7b93e6a1:150814fecb6:20a	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	City
7b93e6a1:150814fecb6:189b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	City
7b93e6a1:150814fecb6:46a	Membership
7b93e6a1:150814fecb6:-5fd	Border
7b93e6a1:150814fecb6:a9c	Membership
7b93e6a1:150814fecb6:-96	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Mountains
7b93e6a1:150814fecb6:1fad	Membership
7b93e6a1:150814fecb6:12a7	Membership
7b93e6a1:150814fecb6:234c	BelievedBy
http://www.semwebtech.org/mondial/10/religion/Protestant/	Religion
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	City
7b93e6a1:150814fecb6:1203	Membership
7b93e6a1:150814fecb6:-219	Membership
http://www.semwebtech.org/mondial/10/organization/G-3/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Province
7b93e6a1:150814fecb6:7aa	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	City
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	Water
7b93e6a1:150814fecb6:ddc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Province
http://www.semwebtech.org/mondial/10/island/Arran/	Island
7b93e6a1:150814fecb6:1463	Membership
7b93e6a1:150814fecb6:-479	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	Province
7b93e6a1:150814fecb6:3f	Membership
7b93e6a1:150814fecb6:1a95	Membership
7b93e6a1:150814fecb6:-1c5	Membership
7b93e6a1:150814fecb6:1e29	Membership
7b93e6a1:150814fecb6:-121	Membership
7b93e6a1:150814fecb6:292	Membership
7b93e6a1:150814fecb6:17a3	Membership
7b93e6a1:150814fecb6:626	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	City
7b93e6a1:150814fecb6:-7b9	Encompassed
7b93e6a1:150814fecb6:-381	Membership
7b93e6a1:150814fecb6:c58	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	Water
7b93e6a1:150814fecb6:1dd5	Membership
7b93e6a1:150814fecb6:-715	Border
7b93e6a1:150814fecb6:10ae	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	City
7b93e6a1:150814fecb6:2174	SpokenBy
7b93e6a1:150814fecb6:1d31	Membership
7b93e6a1:150814fecb6:886	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	City
7b93e6a1:150814fecb6:100a	Membership
7b93e6a1:150814fecb6:2508	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	City
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	City
7b93e6a1:150814fecb6:5d2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	City
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	Water
7b93e6a1:150814fecb6:1f91	Membership
7b93e6a1:150814fecb6:126a	Membership
7b93e6a1:150814fecb6:-6c1	Border
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	City
7b93e6a1:150814fecb6:b60	Membership
7b93e6a1:150814fecb6:24b4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	City
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	City
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	City
7b93e6a1:150814fecb6:2410	BelievedBy
7b93e6a1:150814fecb6:185e	Membership
7b93e6a1:150814fecb6:42d	Membership
7b93e6a1:150814fecb6:15aa	Membership
7b93e6a1:150814fecb6:2670	EthnicProportion
7b93e6a1:150814fecb6:1bdc	Membership
7b93e6a1:150814fecb6:ea0	Membership
7b93e6a1:150814fecb6:a5f	Membership
7b93e6a1:150814fecb6:-59	Membership
7b93e6a1:150814fecb6:-51c	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	City
7b93e6a1:150814fecb6:68d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	EthnicGroup
7b93e6a1:150814fecb6:230f	BelievedBy
7b93e6a1:150814fecb6:-77c	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	City
7b93e6a1:150814fecb6:1092	Membership
7b93e6a1:150814fecb6:256f	EthnicProportion
7b93e6a1:150814fecb6:1426	Membership
http://www.semwebtech.org/mondial/10/organization/G-24/	Organization
7b93e6a1:150814fecb6:22bb	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Karthala/	Mountain
7b93e6a1:150814fecb6:9cd	Membership
http://www.semwebtech.org/mondial/10/country/SBAR/	Country
7b93e6a1:150814fecb6:1a58	Membership
7b93e6a1:150814fecb6:fff	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Province
7b93e6a1:150814fecb6:2f9	Membership
7b93e6a1:150814fecb6:1686	Membership
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	City
7b93e6a1:150814fecb6:f5b	Membership
7b93e6a1:150814fecb6:255	Membership
7b93e6a1:150814fecb6:13d2	Membership
7b93e6a1:150814fecb6:-3e8	Membership
7b93e6a1:150814fecb6:-344	Membership
7b93e6a1:150814fecb6:2137	SpokenBy
http://www.semwebtech.org/mondial/10/island/WestFalkland/	Island
7b93e6a1:150814fecb6:849	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Province
7b93e6a1:150814fecb6:19c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	EthnicGroup
7b93e6a1:150814fecb6:1ff8	Membership
7b93e6a1:150814fecb6:1922	Membership
7b93e6a1:150814fecb6:-2f0	Membership
7b93e6a1:150814fecb6:2397	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	City
7b93e6a1:150814fecb6:bc7	Membership
7b93e6a1:150814fecb6:1f54	Membership
7b93e6a1:150814fecb6:122d	Membership
7b93e6a1:150814fecb6:20e3	Membership
7b93e6a1:150814fecb6:b23	Membership
7b93e6a1:150814fecb6:7f5	Membership
7b93e6a1:150814fecb6:1ca0	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	City
7b93e6a1:150814fecb6:751	Membership
7b93e6a1:150814fecb6:148d	Membership
7b93e6a1:150814fecb6:d83	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	City
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	Source
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	City
7b93e6a1:150814fecb6:-1ef	Membership
7b93e6a1:150814fecb6:-14b	Membership
7b93e6a1:150814fecb6:2633	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	City
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	City
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	Mountain
7b93e6a1:150814fecb6:17cd	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	City
7b93e6a1:150814fecb6:1dff	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	City
7b93e6a1:150814fecb6:-73f	Encompassed
7b93e6a1:150814fecb6:10f9	Membership
7b93e6a1:150814fecb6:219e	SpokenBy
http://www.semwebtech.org/mondial/10/river/Narew/	Water
http://www.semwebtech.org/mondial/10/river/Orinoco/	Water
7b93e6a1:150814fecb6:1d5b	Membership
7b93e6a1:150814fecb6:1055	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	City
http://www.semwebtech.org/mondial/10/island/Lanai/	Island
7b93e6a1:150814fecb6:5fc	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	City
7b93e6a1:150814fecb6:-6eb	Border
7b93e6a1:150814fecb6:b8a	Membership
7b93e6a1:150814fecb6:1649	Membership
7b93e6a1:150814fecb6:24de	EthnicProportion
7b93e6a1:150814fecb6:f1e	Membership
7b93e6a1:150814fecb6:218	Membership
7b93e6a1:150814fecb6:243a	BelievedBy
7b93e6a1:150814fecb6:-307	Membership
7b93e6a1:150814fecb6:478	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Province
7b93e6a1:150814fecb6:15f5	Membership
7b93e6a1:150814fecb6:269a	EthnicProportion
7b93e6a1:150814fecb6:eca	Membership
7b93e6a1:150814fecb6:1c4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	City
7b93e6a1:150814fecb6:1551	Membership
7b93e6a1:150814fecb6:-567	Membership
7b93e6a1:150814fecb6:120	Membership
7b93e6a1:150814fecb6:1b83	Membership
7b93e6a1:150814fecb6:-2b3	Membership
http://www.semwebtech.org/mondial/10/estuary/Arno/	Estuary
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Province
7b93e6a1:150814fecb6:1f17	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Province
7b93e6a1:150814fecb6:20a6	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	City
7b93e6a1:150814fecb6:7b8	Membership
7b93e6a1:150814fecb6:380	Membership
7b93e6a1:150814fecb6:2002	Membership
7b93e6a1:150814fecb6:714	Membership
7b93e6a1:150814fecb6:d46	Membership
http://www.semwebtech.org/mondial/10/estuary/Ruki/	Estuary
7b93e6a1:150814fecb6:1ec3	Membership
7b93e6a1:150814fecb6:-803	Encompassed
7b93e6a1:150814fecb6:2262	BelievedBy
7b93e6a1:150814fecb6:974	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Province
http://www.semwebtech.org/mondial/10/source/Aller/	Source
7b93e6a1:150814fecb6:-10e	Membership
http://www.semwebtech.org/mondial/10/river/Limmat/	Water
7b93e6a1:150814fecb6:6c0	Membership
7b93e6a1:150814fecb6:27f	Membership
7b93e6a1:150814fecb6:13fc	Membership
7b93e6a1:150814fecb6:cf2	Membership
7b93e6a1:150814fecb6:-36e	Membership
7b93e6a1:150814fecb6:25a2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	City
7b93e6a1:150814fecb6:1d1e	Membership
7b93e6a1:150814fecb6:1018	Membership
7b93e6a1:150814fecb6:5bf	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	City
7b93e6a1:150814fecb6:194c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Province
7b93e6a1:150814fecb6:-6f9	Border
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	City
7b93e6a1:150814fecb6:51b	Membership
7b93e6a1:150814fecb6:1f7e	Membership
7b93e6a1:150814fecb6:-6ae	Border
7b93e6a1:150814fecb6:1278	Membership
7b93e6a1:150814fecb6:b4d	Membership
7b93e6a1:150814fecb6:1cca	Membership
7b93e6a1:150814fecb6:-60a	Border
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	City
7b93e6a1:150814fecb6:77b	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Province
7b93e6a1:150814fecb6:265d	EthnicProportion
7b93e6a1:150814fecb6:15b8	Membership
7b93e6a1:150814fecb6:-f3	Membership
7b93e6a1:150814fecb6:1180	Membership
7b93e6a1:150814fecb6:-196	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	City
7b93e6a1:150814fecb6:1514	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	City
7b93e6a1:150814fecb6:1b46	Membership
http://www.semwebtech.org/mondial/10/estuary/Ebro/	Estuary
7b93e6a1:150814fecb6:3e7	Membership
7b93e6a1:150814fecb6:1774	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	EthnicGroup
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Religion
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	Estuary
7b93e6a1:150814fecb6:343	Membership
7b93e6a1:150814fecb6:14c0	Membership
7b93e6a1:150814fecb6:-4d6	Membership
7b93e6a1:150814fecb6:107f	Membership
7b93e6a1:150814fecb6:1af2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Province
7b93e6a1:150814fecb6:-432	Membership
7b93e6a1:150814fecb6:22c9	BelievedBy
7b93e6a1:150814fecb6:d09	Membership
7b93e6a1:150814fecb6:2225	SpokenBy
7b93e6a1:150814fecb6:937	Membership
7b93e6a1:150814fecb6:-692	Border
7b93e6a1:150814fecb6:f69	Membership
7b93e6a1:150814fecb6:13bf	Membership
7b93e6a1:150814fecb6:2485	EthnicProportion
7b93e6a1:150814fecb6:cb5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	City
7b93e6a1:150814fecb6:131b	Membership
7b93e6a1:150814fecb6:21d1	SpokenBy
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	City
7b93e6a1:150814fecb6:c11	Membership
7b93e6a1:150814fecb6:8e3	Membership
7b93e6a1:150814fecb6:1ee	Membership
7b93e6a1:150814fecb6:157b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	EthnicGroup
7b93e6a1:150814fecb6:e71	Membership
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	Water
7b93e6a1:150814fecb6:14a	Membership
7b93e6a1:150814fecb6:190f	Membership
7b93e6a1:150814fecb6:-2dd	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	City
7b93e6a1:150814fecb6:202c	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	City
7b93e6a1:150814fecb6:73e	Membership
7b93e6a1:150814fecb6:18bb	Membership
7b93e6a1:150814fecb6:80	Membership
7b93e6a1:150814fecb6:1eed	Membership
7b93e6a1:150814fecb6:228c	BelievedBy
7b93e6a1:150814fecb6:11e7	Membership
http://www.semwebtech.org/mondial/10/river/Vuoksi/	Water
7b93e6a1:150814fecb6:abc	Membership
7b93e6a1:150814fecb6:99e	Membership
7b93e6a1:150814fecb6:-b6	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	City
7b93e6a1:150814fecb6:1143	Membership
7b93e6a1:150814fecb6:-159	Membership
7b93e6a1:150814fecb6:6ea	Membership
7b93e6a1:150814fecb6:-12	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	EthnicGroup
7b93e6a1:150814fecb6:1b09	Membership
7b93e6a1:150814fecb6:1737	Membership
7b93e6a1:150814fecb6:25cc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAYO/	Country
7b93e6a1:150814fecb6:306	Membership
7b93e6a1:150814fecb6:1d69	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	City
http://www.semwebtech.org/mondial/10/estuary/Moraca/	Estuary
7b93e6a1:150814fecb6:1ab5	Membership
7b93e6a1:150814fecb6:1997	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Province
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	City
7b93e6a1:150814fecb6:1a11	Membership
7b93e6a1:150814fecb6:566	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Province
http://www.semwebtech.org/mondial/10/source/Baro/	Source
7b93e6a1:150814fecb6:b98	Membership
7b93e6a1:150814fecb6:2b2	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Province
7b93e6a1:150814fecb6:-655	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	City
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	Source
7b93e6a1:150814fecb6:1c71	Membership
7b93e6a1:150814fecb6:-3a1	Membership
7b93e6a1:150814fecb6:2448	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	EthnicGroup
7b93e6a1:150814fecb6:8a6	Membership
7b93e6a1:150814fecb6:ed8	Membership
7b93e6a1:150814fecb6:802	Membership
7b93e6a1:150814fecb6:153e	Membership
http://www.semwebtech.org/mondial/10/organization/IOC/	Organization
7b93e6a1:150814fecb6:23f4	BelievedBy
7b93e6a1:150814fecb6:e34	Membership
7b93e6a1:150814fecb6:1fb1	Membership
7b93e6a1:150814fecb6:10d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	EthnicGroup
7b93e6a1:150814fecb6:2350	BelievedBy
7b93e6a1:150814fecb6:179e	Membership
7b93e6a1:150814fecb6:36d	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Province
7b93e6a1:150814fecb6:14ea	Membership
7b93e6a1:150814fecb6:e7	Membership
7b93e6a1:150814fecb6:de0	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Province
http://www.semwebtech.org/mondial/10/organization/ISO/	Organization
7b93e6a1:150814fecb6:-45c	Membership
7b93e6a1:150814fecb6:43	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	City
http://www.semwebtech.org/mondial/10/source/Kura/	Source
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	City
7b93e6a1:150814fecb6:224f	BelievedBy
7b93e6a1:150814fecb6:1e0c	Membership
7b93e6a1:150814fecb6:1106	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	City
7b93e6a1:150814fecb6:6ad	Membership
7b93e6a1:150814fecb6:cdf	Membership
7b93e6a1:150814fecb6:1366	Membership
7b93e6a1:150814fecb6:21fb	SpokenBy
7b93e6a1:150814fecb6:c3b	Membership
7b93e6a1:150814fecb6:10b2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	City
7b93e6a1:150814fecb6:e9b	Membership
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	City
7b93e6a1:150814fecb6:195	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Drin/	Source
7b93e6a1:150814fecb6:529	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Province
7b93e6a1:150814fecb6:16a6	Membership
7b93e6a1:150814fecb6:-284	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	City
7b93e6a1:150814fecb6:1cd8	Membership
7b93e6a1:150814fecb6:1602	Membership
7b93e6a1:150814fecb6:-618	Border
7b93e6a1:150814fecb6:2077	Membership
7b93e6a1:150814fecb6:789	Membership
7b93e6a1:150814fecb6:1c34	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	City
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	City
7b93e6a1:150814fecb6:4d5	Membership
7b93e6a1:150814fecb6:1862	Membership
http://www.semwebtech.org/mondial/10/river/Mincio/	Water
7b93e6a1:150814fecb6:431	Membership
7b93e6a1:150814fecb6:1e94	Membership
7b93e6a1:150814fecb6:-5c4	Membership
7b93e6a1:150814fecb6:116d	Membership
7b93e6a1:150814fecb6:a63	Membership
7b93e6a1:150814fecb6:1be0	Membership
7b93e6a1:150814fecb6:-3c	Membership
7b93e6a1:150814fecb6:-520	Membership
7b93e6a1:150814fecb6:23b7	BelievedBy
7b93e6a1:150814fecb6:691	Membership
7b93e6a1:150814fecb6:2313	BelievedBy
7b93e6a1:150814fecb6:-780	Encompassed
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	City
7b93e6a1:150814fecb6:14ad	Membership
7b93e6a1:150814fecb6:2573	EthnicProportion
7b93e6a1:150814fecb6:da3	Membership
7b93e6a1:150814fecb6:1adf	Membership
7b93e6a1:150814fecb6:-41f	Membership
7b93e6a1:150814fecb6:9d1	Membership
7b93e6a1:150814fecb6:1a3b	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	City
7b93e6a1:150814fecb6:2dc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	City
7b93e6a1:150814fecb6:-67f	Border
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	City
7b93e6a1:150814fecb6:1c9b	Membership
7b93e6a1:150814fecb6:-3cb	Membership
7b93e6a1:150814fecb6:1329	Membership
7b93e6a1:150814fecb6:21be	SpokenBy
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	City
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	Island
7b93e6a1:150814fecb6:211a	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Province
7b93e6a1:150814fecb6:82c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	EthnicGroup
7b93e6a1:150814fecb6:1589	Membership
7b93e6a1:150814fecb6:1fdb	Membership
7b93e6a1:150814fecb6:e5e	Membership
7b93e6a1:150814fecb6:0	Membership
7b93e6a1:150814fecb6:158	Membership
7b93e6a1:150814fecb6:12d5	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Province
7b93e6a1:150814fecb6:237a	BelievedBy
7b93e6a1:150814fecb6:baa	Membership
7b93e6a1:150814fecb6:1231	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	City
7b93e6a1:150814fecb6:-247	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	City
7b93e6a1:150814fecb6:18c9	Membership
7b93e6a1:150814fecb6:1491	Membership
7b93e6a1:150814fecb6:6d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	City
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	Mountain
7b93e6a1:150814fecb6:1825	Membership
7b93e6a1:150814fecb6:-1f3	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	Province
7b93e6a1:150814fecb6:26ba	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	EthnicGroup
7b93e6a1:150814fecb6:1e57	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	City
7b93e6a1:150814fecb6:6f8	Membership
7b93e6a1:150814fecb6:a26	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Province
7b93e6a1:150814fecb6:1ba3	Membership
http://www.semwebtech.org/mondial/10/source/Busira/	Source
7b93e6a1:150814fecb6:654	Membership
7b93e6a1:150814fecb6:17d1	Membership
7b93e6a1:150814fecb6:-7e7	Encompassed
7b93e6a1:150814fecb6:c86	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Province
7b93e6a1:150814fecb6:3a0	Membership
http://www.semwebtech.org/mondial/10/source/Elbe/	Source
7b93e6a1:150814fecb6:-743	Encompassed
7b93e6a1:150814fecb6:10dc	Membership
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Mountains
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Mountains
7b93e6a1:150814fecb6:2536	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	Mountain
http://www.semwebtech.org/mondial/10/mountains/Jura/	Mountains
7b93e6a1:150814fecb6:fc6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	City
7b93e6a1:150814fecb6:162c	Membership
7b93e6a1:150814fecb6:24e2	EthnicProportion
7b93e6a1:150814fecb6:f22	Membership
7b93e6a1:150814fecb6:1c5e	Membership
http://www.semwebtech.org/mondial/10/island/Saipan/	Island
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	City
7b93e6a1:150814fecb6:4ff	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	EthnicGroup
7b93e6a1:150814fecb6:188c	Membership
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	City
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	City
7b93e6a1:150814fecb6:45b	Membership
7b93e6a1:150814fecb6:-5ee	Border
7b93e6a1:150814fecb6:a8d	Membership
7b93e6a1:150814fecb6:-87	Membership
7b93e6a1:150814fecb6:-54a	Membership
7b93e6a1:150814fecb6:233d	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Maas/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	City
http://www.semwebtech.org/mondial/10/country/CAYM/	Country
7b93e6a1:150814fecb6:14f8	Membership
7b93e6a1:150814fecb6:259d	EthnicProportion
7b93e6a1:150814fecb6:dcd	Membership
7b93e6a1:150814fecb6:1454	Membership
7b93e6a1:150814fecb6:9fb	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	City
7b93e6a1:150814fecb6:1a86	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	City
7b93e6a1:150814fecb6:11a0	Membership
7b93e6a1:150814fecb6:-1b6	Membership
http://www.semwebtech.org/mondial/10/country/NAM/	Country
7b93e6a1:150814fecb6:-112	Membership
7b93e6a1:150814fecb6:283	Membership
7b93e6a1:150814fecb6:617	Membership
7b93e6a1:150814fecb6:-372	Membership
7b93e6a1:150814fecb6:1dc6	Membership
7b93e6a1:150814fecb6:c49	Membership
http://www.semwebtech.org/mondial/10/country/PNG/	Country
7b93e6a1:150814fecb6:-706	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	City
7b93e6a1:150814fecb6:2165	SpokenBy
7b93e6a1:150814fecb6:1d22	Membership
7b93e6a1:150814fecb6:877	Membership
7b93e6a1:150814fecb6:19f4	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	City
http://www.semwebtech.org/mondial/10/river/RioMadeira/	Water
7b93e6a1:150814fecb6:5c3	Membership
http://www.semwebtech.org/mondial/10/estuary/Narva/	Estuary
7b93e6a1:150814fecb6:1950	Membership
7b93e6a1:150814fecb6:12ff	Membership
7b93e6a1:150814fecb6:bf5	Membership
7b93e6a1:150814fecb6:1f82	Membership
7b93e6a1:150814fecb6:-6b2	Border
7b93e6a1:150814fecb6:125b	Membership
7b93e6a1:150814fecb6:b51	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	City
http://www.semwebtech.org/mondial/10/river/Aare/	Water
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	City
7b93e6a1:150814fecb6:24a5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	City
7b93e6a1:150814fecb6:2401	BelievedBy
7b93e6a1:150814fecb6:184f	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Province
7b93e6a1:150814fecb6:41e	Membership
7b93e6a1:150814fecb6:2661	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	City
7b93e6a1:150814fecb6:1bcd	Membership
7b93e6a1:150814fecb6:-50d	Membership
7b93e6a1:150814fecb6:67e	Membership
http://www.semwebtech.org/mondial/10/river/Dnjestr/	Water
7b93e6a1:150814fecb6:17fb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	City
7b93e6a1:150814fecb6:3ca	Membership
7b93e6a1:150814fecb6:-76d	Encompassed
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Province
7b93e6a1:150814fecb6:1083	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	City
7b93e6a1:150814fecb6:a0	Membership
7b93e6a1:150814fecb6:1417	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	EthnicGroup
7b93e6a1:150814fecb6:22ac	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	City
7b93e6a1:150814fecb6:9be	Membership
7b93e6a1:150814fecb6:1a49	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Province
7b93e6a1:150814fecb6:91a	Membership
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	City
7b93e6a1:150814fecb6:1677	Membership
7b93e6a1:150814fecb6:f4c	Membership
7b93e6a1:150814fecb6:246	Membership
7b93e6a1:150814fecb6:13c3	Membership
7b93e6a1:150814fecb6:-3d9	Membership
7b93e6a1:150814fecb6:-335	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	City
7b93e6a1:150814fecb6:2128	SpokenBy
7b93e6a1:150814fecb6:19b7	Membership
7b93e6a1:150814fecb6:1f2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	City
7b93e6a1:150814fecb6:-595	Membership
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	Mountain
7b93e6a1:150814fecb6:1fe9	Membership
7b93e6a1:150814fecb6:1913	Membership
7b93e6a1:150814fecb6:-2e1	Membership
7b93e6a1:150814fecb6:2388	BelievedBy
7b93e6a1:150814fecb6:bb8	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	City
7b93e6a1:150814fecb6:1f45	Membership
7b93e6a1:150814fecb6:121e	Membership
7b93e6a1:150814fecb6:20d4	Membership
7b93e6a1:150814fecb6:b14	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	City
7b93e6a1:150814fecb6:7e6	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	City
7b93e6a1:150814fecb6:2030	Membership
7b93e6a1:150814fecb6:742	Membership
7b93e6a1:150814fecb6:147e	Membership
7b93e6a1:150814fecb6:d74	Membership
7b93e6a1:150814fecb6:1ef1	Membership
http://www.semwebtech.org/mondial/10/desert/Kalahari/	Desert
7b93e6a1:150814fecb6:11ca	Membership
7b93e6a1:150814fecb6:26c8	EthnicProportion
7b93e6a1:150814fecb6:2290	BelievedBy
7b93e6a1:150814fecb6:ac0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	EthnicGroup
7b93e6a1:150814fecb6:-13c	Membership
7b93e6a1:150814fecb6:2624	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	Water
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	City
7b93e6a1:150814fecb6:1134	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	City
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	Water
7b93e6a1:150814fecb6:17be	Membership
7b93e6a1:150814fecb6:-39c	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Province
7b93e6a1:150814fecb6:171a	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	City
7b93e6a1:150814fecb6:25d0	EthnicProportion
7b93e6a1:150814fecb6:218f	SpokenBy
7b93e6a1:150814fecb6:1d4c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	City
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	City
7b93e6a1:150814fecb6:1046	Membership
7b93e6a1:150814fecb6:197a	Membership
7b93e6a1:150814fecb6:5ed	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Province
7b93e6a1:150814fecb6:-6dc	Border
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	City
7b93e6a1:150814fecb6:b7b	Membership
7b93e6a1:150814fecb6:24cf	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Province
7b93e6a1:150814fecb6:f0f	Membership
7b93e6a1:150814fecb6:209	Membership
7b93e6a1:150814fecb6:242b	BelievedBy
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	City
http://www.semwebtech.org/mondial/10/country/GCA/	Country
http://www.semwebtech.org/mondial/10/estuary/Murgab/	Estuary
7b93e6a1:150814fecb6:469	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	City
http://www.semwebtech.org/mondial/10/source/Tigris/	Source
7b93e6a1:150814fecb6:15e6	Membership
7b93e6a1:150814fecb6:268b	EthnicProportion
7b93e6a1:150814fecb6:ebb	Membership
7b93e6a1:150814fecb6:1b5	Membership
7b93e6a1:150814fecb6:1542	Membership
7b93e6a1:150814fecb6:-558	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	Province
7b93e6a1:150814fecb6:111	Membership
7b93e6a1:150814fecb6:1b74	Membership
7b93e6a1:150814fecb6:-2a4	Membership
7b93e6a1:150814fecb6:1f08	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	City
7b93e6a1:150814fecb6:-200	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	City
7b93e6a1:150814fecb6:7a9	Membership
7b93e6a1:150814fecb6:371	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	City
7b93e6a1:150814fecb6:ca	Membership
http://www.semwebtech.org/mondial/10/source/Nile/	Source
7b93e6a1:150814fecb6:705	Membership
7b93e6a1:150814fecb6:-460	Membership
7b93e6a1:150814fecb6:22f7	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Mountains
7b93e6a1:150814fecb6:d37	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	City
7b93e6a1:150814fecb6:1eb4	Membership
7b93e6a1:150814fecb6:2253	BelievedBy
7b93e6a1:150814fecb6:965	Membership
7b93e6a1:150814fecb6:1e10	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	City
http://www.semwebtech.org/mondial/10/language/Luri/	Language
7b93e6a1:150814fecb6:f97	Membership
7b93e6a1:150814fecb6:6b1	Membership
7b93e6a1:150814fecb6:13ed	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	City
7b93e6a1:150814fecb6:ce3	Membership
7b93e6a1:150814fecb6:-7a0	Encompassed
7b93e6a1:150814fecb6:-35f	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	City
http://www.semwebtech.org/mondial/10/organization/OIF/	Organization
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	City
7b93e6a1:150814fecb6:1d0f	Membership
7b93e6a1:150814fecb6:1009	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	City
7b93e6a1:150814fecb6:193d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	City
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	Mountain
7b93e6a1:150814fecb6:a54	Membership
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	Mountain
7b93e6a1:150814fecb6:50c	Membership
7b93e6a1:150814fecb6:1f6f	Membership
http://www.semwebtech.org/mondial/10/island/Teneriffa/	Island
7b93e6a1:150814fecb6:1269	Membership
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Province
7b93e6a1:150814fecb6:20fe	Membership
http://www.semwebtech.org/mondial/10/island/Nantucket/	Island
7b93e6a1:150814fecb6:b3e	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Province
7b93e6a1:150814fecb6:1cbb	Membership
7b93e6a1:150814fecb6:205a	Membership
7b93e6a1:150814fecb6:76c	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	City
7b93e6a1:150814fecb6:d9e	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	EthnicGroup
7b93e6a1:150814fecb6:aea	Membership
7b93e6a1:150814fecb6:15a9	Membership
7b93e6a1:150814fecb6:-e4	Membership
7b93e6a1:150814fecb6:1171	Membership
7b93e6a1:150814fecb6:-187	Membership
7b93e6a1:150814fecb6:264e	EthnicProportion
7b93e6a1:150814fecb6:-40	Membership
7b93e6a1:150814fecb6:1505	Membership
7b93e6a1:150814fecb6:1b37	Membership
7b93e6a1:150814fecb6:1765	Membership
7b93e6a1:150814fecb6:3d8	Membership
http://www.semwebtech.org/mondial/10/organization/AOSIS/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Province
7b93e6a1:150814fecb6:25fa	EthnicProportion
7b93e6a1:150814fecb6:1d97	Membership
7b93e6a1:150814fecb6:334	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	City
7b93e6a1:150814fecb6:14b1	Membership
7b93e6a1:150814fecb6:-4c7	Membership
http://www.semwebtech.org/mondial/10/source/Inn/	Source
7b93e6a1:150814fecb6:1ae3	Membership
7b93e6a1:150814fecb6:-423	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	City
7b93e6a1:150814fecb6:594	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	City
7b93e6a1:150814fecb6:2216	SpokenBy
http://www.semwebtech.org/mondial/10/river/Moraca/	Water
7b93e6a1:150814fecb6:928	Membership
7b93e6a1:150814fecb6:2e0	Membership
7b93e6a1:150814fecb6:-683	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Province
7b93e6a1:150814fecb6:2476	EthnicProportion
7b93e6a1:150814fecb6:ca6	Membership
7b93e6a1:150814fecb6:21c2	SpokenBy
7b93e6a1:150814fecb6:130c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	City
7b93e6a1:150814fecb6:c02	Membership
7b93e6a1:150814fecb6:8d4	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Province
http://www.semwebtech.org/mondial/10/mountain/Elgon/	Mountain
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	City
7b93e6a1:150814fecb6:830	Membership
7b93e6a1:150814fecb6:1df	Membership
7b93e6a1:150814fecb6:156c	Membership
7b93e6a1:150814fecb6:e62	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	City
7b93e6a1:150814fecb6:13b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Province
7b93e6a1:150814fecb6:1b9e	Membership
7b93e6a1:150814fecb6:-2ce	Membership
7b93e6a1:150814fecb6:-22a	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	City
7b93e6a1:150814fecb6:39b	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Province
7b93e6a1:150814fecb6:201d	Membership
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	Islands
7b93e6a1:150814fecb6:72f	Membership
http://www.semwebtech.org/mondial/10/source/Kymijoki/	Source
7b93e6a1:150814fecb6:18ac	Membership
7b93e6a1:150814fecb6:-48a	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	City
7b93e6a1:150814fecb6:71	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Province
7b93e6a1:150814fecb6:1ede	Membership
7b93e6a1:150814fecb6:11d8	Membership
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	City
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	City
7b93e6a1:150814fecb6:227d	BelievedBy
7b93e6a1:150814fecb6:aad	Membership
7b93e6a1:150814fecb6:98f	Membership
7b93e6a1:150814fecb6:1e3a	Membership
7b93e6a1:150814fecb6:-a7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	City
7b93e6a1:150814fecb6:6db	Membership
http://www.semwebtech.org/mondial/10/desert/Darfur/	Desert
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Province
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	Island
7b93e6a1:150814fecb6:-7ca	Encompassed
7b93e6a1:150814fecb6:1394	Membership
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Mountains
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	Water
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Province
7b93e6a1:150814fecb6:1728	Membership
7b93e6a1:150814fecb6:10e0	Membership
7b93e6a1:150814fecb6:25bd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	City
7b93e6a1:150814fecb6:1aa6	Membership
7b93e6a1:150814fecb6:1988	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Province
http://www.semwebtech.org/mondial/10/language/Kurd/	Language
7b93e6a1:150814fecb6:1a02	Membership
7b93e6a1:150814fecb6:557	Membership
7b93e6a1:150814fecb6:16d4	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	City
http://www.semwebtech.org/mondial/10/country/FPOL/	Country
7b93e6a1:150814fecb6:1630	Membership
7b93e6a1:150814fecb6:b89	Membership
7b93e6a1:150814fecb6:2a3	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	City
7b93e6a1:150814fecb6:-646	Border
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	City
http://www.semwebtech.org/mondial/10/language/Bambara/	Language
7b93e6a1:150814fecb6:1c62	Membership
7b93e6a1:150814fecb6:2439	BelievedBy
7b93e6a1:150814fecb6:1890	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Province
7b93e6a1:150814fecb6:-5f2	Border
7b93e6a1:150814fecb6:119b	Membership
7b93e6a1:150814fecb6:2699	EthnicProportion
7b93e6a1:150814fecb6:ec9	Membership
7b93e6a1:150814fecb6:a91	Membership
7b93e6a1:150814fecb6:-6a	Membership
7b93e6a1:150814fecb6:152f	Membership
7b93e6a1:150814fecb6:23e5	BelievedBy
7b93e6a1:150814fecb6:e25	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	City
7b93e6a1:150814fecb6:1fa2	Membership
7b93e6a1:150814fecb6:2341	BelievedBy
http://www.semwebtech.org/mondial/10/country/CY/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	City
7b93e6a1:150814fecb6:178f	Membership
7b93e6a1:150814fecb6:35e	Membership
7b93e6a1:150814fecb6:14db	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	City
7b93e6a1:150814fecb6:d8	Membership
7b93e6a1:150814fecb6:dd1	Membership
7b93e6a1:150814fecb6:-44d	Membership
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	Water
7b93e6a1:150814fecb6:34	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	Water
7b93e6a1:150814fecb6:1357	Membership
7b93e6a1:150814fecb6:21ec	SpokenBy
7b93e6a1:150814fecb6:c2c	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Province
7b93e6a1:150814fecb6:8fe	Membership
7b93e6a1:150814fecb6:10a3	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	City
7b93e6a1:150814fecb6:85a	Membership
http://www.semwebtech.org/mondial/10/river/Benue/	Water
7b93e6a1:150814fecb6:e8c	Membership
7b93e6a1:150814fecb6:186	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Province
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Religion
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	City
7b93e6a1:150814fecb6:-275	Membership
7b93e6a1:150814fecb6:1cc9	Membership
7b93e6a1:150814fecb6:-609	Border
7b93e6a1:150814fecb6:2068	Membership
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	Organization
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	Water
7b93e6a1:150814fecb6:1c25	Membership
7b93e6a1:150814fecb6:18f7	Membership
7b93e6a1:150814fecb6:9b	Membership
http://www.semwebtech.org/mondial/10/island/Khark/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Province
7b93e6a1:150814fecb6:4c6	Membership
7b93e6a1:150814fecb6:1853	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	City
7b93e6a1:150814fecb6:af8	Membership
7b93e6a1:150814fecb6:422	Membership
7b93e6a1:150814fecb6:1e85	Membership
7b93e6a1:150814fecb6:-5b5	Membership
7b93e6a1:150814fecb6:115e	Membership
http://www.semwebtech.org/mondial/10/river/Missouri/	Water
7b93e6a1:150814fecb6:1bd1	Membership
7b93e6a1:150814fecb6:-2d	Membership
7b93e6a1:150814fecb6:-511	Membership
7b93e6a1:150814fecb6:23a8	BelievedBy
http://www.semwebtech.org/mondial/10/river/Pjandsh/	Water
7b93e6a1:150814fecb6:682	Membership
7b93e6a1:150814fecb6:2304	BelievedBy
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Province
http://www.semwebtech.org/mondial/10/river/Marne/	Water
7b93e6a1:150814fecb6:-771	Encompassed
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	City
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	Water
7b93e6a1:150814fecb6:2564	EthnicProportion
http://www.semwebtech.org/mondial/10/islands/Aleutes/	Islands
7b93e6a1:150814fecb6:22b0	BelievedBy
7b93e6a1:150814fecb6:9c2	Membership
7b93e6a1:150814fecb6:1a2c	Membership
7b93e6a1:150814fecb6:16fe	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Province
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	Water
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	City
7b93e6a1:150814fecb6:ff4	Membership
7b93e6a1:150814fecb6:2cd	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	City
7b93e6a1:150814fecb6:165a	Membership
7b93e6a1:150814fecb6:f50	Membership
7b93e6a1:150814fecb6:1c8c	Membership
7b93e6a1:150814fecb6:-3bc	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	City
7b93e6a1:150814fecb6:21af	SpokenBy
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	EthnicGroup
7b93e6a1:150814fecb6:210b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	City
7b93e6a1:150814fecb6:81d	Membership
7b93e6a1:150814fecb6:e4f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Province
7b93e6a1:150814fecb6:1fcc	Membership
7b93e6a1:150814fecb6:149	Membership
http://www.semwebtech.org/mondial/10/island/Mallorca/	Island
7b93e6a1:150814fecb6:12c6	Membership
7b93e6a1:150814fecb6:236b	BelievedBy
7b93e6a1:150814fecb6:1222	Membership
7b93e6a1:150814fecb6:-238	Membership
7b93e6a1:150814fecb6:dfb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	City
7b93e6a1:150814fecb6:1482	Membership
7b93e6a1:150814fecb6:-498	Membership
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	Estuary
7b93e6a1:150814fecb6:5e	Membership
7b93e6a1:150814fecb6:26ab	EthnicProportion
7b93e6a1:150814fecb6:1816	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	City
7b93e6a1:150814fecb6:-1e4	Membership
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Province
7b93e6a1:150814fecb6:1e48	Membership
7b93e6a1:150814fecb6:-140	Membership
7b93e6a1:150814fecb6:6e9	Membership
7b93e6a1:150814fecb6:a17	Membership
http://www.semwebtech.org/mondial/10/organization/SADC/	Organization
7b93e6a1:150814fecb6:645	Membership
7b93e6a1:150814fecb6:17c2	Membership
7b93e6a1:150814fecb6:-7d8	Encompassed
7b93e6a1:150814fecb6:c77	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	EthnicGroup
7b93e6a1:150814fecb6:1df4	Membership
7b93e6a1:150814fecb6:-734	Encompassed
7b93e6a1:150814fecb6:10cd	Membership
7b93e6a1:150814fecb6:2193	SpokenBy
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Province
7b93e6a1:150814fecb6:1d50	Membership
7b93e6a1:150814fecb6:2527	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Province
7b93e6a1:150814fecb6:5f1	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	City
7b93e6a1:150814fecb6:-6e0	Border
7b93e6a1:150814fecb6:-29f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	City
7b93e6a1:150814fecb6:fb7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	City
7b93e6a1:150814fecb6:161d	Membership
7b93e6a1:150814fecb6:24d3	EthnicProportion
7b93e6a1:150814fecb6:f13	Membership
7b93e6a1:150814fecb6:1c4f	Membership
7b93e6a1:150814fecb6:187d	Membership
http://www.semwebtech.org/mondial/10/estuary/Aare/	Estuary
7b93e6a1:150814fecb6:44c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Province
7b93e6a1:150814fecb6:-5df	Border
http://www.semwebtech.org/mondial/10/estuary/Katun/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Province
7b93e6a1:150814fecb6:1bfb	Membership
7b93e6a1:150814fecb6:a7e	Membership
7b93e6a1:150814fecb6:-78	Membership
7b93e6a1:150814fecb6:-53b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	City
7b93e6a1:150814fecb6:232e	BelievedBy
7b93e6a1:150814fecb6:-79b	Encompassed
7b93e6a1:150814fecb6:14e9	Membership
http://www.semwebtech.org/mondial/10/river/Lomami/	Water
7b93e6a1:150814fecb6:258e	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	Water
7b93e6a1:150814fecb6:dbe	Membership
http://www.semwebtech.org/mondial/10/river/Save/	Water
7b93e6a1:150814fecb6:1445	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	EthnicGroup
7b93e6a1:150814fecb6:22da	BelievedBy
7b93e6a1:150814fecb6:d1a	Membership
7b93e6a1:150814fecb6:9ec	Membership
7b93e6a1:150814fecb6:1a77	Membership
7b93e6a1:150814fecb6:-1a7	Membership
7b93e6a1:150814fecb6:-103	Membership
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	Estuary
7b93e6a1:150814fecb6:f7a	Membership
7b93e6a1:150814fecb6:274	Membership
7b93e6a1:150814fecb6:13f1	Membership
7b93e6a1:150814fecb6:608	Membership
7b93e6a1:150814fecb6:-363	Membership
7b93e6a1:150814fecb6:1db7	Membership
7b93e6a1:150814fecb6:2156	SpokenBy
7b93e6a1:150814fecb6:868	Membership
7b93e6a1:150814fecb6:1d13	Membership
7b93e6a1:150814fecb6:19e5	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	City
7b93e6a1:150814fecb6:5b4	Membership
7b93e6a1:150814fecb6:1941	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Province
7b93e6a1:150814fecb6:be6	Membership
7b93e6a1:150814fecb6:510	Membership
7b93e6a1:150814fecb6:1f73	Membership
7b93e6a1:150814fecb6:-6a3	Border
7b93e6a1:150814fecb6:124c	Membership
7b93e6a1:150814fecb6:b42	Membership
7b93e6a1:150814fecb6:770	Membership
7b93e6a1:150814fecb6:40f	Membership
7b93e6a1:150814fecb6:-16a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Province
7b93e6a1:150814fecb6:2652	EthnicProportion
7b93e6a1:150814fecb6:1bbe	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Province
7b93e6a1:150814fecb6:1b1a	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Province
7b93e6a1:150814fecb6:66f	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	City
7b93e6a1:150814fecb6:17ec	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	City
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	City
7b93e6a1:150814fecb6:3bb	Membership
7b93e6a1:150814fecb6:-75e	Encompassed
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	City
7b93e6a1:150814fecb6:1d7a	Membership
7b93e6a1:150814fecb6:-4aa	Membership
7b93e6a1:150814fecb6:1074	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	City
7b93e6a1:150814fecb6:1408	Membership
http://www.semwebtech.org/mondial/10/river/Etsch/	Water
7b93e6a1:150814fecb6:9af	Membership
7b93e6a1:150814fecb6:90b	Membership
7b93e6a1:150814fecb6:1668	Membership
7b93e6a1:150814fecb6:24fd	EthnicProportion
7b93e6a1:150814fecb6:f3d	Membership
7b93e6a1:150814fecb6:237	Membership
7b93e6a1:150814fecb6:13b4	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Province
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	Mountain
7b93e6a1:150814fecb6:1310	Membership
7b93e6a1:150814fecb6:-326	Membership
7b93e6a1:150814fecb6:497	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	City
7b93e6a1:150814fecb6:2119	SpokenBy
7b93e6a1:150814fecb6:19a8	Membership
7b93e6a1:150814fecb6:1e3	Membership
7b93e6a1:150814fecb6:1570	Membership
7b93e6a1:150814fecb6:-586	Membership
http://www.semwebtech.org/mondial/10/river/Murgab/	Water
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	City
7b93e6a1:150814fecb6:1904	Membership
7b93e6a1:150814fecb6:-2d2	Membership
7b93e6a1:150814fecb6:2379	BelievedBy
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	Water
7b93e6a1:150814fecb6:ba9	Membership
http://www.semwebtech.org/mondial/10/river/Buna/	Water
7b93e6a1:150814fecb6:1f36	Membership
7b93e6a1:150814fecb6:120f	Membership
7b93e6a1:150814fecb6:20c5	Membership
7b93e6a1:150814fecb6:b05	Membership
7b93e6a1:150814fecb6:7d7	Membership
http://www.semwebtech.org/mondial/10/organization/CD/	Organization
7b93e6a1:150814fecb6:2021	Membership
7b93e6a1:150814fecb6:733	Membership
http://www.semwebtech.org/mondial/10/country/MNTS/	Country
7b93e6a1:150814fecb6:18b0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	City
7b93e6a1:150814fecb6:146f	Membership
7b93e6a1:150814fecb6:d65	Membership
7b93e6a1:150814fecb6:1ee2	Membership
7b93e6a1:150814fecb6:11bb	Membership
7b93e6a1:150814fecb6:26b9	EthnicProportion
7b93e6a1:150814fecb6:2281	BelievedBy
7b93e6a1:150814fecb6:ab1	Membership
7b93e6a1:150814fecb6:993	Membership
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	Island
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	City
7b93e6a1:150814fecb6:-12d	Membership
7b93e6a1:150814fecb6:2615	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SLO/	Country
7b93e6a1:150814fecb6:29e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	City
http://www.semwebtech.org/mondial/10/sea/BlackSea/	Water
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	City
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	Islands
7b93e6a1:150814fecb6:17af	Membership
7b93e6a1:150814fecb6:-38d	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	City
7b93e6a1:150814fecb6:170b	Membership
7b93e6a1:150814fecb6:25c1	EthnicProportion
7b93e6a1:150814fecb6:1d3d	Membership
http://www.semwebtech.org/mondial/10/river/Tajo/	Water
7b93e6a1:150814fecb6:1037	Membership
7b93e6a1:150814fecb6:5de	Membership
7b93e6a1:150814fecb6:196b	Membership
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	Source
7b93e6a1:150814fecb6:1f9d	Membership
7b93e6a1:150814fecb6:53a	Membership
7b93e6a1:150814fecb6:-6cd	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	City
7b93e6a1:150814fecb6:1297	Membership
7b93e6a1:150814fecb6:b6c	Membership
http://www.semwebtech.org/mondial/10/organization/NC/	Organization
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Province
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	Estuary
7b93e6a1:150814fecb6:79a	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	City
7b93e6a1:150814fecb6:241c	BelievedBy
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	City
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	City
7b93e6a1:150814fecb6:15d7	Membership
7b93e6a1:150814fecb6:267c	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	Water
7b93e6a1:150814fecb6:eac	Membership
7b93e6a1:150814fecb6:1a6	Membership
7b93e6a1:150814fecb6:1533	Membership
7b93e6a1:150814fecb6:-549	Membership
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	Island
7b93e6a1:150814fecb6:102	Membership
7b93e6a1:150814fecb6:1b65	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	City
7b93e6a1:150814fecb6:1793	Membership
http://www.semwebtech.org/mondial/10/country/RI/	Country
http://www.semwebtech.org/mondial/10/mountain/Illimani/	Mountain
http://www.semwebtech.org/mondial/10/country/LAR/	Country
7b93e6a1:150814fecb6:362	Membership
7b93e6a1:150814fecb6:-4f5	Membership
7b93e6a1:150814fecb6:109e	Membership
7b93e6a1:150814fecb6:bb	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	City
http://www.semwebtech.org/mondial/10/country/TO/	Country
7b93e6a1:150814fecb6:-451	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Province
7b93e6a1:150814fecb6:22e8	BelievedBy
7b93e6a1:150814fecb6:d28	Membership
7b93e6a1:150814fecb6:1ea5	Membership
http://www.semwebtech.org/mondial/10/organization/ILO/	Organization
7b93e6a1:150814fecb6:2244	BelievedBy
7b93e6a1:150814fecb6:956	Membership
7b93e6a1:150814fecb6:1e01	Membership
http://www.semwebtech.org/mondial/10/country/VU/	Country
http://www.semwebtech.org/mondial/10/island/Tinian/	Island
7b93e6a1:150814fecb6:f88	Membership
7b93e6a1:150814fecb6:6a2	Membership
7b93e6a1:150814fecb6:13de	Membership
7b93e6a1:150814fecb6:cd4	Membership
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	Mountain
7b93e6a1:150814fecb6:133a	Membership
7b93e6a1:150814fecb6:21f0	SpokenBy
7b93e6a1:150814fecb6:c30	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	EthnicGroup
7b93e6a1:150814fecb6:159a	Membership
7b93e6a1:150814fecb6:e90	Membership
7b93e6a1:150814fecb6:192e	Membership
7b93e6a1:150814fecb6:-2fc	Membership
http://www.semwebtech.org/mondial/10/language/Aymara/	Language
http://www.semwebtech.org/mondial/10/lake/ChadLake/	Water
7b93e6a1:150814fecb6:1a68	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	City
7b93e6a1:150814fecb6:20ef	Membership
7b93e6a1:150814fecb6:b2f	Membership
7b93e6a1:150814fecb6:1cac	Membership
7b93e6a1:150814fecb6:204b	Membership
7b93e6a1:150814fecb6:75d	Membership
http://www.semwebtech.org/mondial/10/country/WAG/	Country
7b93e6a1:150814fecb6:18da	Membership
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Mountains
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Province
7b93e6a1:150814fecb6:d8f	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Province
7b93e6a1:150814fecb6:adb	Membership
7b93e6a1:150814fecb6:-d5	Membership
7b93e6a1:150814fecb6:1162	Membership
7b93e6a1:150814fecb6:-178	Membership
7b93e6a1:150814fecb6:263f	EthnicProportion
7b93e6a1:150814fecb6:-31	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	EthnicGroup
7b93e6a1:150814fecb6:1b28	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Province
7b93e6a1:150814fecb6:3c9	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	City
http://www.semwebtech.org/mondial/10/country/N/	Country
7b93e6a1:150814fecb6:1756	Membership
7b93e6a1:150814fecb6:25eb	EthnicProportion
7b93e6a1:150814fecb6:1d88	Membership
7b93e6a1:150814fecb6:325	Membership
7b93e6a1:150814fecb6:14a2	Membership
7b93e6a1:150814fecb6:-4b8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Province
7b93e6a1:150814fecb6:1ad4	Membership
7b93e6a1:150814fecb6:-414	Membership
7b93e6a1:150814fecb6:-a	Membership
7b93e6a1:150814fecb6:585	Membership
7b93e6a1:150814fecb6:1a30	Membership
7b93e6a1:150814fecb6:2207	SpokenBy
7b93e6a1:150814fecb6:919	Membership
7b93e6a1:150814fecb6:2d1	Membership
http://www.semwebtech.org/mondial/10/organization/UNESCO/	Organization
7b93e6a1:150814fecb6:-674	Border
7b93e6a1:150814fecb6:1c90	Membership
7b93e6a1:150814fecb6:-3c0	Membership
7b93e6a1:150814fecb6:2467	EthnicProportion
7b93e6a1:150814fecb6:21b3	SpokenBy
7b93e6a1:150814fecb6:8c5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Province
7b93e6a1:150814fecb6:ef7	Membership
7b93e6a1:150814fecb6:821	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Province
7b93e6a1:150814fecb6:155d	Membership
7b93e6a1:150814fecb6:1fd0	Membership
7b93e6a1:150814fecb6:e53	Membership
7b93e6a1:150814fecb6:1b8f	Membership
7b93e6a1:150814fecb6:12c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	City
7b93e6a1:150814fecb6:-2bf	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	City
7b93e6a1:150814fecb6:-21b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	City
7b93e6a1:150814fecb6:38c	Membership
7b93e6a1:150814fecb6:200e	Membership
7b93e6a1:150814fecb6:-47b	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Province
7b93e6a1:150814fecb6:62	Membership
7b93e6a1:150814fecb6:1ecf	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	City
7b93e6a1:150814fecb6:-80f	Encompassed
7b93e6a1:150814fecb6:11c9	Membership
7b93e6a1:150814fecb6:226e	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Province
7b93e6a1:150814fecb6:1e2b	Membership
7b93e6a1:150814fecb6:1125	Membership
7b93e6a1:150814fecb6:6cc	Membership
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	City
7b93e6a1:150814fecb6:cfe	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	City
7b93e6a1:150814fecb6:-7bb	Encompassed
7b93e6a1:150814fecb6:1385	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	City
7b93e6a1:150814fecb6:c5a	Membership
7b93e6a1:150814fecb6:1719	Membership
7b93e6a1:150814fecb6:10d1	Membership
7b93e6a1:150814fecb6:25ae	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Cuango/	Source
7b93e6a1:150814fecb6:250a	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Alz/	Estuary
http://www.semwebtech.org/mondial/10/source/Narew/	Source
7b93e6a1:150814fecb6:1979	Membership
7b93e6a1:150814fecb6:548	Membership
7b93e6a1:150814fecb6:16c5	Membership
7b93e6a1:150814fecb6:1cf7	Membership
7b93e6a1:150814fecb6:1621	Membership
7b93e6a1:150814fecb6:-637	Border
7b93e6a1:150814fecb6:b0	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Province
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	Source
7b93e6a1:150814fecb6:2096	Membership
7b93e6a1:150814fecb6:1c53	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	Mountain
7b93e6a1:150814fecb6:4f4	Membership
7b93e6a1:150814fecb6:1881	Membership
http://www.semwebtech.org/mondial/10/source/Atbara/	Source
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	City
7b93e6a1:150814fecb6:450	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	City
7b93e6a1:150814fecb6:-ff	Membership
7b93e6a1:150814fecb6:-5e3	Border
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	City
7b93e6a1:150814fecb6:118c	Membership
7b93e6a1:150814fecb6:a82	Membership
7b93e6a1:150814fecb6:-5b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	City
7b93e6a1:150814fecb6:23d6	BelievedBy
7b93e6a1:150814fecb6:e16	Membership
http://www.semwebtech.org/mondial/10/organization/LAES/	Organization
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Province
7b93e6a1:150814fecb6:2332	BelievedBy
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Province
7b93e6a1:150814fecb6:34f	Membership
7b93e6a1:150814fecb6:14cc	Membership
7b93e6a1:150814fecb6:2592	EthnicProportion
7b93e6a1:150814fecb6:c9	Membership
7b93e6a1:150814fecb6:dc2	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Province
7b93e6a1:150814fecb6:1afe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Province
7b93e6a1:150814fecb6:-43e	Membership
7b93e6a1:150814fecb6:25	Membership
7b93e6a1:150814fecb6:9f0	Membership
7b93e6a1:150814fecb6:1a5a	Membership
7b93e6a1:150814fecb6:2fb	Membership
7b93e6a1:150814fecb6:-69e	Border
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	City
http://www.semwebtech.org/mondial/10/island/Bougainville/	Island
7b93e6a1:150814fecb6:-3ea	Membership
7b93e6a1:150814fecb6:1348	Membership
7b93e6a1:150814fecb6:21dd	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Crete/	Mountains
7b93e6a1:150814fecb6:c1d	Membership
7b93e6a1:150814fecb6:8ef	Membership
7b93e6a1:150814fecb6:84b	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	City
7b93e6a1:150814fecb6:e7d	Membership
7b93e6a1:150814fecb6:1ffa	Membership
7b93e6a1:150814fecb6:177	Membership
7b93e6a1:150814fecb6:12f4	Membership
7b93e6a1:150814fecb6:1250	Membership
7b93e6a1:150814fecb6:-266	Membership
http://www.semwebtech.org/mondial/10/river/Werra/	Water
7b93e6a1:150814fecb6:2059	Membership
7b93e6a1:150814fecb6:1c16	Membership
7b93e6a1:150814fecb6:18e8	Membership
http://www.semwebtech.org/mondial/10/estuary/Newa/	Estuary
7b93e6a1:150814fecb6:8c	Membership
http://www.semwebtech.org/mondial/10/islands/NewZealand/	Islands
7b93e6a1:150814fecb6:4b7	Membership
7b93e6a1:150814fecb6:1844	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Province
7b93e6a1:150814fecb6:ae9	Membership
7b93e6a1:150814fecb6:413	Membership
7b93e6a1:150814fecb6:1e76	Membership
7b93e6a1:150814fecb6:-5a6	Membership
7b93e6a1:150814fecb6:114f	Membership
7b93e6a1:150814fecb6:1bc2	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	City
7b93e6a1:150814fecb6:a45	Membership
7b93e6a1:150814fecb6:-1e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Province
7b93e6a1:150814fecb6:-502	Membership
7b93e6a1:150814fecb6:673	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	City
7b93e6a1:150814fecb6:17f0	Membership
7b93e6a1:150814fecb6:-762	Encompassed
7b93e6a1:150814fecb6:10fb	Membership
7b93e6a1:150814fecb6:25f9	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	City
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Religion
7b93e6a1:150814fecb6:2555	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Kasai/	Source
7b93e6a1:150814fecb6:22a1	BelievedBy
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	Water
http://www.semwebtech.org/mondial/10/estuary/Swir/	Estuary
http://www.semwebtech.org/mondial/10/source/Drina/	Source
7b93e6a1:150814fecb6:9b3	Membership
7b93e6a1:150814fecb6:1a1d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	City
7b93e6a1:150814fecb6:16ef	Membership
7b93e6a1:150814fecb6:-2de	Membership
http://www.semwebtech.org/mondial/10/language/Latvian/	Language
7b93e6a1:150814fecb6:fe5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Province
7b93e6a1:150814fecb6:2be	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Province
7b93e6a1:150814fecb6:164b	Membership
7b93e6a1:150814fecb6:f41	Membership
7b93e6a1:150814fecb6:21a	Membership
7b93e6a1:150814fecb6:1c7d	Membership
7b93e6a1:150814fecb6:-3ad	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	City
7b93e6a1:150814fecb6:47a	Membership
http://www.semwebtech.org/mondial/10/island/Grenada/	Island
7b93e6a1:150814fecb6:80e	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/	Country
http://www.semwebtech.org/mondial/10/desert/Owyhee/	Desert
7b93e6a1:150814fecb6:1fbd	Membership
7b93e6a1:150814fecb6:12b7	Membership
7b93e6a1:150814fecb6:235c	BelievedBy
7b93e6a1:150814fecb6:1213	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Province
http://www.semwebtech.org/mondial/10/country/MA/	Country
7b93e6a1:150814fecb6:-229	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Province
7b93e6a1:150814fecb6:7ba	Membership
http://www.semwebtech.org/mondial/10/river/Irawaddy/	Water
http://www.semwebtech.org/mondial/10/organization/IEA/	Organization
7b93e6a1:150814fecb6:dec	Membership
7b93e6a1:150814fecb6:1473	Membership
7b93e6a1:150814fecb6:-489	Membership
http://www.semwebtech.org/mondial/10/island/LaPalma/	Island
7b93e6a1:150814fecb6:4f	Membership
7b93e6a1:150814fecb6:1807	Membership
7b93e6a1:150814fecb6:-1d5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	City
http://www.semwebtech.org/mondial/10/organization/NIB/	Organization
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Province
7b93e6a1:150814fecb6:1e39	Membership
7b93e6a1:150814fecb6:-131	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Province
7b93e6a1:150814fecb6:a08	Membership
http://www.semwebtech.org/mondial/10/mountains/Ural/	Mountains
7b93e6a1:150814fecb6:636	Membership
7b93e6a1:150814fecb6:17b3	Membership
7b93e6a1:150814fecb6:-7c9	Encompassed
7b93e6a1:150814fecb6:-391	Membership
7b93e6a1:150814fecb6:c68	Membership
7b93e6a1:150814fecb6:1de5	Membership
7b93e6a1:150814fecb6:-725	Encompassed
7b93e6a1:150814fecb6:10be	Membership
7b93e6a1:150814fecb6:2184	SpokenBy
7b93e6a1:150814fecb6:896	Membership
7b93e6a1:150814fecb6:1d41	Membership
7b93e6a1:150814fecb6:101a	Membership
7b93e6a1:150814fecb6:2518	EthnicProportion
7b93e6a1:150814fecb6:5e2	Membership
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	Mountain
7b93e6a1:150814fecb6:-6d1	Border
7b93e6a1:150814fecb6:127a	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	City
7b93e6a1:150814fecb6:fa8	Membership
7b93e6a1:150814fecb6:b70	Membership
7b93e6a1:150814fecb6:160e	Membership
7b93e6a1:150814fecb6:24c4	EthnicProportion
7b93e6a1:150814fecb6:f04	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Province
7b93e6a1:150814fecb6:2420	BelievedBy
7b93e6a1:150814fecb6:186e	Membership
7b93e6a1:150814fecb6:43d	Membership
7b93e6a1:150814fecb6:15ba	Membership
7b93e6a1:150814fecb6:2680	EthnicProportion
7b93e6a1:150814fecb6:1bec	Membership
7b93e6a1:150814fecb6:eb0	Membership
7b93e6a1:150814fecb6:a6f	Membership
7b93e6a1:150814fecb6:-69	Membership
7b93e6a1:150814fecb6:-52c	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Province
7b93e6a1:150814fecb6:69d	Membership
http://www.semwebtech.org/mondial/10/estuary/March/	Estuary
7b93e6a1:150814fecb6:231f	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	City
http://www.semwebtech.org/mondial/10/source/Tshuapa/	Source
http://www.semwebtech.org/mondial/10/island/Bornholm/	Island
http://www.semwebtech.org/mondial/10/island/Malta/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	City
7b93e6a1:150814fecb6:-78c	Encompassed
7b93e6a1:150814fecb6:257f	EthnicProportion
7b93e6a1:150814fecb6:daf	Membership
7b93e6a1:150814fecb6:1436	Membership
7b93e6a1:150814fecb6:22cb	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	Estuary
7b93e6a1:150814fecb6:d0b	Membership
7b93e6a1:150814fecb6:9dd	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	City
7b93e6a1:150814fecb6:1696	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	City
7b93e6a1:150814fecb6:f6b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	City
7b93e6a1:150814fecb6:265	Membership
7b93e6a1:150814fecb6:13e2	Membership
7b93e6a1:150814fecb6:-3f8	Membership
7b93e6a1:150814fecb6:-354	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Province
7b93e6a1:150814fecb6:1da8	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	City
7b93e6a1:150814fecb6:2147	SpokenBy
7b93e6a1:150814fecb6:859	Membership
7b93e6a1:150814fecb6:1d04	Membership
7b93e6a1:150814fecb6:19d6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	City
7b93e6a1:150814fecb6:5a5	Membership
7b93e6a1:150814fecb6:c	Membership
7b93e6a1:150814fecb6:1932	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	City
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mountains
http://www.semwebtech.org/mondial/10/source/Saone/	Source
7b93e6a1:150814fecb6:bd7	Membership
7b93e6a1:150814fecb6:501	Membership
7b93e6a1:150814fecb6:1f64	Membership
7b93e6a1:150814fecb6:123d	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	City
7b93e6a1:150814fecb6:20f3	Membership
7b93e6a1:150814fecb6:b33	Membership
7b93e6a1:150814fecb6:1cb0	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	City
7b93e6a1:150814fecb6:761	Membership
7b93e6a1:150814fecb6:149d	Membership
7b93e6a1:150814fecb6:d93	Membership
7b93e6a1:150814fecb6:-1ff	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	City
7b93e6a1:150814fecb6:-15b	Membership
7b93e6a1:150814fecb6:2643	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	City
7b93e6a1:150814fecb6:1baf	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	City
7b93e6a1:150814fecb6:1b0b	Membership
7b93e6a1:150814fecb6:17dd	Membership
7b93e6a1:150814fecb6:3ac	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Province
7b93e6a1:150814fecb6:-74f	Encompassed
http://www.semwebtech.org/mondial/10/source/Maranon/	Source
7b93e6a1:150814fecb6:1d6b	Membership
7b93e6a1:150814fecb6:1065	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Province
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	City
http://www.semwebtech.org/mondial/10/island/Martinique/	Island
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Province
7b93e6a1:150814fecb6:-6fb	Border
http://www.semwebtech.org/mondial/10/islands/Maldives/	Islands
7b93e6a1:150814fecb6:b9a	Membership
7b93e6a1:150814fecb6:1659	Membership
7b93e6a1:150814fecb6:24ee	EthnicProportion
7b93e6a1:150814fecb6:f2e	Membership
7b93e6a1:150814fecb6:228	Membership
7b93e6a1:150814fecb6:13a5	Membership
7b93e6a1:150814fecb6:244a	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Province
7b93e6a1:150814fecb6:1301	Membership
7b93e6a1:150814fecb6:-317	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	Province
http://www.semwebtech.org/mondial/10/island/Madeira/	Island
7b93e6a1:150814fecb6:488	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	Province
7b93e6a1:150814fecb6:eda	Membership
7b93e6a1:150814fecb6:1d4	Membership
7b93e6a1:150814fecb6:1561	Membership
7b93e6a1:150814fecb6:-577	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Province
7b93e6a1:150814fecb6:130	Membership
7b93e6a1:150814fecb6:1b93	Membership
7b93e6a1:150814fecb6:-2c3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	City
7b93e6a1:150814fecb6:1f27	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Province
http://www.semwebtech.org/mondial/10/islands/Sporades/	Islands
7b93e6a1:150814fecb6:20b6	Membership
7b93e6a1:150814fecb6:7c8	Membership
7b93e6a1:150814fecb6:390	Membership
http://www.semwebtech.org/mondial/10/island/EasterIsland/	Island
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	Island
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	City
7b93e6a1:150814fecb6:2012	Membership
7b93e6a1:150814fecb6:724	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	City
7b93e6a1:150814fecb6:18a1	Membership
7b93e6a1:150814fecb6:1367	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	City
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	Water
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Province
7b93e6a1:150814fecb6:d56	Membership
7b93e6a1:150814fecb6:1ed3	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	City
7b93e6a1:150814fecb6:-813	Encompassed
7b93e6a1:150814fecb6:11ac	Membership
7b93e6a1:150814fecb6:2272	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	City
7b93e6a1:150814fecb6:aa2	Membership
7b93e6a1:150814fecb6:984	Membership
7b93e6a1:150814fecb6:-11e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	City
7b93e6a1:150814fecb6:2606	EthnicProportion
7b93e6a1:150814fecb6:6d0	Membership
7b93e6a1:150814fecb6:28f	Membership
http://www.semwebtech.org/mondial/10/island/SaintKitts/	Island
7b93e6a1:150814fecb6:-37e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Province
7b93e6a1:150814fecb6:25b2	EthnicProportion
7b93e6a1:150814fecb6:1d2e	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	City
7b93e6a1:150814fecb6:1028	Membership
7b93e6a1:150814fecb6:5cf	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	City
7b93e6a1:150814fecb6:195c	Membership
7b93e6a1:150814fecb6:52b	Membership
7b93e6a1:150814fecb6:1f8e	Membership
7b93e6a1:150814fecb6:-6be	Border
7b93e6a1:150814fecb6:1288	Membership
7b93e6a1:150814fecb6:b5d	Membership
7b93e6a1:150814fecb6:1cda	Membership
7b93e6a1:150814fecb6:-61a	Border
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Province
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	Mountain
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	Province
7b93e6a1:150814fecb6:78b	Membership
7b93e6a1:150814fecb6:240d	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	City
http://www.semwebtech.org/mondial/10/estuary/Murat/	Estuary
7b93e6a1:150814fecb6:15c8	Membership
7b93e6a1:150814fecb6:1190	Membership
7b93e6a1:150814fecb6:266d	EthnicProportion
7b93e6a1:150814fecb6:1524	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	City
http://www.semwebtech.org/mondial/10/source/Arno/	Source
7b93e6a1:150814fecb6:1b56	Membership
7b93e6a1:150814fecb6:3f7	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	City
7b93e6a1:150814fecb6:1784	Membership
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	Islands
http://www.semwebtech.org/mondial/10/organization/GCTU/	Organization
7b93e6a1:150814fecb6:14d0	Membership
7b93e6a1:150814fecb6:353	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Province
7b93e6a1:150814fecb6:-4e6	Membership
7b93e6a1:150814fecb6:108f	Membership
7b93e6a1:150814fecb6:ac	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	City
7b93e6a1:150814fecb6:-442	Membership
http://www.semwebtech.org/mondial/10/source/Ruki/	Source
7b93e6a1:150814fecb6:22d9	BelievedBy
7b93e6a1:150814fecb6:d19	Membership
7b93e6a1:150814fecb6:2235	BelievedBy
7b93e6a1:150814fecb6:947	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Province
7b93e6a1:150814fecb6:f79	Membership
7b93e6a1:150814fecb6:13cf	Membership
7b93e6a1:150814fecb6:2495	EthnicProportion
7b93e6a1:150814fecb6:cc5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	City
7b93e6a1:150814fecb6:21e1	SpokenBy
7b93e6a1:150814fecb6:132b	Membership
http://www.semwebtech.org/mondial/10/mountain/MtBona/	Mountain
http://www.semwebtech.org/mondial/10/country/CL/	Country
7b93e6a1:150814fecb6:c21	Membership
7b93e6a1:150814fecb6:8f3	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Province
7b93e6a1:150814fecb6:1fe	Membership
7b93e6a1:150814fecb6:158b	Membership
http://www.semwebtech.org/mondial/10/country/TUCA/	Country
http://www.semwebtech.org/mondial/10/country/ER/	Country
7b93e6a1:150814fecb6:191f	Membership
7b93e6a1:150814fecb6:e81	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	City
7b93e6a1:150814fecb6:15a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	City
7b93e6a1:150814fecb6:-2ed	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	Mountain
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Mountains
7b93e6a1:150814fecb6:203c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	City
7b93e6a1:150814fecb6:74e	Membership
7b93e6a1:150814fecb6:18cb	Membership
7b93e6a1:150814fecb6:90	Membership
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	City
7b93e6a1:150814fecb6:1efd	Membership
7b93e6a1:150814fecb6:11f7	Membership
7b93e6a1:150814fecb6:229c	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	Water
7b93e6a1:150814fecb6:acc	Membership
http://www.semwebtech.org/mondial/10/sea/TheChannel/	Water
7b93e6a1:150814fecb6:-c6	Membership
7b93e6a1:150814fecb6:1153	Membership
7b93e6a1:150814fecb6:-169	Membership
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	Source
7b93e6a1:150814fecb6:6fa	Membership
7b93e6a1:150814fecb6:-22	Membership
http://www.semwebtech.org/mondial/10/source/Ebro/	Source
http://www.semwebtech.org/mondial/10/source/Thames/	Source
7b93e6a1:150814fecb6:1b19	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Province
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	Mountain
7b93e6a1:150814fecb6:1747	Membership
7b93e6a1:150814fecb6:25dc	EthnicProportion
7b93e6a1:150814fecb6:316	Membership
7b93e6a1:150814fecb6:1d79	Membership
7b93e6a1:150814fecb6:-4a9	Membership
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	Water
7b93e6a1:150814fecb6:1ac5	Membership
7b93e6a1:150814fecb6:-405	Membership
7b93e6a1:150814fecb6:576	Membership
7b93e6a1:150814fecb6:1a21	Membership
7b93e6a1:150814fecb6:16f3	Membership
7b93e6a1:150814fecb6:2c2	Membership
7b93e6a1:150814fecb6:-665	Border
http://www.semwebtech.org/mondial/10/island/Mauritius/	Island
7b93e6a1:150814fecb6:1c81	Membership
7b93e6a1:150814fecb6:-3b1	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Province
7b93e6a1:150814fecb6:2458	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	City
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	Mountain
7b93e6a1:150814fecb6:21a4	SpokenBy
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	Water
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Province
7b93e6a1:150814fecb6:8b6	Membership
http://www.semwebtech.org/mondial/10/country/WD/	Country
7b93e6a1:150814fecb6:2100	Membership
7b93e6a1:150814fecb6:ee8	Membership
7b93e6a1:150814fecb6:812	Membership
7b93e6a1:150814fecb6:154e	Membership
7b93e6a1:150814fecb6:e44	Membership
7b93e6a1:150814fecb6:1fc1	Membership
7b93e6a1:150814fecb6:11d	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	City
7b93e6a1:150814fecb6:2360	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Suchona/	Estuary
7b93e6a1:150814fecb6:-20c	Membership
7b93e6a1:150814fecb6:37d	Membership
7b93e6a1:150814fecb6:14fa	Membership
7b93e6a1:150814fecb6:f7	Membership
7b93e6a1:150814fecb6:df0	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	City
7b93e6a1:150814fecb6:-46c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	City
7b93e6a1:150814fecb6:53	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Province
7b93e6a1:150814fecb6:26a0	EthnicProportion
7b93e6a1:150814fecb6:225f	BelievedBy
7b93e6a1:150814fecb6:1e1c	Membership
7b93e6a1:150814fecb6:1116	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	City
7b93e6a1:150814fecb6:6bd	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	City
7b93e6a1:150814fecb6:cef	Membership
7b93e6a1:150814fecb6:-7ac	Encompassed
7b93e6a1:150814fecb6:1376	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	City
7b93e6a1:150814fecb6:c4b	Membership
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	Water
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	Water
7b93e6a1:150814fecb6:10c2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	City
7b93e6a1:150814fecb6:539	Membership
7b93e6a1:150814fecb6:16b6	Membership
7b93e6a1:150814fecb6:-294	Membership
7b93e6a1:150814fecb6:1ce8	Membership
7b93e6a1:150814fecb6:1612	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	City
7b93e6a1:150814fecb6:-628	Border
7b93e6a1:150814fecb6:2087	Membership
7b93e6a1:150814fecb6:799	Membership
7b93e6a1:150814fecb6:1c44	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	City
http://www.semwebtech.org/mondial/10/organization/SACU/	Organization
7b93e6a1:150814fecb6:4e5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	City
7b93e6a1:150814fecb6:1872	Membership
http://www.semwebtech.org/mondial/10/organization/Benelux/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	City
7b93e6a1:150814fecb6:441	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	City
7b93e6a1:150814fecb6:-5d4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Province
7b93e6a1:150814fecb6:117d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Province
7b93e6a1:150814fecb6:a73	Membership
7b93e6a1:150814fecb6:1bf0	Membership
7b93e6a1:150814fecb6:-4c	Membership
7b93e6a1:150814fecb6:-530	Membership
7b93e6a1:150814fecb6:23c7	BelievedBy
7b93e6a1:150814fecb6:e07	Membership
7b93e6a1:150814fecb6:2323	BelievedBy
7b93e6a1:150814fecb6:-790	Encompassed
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Province
7b93e6a1:150814fecb6:14bd	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Province
7b93e6a1:150814fecb6:2583	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Barbados/	Island
7b93e6a1:150814fecb6:db3	Membership
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	Desert
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	Desert
7b93e6a1:150814fecb6:1aef	Membership
7b93e6a1:150814fecb6:-42f	Membership
7b93e6a1:150814fecb6:16	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Province
7b93e6a1:150814fecb6:9e1	Membership
7b93e6a1:150814fecb6:1a4b	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	City
7b93e6a1:150814fecb6:2ec	Membership
7b93e6a1:150814fecb6:-68f	Border
7b93e6a1:150814fecb6:-3db	Membership
7b93e6a1:150814fecb6:1339	Membership
7b93e6a1:150814fecb6:21ce	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Okavango/	Estuary
7b93e6a1:150814fecb6:c0e	Membership
7b93e6a1:150814fecb6:212a	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	City
7b93e6a1:150814fecb6:83c	Membership
7b93e6a1:150814fecb6:1599	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	City
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	City
http://www.semwebtech.org/mondial/10/mountains/Alps/	Mountains
7b93e6a1:150814fecb6:e6e	Membership
7b93e6a1:150814fecb6:1feb	Membership
7b93e6a1:150814fecb6:168	Membership
7b93e6a1:150814fecb6:12e5	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Province
7b93e6a1:150814fecb6:238a	BelievedBy
7b93e6a1:150814fecb6:bba	Membership
7b93e6a1:150814fecb6:1241	Membership
7b93e6a1:150814fecb6:-257	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	City
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Language
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	City
7b93e6a1:150814fecb6:1c07	Membership
7b93e6a1:150814fecb6:18d9	Membership
7b93e6a1:150814fecb6:7d	Membership
7b93e6a1:150814fecb6:4a8	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Province
7b93e6a1:150814fecb6:1835	Membership
7b93e6a1:150814fecb6:404	Membership
7b93e6a1:150814fecb6:1e67	Membership
7b93e6a1:150814fecb6:1bb3	Membership
7b93e6a1:150814fecb6:a36	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	City
7b93e6a1:150814fecb6:664	Membership
7b93e6a1:150814fecb6:17e1	Membership
7b93e6a1:150814fecb6:-7f7	Encompassed
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	Mountain
7b93e6a1:150814fecb6:c96	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	City
7b93e6a1:150814fecb6:3b0	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	City
7b93e6a1:150814fecb6:-753	Encompassed
7b93e6a1:150814fecb6:10ec	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Province
http://www.semwebtech.org/mondial/10/estuary/Pruth/	Estuary
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	City
7b93e6a1:150814fecb6:2546	EthnicProportion
7b93e6a1:150814fecb6:-9	Membership
7b93e6a1:150814fecb6:9a4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	City
7b93e6a1:150814fecb6:1a0e	Membership
7b93e6a1:150814fecb6:fd6	Membership
7b93e6a1:150814fecb6:900	Membership
7b93e6a1:150814fecb6:2af	Membership
7b93e6a1:150814fecb6:163c	Membership
7b93e6a1:150814fecb6:24f2	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	Water
7b93e6a1:150814fecb6:1c6e	Membership
7b93e6a1:150814fecb6:f32	Membership
7b93e6a1:150814fecb6:1543	Membership
http://www.semwebtech.org/mondial/10/organization/UPU/	Organization
7b93e6a1:150814fecb6:20b	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	City
7b93e6a1:150814fecb6:189c	Membership
7b93e6a1:150814fecb6:46b	Membership
7b93e6a1:150814fecb6:-5fe	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	EthnicGroup
7b93e6a1:150814fecb6:a9d	Membership
7b93e6a1:150814fecb6:-97	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	City
7b93e6a1:150814fecb6:-55a	Membership
7b93e6a1:150814fecb6:1fae	Membership
7b93e6a1:150814fecb6:234d	BelievedBy
7b93e6a1:150814fecb6:12a8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	City
7b93e6a1:150814fecb6:1f0a	Membership
7b93e6a1:150814fecb6:1204	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Province
7b93e6a1:150814fecb6:7ab	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Province
7b93e6a1:150814fecb6:ddd	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	City
http://www.semwebtech.org/mondial/10/language/Somali/	Language
7b93e6a1:150814fecb6:1464	Membership
7b93e6a1:150814fecb6:1a96	Membership
7b93e6a1:150814fecb6:11b0	Membership
7b93e6a1:150814fecb6:-1c6	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	City
7b93e6a1:150814fecb6:-122	Membership
7b93e6a1:150814fecb6:293	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	City
7b93e6a1:150814fecb6:627	Membership
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	Water
7b93e6a1:150814fecb6:17a4	Membership
7b93e6a1:150814fecb6:-382	Membership
http://www.semwebtech.org/mondial/10/river/Vaal/	Water
7b93e6a1:150814fecb6:1dd6	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	City
7b93e6a1:150814fecb6:c59	Membership
7b93e6a1:150814fecb6:1700	Membership
7b93e6a1:150814fecb6:10af	Membership
7b93e6a1:150814fecb6:-716	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	City
7b93e6a1:150814fecb6:2175	SpokenBy
7b93e6a1:150814fecb6:887	Membership
7b93e6a1:150814fecb6:1d32	Membership
7b93e6a1:150814fecb6:100b	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Province
7b93e6a1:150814fecb6:2509	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	Mountain
http://www.semwebtech.org/mondial/10/river/Bartang/	Water
7b93e6a1:150814fecb6:5d3	Membership
7b93e6a1:150814fecb6:1960	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	EthnicGroup
7b93e6a1:150814fecb6:1f92	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	City
7b93e6a1:150814fecb6:-6c2	Border
7b93e6a1:150814fecb6:126b	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	City
7b93e6a1:150814fecb6:b61	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	City
7b93e6a1:150814fecb6:24b5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SLB/	Country
http://www.semwebtech.org/mondial/10/organization/EADB/	Organization
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Province
7b93e6a1:150814fecb6:2411	BelievedBy
7b93e6a1:150814fecb6:185f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Province
http://www.semwebtech.org/mondial/10/river/Seine/	Water
http://www.semwebtech.org/mondial/10/source/Ticino/	Source
7b93e6a1:150814fecb6:42e	Membership
7b93e6a1:150814fecb6:15ab	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	City
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	City
7b93e6a1:150814fecb6:2671	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	Estuary
7b93e6a1:150814fecb6:ea1	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	City
7b93e6a1:150814fecb6:1bdd	Membership
7b93e6a1:150814fecb6:-51d	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	City
7b93e6a1:150814fecb6:68e	Membership
7b93e6a1:150814fecb6:3da	Membership
7b93e6a1:150814fecb6:-77d	Encompassed
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	City
7b93e6a1:150814fecb6:1093	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	City
7b93e6a1:150814fecb6:1427	Membership
7b93e6a1:150814fecb6:22bc	BelievedBy
7b93e6a1:150814fecb6:9ce	Membership
7b93e6a1:150814fecb6:1a59	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	City
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	Estuary
7b93e6a1:150814fecb6:92a	Membership
7b93e6a1:150814fecb6:1687	Membership
7b93e6a1:150814fecb6:13d3	Membership
7b93e6a1:150814fecb6:f5c	Membership
7b93e6a1:150814fecb6:256	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Province
7b93e6a1:150814fecb6:-3e9	Membership
7b93e6a1:150814fecb6:-345	Membership
7b93e6a1:150814fecb6:2138	SpokenBy
7b93e6a1:150814fecb6:19c7	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	City
7b93e6a1:150814fecb6:1ff9	Membership
7b93e6a1:150814fecb6:1923	Membership
7b93e6a1:150814fecb6:-2f1	Membership
7b93e6a1:150814fecb6:2398	BelievedBy
7b93e6a1:150814fecb6:bc8	Membership
7b93e6a1:150814fecb6:1f55	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	City
7b93e6a1:150814fecb6:122e	Membership
7b93e6a1:150814fecb6:20e4	Membership
7b93e6a1:150814fecb6:1ca1	Membership
7b93e6a1:150814fecb6:b24	Membership
7b93e6a1:150814fecb6:7f6	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	City
7b93e6a1:150814fecb6:2040	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	City
7b93e6a1:150814fecb6:752	Membership
7b93e6a1:150814fecb6:148e	Membership
7b93e6a1:150814fecb6:d84	Membership
7b93e6a1:150814fecb6:11da	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	City
7b93e6a1:150814fecb6:ad0	Membership
7b93e6a1:150814fecb6:-14c	Membership
7b93e6a1:150814fecb6:2634	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Wallisian/	Language
7b93e6a1:150814fecb6:17ce	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	City
7b93e6a1:150814fecb6:172a	Membership
7b93e6a1:150814fecb6:25e0	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Mountains
7b93e6a1:150814fecb6:219f	SpokenBy
7b93e6a1:150814fecb6:1d5c	Membership
7b93e6a1:150814fecb6:1056	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Province
7b93e6a1:150814fecb6:5fd	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	City
7b93e6a1:150814fecb6:198a	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Province
7b93e6a1:150814fecb6:-6ec	Border
http://www.semwebtech.org/mondial/10/river/Amudarja/	Water
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	City
7b93e6a1:150814fecb6:b8b	Membership
7b93e6a1:150814fecb6:24df	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Fesan/	Desert
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	City
7b93e6a1:150814fecb6:f1f	Membership
7b93e6a1:150814fecb6:219	Membership
7b93e6a1:150814fecb6:243b	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Province
7b93e6a1:150814fecb6:-308	Membership
http://www.semwebtech.org/mondial/10/country/ARM/	Country
7b93e6a1:150814fecb6:479	Membership
http://www.semwebtech.org/mondial/10/country/A/	Country
7b93e6a1:150814fecb6:15f6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	City
7b93e6a1:150814fecb6:269b	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Sindhi/	Language
7b93e6a1:150814fecb6:ecb	Membership
7b93e6a1:150814fecb6:1c5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	City
7b93e6a1:150814fecb6:1552	Membership
7b93e6a1:150814fecb6:-568	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	City
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	Mountain
http://www.semwebtech.org/mondial/10/organization/ITUC/	Organization
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	Water
7b93e6a1:150814fecb6:1b84	Membership
7b93e6a1:150814fecb6:121	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	City
7b93e6a1:150814fecb6:-2b4	Membership
http://www.semwebtech.org/mondial/10/island/Rhodos/	Island
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Religion
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	EthnicGroup
7b93e6a1:150814fecb6:1f18	Membership
7b93e6a1:150814fecb6:-210	Membership
7b93e6a1:150814fecb6:20a7	Membership
7b93e6a1:150814fecb6:7b9	Membership
7b93e6a1:150814fecb6:381	Membership
7b93e6a1:150814fecb6:da	Membership
7b93e6a1:150814fecb6:2003	Membership
7b93e6a1:150814fecb6:715	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Province
7b93e6a1:150814fecb6:-470	Membership
7b93e6a1:150814fecb6:d47	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	City
7b93e6a1:150814fecb6:1ec4	Membership
7b93e6a1:150814fecb6:-804	Encompassed
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	City
7b93e6a1:150814fecb6:2263	BelievedBy
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	City
7b93e6a1:150814fecb6:975	Membership
7b93e6a1:150814fecb6:1e20	Membership
7b93e6a1:150814fecb6:-10f	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	City
7b93e6a1:150814fecb6:6c1	Membership
7b93e6a1:150814fecb6:13fd	Membership
7b93e6a1:150814fecb6:cf3	Membership
7b93e6a1:150814fecb6:-7b0	Encompassed
7b93e6a1:150814fecb6:-36f	Membership
7b93e6a1:150814fecb6:25a3	EthnicProportion
7b93e6a1:150814fecb6:1d1f	Membership
7b93e6a1:150814fecb6:1019	Membership
7b93e6a1:150814fecb6:194d	Membership
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	City
http://www.semwebtech.org/mondial/10/organization/WTO/	Organization
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	Water
http://www.semwebtech.org/mondial/10/source/Guadiana/	Source
7b93e6a1:150814fecb6:51c	Membership
7b93e6a1:150814fecb6:1f7f	Membership
7b93e6a1:150814fecb6:-6af	Border
7b93e6a1:150814fecb6:1279	Membership
7b93e6a1:150814fecb6:b4e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	City
7b93e6a1:150814fecb6:1ccb	Membership
7b93e6a1:150814fecb6:-60b	Border
7b93e6a1:150814fecb6:206a	Membership
7b93e6a1:150814fecb6:77c	Membership
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	Water
7b93e6a1:150814fecb6:265e	EthnicProportion
7b93e6a1:150814fecb6:afa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/	Province
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Province
7b93e6a1:150814fecb6:15b9	Membership
7b93e6a1:150814fecb6:-f4	Membership
7b93e6a1:150814fecb6:1181	Membership
7b93e6a1:150814fecb6:-197	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Province
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	Mountain
7b93e6a1:150814fecb6:1515	Membership
7b93e6a1:150814fecb6:-50	Membership
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	Organization
7b93e6a1:150814fecb6:23aa	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Province
7b93e6a1:150814fecb6:1b47	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Province
http://www.semwebtech.org/mondial/10/source/Ili/	Source
7b93e6a1:150814fecb6:3e8	Membership
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	Water
7b93e6a1:150814fecb6:1775	Membership
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	City
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	Water
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Province
7b93e6a1:150814fecb6:14c1	Membership
7b93e6a1:150814fecb6:344	Membership
7b93e6a1:150814fecb6:-4d7	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	City
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	City
7b93e6a1:150814fecb6:1af3	Membership
7b93e6a1:150814fecb6:-433	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	City
7b93e6a1:150814fecb6:2226	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	Estuary
7b93e6a1:150814fecb6:938	Membership
7b93e6a1:150814fecb6:2f0	Membership
7b93e6a1:150814fecb6:-693	Border
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	City
7b93e6a1:150814fecb6:2486	EthnicProportion
7b93e6a1:150814fecb6:cb6	Membership
7b93e6a1:150814fecb6:131c	Membership
7b93e6a1:150814fecb6:21d2	SpokenBy
http://www.semwebtech.org/mondial/10/source/Luapula/	Source
7b93e6a1:150814fecb6:c12	Membership
7b93e6a1:150814fecb6:8e4	Membership
7b93e6a1:150814fecb6:840	Membership
7b93e6a1:150814fecb6:1ef	Membership
7b93e6a1:150814fecb6:157c	Membership
7b93e6a1:150814fecb6:e72	Membership
7b93e6a1:150814fecb6:14b	Membership
http://www.semwebtech.org/mondial/10/organization/EMU/	Organization
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	City
7b93e6a1:150814fecb6:-23a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	EthnicGroup
7b93e6a1:150814fecb6:202d	Membership
http://www.semwebtech.org/mondial/10/source/BlackDrin/	Source
7b93e6a1:150814fecb6:73f	Membership
7b93e6a1:150814fecb6:18bc	Membership
7b93e6a1:150814fecb6:-49a	Membership
7b93e6a1:150814fecb6:81	Membership
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	Source
7b93e6a1:150814fecb6:1eee	Membership
7b93e6a1:150814fecb6:11e8	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	EthnicGroup
7b93e6a1:150814fecb6:228d	BelievedBy
7b93e6a1:150814fecb6:abd	Membership
7b93e6a1:150814fecb6:99f	Membership
7b93e6a1:150814fecb6:1e4a	Membership
7b93e6a1:150814fecb6:-b7	Membership
7b93e6a1:150814fecb6:1144	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Province
http://www.semwebtech.org/mondial/10/sea/IrishSea/	Water
7b93e6a1:150814fecb6:6eb	Membership
7b93e6a1:150814fecb6:-13	Membership
http://www.semwebtech.org/mondial/10/estuary/Semliki/	Estuary
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Province
7b93e6a1:150814fecb6:-7da	Encompassed
7b93e6a1:150814fecb6:1738	Membership
7b93e6a1:150814fecb6:10f0	Membership
7b93e6a1:150814fecb6:25cd	EthnicProportion
7b93e6a1:150814fecb6:307	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	City
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	Source
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	Estuary
7b93e6a1:150814fecb6:1ab6	Membership
7b93e6a1:150814fecb6:1998	Membership
7b93e6a1:150814fecb6:567	Membership
7b93e6a1:150814fecb6:1a12	Membership
7b93e6a1:150814fecb6:16e4	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	City
http://www.semwebtech.org/mondial/10/source/Etsch/	Source
7b93e6a1:150814fecb6:b99	Membership
7b93e6a1:150814fecb6:2b3	Membership
7b93e6a1:150814fecb6:1640	Membership
7b93e6a1:150814fecb6:-656	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	City
7b93e6a1:150814fecb6:1c72	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	City
7b93e6a1:150814fecb6:-3a2	Membership
7b93e6a1:150814fecb6:2449	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	City
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	City
7b93e6a1:150814fecb6:8a7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	City
http://www.semwebtech.org/mondial/10/river/Enns/	Water
7b93e6a1:150814fecb6:ed9	Membership
7b93e6a1:150814fecb6:803	Membership
7b93e6a1:150814fecb6:-7a	Membership
7b93e6a1:150814fecb6:153f	Membership
7b93e6a1:150814fecb6:23f5	BelievedBy
7b93e6a1:150814fecb6:1fb2	Membership
7b93e6a1:150814fecb6:e35	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Province
7b93e6a1:150814fecb6:10e	Membership
7b93e6a1:150814fecb6:2351	BelievedBy
http://www.semwebtech.org/mondial/10/country/CZ/	Country
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	City
7b93e6a1:150814fecb6:179f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Province
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	Mountain
7b93e6a1:150814fecb6:36e	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	City
7b93e6a1:150814fecb6:14eb	Membership
7b93e6a1:150814fecb6:e8	Membership
7b93e6a1:150814fecb6:de1	Membership
http://www.semwebtech.org/mondial/10/source/Tiber/	Source
7b93e6a1:150814fecb6:-45d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	City
7b93e6a1:150814fecb6:44	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	City
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Province
7b93e6a1:150814fecb6:1e0d	Membership
7b93e6a1:150814fecb6:1107	Membership
7b93e6a1:150814fecb6:6ae	Membership
7b93e6a1:150814fecb6:60a	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Province
http://www.semwebtech.org/mondial/10/estuary/Moldau/	Estuary
7b93e6a1:150814fecb6:21fc	SpokenBy
7b93e6a1:150814fecb6:c3c	Membership
7b93e6a1:150814fecb6:10b3	Membership
http://www.semwebtech.org/mondial/10/country/LS/	Country
7b93e6a1:150814fecb6:86a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	City
7b93e6a1:150814fecb6:e9c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	City
7b93e6a1:150814fecb6:196	Membership
7b93e6a1:150814fecb6:16a7	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	City
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	Province
7b93e6a1:150814fecb6:-285	Membership
7b93e6a1:150814fecb6:1cd9	Membership
7b93e6a1:150814fecb6:1603	Membership
7b93e6a1:150814fecb6:-619	Border
7b93e6a1:150814fecb6:2078	Membership
http://www.semwebtech.org/mondial/10/source/Mosel/	Source
7b93e6a1:150814fecb6:1c35	Membership
http://www.semwebtech.org/mondial/10/island/NewProvidence/	Island
7b93e6a1:150814fecb6:4d6	Membership
7b93e6a1:150814fecb6:1863	Membership
http://www.semwebtech.org/mondial/10/country/SF/	Country
7b93e6a1:150814fecb6:432	Membership
7b93e6a1:150814fecb6:1e95	Membership
7b93e6a1:150814fecb6:-5c5	Membership
7b93e6a1:150814fecb6:116e	Membership
7b93e6a1:150814fecb6:1be1	Membership
7b93e6a1:150814fecb6:a64	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Province
7b93e6a1:150814fecb6:-3d	Membership
7b93e6a1:150814fecb6:-521	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Province
7b93e6a1:150814fecb6:23b8	BelievedBy
7b93e6a1:150814fecb6:692	Membership
7b93e6a1:150814fecb6:2314	BelievedBy
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	City
7b93e6a1:150814fecb6:-781	Encompassed
7b93e6a1:150814fecb6:14ae	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	City
7b93e6a1:150814fecb6:2574	EthnicProportion
7b93e6a1:150814fecb6:da4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	City
7b93e6a1:150814fecb6:140a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Province
7b93e6a1:150814fecb6:22c0	BelievedBy
http://www.semwebtech.org/mondial/10/island/Menorca/	Island
7b93e6a1:150814fecb6:d00	Membership
7b93e6a1:150814fecb6:9d2	Membership
7b93e6a1:150814fecb6:1a3c	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	City
7b93e6a1:150814fecb6:2dd	Membership
7b93e6a1:150814fecb6:166a	Membership
7b93e6a1:150814fecb6:f60	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	City
7b93e6a1:150814fecb6:1c9c	Membership
7b93e6a1:150814fecb6:-3cc	Membership
http://www.semwebtech.org/mondial/10/lake/Vaenern/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	City
http://www.semwebtech.org/mondial/10/estuary/Po/	Estuary
7b93e6a1:150814fecb6:21bf	SpokenBy
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	City
7b93e6a1:150814fecb6:211b	SpokenBy
7b93e6a1:150814fecb6:82d	Membership
http://www.semwebtech.org/mondial/10/river/Euphrat/	Water
7b93e6a1:150814fecb6:19aa	Membership
7b93e6a1:150814fecb6:1fdc	Membership
7b93e6a1:150814fecb6:e5f	Membership
7b93e6a1:150814fecb6:1	Membership
7b93e6a1:150814fecb6:159	Membership
7b93e6a1:150814fecb6:12d6	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	City
7b93e6a1:150814fecb6:237b	BelievedBy
7b93e6a1:150814fecb6:bab	Membership
7b93e6a1:150814fecb6:1232	Membership
7b93e6a1:150814fecb6:-248	Membership
7b93e6a1:150814fecb6:1492	Membership
7b93e6a1:150814fecb6:6e	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Province
7b93e6a1:150814fecb6:1826	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	City
7b93e6a1:150814fecb6:-1f4	Membership
7b93e6a1:150814fecb6:26bb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Province
7b93e6a1:150814fecb6:1e58	Membership
7b93e6a1:150814fecb6:-150	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Province
7b93e6a1:150814fecb6:a27	Membership
7b93e6a1:150814fecb6:6f9	Membership
7b93e6a1:150814fecb6:1ba4	Membership
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	Water
7b93e6a1:150814fecb6:1b00	Membership
7b93e6a1:150814fecb6:655	Membership
7b93e6a1:150814fecb6:17d2	Membership
7b93e6a1:150814fecb6:-7e8	Encompassed
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	Mountain
7b93e6a1:150814fecb6:c87	Membership
7b93e6a1:150814fecb6:3a1	Membership
7b93e6a1:150814fecb6:-744	Encompassed
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Province
7b93e6a1:150814fecb6:10dd	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	City
7b93e6a1:150814fecb6:1d60	Membership
7b93e6a1:150814fecb6:2537	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	City
http://www.semwebtech.org/mondial/10/estuary/Lulua/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	City
7b93e6a1:150814fecb6:-6f0	Border
7b93e6a1:150814fecb6:fc7	Membership
7b93e6a1:150814fecb6:162d	Membership
7b93e6a1:150814fecb6:24e3	EthnicProportion
7b93e6a1:150814fecb6:f23	Membership
http://www.semwebtech.org/mondial/10/language/Armenian/	Language
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	Water
7b93e6a1:150814fecb6:1c5f	Membership
7b93e6a1:150814fecb6:188d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	City
7b93e6a1:150814fecb6:45c	Membership
7b93e6a1:150814fecb6:-5ef	Border
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	City
7b93e6a1:150814fecb6:a8e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	City
7b93e6a1:150814fecb6:-88	Membership
7b93e6a1:150814fecb6:-54b	Membership
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	Mountain
http://www.semwebtech.org/mondial/10/country/NIUE/	Country
7b93e6a1:150814fecb6:233e	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	EthnicGroup
7b93e6a1:150814fecb6:14f9	Membership
7b93e6a1:150814fecb6:259e	EthnicProportion
7b93e6a1:150814fecb6:dce	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	Estuary
7b93e6a1:150814fecb6:1455	Membership
7b93e6a1:150814fecb6:22ea	BelievedBy
7b93e6a1:150814fecb6:d2a	Membership
7b93e6a1:150814fecb6:9fc	Membership
7b93e6a1:150814fecb6:1a87	Membership
7b93e6a1:150814fecb6:11a1	Membership
7b93e6a1:150814fecb6:-1b7	Membership
http://www.semwebtech.org/mondial/10/island/Negros/	Island
7b93e6a1:150814fecb6:-113	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	City
7b93e6a1:150814fecb6:f8a	Membership
7b93e6a1:150814fecb6:284	Membership
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	City
7b93e6a1:150814fecb6:618	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	EthnicGroup
7b93e6a1:150814fecb6:-373	Membership
7b93e6a1:150814fecb6:1dc7	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Province
7b93e6a1:150814fecb6:-707	Border
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Province
7b93e6a1:150814fecb6:2166	SpokenBy
7b93e6a1:150814fecb6:878	Membership
7b93e6a1:150814fecb6:1d23	Membership
7b93e6a1:150814fecb6:19f5	Membership
7b93e6a1:150814fecb6:5c4	Membership
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	Estuary
7b93e6a1:150814fecb6:1951	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	City
7b93e6a1:150814fecb6:bf6	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Province
7b93e6a1:150814fecb6:520	Membership
7b93e6a1:150814fecb6:1f83	Membership
7b93e6a1:150814fecb6:-6b3	Border
7b93e6a1:150814fecb6:125c	Membership
7b93e6a1:150814fecb6:b52	Membership
7b93e6a1:150814fecb6:24a6	EthnicProportion
7b93e6a1:150814fecb6:780	Membership
7b93e6a1:150814fecb6:2402	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	City
7b93e6a1:150814fecb6:41f	Membership
7b93e6a1:150814fecb6:-17a	Membership
7b93e6a1:150814fecb6:2662	EthnicProportion
7b93e6a1:150814fecb6:1bce	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	City
7b93e6a1:150814fecb6:-50e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Province
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	City
7b93e6a1:150814fecb6:67f	Membership
7b93e6a1:150814fecb6:1b2a	Membership
7b93e6a1:150814fecb6:17fc	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	City
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	Desert
7b93e6a1:150814fecb6:3cb	Membership
7b93e6a1:150814fecb6:-76e	Encompassed
7b93e6a1:150814fecb6:-559	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	City
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	City
7b93e6a1:150814fecb6:1d8a	Membership
7b93e6a1:150814fecb6:1084	Membership
7b93e6a1:150814fecb6:-4ba	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	City
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Province
7b93e6a1:150814fecb6:a1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	EthnicGroup
7b93e6a1:150814fecb6:22ad	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	City
7b93e6a1:150814fecb6:1418	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	City
7b93e6a1:150814fecb6:9bf	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	City
7b93e6a1:150814fecb6:91b	Membership
7b93e6a1:150814fecb6:1678	Membership
7b93e6a1:150814fecb6:f4d	Membership
7b93e6a1:150814fecb6:247	Membership
7b93e6a1:150814fecb6:13c4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	City
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	Desert
7b93e6a1:150814fecb6:1320	Membership
7b93e6a1:150814fecb6:-336	Membership
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	City
7b93e6a1:150814fecb6:2129	SpokenBy
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Province
7b93e6a1:150814fecb6:19b8	Membership
7b93e6a1:150814fecb6:1f3	Membership
7b93e6a1:150814fecb6:1580	Membership
7b93e6a1:150814fecb6:-596	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Province
7b93e6a1:150814fecb6:1914	Membership
7b93e6a1:150814fecb6:-2e2	Membership
7b93e6a1:150814fecb6:2389	BelievedBy
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	City
7b93e6a1:150814fecb6:bb9	Membership
7b93e6a1:150814fecb6:1f46	Membership
7b93e6a1:150814fecb6:121f	Membership
7b93e6a1:150814fecb6:20d5	Membership
7b93e6a1:150814fecb6:b15	Membership
7b93e6a1:150814fecb6:7e7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	City
http://www.semwebtech.org/mondial/10/organization/CE/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	City
7b93e6a1:150814fecb6:2031	Membership
http://www.semwebtech.org/mondial/10/source/Werra/	Source
7b93e6a1:150814fecb6:743	Membership
7b93e6a1:150814fecb6:18c0	Membership
7b93e6a1:150814fecb6:147f	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Province
7b93e6a1:150814fecb6:d75	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Province
7b93e6a1:150814fecb6:1ef2	Membership
7b93e6a1:150814fecb6:11cb	Membership
7b93e6a1:150814fecb6:2291	BelievedBy
7b93e6a1:150814fecb6:ac1	Membership
7b93e6a1:150814fecb6:-13d	Membership
7b93e6a1:150814fecb6:2625	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Karakum/	Desert
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Language
7b93e6a1:150814fecb6:17bf	Membership
7b93e6a1:150814fecb6:-39d	Membership
http://www.semwebtech.org/mondial/10/island/Fogo/	Island
7b93e6a1:150814fecb6:171b	Membership
7b93e6a1:150814fecb6:25d1	EthnicProportion
7b93e6a1:150814fecb6:1d4d	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	City
7b93e6a1:150814fecb6:1047	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Province
7b93e6a1:150814fecb6:5ee	Membership
7b93e6a1:150814fecb6:197b	Membership
7b93e6a1:150814fecb6:54a	Membership
7b93e6a1:150814fecb6:-6dd	Border
7b93e6a1:150814fecb6:b7c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Province
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Mountains
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	City
7b93e6a1:150814fecb6:242c	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Mountains
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	City
7b93e6a1:150814fecb6:15e7	Membership
7b93e6a1:150814fecb6:268c	EthnicProportion
7b93e6a1:150814fecb6:ebc	Membership
7b93e6a1:150814fecb6:1b6	Membership
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	Mountain
http://www.semwebtech.org/mondial/10/organization/IADB/	Organization
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Province
7b93e6a1:150814fecb6:1b75	Membership
7b93e6a1:150814fecb6:112	Membership
7b93e6a1:150814fecb6:-2a5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	EthnicGroup
7b93e6a1:150814fecb6:1f09	Membership
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	City
7b93e6a1:150814fecb6:-201	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	City
7b93e6a1:150814fecb6:372	Membership
7b93e6a1:150814fecb6:cb	Membership
7b93e6a1:150814fecb6:706	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	City
7b93e6a1:150814fecb6:-461	Membership
7b93e6a1:150814fecb6:22f8	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	City
7b93e6a1:150814fecb6:d38	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Province
7b93e6a1:150814fecb6:1eb5	Membership
7b93e6a1:150814fecb6:2254	BelievedBy
http://www.semwebtech.org/mondial/10/island/Niihau/	Island
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	City
7b93e6a1:150814fecb6:966	Membership
7b93e6a1:150814fecb6:1e11	Membership
7b93e6a1:150814fecb6:f98	Membership
7b93e6a1:150814fecb6:6b2	Membership
7b93e6a1:150814fecb6:13ee	Membership
http://www.semwebtech.org/mondial/10/river/Kolyma/	Water
7b93e6a1:150814fecb6:ce4	Membership
7b93e6a1:150814fecb6:-7a1	Encompassed
7b93e6a1:150814fecb6:134a	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Province
7b93e6a1:150814fecb6:c40	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Province
http://www.semwebtech.org/mondial/10/island/Batam/	Island
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	City
7b93e6a1:150814fecb6:193e	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	City
7b93e6a1:150814fecb6:50d	Membership
7b93e6a1:150814fecb6:20ff	Membership
7b93e6a1:150814fecb6:b3f	Membership
7b93e6a1:150814fecb6:1cbc	Membership
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	City
http://www.semwebtech.org/mondial/10/language/Polish/	Language
7b93e6a1:150814fecb6:205b	Membership
7b93e6a1:150814fecb6:76d	Membership
7b93e6a1:150814fecb6:18ea	Membership
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	Water
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Province
7b93e6a1:150814fecb6:d9f	Membership
http://www.semwebtech.org/mondial/10/islands/Baleares/	Islands
7b93e6a1:150814fecb6:aeb	Membership
7b93e6a1:150814fecb6:1172	Membership
7b93e6a1:150814fecb6:-e5	Membership
7b93e6a1:150814fecb6:-188	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	City
7b93e6a1:150814fecb6:264f	EthnicProportion
7b93e6a1:150814fecb6:-41	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Province
7b93e6a1:150814fecb6:1506	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	City
http://www.semwebtech.org/mondial/10/river/Saar/	Water
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	City
7b93e6a1:150814fecb6:1b38	Membership
7b93e6a1:150814fecb6:3d9	Membership
7b93e6a1:150814fecb6:1766	Membership
7b93e6a1:150814fecb6:25fb	EthnicProportion
7b93e6a1:150814fecb6:1d98	Membership
7b93e6a1:150814fecb6:335	Membership
7b93e6a1:150814fecb6:14b2	Membership
7b93e6a1:150814fecb6:-4c8	Membership
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	Mountain
7b93e6a1:150814fecb6:1ae4	Membership
7b93e6a1:150814fecb6:-424	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Province
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	City
7b93e6a1:150814fecb6:595	Membership
7b93e6a1:150814fecb6:1a40	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	City
7b93e6a1:150814fecb6:2217	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Province
7b93e6a1:150814fecb6:929	Membership
7b93e6a1:150814fecb6:2e1	Membership
7b93e6a1:150814fecb6:-684	Border
7b93e6a1:150814fecb6:-3d0	Membership
7b93e6a1:150814fecb6:2477	EthnicProportion
7b93e6a1:150814fecb6:ca7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Province
7b93e6a1:150814fecb6:130d	Membership
7b93e6a1:150814fecb6:21c3	SpokenBy
7b93e6a1:150814fecb6:c03	Membership
7b93e6a1:150814fecb6:8d5	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	City
7b93e6a1:150814fecb6:831	Membership
7b93e6a1:150814fecb6:1fe0	Membership
7b93e6a1:150814fecb6:156d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	City
7b93e6a1:150814fecb6:1b9f	Membership
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	City
7b93e6a1:150814fecb6:e63	Membership
7b93e6a1:150814fecb6:13c	Membership
7b93e6a1:150814fecb6:-2cf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	City
7b93e6a1:150814fecb6:-22b	Membership
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	Mountain
7b93e6a1:150814fecb6:39c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	City
7b93e6a1:150814fecb6:201e	Membership
7b93e6a1:150814fecb6:18ad	Membership
7b93e6a1:150814fecb6:-48b	Membership
7b93e6a1:150814fecb6:72	Membership
7b93e6a1:150814fecb6:1edf	Membership
7b93e6a1:150814fecb6:11d9	Membership
7b93e6a1:150814fecb6:227e	BelievedBy
7b93e6a1:150814fecb6:aae	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	City
7b93e6a1:150814fecb6:1e3b	Membership
7b93e6a1:150814fecb6:-a8	Membership
7b93e6a1:150814fecb6:1135	Membership
7b93e6a1:150814fecb6:a0a	Membership
7b93e6a1:150814fecb6:6dc	Membership
7b93e6a1:150814fecb6:-7cb	Encompassed
7b93e6a1:150814fecb6:1395	Membership
7b93e6a1:150814fecb6:c6a	Membership
7b93e6a1:150814fecb6:1729	Membership
7b93e6a1:150814fecb6:10e1	Membership
7b93e6a1:150814fecb6:25be	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/CEMAC/	Organization
7b93e6a1:150814fecb6:251a	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Moldau/	Water
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Province
7b93e6a1:150814fecb6:1aa7	Membership
7b93e6a1:150814fecb6:1989	Membership
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	City
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	Water
7b93e6a1:150814fecb6:558	Membership
7b93e6a1:150814fecb6:1a03	Membership
7b93e6a1:150814fecb6:16d5	Membership
7b93e6a1:150814fecb6:faa	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	City
7b93e6a1:150814fecb6:2a4	Membership
7b93e6a1:150814fecb6:1631	Membership
7b93e6a1:150814fecb6:-647	Border
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Province
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Province
7b93e6a1:150814fecb6:200	Membership
7b93e6a1:150814fecb6:1c63	Membership
http://www.semwebtech.org/mondial/10/estuary/Ischim/	Estuary
7b93e6a1:150814fecb6:1891	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	City
7b93e6a1:150814fecb6:460	Membership
7b93e6a1:150814fecb6:-5f3	Border
7b93e6a1:150814fecb6:119c	Membership
7b93e6a1:150814fecb6:a92	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Province
7b93e6a1:150814fecb6:-6b	Membership
7b93e6a1:150814fecb6:23e6	BelievedBy
7b93e6a1:150814fecb6:1fa3	Membership
7b93e6a1:150814fecb6:e26	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Province
7b93e6a1:150814fecb6:2342	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Province
http://www.semwebtech.org/mondial/10/river/Narva/	Water
7b93e6a1:150814fecb6:7a0	Membership
7b93e6a1:150814fecb6:35f	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	City
7b93e6a1:150814fecb6:14dc	Membership
7b93e6a1:150814fecb6:d9	Membership
7b93e6a1:150814fecb6:dd2	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	City
7b93e6a1:150814fecb6:-44e	Membership
7b93e6a1:150814fecb6:35	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Province
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	City
7b93e6a1:150814fecb6:1a6a	Membership
http://www.semwebtech.org/mondial/10/island/Tarawa/	Island
http://www.semwebtech.org/mondial/10/estuary/Isere/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	City
7b93e6a1:150814fecb6:-3fa	Membership
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Mountains
7b93e6a1:150814fecb6:1358	Membership
7b93e6a1:150814fecb6:21ed	SpokenBy
7b93e6a1:150814fecb6:c2d	Membership
7b93e6a1:150814fecb6:8ff	Membership
7b93e6a1:150814fecb6:1daa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	EthnicGroup
7b93e6a1:150814fecb6:10a4	Membership
7b93e6a1:150814fecb6:85b	Membership
7b93e6a1:150814fecb6:1000	Membership
7b93e6a1:150814fecb6:e8d	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	City
7b93e6a1:150814fecb6:187	Membership
http://www.semwebtech.org/mondial/10/islands/CookIslands/	Islands
7b93e6a1:150814fecb6:1260	Membership
7b93e6a1:150814fecb6:-276	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Province
7b93e6a1:150814fecb6:2069	Membership
7b93e6a1:150814fecb6:1c26	Membership
7b93e6a1:150814fecb6:18f8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	City
7b93e6a1:150814fecb6:9c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	City
7b93e6a1:150814fecb6:4c7	Membership
7b93e6a1:150814fecb6:1854	Membership
7b93e6a1:150814fecb6:1e86	Membership
7b93e6a1:150814fecb6:15a0	Membership
7b93e6a1:150814fecb6:af9	Membership
7b93e6a1:150814fecb6:423	Membership
7b93e6a1:150814fecb6:-5b6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	City
7b93e6a1:150814fecb6:115f	Membership
7b93e6a1:150814fecb6:a55	Membership
7b93e6a1:150814fecb6:1bd2	Membership
7b93e6a1:150814fecb6:-2e	Membership
7b93e6a1:150814fecb6:-512	Membership
7b93e6a1:150814fecb6:23a9	BelievedBy
7b93e6a1:150814fecb6:683	Membership
7b93e6a1:150814fecb6:2305	BelievedBy
7b93e6a1:150814fecb6:-772	Encompassed
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	City
7b93e6a1:150814fecb6:2565	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/MountApo/	Mountain
7b93e6a1:150814fecb6:22b1	BelievedBy
http://www.semwebtech.org/mondial/10/island/Nauru/	Island
7b93e6a1:150814fecb6:9c3	Membership
7b93e6a1:150814fecb6:1a2d	Membership
7b93e6a1:150814fecb6:16ff	Membership
7b93e6a1:150814fecb6:ff5	Membership
7b93e6a1:150814fecb6:2ce	Membership
7b93e6a1:150814fecb6:165b	Membership
7b93e6a1:150814fecb6:f51	Membership
7b93e6a1:150814fecb6:22a	Membership
7b93e6a1:150814fecb6:1c8d	Membership
7b93e6a1:150814fecb6:-3bd	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Province
7b93e6a1:150814fecb6:48a	Membership
7b93e6a1:150814fecb6:210c	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	City
7b93e6a1:150814fecb6:81e	Membership
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	Water
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	City
7b93e6a1:150814fecb6:1fcd	Membership
7b93e6a1:150814fecb6:12c7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Province
7b93e6a1:150814fecb6:236c	BelievedBy
7b93e6a1:150814fecb6:1223	Membership
7b93e6a1:150814fecb6:-239	Membership
http://www.semwebtech.org/mondial/10/organization/G-5/	Organization
7b93e6a1:150814fecb6:7ca	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	City
7b93e6a1:150814fecb6:dfc	Membership
7b93e6a1:150814fecb6:1483	Membership
7b93e6a1:150814fecb6:-499	Membership
7b93e6a1:150814fecb6:5f	Membership
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	Mountain
7b93e6a1:150814fecb6:1817	Membership
7b93e6a1:150814fecb6:-1e5	Membership
7b93e6a1:150814fecb6:26ac	EthnicProportion
7b93e6a1:150814fecb6:1e49	Membership
7b93e6a1:150814fecb6:-141	Membership
7b93e6a1:150814fecb6:a18	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	City
7b93e6a1:150814fecb6:646	Membership
7b93e6a1:150814fecb6:17c3	Membership
7b93e6a1:150814fecb6:-7d9	Encompassed
7b93e6a1:150814fecb6:c78	Membership
7b93e6a1:150814fecb6:1df5	Membership
7b93e6a1:150814fecb6:-735	Encompassed
7b93e6a1:150814fecb6:10ce	Membership
7b93e6a1:150814fecb6:2194	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	City
7b93e6a1:150814fecb6:1d51	Membership
7b93e6a1:150814fecb6:102a	Membership
7b93e6a1:150814fecb6:2528	EthnicProportion
7b93e6a1:150814fecb6:5f2	Membership
http://www.semwebtech.org/mondial/10/source/Swir/	Source
http://www.semwebtech.org/mondial/10/lake/LochLomond/	Water
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	City
7b93e6a1:150814fecb6:-6e1	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	City
7b93e6a1:150814fecb6:128a	Membership
7b93e6a1:150814fecb6:fb8	Membership
7b93e6a1:150814fecb6:b80	Membership
http://www.semwebtech.org/mondial/10/desert/ErgChech/	Desert
7b93e6a1:150814fecb6:161e	Membership
7b93e6a1:150814fecb6:24d4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	City
7b93e6a1:150814fecb6:f14	Membership
http://www.semwebtech.org/mondial/10/island/Dagoe/	Island
7b93e6a1:150814fecb6:2430	BelievedBy
http://www.semwebtech.org/mondial/10/country/REUN/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	City
7b93e6a1:150814fecb6:187e	Membership
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	Religion
7b93e6a1:150814fecb6:44d	Membership
7b93e6a1:150814fecb6:15ca	Membership
7b93e6a1:150814fecb6:2690	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Borkum/	Island
7b93e6a1:150814fecb6:ec0	Membership
7b93e6a1:150814fecb6:a7f	Membership
7b93e6a1:150814fecb6:1bfc	Membership
7b93e6a1:150814fecb6:-79	Membership
7b93e6a1:150814fecb6:-53c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	City
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Province
7b93e6a1:150814fecb6:232f	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Province
7b93e6a1:150814fecb6:-79c	Encompassed
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	City
http://www.semwebtech.org/mondial/10/organization/EurasEC/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Province
7b93e6a1:150814fecb6:258f	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	Mountain
7b93e6a1:150814fecb6:dbf	Membership
7b93e6a1:150814fecb6:22db	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	Mountain
7b93e6a1:150814fecb6:1446	Membership
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	Estuary
7b93e6a1:150814fecb6:d1b	Membership
7b93e6a1:150814fecb6:9ed	Membership
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Language
7b93e6a1:150814fecb6:1a78	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	City
7b93e6a1:150814fecb6:-1a8	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Province
7b93e6a1:150814fecb6:-104	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	City
7b93e6a1:150814fecb6:f7b	Membership
7b93e6a1:150814fecb6:275	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	Mountain
7b93e6a1:150814fecb6:13f2	Membership
7b93e6a1:150814fecb6:609	Membership
7b93e6a1:150814fecb6:-364	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	City
http://www.semwebtech.org/mondial/10/mountain/Leuser/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Province
7b93e6a1:150814fecb6:1db8	Membership
7b93e6a1:150814fecb6:2157	SpokenBy
7b93e6a1:150814fecb6:869	Membership
7b93e6a1:150814fecb6:1d14	Membership
7b93e6a1:150814fecb6:19e6	Membership
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	Islands
7b93e6a1:150814fecb6:5b5	Membership
7b93e6a1:150814fecb6:1942	Membership
7b93e6a1:150814fecb6:1f74	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Province
7b93e6a1:150814fecb6:be7	Membership
7b93e6a1:150814fecb6:511	Membership
7b93e6a1:150814fecb6:124d	Membership
7b93e6a1:150814fecb6:-6a4	Border
http://www.semwebtech.org/mondial/10/organization/WMO/	Organization
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Province
http://www.semwebtech.org/mondial/10/desert/Nefud/	Desert
7b93e6a1:150814fecb6:b43	Membership
7b93e6a1:150814fecb6:1cc0	Membership
7b93e6a1:150814fecb6:-600	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	EthnicGroup
7b93e6a1:150814fecb6:771	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	City
7b93e6a1:150814fecb6:-16b	Membership
7b93e6a1:150814fecb6:2653	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Busira/	Estuary
7b93e6a1:150814fecb6:1bbf	Membership
7b93e6a1:150814fecb6:1b1b	Membership
7b93e6a1:150814fecb6:17ed	Membership
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	Mountain
7b93e6a1:150814fecb6:3bc	Membership
7b93e6a1:150814fecb6:-75f	Encompassed
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	City
7b93e6a1:150814fecb6:1d7b	Membership
7b93e6a1:150814fecb6:-4ab	Membership
7b93e6a1:150814fecb6:1075	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Province
7b93e6a1:150814fecb6:1409	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	City
7b93e6a1:150814fecb6:90c	Membership
7b93e6a1:150814fecb6:1669	Membership
7b93e6a1:150814fecb6:24fe	EthnicProportion
7b93e6a1:150814fecb6:f3e	Membership
http://www.semwebtech.org/mondial/10/desert/Atacama/	Desert
7b93e6a1:150814fecb6:238	Membership
7b93e6a1:150814fecb6:13b5	Membership
7b93e6a1:150814fecb6:245a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Province
7b93e6a1:150814fecb6:1311	Membership
7b93e6a1:150814fecb6:-327	Membership
http://www.semwebtech.org/mondial/10/country/NLSM/	Country
7b93e6a1:150814fecb6:498	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Province
7b93e6a1:150814fecb6:19a9	Membership
7b93e6a1:150814fecb6:eea	Membership
7b93e6a1:150814fecb6:1571	Membership
7b93e6a1:150814fecb6:1e4	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	City
7b93e6a1:150814fecb6:-587	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Romanian/	Language
7b93e6a1:150814fecb6:1905	Membership
7b93e6a1:150814fecb6:140	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	City
7b93e6a1:150814fecb6:-2d3	Membership
7b93e6a1:150814fecb6:1f37	Membership
7b93e6a1:150814fecb6:20c6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	City
7b93e6a1:150814fecb6:b06	Membership
7b93e6a1:150814fecb6:7d8	Membership
7b93e6a1:150814fecb6:2022	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	City
7b93e6a1:150814fecb6:734	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Province
7b93e6a1:150814fecb6:18b1	Membership
7b93e6a1:150814fecb6:d66	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	Estuary
7b93e6a1:150814fecb6:1ee3	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Mountains
7b93e6a1:150814fecb6:11bc	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Province
7b93e6a1:150814fecb6:2282	BelievedBy
7b93e6a1:150814fecb6:ab2	Membership
7b93e6a1:150814fecb6:994	Membership
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	Estuary
7b93e6a1:150814fecb6:-12e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	City
7b93e6a1:150814fecb6:2616	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	City
7b93e6a1:150814fecb6:6e0	Membership
7b93e6a1:150814fecb6:29f	Membership
7b93e6a1:150814fecb6:-38e	Membership
7b93e6a1:150814fecb6:170c	Membership
7b93e6a1:150814fecb6:25c2	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Tajik/	Language
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	Water
7b93e6a1:150814fecb6:1d3e	Membership
7b93e6a1:150814fecb6:1038	Membership
7b93e6a1:150814fecb6:5df	Membership
7b93e6a1:150814fecb6:196c	Membership
7b93e6a1:150814fecb6:53b	Membership
7b93e6a1:150814fecb6:1f9e	Membership
7b93e6a1:150814fecb6:-6ce	Border
7b93e6a1:150814fecb6:1298	Membership
7b93e6a1:150814fecb6:b6d	Membership
http://www.semwebtech.org/mondial/10/estuary/Tambo/	Estuary
7b93e6a1:150814fecb6:1cea	Membership
7b93e6a1:150814fecb6:-62a	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Province
7b93e6a1:150814fecb6:79b	Membership
7b93e6a1:150814fecb6:241d	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	City
7b93e6a1:150814fecb6:15d8	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	City
7b93e6a1:150814fecb6:267d	EthnicProportion
7b93e6a1:150814fecb6:ead	Membership
7b93e6a1:150814fecb6:1a7	Membership
7b93e6a1:150814fecb6:1534	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Province
7b93e6a1:150814fecb6:103	Membership
7b93e6a1:150814fecb6:1b66	Membership
7b93e6a1:150814fecb6:1794	Membership
http://www.semwebtech.org/mondial/10/estuary/Indus/	Estuary
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Province
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	Water
7b93e6a1:150814fecb6:363	Membership
7b93e6a1:150814fecb6:14e0	Membership
7b93e6a1:150814fecb6:-4f6	Membership
7b93e6a1:150814fecb6:109f	Membership
7b93e6a1:150814fecb6:bc	Membership
7b93e6a1:150814fecb6:-452	Membership
7b93e6a1:150814fecb6:22e9	BelievedBy
7b93e6a1:150814fecb6:d29	Membership
7b93e6a1:150814fecb6:1ea6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	EthnicGroup
7b93e6a1:150814fecb6:2245	BelievedBy
http://www.semwebtech.org/mondial/10/river/Suchona/	Water
7b93e6a1:150814fecb6:957	Membership
7b93e6a1:150814fecb6:1e02	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/AG/	Country
7b93e6a1:150814fecb6:f89	Membership
7b93e6a1:150814fecb6:6a3	Membership
7b93e6a1:150814fecb6:13df	Membership
7b93e6a1:150814fecb6:cd5	Membership
7b93e6a1:150814fecb6:133b	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Province
7b93e6a1:150814fecb6:21f1	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Province
7b93e6a1:150814fecb6:c31	Membership
http://www.semwebtech.org/mondial/10/language/Spanish/	Language
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Province
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	Water
http://www.semwebtech.org/mondial/10/source/Sanga/	Source
7b93e6a1:150814fecb6:159b	Membership
http://www.semwebtech.org/mondial/10/country/ES/	Country
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	City
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	Mountain
7b93e6a1:150814fecb6:e91	Membership
7b93e6a1:150814fecb6:192f	Membership
7b93e6a1:150814fecb6:16a	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Province
7b93e6a1:150814fecb6:-2fd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	City
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	City
7b93e6a1:150814fecb6:1cad	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	Water
http://www.semwebtech.org/mondial/10/organization/OPANAL/	Organization
7b93e6a1:150814fecb6:204c	Membership
7b93e6a1:150814fecb6:75e	Membership
7b93e6a1:150814fecb6:18db	Membership
http://www.semwebtech.org/mondial/10/estuary/Colorado/	Estuary
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	EthnicGroup
7b93e6a1:150814fecb6:4aa	Membership
7b93e6a1:150814fecb6:adc	Membership
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	Island
7b93e6a1:150814fecb6:-d6	Membership
7b93e6a1:150814fecb6:1163	Membership
7b93e6a1:150814fecb6:-179	Membership
7b93e6a1:150814fecb6:-32	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Province
7b93e6a1:150814fecb6:1b29	Membership
http://www.semwebtech.org/mondial/10/country/NL/	Country
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	Water
7b93e6a1:150814fecb6:1757	Membership
7b93e6a1:150814fecb6:25ec	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Kyushu/	Island
7b93e6a1:150814fecb6:1d89	Membership
7b93e6a1:150814fecb6:14a3	Membership
http://www.semwebtech.org/mondial/10/country/GUAM/	Country
7b93e6a1:150814fecb6:326	Membership
http://www.semwebtech.org/mondial/10/country/PR/	Country
7b93e6a1:150814fecb6:-4b9	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Province
7b93e6a1:150814fecb6:1ad5	Membership
7b93e6a1:150814fecb6:-415	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	City
7b93e6a1:150814fecb6:-b	Membership
7b93e6a1:150814fecb6:586	Membership
7b93e6a1:150814fecb6:1a31	Membership
7b93e6a1:150814fecb6:2208	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	EthnicGroup
7b93e6a1:150814fecb6:2d2	Membership
7b93e6a1:150814fecb6:-675	Border
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	City
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Mountains
7b93e6a1:150814fecb6:1c91	Membership
7b93e6a1:150814fecb6:-3c1	Membership
7b93e6a1:150814fecb6:2468	EthnicProportion
7b93e6a1:150814fecb6:21b4	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	Mountain
http://www.semwebtech.org/mondial/10/river/Ischim/	Water
7b93e6a1:150814fecb6:8c6	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	City
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	City
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Province
7b93e6a1:150814fecb6:2110	Membership
7b93e6a1:150814fecb6:ef8	Membership
7b93e6a1:150814fecb6:822	Membership
7b93e6a1:150814fecb6:155e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	City
7b93e6a1:150814fecb6:e54	Membership
7b93e6a1:150814fecb6:1fd1	Membership
7b93e6a1:150814fecb6:12d	Membership
7b93e6a1:150814fecb6:12aa	Membership
7b93e6a1:150814fecb6:2370	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Province
7b93e6a1:150814fecb6:ba0	Membership
7b93e6a1:150814fecb6:-21c	Membership
7b93e6a1:150814fecb6:38d	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	City
7b93e6a1:150814fecb6:200f	Membership
7b93e6a1:150814fecb6:-47c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	City
7b93e6a1:150814fecb6:63	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Province
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	Source
7b93e6a1:150814fecb6:26b0	EthnicProportion
7b93e6a1:150814fecb6:226f	BelievedBy
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	City
7b93e6a1:150814fecb6:1e2c	Membership
7b93e6a1:150814fecb6:1126	Membership
7b93e6a1:150814fecb6:6cd	Membership
http://www.semwebtech.org/mondial/10/mountain/Kongur/	Mountain
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	Mountain
7b93e6a1:150814fecb6:cff	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	City
7b93e6a1:150814fecb6:-7bc	Encompassed
7b93e6a1:150814fecb6:1386	Membership
http://www.semwebtech.org/mondial/10/river/Katun/	Water
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	EthnicGroup
7b93e6a1:150814fecb6:c5b	Membership
7b93e6a1:150814fecb6:25af	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	City
7b93e6a1:150814fecb6:10d2	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Province
7b93e6a1:150814fecb6:250b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	City
7b93e6a1:150814fecb6:549	Membership
7b93e6a1:150814fecb6:16c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	EthnicGroup
7b93e6a1:150814fecb6:1cf8	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	City
7b93e6a1:150814fecb6:1622	Membership
7b93e6a1:150814fecb6:-638	Border
7b93e6a1:150814fecb6:2097	Membership
7b93e6a1:150814fecb6:1c54	Membership
7b93e6a1:150814fecb6:4f5	Membership
7b93e6a1:150814fecb6:1882	Membership
http://www.semwebtech.org/mondial/10/continent/Europe/	Continent
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	City
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	City
7b93e6a1:150814fecb6:451	Membership
7b93e6a1:150814fecb6:-5e4	Border
7b93e6a1:150814fecb6:118d	Membership
7b93e6a1:150814fecb6:a83	Membership
7b93e6a1:150814fecb6:-5c	Membership
7b93e6a1:150814fecb6:-540	Membership
7b93e6a1:150814fecb6:23d7	BelievedBy
7b93e6a1:150814fecb6:e17	Membership
http://www.semwebtech.org/mondial/10/organization/UNSC/	Organization
7b93e6a1:150814fecb6:2333	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Province
7b93e6a1:150814fecb6:14cd	Membership
7b93e6a1:150814fecb6:2593	EthnicProportion
7b93e6a1:150814fecb6:dc3	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	City
7b93e6a1:150814fecb6:1aff	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	City
7b93e6a1:150814fecb6:-43f	Membership
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	Mountain
7b93e6a1:150814fecb6:26	Membership
7b93e6a1:150814fecb6:9f1	Membership
7b93e6a1:150814fecb6:1a5b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Province
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	City
7b93e6a1:150814fecb6:2fc	Membership
7b93e6a1:150814fecb6:-69f	Border
7b93e6a1:150814fecb6:-3eb	Membership
7b93e6a1:150814fecb6:1349	Membership
7b93e6a1:150814fecb6:21de	SpokenBy
7b93e6a1:150814fecb6:c1e	Membership
7b93e6a1:150814fecb6:213a	SpokenBy
7b93e6a1:150814fecb6:84c	Membership
7b93e6a1:150814fecb6:e7e	Membership
7b93e6a1:150814fecb6:1ffb	Membership
7b93e6a1:150814fecb6:178	Membership
7b93e6a1:150814fecb6:12f5	Membership
7b93e6a1:150814fecb6:239a	BelievedBy
7b93e6a1:150814fecb6:bca	Membership
7b93e6a1:150814fecb6:1251	Membership
7b93e6a1:150814fecb6:-267	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	City
http://www.semwebtech.org/mondial/10/estuary/Iller/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	City
7b93e6a1:150814fecb6:1c17	Membership
7b93e6a1:150814fecb6:18e9	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	City
7b93e6a1:150814fecb6:8d	Membership
7b93e6a1:150814fecb6:5e3	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	City
7b93e6a1:150814fecb6:4b8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	EthnicGroup
7b93e6a1:150814fecb6:1845	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	City
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	City
7b93e6a1:150814fecb6:414	Membership
7b93e6a1:150814fecb6:1e77	Membership
7b93e6a1:150814fecb6:-5a7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Province
http://www.semwebtech.org/mondial/10/island/Hainan/	Island
7b93e6a1:150814fecb6:a46	Membership
7b93e6a1:150814fecb6:1bc3	Membership
7b93e6a1:150814fecb6:-1f	Membership
7b93e6a1:150814fecb6:-503	Membership
http://www.semwebtech.org/mondial/10/island/Sicilia/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	City
7b93e6a1:150814fecb6:674	Membership
7b93e6a1:150814fecb6:17f1	Membership
7b93e6a1:150814fecb6:3c0	Membership
7b93e6a1:150814fecb6:-763	Encompassed
7b93e6a1:150814fecb6:10fc	Membership
http://www.semwebtech.org/mondial/10/island/Samos/	Island
7b93e6a1:150814fecb6:2556	EthnicProportion
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	City
7b93e6a1:150814fecb6:22a2	BelievedBy
7b93e6a1:150814fecb6:9b4	Membership
7b93e6a1:150814fecb6:1a1e	Membership
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	Islands
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	City
7b93e6a1:150814fecb6:fe6	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Province
7b93e6a1:150814fecb6:910	Membership
7b93e6a1:150814fecb6:2bf	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	City
7b93e6a1:150814fecb6:164c	Membership
7b93e6a1:150814fecb6:f42	Membership
7b93e6a1:150814fecb6:1c7e	Membership
7b93e6a1:150814fecb6:21b	Membership
7b93e6a1:150814fecb6:-3ae	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	City
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	Mountain
http://www.semwebtech.org/mondial/10/island/Gomera/	Island
7b93e6a1:150814fecb6:-30a	Membership
http://www.semwebtech.org/mondial/10/desert/Ordos/	Desert
7b93e6a1:150814fecb6:47b	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	City
7b93e6a1:150814fecb6:80f	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Province
7b93e6a1:150814fecb6:-56a	Membership
7b93e6a1:150814fecb6:1fbe	Membership
7b93e6a1:150814fecb6:235d	BelievedBy
7b93e6a1:150814fecb6:12b8	Membership
http://www.semwebtech.org/mondial/10/island/SaintLucia/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	City
7b93e6a1:150814fecb6:1f1a	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Religion
7b93e6a1:150814fecb6:1214	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	EthnicGroup
7b93e6a1:150814fecb6:7bb	Membership
7b93e6a1:150814fecb6:ded	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Province
7b93e6a1:150814fecb6:1474	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Province
7b93e6a1:150814fecb6:1808	Membership
7b93e6a1:150814fecb6:11c0	Membership
7b93e6a1:150814fecb6:-1d6	Membership
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	Mountains
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	City
7b93e6a1:150814fecb6:-132	Membership
7b93e6a1:150814fecb6:a09	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	City
7b93e6a1:150814fecb6:637	Membership
7b93e6a1:150814fecb6:17b4	Membership
7b93e6a1:150814fecb6:-392	Membership
7b93e6a1:150814fecb6:1de6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	City
7b93e6a1:150814fecb6:c69	Membership
7b93e6a1:150814fecb6:1710	Membership
7b93e6a1:150814fecb6:10bf	Membership
7b93e6a1:150814fecb6:-726	Encompassed
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	City
7b93e6a1:150814fecb6:2185	SpokenBy
7b93e6a1:150814fecb6:897	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Province
7b93e6a1:150814fecb6:1d42	Membership
7b93e6a1:150814fecb6:101b	Membership
7b93e6a1:150814fecb6:2519	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	City
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	Source
7b93e6a1:150814fecb6:1970	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	City
7b93e6a1:150814fecb6:-6d2	Border
7b93e6a1:150814fecb6:127b	Membership
7b93e6a1:150814fecb6:fa9	Membership
7b93e6a1:150814fecb6:b71	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	City
7b93e6a1:150814fecb6:160f	Membership
7b93e6a1:150814fecb6:24c5	EthnicProportion
7b93e6a1:150814fecb6:f05	Membership
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	Island
7b93e6a1:150814fecb6:2421	BelievedBy
7b93e6a1:150814fecb6:186f	Membership
7b93e6a1:150814fecb6:43e	Membership
7b93e6a1:150814fecb6:15bb	Membership
7b93e6a1:150814fecb6:2681	EthnicProportion
7b93e6a1:150814fecb6:eb1	Membership
7b93e6a1:150814fecb6:1bed	Membership
7b93e6a1:150814fecb6:-52d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	City
7b93e6a1:150814fecb6:69e	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	City
http://www.semwebtech.org/mondial/10/river/Busira/	Water
7b93e6a1:150814fecb6:3ea	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	City
7b93e6a1:150814fecb6:-78d	Encompassed
7b93e6a1:150814fecb6:c0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	City
7b93e6a1:150814fecb6:22cc	BelievedBy
7b93e6a1:150814fecb6:1437	Membership
7b93e6a1:150814fecb6:d0c	Membership
http://www.semwebtech.org/mondial/10/organization/ICJ/	Organization
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	City
7b93e6a1:150814fecb6:9de	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	City
7b93e6a1:150814fecb6:1a69	Membership
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	Source
7b93e6a1:150814fecb6:93a	Membership
7b93e6a1:150814fecb6:1697	Membership
http://www.semwebtech.org/mondial/10/island/Anguilla/	Island
http://www.semwebtech.org/mondial/10/mountain/Pico/	Mountain
7b93e6a1:150814fecb6:f6c	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	City
7b93e6a1:150814fecb6:266	Membership
7b93e6a1:150814fecb6:13e3	Membership
7b93e6a1:150814fecb6:-3f9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	City
7b93e6a1:150814fecb6:-355	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	City
7b93e6a1:150814fecb6:1da9	Membership
7b93e6a1:150814fecb6:2148	SpokenBy
7b93e6a1:150814fecb6:1d05	Membership
7b93e6a1:150814fecb6:19d7	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Province
http://www.semwebtech.org/mondial/10/source/Glomma/	Source
7b93e6a1:150814fecb6:d	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	City
7b93e6a1:150814fecb6:5a6	Membership
7b93e6a1:150814fecb6:1933	Membership
7b93e6a1:150814fecb6:bd8	Membership
7b93e6a1:150814fecb6:502	Membership
7b93e6a1:150814fecb6:1f65	Membership
7b93e6a1:150814fecb6:123e	Membership
7b93e6a1:150814fecb6:20f4	Membership
http://www.semwebtech.org/mondial/10/river/Kama/	Water
7b93e6a1:150814fecb6:b34	Membership
7b93e6a1:150814fecb6:1cb1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	City
7b93e6a1:150814fecb6:2050	Membership
7b93e6a1:150814fecb6:762	Membership
7b93e6a1:150814fecb6:149e	Membership
7b93e6a1:150814fecb6:d94	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	City
7b93e6a1:150814fecb6:11ea	Membership
7b93e6a1:150814fecb6:ae0	Membership
7b93e6a1:150814fecb6:-15c	Membership
7b93e6a1:150814fecb6:2644	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	City
7b93e6a1:150814fecb6:1b0c	Membership
7b93e6a1:150814fecb6:17de	Membership
7b93e6a1:150814fecb6:3ad	Membership
7b93e6a1:150814fecb6:173a	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	City
7b93e6a1:150814fecb6:25f0	EthnicProportion
7b93e6a1:150814fecb6:1d6c	Membership
7b93e6a1:150814fecb6:1066	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Province
7b93e6a1:150814fecb6:199a	Membership
7b93e6a1:150814fecb6:16f4	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	City
7b93e6a1:150814fecb6:-6fc	Border
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Province
http://www.semwebtech.org/mondial/10/language/German/	Language
7b93e6a1:150814fecb6:b9b	Membership
7b93e6a1:150814fecb6:24ef	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	City
http://www.semwebtech.org/mondial/10/river/WesternMorava/	Water
7b93e6a1:150814fecb6:f2f	Membership
7b93e6a1:150814fecb6:229	Membership
7b93e6a1:150814fecb6:13a6	Membership
7b93e6a1:150814fecb6:244b	BelievedBy
7b93e6a1:150814fecb6:1302	Membership
7b93e6a1:150814fecb6:-318	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Province
7b93e6a1:150814fecb6:489	Membership
http://www.semwebtech.org/mondial/10/country/B/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Province
7b93e6a1:150814fecb6:edb	Membership
7b93e6a1:150814fecb6:1d5	Membership
7b93e6a1:150814fecb6:1562	Membership
7b93e6a1:150814fecb6:-578	Membership
http://www.semwebtech.org/mondial/10/island/Nevis/	Island
7b93e6a1:150814fecb6:131	Membership
7b93e6a1:150814fecb6:1b94	Membership
7b93e6a1:150814fecb6:-2c4	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	City
7b93e6a1:150814fecb6:1f28	Membership
http://www.semwebtech.org/mondial/10/source/Dnepr/	Source
7b93e6a1:150814fecb6:-220	Membership
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	Water
7b93e6a1:150814fecb6:20b7	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	City
7b93e6a1:150814fecb6:7c9	Membership
7b93e6a1:150814fecb6:391	Membership
http://www.semwebtech.org/mondial/10/organization/SACEP/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	City
7b93e6a1:150814fecb6:2013	Membership
7b93e6a1:150814fecb6:ea	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	City
7b93e6a1:150814fecb6:725	Membership
7b93e6a1:150814fecb6:18a2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	City
7b93e6a1:150814fecb6:-480	Membership
7b93e6a1:150814fecb6:2273	BelievedBy
7b93e6a1:150814fecb6:d57	Membership
7b93e6a1:150814fecb6:1ed4	Membership
7b93e6a1:150814fecb6:11ad	Membership
7b93e6a1:150814fecb6:-814	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	City
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Province
7b93e6a1:150814fecb6:aa3	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	City
7b93e6a1:150814fecb6:985	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	City
7b93e6a1:150814fecb6:1e30	Membership
7b93e6a1:150814fecb6:-11f	Membership
7b93e6a1:150814fecb6:2607	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	City
7b93e6a1:150814fecb6:6d1	Membership
7b93e6a1:150814fecb6:-7c0	Encompassed
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	City
http://www.semwebtech.org/mondial/10/country/GNB/	Country
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	City
7b93e6a1:150814fecb6:-37f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	City
7b93e6a1:150814fecb6:25b3	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Mohilla/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	City
7b93e6a1:150814fecb6:1d2f	Membership
7b93e6a1:150814fecb6:1029	Membership
7b93e6a1:150814fecb6:195d	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	City
http://www.semwebtech.org/mondial/10/island/Samar/	Island
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Province
7b93e6a1:150814fecb6:1f8f	Membership
7b93e6a1:150814fecb6:52c	Membership
7b93e6a1:150814fecb6:1289	Membership
7b93e6a1:150814fecb6:-6bf	Border
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	City
7b93e6a1:150814fecb6:b5e	Membership
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	EthnicGroup
7b93e6a1:150814fecb6:1cdb	Membership
7b93e6a1:150814fecb6:-61b	Border
7b93e6a1:150814fecb6:207a	Membership
7b93e6a1:150814fecb6:78c	Membership
7b93e6a1:150814fecb6:240e	BelievedBy
http://www.semwebtech.org/mondial/10/river/Dalaelv/	Water
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Province
http://www.semwebtech.org/mondial/10/river/Lualaba/	Water
7b93e6a1:150814fecb6:15c9	Membership
7b93e6a1:150814fecb6:1191	Membership
7b93e6a1:150814fecb6:266e	EthnicProportion
7b93e6a1:150814fecb6:-60	Membership
7b93e6a1:150814fecb6:1525	Membership
7b93e6a1:150814fecb6:23ba	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Province
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Province
7b93e6a1:150814fecb6:1b57	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	City
http://www.semwebtech.org/mondial/10/river/Hwangho/	Water
7b93e6a1:150814fecb6:3f8	Membership
7b93e6a1:150814fecb6:1785	Membership
http://www.semwebtech.org/mondial/10/organization/Mercosur/	Organization
7b93e6a1:150814fecb6:354	Membership
7b93e6a1:150814fecb6:14d1	Membership
7b93e6a1:150814fecb6:-4e7	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Province
7b93e6a1:150814fecb6:ad	Membership
7b93e6a1:150814fecb6:-443	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Province
7b93e6a1:150814fecb6:2236	BelievedBy
http://www.semwebtech.org/mondial/10/source/RioMadeira/	Source
7b93e6a1:150814fecb6:948	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Province
7b93e6a1:150814fecb6:2496	EthnicProportion
7b93e6a1:150814fecb6:cc6	Membership
7b93e6a1:150814fecb6:132c	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	City
7b93e6a1:150814fecb6:21e2	SpokenBy
7b93e6a1:150814fecb6:c22	Membership
7b93e6a1:150814fecb6:8f4	Membership
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	City
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	City
7b93e6a1:150814fecb6:850	Membership
7b93e6a1:150814fecb6:1ff	Membership
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	Mountain
7b93e6a1:150814fecb6:158c	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	City
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	Water
7b93e6a1:150814fecb6:e82	Membership
7b93e6a1:150814fecb6:15b	Membership
7b93e6a1:150814fecb6:-2ee	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	City
http://www.semwebtech.org/mondial/10/organization/UNHCR/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	City
7b93e6a1:150814fecb6:-24a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	City
7b93e6a1:150814fecb6:203d	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	City
7b93e6a1:150814fecb6:74f	Membership
7b93e6a1:150814fecb6:18cc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Province
http://www.semwebtech.org/mondial/10/country/MYA/	Country
7b93e6a1:150814fecb6:91	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Province
7b93e6a1:150814fecb6:1efe	Membership
7b93e6a1:150814fecb6:11f8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	City
7b93e6a1:150814fecb6:229d	BelievedBy
7b93e6a1:150814fecb6:1e5a	Membership
7b93e6a1:150814fecb6:acd	Membership
7b93e6a1:150814fecb6:1154	Membership
7b93e6a1:150814fecb6:-c7	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	City
7b93e6a1:150814fecb6:6fb	Membership
7b93e6a1:150814fecb6:-23	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	City
7b93e6a1:150814fecb6:-7ea	Encompassed
http://www.semwebtech.org/mondial/10/desert/Trarza/	Desert
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Province
7b93e6a1:150814fecb6:1748	Membership
7b93e6a1:150814fecb6:25dd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Province
http://www.semwebtech.org/mondial/10/source/Arkansas/	Source
7b93e6a1:150814fecb6:317	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	City
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Province
7b93e6a1:150814fecb6:1ac6	Membership
7b93e6a1:150814fecb6:-406	Membership
http://www.semwebtech.org/mondial/10/source/Ucayali/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	EthnicGroup
7b93e6a1:150814fecb6:577	Membership
7b93e6a1:150814fecb6:1a22	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	City
7b93e6a1:150814fecb6:2c3	Membership
7b93e6a1:150814fecb6:1650	Membership
7b93e6a1:150814fecb6:-666	Border
7b93e6a1:150814fecb6:1c82	Membership
7b93e6a1:150814fecb6:-3b2	Membership
7b93e6a1:150814fecb6:2459	EthnicProportion
7b93e6a1:150814fecb6:21a5	SpokenBy
7b93e6a1:150814fecb6:8b7	Membership
7b93e6a1:150814fecb6:2101	Membership
7b93e6a1:150814fecb6:ee9	Membership
7b93e6a1:150814fecb6:813	Membership
7b93e6a1:150814fecb6:154f	Membership
7b93e6a1:150814fecb6:-8a	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	City
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	Island
7b93e6a1:150814fecb6:e45	Membership
7b93e6a1:150814fecb6:1fc2	Membership
7b93e6a1:150814fecb6:11e	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	City
7b93e6a1:150814fecb6:2361	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	City
7b93e6a1:150814fecb6:-20d	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	City
7b93e6a1:150814fecb6:37e	Membership
7b93e6a1:150814fecb6:14fb	Membership
7b93e6a1:150814fecb6:f8	Membership
7b93e6a1:150814fecb6:df1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Province
7b93e6a1:150814fecb6:-46d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	City
7b93e6a1:150814fecb6:54	Membership
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	Mountain
7b93e6a1:150814fecb6:26a1	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/Jewish/	Religion
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Province
7b93e6a1:150814fecb6:1e1d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	City
7b93e6a1:150814fecb6:1117	Membership
7b93e6a1:150814fecb6:6be	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	City
http://www.semwebtech.org/mondial/10/estuary/Donau/	Estuary
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	City
7b93e6a1:150814fecb6:61a	Membership
7b93e6a1:150814fecb6:-7ad	Encompassed
7b93e6a1:150814fecb6:1377	Membership
7b93e6a1:150814fecb6:c4c	Membership
http://www.semwebtech.org/mondial/10/river/March/	Water
7b93e6a1:150814fecb6:10c3	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	City
http://www.semwebtech.org/mondial/10/country/LT/	Country
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	Mountain
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	City
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	City
7b93e6a1:150814fecb6:87a	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Province
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	City
http://www.semwebtech.org/mondial/10/river/Lech/	Water
http://www.semwebtech.org/mondial/10/country/NZ/	Country
7b93e6a1:150814fecb6:16b7	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	City
7b93e6a1:150814fecb6:-295	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	EthnicGroup
7b93e6a1:150814fecb6:1ce9	Membership
7b93e6a1:150814fecb6:1613	Membership
7b93e6a1:150814fecb6:-629	Border
7b93e6a1:150814fecb6:2088	Membership
7b93e6a1:150814fecb6:1c45	Membership
7b93e6a1:150814fecb6:4e6	Membership
7b93e6a1:150814fecb6:1873	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	City
7b93e6a1:150814fecb6:442	Membership
7b93e6a1:150814fecb6:-5d5	Membership
7b93e6a1:150814fecb6:117e	Membership
7b93e6a1:150814fecb6:a74	Membership
7b93e6a1:150814fecb6:1bf1	Membership
7b93e6a1:150814fecb6:-4d	Membership
7b93e6a1:150814fecb6:-531	Membership
7b93e6a1:150814fecb6:23c8	BelievedBy
7b93e6a1:150814fecb6:e08	Membership
7b93e6a1:150814fecb6:2324	BelievedBy
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	City
7b93e6a1:150814fecb6:-791	Encompassed
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	City
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	City
http://www.semwebtech.org/mondial/10/country/WS/	Country
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	City
7b93e6a1:150814fecb6:14be	Membership
7b93e6a1:150814fecb6:2584	EthnicProportion
7b93e6a1:150814fecb6:db4	Membership
7b93e6a1:150814fecb6:22d0	BelievedBy
7b93e6a1:150814fecb6:141a	Membership
7b93e6a1:150814fecb6:d10	Membership
7b93e6a1:150814fecb6:17	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Province
7b93e6a1:150814fecb6:9e2	Membership
7b93e6a1:150814fecb6:1a4c	Membership
7b93e6a1:150814fecb6:167a	Membership
7b93e6a1:150814fecb6:2ed	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	City
7b93e6a1:150814fecb6:f70	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Province
7b93e6a1:150814fecb6:-3dc	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Province
7b93e6a1:150814fecb6:21cf	SpokenBy
7b93e6a1:150814fecb6:c0f	Membership
7b93e6a1:150814fecb6:212b	SpokenBy
7b93e6a1:150814fecb6:83d	Membership
7b93e6a1:150814fecb6:19ba	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	City
7b93e6a1:150814fecb6:e6f	Membership
7b93e6a1:150814fecb6:1fec	Membership
7b93e6a1:150814fecb6:169	Membership
7b93e6a1:150814fecb6:12e6	Membership
7b93e6a1:150814fecb6:238b	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	EthnicGroup
7b93e6a1:150814fecb6:bbb	Membership
7b93e6a1:150814fecb6:1242	Membership
7b93e6a1:150814fecb6:-258	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	City
http://www.semwebtech.org/mondial/10/country/GBG/	Country
7b93e6a1:150814fecb6:1c08	Membership
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Province
7b93e6a1:150814fecb6:7e	Membership
7b93e6a1:150814fecb6:4a9	Membership
7b93e6a1:150814fecb6:1836	Membership
7b93e6a1:150814fecb6:405	Membership
7b93e6a1:150814fecb6:1e68	Membership
7b93e6a1:150814fecb6:-160	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	City
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	Source
7b93e6a1:150814fecb6:a37	Membership
7b93e6a1:150814fecb6:1bb4	Membership
7b93e6a1:150814fecb6:1b10	Membership
7b93e6a1:150814fecb6:665	Membership
7b93e6a1:150814fecb6:17e2	Membership
7b93e6a1:150814fecb6:-7f8	Encompassed
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	Estuary
7b93e6a1:150814fecb6:c97	Membership
7b93e6a1:150814fecb6:3b1	Membership
http://www.semwebtech.org/mondial/10/estuary/Cuango/	Estuary
7b93e6a1:150814fecb6:-754	Encompassed
7b93e6a1:150814fecb6:10ed	Membership
http://www.semwebtech.org/mondial/10/language/Kazakh/	Language
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	City
7b93e6a1:150814fecb6:1d70	Membership
7b93e6a1:150814fecb6:-4a0	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	City
7b93e6a1:150814fecb6:2547	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	City
7b93e6a1:150814fecb6:9a5	Membership
7b93e6a1:150814fecb6:1a0f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	City
7b93e6a1:150814fecb6:fd7	Membership
7b93e6a1:150814fecb6:901	Membership
7b93e6a1:150814fecb6:163d	Membership
7b93e6a1:150814fecb6:24f3	EthnicProportion
7b93e6a1:150814fecb6:f33	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	City
7b93e6a1:150814fecb6:20c	Membership
7b93e6a1:150814fecb6:1c6f	Membership
7b93e6a1:150814fecb6:189d	Membership
7b93e6a1:150814fecb6:46c	Membership
http://www.semwebtech.org/mondial/10/source/Morava/	Source
7b93e6a1:150814fecb6:-5ff	Border
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	City
7b93e6a1:150814fecb6:a9e	Membership
7b93e6a1:150814fecb6:-98	Membership
7b93e6a1:150814fecb6:-55b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	City
7b93e6a1:150814fecb6:1faf	Membership
7b93e6a1:150814fecb6:12a9	Membership
7b93e6a1:150814fecb6:234e	BelievedBy
http://www.semwebtech.org/mondial/10/organization/UNWTO/	Organization
7b93e6a1:150814fecb6:1f0b	Membership
7b93e6a1:150814fecb6:1205	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	City
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	EthnicGroup
7b93e6a1:150814fecb6:7ac	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	City
7b93e6a1:150814fecb6:dde	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Province
7b93e6a1:150814fecb6:1465	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	City
7b93e6a1:150814fecb6:22fa	BelievedBy
7b93e6a1:150814fecb6:d3a	Membership
7b93e6a1:150814fecb6:1a97	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	City
7b93e6a1:150814fecb6:11b1	Membership
7b93e6a1:150814fecb6:-1c7	Membership
7b93e6a1:150814fecb6:-123	Membership
7b93e6a1:150814fecb6:f9a	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Province
http://www.semwebtech.org/mondial/10/river/Murat/	Water
7b93e6a1:150814fecb6:294	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	City
7b93e6a1:150814fecb6:628	Membership
7b93e6a1:150814fecb6:17a5	Membership
7b93e6a1:150814fecb6:-383	Membership
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	Islands
7b93e6a1:150814fecb6:1dd7	Membership
7b93e6a1:150814fecb6:1701	Membership
7b93e6a1:150814fecb6:-717	Border
7b93e6a1:150814fecb6:2176	SpokenBy
7b93e6a1:150814fecb6:888	Membership
7b93e6a1:150814fecb6:1d33	Membership
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	City
7b93e6a1:150814fecb6:100c	Membership
7b93e6a1:150814fecb6:5d4	Membership
7b93e6a1:150814fecb6:1961	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Province
7b93e6a1:150814fecb6:1f93	Membership
7b93e6a1:150814fecb6:530	Membership
7b93e6a1:150814fecb6:126c	Membership
7b93e6a1:150814fecb6:-6c3	Border
http://www.semwebtech.org/mondial/10/country/RSM/	Country
7b93e6a1:150814fecb6:b62	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	City
7b93e6a1:150814fecb6:24b6	EthnicProportion
7b93e6a1:150814fecb6:790	Membership
7b93e6a1:150814fecb6:2412	BelievedBy
7b93e6a1:150814fecb6:42f	Membership
7b93e6a1:150814fecb6:15ac	Membership
7b93e6a1:150814fecb6:-18a	Membership
7b93e6a1:150814fecb6:2672	EthnicProportion
7b93e6a1:150814fecb6:ea2	Membership
7b93e6a1:150814fecb6:1bde	Membership
7b93e6a1:150814fecb6:-51e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	EthnicGroup
7b93e6a1:150814fecb6:68f	Membership
http://www.semwebtech.org/mondial/10/estuary/Volta/	Estuary
7b93e6a1:150814fecb6:1b3a	Membership
7b93e6a1:150814fecb6:3db	Membership
7b93e6a1:150814fecb6:-77e	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Province
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	Islands
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	City
http://www.semwebtech.org/mondial/10/source/Narva/	Source
7b93e6a1:150814fecb6:1d9a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Province
7b93e6a1:150814fecb6:-4ca	Membership
7b93e6a1:150814fecb6:1094	Membership
7b93e6a1:150814fecb6:b1	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	City
7b93e6a1:150814fecb6:1428	Membership
http://www.semwebtech.org/mondial/10/river/YukonRiver/	Water
7b93e6a1:150814fecb6:22bd	BelievedBy
http://www.semwebtech.org/mondial/10/island/Sardegna/	Island
7b93e6a1:150814fecb6:9cf	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	City
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	City
7b93e6a1:150814fecb6:92b	Membership
http://www.semwebtech.org/mondial/10/river/Chatanga/	Water
7b93e6a1:150814fecb6:1688	Membership
7b93e6a1:150814fecb6:f5d	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	City
7b93e6a1:150814fecb6:257	Membership
7b93e6a1:150814fecb6:13d4	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	City
7b93e6a1:150814fecb6:1330	Membership
7b93e6a1:150814fecb6:-346	Membership
7b93e6a1:150814fecb6:2139	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	City
7b93e6a1:150814fecb6:19c8	Membership
7b93e6a1:150814fecb6:1590	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	EthnicGroup
7b93e6a1:150814fecb6:1924	Membership
7b93e6a1:150814fecb6:-2f2	Membership
7b93e6a1:150814fecb6:2399	BelievedBy
7b93e6a1:150814fecb6:bc9	Membership
7b93e6a1:150814fecb6:1f56	Membership
7b93e6a1:150814fecb6:122f	Membership
7b93e6a1:150814fecb6:20e5	Membership
7b93e6a1:150814fecb6:b25	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	City
7b93e6a1:150814fecb6:7f7	Membership
7b93e6a1:150814fecb6:1ca2	Membership
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	City
7b93e6a1:150814fecb6:2041	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	City
7b93e6a1:150814fecb6:753	Membership
7b93e6a1:150814fecb6:18d0	Membership
7b93e6a1:150814fecb6:148f	Membership
7b93e6a1:150814fecb6:d85	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Province
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	Mountain
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	Source
7b93e6a1:150814fecb6:11db	Membership
http://www.semwebtech.org/mondial/10/source/Missouri/	Source
7b93e6a1:150814fecb6:ad1	Membership
7b93e6a1:150814fecb6:-aa	Membership
7b93e6a1:150814fecb6:-14d	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	City
7b93e6a1:150814fecb6:2635	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	Province
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	Mountain
7b93e6a1:150814fecb6:17cf	Membership
7b93e6a1:150814fecb6:172b	Membership
7b93e6a1:150814fecb6:25e1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	City
7b93e6a1:150814fecb6:1d5d	Membership
7b93e6a1:150814fecb6:1057	Membership
7b93e6a1:150814fecb6:5fe	Membership
7b93e6a1:150814fecb6:198b	Membership
http://www.semwebtech.org/mondial/10/country/IR/	Country
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	Water
7b93e6a1:150814fecb6:55a	Membership
7b93e6a1:150814fecb6:-6ed	Border
http://www.semwebtech.org/mondial/10/country/SSD/	Country
7b93e6a1:150814fecb6:b8c	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	City
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	City
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	Water
7b93e6a1:150814fecb6:243c	BelievedBy
7b93e6a1:150814fecb6:-309	Membership
http://www.semwebtech.org/mondial/10/island/Panarea/	Island
7b93e6a1:150814fecb6:15f7	Membership
7b93e6a1:150814fecb6:269c	EthnicProportion
7b93e6a1:150814fecb6:ecc	Membership
7b93e6a1:150814fecb6:1553	Membership
7b93e6a1:150814fecb6:1c6	Membership
7b93e6a1:150814fecb6:-569	Membership
http://www.semwebtech.org/mondial/10/country/PE/	Country
http://www.semwebtech.org/mondial/10/language/Tongan/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	City
7b93e6a1:150814fecb6:122	Membership
7b93e6a1:150814fecb6:1b85	Membership
7b93e6a1:150814fecb6:-2b5	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Province
7b93e6a1:150814fecb6:1f19	Membership
7b93e6a1:150814fecb6:-211	Membership
7b93e6a1:150814fecb6:20a8	Membership
7b93e6a1:150814fecb6:382	Membership
7b93e6a1:150814fecb6:db	Membership
7b93e6a1:150814fecb6:2004	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	City
7b93e6a1:150814fecb6:716	Membership
http://www.semwebtech.org/mondial/10/island/Mindanao/	Island
7b93e6a1:150814fecb6:-471	Membership
7b93e6a1:150814fecb6:d48	Membership
7b93e6a1:150814fecb6:1ec5	Membership
7b93e6a1:150814fecb6:-805	Encompassed
7b93e6a1:150814fecb6:2264	BelievedBy
7b93e6a1:150814fecb6:976	Membership
7b93e6a1:150814fecb6:1e21	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Province
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	City
7b93e6a1:150814fecb6:6c2	Membership
7b93e6a1:150814fecb6:13fe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	City
7b93e6a1:150814fecb6:cf4	Membership
7b93e6a1:150814fecb6:-7b1	Encompassed
7b93e6a1:150814fecb6:135a	Membership
7b93e6a1:150814fecb6:c50	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Province
7b93e6a1:150814fecb6:25a4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	EthnicGroup
7b93e6a1:150814fecb6:2500	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Hokkaido/	Island
7b93e6a1:150814fecb6:194e	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	City
7b93e6a1:150814fecb6:51d	Membership
7b93e6a1:150814fecb6:b4f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	Province
7b93e6a1:150814fecb6:1ccc	Membership
7b93e6a1:150814fecb6:-60c	Border
7b93e6a1:150814fecb6:206b	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	City
7b93e6a1:150814fecb6:77d	Membership
7b93e6a1:150814fecb6:18fa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Province
7b93e6a1:150814fecb6:afb	Membership
7b93e6a1:150814fecb6:-f5	Membership
7b93e6a1:150814fecb6:1182	Membership
7b93e6a1:150814fecb6:-198	Membership
7b93e6a1:150814fecb6:265f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	City
7b93e6a1:150814fecb6:-51	Membership
7b93e6a1:150814fecb6:1516	Membership
7b93e6a1:150814fecb6:23ab	BelievedBy
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	City
7b93e6a1:150814fecb6:1b48	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Province
7b93e6a1:150814fecb6:3e9	Membership
http://www.semwebtech.org/mondial/10/country/P/	Country
7b93e6a1:150814fecb6:1776	Membership
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	Organization
7b93e6a1:150814fecb6:345	Membership
7b93e6a1:150814fecb6:14c2	Membership
7b93e6a1:150814fecb6:-4d8	Membership
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	Estuary
7b93e6a1:150814fecb6:1af4	Membership
7b93e6a1:150814fecb6:-434	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Province
http://www.semwebtech.org/mondial/10/lake/Thunersee/	Water
7b93e6a1:150814fecb6:1a50	Membership
7b93e6a1:150814fecb6:2227	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	City
7b93e6a1:150814fecb6:939	Membership
7b93e6a1:150814fecb6:2f1	Membership
7b93e6a1:150814fecb6:-694	Border
7b93e6a1:150814fecb6:-3e0	Membership
7b93e6a1:150814fecb6:2487	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Mountains
7b93e6a1:150814fecb6:cb7	Membership
http://www.semwebtech.org/mondial/10/island/Jura/	Island
7b93e6a1:150814fecb6:131d	Membership
7b93e6a1:150814fecb6:21d3	SpokenBy
7b93e6a1:150814fecb6:c13	Membership
7b93e6a1:150814fecb6:8e5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	City
http://www.semwebtech.org/mondial/10/lake/LakeMead/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	City
7b93e6a1:150814fecb6:841	Membership
http://www.semwebtech.org/mondial/10/source/Tajo/	Source
7b93e6a1:150814fecb6:157d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	City
http://www.semwebtech.org/mondial/10/river/Pruth/	Water
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	City
7b93e6a1:150814fecb6:e73	Membership
7b93e6a1:150814fecb6:1ff0	Membership
7b93e6a1:150814fecb6:14c	Membership
7b93e6a1:150814fecb6:-2df	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	City
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	City
7b93e6a1:150814fecb6:-23b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Province
7b93e6a1:150814fecb6:202e	Membership
7b93e6a1:150814fecb6:18bd	Membership
7b93e6a1:150814fecb6:-49b	Membership
http://www.semwebtech.org/mondial/10/estuary/Reuss/	Estuary
7b93e6a1:150814fecb6:82	Membership
7b93e6a1:150814fecb6:1eef	Membership
7b93e6a1:150814fecb6:228e	BelievedBy
7b93e6a1:150814fecb6:11e9	Membership
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	Water
7b93e6a1:150814fecb6:1e4b	Membership
7b93e6a1:150814fecb6:abe	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	City
7b93e6a1:150814fecb6:-b8	Membership
7b93e6a1:150814fecb6:1145	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	City
7b93e6a1:150814fecb6:a1a	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Province
http://www.semwebtech.org/mondial/10/organization/WFTU/	Organization
7b93e6a1:150814fecb6:6ec	Membership
http://www.semwebtech.org/mondial/10/country/BEN/	Country
7b93e6a1:150814fecb6:-14	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	City
7b93e6a1:150814fecb6:-7db	Encompassed
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	City
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	City
7b93e6a1:150814fecb6:c7a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Province
7b93e6a1:150814fecb6:1739	Membership
7b93e6a1:150814fecb6:10f1	Membership
7b93e6a1:150814fecb6:25ce	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	Estuary
7b93e6a1:150814fecb6:308	Membership
http://www.semwebtech.org/mondial/10/religion/Anglican/	Religion
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Province
7b93e6a1:150814fecb6:252a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	City
7b93e6a1:150814fecb6:1ab7	Membership
7b93e6a1:150814fecb6:1999	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	City
7b93e6a1:150814fecb6:568	Membership
7b93e6a1:150814fecb6:1a13	Membership
7b93e6a1:150814fecb6:16e5	Membership
7b93e6a1:150814fecb6:fba	Membership
7b93e6a1:150814fecb6:2b4	Membership
7b93e6a1:150814fecb6:1641	Membership
7b93e6a1:150814fecb6:-657	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	City
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	City
http://www.semwebtech.org/mondial/10/source/Volga/	Source
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	Mountain
7b93e6a1:150814fecb6:210	Membership
7b93e6a1:150814fecb6:1c73	Membership
7b93e6a1:150814fecb6:-3a3	Membership
7b93e6a1:150814fecb6:8a8	Membership
7b93e6a1:150814fecb6:470	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Province
http://www.semwebtech.org/mondial/10/island/Kefallinia/	Island
7b93e6a1:150814fecb6:804	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	City
7b93e6a1:150814fecb6:-7b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	City
7b93e6a1:150814fecb6:23f6	BelievedBy
7b93e6a1:150814fecb6:e36	Membership
7b93e6a1:150814fecb6:1fb3	Membership
7b93e6a1:150814fecb6:10f	Membership
7b93e6a1:150814fecb6:2352	BelievedBy
7b93e6a1:150814fecb6:7b0	Membership
7b93e6a1:150814fecb6:36f	Membership
7b93e6a1:150814fecb6:14ec	Membership
7b93e6a1:150814fecb6:e9	Membership
7b93e6a1:150814fecb6:de2	Membership
7b93e6a1:150814fecb6:-45e	Membership
7b93e6a1:150814fecb6:45	Membership
7b93e6a1:150814fecb6:1a7a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Province
7b93e6a1:150814fecb6:-1aa	Membership
7b93e6a1:150814fecb6:1e0e	Membership
7b93e6a1:150814fecb6:1108	Membership
http://www.semwebtech.org/mondial/10/country/WEST/	Country
7b93e6a1:150814fecb6:6af	Membership
http://www.semwebtech.org/mondial/10/sea/JavaSea/	Water
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	City
7b93e6a1:150814fecb6:60b	Membership
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	Estuary
7b93e6a1:150814fecb6:1368	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	City
7b93e6a1:150814fecb6:21fd	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	Mountain
7b93e6a1:150814fecb6:c3d	Membership
7b93e6a1:150814fecb6:1dba	Membership
7b93e6a1:150814fecb6:10b4	Membership
7b93e6a1:150814fecb6:86b	Membership
7b93e6a1:150814fecb6:1010	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Province
7b93e6a1:150814fecb6:e9d	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	City
7b93e6a1:150814fecb6:197	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	City
7b93e6a1:150814fecb6:16a8	Membership
7b93e6a1:150814fecb6:1270	Membership
7b93e6a1:150814fecb6:-286	Membership
7b93e6a1:150814fecb6:1604	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Province
7b93e6a1:150814fecb6:2079	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	EthnicGroup
7b93e6a1:150814fecb6:1c36	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	City
7b93e6a1:150814fecb6:4d7	Membership
7b93e6a1:150814fecb6:1864	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	City
7b93e6a1:150814fecb6:1e96	Membership
7b93e6a1:150814fecb6:433	Membership
7b93e6a1:150814fecb6:15b0	Membership
7b93e6a1:150814fecb6:-5c6	Membership
7b93e6a1:150814fecb6:116f	Membership
http://www.semwebtech.org/mondial/10/language/Urdu/	Language
http://www.semwebtech.org/mondial/10/estuary/Thames/	Estuary
7b93e6a1:150814fecb6:a65	Membership
7b93e6a1:150814fecb6:1be2	Membership
7b93e6a1:150814fecb6:-3e	Membership
7b93e6a1:150814fecb6:-522	Membership
7b93e6a1:150814fecb6:23b9	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	City
7b93e6a1:150814fecb6:693	Membership
7b93e6a1:150814fecb6:2315	BelievedBy
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Province
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	Desert
7b93e6a1:150814fecb6:-782	Encompassed
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	City
http://www.semwebtech.org/mondial/10/country/BD/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	EthnicGroup
7b93e6a1:150814fecb6:14af	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	City
7b93e6a1:150814fecb6:2575	EthnicProportion
7b93e6a1:150814fecb6:da5	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Province
http://www.semwebtech.org/mondial/10/river/Cuango/	Water
7b93e6a1:150814fecb6:140b	Membership
7b93e6a1:150814fecb6:22c1	BelievedBy
7b93e6a1:150814fecb6:d01	Membership
7b93e6a1:150814fecb6:9d3	Membership
7b93e6a1:150814fecb6:1a3d	Membership
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	Island
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	City
7b93e6a1:150814fecb6:2de	Membership
7b93e6a1:150814fecb6:166b	Membership
7b93e6a1:150814fecb6:f61	Membership
7b93e6a1:150814fecb6:23a	Membership
7b93e6a1:150814fecb6:1c9d	Membership
7b93e6a1:150814fecb6:-3cd	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	City
7b93e6a1:150814fecb6:49a	Membership
7b93e6a1:150814fecb6:211c	SpokenBy
7b93e6a1:150814fecb6:82e	Membership
7b93e6a1:150814fecb6:19ab	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	Mountain
http://www.semwebtech.org/mondial/10/islands/Madeira/	Islands
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	City
7b93e6a1:150814fecb6:2	Membership
7b93e6a1:150814fecb6:1fdd	Membership
7b93e6a1:150814fecb6:12d7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	EthnicGroup
7b93e6a1:150814fecb6:237c	BelievedBy
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Religion
7b93e6a1:150814fecb6:bac	Membership
7b93e6a1:150814fecb6:1233	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	City
http://www.semwebtech.org/mondial/10/country/MC/	Country
7b93e6a1:150814fecb6:-249	Membership
7b93e6a1:150814fecb6:7da	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	City
7b93e6a1:150814fecb6:1493	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	Mountain
7b93e6a1:150814fecb6:6f	Membership
7b93e6a1:150814fecb6:1827	Membership
7b93e6a1:150814fecb6:-1f5	Membership
7b93e6a1:150814fecb6:26bc	EthnicProportion
7b93e6a1:150814fecb6:1e59	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	City
7b93e6a1:150814fecb6:-151	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Province
7b93e6a1:150814fecb6:a28	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	EthnicGroup
7b93e6a1:150814fecb6:1ba5	Membership
7b93e6a1:150814fecb6:1b01	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	City
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	City
7b93e6a1:150814fecb6:656	Membership
7b93e6a1:150814fecb6:17d3	Membership
7b93e6a1:150814fecb6:-7e9	Encompassed
7b93e6a1:150814fecb6:c88	Membership
7b93e6a1:150814fecb6:3a2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	EthnicGroup
7b93e6a1:150814fecb6:-745	Encompassed
7b93e6a1:150814fecb6:10de	Membership
7b93e6a1:150814fecb6:2538	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	City
http://www.semwebtech.org/mondial/10/island/Fuenen/	Island
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Province
7b93e6a1:150814fecb6:1d61	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	Water
7b93e6a1:150814fecb6:103a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	City
7b93e6a1:150814fecb6:14f0	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Province
http://www.semwebtech.org/mondial/10/island/Syros/	Island
http://www.semwebtech.org/mondial/10/river/Dnister/	Water
http://www.semwebtech.org/mondial/10/sea/BalticSea/	Water
7b93e6a1:150814fecb6:-6f1	Border
7b93e6a1:150814fecb6:129a	Membership
7b93e6a1:150814fecb6:fc8	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	City
7b93e6a1:150814fecb6:b90	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	City
7b93e6a1:150814fecb6:162e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	City
7b93e6a1:150814fecb6:24e4	EthnicProportion
7b93e6a1:150814fecb6:f24	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	City
http://www.semwebtech.org/mondial/10/estuary/Ene/	Estuary
7b93e6a1:150814fecb6:2440	BelievedBy
http://www.semwebtech.org/mondial/10/river/WhiteNile/	Water
7b93e6a1:150814fecb6:188e	Membership
http://www.semwebtech.org/mondial/10/island/Majuro/	Island
7b93e6a1:150814fecb6:45d	Membership
7b93e6a1:150814fecb6:15da	Membership
7b93e6a1:150814fecb6:ed0	Membership
7b93e6a1:150814fecb6:a8f	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	City
7b93e6a1:150814fecb6:-89	Membership
7b93e6a1:150814fecb6:-54c	Membership
http://www.semwebtech.org/mondial/10/language/Turkish/	Language
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	City
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	Estuary
7b93e6a1:150814fecb6:233f	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	City
7b93e6a1:150814fecb6:259f	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	EthnicGroup
7b93e6a1:150814fecb6:dcf	Membership
7b93e6a1:150814fecb6:22eb	BelievedBy
http://www.semwebtech.org/mondial/10/source/Araguaia/	Source
http://www.semwebtech.org/mondial/10/source/Angara/	Source
7b93e6a1:150814fecb6:1456	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	City
http://www.semwebtech.org/mondial/10/river/Oder/	Water
7b93e6a1:150814fecb6:d2b	Membership
7b93e6a1:150814fecb6:9fd	Membership
7b93e6a1:150814fecb6:1a88	Membership
7b93e6a1:150814fecb6:11a2	Membership
7b93e6a1:150814fecb6:-1b8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	City
7b93e6a1:150814fecb6:-114	Membership
http://www.semwebtech.org/mondial/10/islands/Comores/	Islands
7b93e6a1:150814fecb6:f8b	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	City
7b93e6a1:150814fecb6:285	Membership
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	Mountain
7b93e6a1:150814fecb6:619	Membership
7b93e6a1:150814fecb6:-374	Membership
7b93e6a1:150814fecb6:1dc8	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Province
7b93e6a1:150814fecb6:-708	Border
7b93e6a1:150814fecb6:2167	SpokenBy
http://www.semwebtech.org/mondial/10/desert/Tanami/	Desert
7b93e6a1:150814fecb6:879	Membership
7b93e6a1:150814fecb6:1d24	Membership
7b93e6a1:150814fecb6:19f6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	City
7b93e6a1:150814fecb6:5c5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	City
7b93e6a1:150814fecb6:1952	Membership
7b93e6a1:150814fecb6:bf7	Membership
7b93e6a1:150814fecb6:521	Membership
7b93e6a1:150814fecb6:1f84	Membership
7b93e6a1:150814fecb6:-6b4	Border
7b93e6a1:150814fecb6:125d	Membership
7b93e6a1:150814fecb6:b53	Membership
7b93e6a1:150814fecb6:1cd0	Membership
7b93e6a1:150814fecb6:-610	Border
7b93e6a1:150814fecb6:24a7	EthnicProportion
7b93e6a1:150814fecb6:781	Membership
http://www.semwebtech.org/mondial/10/island/Pitcairn/	Island
7b93e6a1:150814fecb6:2403	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	City
7b93e6a1:150814fecb6:2663	EthnicProportion
7b93e6a1:150814fecb6:-17b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	City
7b93e6a1:150814fecb6:1bcf	Membership
7b93e6a1:150814fecb6:-50f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Province
http://www.semwebtech.org/mondial/10/island/Oesel/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Province
7b93e6a1:150814fecb6:1b2b	Membership
7b93e6a1:150814fecb6:17fd	Membership
7b93e6a1:150814fecb6:3cc	Membership
7b93e6a1:150814fecb6:-76f	Encompassed
http://www.semwebtech.org/mondial/10/river/WesternDwina/	Water
7b93e6a1:150814fecb6:1d8b	Membership
7b93e6a1:150814fecb6:1085	Membership
7b93e6a1:150814fecb6:-4bb	Membership
7b93e6a1:150814fecb6:373	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	City
7b93e6a1:150814fecb6:a2	Membership
7b93e6a1:150814fecb6:1419	Membership
7b93e6a1:150814fecb6:22ae	BelievedBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	City
7b93e6a1:150814fecb6:220a	SpokenBy
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	City
7b93e6a1:150814fecb6:91c	Membership
7b93e6a1:150814fecb6:1679	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Province
7b93e6a1:150814fecb6:f4e	Membership
7b93e6a1:150814fecb6:248	Membership
7b93e6a1:150814fecb6:13c5	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	City
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	Water
7b93e6a1:150814fecb6:246a	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Lesbos/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	City
7b93e6a1:150814fecb6:1321	Membership
7b93e6a1:150814fecb6:-337	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Lanzarote/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Maui/	Island
7b93e6a1:150814fecb6:efa	Membership
7b93e6a1:150814fecb6:19b9	Membership
7b93e6a1:150814fecb6:1f4	Membership
7b93e6a1:150814fecb6:1581	Membership
7b93e6a1:150814fecb6:-597	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Province
7b93e6a1:150814fecb6:150	Membership
7b93e6a1:150814fecb6:1915	Membership
7b93e6a1:150814fecb6:-2e3	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Province
7b93e6a1:150814fecb6:1f47	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	City
7b93e6a1:150814fecb6:20d6	Membership
7b93e6a1:150814fecb6:b16	Membership
7b93e6a1:150814fecb6:7e8	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Province
7b93e6a1:150814fecb6:2032	Membership
http://www.semwebtech.org/mondial/10/source/Schilka/	Source
7b93e6a1:150814fecb6:744	Membership
7b93e6a1:150814fecb6:18c1	Membership
7b93e6a1:150814fecb6:d76	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	City
7b93e6a1:150814fecb6:1ef3	Membership
7b93e6a1:150814fecb6:11cc	Membership
7b93e6a1:150814fecb6:2292	BelievedBy
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Province
7b93e6a1:150814fecb6:ac2	Membership
7b93e6a1:150814fecb6:2626	EthnicProportion
7b93e6a1:150814fecb6:-13e	Membership
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	Estuary
7b93e6a1:150814fecb6:6f0	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	City
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Province
7b93e6a1:150814fecb6:-39e	Membership
7b93e6a1:150814fecb6:171c	Membership
7b93e6a1:150814fecb6:25d2	EthnicProportion
7b93e6a1:150814fecb6:1d4e	Membership
7b93e6a1:150814fecb6:1048	Membership
7b93e6a1:150814fecb6:5ef	Membership
7b93e6a1:150814fecb6:197c	Membership
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	Islands
7b93e6a1:150814fecb6:54b	Membership
7b93e6a1:150814fecb6:-6de	Border
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	City
http://www.semwebtech.org/mondial/10/island/Usedom/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Province
7b93e6a1:150814fecb6:b7d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	City
7b93e6a1:150814fecb6:1cfa	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	City
7b93e6a1:150814fecb6:-63a	Border
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	City
http://www.semwebtech.org/mondial/10/source/Brigach/	Source
7b93e6a1:150814fecb6:242d	BelievedBy
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	City
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	Source
7b93e6a1:150814fecb6:15e8	Membership
http://www.semwebtech.org/mondial/10/language/Tamil/	Language
7b93e6a1:150814fecb6:268d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Thjorsa/	Source
7b93e6a1:150814fecb6:ebd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	City
7b93e6a1:150814fecb6:1b7	Membership
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	City
7b93e6a1:150814fecb6:1544	Membership
7b93e6a1:150814fecb6:1b76	Membership
7b93e6a1:150814fecb6:113	Membership
7b93e6a1:150814fecb6:-2a6	Membership
http://www.semwebtech.org/mondial/10/organization/CSTO/	Organization
7b93e6a1:150814fecb6:-202	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Province
7b93e6a1:150814fecb6:cc	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	City
7b93e6a1:150814fecb6:707	Membership
7b93e6a1:150814fecb6:-462	Membership
7b93e6a1:150814fecb6:22f9	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	City
7b93e6a1:150814fecb6:d39	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	City
7b93e6a1:150814fecb6:1eb6	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Province
http://www.semwebtech.org/mondial/10/source/Lagen/	Source
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	City
7b93e6a1:150814fecb6:2255	BelievedBy
7b93e6a1:150814fecb6:967	Membership
7b93e6a1:150814fecb6:1e12	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	City
7b93e6a1:150814fecb6:f99	Membership
7b93e6a1:150814fecb6:6b3	Membership
7b93e6a1:150814fecb6:13ef	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Province
7b93e6a1:150814fecb6:ce5	Membership
7b93e6a1:150814fecb6:-7a2	Encompassed
7b93e6a1:150814fecb6:134b	Membership
http://www.semwebtech.org/mondial/10/country/CN/	Country
7b93e6a1:150814fecb6:c41	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	City
http://www.semwebtech.org/mondial/10/island/Manitoulin/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	City
http://www.semwebtech.org/mondial/10/lake/LacAssal/	Water
http://www.semwebtech.org/mondial/10/country/ET/	Country
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Province
7b93e6a1:150814fecb6:17a	Membership
7b93e6a1:150814fecb6:193f	Membership
http://www.semwebtech.org/mondial/10/river/Paraguay/	Water
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	City
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	City
7b93e6a1:150814fecb6:50e	Membership
http://www.semwebtech.org/mondial/10/mountain/Fako/	Mountain
http://www.semwebtech.org/mondial/10/river/WesternBug/	Water
7b93e6a1:150814fecb6:1cbd	Membership
http://www.semwebtech.org/mondial/10/language/Chamorro/	Language
7b93e6a1:150814fecb6:205c	Membership
7b93e6a1:150814fecb6:76e	Membership
7b93e6a1:150814fecb6:18eb	Membership
http://www.semwebtech.org/mondial/10/country/JA/	Country
7b93e6a1:150814fecb6:4ba	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Province
7b93e6a1:150814fecb6:aec	Membership
7b93e6a1:150814fecb6:-e6	Membership
7b93e6a1:150814fecb6:1173	Membership
7b93e6a1:150814fecb6:-189	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	City
7b93e6a1:150814fecb6:-42	Membership
7b93e6a1:150814fecb6:1507	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	EthnicGroup
7b93e6a1:150814fecb6:1b39	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Province
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	Mountain
7b93e6a1:150814fecb6:1767	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	City
7b93e6a1:150814fecb6:25fc	EthnicProportion
7b93e6a1:150814fecb6:1d99	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Province
7b93e6a1:150814fecb6:336	Membership
7b93e6a1:150814fecb6:14b3	Membership
7b93e6a1:150814fecb6:-4c9	Membership
7b93e6a1:150814fecb6:1ae5	Membership
7b93e6a1:150814fecb6:-425	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	EthnicGroup
7b93e6a1:150814fecb6:596	Membership
7b93e6a1:150814fecb6:1a41	Membership
7b93e6a1:150814fecb6:2218	SpokenBy
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Province
7b93e6a1:150814fecb6:2e2	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Province
7b93e6a1:150814fecb6:-685	Border
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	City
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	Estuary
7b93e6a1:150814fecb6:-3d1	Membership
http://www.semwebtech.org/mondial/10/estuary/Asahan/	Estuary
7b93e6a1:150814fecb6:2478	EthnicProportion
7b93e6a1:150814fecb6:ca8	Membership
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	Islands
7b93e6a1:150814fecb6:130e	Membership
7b93e6a1:150814fecb6:21c4	SpokenBy
7b93e6a1:150814fecb6:c04	Membership
7b93e6a1:150814fecb6:8d6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Province
7b93e6a1:150814fecb6:2120	SpokenBy
7b93e6a1:150814fecb6:832	Membership
7b93e6a1:150814fecb6:156e	Membership
7b93e6a1:150814fecb6:1fe1	Membership
7b93e6a1:150814fecb6:e64	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Province
7b93e6a1:150814fecb6:13d	Membership
7b93e6a1:150814fecb6:12ba	Membership
7b93e6a1:150814fecb6:2380	BelievedBy
7b93e6a1:150814fecb6:bb0	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Province
http://www.semwebtech.org/mondial/10/organization/NSG/	Organization
7b93e6a1:150814fecb6:-22c	Membership
http://www.semwebtech.org/mondial/10/river/Lulua/	Water
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Province
7b93e6a1:150814fecb6:39d	Membership
http://www.semwebtech.org/mondial/10/island/Falster/	Island
7b93e6a1:150814fecb6:201f	Membership
http://www.semwebtech.org/mondial/10/source/Neckar/	Source
7b93e6a1:150814fecb6:18ae	Membership
7b93e6a1:150814fecb6:-48c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	City
7b93e6a1:150814fecb6:73	Membership
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Religion
7b93e6a1:150814fecb6:26c0	EthnicProportion
7b93e6a1:150814fecb6:227f	BelievedBy
7b93e6a1:150814fecb6:180a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	City
http://www.semwebtech.org/mondial/10/estuary/Weser/	Estuary
7b93e6a1:150814fecb6:aaf	Membership
7b93e6a1:150814fecb6:1e3c	Membership
7b93e6a1:150814fecb6:-a9	Membership
7b93e6a1:150814fecb6:1136	Membership
http://www.semwebtech.org/mondial/10/source/Mantaro/	Source
7b93e6a1:150814fecb6:a0b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Province
7b93e6a1:150814fecb6:6dd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	City
http://www.semwebtech.org/mondial/10/estuary/Piva/	Estuary
7b93e6a1:150814fecb6:-7cc	Encompassed
7b93e6a1:150814fecb6:1396	Membership
7b93e6a1:150814fecb6:c6b	Membership
7b93e6a1:150814fecb6:10e2	Membership
7b93e6a1:150814fecb6:25bf	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	EthnicGroup
7b93e6a1:150814fecb6:251b	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Uvea/	Island
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	Water
7b93e6a1:150814fecb6:1aa8	Membership
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	Desert
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	Water
7b93e6a1:150814fecb6:559	Membership
7b93e6a1:150814fecb6:1a04	Membership
7b93e6a1:150814fecb6:16d6	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	City
http://www.semwebtech.org/mondial/10/desert/Djourab/	Desert
7b93e6a1:150814fecb6:fab	Membership
7b93e6a1:150814fecb6:1632	Membership
7b93e6a1:150814fecb6:2a5	Membership
7b93e6a1:150814fecb6:-648	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	City
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Province
7b93e6a1:150814fecb6:201	Membership
7b93e6a1:150814fecb6:1c64	Membership
7b93e6a1:150814fecb6:1892	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	City
http://www.semwebtech.org/mondial/10/lake/Ammersee/	Water
7b93e6a1:150814fecb6:461	Membership
7b93e6a1:150814fecb6:-5f4	Border
7b93e6a1:150814fecb6:119d	Membership
7b93e6a1:150814fecb6:a93	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Province
7b93e6a1:150814fecb6:-6c	Membership
7b93e6a1:150814fecb6:-550	Membership
7b93e6a1:150814fecb6:23e7	BelievedBy
7b93e6a1:150814fecb6:e27	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Province
7b93e6a1:150814fecb6:1fa4	Membership
7b93e6a1:150814fecb6:2343	BelievedBy
7b93e6a1:150814fecb6:1f00	Membership
http://www.semwebtech.org/mondial/10/river/Thames/	Water
7b93e6a1:150814fecb6:7a1	Membership
7b93e6a1:150814fecb6:14dd	Membership
7b93e6a1:150814fecb6:dd3	Membership
7b93e6a1:150814fecb6:-44f	Membership
7b93e6a1:150814fecb6:36	Membership
7b93e6a1:150814fecb6:1a6b	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	City
7b93e6a1:150814fecb6:-3fb	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	City
7b93e6a1:150814fecb6:1359	Membership
7b93e6a1:150814fecb6:21ee	SpokenBy
7b93e6a1:150814fecb6:c2e	Membership
7b93e6a1:150814fecb6:1dab	Membership
7b93e6a1:150814fecb6:10a5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	City
7b93e6a1:150814fecb6:214a	SpokenBy
7b93e6a1:150814fecb6:85c	Membership
http://www.semwebtech.org/mondial/10/language/Polynesian/	Language
7b93e6a1:150814fecb6:1001	Membership
7b93e6a1:150814fecb6:e8e	Membership
7b93e6a1:150814fecb6:188	Membership
7b93e6a1:150814fecb6:bda	Membership
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	Water
7b93e6a1:150814fecb6:1261	Membership
7b93e6a1:150814fecb6:-277	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	City
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Province
7b93e6a1:150814fecb6:1c27	Membership
7b93e6a1:150814fecb6:18f9	Membership
7b93e6a1:150814fecb6:9d	Membership
7b93e6a1:150814fecb6:4c8	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	City
7b93e6a1:150814fecb6:1855	Membership
7b93e6a1:150814fecb6:1e87	Membership
7b93e6a1:150814fecb6:15a1	Membership
7b93e6a1:150814fecb6:424	Membership
7b93e6a1:150814fecb6:-5b7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	City
7b93e6a1:150814fecb6:a56	Membership
7b93e6a1:150814fecb6:1bd3	Membership
7b93e6a1:150814fecb6:-2f	Membership
7b93e6a1:150814fecb6:-513	Membership
http://www.semwebtech.org/mondial/10/island/Bali/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Province
7b93e6a1:150814fecb6:684	Membership
7b93e6a1:150814fecb6:2306	BelievedBy
7b93e6a1:150814fecb6:3d0	Membership
7b93e6a1:150814fecb6:-773	Encompassed
http://www.semwebtech.org/mondial/10/language/Hungarian/	Language
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	EthnicGroup
7b93e6a1:150814fecb6:2566	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	City
7b93e6a1:150814fecb6:22b2	BelievedBy
7b93e6a1:150814fecb6:9c4	Membership
7b93e6a1:150814fecb6:1a2e	Membership
http://www.semwebtech.org/mondial/10/river/Bomu/	Water
7b93e6a1:150814fecb6:ff6	Membership
7b93e6a1:150814fecb6:920	Membership
7b93e6a1:150814fecb6:2cf	Membership
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	Water
7b93e6a1:150814fecb6:165c	Membership
http://www.semwebtech.org/mondial/10/source/Pibor/	Source
7b93e6a1:150814fecb6:f52	Membership
7b93e6a1:150814fecb6:22b	Membership
7b93e6a1:150814fecb6:1c8e	Membership
7b93e6a1:150814fecb6:-3be	Membership
http://www.semwebtech.org/mondial/10/river/Gambia/	Water
7b93e6a1:150814fecb6:-31a	Membership
7b93e6a1:150814fecb6:48b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Province
http://www.semwebtech.org/mondial/10/source/Oka/	Source
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	City
7b93e6a1:150814fecb6:210d	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Province
7b93e6a1:150814fecb6:81f	Membership
7b93e6a1:150814fecb6:-57a	Membership
7b93e6a1:150814fecb6:1fce	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Province
7b93e6a1:150814fecb6:12c8	Membership
7b93e6a1:150814fecb6:236d	BelievedBy
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	City
7b93e6a1:150814fecb6:1f2a	Membership
7b93e6a1:150814fecb6:1224	Membership
7b93e6a1:150814fecb6:7cb	Membership
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	City
7b93e6a1:150814fecb6:dfd	Membership
7b93e6a1:150814fecb6:1484	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Province
7b93e6a1:150814fecb6:1818	Membership
7b93e6a1:150814fecb6:11d0	Membership
7b93e6a1:150814fecb6:-1e6	Membership
7b93e6a1:150814fecb6:26ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Province
7b93e6a1:150814fecb6:-142	Membership
7b93e6a1:150814fecb6:a19	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	City
7b93e6a1:150814fecb6:647	Membership
7b93e6a1:150814fecb6:17c4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	City
7b93e6a1:150814fecb6:1df6	Membership
7b93e6a1:150814fecb6:1720	Membership
7b93e6a1:150814fecb6:c79	Membership
http://www.semwebtech.org/mondial/10/organization/InOC/	Organization
7b93e6a1:150814fecb6:10cf	Membership
7b93e6a1:150814fecb6:-736	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Province
7b93e6a1:150814fecb6:2195	SpokenBy
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Province
7b93e6a1:150814fecb6:1d52	Membership
7b93e6a1:150814fecb6:2529	EthnicProportion
7b93e6a1:150814fecb6:102b	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	City
7b93e6a1:150814fecb6:5f3	Membership
7b93e6a1:150814fecb6:1980	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	City
7b93e6a1:150814fecb6:-6e2	Border
7b93e6a1:150814fecb6:128b	Membership
http://www.semwebtech.org/mondial/10/country/BR/	Country
7b93e6a1:150814fecb6:fb9	Membership
7b93e6a1:150814fecb6:b81	Membership
7b93e6a1:150814fecb6:24d5	EthnicProportion
7b93e6a1:150814fecb6:161f	Membership
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	Mountain
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Province
7b93e6a1:150814fecb6:f15	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	City
7b93e6a1:150814fecb6:2431	BelievedBy
http://www.semwebtech.org/mondial/10/source/Ob/	Source
7b93e6a1:150814fecb6:187f	Membership
7b93e6a1:150814fecb6:44e	Membership
7b93e6a1:150814fecb6:15cb	Membership
7b93e6a1:150814fecb6:2691	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Garonne/	Source
7b93e6a1:150814fecb6:ec1	Membership
7b93e6a1:150814fecb6:1bfd	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	City
7b93e6a1:150814fecb6:-53d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	EthnicGroup
7b93e6a1:150814fecb6:3fa	Membership
7b93e6a1:150814fecb6:-79d	Encompassed
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Province
7b93e6a1:150814fecb6:d0	Membership
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	City
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	City
7b93e6a1:150814fecb6:1447	Membership
7b93e6a1:150814fecb6:22dc	BelievedBy
7b93e6a1:150814fecb6:d1c	Membership
7b93e6a1:150814fecb6:9ee	Membership
7b93e6a1:150814fecb6:1a79	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	City
7b93e6a1:150814fecb6:-1a9	Membership
7b93e6a1:150814fecb6:94a	Membership
7b93e6a1:150814fecb6:-105	Membership
7b93e6a1:150814fecb6:f7c	Membership
7b93e6a1:150814fecb6:276	Membership
7b93e6a1:150814fecb6:13f3	Membership
7b93e6a1:150814fecb6:-365	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	City
7b93e6a1:150814fecb6:1db9	Membership
7b93e6a1:150814fecb6:2158	SpokenBy
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Province
7b93e6a1:150814fecb6:1d15	Membership
7b93e6a1:150814fecb6:19e7	Membership
http://www.semwebtech.org/mondial/10/island/Norderney/	Island
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	City
7b93e6a1:150814fecb6:5b6	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Province
7b93e6a1:150814fecb6:1943	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	City
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	Source
7b93e6a1:150814fecb6:be8	Membership
7b93e6a1:150814fecb6:512	Membership
7b93e6a1:150814fecb6:1f75	Membership
7b93e6a1:150814fecb6:-6a5	Border
7b93e6a1:150814fecb6:124e	Membership
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	Island
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Province
7b93e6a1:150814fecb6:b44	Membership
7b93e6a1:150814fecb6:1cc1	Membership
7b93e6a1:150814fecb6:-601	Border
7b93e6a1:150814fecb6:2060	Membership
7b93e6a1:150814fecb6:772	Membership
http://www.semwebtech.org/mondial/10/language/Uzbek/	Language
7b93e6a1:150814fecb6:11fa	Membership
7b93e6a1:150814fecb6:af0	Membership
7b93e6a1:150814fecb6:-16c	Membership
7b93e6a1:150814fecb6:2654	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Province
7b93e6a1:150814fecb6:23a0	BelievedBy
7b93e6a1:150814fecb6:1b1c	Membership
7b93e6a1:150814fecb6:17ee	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	City
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	Source
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	City
7b93e6a1:150814fecb6:3bd	Membership
7b93e6a1:150814fecb6:174a	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Province
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	Mountain
http://www.semwebtech.org/mondial/10/source/Sanaga/	Source
7b93e6a1:150814fecb6:1d7c	Membership
7b93e6a1:150814fecb6:-4ac	Membership
7b93e6a1:150814fecb6:1076	Membership
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	City
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	City
7b93e6a1:150814fecb6:90d	Membership
7b93e6a1:150814fecb6:24ff	EthnicProportion
7b93e6a1:150814fecb6:f3f	Membership
7b93e6a1:150814fecb6:239	Membership
7b93e6a1:150814fecb6:13b6	Membership
7b93e6a1:150814fecb6:245b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	City
7b93e6a1:150814fecb6:1312	Membership
7b93e6a1:150814fecb6:-328	Membership
7b93e6a1:150814fecb6:499	Membership
http://www.semwebtech.org/mondial/10/country/C/	Country
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Province
7b93e6a1:150814fecb6:eeb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	City
7b93e6a1:150814fecb6:1e5	Membership
7b93e6a1:150814fecb6:1572	Membership
7b93e6a1:150814fecb6:-588	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	Mountain
7b93e6a1:150814fecb6:141	Membership
7b93e6a1:150814fecb6:1906	Membership
7b93e6a1:150814fecb6:-2d4	Membership
7b93e6a1:150814fecb6:1f38	Membership
7b93e6a1:150814fecb6:-230	Membership
7b93e6a1:150814fecb6:20c7	Membership
7b93e6a1:150814fecb6:b07	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	City
7b93e6a1:150814fecb6:7d9	Membership
7b93e6a1:150814fecb6:fa	Membership
7b93e6a1:150814fecb6:2023	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	City
7b93e6a1:150814fecb6:735	Membership
7b93e6a1:150814fecb6:18b2	Membership
7b93e6a1:150814fecb6:-490	Membership
7b93e6a1:150814fecb6:d67	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	City
7b93e6a1:150814fecb6:1ee4	Membership
7b93e6a1:150814fecb6:11bd	Membership
7b93e6a1:150814fecb6:2283	BelievedBy
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	Water
7b93e6a1:150814fecb6:ab3	Membership
7b93e6a1:150814fecb6:995	Membership
7b93e6a1:150814fecb6:1e40	Membership
7b93e6a1:150814fecb6:2617	EthnicProportion
7b93e6a1:150814fecb6:-12f	Membership
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	City
7b93e6a1:150814fecb6:6e1	Membership
http://www.semwebtech.org/mondial/10/organization/ABEDA/	Organization
http://www.semwebtech.org/mondial/10/island/Oahu/	Island
7b93e6a1:150814fecb6:-7d0	Encompassed
7b93e6a1:150814fecb6:-38f	Membership
7b93e6a1:150814fecb6:170d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	City
7b93e6a1:150814fecb6:25c3	EthnicProportion
7b93e6a1:150814fecb6:1d3f	Membership
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	Mountain
7b93e6a1:150814fecb6:1039	Membership
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Language
7b93e6a1:150814fecb6:196d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	EthnicGroup
7b93e6a1:150814fecb6:53c	Membership
7b93e6a1:150814fecb6:1f9f	Membership
7b93e6a1:150814fecb6:-6cf	Border
7b93e6a1:150814fecb6:1299	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	City
7b93e6a1:150814fecb6:b6e	Membership
7b93e6a1:150814fecb6:1ceb	Membership
7b93e6a1:150814fecb6:-62b	Border
7b93e6a1:150814fecb6:208a	Membership
7b93e6a1:150814fecb6:79c	Membership
http://www.semwebtech.org/mondial/10/island/Pemba/	Island
http://www.semwebtech.org/mondial/10/river/Isere/	Water
7b93e6a1:150814fecb6:241e	BelievedBy
http://www.semwebtech.org/mondial/10/religion/Bahai/	Religion
7b93e6a1:150814fecb6:15d9	Membership
7b93e6a1:150814fecb6:267e	EthnicProportion
7b93e6a1:150814fecb6:eae	Membership
7b93e6a1:150814fecb6:1a8	Membership
7b93e6a1:150814fecb6:-70	Membership
7b93e6a1:150814fecb6:1535	Membership
7b93e6a1:150814fecb6:23ca	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	EthnicGroup
7b93e6a1:150814fecb6:e0a	Membership
7b93e6a1:150814fecb6:104	Membership
7b93e6a1:150814fecb6:-9a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	City
7b93e6a1:150814fecb6:1b67	Membership
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	City
7b93e6a1:150814fecb6:1795	Membership
7b93e6a1:150814fecb6:14e1	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Province
7b93e6a1:150814fecb6:364	Membership
7b93e6a1:150814fecb6:-4f7	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Province
7b93e6a1:150814fecb6:bd	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	City
7b93e6a1:150814fecb6:-453	Membership
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	Islands
7b93e6a1:150814fecb6:1ea7	Membership
7b93e6a1:150814fecb6:2246	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	City
7b93e6a1:150814fecb6:958	Membership
7b93e6a1:150814fecb6:1e03	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	City
7b93e6a1:150814fecb6:6a4	Membership
7b93e6a1:150814fecb6:cd6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	City
7b93e6a1:150814fecb6:600	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	City
7b93e6a1:150814fecb6:133c	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	City
7b93e6a1:150814fecb6:21f2	SpokenBy
7b93e6a1:150814fecb6:c32	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Province
http://www.semwebtech.org/mondial/10/river/Asahan/	Water
7b93e6a1:150814fecb6:860	Membership
7b93e6a1:150814fecb6:159c	Membership
7b93e6a1:150814fecb6:e92	Membership
7b93e6a1:150814fecb6:16b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	City
7b93e6a1:150814fecb6:-2fe	Membership
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	Desert
7b93e6a1:150814fecb6:-25a	Membership
http://www.semwebtech.org/mondial/10/country/SVAX/	Country
7b93e6a1:150814fecb6:1cae	Membership
7b93e6a1:150814fecb6:204d	Membership
7b93e6a1:150814fecb6:75f	Membership
7b93e6a1:150814fecb6:1c0a	Membership
7b93e6a1:150814fecb6:18dc	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	City
7b93e6a1:150814fecb6:4ab	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	City
7b93e6a1:150814fecb6:add	Membership
7b93e6a1:150814fecb6:1e6a	Membership
7b93e6a1:150814fecb6:-d7	Membership
7b93e6a1:150814fecb6:1164	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	City
http://www.semwebtech.org/mondial/10/organization/SELEC/	Organization
7b93e6a1:150814fecb6:-33	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Province
7b93e6a1:150814fecb6:-7fa	Encompassed
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	City
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Mountains
7b93e6a1:150814fecb6:1758	Membership
7b93e6a1:150814fecb6:25ed	EthnicProportion
7b93e6a1:150814fecb6:327	Membership
7b93e6a1:150814fecb6:14a4	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Province
7b93e6a1:150814fecb6:1ad6	Membership
7b93e6a1:150814fecb6:1400	Membership
7b93e6a1:150814fecb6:-416	Membership
7b93e6a1:150814fecb6:-c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	City
7b93e6a1:150814fecb6:587	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Province
7b93e6a1:150814fecb6:1a32	Membership
7b93e6a1:150814fecb6:2209	SpokenBy
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Province
7b93e6a1:150814fecb6:2d3	Membership
7b93e6a1:150814fecb6:1660	Membership
7b93e6a1:150814fecb6:-676	Border
7b93e6a1:150814fecb6:1c92	Membership
7b93e6a1:150814fecb6:-3c2	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	City
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Province
7b93e6a1:150814fecb6:2469	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	City
7b93e6a1:150814fecb6:21b5	SpokenBy
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	City
7b93e6a1:150814fecb6:8c7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Balochi/	Language
7b93e6a1:150814fecb6:2111	Membership
7b93e6a1:150814fecb6:ef9	Membership
7b93e6a1:150814fecb6:823	Membership
7b93e6a1:150814fecb6:19a0	Membership
7b93e6a1:150814fecb6:155f	Membership
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	Water
7b93e6a1:150814fecb6:e55	Membership
7b93e6a1:150814fecb6:1fd2	Membership
7b93e6a1:150814fecb6:12e	Membership
7b93e6a1:150814fecb6:12ab	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	City
7b93e6a1:150814fecb6:2371	BelievedBy
7b93e6a1:150814fecb6:ba1	Membership
7b93e6a1:150814fecb6:-21d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	City
7b93e6a1:150814fecb6:38e	Membership
http://www.semwebtech.org/mondial/10/island/Barbuda/	Island
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	City
7b93e6a1:150814fecb6:-47d	Membership
7b93e6a1:150814fecb6:64	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	City
7b93e6a1:150814fecb6:26b1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	City
http://www.semwebtech.org/mondial/10/sea/KaraSea/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	City
7b93e6a1:150814fecb6:1e2d	Membership
7b93e6a1:150814fecb6:1127	Membership
7b93e6a1:150814fecb6:6ce	Membership
http://www.semwebtech.org/mondial/10/source/Ubangi/	Source
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	City
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	Water
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	City
7b93e6a1:150814fecb6:62a	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	City
7b93e6a1:150814fecb6:-7bd	Encompassed
7b93e6a1:150814fecb6:1387	Membership
7b93e6a1:150814fecb6:c5c	Membership
7b93e6a1:150814fecb6:10d3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	City
7b93e6a1:150814fecb6:88a	Membership
7b93e6a1:150814fecb6:250c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	City
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	City
http://www.semwebtech.org/mondial/10/source/Amudarja/	Source
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Province
http://www.semwebtech.org/mondial/10/river/Tara/	Water
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	City
7b93e6a1:150814fecb6:16c7	Membership
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Mountains
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Province
7b93e6a1:150814fecb6:1cf9	Membership
7b93e6a1:150814fecb6:1623	Membership
7b93e6a1:150814fecb6:-639	Border
7b93e6a1:150814fecb6:2098	Membership
7b93e6a1:150814fecb6:1c55	Membership
7b93e6a1:150814fecb6:4f6	Membership
7b93e6a1:150814fecb6:1883	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	City
7b93e6a1:150814fecb6:452	Membership
7b93e6a1:150814fecb6:-5e5	Border
7b93e6a1:150814fecb6:118e	Membership
7b93e6a1:150814fecb6:a84	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	City
7b93e6a1:150814fecb6:-5d	Membership
7b93e6a1:150814fecb6:-541	Membership
7b93e6a1:150814fecb6:23d8	BelievedBy
7b93e6a1:150814fecb6:e18	Membership
7b93e6a1:150814fecb6:2334	BelievedBy
http://www.semwebtech.org/mondial/10/organization/MIGA/	Organization
7b93e6a1:150814fecb6:14ce	Membership
7b93e6a1:150814fecb6:2594	EthnicProportion
7b93e6a1:150814fecb6:dc4	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Province
7b93e6a1:150814fecb6:142a	Membership
7b93e6a1:150814fecb6:22e0	BelievedBy
7b93e6a1:150814fecb6:27	Membership
7b93e6a1:150814fecb6:d20	Membership
7b93e6a1:150814fecb6:9f2	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Province
7b93e6a1:150814fecb6:1a5c	Membership
http://www.semwebtech.org/mondial/10/estuary/Luvua/	Estuary
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	City
7b93e6a1:150814fecb6:2fd	Membership
7b93e6a1:150814fecb6:168a	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	City
7b93e6a1:150814fecb6:f80	Membership
7b93e6a1:150814fecb6:-3ec	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Province
7b93e6a1:150814fecb6:21df	SpokenBy
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	Islands
7b93e6a1:150814fecb6:c1f	Membership
http://www.semwebtech.org/mondial/10/river/Main/	Water
7b93e6a1:150814fecb6:213b	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Province
7b93e6a1:150814fecb6:84d	Membership
7b93e6a1:150814fecb6:19ca	Membership
http://www.semwebtech.org/mondial/10/island/Gotland/	Island
7b93e6a1:150814fecb6:17b5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Province
7b93e6a1:150814fecb6:1ffc	Membership
7b93e6a1:150814fecb6:e7f	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	City
7b93e6a1:150814fecb6:179	Membership
7b93e6a1:150814fecb6:12f6	Membership
7b93e6a1:150814fecb6:239b	BelievedBy
7b93e6a1:150814fecb6:bcb	Membership
http://www.semwebtech.org/mondial/10/island/MargitSziget/	Island
7b93e6a1:150814fecb6:1252	Membership
7b93e6a1:150814fecb6:-268	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	City
7b93e6a1:150814fecb6:1c18	Membership
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	City
7b93e6a1:150814fecb6:8e	Membership
http://www.semwebtech.org/mondial/10/country/TOK/	Country
7b93e6a1:150814fecb6:4b9	Membership
7b93e6a1:150814fecb6:1846	Membership
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	City
7b93e6a1:150814fecb6:415	Membership
7b93e6a1:150814fecb6:1e78	Membership
7b93e6a1:150814fecb6:-5a8	Membership
7b93e6a1:150814fecb6:-170	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Province
7b93e6a1:150814fecb6:a47	Membership
7b93e6a1:150814fecb6:1bc4	Membership
7b93e6a1:150814fecb6:-504	Membership
http://www.semwebtech.org/mondial/10/country/DOM/	Country
http://www.semwebtech.org/mondial/10/island/Chios/	Island
7b93e6a1:150814fecb6:1b20	Membership
7b93e6a1:150814fecb6:675	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	City
7b93e6a1:150814fecb6:17f2	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Province
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	City
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	Estuary
7b93e6a1:150814fecb6:3c1	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	City
7b93e6a1:150814fecb6:-764	Encompassed
7b93e6a1:150814fecb6:10fd	Membership
7b93e6a1:150814fecb6:1d80	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Province
7b93e6a1:150814fecb6:-4b0	Membership
7b93e6a1:150814fecb6:2557	EthnicProportion
7b93e6a1:150814fecb6:22a3	BelievedBy
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	City
7b93e6a1:150814fecb6:9b5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	City
7b93e6a1:150814fecb6:1a1f	Membership
7b93e6a1:150814fecb6:fe7	Membership
7b93e6a1:150814fecb6:911	Membership
7b93e6a1:150814fecb6:164d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	City
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	City
7b93e6a1:150814fecb6:f43	Membership
7b93e6a1:150814fecb6:1c7f	Membership
7b93e6a1:150814fecb6:21c	Membership
7b93e6a1:150814fecb6:-3af	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	City
http://www.semwebtech.org/mondial/10/source/Salzach/	Source
7b93e6a1:150814fecb6:-30b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	City
http://www.semwebtech.org/mondial/10/mountains/Azores/	Mountains
7b93e6a1:150814fecb6:47c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	City
http://www.semwebtech.org/mondial/10/island/GrandTurk/	Island
7b93e6a1:150814fecb6:-56b	Membership
7b93e6a1:150814fecb6:1fbf	Membership
7b93e6a1:150814fecb6:12b9	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	City
7b93e6a1:150814fecb6:235e	BelievedBy
7b93e6a1:150814fecb6:1f1b	Membership
http://www.semwebtech.org/mondial/10/source/Pruth/	Source
7b93e6a1:150814fecb6:1215	Membership
7b93e6a1:150814fecb6:20aa	Membership
7b93e6a1:150814fecb6:7bc	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	City
7b93e6a1:150814fecb6:dee	Membership
7b93e6a1:150814fecb6:1475	Membership
http://www.semwebtech.org/mondial/10/river/Tambo/	Water
7b93e6a1:150814fecb6:1809	Membership
7b93e6a1:150814fecb6:d4a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	City
7b93e6a1:150814fecb6:11c1	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	City
7b93e6a1:150814fecb6:-1d7	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Province
7b93e6a1:150814fecb6:-133	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	City
7b93e6a1:150814fecb6:638	Membership
7b93e6a1:150814fecb6:-393	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	City
7b93e6a1:150814fecb6:1de7	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	City
7b93e6a1:150814fecb6:1711	Membership
7b93e6a1:150814fecb6:-727	Encompassed
7b93e6a1:150814fecb6:2186	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	City
7b93e6a1:150814fecb6:898	Membership
7b93e6a1:150814fecb6:1d43	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	Mountain
7b93e6a1:150814fecb6:101c	Membership
http://www.semwebtech.org/mondial/10/source/Uruguay/	Source
http://www.semwebtech.org/mondial/10/river/Indus/	Water
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Province
7b93e6a1:150814fecb6:5e4	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Province
7b93e6a1:150814fecb6:1971	Membership
7b93e6a1:150814fecb6:540	Membership
7b93e6a1:150814fecb6:-6d3	Border
7b93e6a1:150814fecb6:127c	Membership
7b93e6a1:150814fecb6:b72	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Ampato/	Mountain
7b93e6a1:150814fecb6:24c6	EthnicProportion
7b93e6a1:150814fecb6:f06	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	City
7b93e6a1:150814fecb6:2422	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	City
7b93e6a1:150814fecb6:43f	Membership
7b93e6a1:150814fecb6:15bc	Membership
7b93e6a1:150814fecb6:-19a	Membership
7b93e6a1:150814fecb6:2682	EthnicProportion
7b93e6a1:150814fecb6:eb2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	City
7b93e6a1:150814fecb6:1bee	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Province
7b93e6a1:150814fecb6:-52e	Membership
7b93e6a1:150814fecb6:1b4a	Membership
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	City
7b93e6a1:150814fecb6:69f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Province
http://www.semwebtech.org/mondial/10/island/Aland/	Island
7b93e6a1:150814fecb6:3eb	Membership
7b93e6a1:150814fecb6:-78e	Encompassed
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Province
7b93e6a1:150814fecb6:-4da	Membership
7b93e6a1:150814fecb6:c1	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	City
7b93e6a1:150814fecb6:22cd	BelievedBy
7b93e6a1:150814fecb6:1438	Membership
7b93e6a1:150814fecb6:d0d	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	City
7b93e6a1:150814fecb6:9df	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	City
7b93e6a1:150814fecb6:93b	Membership
http://www.semwebtech.org/mondial/10/source/Sobat/	Source
7b93e6a1:150814fecb6:1698	Membership
7b93e6a1:150814fecb6:f6d	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	City
7b93e6a1:150814fecb6:267	Membership
7b93e6a1:150814fecb6:13e4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	City
7b93e6a1:150814fecb6:1340	Membership
7b93e6a1:150814fecb6:-356	Membership
7b93e6a1:150814fecb6:2149	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	City
7b93e6a1:150814fecb6:1d06	Membership
7b93e6a1:150814fecb6:19d8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	City
7b93e6a1:150814fecb6:5a7	Membership
7b93e6a1:150814fecb6:e	Membership
7b93e6a1:150814fecb6:1934	Membership
7b93e6a1:150814fecb6:bd9	Membership
7b93e6a1:150814fecb6:503	Membership
7b93e6a1:150814fecb6:1f66	Membership
7b93e6a1:150814fecb6:123f	Membership
7b93e6a1:150814fecb6:20f5	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	City
7b93e6a1:150814fecb6:b35	Membership
7b93e6a1:150814fecb6:1cb2	Membership
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	Islands
7b93e6a1:150814fecb6:2051	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Province
7b93e6a1:150814fecb6:763	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Province
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Province
7b93e6a1:150814fecb6:18e0	Membership
7b93e6a1:150814fecb6:149f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	City
7b93e6a1:150814fecb6:d95	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Province
7b93e6a1:150814fecb6:11eb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	City
7b93e6a1:150814fecb6:ae1	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	City
7b93e6a1:150814fecb6:-ba	Membership
7b93e6a1:150814fecb6:-15d	Membership
7b93e6a1:150814fecb6:2645	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	City
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	Province
7b93e6a1:150814fecb6:1b0d	Membership
7b93e6a1:150814fecb6:17df	Membership
7b93e6a1:150814fecb6:3ae	Membership
7b93e6a1:150814fecb6:173b	Membership
7b93e6a1:150814fecb6:25f1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	City
7b93e6a1:150814fecb6:30a	Membership
7b93e6a1:150814fecb6:1d6d	Membership
7b93e6a1:150814fecb6:1067	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	City
7b93e6a1:150814fecb6:199b	Membership
http://www.semwebtech.org/mondial/10/country/IS/	Country
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Province
7b93e6a1:150814fecb6:56a	Membership
7b93e6a1:150814fecb6:-6fd	Border
7b93e6a1:150814fecb6:b9c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	City
7b93e6a1:150814fecb6:13a7	Membership
7b93e6a1:150814fecb6:244c	BelievedBy
7b93e6a1:150814fecb6:1303	Membership
7b93e6a1:150814fecb6:-319	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	City
7b93e6a1:150814fecb6:8aa	Membership
7b93e6a1:150814fecb6:edc	Membership
7b93e6a1:150814fecb6:1d6	Membership
7b93e6a1:150814fecb6:1563	Membership
7b93e6a1:150814fecb6:-579	Membership
7b93e6a1:150814fecb6:132	Membership
7b93e6a1:150814fecb6:1b95	Membership
7b93e6a1:150814fecb6:-2c5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	City
7b93e6a1:150814fecb6:1f29	Membership
7b93e6a1:150814fecb6:-221	Membership
http://www.semwebtech.org/mondial/10/country/RL/	Country
http://www.semwebtech.org/mondial/10/organization/LAS/	Organization
7b93e6a1:150814fecb6:20b8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	City
7b93e6a1:150814fecb6:392	Membership
7b93e6a1:150814fecb6:eb	Membership
7b93e6a1:150814fecb6:2014	Membership
7b93e6a1:150814fecb6:726	Membership
7b93e6a1:150814fecb6:18a3	Membership
http://www.semwebtech.org/mondial/10/country/TR/	Country
7b93e6a1:150814fecb6:-481	Membership
7b93e6a1:150814fecb6:2274	BelievedBy
http://www.semwebtech.org/mondial/10/organization/ACP/	Organization
http://www.semwebtech.org/mondial/10/mountain/Tahat/	Mountain
7b93e6a1:150814fecb6:d58	Membership
7b93e6a1:150814fecb6:1ed5	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Province
7b93e6a1:150814fecb6:-815	Encompassed
7b93e6a1:150814fecb6:11ae	Membership
http://www.semwebtech.org/mondial/10/mountain/Silisili/	Mountain
7b93e6a1:150814fecb6:aa4	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	City
7b93e6a1:150814fecb6:986	Membership
7b93e6a1:150814fecb6:1e31	Membership
7b93e6a1:150814fecb6:110a	Membership
7b93e6a1:150814fecb6:2608	EthnicProportion
7b93e6a1:150814fecb6:a00	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	City
7b93e6a1:150814fecb6:6d2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Province
http://www.semwebtech.org/mondial/10/island/GrandComoro/	Island
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	Mountain
7b93e6a1:150814fecb6:136a	Membership
7b93e6a1:150814fecb6:-7c1	Encompassed
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Province
7b93e6a1:150814fecb6:c60	Membership
7b93e6a1:150814fecb6:25b4	EthnicProportion
7b93e6a1:150814fecb6:2510	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	EthnicGroup
7b93e6a1:150814fecb6:195e	Membership
http://www.semwebtech.org/mondial/10/source/Tobol/	Source
7b93e6a1:150814fecb6:52d	Membership
7b93e6a1:150814fecb6:16aa	Membership
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	City
7b93e6a1:150814fecb6:1cdc	Membership
7b93e6a1:150814fecb6:fa0	Membership
7b93e6a1:150814fecb6:b5f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	City
7b93e6a1:150814fecb6:-61c	Border
7b93e6a1:150814fecb6:207b	Membership
7b93e6a1:150814fecb6:78d	Membership
7b93e6a1:150814fecb6:240f	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	City
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	City
http://www.semwebtech.org/mondial/10/country/FARX/	Country
7b93e6a1:150814fecb6:1192	Membership
7b93e6a1:150814fecb6:266f	EthnicProportion
7b93e6a1:150814fecb6:1526	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	City
7b93e6a1:150814fecb6:-61	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Province
7b93e6a1:150814fecb6:23bb	BelievedBy
7b93e6a1:150814fecb6:1b58	Membership
7b93e6a1:150814fecb6:3f9	Membership
http://www.semwebtech.org/mondial/10/country/Q/	Country
7b93e6a1:150814fecb6:1786	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Province
7b93e6a1:150814fecb6:355	Membership
7b93e6a1:150814fecb6:14d2	Membership
7b93e6a1:150814fecb6:-4e8	Membership
7b93e6a1:150814fecb6:ae	Membership
7b93e6a1:150814fecb6:-444	Membership
http://www.semwebtech.org/mondial/10/river/Iller/	Water
7b93e6a1:150814fecb6:1a60	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	City
7b93e6a1:150814fecb6:2237	BelievedBy
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	City
7b93e6a1:150814fecb6:949	Membership
http://www.semwebtech.org/mondial/10/estuary/Luapula/	Estuary
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	City
7b93e6a1:150814fecb6:2497	EthnicProportion
7b93e6a1:150814fecb6:-3f0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	City
7b93e6a1:150814fecb6:cc7	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Province
http://www.semwebtech.org/mondial/10/organization/Interpol/	Organization
7b93e6a1:150814fecb6:132d	Membership
7b93e6a1:150814fecb6:21e3	SpokenBy
7b93e6a1:150814fecb6:c23	Membership
7b93e6a1:150814fecb6:8f5	Membership
7b93e6a1:150814fecb6:1da0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	City
7b93e6a1:150814fecb6:851	Membership
http://www.semwebtech.org/mondial/10/island/Pellworm/	Island
7b93e6a1:150814fecb6:158d	Membership
7b93e6a1:150814fecb6:e83	Membership
http://www.semwebtech.org/mondial/10/organization/UNASUR/	Organization
7b93e6a1:150814fecb6:15c	Membership
7b93e6a1:150814fecb6:-2ef	Membership
7b93e6a1:150814fecb6:-24b	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	City
http://www.semwebtech.org/mondial/10/country/MAL/	Country
7b93e6a1:150814fecb6:203e	Membership
7b93e6a1:150814fecb6:18cd	Membership
7b93e6a1:150814fecb6:92	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	City
7b93e6a1:150814fecb6:1eff	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Province
7b93e6a1:150814fecb6:11f9	Membership
7b93e6a1:150814fecb6:229e	BelievedBy
7b93e6a1:150814fecb6:1e5b	Membership
7b93e6a1:150814fecb6:ace	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Province
7b93e6a1:150814fecb6:-c8	Membership
7b93e6a1:150814fecb6:1155	Membership
7b93e6a1:150814fecb6:a2a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/	Country
7b93e6a1:150814fecb6:6fc	Membership
7b93e6a1:150814fecb6:-24	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Province
7b93e6a1:150814fecb6:-7eb	Encompassed
http://www.semwebtech.org/mondial/10/islands/Lofotes/	Islands
7b93e6a1:150814fecb6:c8a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Province
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Province
7b93e6a1:150814fecb6:1749	Membership
http://www.semwebtech.org/mondial/10/island/Bahrain/	Island
7b93e6a1:150814fecb6:25de	EthnicProportion
7b93e6a1:150814fecb6:318	Membership
7b93e6a1:150814fecb6:253a	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/Mayan/	Religion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	City
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	City
7b93e6a1:150814fecb6:1ac7	Membership
7b93e6a1:150814fecb6:-407	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	City
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	Water
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	City
7b93e6a1:150814fecb6:578	Membership
7b93e6a1:150814fecb6:1a23	Membership
7b93e6a1:150814fecb6:16f5	Membership
http://www.semwebtech.org/mondial/10/estuary/Würm/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	City
7b93e6a1:150814fecb6:fca	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	City
7b93e6a1:150814fecb6:2c4	Membership
7b93e6a1:150814fecb6:1651	Membership
7b93e6a1:150814fecb6:-667	Border
7b93e6a1:150814fecb6:1c83	Membership
7b93e6a1:150814fecb6:220	Membership
http://www.semwebtech.org/mondial/10/organization/IMSO/	Organization
7b93e6a1:150814fecb6:-3b3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	Province
http://www.semwebtech.org/mondial/10/river/Ural/	Water
7b93e6a1:150814fecb6:21a6	SpokenBy
7b93e6a1:150814fecb6:8b8	Membership
7b93e6a1:150814fecb6:480	Membership
http://www.semwebtech.org/mondial/10/estuary/Saluen/	Estuary
7b93e6a1:150814fecb6:2102	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Province
7b93e6a1:150814fecb6:814	Membership
7b93e6a1:150814fecb6:-8b	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Province
7b93e6a1:150814fecb6:e46	Membership
7b93e6a1:150814fecb6:1fc3	Membership
7b93e6a1:150814fecb6:11f	Membership
7b93e6a1:150814fecb6:2362	BelievedBy
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Province
7b93e6a1:150814fecb6:-20e	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	City
7b93e6a1:150814fecb6:7c0	Membership
7b93e6a1:150814fecb6:37f	Membership
7b93e6a1:150814fecb6:14fc	Membership
7b93e6a1:150814fecb6:f9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Province
7b93e6a1:150814fecb6:df2	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Province
7b93e6a1:150814fecb6:-46e	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Province
7b93e6a1:150814fecb6:55	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	City
http://www.semwebtech.org/mondial/10/river/RioNegro/	Water
7b93e6a1:150814fecb6:1a8a	Membership
7b93e6a1:150814fecb6:-1ba	Membership
7b93e6a1:150814fecb6:26a2	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Croatian/	Language
7b93e6a1:150814fecb6:1e1e	Membership
7b93e6a1:150814fecb6:1118	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	EthnicGroup
7b93e6a1:150814fecb6:6bf	Membership
7b93e6a1:150814fecb6:61b	Membership
7b93e6a1:150814fecb6:-7ae	Encompassed
7b93e6a1:150814fecb6:1378	Membership
7b93e6a1:150814fecb6:c4d	Membership
7b93e6a1:150814fecb6:1dca	Membership
7b93e6a1:150814fecb6:-70a	Border
7b93e6a1:150814fecb6:10c4	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Province
7b93e6a1:150814fecb6:87b	Membership
7b93e6a1:150814fecb6:1020	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	City
http://www.semwebtech.org/mondial/10/island/Rarotonga/	Island
7b93e6a1:150814fecb6:16b8	Membership
7b93e6a1:150814fecb6:1280	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	City
7b93e6a1:150814fecb6:-296	Membership
7b93e6a1:150814fecb6:1614	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Province
7b93e6a1:150814fecb6:2089	Membership
7b93e6a1:150814fecb6:1c46	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Province
7b93e6a1:150814fecb6:4e7	Membership
7b93e6a1:150814fecb6:1874	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Province
7b93e6a1:150814fecb6:15c0	Membership
7b93e6a1:150814fecb6:443	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	City
7b93e6a1:150814fecb6:-5d6	Membership
7b93e6a1:150814fecb6:117f	Membership
http://www.semwebtech.org/mondial/10/island/SantaMaria/	Island
7b93e6a1:150814fecb6:1bf2	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	City
7b93e6a1:150814fecb6:a75	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	City
7b93e6a1:150814fecb6:-4e	Membership
7b93e6a1:150814fecb6:-532	Membership
7b93e6a1:150814fecb6:23c9	BelievedBy
7b93e6a1:150814fecb6:e09	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	EthnicGroup
7b93e6a1:150814fecb6:2325	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	City
7b93e6a1:150814fecb6:-792	Encompassed
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Province
7b93e6a1:150814fecb6:2585	EthnicProportion
7b93e6a1:150814fecb6:14bf	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	City
http://www.semwebtech.org/mondial/10/island/Hoy/	Island
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	Source
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	City
7b93e6a1:150814fecb6:db5	Membership
7b93e6a1:150814fecb6:22d1	BelievedBy
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	City
7b93e6a1:150814fecb6:141b	Membership
7b93e6a1:150814fecb6:18	Membership
http://www.semwebtech.org/mondial/10/country/DK/	Country
7b93e6a1:150814fecb6:d11	Membership
7b93e6a1:150814fecb6:9e3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	City
7b93e6a1:150814fecb6:1a4d	Membership
7b93e6a1:150814fecb6:2ee	Membership
7b93e6a1:150814fecb6:167b	Membership
7b93e6a1:150814fecb6:f71	Membership
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	Source
7b93e6a1:150814fecb6:24a	Membership
7b93e6a1:150814fecb6:-3dd	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	EthnicGroup
7b93e6a1:150814fecb6:212c	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	City
http://www.semwebtech.org/mondial/10/river/Adda/	Water
7b93e6a1:150814fecb6:83e	Membership
7b93e6a1:150814fecb6:19bb	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	City
7b93e6a1:150814fecb6:1fed	Membership
http://www.semwebtech.org/mondial/10/language/Lezgi/	Language
7b93e6a1:150814fecb6:12e7	Membership
7b93e6a1:150814fecb6:238c	BelievedBy
7b93e6a1:150814fecb6:bbc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	City
7b93e6a1:150814fecb6:1243	Membership
http://www.semwebtech.org/mondial/10/country/MD/	Country
7b93e6a1:150814fecb6:-259	Membership
http://www.semwebtech.org/mondial/10/organization/G-7/	Organization
7b93e6a1:150814fecb6:7ea	Membership
7b93e6a1:150814fecb6:1c09	Membership
7b93e6a1:150814fecb6:7f	Membership
7b93e6a1:150814fecb6:1837	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Province
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	Islands
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Province
7b93e6a1:150814fecb6:1e69	Membership
7b93e6a1:150814fecb6:406	Membership
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	City
7b93e6a1:150814fecb6:-161	Membership
7b93e6a1:150814fecb6:a38	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	City
7b93e6a1:150814fecb6:1bb5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	City
http://www.semwebtech.org/mondial/10/language/Burmese/	Language
7b93e6a1:150814fecb6:1b11	Membership
7b93e6a1:150814fecb6:666	Membership
7b93e6a1:150814fecb6:17e3	Membership
7b93e6a1:150814fecb6:-7f9	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Province
http://www.semwebtech.org/mondial/10/river/Klaraelv/	Water
7b93e6a1:150814fecb6:c98	Membership
7b93e6a1:150814fecb6:3b2	Membership
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	City
7b93e6a1:150814fecb6:-755	Encompassed
7b93e6a1:150814fecb6:10ee	Membership
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Province
7b93e6a1:150814fecb6:2548	EthnicProportion
7b93e6a1:150814fecb6:1d71	Membership
7b93e6a1:150814fecb6:-4a1	Membership
7b93e6a1:150814fecb6:104a	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Province
http://www.semwebtech.org/mondial/10/island/Shikoku/	Island
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	City
7b93e6a1:150814fecb6:9a6	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	City
7b93e6a1:150814fecb6:fd8	Membership
7b93e6a1:150814fecb6:902	Membership
7b93e6a1:150814fecb6:163e	Membership
7b93e6a1:150814fecb6:24f4	EthnicProportion
7b93e6a1:150814fecb6:f34	Membership
7b93e6a1:150814fecb6:20d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	City
7b93e6a1:150814fecb6:2450	BelievedBy
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	City
7b93e6a1:150814fecb6:189e	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	City
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	Water
7b93e6a1:150814fecb6:46d	Membership
7b93e6a1:150814fecb6:15ea	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	City
7b93e6a1:150814fecb6:ee0	Membership
7b93e6a1:150814fecb6:a9f	Membership
7b93e6a1:150814fecb6:-99	Membership
7b93e6a1:150814fecb6:-55c	Membership
http://www.semwebtech.org/mondial/10/mountain/Sajama/	Mountain
http://www.semwebtech.org/mondial/10/source/Drau/	Source
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	City
7b93e6a1:150814fecb6:234f	BelievedBy
7b93e6a1:150814fecb6:1f0c	Membership
7b93e6a1:150814fecb6:1206	Membership
7b93e6a1:150814fecb6:7ad	Membership
7b93e6a1:150814fecb6:ddf	Membership
7b93e6a1:150814fecb6:1466	Membership
7b93e6a1:150814fecb6:22fb	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Province
7b93e6a1:150814fecb6:d3b	Membership
7b93e6a1:150814fecb6:1a98	Membership
7b93e6a1:150814fecb6:11b2	Membership
7b93e6a1:150814fecb6:-1c8	Membership
7b93e6a1:150814fecb6:-124	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Province
7b93e6a1:150814fecb6:f9b	Membership
7b93e6a1:150814fecb6:295	Membership
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	Mountain
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Province
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	City
7b93e6a1:150814fecb6:629	Membership
7b93e6a1:150814fecb6:17a6	Membership
7b93e6a1:150814fecb6:-384	Membership
http://www.semwebtech.org/mondial/10/island/Jeju/	Island
7b93e6a1:150814fecb6:1dd8	Membership
7b93e6a1:150814fecb6:1702	Membership
7b93e6a1:150814fecb6:-718	Border
7b93e6a1:150814fecb6:2177	SpokenBy
7b93e6a1:150814fecb6:889	Membership
7b93e6a1:150814fecb6:1d34	Membership
7b93e6a1:150814fecb6:100d	Membership
7b93e6a1:150814fecb6:5d5	Membership
7b93e6a1:150814fecb6:1962	Membership
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	Mountain
7b93e6a1:150814fecb6:1f94	Membership
7b93e6a1:150814fecb6:531	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	City
7b93e6a1:150814fecb6:-6c4	Border
7b93e6a1:150814fecb6:126d	Membership
7b93e6a1:150814fecb6:b63	Membership
7b93e6a1:150814fecb6:1ce0	Membership
7b93e6a1:150814fecb6:-620	Border
7b93e6a1:150814fecb6:24b7	EthnicProportion
7b93e6a1:150814fecb6:791	Membership
7b93e6a1:150814fecb6:2413	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Province
http://www.semwebtech.org/mondial/10/island/Mahe/	Island
7b93e6a1:150814fecb6:2673	EthnicProportion
7b93e6a1:150814fecb6:15ad	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Province
7b93e6a1:150814fecb6:-18b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	City
7b93e6a1:150814fecb6:ea3	Membership
7b93e6a1:150814fecb6:1bdf	Membership
7b93e6a1:150814fecb6:-51f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	City
http://www.semwebtech.org/mondial/10/lake/CraterLake/	Water
7b93e6a1:150814fecb6:1b3b	Membership
http://www.semwebtech.org/mondial/10/river/Amur/	Water
7b93e6a1:150814fecb6:3dc	Membership
7b93e6a1:150814fecb6:-77f	Encompassed
http://www.semwebtech.org/mondial/10/island/Cuba/	Island
7b93e6a1:150814fecb6:1d9b	Membership
7b93e6a1:150814fecb6:1095	Membership
7b93e6a1:150814fecb6:b2	Membership
7b93e6a1:150814fecb6:-4cb	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	City
http://www.semwebtech.org/mondial/10/country/BDS/	Country
7b93e6a1:150814fecb6:1429	Membership
7b93e6a1:150814fecb6:22be	BelievedBy
7b93e6a1:150814fecb6:221a	SpokenBy
7b93e6a1:150814fecb6:92c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	City
7b93e6a1:150814fecb6:1689	Membership
7b93e6a1:150814fecb6:f5e	Membership
7b93e6a1:150814fecb6:258	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	City
7b93e6a1:150814fecb6:13d5	Membership
7b93e6a1:150814fecb6:247a	EthnicProportion
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	Water
7b93e6a1:150814fecb6:caa	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Province
http://www.semwebtech.org/mondial/10/island/Baltrum/	Island
7b93e6a1:150814fecb6:1331	Membership
7b93e6a1:150814fecb6:-347	Membership
http://www.semwebtech.org/mondial/10/estuary/Lena/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	City
7b93e6a1:150814fecb6:19c9	Membership
7b93e6a1:150814fecb6:1591	Membership
7b93e6a1:150814fecb6:1925	Membership
7b93e6a1:150814fecb6:160	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	City
7b93e6a1:150814fecb6:-2f3	Membership
http://www.semwebtech.org/mondial/10/source/Ammer/	Source
7b93e6a1:150814fecb6:1f57	Membership
7b93e6a1:150814fecb6:20e6	Membership
7b93e6a1:150814fecb6:b26	Membership
7b93e6a1:150814fecb6:7f8	Membership
7b93e6a1:150814fecb6:1ca3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	City
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	Water
7b93e6a1:150814fecb6:2042	Membership
7b93e6a1:150814fecb6:754	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Province
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	Mountain
7b93e6a1:150814fecb6:18d1	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	City
7b93e6a1:150814fecb6:d86	Membership
7b93e6a1:150814fecb6:4a0	Membership
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Religion
7b93e6a1:150814fecb6:11dc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	City
7b93e6a1:150814fecb6:ad2	Membership
7b93e6a1:150814fecb6:-ab	Membership
7b93e6a1:150814fecb6:-14e	Membership
7b93e6a1:150814fecb6:2636	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Province
7b93e6a1:150814fecb6:172c	Membership
7b93e6a1:150814fecb6:25e2	EthnicProportion
7b93e6a1:150814fecb6:1d5e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	City
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	City
7b93e6a1:150814fecb6:1058	Membership
7b93e6a1:150814fecb6:5ff	Membership
7b93e6a1:150814fecb6:1aaa	Membership
7b93e6a1:150814fecb6:198c	Membership
7b93e6a1:150814fecb6:-1	Membership
7b93e6a1:150814fecb6:55b	Membership
7b93e6a1:150814fecb6:-6ee	Border
7b93e6a1:150814fecb6:b8d	Membership
7b93e6a1:150814fecb6:-64a	Border
http://www.semwebtech.org/mondial/10/language/Pashtu/	Language
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	City
7b93e6a1:150814fecb6:243d	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	City
http://www.semwebtech.org/mondial/10/river/Donau/	Water
http://www.semwebtech.org/mondial/10/island/Isabela/	Island
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	Water
7b93e6a1:150814fecb6:15f8	Membership
7b93e6a1:150814fecb6:269d	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Mountains
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	Estuary
7b93e6a1:150814fecb6:ecd	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Province
7b93e6a1:150814fecb6:1c7	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	City
7b93e6a1:150814fecb6:1554	Membership
7b93e6a1:150814fecb6:1b86	Membership
7b93e6a1:150814fecb6:123	Membership
7b93e6a1:150814fecb6:12a0	Membership
7b93e6a1:150814fecb6:-2b6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	City
http://www.semwebtech.org/mondial/10/organization/CICA/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	City
7b93e6a1:150814fecb6:-212	Membership
7b93e6a1:150814fecb6:20a9	Membership
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	Mountain
7b93e6a1:150814fecb6:383	Membership
7b93e6a1:150814fecb6:dc	Membership
7b93e6a1:150814fecb6:2005	Membership
7b93e6a1:150814fecb6:717	Membership
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	Mountain
7b93e6a1:150814fecb6:-472	Membership
http://www.semwebtech.org/mondial/10/estuary/Jubba/	Estuary
7b93e6a1:150814fecb6:d49	Membership
7b93e6a1:150814fecb6:1ec6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	City
7b93e6a1:150814fecb6:-806	Encompassed
7b93e6a1:150814fecb6:2265	BelievedBy
7b93e6a1:150814fecb6:977	Membership
7b93e6a1:150814fecb6:1e22	Membership
7b93e6a1:150814fecb6:6c3	Membership
7b93e6a1:150814fecb6:13ff	Membership
7b93e6a1:150814fecb6:cf5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	City
7b93e6a1:150814fecb6:135b	Membership
7b93e6a1:150814fecb6:-7b2	Encompassed
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	Province
http://www.semwebtech.org/mondial/10/country/CO/	Country
7b93e6a1:150814fecb6:c51	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	City
7b93e6a1:150814fecb6:25a5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Province
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	City
7b93e6a1:150814fecb6:2501	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	City
7b93e6a1:150814fecb6:18a	Membership
7b93e6a1:150814fecb6:194f	Membership
http://www.semwebtech.org/mondial/10/estuary/Rhein/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	City
7b93e6a1:150814fecb6:51e	Membership
7b93e6a1:150814fecb6:1ccd	Membership
7b93e6a1:150814fecb6:-60d	Border
7b93e6a1:150814fecb6:206c	Membership
7b93e6a1:150814fecb6:77e	Membership
7b93e6a1:150814fecb6:18fb	Membership
7b93e6a1:150814fecb6:4ca	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	City
7b93e6a1:150814fecb6:afc	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Province
7b93e6a1:150814fecb6:-f6	Membership
7b93e6a1:150814fecb6:1183	Membership
7b93e6a1:150814fecb6:-199	Membership
http://www.semwebtech.org/mondial/10/river/Parana/	Water
7b93e6a1:150814fecb6:-52	Membership
7b93e6a1:150814fecb6:1517	Membership
7b93e6a1:150814fecb6:23ac	BelievedBy
http://www.semwebtech.org/mondial/10/source/Tennessee/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Province
7b93e6a1:150814fecb6:1b49	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	City
7b93e6a1:150814fecb6:1777	Membership
7b93e6a1:150814fecb6:346	Membership
7b93e6a1:150814fecb6:14c3	Membership
7b93e6a1:150814fecb6:-4d9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Province
7b93e6a1:150814fecb6:1af5	Membership
7b93e6a1:150814fecb6:-435	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	City
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	City
7b93e6a1:150814fecb6:1a51	Membership
7b93e6a1:150814fecb6:2228	SpokenBy
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Province
7b93e6a1:150814fecb6:2f2	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	City
7b93e6a1:150814fecb6:-695	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	City
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	Mountain
http://www.semwebtech.org/mondial/10/country/UA/	Country
7b93e6a1:150814fecb6:-3e1	Membership
7b93e6a1:150814fecb6:2488	EthnicProportion
7b93e6a1:150814fecb6:cb8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Province
7b93e6a1:150814fecb6:131e	Membership
7b93e6a1:150814fecb6:21d4	SpokenBy
7b93e6a1:150814fecb6:c14	Membership
7b93e6a1:150814fecb6:8e6	Membership
http://www.semwebtech.org/mondial/10/country/WG/	Country
7b93e6a1:150814fecb6:2130	SpokenBy
http://www.semwebtech.org/mondial/10/country/AFG/	Country
7b93e6a1:150814fecb6:842	Membership
http://www.semwebtech.org/mondial/10/river/Saluen/	Water
7b93e6a1:150814fecb6:1ff1	Membership
7b93e6a1:150814fecb6:157e	Membership
7b93e6a1:150814fecb6:12ca	Membership
7b93e6a1:150814fecb6:e74	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	City
7b93e6a1:150814fecb6:14d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Province
7b93e6a1:150814fecb6:2390	BelievedBy
7b93e6a1:150814fecb6:bc0	Membership
7b93e6a1:150814fecb6:-23c	Membership
7b93e6a1:150814fecb6:202f	Membership
7b93e6a1:150814fecb6:18be	Membership
7b93e6a1:150814fecb6:-49c	Membership
7b93e6a1:150814fecb6:83	Membership
7b93e6a1:150814fecb6:181a	Membership
7b93e6a1:150814fecb6:228f	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	Estuary
7b93e6a1:150814fecb6:1e4c	Membership
7b93e6a1:150814fecb6:abf	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Province
7b93e6a1:150814fecb6:-b9	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	City
7b93e6a1:150814fecb6:1146	Membership
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	Island
7b93e6a1:150814fecb6:6ed	Membership
7b93e6a1:150814fecb6:a1b	Membership
7b93e6a1:150814fecb6:-15	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	City
7b93e6a1:150814fecb6:-7dc	Encompassed
7b93e6a1:150814fecb6:c7b	Membership
7b93e6a1:150814fecb6:10f2	Membership
7b93e6a1:150814fecb6:25cf	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Mountains
7b93e6a1:150814fecb6:309	Membership
7b93e6a1:150814fecb6:252b	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Mountains
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	City
7b93e6a1:150814fecb6:1ab8	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	City
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Province
7b93e6a1:150814fecb6:569	Membership
7b93e6a1:150814fecb6:1a14	Membership
7b93e6a1:150814fecb6:16e6	Membership
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	Desert
7b93e6a1:150814fecb6:fbb	Membership
http://www.semwebtech.org/mondial/10/source/Perene/	Source
7b93e6a1:150814fecb6:2b5	Membership
7b93e6a1:150814fecb6:1642	Membership
7b93e6a1:150814fecb6:-658	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	City
7b93e6a1:150814fecb6:211	Membership
7b93e6a1:150814fecb6:1c74	Membership
7b93e6a1:150814fecb6:-3a4	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Province
7b93e6a1:150814fecb6:-300	Membership
7b93e6a1:150814fecb6:8a9	Membership
7b93e6a1:150814fecb6:471	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	City
7b93e6a1:150814fecb6:805	Membership
7b93e6a1:150814fecb6:-7c	Membership
7b93e6a1:150814fecb6:-560	Membership
7b93e6a1:150814fecb6:23f7	BelievedBy
7b93e6a1:150814fecb6:e37	Membership
http://www.semwebtech.org/mondial/10/estuary/Chire/	Estuary
7b93e6a1:150814fecb6:1fb4	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	City
7b93e6a1:150814fecb6:2353	BelievedBy
7b93e6a1:150814fecb6:1f10	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	City
7b93e6a1:150814fecb6:7b1	Membership
7b93e6a1:150814fecb6:14ed	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	City
7b93e6a1:150814fecb6:de3	Membership
7b93e6a1:150814fecb6:-45f	Membership
7b93e6a1:150814fecb6:46	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	City
7b93e6a1:150814fecb6:1a7b	Membership
7b93e6a1:150814fecb6:-1ab	Membership
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	Islands
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Province
7b93e6a1:150814fecb6:1e0f	Membership
7b93e6a1:150814fecb6:1109	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	City
http://www.semwebtech.org/mondial/10/source/Piva/	Source
7b93e6a1:150814fecb6:60c	Membership
7b93e6a1:150814fecb6:21fe	SpokenBy
7b93e6a1:150814fecb6:1369	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	City
http://www.semwebtech.org/mondial/10/island/Vulcano/	Island
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	Estuary
7b93e6a1:150814fecb6:c3e	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Province
7b93e6a1:150814fecb6:1dbb	Membership
http://www.semwebtech.org/mondial/10/river/Volta/	Water
7b93e6a1:150814fecb6:10b5	Membership
7b93e6a1:150814fecb6:215a	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	City
7b93e6a1:150814fecb6:86c	Membership
7b93e6a1:150814fecb6:1011	Membership
7b93e6a1:150814fecb6:e9e	Membership
7b93e6a1:150814fecb6:198	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	EthnicGroup
7b93e6a1:150814fecb6:bea	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	City
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	City
7b93e6a1:150814fecb6:16a9	Membership
7b93e6a1:150814fecb6:1271	Membership
7b93e6a1:150814fecb6:-287	Membership
7b93e6a1:150814fecb6:1605	Membership
7b93e6a1:150814fecb6:1c37	Membership
http://www.semwebtech.org/mondial/10/mountains/Rif/	Mountains
7b93e6a1:150814fecb6:1865	Membership
7b93e6a1:150814fecb6:4d8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Province
7b93e6a1:150814fecb6:1e97	Membership
7b93e6a1:150814fecb6:434	Membership
7b93e6a1:150814fecb6:15b1	Membership
7b93e6a1:150814fecb6:-5c7	Membership
7b93e6a1:150814fecb6:a66	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	City
7b93e6a1:150814fecb6:1be3	Membership
7b93e6a1:150814fecb6:-3f	Membership
7b93e6a1:150814fecb6:-523	Membership
7b93e6a1:150814fecb6:694	Membership
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	Island
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	City
7b93e6a1:150814fecb6:2316	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	Mountains
7b93e6a1:150814fecb6:3e0	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	City
7b93e6a1:150814fecb6:-783	Encompassed
http://www.semwebtech.org/mondial/10/country/RSA/	Country
http://www.semwebtech.org/mondial/10/river/Tshuapa/	Water
7b93e6a1:150814fecb6:2576	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Province
7b93e6a1:150814fecb6:da6	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	City
7b93e6a1:150814fecb6:140c	Membership
7b93e6a1:150814fecb6:22c2	BelievedBy
7b93e6a1:150814fecb6:d02	Membership
7b93e6a1:150814fecb6:9d4	Membership
7b93e6a1:150814fecb6:1a3e	Membership
7b93e6a1:150814fecb6:930	Membership
7b93e6a1:150814fecb6:2df	Membership
7b93e6a1:150814fecb6:166c	Membership
7b93e6a1:150814fecb6:f62	Membership
7b93e6a1:150814fecb6:23b	Membership
7b93e6a1:150814fecb6:1c9e	Membership
7b93e6a1:150814fecb6:-3ce	Membership
7b93e6a1:150814fecb6:-32a	Membership
http://www.semwebtech.org/mondial/10/country/USA/	Country
7b93e6a1:150814fecb6:49b	Membership
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	City
7b93e6a1:150814fecb6:211d	SpokenBy
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	City
7b93e6a1:150814fecb6:82f	Membership
7b93e6a1:150814fecb6:19ac	Membership
7b93e6a1:150814fecb6:-58a	Membership
http://www.semwebtech.org/mondial/10/island/Halmahera/	Island
7b93e6a1:150814fecb6:3	Membership
7b93e6a1:150814fecb6:1fde	Membership
http://www.semwebtech.org/mondial/10/organization/ESA/	Organization
7b93e6a1:150814fecb6:12d8	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Province
7b93e6a1:150814fecb6:237d	BelievedBy
7b93e6a1:150814fecb6:bad	Membership
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	Water
7b93e6a1:150814fecb6:1f3a	Membership
7b93e6a1:150814fecb6:1234	Membership
7b93e6a1:150814fecb6:7db	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	City
http://www.semwebtech.org/mondial/10/island/Formentera/	Island
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	Source
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	City
7b93e6a1:150814fecb6:1494	Membership
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	City
7b93e6a1:150814fecb6:1828	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	City
7b93e6a1:150814fecb6:11e0	Membership
7b93e6a1:150814fecb6:-1f6	Membership
7b93e6a1:150814fecb6:26bd	EthnicProportion
7b93e6a1:150814fecb6:-152	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Province
7b93e6a1:150814fecb6:a29	Membership
7b93e6a1:150814fecb6:1ba6	Membership
7b93e6a1:150814fecb6:657	Membership
7b93e6a1:150814fecb6:1b02	Membership
7b93e6a1:150814fecb6:17d4	Membership
7b93e6a1:150814fecb6:c89	Membership
7b93e6a1:150814fecb6:3a3	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	City
7b93e6a1:150814fecb6:1730	Membership
7b93e6a1:150814fecb6:-746	Encompassed
7b93e6a1:150814fecb6:10df	Membership
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Language
7b93e6a1:150814fecb6:1d62	Membership
7b93e6a1:150814fecb6:103b	Membership
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	City
7b93e6a1:150814fecb6:2539	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	Water
http://www.semwebtech.org/mondial/10/river/Maranon/	Water
7b93e6a1:150814fecb6:1990	Membership
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	Islands
7b93e6a1:150814fecb6:-6f2	Border
7b93e6a1:150814fecb6:129b	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Province
http://www.semwebtech.org/mondial/10/country/BS/	Country
7b93e6a1:150814fecb6:fc9	Membership
7b93e6a1:150814fecb6:b91	Membership
7b93e6a1:150814fecb6:162f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	City
7b93e6a1:150814fecb6:24e5	EthnicProportion
7b93e6a1:150814fecb6:f25	Membership
7b93e6a1:150814fecb6:2441	BelievedBy
7b93e6a1:150814fecb6:188f	Membership
http://www.semwebtech.org/mondial/10/island/DevonIsland/	Island
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	City
7b93e6a1:150814fecb6:45e	Membership
7b93e6a1:150814fecb6:15db	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	EthnicGroup
7b93e6a1:150814fecb6:ed1	Membership
7b93e6a1:150814fecb6:1aa	Membership
7b93e6a1:150814fecb6:-54d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	City
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	City
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Province
7b93e6a1:150814fecb6:e0	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Province
7b93e6a1:150814fecb6:1457	Membership
7b93e6a1:150814fecb6:22ec	BelievedBy
7b93e6a1:150814fecb6:d2c	Membership
7b93e6a1:150814fecb6:9fe	Membership
7b93e6a1:150814fecb6:1a89	Membership
7b93e6a1:150814fecb6:11a3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	City
7b93e6a1:150814fecb6:-1b9	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	City
7b93e6a1:150814fecb6:95a	Membership
7b93e6a1:150814fecb6:-115	Membership
7b93e6a1:150814fecb6:f8c	Membership
7b93e6a1:150814fecb6:286	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	City
7b93e6a1:150814fecb6:-375	Membership
7b93e6a1:150814fecb6:1dc9	Membership
7b93e6a1:150814fecb6:-709	Border
7b93e6a1:150814fecb6:2168	SpokenBy
7b93e6a1:150814fecb6:1d25	Membership
7b93e6a1:150814fecb6:19f7	Membership
http://www.semwebtech.org/mondial/10/estuary/Isar/	Estuary
7b93e6a1:150814fecb6:5c6	Membership
7b93e6a1:150814fecb6:1953	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	City
7b93e6a1:150814fecb6:1f85	Membership
7b93e6a1:150814fecb6:bf8	Membership
7b93e6a1:150814fecb6:522	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	City
7b93e6a1:150814fecb6:-6b5	Border
7b93e6a1:150814fecb6:125e	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	City
7b93e6a1:150814fecb6:b54	Membership
7b93e6a1:150814fecb6:1cd1	Membership
7b93e6a1:150814fecb6:-611	Border
7b93e6a1:150814fecb6:24a8	EthnicProportion
7b93e6a1:150814fecb6:2070	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	City
http://www.semwebtech.org/mondial/10/island/Aruba/	Island
7b93e6a1:150814fecb6:782	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Province
7b93e6a1:150814fecb6:2404	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	City
http://www.semwebtech.org/mondial/10/island/Kos/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Province
7b93e6a1:150814fecb6:-17c	Membership
7b93e6a1:150814fecb6:2664	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ZW/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	City
7b93e6a1:150814fecb6:23b0	BelievedBy
7b93e6a1:150814fecb6:1b2c	Membership
7b93e6a1:150814fecb6:17fe	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	City
7b93e6a1:150814fecb6:3cd	Membership
http://www.semwebtech.org/mondial/10/language/Catalan/	Language
7b93e6a1:150814fecb6:175a	Membership
http://www.semwebtech.org/mondial/10/island/Graciosa/	Island
7b93e6a1:150814fecb6:1d8c	Membership
7b93e6a1:150814fecb6:-4bc	Membership
7b93e6a1:150814fecb6:1086	Membership
7b93e6a1:150814fecb6:a3	Membership
7b93e6a1:150814fecb6:22af	BelievedBy
http://www.semwebtech.org/mondial/10/country/AND/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	City
7b93e6a1:150814fecb6:220b	SpokenBy
http://www.semwebtech.org/mondial/10/river/Reuss/	Water
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Province
7b93e6a1:150814fecb6:91d	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Province
7b93e6a1:150814fecb6:f4f	Membership
7b93e6a1:150814fecb6:249	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Province
7b93e6a1:150814fecb6:13c6	Membership
7b93e6a1:150814fecb6:246b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	City
http://www.semwebtech.org/mondial/10/estuary/Morava/	Estuary
http://www.semwebtech.org/mondial/10/organization/GCC/	Organization
7b93e6a1:150814fecb6:1322	Membership
7b93e6a1:150814fecb6:-338	Membership
http://www.semwebtech.org/mondial/10/country/D/	Country
7b93e6a1:150814fecb6:1582	Membership
7b93e6a1:150814fecb6:efb	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	City
7b93e6a1:150814fecb6:1f5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	City
7b93e6a1:150814fecb6:-598	Membership
7b93e6a1:150814fecb6:1916	Membership
7b93e6a1:150814fecb6:151	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	City
7b93e6a1:150814fecb6:-2e4	Membership
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	City
7b93e6a1:150814fecb6:1f48	Membership
7b93e6a1:150814fecb6:-240	Membership
7b93e6a1:150814fecb6:20d7	Membership
7b93e6a1:150814fecb6:b17	Membership
7b93e6a1:150814fecb6:7e9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	EthnicGroup
7b93e6a1:150814fecb6:2033	Membership
7b93e6a1:150814fecb6:745	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	City
http://www.semwebtech.org/mondial/10/mountain/Pelee/	Mountain
7b93e6a1:150814fecb6:18c2	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	City
7b93e6a1:150814fecb6:d77	Membership
7b93e6a1:150814fecb6:1ef4	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	City
7b93e6a1:150814fecb6:11cd	Membership
7b93e6a1:150814fecb6:2293	BelievedBy
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	Island
7b93e6a1:150814fecb6:ac3	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	City
7b93e6a1:150814fecb6:1e50	Membership
7b93e6a1:150814fecb6:-13f	Membership
7b93e6a1:150814fecb6:2627	EthnicProportion
7b93e6a1:150814fecb6:6f1	Membership
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	Island
7b93e6a1:150814fecb6:-7e0	Encompassed
7b93e6a1:150814fecb6:-39f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Province
7b93e6a1:150814fecb6:171d	Membership
7b93e6a1:150814fecb6:25d3	EthnicProportion
7b93e6a1:150814fecb6:1d4f	Membership
7b93e6a1:150814fecb6:1049	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Province
7b93e6a1:150814fecb6:197d	Membership
7b93e6a1:150814fecb6:54c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	City
7b93e6a1:150814fecb6:-6df	Border
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	Mountain
7b93e6a1:150814fecb6:b7e	Membership
7b93e6a1:150814fecb6:1cfb	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	City
7b93e6a1:150814fecb6:-63b	Border
7b93e6a1:150814fecb6:209a	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	City
7b93e6a1:150814fecb6:242e	BelievedBy
7b93e6a1:150814fecb6:15e9	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	City
7b93e6a1:150814fecb6:268e	EthnicProportion
7b93e6a1:150814fecb6:23da	BelievedBy
7b93e6a1:150814fecb6:ebe	Membership
7b93e6a1:150814fecb6:1b77	Membership
7b93e6a1:150814fecb6:1b8	Membership
7b93e6a1:150814fecb6:-80	Membership
7b93e6a1:150814fecb6:1545	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	City
7b93e6a1:150814fecb6:e1a	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	City
7b93e6a1:150814fecb6:114	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	City
7b93e6a1:150814fecb6:-2a7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	EthnicGroup
7b93e6a1:150814fecb6:-203	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	City
7b93e6a1:150814fecb6:374	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	City
7b93e6a1:150814fecb6:14f1	Membership
7b93e6a1:150814fecb6:cd	Membership
7b93e6a1:150814fecb6:708	Membership
7b93e6a1:150814fecb6:-463	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	EthnicGroup
7b93e6a1:150814fecb6:1eb7	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Province
7b93e6a1:150814fecb6:2256	BelievedBy
7b93e6a1:150814fecb6:968	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	City
7b93e6a1:150814fecb6:1e13	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Province
7b93e6a1:150814fecb6:6b4	Membership
http://www.semwebtech.org/mondial/10/island/Bioko/	Island
7b93e6a1:150814fecb6:ce6	Membership
7b93e6a1:150814fecb6:610	Membership
7b93e6a1:150814fecb6:-7a3	Encompassed
7b93e6a1:150814fecb6:134c	Membership
7b93e6a1:150814fecb6:c42	Membership
7b93e6a1:150814fecb6:870	Membership
7b93e6a1:150814fecb6:17b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	City
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Province
7b93e6a1:150814fecb6:50f	Membership
http://www.semwebtech.org/mondial/10/source/Indus/	Source
7b93e6a1:150814fecb6:-26a	Membership
http://www.semwebtech.org/mondial/10/river/Raab/	Water
7b93e6a1:150814fecb6:1cbe	Membership
7b93e6a1:150814fecb6:205d	Membership
http://www.semwebtech.org/mondial/10/island/Amrum/	Island
7b93e6a1:150814fecb6:76f	Membership
7b93e6a1:150814fecb6:1c1a	Membership
7b93e6a1:150814fecb6:18ec	Membership
7b93e6a1:150814fecb6:4bb	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	City
7b93e6a1:150814fecb6:aed	Membership
7b93e6a1:150814fecb6:1e7a	Membership
7b93e6a1:150814fecb6:-e7	Membership
7b93e6a1:150814fecb6:-5aa	Membership
7b93e6a1:150814fecb6:1174	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	City
7b93e6a1:150814fecb6:-43	Membership
7b93e6a1:150814fecb6:1508	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	City
7b93e6a1:150814fecb6:1768	Membership
7b93e6a1:150814fecb6:25fd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	City
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	Water
7b93e6a1:150814fecb6:337	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	City
7b93e6a1:150814fecb6:14b4	Membership
7b93e6a1:150814fecb6:1ae6	Membership
7b93e6a1:150814fecb6:1410	Membership
7b93e6a1:150814fecb6:-426	Membership
7b93e6a1:150814fecb6:597	Membership
7b93e6a1:150814fecb6:1a42	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Province
7b93e6a1:150814fecb6:2219	SpokenBy
7b93e6a1:150814fecb6:1670	Membership
7b93e6a1:150814fecb6:2e3	Membership
7b93e6a1:150814fecb6:-686	Border
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	City
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	Estuary
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	Mountain
7b93e6a1:150814fecb6:-3d2	Membership
7b93e6a1:150814fecb6:2479	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	City
7b93e6a1:150814fecb6:ca9	Membership
7b93e6a1:150814fecb6:130f	Membership
7b93e6a1:150814fecb6:21c5	SpokenBy
7b93e6a1:150814fecb6:c05	Membership
7b93e6a1:150814fecb6:8d7	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Province
7b93e6a1:150814fecb6:2121	SpokenBy
7b93e6a1:150814fecb6:833	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	City
7b93e6a1:150814fecb6:19b0	Membership
7b93e6a1:150814fecb6:156f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Province
7b93e6a1:150814fecb6:e65	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	City
7b93e6a1:150814fecb6:1fe2	Membership
7b93e6a1:150814fecb6:13e	Membership
7b93e6a1:150814fecb6:12bb	Membership
7b93e6a1:150814fecb6:2381	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	City
7b93e6a1:150814fecb6:bb1	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	City
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	Estuary
7b93e6a1:150814fecb6:-22d	Membership
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	Source
7b93e6a1:150814fecb6:39e	Membership
http://www.semwebtech.org/mondial/10/islands/Azores/	Islands
http://www.semwebtech.org/mondial/10/source/Colorado/	Source
7b93e6a1:150814fecb6:18af	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	City
7b93e6a1:150814fecb6:-48d	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	City
7b93e6a1:150814fecb6:74	Membership
7b93e6a1:150814fecb6:180b	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	City
7b93e6a1:150814fecb6:26c1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	City
7b93e6a1:150814fecb6:1e3d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	City
7b93e6a1:150814fecb6:1137	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	City
7b93e6a1:150814fecb6:6de	Membership
7b93e6a1:150814fecb6:a0c	Membership
7b93e6a1:150814fecb6:63a	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	City
7b93e6a1:150814fecb6:-7cd	Encompassed
7b93e6a1:150814fecb6:1397	Membership
http://www.semwebtech.org/mondial/10/island/Mykonos/	Island
7b93e6a1:150814fecb6:c6c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	City
7b93e6a1:150814fecb6:10e3	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	City
http://www.semwebtech.org/mondial/10/country/LV/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Province
7b93e6a1:150814fecb6:89a	Membership
7b93e6a1:150814fecb6:251c	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/IFRCS/	Organization
7b93e6a1:150814fecb6:1aa9	Membership
7b93e6a1:150814fecb6:1a05	Membership
7b93e6a1:150814fecb6:16d7	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Province
7b93e6a1:150814fecb6:fac	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	City
7b93e6a1:150814fecb6:2a6	Membership
7b93e6a1:150814fecb6:1633	Membership
7b93e6a1:150814fecb6:-649	Border
http://www.semwebtech.org/mondial/10/organization/IAEA/	Organization
7b93e6a1:150814fecb6:202	Membership
7b93e6a1:150814fecb6:1c65	Membership
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	Mountain
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Province
7b93e6a1:150814fecb6:1893	Membership
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	City
7b93e6a1:150814fecb6:462	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	Water
7b93e6a1:150814fecb6:-5f5	Border
7b93e6a1:150814fecb6:119e	Membership
7b93e6a1:150814fecb6:a94	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	City
7b93e6a1:150814fecb6:-6d	Membership
7b93e6a1:150814fecb6:-551	Membership
7b93e6a1:150814fecb6:23e8	BelievedBy
7b93e6a1:150814fecb6:e28	Membership
7b93e6a1:150814fecb6:1fa5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	EthnicGroup
http://www.semwebtech.org/mondial/10/organization/IMO/	Organization
7b93e6a1:150814fecb6:2344	BelievedBy
7b93e6a1:150814fecb6:1f01	Membership
7b93e6a1:150814fecb6:7a2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	City
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	City
7b93e6a1:150814fecb6:14de	Membership
7b93e6a1:150814fecb6:dd4	Membership
7b93e6a1:150814fecb6:22f0	BelievedBy
7b93e6a1:150814fecb6:143a	Membership
7b93e6a1:150814fecb6:37	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	City
7b93e6a1:150814fecb6:d30	Membership
7b93e6a1:150814fecb6:1a6c	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	EthnicGroup
7b93e6a1:150814fecb6:169a	Membership
7b93e6a1:150814fecb6:f90	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	City
7b93e6a1:150814fecb6:-3fc	Membership
http://www.semwebtech.org/mondial/10/language/Hindi/	Language
http://www.semwebtech.org/mondial/10/organization/AMF/	Organization
7b93e6a1:150814fecb6:21ef	SpokenBy
7b93e6a1:150814fecb6:c2f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	City
7b93e6a1:150814fecb6:1dac	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	City
7b93e6a1:150814fecb6:10a6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	EthnicGroup
7b93e6a1:150814fecb6:214b	SpokenBy
7b93e6a1:150814fecb6:19da	Membership
7b93e6a1:150814fecb6:85d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	City
7b93e6a1:150814fecb6:1002	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	City
7b93e6a1:150814fecb6:e8f	Membership
7b93e6a1:150814fecb6:189	Membership
7b93e6a1:150814fecb6:bdb	Membership
7b93e6a1:150814fecb6:1262	Membership
7b93e6a1:150814fecb6:-278	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	City
7b93e6a1:150814fecb6:1c28	Membership
7b93e6a1:150814fecb6:9e	Membership
7b93e6a1:150814fecb6:4c9	Membership
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	Mountain
7b93e6a1:150814fecb6:1856	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Province
7b93e6a1:150814fecb6:1e88	Membership
7b93e6a1:150814fecb6:425	Membership
7b93e6a1:150814fecb6:15a2	Membership
7b93e6a1:150814fecb6:-5b8	Membership
7b93e6a1:150814fecb6:-180	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	City
7b93e6a1:150814fecb6:a57	Membership
http://www.semwebtech.org/mondial/10/language/Norwegian/	Language
7b93e6a1:150814fecb6:1bd4	Membership
7b93e6a1:150814fecb6:-514	Membership
7b93e6a1:150814fecb6:685	Membership
7b93e6a1:150814fecb6:1b30	Membership
7b93e6a1:150814fecb6:2307	BelievedBy
http://www.semwebtech.org/mondial/10/language/Icelandic/	Language
7b93e6a1:150814fecb6:3d1	Membership
7b93e6a1:150814fecb6:-774	Encompassed
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Province
7b93e6a1:150814fecb6:1d90	Membership
7b93e6a1:150814fecb6:-4c0	Membership
7b93e6a1:150814fecb6:2567	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	City
7b93e6a1:150814fecb6:22b3	BelievedBy
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	City
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	Mountain
7b93e6a1:150814fecb6:9c5	Membership
7b93e6a1:150814fecb6:1a2f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	City
7b93e6a1:150814fecb6:ff7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	City
7b93e6a1:150814fecb6:921	Membership
http://www.semwebtech.org/mondial/10/source/Iller/	Source
7b93e6a1:150814fecb6:165d	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	City
http://www.semwebtech.org/mondial/10/river/Shabelle/	Water
7b93e6a1:150814fecb6:f53	Membership
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	Islands
7b93e6a1:150814fecb6:22c	Membership
7b93e6a1:150814fecb6:1c8f	Membership
7b93e6a1:150814fecb6:-3bf	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	City
7b93e6a1:150814fecb6:-31b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	Mountain
7b93e6a1:150814fecb6:48c	Membership
7b93e6a1:150814fecb6:210e	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	City
7b93e6a1:150814fecb6:-57b	Membership
7b93e6a1:150814fecb6:1fcf	Membership
7b93e6a1:150814fecb6:12c9	Membership
7b93e6a1:150814fecb6:236e	BelievedBy
7b93e6a1:150814fecb6:1f2b	Membership
7b93e6a1:150814fecb6:1225	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	City
7b93e6a1:150814fecb6:20ba	Membership
7b93e6a1:150814fecb6:7cc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	EthnicGroup
7b93e6a1:150814fecb6:dfe	Membership
7b93e6a1:150814fecb6:1485	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Province
7b93e6a1:150814fecb6:d5a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	City
7b93e6a1:150814fecb6:1819	Membership
7b93e6a1:150814fecb6:11d1	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Province
7b93e6a1:150814fecb6:-1e7	Membership
7b93e6a1:150814fecb6:26ae	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Province
7b93e6a1:150814fecb6:-a0	Membership
7b93e6a1:150814fecb6:-143	Membership
7b93e6a1:150814fecb6:260a	EthnicProportion
7b93e6a1:150814fecb6:648	Membership
http://www.semwebtech.org/mondial/10/organization/UNMIT/	Organization
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Province
7b93e6a1:150814fecb6:17c5	Membership
7b93e6a1:150814fecb6:1df7	Membership
7b93e6a1:150814fecb6:1721	Membership
7b93e6a1:150814fecb6:-737	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	EthnicGroup
7b93e6a1:150814fecb6:2196	SpokenBy
7b93e6a1:150814fecb6:1d53	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Province
7b93e6a1:150814fecb6:102c	Membership
7b93e6a1:150814fecb6:5f4	Membership
7b93e6a1:150814fecb6:1981	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	City
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	Desert
7b93e6a1:150814fecb6:550	Membership
7b93e6a1:150814fecb6:-6e3	Border
7b93e6a1:150814fecb6:128c	Membership
7b93e6a1:150814fecb6:b82	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Province
7b93e6a1:150814fecb6:24d6	EthnicProportion
7b93e6a1:150814fecb6:f16	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	City
7b93e6a1:150814fecb6:2432	BelievedBy
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	City
7b93e6a1:150814fecb6:44f	Membership
7b93e6a1:150814fecb6:15cc	Membership
7b93e6a1:150814fecb6:2692	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	City
7b93e6a1:150814fecb6:ec2	Membership
7b93e6a1:150814fecb6:1bfe	Membership
7b93e6a1:150814fecb6:-53e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	City
7b93e6a1:150814fecb6:1b5a	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	Water
7b93e6a1:150814fecb6:3fb	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	City
7b93e6a1:150814fecb6:-79e	Encompassed
http://www.semwebtech.org/mondial/10/islands/Curiles/	Islands
7b93e6a1:150814fecb6:-4ea	Membership
7b93e6a1:150814fecb6:d1	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	City
7b93e6a1:150814fecb6:1448	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	City
7b93e6a1:150814fecb6:22dd	BelievedBy
7b93e6a1:150814fecb6:d1d	Membership
7b93e6a1:150814fecb6:9ef	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Province
7b93e6a1:150814fecb6:94b	Membership
7b93e6a1:150814fecb6:-106	Membership
7b93e6a1:150814fecb6:f7d	Membership
7b93e6a1:150814fecb6:277	Membership
7b93e6a1:150814fecb6:13f4	Membership
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/	Country
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Province
7b93e6a1:150814fecb6:1350	Membership
7b93e6a1:150814fecb6:-366	Membership
7b93e6a1:150814fecb6:2159	SpokenBy
http://www.semwebtech.org/mondial/10/river/Morava/	Water
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	City
7b93e6a1:150814fecb6:1d16	Membership
7b93e6a1:150814fecb6:19e8	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Province
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	City
7b93e6a1:150814fecb6:5b7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	EthnicGroup
7b93e6a1:150814fecb6:1944	Membership
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Language
7b93e6a1:150814fecb6:1f76	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Province
7b93e6a1:150814fecb6:be9	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	City
7b93e6a1:150814fecb6:513	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Province
7b93e6a1:150814fecb6:-6a6	Border
7b93e6a1:150814fecb6:124f	Membership
7b93e6a1:150814fecb6:b45	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	City
7b93e6a1:150814fecb6:1cc2	Membership
7b93e6a1:150814fecb6:-602	Border
7b93e6a1:150814fecb6:2061	Membership
7b93e6a1:150814fecb6:773	Membership
7b93e6a1:150814fecb6:18f0	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	City
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Language
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	City
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	Islands
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	City
7b93e6a1:150814fecb6:11fb	Membership
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	Island
7b93e6a1:150814fecb6:af1	Membership
7b93e6a1:150814fecb6:-ca	Membership
7b93e6a1:150814fecb6:-16d	Membership
7b93e6a1:150814fecb6:2655	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	City
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	Estuary
7b93e6a1:150814fecb6:23a1	BelievedBy
7b93e6a1:150814fecb6:1b1d	Membership
7b93e6a1:150814fecb6:17ef	Membership
7b93e6a1:150814fecb6:3be	Membership
7b93e6a1:150814fecb6:174b	Membership
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	City
7b93e6a1:150814fecb6:1d7d	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	City
7b93e6a1:150814fecb6:31a	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Province
7b93e6a1:150814fecb6:-4ad	Membership
7b93e6a1:150814fecb6:1077	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	City
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Mountains
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	EthnicGroup
http://www.semwebtech.org/mondial/10/islands/Carolines/	Islands
7b93e6a1:150814fecb6:57a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	City
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	Island
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Province
7b93e6a1:150814fecb6:90e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	City
http://www.semwebtech.org/mondial/10/river/Weser/	Water
7b93e6a1:150814fecb6:13b7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	City
7b93e6a1:150814fecb6:245c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Province
7b93e6a1:150814fecb6:1313	Membership
7b93e6a1:150814fecb6:-329	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Province
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	Water
7b93e6a1:150814fecb6:8ba	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	City
http://www.semwebtech.org/mondial/10/lake/LacLeman/	Water
7b93e6a1:150814fecb6:eec	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	City
7b93e6a1:150814fecb6:1e6	Membership
7b93e6a1:150814fecb6:1573	Membership
7b93e6a1:150814fecb6:-589	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Province
7b93e6a1:150814fecb6:142	Membership
7b93e6a1:150814fecb6:1907	Membership
7b93e6a1:150814fecb6:-2d5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/SchattalArab/	Water
7b93e6a1:150814fecb6:1f39	Membership
http://www.semwebtech.org/mondial/10/country/RM/	Country
7b93e6a1:150814fecb6:-231	Membership
7b93e6a1:150814fecb6:20c8	Membership
7b93e6a1:150814fecb6:b08	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Angara/	Estuary
7b93e6a1:150814fecb6:fb	Membership
7b93e6a1:150814fecb6:2024	Membership
7b93e6a1:150814fecb6:736	Membership
7b93e6a1:150814fecb6:18b3	Membership
7b93e6a1:150814fecb6:-491	Membership
7b93e6a1:150814fecb6:d68	Membership
7b93e6a1:150814fecb6:1ee5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	Province
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	Mountain
7b93e6a1:150814fecb6:11be	Membership
7b93e6a1:150814fecb6:2284	BelievedBy
7b93e6a1:150814fecb6:ab4	Membership
7b93e6a1:150814fecb6:996	Membership
7b93e6a1:150814fecb6:1e41	Membership
7b93e6a1:150814fecb6:111a	Membership
7b93e6a1:150814fecb6:2618	EthnicProportion
7b93e6a1:150814fecb6:6e2	Membership
7b93e6a1:150814fecb6:a10	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Province
7b93e6a1:150814fecb6:137a	Membership
7b93e6a1:150814fecb6:-7d1	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	City
7b93e6a1:150814fecb6:c70	Membership
7b93e6a1:150814fecb6:170e	Membership
7b93e6a1:150814fecb6:25c4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Province
7b93e6a1:150814fecb6:2520	EthnicProportion
http://www.semwebtech.org/mondial/10/island/LongIsland/	Island
7b93e6a1:150814fecb6:196e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	City
7b93e6a1:150814fecb6:53d	Membership
7b93e6a1:150814fecb6:16ba	Membership
7b93e6a1:150814fecb6:fb0	Membership
7b93e6a1:150814fecb6:b6f	Membership
7b93e6a1:150814fecb6:1cec	Membership
7b93e6a1:150814fecb6:-62c	Border
7b93e6a1:150814fecb6:208b	Membership
7b93e6a1:150814fecb6:79d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Province
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	Mountain
7b93e6a1:150814fecb6:241f	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	City
http://www.semwebtech.org/mondial/10/organization/WCO/	Organization
7b93e6a1:150814fecb6:267f	EthnicProportion
7b93e6a1:150814fecb6:eaf	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	City
7b93e6a1:150814fecb6:1a9	Membership
7b93e6a1:150814fecb6:-71	Membership
7b93e6a1:150814fecb6:1536	Membership
7b93e6a1:150814fecb6:23cb	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	City
7b93e6a1:150814fecb6:e0b	Membership
7b93e6a1:150814fecb6:105	Membership
7b93e6a1:150814fecb6:1b68	Membership
http://www.semwebtech.org/mondial/10/country/R/	Country
7b93e6a1:150814fecb6:1796	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Province
7b93e6a1:150814fecb6:14e2	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Province
7b93e6a1:150814fecb6:365	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Province
7b93e6a1:150814fecb6:-4f8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	City
7b93e6a1:150814fecb6:be	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	City
7b93e6a1:150814fecb6:-454	Membership
7b93e6a1:150814fecb6:1a	Membership
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	Water
7b93e6a1:150814fecb6:1ea8	Membership
7b93e6a1:150814fecb6:1a70	Membership
7b93e6a1:150814fecb6:-1a0	Membership
7b93e6a1:150814fecb6:2247	BelievedBy
7b93e6a1:150814fecb6:959	Membership
7b93e6a1:150814fecb6:1e04	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	City
http://www.semwebtech.org/mondial/10/island/Rota/	Island
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	City
7b93e6a1:150814fecb6:6a5	Membership
7b93e6a1:150814fecb6:cd7	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	City
7b93e6a1:150814fecb6:601	Membership
7b93e6a1:150814fecb6:133d	Membership
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	Water
7b93e6a1:150814fecb6:21f3	SpokenBy
7b93e6a1:150814fecb6:c33	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Province
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	City
7b93e6a1:150814fecb6:1db0	Membership
7b93e6a1:150814fecb6:861	Membership
7b93e6a1:150814fecb6:159d	Membership
7b93e6a1:150814fecb6:e93	Membership
7b93e6a1:150814fecb6:16c	Membership
http://www.semwebtech.org/mondial/10/river/Waag/	Water
7b93e6a1:150814fecb6:-2ff	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	City
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	City
7b93e6a1:150814fecb6:-25b	Membership
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	Water
http://www.semwebtech.org/mondial/10/country/RCH/	Country
7b93e6a1:150814fecb6:1caf	Membership
7b93e6a1:150814fecb6:204e	Membership
http://www.semwebtech.org/mondial/10/source/Zambezi/	Source
7b93e6a1:150814fecb6:1c0b	Membership
7b93e6a1:150814fecb6:18dd	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	City
7b93e6a1:150814fecb6:4ac	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	City
7b93e6a1:150814fecb6:ade	Membership
7b93e6a1:150814fecb6:1e6b	Membership
7b93e6a1:150814fecb6:-d8	Membership
http://www.semwebtech.org/mondial/10/source/YukonRiver/	Source
7b93e6a1:150814fecb6:1165	Membership
7b93e6a1:150814fecb6:a3a	Membership
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	Mountain
7b93e6a1:150814fecb6:-34	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Province
7b93e6a1:150814fecb6:-7fb	Encompassed
7b93e6a1:150814fecb6:25ee	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Province
7b93e6a1:150814fecb6:c9a	Membership
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	Estuary
7b93e6a1:150814fecb6:1759	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	City
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mountains
7b93e6a1:150814fecb6:1699	Membership
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	City
7b93e6a1:150814fecb6:328	Membership
7b93e6a1:150814fecb6:14a5	Membership
7b93e6a1:150814fecb6:254a	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/NamCo/	Water
7b93e6a1:150814fecb6:1ad7	Membership
7b93e6a1:150814fecb6:1401	Membership
7b93e6a1:150814fecb6:-417	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Province
7b93e6a1:150814fecb6:-d	Membership
7b93e6a1:150814fecb6:588	Membership
7b93e6a1:150814fecb6:1a33	Membership
7b93e6a1:150814fecb6:fda	Membership
7b93e6a1:150814fecb6:1661	Membership
7b93e6a1:150814fecb6:2d4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Province
7b93e6a1:150814fecb6:-677	Border
7b93e6a1:150814fecb6:230	Membership
7b93e6a1:150814fecb6:1c93	Membership
7b93e6a1:150814fecb6:-3c3	Membership
7b93e6a1:150814fecb6:21b6	SpokenBy
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	City
7b93e6a1:150814fecb6:8c8	Membership
7b93e6a1:150814fecb6:490	Membership
7b93e6a1:150814fecb6:2112	Membership
http://www.semwebtech.org/mondial/10/country/NORF/	Country
7b93e6a1:150814fecb6:19a1	Membership
7b93e6a1:150814fecb6:824	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	City
7b93e6a1:150814fecb6:-9b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Province
7b93e6a1:150814fecb6:e56	Membership
7b93e6a1:150814fecb6:1fd3	Membership
7b93e6a1:150814fecb6:12f	Membership
7b93e6a1:150814fecb6:12ac	Membership
7b93e6a1:150814fecb6:2372	BelievedBy
http://www.semwebtech.org/mondial/10/country/BRU/	Country
7b93e6a1:150814fecb6:ba2	Membership
http://www.semwebtech.org/mondial/10/source/Rhone/	Source
7b93e6a1:150814fecb6:-21e	Membership
7b93e6a1:150814fecb6:7d0	Membership
7b93e6a1:150814fecb6:38f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	Mountain
7b93e6a1:150814fecb6:-47e	Membership
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	Water
7b93e6a1:150814fecb6:65	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	City
7b93e6a1:150814fecb6:1a9a	Membership
7b93e6a1:150814fecb6:-1ca	Membership
7b93e6a1:150814fecb6:26b2	EthnicProportion
7b93e6a1:150814fecb6:1e2e	Membership
7b93e6a1:150814fecb6:1128	Membership
7b93e6a1:150814fecb6:6cf	Membership
7b93e6a1:150814fecb6:62b	Membership
7b93e6a1:150814fecb6:-7be	Encompassed
7b93e6a1:150814fecb6:1388	Membership
7b93e6a1:150814fecb6:c5d	Membership
7b93e6a1:150814fecb6:1dda	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Province
7b93e6a1:150814fecb6:-71a	Border
7b93e6a1:150814fecb6:10d4	Membership
http://www.semwebtech.org/mondial/10/island/SanAndres/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Province
7b93e6a1:150814fecb6:88b	Membership
7b93e6a1:150814fecb6:1030	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	City
7b93e6a1:150814fecb6:250d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	City
http://www.semwebtech.org/mondial/10/source/Karun/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	City
http://www.semwebtech.org/mondial/10/source/Würm/	Source
7b93e6a1:150814fecb6:16c8	Membership
7b93e6a1:150814fecb6:1290	Membership
7b93e6a1:150814fecb6:1624	Membership
7b93e6a1:150814fecb6:2099	Membership
7b93e6a1:150814fecb6:1c56	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Province
7b93e6a1:150814fecb6:4f7	Membership
7b93e6a1:150814fecb6:1884	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	Estuary
7b93e6a1:150814fecb6:453	Membership
7b93e6a1:150814fecb6:15d0	Membership
7b93e6a1:150814fecb6:-5e6	Border
7b93e6a1:150814fecb6:118f	Membership
http://www.semwebtech.org/mondial/10/islands/Philipines/	Islands
7b93e6a1:150814fecb6:a85	Membership
http://www.semwebtech.org/mondial/10/country/NEP/	Country
7b93e6a1:150814fecb6:-5e	Membership
7b93e6a1:150814fecb6:-542	Membership
7b93e6a1:150814fecb6:23d9	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	City
7b93e6a1:150814fecb6:e19	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Province
7b93e6a1:150814fecb6:2335	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	Mountain
http://www.semwebtech.org/mondial/10/organization/OSCE/	Organization
http://www.semwebtech.org/mondial/10/country/BF/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	City
http://www.semwebtech.org/mondial/10/organization/C/	Organization
7b93e6a1:150814fecb6:14cf	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Province
7b93e6a1:150814fecb6:2595	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Mountains
7b93e6a1:150814fecb6:dc5	Membership
7b93e6a1:150814fecb6:22e1	BelievedBy
7b93e6a1:150814fecb6:142b	Membership
7b93e6a1:150814fecb6:d21	Membership
7b93e6a1:150814fecb6:28	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Province
7b93e6a1:150814fecb6:9f3	Membership
7b93e6a1:150814fecb6:1a5d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	Province
http://www.semwebtech.org/mondial/10/river/RioLerma/	Water
http://www.semwebtech.org/mondial/10/organization/D-8/	Organization
7b93e6a1:150814fecb6:2fe	Membership
7b93e6a1:150814fecb6:168b	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Province
7b93e6a1:150814fecb6:f81	Membership
7b93e6a1:150814fecb6:25a	Membership
7b93e6a1:150814fecb6:-3ed	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	City
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	City
7b93e6a1:150814fecb6:213c	SpokenBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	City
7b93e6a1:150814fecb6:84e	Membership
7b93e6a1:150814fecb6:19cb	Membership
7b93e6a1:150814fecb6:239c	BelievedBy
7b93e6a1:150814fecb6:1ffd	Membership
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	Island
7b93e6a1:150814fecb6:12f7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Province
http://www.semwebtech.org/mondial/10/country/STP/	Country
7b93e6a1:150814fecb6:bcc	Membership
7b93e6a1:150814fecb6:1253	Membership
7b93e6a1:150814fecb6:-269	Membership
http://www.semwebtech.org/mondial/10/organization/G-8/	Organization
http://www.semwebtech.org/mondial/10/estuary/Neckar/	Estuary
7b93e6a1:150814fecb6:7fa	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Province
7b93e6a1:150814fecb6:1c19	Membership
7b93e6a1:150814fecb6:8f	Membership
http://www.semwebtech.org/mondial/10/language/Samoan/	Language
7b93e6a1:150814fecb6:1847	Membership
7b93e6a1:150814fecb6:416	Membership
7b93e6a1:150814fecb6:1e79	Membership
7b93e6a1:150814fecb6:-5a9	Membership
7b93e6a1:150814fecb6:-171	Membership
7b93e6a1:150814fecb6:a48	Membership
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	City
7b93e6a1:150814fecb6:1bc5	Membership
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	City
7b93e6a1:150814fecb6:-505	Membership
7b93e6a1:150814fecb6:676	Membership
7b93e6a1:150814fecb6:1b21	Membership
7b93e6a1:150814fecb6:17f3	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Province
7b93e6a1:150814fecb6:10fe	Membership
7b93e6a1:150814fecb6:3c2	Membership
7b93e6a1:150814fecb6:-765	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	City
7b93e6a1:150814fecb6:1d81	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	City
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Province
7b93e6a1:150814fecb6:-4b1	Membership
7b93e6a1:150814fecb6:105a	Membership
7b93e6a1:150814fecb6:2558	EthnicProportion
7b93e6a1:150814fecb6:22a4	BelievedBy
7b93e6a1:150814fecb6:9b6	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Province
7b93e6a1:150814fecb6:2200	SpokenBy
7b93e6a1:150814fecb6:fe8	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	City
7b93e6a1:150814fecb6:912	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	City
7b93e6a1:150814fecb6:164e	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Province
7b93e6a1:150814fecb6:f44	Membership
7b93e6a1:150814fecb6:21d	Membership
7b93e6a1:150814fecb6:2460	EthnicProportion
7b93e6a1:150814fecb6:f6e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	City
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	City
7b93e6a1:150814fecb6:-30c	Membership
http://www.semwebtech.org/mondial/10/country/IRL/	Country
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	City
7b93e6a1:150814fecb6:15fa	Membership
7b93e6a1:150814fecb6:47d	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	City
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	City
7b93e6a1:150814fecb6:ef0	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	City
7b93e6a1:150814fecb6:-56c	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Province
7b93e6a1:150814fecb6:235f	BelievedBy
7b93e6a1:150814fecb6:1f1c	Membership
7b93e6a1:150814fecb6:1216	Membership
7b93e6a1:150814fecb6:20ab	Membership
7b93e6a1:150814fecb6:7bd	Membership
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	Source
http://www.semwebtech.org/mondial/10/source/Tocantins/	Source
7b93e6a1:150814fecb6:def	Membership
7b93e6a1:150814fecb6:1476	Membership
http://www.semwebtech.org/mondial/10/island/Bohol/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	City
7b93e6a1:150814fecb6:d4b	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Province
7b93e6a1:150814fecb6:11c2	Membership
7b93e6a1:150814fecb6:-1d8	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	City
7b93e6a1:150814fecb6:-134	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	City
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	City
7b93e6a1:150814fecb6:639	Membership
7b93e6a1:150814fecb6:17b6	Membership
7b93e6a1:150814fecb6:-394	Membership
7b93e6a1:150814fecb6:1de8	Membership
7b93e6a1:150814fecb6:1712	Membership
7b93e6a1:150814fecb6:-728	Encompassed
7b93e6a1:150814fecb6:2187	SpokenBy
7b93e6a1:150814fecb6:899	Membership
7b93e6a1:150814fecb6:1d44	Membership
7b93e6a1:150814fecb6:101d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	City
7b93e6a1:150814fecb6:5e5	Membership
7b93e6a1:150814fecb6:1972	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	City
7b93e6a1:150814fecb6:541	Membership
7b93e6a1:150814fecb6:-6d4	Border
7b93e6a1:150814fecb6:127d	Membership
7b93e6a1:150814fecb6:b73	Membership
7b93e6a1:150814fecb6:1cf0	Membership
7b93e6a1:150814fecb6:-630	Border
7b93e6a1:150814fecb6:24c7	EthnicProportion
7b93e6a1:150814fecb6:f07	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Province
7b93e6a1:150814fecb6:2423	BelievedBy
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	Province
http://www.semwebtech.org/mondial/10/island/Corvo/	Island
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	City
7b93e6a1:150814fecb6:15bd	Membership
7b93e6a1:150814fecb6:-19b	Membership
7b93e6a1:150814fecb6:2683	EthnicProportion
7b93e6a1:150814fecb6:eb3	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Province
7b93e6a1:150814fecb6:1bef	Membership
7b93e6a1:150814fecb6:-52f	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	City
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Province
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Province
7b93e6a1:150814fecb6:1b4b	Membership
7b93e6a1:150814fecb6:3ec	Membership
7b93e6a1:150814fecb6:-78f	Encompassed
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Mountains
7b93e6a1:150814fecb6:-4db	Membership
7b93e6a1:150814fecb6:c2	Membership
7b93e6a1:150814fecb6:1439	Membership
7b93e6a1:150814fecb6:22ce	BelievedBy
7b93e6a1:150814fecb6:d0e	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	City
7b93e6a1:150814fecb6:222a	SpokenBy
7b93e6a1:150814fecb6:93c	Membership
7b93e6a1:150814fecb6:268	Membership
7b93e6a1:150814fecb6:13e5	Membership
7b93e6a1:150814fecb6:248a	EthnicProportion
7b93e6a1:150814fecb6:cba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	City
7b93e6a1:150814fecb6:1341	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	City
7b93e6a1:150814fecb6:-357	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	City
http://www.semwebtech.org/mondial/10/language/Maltese/	Language
7b93e6a1:150814fecb6:1d07	Membership
7b93e6a1:150814fecb6:19d9	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Province
7b93e6a1:150814fecb6:5a8	Membership
7b93e6a1:150814fecb6:f	Membership
7b93e6a1:150814fecb6:170	Membership
7b93e6a1:150814fecb6:1935	Membership
http://www.semwebtech.org/mondial/10/source/Zaire/	Source
7b93e6a1:150814fecb6:504	Membership
7b93e6a1:150814fecb6:1f67	Membership
7b93e6a1:150814fecb6:20f6	Membership
7b93e6a1:150814fecb6:b36	Membership
7b93e6a1:150814fecb6:1cb3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	City
7b93e6a1:150814fecb6:2052	Membership
7b93e6a1:150814fecb6:764	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	City
7b93e6a1:150814fecb6:18e1	Membership
7b93e6a1:150814fecb6:d96	Membership
7b93e6a1:150814fecb6:4b0	Membership
http://www.semwebtech.org/mondial/10/river/Angara/	Water
7b93e6a1:150814fecb6:11ec	Membership
7b93e6a1:150814fecb6:ae2	Membership
7b93e6a1:150814fecb6:-bb	Membership
7b93e6a1:150814fecb6:2646	EthnicProportion
7b93e6a1:150814fecb6:-15e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Province
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	Estuary
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	City
7b93e6a1:150814fecb6:1b0e	Membership
7b93e6a1:150814fecb6:3af	Membership
7b93e6a1:150814fecb6:173c	Membership
7b93e6a1:150814fecb6:25f2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	City
7b93e6a1:150814fecb6:1d6e	Membership
7b93e6a1:150814fecb6:30b	Membership
7b93e6a1:150814fecb6:1068	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	City
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	Water
7b93e6a1:150814fecb6:1aba	Membership
7b93e6a1:150814fecb6:199c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	City
http://www.semwebtech.org/mondial/10/source/Aruwimi/	Source
7b93e6a1:150814fecb6:56b	Membership
7b93e6a1:150814fecb6:-6fe	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	City
7b93e6a1:150814fecb6:b9d	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	City
7b93e6a1:150814fecb6:-65a	Border
http://www.semwebtech.org/mondial/10/organization/CACM/	Organization
7b93e6a1:150814fecb6:13a8	Membership
7b93e6a1:150814fecb6:244d	BelievedBy
7b93e6a1:150814fecb6:1304	Membership
http://www.semwebtech.org/mondial/10/source/Lena/	Source
7b93e6a1:150814fecb6:8ab	Membership
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	Water
7b93e6a1:150814fecb6:edd	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Province
7b93e6a1:150814fecb6:1d7	Membership
7b93e6a1:150814fecb6:1564	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	City
7b93e6a1:150814fecb6:1b96	Membership
7b93e6a1:150814fecb6:133	Membership
7b93e6a1:150814fecb6:12b0	Membership
7b93e6a1:150814fecb6:-2c6	Membership
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	City
http://www.semwebtech.org/mondial/10/island/GrandCayman/	Island
7b93e6a1:150814fecb6:-222	Membership
http://www.semwebtech.org/mondial/10/estuary/Bani/	Estuary
7b93e6a1:150814fecb6:20b9	Membership
7b93e6a1:150814fecb6:393	Membership
http://www.semwebtech.org/mondial/10/island/Pico/	Island
7b93e6a1:150814fecb6:ec	Membership
7b93e6a1:150814fecb6:2015	Membership
http://www.semwebtech.org/mondial/10/island/Kreta/	Island
7b93e6a1:150814fecb6:727	Membership
7b93e6a1:150814fecb6:18a4	Membership
7b93e6a1:150814fecb6:-482	Membership
http://www.semwebtech.org/mondial/10/mountain/Semeru/	Mountain
7b93e6a1:150814fecb6:d59	Membership
7b93e6a1:150814fecb6:1ed6	Membership
7b93e6a1:150814fecb6:1800	Membership
7b93e6a1:150814fecb6:-816	Encompassed
7b93e6a1:150814fecb6:11af	Membership
7b93e6a1:150814fecb6:2275	BelievedBy
7b93e6a1:150814fecb6:aa5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	City
7b93e6a1:150814fecb6:987	Membership
7b93e6a1:150814fecb6:1e32	Membership
7b93e6a1:150814fecb6:110b	Membership
7b93e6a1:150814fecb6:2609	EthnicProportion
7b93e6a1:150814fecb6:6d3	Membership
7b93e6a1:150814fecb6:a01	Membership
http://www.semwebtech.org/mondial/10/country/KOS/	Country
7b93e6a1:150814fecb6:-7c2	Encompassed
7b93e6a1:150814fecb6:136b	Membership
7b93e6a1:150814fecb6:c61	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Province
7b93e6a1:150814fecb6:25b5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/London/	Province
7b93e6a1:150814fecb6:2511	EthnicProportion
7b93e6a1:150814fecb6:19a	Membership
7b93e6a1:150814fecb6:195f	Membership
7b93e6a1:150814fecb6:52e	Membership
7b93e6a1:150814fecb6:16ab	Membership
7b93e6a1:150814fecb6:fa1	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Province
7b93e6a1:150814fecb6:1cdd	Membership
7b93e6a1:150814fecb6:-61d	Border
7b93e6a1:150814fecb6:207c	Membership
http://www.semwebtech.org/mondial/10/river/Luvua/	Water
7b93e6a1:150814fecb6:78e	Membership
7b93e6a1:150814fecb6:4da	Membership
7b93e6a1:150814fecb6:1193	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Province
7b93e6a1:150814fecb6:-62	Membership
7b93e6a1:150814fecb6:1527	Membership
7b93e6a1:150814fecb6:23bc	BelievedBy
7b93e6a1:150814fecb6:1b59	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	City
7b93e6a1:150814fecb6:1787	Membership
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Province
7b93e6a1:150814fecb6:356	Membership
7b93e6a1:150814fecb6:14d3	Membership
7b93e6a1:150814fecb6:-4e9	Membership
7b93e6a1:150814fecb6:af	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	City
7b93e6a1:150814fecb6:-445	Membership
http://www.semwebtech.org/mondial/10/island/Texel/	Island
7b93e6a1:150814fecb6:1a61	Membership
7b93e6a1:150814fecb6:2238	BelievedBy
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	City
7b93e6a1:150814fecb6:-3f1	Membership
7b93e6a1:150814fecb6:2498	EthnicProportion
7b93e6a1:150814fecb6:cc8	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	City
7b93e6a1:150814fecb6:132e	Membership
http://www.semwebtech.org/mondial/10/language/Roma/	Language
7b93e6a1:150814fecb6:21e4	SpokenBy
7b93e6a1:150814fecb6:c24	Membership
7b93e6a1:150814fecb6:8f6	Membership
7b93e6a1:150814fecb6:1da1	Membership
7b93e6a1:150814fecb6:2140	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	City
7b93e6a1:150814fecb6:852	Membership
7b93e6a1:150814fecb6:158e	Membership
7b93e6a1:150814fecb6:e84	Membership
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	City
7b93e6a1:150814fecb6:15d	Membership
7b93e6a1:150814fecb6:12da	Membership
7b93e6a1:150814fecb6:bd0	Membership
7b93e6a1:150814fecb6:-24c	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Province
7b93e6a1:150814fecb6:203f	Membership
7b93e6a1:150814fecb6:18ce	Membership
7b93e6a1:150814fecb6:93	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/island/Dominica/	Island
7b93e6a1:150814fecb6:182a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	City
7b93e6a1:150814fecb6:229f	BelievedBy
7b93e6a1:150814fecb6:acf	Membership
7b93e6a1:150814fecb6:1e5c	Membership
7b93e6a1:150814fecb6:-c9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	EthnicGroup
7b93e6a1:150814fecb6:1156	Membership
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	Water
7b93e6a1:150814fecb6:6fd	Membership
7b93e6a1:150814fecb6:a2b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	City
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	City
7b93e6a1:150814fecb6:-25	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	Province
7b93e6a1:150814fecb6:-7ec	Encompassed
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Province
7b93e6a1:150814fecb6:1207	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	City
7b93e6a1:150814fecb6:c8b	Membership
7b93e6a1:150814fecb6:25df	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Province
7b93e6a1:150814fecb6:319	Membership
7b93e6a1:150814fecb6:253b	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	Desert
7b93e6a1:150814fecb6:1ac8	Membership
7b93e6a1:150814fecb6:-408	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Province
7b93e6a1:150814fecb6:579	Membership
7b93e6a1:150814fecb6:1a24	Membership
7b93e6a1:150814fecb6:16f6	Membership
7b93e6a1:150814fecb6:fcb	Membership
7b93e6a1:150814fecb6:2c5	Membership
7b93e6a1:150814fecb6:1652	Membership
7b93e6a1:150814fecb6:-668	Border
http://www.semwebtech.org/mondial/10/country/AUS/	Country
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	City
http://www.semwebtech.org/mondial/10/source/Reuss/	Source
7b93e6a1:150814fecb6:221	Membership
7b93e6a1:150814fecb6:1c84	Membership
7b93e6a1:150814fecb6:-3b4	Membership
7b93e6a1:150814fecb6:-310	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	City
7b93e6a1:150814fecb6:21a7	SpokenBy
7b93e6a1:150814fecb6:8b9	Membership
7b93e6a1:150814fecb6:481	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	City
7b93e6a1:150814fecb6:2103	Membership
7b93e6a1:150814fecb6:815	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Province
7b93e6a1:150814fecb6:-8c	Membership
7b93e6a1:150814fecb6:-570	Membership
7b93e6a1:150814fecb6:e47	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	City
7b93e6a1:150814fecb6:1fc4	Membership
7b93e6a1:150814fecb6:2363	BelievedBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Province
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	Water
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	City
7b93e6a1:150814fecb6:1f20	Membership
7b93e6a1:150814fecb6:-20f	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Province
7b93e6a1:150814fecb6:7c1	Membership
7b93e6a1:150814fecb6:14fd	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	EthnicGroup
7b93e6a1:150814fecb6:df3	Membership
http://www.semwebtech.org/mondial/10/language/Macedonian/	Language
7b93e6a1:150814fecb6:-46f	Membership
7b93e6a1:150814fecb6:56	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Province
http://www.semwebtech.org/mondial/10/source/WesternMorava/	Source
7b93e6a1:150814fecb6:1a8b	Membership
7b93e6a1:150814fecb6:-1bb	Membership
7b93e6a1:150814fecb6:26a3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Province
7b93e6a1:150814fecb6:1e1f	Membership
7b93e6a1:150814fecb6:1119	Membership
7b93e6a1:150814fecb6:61c	Membership
http://www.semwebtech.org/mondial/10/river/Baro/	Water
7b93e6a1:150814fecb6:-7af	Encompassed
7b93e6a1:150814fecb6:1379	Membership
7b93e6a1:150814fecb6:c4e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	Province
7b93e6a1:150814fecb6:1dcb	Membership
7b93e6a1:150814fecb6:-70b	Border
7b93e6a1:150814fecb6:10c5	Membership
7b93e6a1:150814fecb6:216a	SpokenBy
7b93e6a1:150814fecb6:87c	Membership
7b93e6a1:150814fecb6:1021	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	City
7b93e6a1:150814fecb6:bfa	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	City
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	Source
7b93e6a1:150814fecb6:16b9	Membership
7b93e6a1:150814fecb6:1281	Membership
7b93e6a1:150814fecb6:-297	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	City
7b93e6a1:150814fecb6:1615	Membership
7b93e6a1:150814fecb6:24aa	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	City
7b93e6a1:150814fecb6:1c47	Membership
7b93e6a1:150814fecb6:4e8	Membership
7b93e6a1:150814fecb6:1875	Membership
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	Estuary
7b93e6a1:150814fecb6:444	Membership
7b93e6a1:150814fecb6:15c1	Membership
7b93e6a1:150814fecb6:-5d7	Membership
7b93e6a1:150814fecb6:a76	Membership
7b93e6a1:150814fecb6:1bf3	Membership
7b93e6a1:150814fecb6:-4f	Membership
7b93e6a1:150814fecb6:-533	Membership
http://www.semwebtech.org/mondial/10/river/Kura/	Water
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Province
7b93e6a1:150814fecb6:2326	BelievedBy
7b93e6a1:150814fecb6:3f0	Membership
7b93e6a1:150814fecb6:-793	Encompassed
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Mountains
7b93e6a1:150814fecb6:2586	EthnicProportion
7b93e6a1:150814fecb6:db6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	EthnicGroup
7b93e6a1:150814fecb6:141c	Membership
7b93e6a1:150814fecb6:22d2	BelievedBy
7b93e6a1:150814fecb6:19	Membership
7b93e6a1:150814fecb6:d12	Membership
7b93e6a1:150814fecb6:9e4	Membership
7b93e6a1:150814fecb6:1a4e	Membership
7b93e6a1:150814fecb6:940	Membership
7b93e6a1:150814fecb6:2ef	Membership
7b93e6a1:150814fecb6:167c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	City
7b93e6a1:150814fecb6:f72	Membership
7b93e6a1:150814fecb6:24b	Membership
7b93e6a1:150814fecb6:-3de	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Drin/	Water
http://www.semwebtech.org/mondial/10/source/WesternBug/	Source
7b93e6a1:150814fecb6:-33a	Membership
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	City
7b93e6a1:150814fecb6:212d	SpokenBy
http://www.semwebtech.org/mondial/10/source/Paraguay/	Source
7b93e6a1:150814fecb6:83f	Membership
7b93e6a1:150814fecb6:19bc	Membership
7b93e6a1:150814fecb6:-59a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	City
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Province
7b93e6a1:150814fecb6:1fee	Membership
7b93e6a1:150814fecb6:12e8	Membership
7b93e6a1:150814fecb6:238d	BelievedBy
7b93e6a1:150814fecb6:bbd	Membership
7b93e6a1:150814fecb6:1f4a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	City
7b93e6a1:150814fecb6:1244	Membership
7b93e6a1:150814fecb6:7eb	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	City
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	City
7b93e6a1:150814fecb6:1838	Membership
7b93e6a1:150814fecb6:11f0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	EthnicGroup
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	Source
7b93e6a1:150814fecb6:407	Membership
7b93e6a1:150814fecb6:-162	Membership
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	Estuary
http://www.semwebtech.org/mondial/10/source/Mincio/	Source
7b93e6a1:150814fecb6:a39	Membership
http://www.semwebtech.org/mondial/10/lake/LakeTana/	Water
7b93e6a1:150814fecb6:1bb6	Membership
7b93e6a1:150814fecb6:1b12	Membership
7b93e6a1:150814fecb6:667	Membership
7b93e6a1:150814fecb6:17e4	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	City
http://www.semwebtech.org/mondial/10/island/NewGuinea/	Island
http://www.semwebtech.org/mondial/10/island/Leyte/	Island
http://www.semwebtech.org/mondial/10/river/RioMamore/	Water
7b93e6a1:150814fecb6:c99	Membership
7b93e6a1:150814fecb6:3b3	Membership
7b93e6a1:150814fecb6:1740	Membership
7b93e6a1:150814fecb6:-756	Encompassed
7b93e6a1:150814fecb6:10ef	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	City
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	Mountain
7b93e6a1:150814fecb6:1d72	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	City
http://www.semwebtech.org/mondial/10/country/CEU/	Country
7b93e6a1:150814fecb6:-4a2	Membership
7b93e6a1:150814fecb6:104b	Membership
7b93e6a1:150814fecb6:2549	EthnicProportion
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	Island
7b93e6a1:150814fecb6:9a7	Membership
7b93e6a1:150814fecb6:fd9	Membership
7b93e6a1:150814fecb6:903	Membership
7b93e6a1:150814fecb6:163f	Membership
7b93e6a1:150814fecb6:24f5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Province
7b93e6a1:150814fecb6:f35	Membership
7b93e6a1:150814fecb6:20e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	City
7b93e6a1:150814fecb6:2451	BelievedBy
http://www.semwebtech.org/mondial/10/country/DZ/	Country
7b93e6a1:150814fecb6:189f	Membership
7b93e6a1:150814fecb6:46e	Membership
7b93e6a1:150814fecb6:15eb	Membership
7b93e6a1:150814fecb6:ee1	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	City
7b93e6a1:150814fecb6:1ba	Membership
7b93e6a1:150814fecb6:-55d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	City
7b93e6a1:150814fecb6:1f0d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	City
7b93e6a1:150814fecb6:7ae	Membership
7b93e6a1:150814fecb6:f0	Membership
7b93e6a1:150814fecb6:70a	Membership
7b93e6a1:150814fecb6:22fc	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	Mountain
7b93e6a1:150814fecb6:1467	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	City
http://www.semwebtech.org/mondial/10/river/Elbe/	Water
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	City
7b93e6a1:150814fecb6:d3c	Membership
7b93e6a1:150814fecb6:1a99	Membership
7b93e6a1:150814fecb6:11b3	Membership
http://www.semwebtech.org/mondial/10/country/MS/	Country
7b93e6a1:150814fecb6:-1c9	Membership
7b93e6a1:150814fecb6:96a	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	City
7b93e6a1:150814fecb6:-125	Membership
7b93e6a1:150814fecb6:f9c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Province
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	Island
7b93e6a1:150814fecb6:296	Membership
http://www.semwebtech.org/mondial/10/mountain/MtHood/	Mountain
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	Mountain
7b93e6a1:150814fecb6:17a7	Membership
7b93e6a1:150814fecb6:-385	Membership
7b93e6a1:150814fecb6:1dd9	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	City
7b93e6a1:150814fecb6:1703	Membership
7b93e6a1:150814fecb6:-719	Border
7b93e6a1:150814fecb6:2178	SpokenBy
7b93e6a1:150814fecb6:1d35	Membership
7b93e6a1:150814fecb6:100e	Membership
7b93e6a1:150814fecb6:5d6	Membership
7b93e6a1:150814fecb6:1963	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	Desert
7b93e6a1:150814fecb6:532	Membership
7b93e6a1:150814fecb6:1f95	Membership
7b93e6a1:150814fecb6:-6c5	Border
7b93e6a1:150814fecb6:126e	Membership
7b93e6a1:150814fecb6:b64	Membership
7b93e6a1:150814fecb6:24b8	EthnicProportion
7b93e6a1:150814fecb6:1ce1	Membership
7b93e6a1:150814fecb6:-621	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	City
7b93e6a1:150814fecb6:2080	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Province
7b93e6a1:150814fecb6:792	Membership
http://www.semwebtech.org/mondial/10/river/Maas/	Water
7b93e6a1:150814fecb6:2414	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	EthnicGroup
7b93e6a1:150814fecb6:15ae	Membership
7b93e6a1:150814fecb6:-18c	Membership
7b93e6a1:150814fecb6:2674	EthnicProportion
7b93e6a1:150814fecb6:ea4	Membership
7b93e6a1:150814fecb6:150a	Membership
7b93e6a1:150814fecb6:23c0	BelievedBy
7b93e6a1:150814fecb6:e00	Membership
7b93e6a1:150814fecb6:1b3c	Membership
7b93e6a1:150814fecb6:3dd	Membership
7b93e6a1:150814fecb6:176a	Membership
7b93e6a1:150814fecb6:1d9c	Membership
7b93e6a1:150814fecb6:-4cc	Membership
7b93e6a1:150814fecb6:1096	Membership
7b93e6a1:150814fecb6:b3	Membership
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	Mountain
7b93e6a1:150814fecb6:22bf	BelievedBy
7b93e6a1:150814fecb6:221b	SpokenBy
7b93e6a1:150814fecb6:92d	Membership
7b93e6a1:150814fecb6:f5f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Province
7b93e6a1:150814fecb6:259	Membership
7b93e6a1:150814fecb6:13d6	Membership
7b93e6a1:150814fecb6:247b	EthnicProportion
7b93e6a1:150814fecb6:cab	Membership
http://www.semwebtech.org/mondial/10/island/Tutuila/	Island
7b93e6a1:150814fecb6:1332	Membership
7b93e6a1:150814fecb6:-348	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Province
http://www.semwebtech.org/mondial/10/country/E/	Country
http://www.semwebtech.org/mondial/10/source/Isar/	Source
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	City
7b93e6a1:150814fecb6:1592	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	City
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	City
http://www.semwebtech.org/mondial/10/mountain/Uluru/	Mountain
7b93e6a1:150814fecb6:161	Membership
7b93e6a1:150814fecb6:1926	Membership
7b93e6a1:150814fecb6:-2f4	Membership
http://www.semwebtech.org/mondial/10/island/Zhoushan/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Province
7b93e6a1:150814fecb6:1f58	Membership
7b93e6a1:150814fecb6:-250	Membership
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	City
7b93e6a1:150814fecb6:20e7	Membership
7b93e6a1:150814fecb6:b27	Membership
7b93e6a1:150814fecb6:7f9	Membership
7b93e6a1:150814fecb6:1ca4	Membership
7b93e6a1:150814fecb6:2043	Membership
7b93e6a1:150814fecb6:755	Membership
7b93e6a1:150814fecb6:1c00	Membership
7b93e6a1:150814fecb6:18d2	Membership
7b93e6a1:150814fecb6:d87	Membership
7b93e6a1:150814fecb6:4a1	Membership
7b93e6a1:150814fecb6:11dd	Membership
7b93e6a1:150814fecb6:ad3	Membership
7b93e6a1:150814fecb6:1e60	Membership
7b93e6a1:150814fecb6:-ac	Membership
7b93e6a1:150814fecb6:-14f	Membership
7b93e6a1:150814fecb6:2637	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Prypjat/	Source
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	Water
7b93e6a1:150814fecb6:-7f0	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	City
7b93e6a1:150814fecb6:172d	Membership
7b93e6a1:150814fecb6:25e3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	City
7b93e6a1:150814fecb6:1d5f	Membership
7b93e6a1:150814fecb6:1059	Membership
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	City
7b93e6a1:150814fecb6:1aab	Membership
7b93e6a1:150814fecb6:198d	Membership
7b93e6a1:150814fecb6:-2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Province
7b93e6a1:150814fecb6:55c	Membership
7b93e6a1:150814fecb6:-6ef	Border
7b93e6a1:150814fecb6:b8e	Membership
7b93e6a1:150814fecb6:-64b	Border
http://www.semwebtech.org/mondial/10/country/MEL/	Country
7b93e6a1:150814fecb6:243e	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/YuShan/	Mountain
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	City
http://www.semwebtech.org/mondial/10/country/RIM/	Country
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	City
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	City
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Province
7b93e6a1:150814fecb6:15f9	Membership
7b93e6a1:150814fecb6:269e	EthnicProportion
7b93e6a1:150814fecb6:ece	Membership
7b93e6a1:150814fecb6:1c8	Membership
7b93e6a1:150814fecb6:-90	Membership
7b93e6a1:150814fecb6:1555	Membership
7b93e6a1:150814fecb6:23ea	BelievedBy
7b93e6a1:150814fecb6:e2a	Membership
7b93e6a1:150814fecb6:1b87	Membership
7b93e6a1:150814fecb6:124	Membership
7b93e6a1:150814fecb6:12a1	Membership
7b93e6a1:150814fecb6:-2b7	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	City
7b93e6a1:150814fecb6:-213	Membership
7b93e6a1:150814fecb6:384	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	City
7b93e6a1:150814fecb6:dd	Membership
7b93e6a1:150814fecb6:2006	Membership
7b93e6a1:150814fecb6:718	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	City
7b93e6a1:150814fecb6:-473	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	City
http://www.semwebtech.org/mondial/10/country/MNE/	Country
7b93e6a1:150814fecb6:1ec7	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	City
7b93e6a1:150814fecb6:-807	Encompassed
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	City
7b93e6a1:150814fecb6:2266	BelievedBy
http://www.semwebtech.org/mondial/10/islands/Japan/	Islands
7b93e6a1:150814fecb6:978	Membership
http://www.semwebtech.org/mondial/10/language/Nepali/	Language
7b93e6a1:150814fecb6:1e23	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Province
7b93e6a1:150814fecb6:6c4	Membership
7b93e6a1:150814fecb6:cf6	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	City
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Province
7b93e6a1:150814fecb6:620	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	City
7b93e6a1:150814fecb6:-7b3	Encompassed
7b93e6a1:150814fecb6:135c	Membership
http://www.semwebtech.org/mondial/10/language/Guarani/	Language
7b93e6a1:150814fecb6:c52	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	City
7b93e6a1:150814fecb6:25a6	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	City
7b93e6a1:150814fecb6:880	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	City
7b93e6a1:150814fecb6:2502	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	Water
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	City
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Province
7b93e6a1:150814fecb6:18b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	City
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	Organization
7b93e6a1:150814fecb6:51f	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	City
7b93e6a1:150814fecb6:-27a	Membership
7b93e6a1:150814fecb6:1cce	Membership
7b93e6a1:150814fecb6:-60e	Border
7b93e6a1:150814fecb6:206d	Membership
7b93e6a1:150814fecb6:1c2a	Membership
7b93e6a1:150814fecb6:77f	Membership
7b93e6a1:150814fecb6:18fc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	City
7b93e6a1:150814fecb6:4cb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	City
http://www.semwebtech.org/mondial/10/river/Nile/	Water
7b93e6a1:150814fecb6:1e8a	Membership
7b93e6a1:150814fecb6:afd	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	City
7b93e6a1:150814fecb6:-f7	Membership
7b93e6a1:150814fecb6:-5ba	Membership
7b93e6a1:150814fecb6:1184	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	City
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Province
7b93e6a1:150814fecb6:-53	Membership
7b93e6a1:150814fecb6:1518	Membership
7b93e6a1:150814fecb6:23ad	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	City
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	City
7b93e6a1:150814fecb6:1778	Membership
7b93e6a1:150814fecb6:347	Membership
7b93e6a1:150814fecb6:14c4	Membership
7b93e6a1:150814fecb6:1af6	Membership
7b93e6a1:150814fecb6:1420	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Province
7b93e6a1:150814fecb6:-436	Membership
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	Source
7b93e6a1:150814fecb6:1a52	Membership
7b93e6a1:150814fecb6:2229	SpokenBy
7b93e6a1:150814fecb6:2f3	Membership
7b93e6a1:150814fecb6:1680	Membership
7b93e6a1:150814fecb6:-696	Border
7b93e6a1:150814fecb6:-3e2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	City
7b93e6a1:150814fecb6:2489	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	City
7b93e6a1:150814fecb6:cb9	Membership
7b93e6a1:150814fecb6:21d5	SpokenBy
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	City
7b93e6a1:150814fecb6:131f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	City
7b93e6a1:150814fecb6:c15	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	City
7b93e6a1:150814fecb6:8e7	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	City
7b93e6a1:150814fecb6:2131	SpokenBy
7b93e6a1:150814fecb6:843	Membership
7b93e6a1:150814fecb6:19c0	Membership
7b93e6a1:150814fecb6:157f	Membership
7b93e6a1:150814fecb6:e75	Membership
7b93e6a1:150814fecb6:1ff2	Membership
7b93e6a1:150814fecb6:14e	Membership
7b93e6a1:150814fecb6:12cb	Membership
7b93e6a1:150814fecb6:2391	BelievedBy
7b93e6a1:150814fecb6:bc1	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	Mountain
7b93e6a1:150814fecb6:-23d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	City
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	Estuary
7b93e6a1:150814fecb6:18bf	Membership
7b93e6a1:150814fecb6:-49d	Membership
7b93e6a1:150814fecb6:84	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	City
7b93e6a1:150814fecb6:181b	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	City
http://www.semwebtech.org/mondial/10/island/Ikaria/	Island
7b93e6a1:150814fecb6:1e4d	Membership
7b93e6a1:150814fecb6:1147	Membership
7b93e6a1:150814fecb6:6ee	Membership
7b93e6a1:150814fecb6:a1c	Membership
7b93e6a1:150814fecb6:-16	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Province
7b93e6a1:150814fecb6:64a	Membership
http://www.semwebtech.org/mondial/10/language/Papiamento/	Language
7b93e6a1:150814fecb6:-7dd	Encompassed
7b93e6a1:150814fecb6:c7c	Membership
7b93e6a1:150814fecb6:10f3	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Province
7b93e6a1:150814fecb6:252c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	City
7b93e6a1:150814fecb6:1ab9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	City
7b93e6a1:150814fecb6:1a15	Membership
7b93e6a1:150814fecb6:16e7	Membership
http://www.semwebtech.org/mondial/10/river/Ganges/	Water
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Province
7b93e6a1:150814fecb6:fbc	Membership
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	Island
7b93e6a1:150814fecb6:2b6	Membership
7b93e6a1:150814fecb6:1643	Membership
7b93e6a1:150814fecb6:-659	Border
7b93e6a1:150814fecb6:1c75	Membership
7b93e6a1:150814fecb6:212	Membership
7b93e6a1:150814fecb6:-3a5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	City
7b93e6a1:150814fecb6:-301	Membership
http://www.semwebtech.org/mondial/10/source/Weser/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Province
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	City
7b93e6a1:150814fecb6:472	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	EthnicGroup
7b93e6a1:150814fecb6:806	Membership
7b93e6a1:150814fecb6:-7d	Membership
7b93e6a1:150814fecb6:-561	Membership
7b93e6a1:150814fecb6:23f8	BelievedBy
7b93e6a1:150814fecb6:e38	Membership
7b93e6a1:150814fecb6:1fb5	Membership
7b93e6a1:150814fecb6:2354	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Province
http://www.semwebtech.org/mondial/10/organization/ZC/	Organization
7b93e6a1:150814fecb6:1f11	Membership
http://www.semwebtech.org/mondial/10/country/WV/	Country
7b93e6a1:150814fecb6:20a0	Membership
7b93e6a1:150814fecb6:7b2	Membership
7b93e6a1:150814fecb6:14ee	Membership
http://www.semwebtech.org/mondial/10/estuary/Kura/	Estuary
http://www.semwebtech.org/mondial/10/source/Loire/	Source
7b93e6a1:150814fecb6:de4	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	City
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	Water
7b93e6a1:150814fecb6:144a	Membership
http://www.semwebtech.org/mondial/10/river/Tocantins/	Water
7b93e6a1:150814fecb6:47	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Province
7b93e6a1:150814fecb6:d40	Membership
7b93e6a1:150814fecb6:1a7c	Membership
7b93e6a1:150814fecb6:-1ac	Membership
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Province
7b93e6a1:150814fecb6:60d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	City
7b93e6a1:150814fecb6:21ff	SpokenBy
7b93e6a1:150814fecb6:c3f	Membership
7b93e6a1:150814fecb6:1dbc	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	City
7b93e6a1:150814fecb6:10b6	Membership
7b93e6a1:150814fecb6:215b	SpokenBy
7b93e6a1:150814fecb6:86d	Membership
7b93e6a1:150814fecb6:19ea	Membership
http://www.semwebtech.org/mondial/10/religion/Adventist/	Religion
7b93e6a1:150814fecb6:1012	Membership
http://www.semwebtech.org/mondial/10/estuary/Drin/	Estuary
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Province
7b93e6a1:150814fecb6:e9f	Membership
7b93e6a1:150814fecb6:199	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	City
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	City
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	Water
7b93e6a1:150814fecb6:beb	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	City
7b93e6a1:150814fecb6:1272	Membership
http://www.semwebtech.org/mondial/10/country/GBJ/	Country
7b93e6a1:150814fecb6:-288	Membership
http://www.semwebtech.org/mondial/10/island/Benbecula/	Island
7b93e6a1:150814fecb6:1606	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	City
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Province
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	City
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	Island
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	City
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Province
7b93e6a1:150814fecb6:1c38	Membership
7b93e6a1:150814fecb6:4d9	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	City
7b93e6a1:150814fecb6:1866	Membership
7b93e6a1:150814fecb6:1e98	Membership
7b93e6a1:150814fecb6:435	Membership
7b93e6a1:150814fecb6:15b2	Membership
7b93e6a1:150814fecb6:-5c8	Membership
7b93e6a1:150814fecb6:-190	Membership
7b93e6a1:150814fecb6:a67	Membership
7b93e6a1:150814fecb6:1be4	Membership
7b93e6a1:150814fecb6:-524	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	City
7b93e6a1:150814fecb6:695	Membership
7b93e6a1:150814fecb6:1b40	Membership
http://www.semwebtech.org/mondial/10/island/Banaba/	Island
7b93e6a1:150814fecb6:2317	BelievedBy
http://www.semwebtech.org/mondial/10/river/Ubangi/	Water
7b93e6a1:150814fecb6:3e1	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	City
7b93e6a1:150814fecb6:-784	Encompassed
7b93e6a1:150814fecb6:-4d0	Membership
http://www.semwebtech.org/mondial/10/language/Romansch/	Language
7b93e6a1:150814fecb6:2577	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Province
7b93e6a1:150814fecb6:da7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	City
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	Mountain
7b93e6a1:150814fecb6:140d	Membership
7b93e6a1:150814fecb6:22c3	BelievedBy
7b93e6a1:150814fecb6:d03	Membership
7b93e6a1:150814fecb6:9d5	Membership
7b93e6a1:150814fecb6:1a3f	Membership
7b93e6a1:150814fecb6:931	Membership
7b93e6a1:150814fecb6:166d	Membership
7b93e6a1:150814fecb6:f63	Membership
7b93e6a1:150814fecb6:23c	Membership
7b93e6a1:150814fecb6:1c9f	Membership
7b93e6a1:150814fecb6:-3cf	Membership
http://www.semwebtech.org/mondial/10/language/Dutch/	Language
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	EthnicGroup
7b93e6a1:150814fecb6:-32b	Membership
7b93e6a1:150814fecb6:49c	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	City
http://www.semwebtech.org/mondial/10/island/Male/	Island
7b93e6a1:150814fecb6:211e	SpokenBy
7b93e6a1:150814fecb6:19ad	Membership
7b93e6a1:150814fecb6:-58b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	City
7b93e6a1:150814fecb6:4	Membership
7b93e6a1:150814fecb6:1fdf	Membership
7b93e6a1:150814fecb6:12d9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	City
7b93e6a1:150814fecb6:237e	BelievedBy
7b93e6a1:150814fecb6:bae	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	City
http://www.semwebtech.org/mondial/10/source/Tara/	Source
7b93e6a1:150814fecb6:1f3b	Membership
7b93e6a1:150814fecb6:1235	Membership
http://www.semwebtech.org/mondial/10/language/Turkmen/	Language
7b93e6a1:150814fecb6:20ca	Membership
7b93e6a1:150814fecb6:b0a	Membership
7b93e6a1:150814fecb6:7dc	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Province
7b93e6a1:150814fecb6:1495	Membership
7b93e6a1:150814fecb6:d6a	Membership
7b93e6a1:150814fecb6:1829	Membership
7b93e6a1:150814fecb6:11e1	Membership
7b93e6a1:150814fecb6:-1f7	Membership
7b93e6a1:150814fecb6:26be	EthnicProportion
7b93e6a1:150814fecb6:-b0	Membership
7b93e6a1:150814fecb6:261a	EthnicProportion
7b93e6a1:150814fecb6:-153	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	City
7b93e6a1:150814fecb6:1ba7	Membership
7b93e6a1:150814fecb6:1b03	Membership
7b93e6a1:150814fecb6:658	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Province
7b93e6a1:150814fecb6:17d5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	City
7b93e6a1:150814fecb6:3a4	Membership
7b93e6a1:150814fecb6:1731	Membership
7b93e6a1:150814fecb6:-747	Encompassed
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Province
7b93e6a1:150814fecb6:300	Membership
7b93e6a1:150814fecb6:1d63	Membership
7b93e6a1:150814fecb6:103c	Membership
7b93e6a1:150814fecb6:1991	Membership
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	Island
7b93e6a1:150814fecb6:560	Membership
http://www.semwebtech.org/mondial/10/island/Greenland/	Island
7b93e6a1:150814fecb6:-6f3	Border
7b93e6a1:150814fecb6:129c	Membership
http://www.semwebtech.org/mondial/10/river/Jubba/	Water
7b93e6a1:150814fecb6:b92	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	City
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Province
7b93e6a1:150814fecb6:24e6	EthnicProportion
7b93e6a1:150814fecb6:f26	Membership
7b93e6a1:150814fecb6:2442	BelievedBy
7b93e6a1:150814fecb6:8a0	Membership
7b93e6a1:150814fecb6:45f	Membership
7b93e6a1:150814fecb6:15dc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	City
7b93e6a1:150814fecb6:ed2	Membership
7b93e6a1:150814fecb6:1ab	Membership
7b93e6a1:150814fecb6:-54e	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	City
7b93e6a1:150814fecb6:1b6a	Membership
http://www.semwebtech.org/mondial/10/mountain/Katla/	Mountain
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	City
7b93e6a1:150814fecb6:1eb8	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/river/Rhein/	Water
7b93e6a1:150814fecb6:-4fa	Membership
7b93e6a1:150814fecb6:e1	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	City
7b93e6a1:150814fecb6:1458	Membership
7b93e6a1:150814fecb6:22ed	BelievedBy
http://www.semwebtech.org/mondial/10/islands/Svalbard/	Islands
7b93e6a1:150814fecb6:d2d	Membership
7b93e6a1:150814fecb6:9ff	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	City
7b93e6a1:150814fecb6:1eaa	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Province
7b93e6a1:150814fecb6:11a4	Membership
http://www.semwebtech.org/mondial/10/desert/Qaidam/	Desert
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	EthnicGroup
7b93e6a1:150814fecb6:95b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Mountains
7b93e6a1:150814fecb6:1100	Membership
7b93e6a1:150814fecb6:-116	Membership
7b93e6a1:150814fecb6:f8d	Membership
7b93e6a1:150814fecb6:287	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	City
7b93e6a1:150814fecb6:1360	Membership
7b93e6a1:150814fecb6:-376	Membership
http://www.semwebtech.org/mondial/10/island/Terceira/	Island
7b93e6a1:150814fecb6:2169	SpokenBy
7b93e6a1:150814fecb6:1d26	Membership
7b93e6a1:150814fecb6:19f8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	City
7b93e6a1:150814fecb6:5c7	Membership
7b93e6a1:150814fecb6:1954	Membership
7b93e6a1:150814fecb6:1f86	Membership
7b93e6a1:150814fecb6:bf9	Membership
7b93e6a1:150814fecb6:523	Membership
7b93e6a1:150814fecb6:16a0	Membership
7b93e6a1:150814fecb6:-6b6	Border
7b93e6a1:150814fecb6:125f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	City
7b93e6a1:150814fecb6:b55	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Province
7b93e6a1:150814fecb6:1cd2	Membership
7b93e6a1:150814fecb6:-612	Border
7b93e6a1:150814fecb6:24a9	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Kasai/	Estuary
7b93e6a1:150814fecb6:2071	Membership
http://www.semwebtech.org/mondial/10/island/Tiree/	Island
7b93e6a1:150814fecb6:783	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Province
http://www.semwebtech.org/mondial/10/estuary/Drina/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	City
7b93e6a1:150814fecb6:2405	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	City
7b93e6a1:150814fecb6:-da	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Province
7b93e6a1:150814fecb6:-17d	Membership
7b93e6a1:150814fecb6:2665	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Province
7b93e6a1:150814fecb6:23b1	BelievedBy
7b93e6a1:150814fecb6:1b2d	Membership
7b93e6a1:150814fecb6:17ff	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Province
http://www.semwebtech.org/mondial/10/organization/UNAMID/	Organization
7b93e6a1:150814fecb6:3ce	Membership
7b93e6a1:150814fecb6:175b	Membership
http://www.semwebtech.org/mondial/10/island/SriLanka/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	City
7b93e6a1:150814fecb6:32a	Membership
7b93e6a1:150814fecb6:1d8d	Membership
7b93e6a1:150814fecb6:-4bd	Membership
7b93e6a1:150814fecb6:1087	Membership
7b93e6a1:150814fecb6:a4	Membership
http://www.semwebtech.org/mondial/10/islands/Canares/	Islands
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Province
http://www.semwebtech.org/mondial/10/country/MART/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	City
http://www.semwebtech.org/mondial/10/source/Lomami/	Source
7b93e6a1:150814fecb6:58a	Membership
7b93e6a1:150814fecb6:220c	SpokenBy
7b93e6a1:150814fecb6:91e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Province
http://www.semwebtech.org/mondial/10/organization/EITI/	Organization
7b93e6a1:150814fecb6:13c7	Membership
7b93e6a1:150814fecb6:246c	EthnicProportion
7b93e6a1:150814fecb6:1323	Membership
7b93e6a1:150814fecb6:-339	Membership
7b93e6a1:150814fecb6:8ca	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	City
7b93e6a1:150814fecb6:1a80	Membership
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Mountains
7b93e6a1:150814fecb6:efc	Membership
7b93e6a1:150814fecb6:1583	Membership
7b93e6a1:150814fecb6:1f6	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Province
7b93e6a1:150814fecb6:-599	Membership
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Mountains
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	City
7b93e6a1:150814fecb6:152	Membership
7b93e6a1:150814fecb6:1917	Membership
7b93e6a1:150814fecb6:-2e5	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	City
7b93e6a1:150814fecb6:1f49	Membership
http://www.semwebtech.org/mondial/10/country/RN/	Country
7b93e6a1:150814fecb6:-241	Membership
7b93e6a1:150814fecb6:20d8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	City
7b93e6a1:150814fecb6:b18	Membership
7b93e6a1:150814fecb6:2034	Membership
7b93e6a1:150814fecb6:746	Membership
7b93e6a1:150814fecb6:18c3	Membership
http://www.semwebtech.org/mondial/10/country/TT/	Country
7b93e6a1:150814fecb6:1ef5	Membership
7b93e6a1:150814fecb6:d78	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	City
7b93e6a1:150814fecb6:11ce	Membership
7b93e6a1:150814fecb6:2294	BelievedBy
7b93e6a1:150814fecb6:ac4	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Province
7b93e6a1:150814fecb6:1e51	Membership
7b93e6a1:150814fecb6:112a	Membership
7b93e6a1:150814fecb6:2628	EthnicProportion
7b93e6a1:150814fecb6:6f2	Membership
7b93e6a1:150814fecb6:a20	Membership
7b93e6a1:150814fecb6:-7e1	Encompassed
7b93e6a1:150814fecb6:138a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	EthnicGroup
7b93e6a1:150814fecb6:c80	Membership
7b93e6a1:150814fecb6:25d4	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Chire/	Water
7b93e6a1:150814fecb6:171e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Province
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	City
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	Estuary
7b93e6a1:150814fecb6:2530	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	City
7b93e6a1:150814fecb6:197e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	City
7b93e6a1:150814fecb6:54d	Membership
7b93e6a1:150814fecb6:16ca	Membership
http://www.semwebtech.org/mondial/10/river/Ucayali/	Water
7b93e6a1:150814fecb6:fc0	Membership
7b93e6a1:150814fecb6:b7f	Membership
7b93e6a1:150814fecb6:1cfc	Membership
7b93e6a1:150814fecb6:-63c	Border
7b93e6a1:150814fecb6:209b	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	City
http://www.semwebtech.org/mondial/10/country/WAL/	Country
7b93e6a1:150814fecb6:242f	BelievedBy
http://www.semwebtech.org/mondial/10/organization/G-10/	Organization
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	City
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	Water
7b93e6a1:150814fecb6:268f	EthnicProportion
7b93e6a1:150814fecb6:ebf	Membership
7b93e6a1:150814fecb6:1b9	Membership
7b93e6a1:150814fecb6:-81	Membership
7b93e6a1:150814fecb6:1546	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	City
7b93e6a1:150814fecb6:23db	BelievedBy
7b93e6a1:150814fecb6:e1b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	EthnicGroup
7b93e6a1:150814fecb6:115	Membership
7b93e6a1:150814fecb6:1b78	Membership
7b93e6a1:150814fecb6:-2a8	Membership
http://www.semwebtech.org/mondial/10/organization/ITSO/	Organization
http://www.semwebtech.org/mondial/10/country/S/	Country
7b93e6a1:150814fecb6:-204	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	City
7b93e6a1:150814fecb6:375	Membership
7b93e6a1:150814fecb6:14f2	Membership
7b93e6a1:150814fecb6:ce	Membership
7b93e6a1:150814fecb6:709	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	City
7b93e6a1:150814fecb6:-464	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	City
7b93e6a1:150814fecb6:2a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	City
http://www.semwebtech.org/mondial/10/estuary/Saone/	Estuary
7b93e6a1:150814fecb6:-1b0	Membership
7b93e6a1:150814fecb6:2257	BelievedBy
7b93e6a1:150814fecb6:969	Membership
7b93e6a1:150814fecb6:1e14	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	City
7b93e6a1:150814fecb6:6b5	Membership
http://www.semwebtech.org/mondial/10/organization/UNISFA/	Organization
7b93e6a1:150814fecb6:ce7	Membership
7b93e6a1:150814fecb6:611	Membership
7b93e6a1:150814fecb6:134d	Membership
7b93e6a1:150814fecb6:-7a4	Encompassed
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Province
7b93e6a1:150814fecb6:c43	Membership
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	Water
7b93e6a1:150814fecb6:1dc0	Membership
7b93e6a1:150814fecb6:-700	Border
7b93e6a1:150814fecb6:871	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	City
7b93e6a1:150814fecb6:17c	Membership
7b93e6a1:150814fecb6:-26b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Province
7b93e6a1:150814fecb6:1cbf	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Province
7b93e6a1:150814fecb6:205e	Membership
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	City
7b93e6a1:150814fecb6:1c1b	Membership
7b93e6a1:150814fecb6:18ed	Membership
http://www.semwebtech.org/mondial/10/religion/Muslim/	Religion
http://www.semwebtech.org/mondial/10/organization/CBSS/	Organization
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	Water
7b93e6a1:150814fecb6:4bc	Membership
7b93e6a1:150814fecb6:aee	Membership
7b93e6a1:150814fecb6:1e7b	Membership
7b93e6a1:150814fecb6:-e8	Membership
7b93e6a1:150814fecb6:-5ab	Membership
7b93e6a1:150814fecb6:1175	Membership
7b93e6a1:150814fecb6:a4a	Membership
7b93e6a1:150814fecb6:-44	Membership
7b93e6a1:150814fecb6:1509	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	City
7b93e6a1:150814fecb6:1769	Membership
7b93e6a1:150814fecb6:25fe	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/EAC/	Organization
7b93e6a1:150814fecb6:338	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	City
7b93e6a1:150814fecb6:14b5	Membership
7b93e6a1:150814fecb6:255a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	City
7b93e6a1:150814fecb6:1ae7	Membership
7b93e6a1:150814fecb6:1411	Membership
7b93e6a1:150814fecb6:-427	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Province
7b93e6a1:150814fecb6:598	Membership
7b93e6a1:150814fecb6:1a43	Membership
http://www.semwebtech.org/mondial/10/language/Monegasque/	Language
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Province
7b93e6a1:150814fecb6:fea	Membership
7b93e6a1:150814fecb6:2e4	Membership
7b93e6a1:150814fecb6:1671	Membership
7b93e6a1:150814fecb6:-687	Border
7b93e6a1:150814fecb6:240	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	City
7b93e6a1:150814fecb6:-3d3	Membership
7b93e6a1:150814fecb6:21c6	SpokenBy
7b93e6a1:150814fecb6:c06	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	City
7b93e6a1:150814fecb6:8d8	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	City
7b93e6a1:150814fecb6:2122	SpokenBy
7b93e6a1:150814fecb6:834	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	City
7b93e6a1:150814fecb6:19b1	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	City
7b93e6a1:150814fecb6:e66	Membership
7b93e6a1:150814fecb6:1fe3	Membership
7b93e6a1:150814fecb6:13f	Membership
7b93e6a1:150814fecb6:12bc	Membership
7b93e6a1:150814fecb6:2382	BelievedBy
7b93e6a1:150814fecb6:bb2	Membership
7b93e6a1:150814fecb6:-22e	Membership
http://www.semwebtech.org/mondial/10/organization/ANZUS/	Organization
7b93e6a1:150814fecb6:7e0	Membership
7b93e6a1:150814fecb6:39f	Membership
http://www.semwebtech.org/mondial/10/country/RWA/	Country
http://www.semwebtech.org/mondial/10/source/RioGrande/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	City
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	Mountain
7b93e6a1:150814fecb6:-48e	Membership
7b93e6a1:150814fecb6:75	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	EthnicGroup
7b93e6a1:150814fecb6:180c	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	City
7b93e6a1:150814fecb6:-1da	Membership
7b93e6a1:150814fecb6:26c2	EthnicProportion
7b93e6a1:150814fecb6:1e3e	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	City
7b93e6a1:150814fecb6:1138	Membership
7b93e6a1:150814fecb6:6df	Membership
7b93e6a1:150814fecb6:a0d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	City
7b93e6a1:150814fecb6:63b	Membership
7b93e6a1:150814fecb6:-7ce	Encompassed
7b93e6a1:150814fecb6:1398	Membership
http://www.semwebtech.org/mondial/10/island/SaintHelena/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	EthnicGroup
7b93e6a1:150814fecb6:c6d	Membership
7b93e6a1:150814fecb6:1dea	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Province
7b93e6a1:150814fecb6:-72a	Encompassed
7b93e6a1:150814fecb6:10e4	Membership
7b93e6a1:150814fecb6:89b	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	City
7b93e6a1:150814fecb6:1040	Membership
7b93e6a1:150814fecb6:251d	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Olt/	Estuary
7b93e6a1:150814fecb6:1a06	Membership
7b93e6a1:150814fecb6:16d8	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	City
7b93e6a1:150814fecb6:fad	Membership
7b93e6a1:150814fecb6:2a7	Membership
7b93e6a1:150814fecb6:1634	Membership
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	Islands
7b93e6a1:150814fecb6:1c66	Membership
7b93e6a1:150814fecb6:203	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	City
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	Province
7b93e6a1:150814fecb6:1894	Membership
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Religion
7b93e6a1:150814fecb6:15e0	Membership
7b93e6a1:150814fecb6:463	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	City
7b93e6a1:150814fecb6:-5f6	Border
7b93e6a1:150814fecb6:119f	Membership
7b93e6a1:150814fecb6:a95	Membership
7b93e6a1:150814fecb6:-6e	Membership
7b93e6a1:150814fecb6:-552	Membership
7b93e6a1:150814fecb6:23e9	BelievedBy
7b93e6a1:150814fecb6:e29	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	City
7b93e6a1:150814fecb6:1fa6	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Province
7b93e6a1:150814fecb6:2345	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	City
7b93e6a1:150814fecb6:1f02	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	City
http://www.semwebtech.org/mondial/10/country/BG/	Country
7b93e6a1:150814fecb6:7a3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Province
http://www.semwebtech.org/mondial/10/source/WesternDwina/	Source
7b93e6a1:150814fecb6:14df	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	City
7b93e6a1:150814fecb6:dd5	Membership
7b93e6a1:150814fecb6:22f1	BelievedBy
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	Islands
7b93e6a1:150814fecb6:143b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	City
7b93e6a1:150814fecb6:38	Membership
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	Water
7b93e6a1:150814fecb6:d31	Membership
7b93e6a1:150814fecb6:1a6d	Membership
7b93e6a1:150814fecb6:169b	Membership
7b93e6a1:150814fecb6:f91	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	City
7b93e6a1:150814fecb6:26a	Membership
7b93e6a1:150814fecb6:-3fd	Membership
http://www.semwebtech.org/mondial/10/organization/SPC/	Organization
7b93e6a1:150814fecb6:1dad	Membership
7b93e6a1:150814fecb6:10a7	Membership
7b93e6a1:150814fecb6:214c	SpokenBy
7b93e6a1:150814fecb6:85e	Membership
7b93e6a1:150814fecb6:19db	Membership
7b93e6a1:150814fecb6:1003	Membership
7b93e6a1:150814fecb6:5aa	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	City
http://www.semwebtech.org/mondial/10/island/Vlieland/	Island
7b93e6a1:150814fecb6:bdc	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	City
7b93e6a1:150814fecb6:1263	Membership
7b93e6a1:150814fecb6:-279	Membership
http://www.semwebtech.org/mondial/10/organization/G-9/	Organization
7b93e6a1:150814fecb6:1c29	Membership
7b93e6a1:150814fecb6:9f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	City
http://www.semwebtech.org/mondial/10/source/Luvua/	Source
7b93e6a1:150814fecb6:1857	Membership
7b93e6a1:150814fecb6:1e89	Membership
7b93e6a1:150814fecb6:15a3	Membership
7b93e6a1:150814fecb6:426	Membership
7b93e6a1:150814fecb6:-5b9	Membership
7b93e6a1:150814fecb6:-181	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	City
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	City
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	Estuary
7b93e6a1:150814fecb6:a58	Membership
7b93e6a1:150814fecb6:1bd5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	City
7b93e6a1:150814fecb6:-515	Membership
7b93e6a1:150814fecb6:686	Membership
7b93e6a1:150814fecb6:1b31	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	City
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	City
7b93e6a1:150814fecb6:2308	BelievedBy
7b93e6a1:150814fecb6:3d2	Membership
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	City
7b93e6a1:150814fecb6:-775	Encompassed
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	Water
7b93e6a1:150814fecb6:1d91	Membership
7b93e6a1:150814fecb6:-4c1	Membership
7b93e6a1:150814fecb6:106a	Membership
7b93e6a1:150814fecb6:2568	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Czech/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	City
7b93e6a1:150814fecb6:22b4	BelievedBy
7b93e6a1:150814fecb6:9c6	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	City
7b93e6a1:150814fecb6:2210	SpokenBy
7b93e6a1:150814fecb6:ff8	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	City
7b93e6a1:150814fecb6:922	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Province
7b93e6a1:150814fecb6:165e	Membership
http://www.semwebtech.org/mondial/10/island/KoSamui/	Island
7b93e6a1:150814fecb6:f54	Membership
7b93e6a1:150814fecb6:22d	Membership
7b93e6a1:150814fecb6:13aa	Membership
7b93e6a1:150814fecb6:2470	EthnicProportion
7b93e6a1:150814fecb6:ca0	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Province
7b93e6a1:150814fecb6:-31c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	City
7b93e6a1:150814fecb6:48d	Membership
http://www.semwebtech.org/mondial/10/organization/IGAD/	Organization
7b93e6a1:150814fecb6:210f	Membership
7b93e6a1:150814fecb6:-57c	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	City
http://www.semwebtech.org/mondial/10/organization/Sparteca/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	City
http://www.semwebtech.org/mondial/10/organization/AMU/	Organization
7b93e6a1:150814fecb6:236f	BelievedBy
7b93e6a1:150814fecb6:1f2c	Membership
7b93e6a1:150814fecb6:1226	Membership
7b93e6a1:150814fecb6:20bb	Membership
7b93e6a1:150814fecb6:7cd	Membership
7b93e6a1:150814fecb6:dff	Membership
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	Water
7b93e6a1:150814fecb6:1486	Membership
7b93e6a1:150814fecb6:d5b	Membership
7b93e6a1:150814fecb6:11d2	Membership
7b93e6a1:150814fecb6:-1e8	Membership
7b93e6a1:150814fecb6:26af	EthnicProportion
7b93e6a1:150814fecb6:-a1	Membership
7b93e6a1:150814fecb6:-144	Membership
7b93e6a1:150814fecb6:260b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	City
7b93e6a1:150814fecb6:649	Membership
7b93e6a1:150814fecb6:17c6	Membership
7b93e6a1:150814fecb6:1df8	Membership
7b93e6a1:150814fecb6:1722	Membership
7b93e6a1:150814fecb6:-738	Encompassed
7b93e6a1:150814fecb6:2197	SpokenBy
http://www.semwebtech.org/mondial/10/lake/Balaton/	Water
7b93e6a1:150814fecb6:1d54	Membership
7b93e6a1:150814fecb6:102d	Membership
7b93e6a1:150814fecb6:5f5	Membership
7b93e6a1:150814fecb6:1aa0	Membership
7b93e6a1:150814fecb6:1982	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	City
7b93e6a1:150814fecb6:551	Membership
7b93e6a1:150814fecb6:-6e4	Border
7b93e6a1:150814fecb6:128d	Membership
7b93e6a1:150814fecb6:b83	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	City
7b93e6a1:150814fecb6:-640	Border
7b93e6a1:150814fecb6:24d7	EthnicProportion
7b93e6a1:150814fecb6:f17	Membership
7b93e6a1:150814fecb6:2433	BelievedBy
7b93e6a1:150814fecb6:15cd	Membership
7b93e6a1:150814fecb6:2693	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Adda/	Source
7b93e6a1:150814fecb6:ec3	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	City
7b93e6a1:150814fecb6:1bff	Membership
7b93e6a1:150814fecb6:-53f	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	City
7b93e6a1:150814fecb6:1b5b	Membership
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	City
http://www.semwebtech.org/mondial/10/estuary/Kwa/	Estuary
7b93e6a1:150814fecb6:3fc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	City
7b93e6a1:150814fecb6:-79f	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Senegal/	Estuary
7b93e6a1:150814fecb6:-4eb	Membership
http://www.semwebtech.org/mondial/10/source/RioNegro/	Source
7b93e6a1:150814fecb6:d2	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	City
7b93e6a1:150814fecb6:1449	Membership
7b93e6a1:150814fecb6:22de	BelievedBy
7b93e6a1:150814fecb6:d1e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Province
7b93e6a1:150814fecb6:223a	BelievedBy
7b93e6a1:150814fecb6:94c	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Province
7b93e6a1:150814fecb6:-107	Membership
7b93e6a1:150814fecb6:f7e	Membership
7b93e6a1:150814fecb6:278	Membership
7b93e6a1:150814fecb6:13f5	Membership
7b93e6a1:150814fecb6:249a	EthnicProportion
7b93e6a1:150814fecb6:cca	Membership
7b93e6a1:150814fecb6:1351	Membership
7b93e6a1:150814fecb6:-367	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	EthnicGroup
7b93e6a1:150814fecb6:1d17	Membership
7b93e6a1:150814fecb6:19e9	Membership
7b93e6a1:150814fecb6:5b8	Membership
7b93e6a1:150814fecb6:180	Membership
7b93e6a1:150814fecb6:1945	Membership
7b93e6a1:150814fecb6:514	Membership
7b93e6a1:150814fecb6:1f77	Membership
7b93e6a1:150814fecb6:-6a7	Border
7b93e6a1:150814fecb6:b46	Membership
7b93e6a1:150814fecb6:1cc3	Membership
7b93e6a1:150814fecb6:-603	Border
7b93e6a1:150814fecb6:2062	Membership
7b93e6a1:150814fecb6:774	Membership
7b93e6a1:150814fecb6:18f1	Membership
7b93e6a1:150814fecb6:4c0	Membership
7b93e6a1:150814fecb6:11fc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	City
7b93e6a1:150814fecb6:af2	Membership
7b93e6a1:150814fecb6:-cb	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	City
7b93e6a1:150814fecb6:-16e	Membership
7b93e6a1:150814fecb6:2656	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	City
7b93e6a1:150814fecb6:23a2	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	City
7b93e6a1:150814fecb6:1b1e	Membership
http://www.semwebtech.org/mondial/10/river/BlueNile/	Water
7b93e6a1:150814fecb6:3bf	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	City
7b93e6a1:150814fecb6:174c	Membership
7b93e6a1:150814fecb6:31b	Membership
7b93e6a1:150814fecb6:1d7e	Membership
7b93e6a1:150814fecb6:-4ae	Membership
7b93e6a1:150814fecb6:1078	Membership
7b93e6a1:150814fecb6:1aca	Membership
7b93e6a1:150814fecb6:-40a	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Province
7b93e6a1:150814fecb6:57b	Membership
7b93e6a1:150814fecb6:90f	Membership
7b93e6a1:150814fecb6:-66a	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	EthnicGroup
7b93e6a1:150814fecb6:13b8	Membership
7b93e6a1:150814fecb6:245d	EthnicProportion
7b93e6a1:150814fecb6:1314	Membership
7b93e6a1:150814fecb6:8bb	Membership
http://www.semwebtech.org/mondial/10/lake/LopNor/	Water
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	City
7b93e6a1:150814fecb6:eed	Membership
7b93e6a1:150814fecb6:1e7	Membership
7b93e6a1:150814fecb6:1574	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	City
7b93e6a1:150814fecb6:1908	Membership
7b93e6a1:150814fecb6:12c0	Membership
7b93e6a1:150814fecb6:143	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	City
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	City
7b93e6a1:150814fecb6:-2d6	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	City
7b93e6a1:150814fecb6:-232	Membership
7b93e6a1:150814fecb6:20c9	Membership
7b93e6a1:150814fecb6:b09	Membership
http://www.semwebtech.org/mondial/10/river/Ene/	Water
http://www.semwebtech.org/mondial/10/source/Leine/	Source
7b93e6a1:150814fecb6:fc	Membership
7b93e6a1:150814fecb6:2025	Membership
7b93e6a1:150814fecb6:737	Membership
7b93e6a1:150814fecb6:18b4	Membership
7b93e6a1:150814fecb6:-492	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	City
7b93e6a1:150814fecb6:d69	Membership
7b93e6a1:150814fecb6:1ee6	Membership
7b93e6a1:150814fecb6:1810	Membership
7b93e6a1:150814fecb6:11bf	Membership
7b93e6a1:150814fecb6:2285	BelievedBy
7b93e6a1:150814fecb6:1e42	Membership
7b93e6a1:150814fecb6:ab5	Membership
7b93e6a1:150814fecb6:997	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Province
7b93e6a1:150814fecb6:183a	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Province
7b93e6a1:150814fecb6:111b	Membership
7b93e6a1:150814fecb6:2619	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	City
7b93e6a1:150814fecb6:6e3	Membership
7b93e6a1:150814fecb6:a11	Membership
7b93e6a1:150814fecb6:-7d2	Encompassed
7b93e6a1:150814fecb6:137b	Membership
http://www.semwebtech.org/mondial/10/mountain/Musala/	Mountain
7b93e6a1:150814fecb6:c71	Membership
7b93e6a1:150814fecb6:170f	Membership
http://www.semwebtech.org/mondial/10/religion/United/	Religion
7b93e6a1:150814fecb6:25c5	EthnicProportion
7b93e6a1:150814fecb6:2521	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GAZA/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	City
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Province
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Province
http://www.semwebtech.org/mondial/10/country/EW/	Country
7b93e6a1:150814fecb6:196f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	City
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	Mountain
7b93e6a1:150814fecb6:53e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	City
7b93e6a1:150814fecb6:16bb	Membership
7b93e6a1:150814fecb6:fb1	Membership
http://www.semwebtech.org/mondial/10/island/SaintVincent/	Island
7b93e6a1:150814fecb6:1ced	Membership
7b93e6a1:150814fecb6:-62d	Border
7b93e6a1:150814fecb6:208c	Membership
7b93e6a1:150814fecb6:79e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	Province
7b93e6a1:150814fecb6:4ea	Membership
7b93e6a1:150814fecb6:-72	Membership
7b93e6a1:150814fecb6:1537	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	City
7b93e6a1:150814fecb6:23cc	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	City
7b93e6a1:150814fecb6:e0c	Membership
7b93e6a1:150814fecb6:106	Membership
7b93e6a1:150814fecb6:1b69	Membership
http://www.semwebtech.org/mondial/10/islands/LineIslands/	Islands
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	City
http://www.semwebtech.org/mondial/10/source/Bani/	Source
7b93e6a1:150814fecb6:1797	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	Province
7b93e6a1:150814fecb6:366	Membership
7b93e6a1:150814fecb6:14e3	Membership
7b93e6a1:150814fecb6:-4f9	Membership
7b93e6a1:150814fecb6:bf	Membership
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	Mountain
7b93e6a1:150814fecb6:-455	Membership
7b93e6a1:150814fecb6:1b	Membership
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	City
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	Water
7b93e6a1:150814fecb6:1ea9	Membership
7b93e6a1:150814fecb6:1a71	Membership
7b93e6a1:150814fecb6:-1a1	Membership
7b93e6a1:150814fecb6:2248	BelievedBy
7b93e6a1:150814fecb6:1e05	Membership
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	Water
7b93e6a1:150814fecb6:6a6	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Province
7b93e6a1:150814fecb6:cd8	Membership
7b93e6a1:150814fecb6:602	Membership
7b93e6a1:150814fecb6:133e	Membership
7b93e6a1:150814fecb6:21f4	SpokenBy
7b93e6a1:150814fecb6:c34	Membership
7b93e6a1:150814fecb6:1db1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	City
7b93e6a1:150814fecb6:2150	SpokenBy
7b93e6a1:150814fecb6:862	Membership
7b93e6a1:150814fecb6:159e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Province
7b93e6a1:150814fecb6:e94	Membership
7b93e6a1:150814fecb6:16d	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	City
7b93e6a1:150814fecb6:12ea	Membership
7b93e6a1:150814fecb6:be0	Membership
7b93e6a1:150814fecb6:-25c	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	City
http://www.semwebtech.org/mondial/10/river/Arno/	Water
7b93e6a1:150814fecb6:204f	Membership
7b93e6a1:150814fecb6:1c0c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	City
7b93e6a1:150814fecb6:18de	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	City
7b93e6a1:150814fecb6:4ad	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	City
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Province
7b93e6a1:150814fecb6:adf	Membership
7b93e6a1:150814fecb6:1e6c	Membership
7b93e6a1:150814fecb6:-d9	Membership
7b93e6a1:150814fecb6:1166	Membership
http://www.semwebtech.org/mondial/10/river/Ruki/	Water
7b93e6a1:150814fecb6:a3b	Membership
7b93e6a1:150814fecb6:-35	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Province
7b93e6a1:150814fecb6:-7fc	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Province
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Province
7b93e6a1:150814fecb6:c9b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Province
7b93e6a1:150814fecb6:25ef	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Stromboli/	Island
7b93e6a1:150814fecb6:329	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	City
7b93e6a1:150814fecb6:14a6	Membership
7b93e6a1:150814fecb6:254b	EthnicProportion
7b93e6a1:150814fecb6:1ad8	Membership
7b93e6a1:150814fecb6:1402	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	City
7b93e6a1:150814fecb6:-418	Membership
7b93e6a1:150814fecb6:-e	Membership
7b93e6a1:150814fecb6:589	Membership
7b93e6a1:150814fecb6:1a34	Membership
7b93e6a1:150814fecb6:fdb	Membership
http://www.semwebtech.org/mondial/10/islands/Galapagos/	Islands
7b93e6a1:150814fecb6:2d5	Membership
7b93e6a1:150814fecb6:1662	Membership
7b93e6a1:150814fecb6:-678	Border
7b93e6a1:150814fecb6:231	Membership
7b93e6a1:150814fecb6:1c94	Membership
7b93e6a1:150814fecb6:-3c4	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Province
7b93e6a1:150814fecb6:-320	Membership
7b93e6a1:150814fecb6:21b7	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	EthnicGroup
7b93e6a1:150814fecb6:8c9	Membership
7b93e6a1:150814fecb6:491	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	City
7b93e6a1:150814fecb6:2113	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	City
7b93e6a1:150814fecb6:825	Membership
7b93e6a1:150814fecb6:19a2	Membership
7b93e6a1:150814fecb6:-9c	Membership
7b93e6a1:150814fecb6:-580	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	EthnicGroup
7b93e6a1:150814fecb6:e57	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	City
7b93e6a1:150814fecb6:1fd4	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	City
7b93e6a1:150814fecb6:12ad	Membership
7b93e6a1:150814fecb6:2373	BelievedBy
7b93e6a1:150814fecb6:ba3	Membership
7b93e6a1:150814fecb6:1f30	Membership
7b93e6a1:150814fecb6:-21f	Membership
http://www.semwebtech.org/mondial/10/river/Selenge/	Water
7b93e6a1:150814fecb6:7d1	Membership
http://www.semwebtech.org/mondial/10/river/Ebro/	Water
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	City
7b93e6a1:150814fecb6:-47f	Membership
7b93e6a1:150814fecb6:66	Membership
http://www.semwebtech.org/mondial/10/river/OhioRiver/	Water
7b93e6a1:150814fecb6:1a9b	Membership
7b93e6a1:150814fecb6:-1cb	Membership
7b93e6a1:150814fecb6:26b3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	City
7b93e6a1:150814fecb6:1e2f	Membership
7b93e6a1:150814fecb6:1129	Membership
7b93e6a1:150814fecb6:1389	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Province
7b93e6a1:150814fecb6:62c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Province
7b93e6a1:150814fecb6:-7bf	Encompassed
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Province
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	Religion
7b93e6a1:150814fecb6:c5e	Membership
7b93e6a1:150814fecb6:1ddb	Membership
7b93e6a1:150814fecb6:-71b	Border
7b93e6a1:150814fecb6:10d5	Membership
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	City
7b93e6a1:150814fecb6:217a	SpokenBy
7b93e6a1:150814fecb6:88c	Membership
7b93e6a1:150814fecb6:1031	Membership
7b93e6a1:150814fecb6:250e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	City
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	Desert
7b93e6a1:150814fecb6:5a9	Membership
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	Mountain
7b93e6a1:150814fecb6:16c9	Membership
7b93e6a1:150814fecb6:1291	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	City
7b93e6a1:150814fecb6:1625	Membership
7b93e6a1:150814fecb6:24ba	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	EthnicGroup
7b93e6a1:150814fecb6:1c57	Membership
http://www.semwebtech.org/mondial/10/mountain/Ararat/	Mountain
7b93e6a1:150814fecb6:4f8	Membership
7b93e6a1:150814fecb6:1885	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	City
7b93e6a1:150814fecb6:454	Membership
7b93e6a1:150814fecb6:15d1	Membership
7b93e6a1:150814fecb6:-5e7	Border
7b93e6a1:150814fecb6:a86	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	City
7b93e6a1:150814fecb6:1a0	Membership
7b93e6a1:150814fecb6:-5f	Membership
7b93e6a1:150814fecb6:-543	Membership
7b93e6a1:150814fecb6:2336	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	Estuary
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Province
7b93e6a1:150814fecb6:2596	EthnicProportion
7b93e6a1:150814fecb6:dc6	Membership
7b93e6a1:150814fecb6:142c	Membership
7b93e6a1:150814fecb6:22e2	BelievedBy
7b93e6a1:150814fecb6:29	Membership
7b93e6a1:150814fecb6:d22	Membership
7b93e6a1:150814fecb6:9f4	Membership
7b93e6a1:150814fecb6:1a5e	Membership
7b93e6a1:150814fecb6:950	Membership
7b93e6a1:150814fecb6:2ff	Membership
7b93e6a1:150814fecb6:168c	Membership
7b93e6a1:150814fecb6:f82	Membership
7b93e6a1:150814fecb6:25b	Membership
7b93e6a1:150814fecb6:-3ee	Membership
http://www.semwebtech.org/mondial/10/estuary/Doubs/	Estuary
7b93e6a1:150814fecb6:-34a	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	Desert
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	City
7b93e6a1:150814fecb6:213d	SpokenBy
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	City
7b93e6a1:150814fecb6:84f	Membership
7b93e6a1:150814fecb6:19cc	Membership
7b93e6a1:150814fecb6:1ffe	Membership
7b93e6a1:150814fecb6:12f8	Membership
7b93e6a1:150814fecb6:239d	BelievedBy
7b93e6a1:150814fecb6:bcd	Membership
7b93e6a1:150814fecb6:1f5a	Membership
7b93e6a1:150814fecb6:1254	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	City
7b93e6a1:150814fecb6:7fb	Membership
http://www.semwebtech.org/mondial/10/island/Sachalin/	Island
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Province
http://www.semwebtech.org/mondial/10/river/Akagera/	Water
7b93e6a1:150814fecb6:1848	Membership
http://www.semwebtech.org/mondial/10/country/NMIS/	Country
7b93e6a1:150814fecb6:417	Membership
7b93e6a1:150814fecb6:-172	Membership
7b93e6a1:150814fecb6:a49	Membership
7b93e6a1:150814fecb6:1bc6	Membership
7b93e6a1:150814fecb6:-506	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	City
7b93e6a1:150814fecb6:677	Membership
7b93e6a1:150814fecb6:1b22	Membership
7b93e6a1:150814fecb6:17f4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	City
7b93e6a1:150814fecb6:3c3	Membership
7b93e6a1:150814fecb6:1750	Membership
7b93e6a1:150814fecb6:-766	Encompassed
7b93e6a1:150814fecb6:10ff	Membership
http://www.semwebtech.org/mondial/10/estuary/Fimi/	Estuary
7b93e6a1:150814fecb6:1d82	Membership
7b93e6a1:150814fecb6:-4b2	Membership
7b93e6a1:150814fecb6:105b	Membership
7b93e6a1:150814fecb6:2559	EthnicProportion
7b93e6a1:150814fecb6:22a5	BelievedBy
7b93e6a1:150814fecb6:9b7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	Water
7b93e6a1:150814fecb6:2201	SpokenBy
7b93e6a1:150814fecb6:fe9	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	City
7b93e6a1:150814fecb6:913	Membership
7b93e6a1:150814fecb6:164f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	City
7b93e6a1:150814fecb6:f45	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	City
7b93e6a1:150814fecb6:21e	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Province
http://www.semwebtech.org/mondial/10/estuary/Tiber/	Estuary
7b93e6a1:150814fecb6:2461	EthnicProportion
7b93e6a1:150814fecb6:-30d	Membership
7b93e6a1:150814fecb6:47e	Membership
7b93e6a1:150814fecb6:15fb	Membership
http://www.semwebtech.org/mondial/10/country/GB/	Country
7b93e6a1:150814fecb6:ef1	Membership
7b93e6a1:150814fecb6:1ca	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Province
7b93e6a1:150814fecb6:-56d	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	City
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	City
7b93e6a1:150814fecb6:1f1d	Membership
7b93e6a1:150814fecb6:1217	Membership
7b93e6a1:150814fecb6:20ac	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	City
7b93e6a1:150814fecb6:7be	Membership
http://www.semwebtech.org/mondial/10/country/KN/	Country
7b93e6a1:150814fecb6:71a	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	City
7b93e6a1:150814fecb6:1477	Membership
7b93e6a1:150814fecb6:d4c	Membership
http://www.semwebtech.org/mondial/10/river/Schilka/	Water
7b93e6a1:150814fecb6:11c3	Membership
7b93e6a1:150814fecb6:-1d9	Membership
http://www.semwebtech.org/mondial/10/island/Anjouan/	Island
7b93e6a1:150814fecb6:97a	Membership
http://www.semwebtech.org/mondial/10/island/Okinawa/	Island
7b93e6a1:150814fecb6:-135	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	City
http://www.semwebtech.org/mondial/10/estuary/Mosel/	Estuary
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	Province
7b93e6a1:150814fecb6:17b7	Membership
7b93e6a1:150814fecb6:-395	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Province
7b93e6a1:150814fecb6:1de9	Membership
7b93e6a1:150814fecb6:1713	Membership
http://www.semwebtech.org/mondial/10/country/RA/	Country
7b93e6a1:150814fecb6:-729	Encompassed
7b93e6a1:150814fecb6:2188	SpokenBy
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	City
7b93e6a1:150814fecb6:1d45	Membership
7b93e6a1:150814fecb6:101e	Membership
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	Mountain
7b93e6a1:150814fecb6:5e6	Membership
7b93e6a1:150814fecb6:1973	Membership
7b93e6a1:150814fecb6:542	Membership
http://www.semwebtech.org/mondial/10/island/GranCanaria/	Island
7b93e6a1:150814fecb6:-6d5	Border
7b93e6a1:150814fecb6:127e	Membership
7b93e6a1:150814fecb6:b74	Membership
7b93e6a1:150814fecb6:1cf1	Membership
7b93e6a1:150814fecb6:-631	Border
7b93e6a1:150814fecb6:24c8	EthnicProportion
7b93e6a1:150814fecb6:2090	Membership
7b93e6a1:150814fecb6:f08	Membership
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mountains
7b93e6a1:150814fecb6:2424	BelievedBy
http://www.semwebtech.org/mondial/10/island/Seeland/	Island
http://www.semwebtech.org/mondial/10/river/Brigach/	Water
7b93e6a1:150814fecb6:2684	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Irtysch/	Source
http://www.semwebtech.org/mondial/10/estuary/Mur/	Estuary
7b93e6a1:150814fecb6:15be	Membership
http://www.semwebtech.org/mondial/10/organization/CELAC/	Organization
7b93e6a1:150814fecb6:-19c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Province
7b93e6a1:150814fecb6:eb4	Membership
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	Mountain
7b93e6a1:150814fecb6:151a	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	City
7b93e6a1:150814fecb6:23d0	BelievedBy
http://www.semwebtech.org/mondial/10/river/Thjorsa/	Water
7b93e6a1:150814fecb6:e10	Membership
7b93e6a1:150814fecb6:1b4c	Membership
7b93e6a1:150814fecb6:3ed	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	City
7b93e6a1:150814fecb6:177a	Membership
7b93e6a1:150814fecb6:-4dc	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	City
7b93e6a1:150814fecb6:c3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	City
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Province
7b93e6a1:150814fecb6:22cf	BelievedBy
7b93e6a1:150814fecb6:d0f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	City
7b93e6a1:150814fecb6:222b	SpokenBy
7b93e6a1:150814fecb6:93d	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Province
7b93e6a1:150814fecb6:f6f	Membership
7b93e6a1:150814fecb6:269	Membership
7b93e6a1:150814fecb6:13e6	Membership
7b93e6a1:150814fecb6:248b	EthnicProportion
7b93e6a1:150814fecb6:cbb	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Province
7b93e6a1:150814fecb6:1342	Membership
7b93e6a1:150814fecb6:-358	Membership
http://www.semwebtech.org/mondial/10/country/F/	Country
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	City
7b93e6a1:150814fecb6:1d08	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Province
7b93e6a1:150814fecb6:171	Membership
7b93e6a1:150814fecb6:1936	Membership
7b93e6a1:150814fecb6:1f68	Membership
7b93e6a1:150814fecb6:505	Membership
\.


--
-- TOC entry 5978 (class 0 OID 96840)
-- Dependencies: 1144
-- Data for Name: othername; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY othername ("Entity", "VALUE") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Zhongli
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	L'Hospitalet de Llobregat
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Kokshetau
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Port Elizabeth
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	San Juan de Pasto
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elx
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesa
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Jekaterinburg
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia-San Sebastián
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	San Sebastián
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumqayit
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakakah
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Pretoria
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan de Oro
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andres y Providencia
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspiysk
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Pusan
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bharu
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Taegu
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Čita
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnourd
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnord
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Distrito Central
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siquatepeque
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piraeus
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piräus
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Cheju
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Padua
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Urumqi
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Al-Qādisiyyah
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzerzhinsk
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sukhumi
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castelló de la Plana
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Taiz
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kimchaek
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Songjin
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Shakhty
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Kelang
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volžskij
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Bergen
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuzneck
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Tashkent City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytishchi
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	Laâyoune
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Qamishli
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Diu
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk on Amur
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomol'sk-na-Amure
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmedabad
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Guatemala City
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fez
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Čel'abinsk
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novy Urengoy
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Toamasina
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Efon-Alaaye
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Shchyolkovo
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	St. George's
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nakhodka
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago de los Caballeros
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Khasavyurt
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio Emilia
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bisho
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouérat
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Calicut
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Geneva
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fergana
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Uljanovsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Amarah
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Manama
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Zheleznodorozhny
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipeck
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolyov
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	La Laguna
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Mosul
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	El-Mahalla El-Kubra
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Cairo
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termez
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rovno
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Cologne
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh City
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Saigon
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Mansoura
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Turin
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Guwahati
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Mahajanga
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Icel
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Beersheba
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulan Bator
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basra
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basrah
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Viangchan
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Latakia
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk Uralsky
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kiev
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Akyab
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Nebitdag
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sāhīwal
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Juárez
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawābshāh
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Adapazari
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Būrewāla
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago de Veraguas
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kaxgar
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashi
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	South Tangerang
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Las Tunas
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Toljatti
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karāchi
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghāzi Khān
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Minya
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Almalyk
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahim Yar Khan
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahīmyār Khān
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cuzco
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr el-Dawwar
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Goa
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Seville
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Genoa
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavl
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Reggio Calabria
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Limassol
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balqash
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misrata
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aizawl
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Kotte
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayewardenepura
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca de Soto
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Ghent
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gand
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Machačkala
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubtsovsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Heroica Nogales
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Faiyum
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	Taif
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panjin
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damaskus
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin City
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Archangel'sk
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Almetyevsk
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykorgan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Nefteyugansk
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZion
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahwaz
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Iževsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	Najaf
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Pushkino
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Aleppo
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Haleb
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Thiruvananthapuram
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Sharjah
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Mersa Matruh
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Shimla
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guixian
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Dawei
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla de Baz
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orekhovo Zuyevo
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Nazret
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Antakya
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoudzou
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai Nagar
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Taejon
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Kwangju
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Wad Madani
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Yuzhno Sakhalinsk
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrachan'
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odessa
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kāmoke
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataysk
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataisk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossijsk
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Al Khalil
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Achinsk
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coihaique
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	Nzérékoré
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Estado de Mexico
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan de Los Morros
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nižnij Tagil
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Iruña
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerp
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Anvers
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athens
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Osogbo
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrāt
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol'
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ramadi
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	Pyatigorsk
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nižnij Novgorod
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra El-Kheima
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyshin
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	Copenhagen
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Coro
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Rangoon
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan de Juarez
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Porto
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose del Monte
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Kokand
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Urfa
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehradun
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Debre Zeyit
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingora
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingāora
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Yelets
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Huhhot
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucharest
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucarest
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Izmit
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Br'ansk
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpo
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aktobe
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Joškar-Ola
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urgench
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	Tucuman
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Sohag
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Quy Nhơn
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	Durban
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronež
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo de las Salinas
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyaing
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Moulmein
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Howrah
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeynishahr
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveshchensk
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Havana
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Habana
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Groznyj
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan'
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Florence
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alacant
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islāmābād
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Vienna
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Timbuktu
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalcis
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkis
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Giza
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Gizeh
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Chelny
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberežnyje Čelny
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Jaroslavl'
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokuybyshevsk
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Lārkāna
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Nicosia
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Agana
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Malacca
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Asaita
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Biysk
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampo
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warsaw
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Calcutta
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklion
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Irakleio
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Beirut
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodos
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Pripyat
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Aarhus
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novoshakhtinsk
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg im Breisgau
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole (Roatan)
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Ismaïlia
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando de Apure
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kustanay
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfântu Gheorghe
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopeysk
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	Dadiangas
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Bruges
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaca
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsoe
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Luxor
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	Lyubertsy
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Al Chartum Bahri
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Chartum Bahri
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Oryol
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orël
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussels
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussel
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multān
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novocherkassk
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Alexandria
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Chabarovsk
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangfan
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Charjew
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Margilan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nižnevartovsk
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Khimki
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	Sulaymaniyah
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Hull
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyidaw
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyitaw
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Qadarif
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odintsovo
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Oktyabrsky
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujrānwāla
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Maskat
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	Tumaco
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad e Kavous
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansiysk
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qena
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	Nasiriyah
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	The Hague
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	's-Gravenhage
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Fergana
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Rome
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Čerepovec
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderābād
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Évora
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpukhov
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Port Said
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Nelspruit
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	St. Catharines
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Kumul
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Cochin
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Corfu
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Korfu
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov on Don
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahāwalpur
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Penang
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons en Champagne
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshāwar
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Syracuse
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khvoy
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhūpura
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsoe
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khudzhand
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Chudschand
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	T'umen'
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Islamshahr
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Daşoguz
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Tashauz
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Veliky Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Novgorod
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Hong Gai
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rāwalpindi
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaarbeek
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ondjiva
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhia
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Sint-Jans-Molenbeek
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington Fayette
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bengaluru
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hanover
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Ayoûn el-Atroûs
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Bienne
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Soči
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Caloocan
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt-Peterburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okāra
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Hodeidah
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Al Hudaydah
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardān
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basse Terre
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirane
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bozen
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanai
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	San Juan de Girón
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Al Diwaniyah
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Noyabrsk
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm'
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopyevsk
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Maykop
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	New Bombay
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétionville
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	East London
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Pristina
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Maarat al-Numaan
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikdja
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovskij
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovsky
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhgorod
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Vanderbijlpark
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namen
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	Suez
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemie
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodoe
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin El Kom
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergiyev Posad
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Zagorsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz Llave
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Naples
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Patan
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Yessentuki
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Zagazig
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardabil
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasūr
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Touggourt
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu das Artes
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen am Rhein
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Pietermaritzburg
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nizhnekamsk
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venice
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulob
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	R'azan'
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubballi
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuklinggau
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Belgrade
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Jakutsk
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wāh Cantonment
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Cherkessk
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tangier
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Gothenburg
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	Samawah
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Douma
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad de Graciano Sanchez
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokara Steel City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Jalapa
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nuremberg
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaoxian
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Târgu Jiu
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Pietersburg
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Čeboksary
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussuriysk
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Victoria de Durango
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	Munich
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk Kamchatsky
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moscow
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomoso
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudny
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikva
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikwa
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novocheboksarsk
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	La Coruna
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Stary Oskol
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Louvain
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Lucerne
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Prague
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Banjarmasin
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	St. Gallen
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	Djelfa
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Madinah
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnojarsk
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver'
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patras
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Santa Catarina
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatao dos Guararapes
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasouj
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjung Pinang
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Sib
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Siālkot
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Moji Guacu
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec de Morelos
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolas de los Garza
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Jiangsu
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa City
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milan
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Bloemfontein
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Solapur
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balashikha
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nalchik
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	Jujuy
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilene
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Beni Suef
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco-Ville
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkov
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Ujung Pandang
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Kut
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mīrpur Khās
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Jaffa
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Mexico City
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Nishapur
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	East Rand
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Madeira
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Puerto Inirida
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basra
\.


--
-- TOC entry 5979 (class 0 OID 96843)
-- Dependencies: 1145
-- Data for Name: proptablemap; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY proptablemap (property, tablename) FROM stdin;
latitude	Islands
latitude	Island
latitude	Water
latitude	Mountains
latitude	Desert
latitude	Source
latitude	City
latitude	Estuary
latitude	Mountain
hasHeadq	Organization
flowsInto	Water
name	Language
name	Continent
name	Mountains
name	Province
name	Island
name	Organization
name	Mountain
name	EthnicGroup
name	City
name	Religion
name	Desert
name	Islands
name	Water
name	Country
population	Island
population	Islands
population	Country
population	City
population	Province
gdpAgri	Country
belongsToIslands	Island
area	Desert
area	Island
area	Province
area	Islands
area	Country
area	Continent
area	Water
area	Mountains
locatedOnIsland	Mountain
onlyfemaleprop	Female
length	Border
length	Water
inflation	Country
type	Mountain
type	Desert
type	Water
type	Islands
type	Island
type	Membership
type	Mountains
inMountains	Source
inMountains	Mountain
capital	Province
capital	Country
abbrev	Organization
lastEruption	Mountain
ethnicInfo-	EthnicProportion
flowsThrough_Inv	Water
populationGrowth	Country
percent	Encompassed
percent	BelievedBy
percent	SpokenBy
percent	EthnicProportion
longitude	Source
longitude	Island
longitude	Islands
longitude	Desert
longitude	Water
longitude	Estuary
longitude	City
longitude	Mountain
longitude	Mountains
government	Country
gdpServ	Country
invfktprop_Inv	Y2
invfktprop_Inv	Y1
gdpTotal	Country
hasMother	Female
hasMother	Male
ofMember	Membership
religionInfo-	BelievedBy
elevation	Source
elevation	Mountains
elevation	Water
elevation	Mountain
elevation	City
elevation	Islands
elevation	Estuary
elevation	Island
inOrganization	Membership
nmprop	X1
hasFather	Female
hasFather	Male
isProvinceOf	Province
hasSource-	Source
languageInfo-	SpokenBy
unemployment	Country
independenceDate	Country
dependentOf	Country
onReligion	BelievedBy
totUpartV11prop	U
depth	Water
infantMortality	Country
onEthnicGroup	EthnicProportion
gdpInd	Country
carCode	Country
established	Organization
encompassedArea	Encompassed
wasDependentOf	Country
encompassedBy	Encompassed
hasEstuary-	Estuary
onLanguage	SpokenBy
rdftype	Water
rdftype	Mountain
\.


--
-- TOC entry 5980 (class 0 OID 96856)
-- Dependencies: 1148
-- Data for Name: rctab; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY rctab (tablename, columnname, rangetable) FROM stdin;
Organization	hasHeadq	City
Water	flowsInto	Water
Water	flowsThrough_Inv	Water
Island	belongsToIslands	Islands
Country	dependentOf	Country
Country	capital	City
Country	wasDependentOf	Organization
Country	wasDependentOf	Country
Mountain	locatedOnIsland	Island
Mountain	inMountains	Mountains
Female	hasMother	Female
Female	hasFather	Male
Province	capital	City
Province	isProvinceOf	Country
Source	inMountains	Mountains
Source	hasSource-	Water
EthnicProportion	ethnicInfo-	Country
EthnicProportion	onEthnicGroup	EthnicGroup
Encompassed	encompassedArea	Country
Encompassed	encompassedArea	Province
Encompassed	encompassedBy	Continent
BelievedBy	religionInfo-	Country
BelievedBy	onReligion	Religion
Y2	invfktprop_Inv	X1
Y2	invfktprop_Inv	X2
Membership	ofMember	Country
Membership	inOrganization	Organization
Male	hasMother	Female
Male	hasFather	Male
SpokenBy	languageInfo-	Country
SpokenBy	onLanguage	Language
X1	nmprop	Y1
X1	nmprop	Y2
U	totUpartV11prop	V
Estuary	hasEstuary-	Water
Y1	invfktprop_Inv	X1
Y1	invfktprop_Inv	X2
hasNickname	Person	Male
hasNickname	Person	Female
locatedAt	City	City
nmprop	X	X2
mergesWith	Sea1	Water
locatedOnIsland	Entity	City
marriedWith	Person1	Female
marriedWith	Person1	Male
borders	Entity	Continent
borders	Entity	Country
borders	Entity	Water
borders	Entity	Province
cityIn	City	City
othername	Entity	City
othername	Entity	Organization
othername	Entity	Island
othername	Entity	Desert
othername	Entity	Mountains
othername	Entity	Continent
othername	Entity	Mountain
othername	Entity	Islands
othername	Entity	EthnicGroup
othername	Entity	Language
othername	Entity	Water
othername	Entity	Country
othername	Entity	Religion
othername	Entity	Province
locatedIn	Entity	Estuary
locatedIn	Entity	Desert
locatedIn	Entity	Island
locatedIn	Entity	Mountains
locatedIn	Entity	Source
locatedIn	Entity	Mountain
locatedIn	Entity	City
locatedIn	Entity	Water
locatedIn	Entity	Islands
locatedInWater	Island	Island
hasAccountNo	Person	Female
hasAccountNo	Person	Male
hasChild	Person1	Male
hasChild	Person1	Female
locatedAt	Water	Water
nmprop	Y	Y1
nmprop	Y	Y2
mergesWith	Sea2	Water
mergesWith	Sea2	Water
locatedOnIsland	Island	Island
marriedWith	Person2	Male
marriedWith	Person2	Male
marriedWith	Person2	Female
marriedWith	Person2	Female
borders	LargeArea	Water
borders	LargeArea	Province
borders	LargeArea	Country
borders	LargeArea	Continent
cityIn	AdministrativeArea	Province
cityIn	AdministrativeArea	Country
locatedIn	Area	Country
locatedIn	Area	Province
locatedIn	Area	Island
locatedIn	Area	Continent
locatedIn	Area	Mountains
locatedIn	Area	Water
locatedIn	Area	City
locatedIn	Area	Desert
locatedIn	Area	Islands
locatedInWater	Water	Water
hasChild	Person2	Female
hasChild	Person2	Male
Border	Country1	Country
Border	Country2	Country
\.


--
-- TOC entry 5981 (class 0 OID 96859)
-- Dependencies: 1149
-- Data for Name: rdf2sqlconf; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY rdf2sqlconf (name, value) FROM stdin;
casesensitive	true
identifiers	asURI
\.


--
-- TOC entry 5982 (class 0 OID 96862)
-- Dependencies: 1150
-- Data for Name: subcl; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY subcl (subclass, superclass) FROM stdin;
Language	rdf2sqlTOP
Continent	rdf2sqlTOP
Desert	rdf2sqlTOP
Border	rdf2sqlTOP
X2	rdf2sqlTOP
Estuary	rdf2sqlTOP
Source	rdf2sqlTOP
Mountain	rdf2sqlTOP
Country	rdf2sqlTOP
Religion	rdf2sqlTOP
Encompassed	rdf2sqlTOP
Province	rdf2sqlTOP
Island	rdf2sqlTOP
EthnicGroup	rdf2sqlTOP
Female	rdf2sqlTOP
SpokenBy	rdf2sqlTOP
Mountains	rdf2sqlTOP
Y1	rdf2sqlTOP
BelievedBy	rdf2sqlTOP
U	rdf2sqlTOP
Male	rdf2sqlTOP
Water	rdf2sqlTOP
Membership	rdf2sqlTOP
Organization	rdf2sqlTOP
Y2	rdf2sqlTOP
V	rdf2sqlTOP
Islands	rdf2sqlTOP
EthnicProportion	rdf2sqlTOP
X1	rdf2sqlTOP
City	rdf2sqlTOP
\.


--
-- TOC entry 5983 (class 0 OID 96865)
-- Dependencies: 1151
-- Data for Name: toptables; Type: TABLE DATA; Schema: mondial_rdf2sql_standard; Owner: -
--

COPY toptables (tablename, property, range) FROM stdin;
TOP_locatedOnIsland	locatedOnIsland	Island
TOP_latitude	latitude	decimal
TOP_population	population	nonNegativeInteger
TOP_capital	capital	City
TOP_hasFather	hasFather	Male
TOP_elevation	elevation	decimal
TOP_percent	percent	decimal
TOP_length	length	decimal
TOP_name	name	string
TOP_nmprop	nmprop	Y
TOP_inMountains	inMountains	Mountains
TOP_area	area	decimal
TOP_invfktprop_Inv	invfktprop_Inv	X
TOP_type	type	string
TOP_hasMother	hasMother	Female
TOP_nmprop_Inv	nmprop_Inv	X
TOP_longitude	longitude	decimal
TOP_onlyfemaleprop	onlyfemaleprop	Integer
\.


SET search_path = mondial_wrls_mici_n_pac, pg_catalog;

--
-- TOC entry 5831 (class 0 OID 93606)
-- Dependencies: 784
-- Data for Name: BelievedBy; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "BelievedBy" ("URI", percent, "religionInfo-", "onReligion") FROM stdin;
-60ed8313:150849567c0:4315	60	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4326	60	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:42a6	2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:4213	32	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Baptist/
-60ed8313:150849567c0:42ad	1.1	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
-60ed8313:150849567c0:4129	18.9	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4291	19	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42f8	50	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4254	2	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
-60ed8313:150849567c0:4217	67	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41c3	1	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:427e	100	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:41ed	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4305	10	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:42b1	10	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:410c	10	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4194	94.7	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/
-60ed8313:150849567c0:42db	1	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4157	4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4282	60	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42a1	3.8	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/ChurchChrist/
-60ed8313:150849567c0:42e9	12	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4245	21.2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41f1	70	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4208	4.5	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:41b4	0.1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:4110	64.7	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:426f	18.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:41de	1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:413a	1.8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42a2	99	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4185	1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:42cc	80	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4148	0.6	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:4273	1.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4236	76.3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41e2	98	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:429d	15	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41a5	2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Sikh/
-60ed8313:150849567c0:4324	52	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:42d0	100	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41cf	20	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:412b	2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42fa	100	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4176	100	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42bd	25.2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4139	4.3	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4264	18	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:4227	86	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41d3	0.6	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:428e	4.4	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
-60ed8313:150849567c0:41fd	98	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42c1	95	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:411c	85	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42eb	24	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4167	13.6	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42ae	89.6	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:420a	5.7	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4292	5	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42f9	25	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4255	39	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4218	39.3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41c4	45	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4120	94	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:427f	50	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41ee	90	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:414a	15	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4306	94	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42b2	0.3	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:410d	20	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:4195	1.3	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/religion/Yezidi/
-60ed8313:150849567c0:42dc	15	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4158	87.8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4283	30	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4246	1.9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
-60ed8313:150849567c0:41f2	75	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4209	93	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/religion/Taoist/
-60ed8313:150849567c0:41b5	95	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4111	33.3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42e0	50	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41df	2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:413b	80	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42a3	99.7	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4186	0.6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Sikh/
-60ed8313:150849567c0:42cd	98	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4149	20	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:4274	100	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4237	14.4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41e3	22	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:429e	15	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:41a6	0.5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Jains/
-60ed8313:150849567c0:4325	90	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42d1	38	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:412c	0.9	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42fb	1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4177	96	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42be	27.4	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:421a	1.6	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
-60ed8313:150849567c0:4265	40	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Baptist/
-60ed8313:150849567c0:4228	42.6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41d4	0.7	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4130	76.2	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:428f	16.4	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/
-60ed8313:150849567c0:41fe	1	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:415a	0.4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4316	10	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:42c2	99	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:411d	8	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42ec	1	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4168	12.8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42af	6.2	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:420b	30.2	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4293	34	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:4256	44.8	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4219	30.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41c5	50	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4121	85	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42f0	9	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41ef	10	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:414b	75	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4307	6	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:42b3	81.3	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:410e	98	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:4196	87.8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42dd	15	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4159	4.4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:4284	13.8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:4247	0.7	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/Mormon/
-60ed8313:150849567c0:41f3	17	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:41b6	9.3	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4112	0.2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42e1	40	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:413c	10	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42a4	92	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4200	83	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4187	0.5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:42ce	1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:422a	6.8	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:4275	8	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4238	1.3	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
-60ed8313:150849567c0:41e4	30	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4140	79	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:429f	6.2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
-60ed8313:150849567c0:41a7	75	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:416a	82.5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42d2	15	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:412d	2.1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42fc	55	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4178	3	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42bf	96	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:421b	50	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4266	12	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
-60ed8313:150849567c0:4229	16.5	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41d5	75.6	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:4131	7	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41ff	5	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:415b	1.3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4317	16	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42c3	0.5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:411e	2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42ed	67	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4169	100	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:420c	29	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:4294	17	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Baptist/
-60ed8313:150849567c0:4257	3.4	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:41c6	6	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4122	6	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42f1	35	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:414c	25	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4308	43.5	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42b4	12.5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4210	19	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:410f	1.3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4197	9.9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42de	50	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:423a	23.2	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4285	24.8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4248	97	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41f4	6	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4150	2	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41b7	6.7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4113	85	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:417a	3	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:42e2	10	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:413d	2.6	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42a5	2	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4201	9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4188	0.3	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:42cf	1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:422b	1.9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4276	52	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4239	58.5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41e5	5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:4141	4.1	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:41a8	25	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:416b	1.1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:4327	94	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42d3	2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:412e	0.3	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:42fd	100	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4179	90	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:421c	40	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4267	16	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/religion/Methodist/
-60ed8313:150849567c0:430a	18.6	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41d6	16.9	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4132	68.9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:415c	59.4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:4318	33	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42c4	0.5	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:4220	1.1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
-60ed8313:150849567c0:411f	1	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:42ee	1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:424a	100	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:420d	23.9	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/religion/Methodist/
-60ed8313:150849567c0:4295	10	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
-60ed8313:150849567c0:4258	90	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4160	86.8	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:41c7	4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4123	26.8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:418a	2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42f2	30	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:414d	87	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4309	33.9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42b5	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4211	12	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4198	0.8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42df	10	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:423b	0.9	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
-60ed8313:150849567c0:41aa	8	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4286	12.6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4249	3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41f5	84	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4151	30	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41b8	1.5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/HoaHao/
-60ed8313:150849567c0:4114	3.2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:417b	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42e3	20	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:413e	19.6	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4202	3	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4189	99	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:422c	51.3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4277	38	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:431a	80	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:41e6	1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
-60ed8313:150849567c0:4142	1.9	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41a9	63	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:416c	86.7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4328	70.3	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Catholic/
-60ed8313:150849567c0:42d4	50	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4230	0.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:412f	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:42fe	95	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:425a	15	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:421d	1	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/religion/Mayan/
-60ed8313:150849567c0:4268	34	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4170	1.5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:430b	0.7	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/religion/Catholic/
-60ed8313:150849567c0:41d7	2	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4133	10.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:419a	4.8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:415d	7.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4319	33	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42c5	97	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4221	15	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42ef	65	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:424b	95	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:420e	80.8	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41ba	0.5	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4296	11	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/religion/United/
-60ed8313:150849567c0:4259	85	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4161	7.5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41c8	3	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4124	2.1	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:418b	4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:42f3	16	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:414e	8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42b6	30.5	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4212	20	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:4199	93.4	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:423c	85	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4300	14	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41ab	14	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4287	1.6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:432a	2	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/NewApostolic/
-60ed8313:150849567c0:41f6	47.4	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4152	20	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41b9	1.1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/CaoDai/
-60ed8313:150849567c0:4115	5.5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:417c	98	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42e4	50	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4240	15	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:413f	15.3	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42a7	95	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4203	95	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:426a	17	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/Episcopalian/
-60ed8313:150849567c0:422d	23.9	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4278	30	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4180	1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:431b	7	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41e7	8	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
-60ed8313:150849567c0:4143	95	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:416d	1	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4329	3.4	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42d5	50	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4231	0.6	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41a0	89	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:42ff	2	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:425b	90	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:421e	76.5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41ca	90	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:4269	42	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/religion/Baptist/
-60ed8313:150849567c0:4171	90	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:430c	100	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41d8	1.7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/religion/Druze/
-60ed8313:150849567c0:4134	4.1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:419b	100	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:415e	0.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:42c6	90	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4222	23	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:424c	1	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4310	9	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:420f	9	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41bb	0.1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4297	100	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4162	4.7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41c9	5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4125	34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:418c	99	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42f4	33	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4250	95	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:414f	3	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:42b7	28.4	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:427a	95	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:423d	15	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4301	86	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41ac	60.4	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4288	1.3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4190	89	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:432b	1.8	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/religion/Adventist/
-60ed8313:150849567c0:41f7	48.6	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4153	5.8	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4116	1.1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:417d	98	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42e5	2	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4241	95	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42a8	5	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4204	8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41b0	60	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:426b	20	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:422e	1.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Mormon/
-60ed8313:150849567c0:41da	6	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/religion/CopticChristian/
-60ed8313:150849567c0:4279	54	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4181	45	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:431c	41	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:41e8	97	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4144	83.5	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:416e	1.8	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42d6	10	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4232	11	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41a1	14	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:425c	7	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4320	20	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:421f	5.2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41cb	25	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4172	8	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:430d	28	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41d9	94	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4135	1	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:419c	83	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4260	32.2	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:415f	0.7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42c7	1	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4223	5	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
-60ed8313:150849567c0:428a	61	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/
-60ed8313:150849567c0:424d	4	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:4311	92	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41bc	47	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4298	1	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/Bahai/
-60ed8313:150849567c0:4163	99.8	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42aa	15.4	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4126	34	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:418d	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/religion/Bahai/
-60ed8313:150849567c0:42f5	15	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4251	5	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:42b8	8.1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4214	6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/Methodist/
-60ed8313:150849567c0:41c0	20	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:427b	52.6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:423e	85	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41ea	92	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4302	85	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41ad	19.2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4289	10	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/Mormon/
-60ed8313:150849567c0:4191	9	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:432c	90	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41f8	3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Confucianism/
-60ed8313:150849567c0:4154	40	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4117	74.2	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:417e	1.5	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:42e6	1	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4242	80	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42a9	73.6	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4205	8	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:41b1	3.8	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:426c	30	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:422f	1.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:41db	87	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4182	19	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:431d	20	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41e9	3	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4145	8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/
-60ed8313:150849567c0:4270	8.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:416f	87	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42d7	50	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4233	5.7	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:429a	97	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/
-60ed8313:150849567c0:41a2	2.4	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:425d	3	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:4321	30	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:41cc	18	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4173	2	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:430e	38	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42ba	1.1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/
-60ed8313:150849567c0:4136	96	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:419d	16	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:4261	14	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42c8	100	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4224	18	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41d0	78	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:428b	7.2	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:424e	5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41fa	100	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4312	2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:41bd	2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4299	1.4	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
-60ed8313:150849567c0:4164	95	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42ab	70	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4127	3.7	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:418e	97	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42f6	25	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4252	72.8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42b9	7.2	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4215	6	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
-60ed8313:150849567c0:41c1	10	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:427c	40.9	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:423f	77	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41eb	8	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4303	8	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:41ae	9.1	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4192	88	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:432d	8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:41f9	0.2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/religion/Chondogyo/
-60ed8313:150849567c0:4155	31	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:4118	17.7	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4280	47	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:417f	84.5	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42e7	25	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4243	16	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4206	69	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:41b2	95	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:426d	50	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/
-60ed8313:150849567c0:41dc	3	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42a0	36.7	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/religion/Presbyterian/
-60ed8313:150849567c0:4183	6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:431e	20	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42ca	0.2	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Jewish/
-60ed8313:150849567c0:4146	2.2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4271	2.7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42d8	20	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4234	26	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/ChurchofGod/
-60ed8313:150849567c0:41e0	1	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:429b	36.6	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41a3	0.7	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:425e	99	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4322	16.6	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41cd	36	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:4174	74	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:430f	90	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42bb	19.6	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4137	41.8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:419e	4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4262	14.4	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:42c9	98.7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4225	11	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/
-60ed8313:150849567c0:41d1	18	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:428c	11.7	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:424f	55.9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41fb	75	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4313	30	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:41be	44	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:411a	90	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4165	2	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42ac	15	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4128	51.9	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4290	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/
-60ed8313:150849567c0:418f	90	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42f7	25	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4253	14.7	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4216	4	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41c2	7	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:427d	6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/religion/Mormon/
-60ed8313:150849567c0:41ec	85	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4304	20	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:42b0	47.1	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41af	6.3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:410b	70	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4193	9	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/
-60ed8313:150849567c0:42da	60	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4156	15	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4119	3.5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4281	100	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:42e8	60	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4244	57.1	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41f0	30	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4207	15	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:41b3	0.5	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:426e	25.8	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41dd	6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4184	2.7	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:431f	55	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42cb	1.1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4147	2.2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:4272	2.1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/religion/Buddhist/
-60ed8313:150849567c0:42d9	10	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/religion/Kimbanguist/
-60ed8313:150849567c0:4235	11.8	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/religion/UnitedChurch/
-60ed8313:150849567c0:41e1	1	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:429c	58.2	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/
-60ed8313:150849567c0:41a4	80	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:425f	6	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4323	28.3	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:41ce	80	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:412a	84.6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4175	11	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:42bc	22.8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:4138	35.3	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:419f	4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:4263	24.3	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/religion/Hindu/
-60ed8313:150849567c0:4226	10	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:41d2	98.7	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:428d	39	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/religion/Anglican/
-60ed8313:150849567c0:41fc	96	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4314	5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/religion/Christian/
-60ed8313:150849567c0:42c0	2	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/religion/Protestant/
-60ed8313:150849567c0:41bf	75	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:411b	95	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/religion/RomanCatholic/
-60ed8313:150849567c0:42ea	30	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/religion/Muslim/
-60ed8313:150849567c0:4166	2	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/religion/Muslim/
\.


--
-- TOC entry 5832 (class 0 OID 93612)
-- Dependencies: 785
-- Data for Name: Border; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Border" ("URI", length, "Country1", "Country2") FROM stdin;
-60ed8313:150849567c0:18d3	797	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCA/
-60ed8313:150849567c0:18fd	491	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/RSA/
-60ed8313:150849567c0:181c	3645	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:1867	222	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/country/SA/
-60ed8313:150849567c0:17d6	164	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CH/
-60ed8313:150849567c0:18c4	610	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RG/
-60ed8313:150849567c0:1820	3380	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/IND/
-60ed8313:150849567c0:18ee	1626	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SP/
-60ed8313:150849567c0:184a	1228	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/VN/
-60ed8313:150849567c0:180d	290	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:1895	743	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/YV/
-60ed8313:150849567c0:1858	307	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/WEST/
-60ed8313:150849567c0:17c7	60	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/F/
-60ed8313:150849567c0:18f2	682	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SP/
-60ed8313:150849567c0:18b5	266	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RN/
-60ed8313:150849567c0:1811	586	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/country/SF/
-60ed8313:150849567c0:18df	1360	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/country/TCH/
-60ed8313:150849567c0:183b	4053	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/IND/
-60ed8313:150849567c0:1886	750	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PY/
-60ed8313:150849567c0:1849	803	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/THA/
-60ed8313:150849567c0:17f5	227	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:18e3	330	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/SN/
-60ed8313:150849567c0:18a6	813	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/SN/
-60ed8313:150849567c0:1802	241	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SRB/
-60ed8313:150849567c0:182c	992	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TM/
-60ed8313:150849567c0:1877	330	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/PA/
-60ed8313:150849567c0:17e6	3.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/V/
-60ed8313:150849567c0:18d4	1094	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/TCH/
-60ed8313:150849567c0:1830	268	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/TR/
-60ed8313:150849567c0:18fe	1231	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/ZW/
-60ed8313:150849567c0:185a	255	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/IL/
-60ed8313:150849567c0:181d	523	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/PK/
-60ed8313:150849567c0:1868	457	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/UAE/
-60ed8313:150849567c0:17d7	646	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/D/
-60ed8313:150849567c0:18c5	716	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/LB/
-60ed8313:150849567c0:1821	1236	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NEP/
-60ed8313:150849567c0:18ef	769	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAT/
-60ed8313:150849567c0:184b	6846	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:180e	167	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:1896	1420	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/country/PE/
-60ed8313:150849567c0:1859	11	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/GAZA/
-60ed8313:150849567c0:17c8	65	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/E/
-60ed8313:150849567c0:18f3	933	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAU/
-60ed8313:150849567c0:18b6	306	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/BF/
-60ed8313:150849567c0:1812	6.3	http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/country/MA/
-60ed8313:150849567c0:183c	1800	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/country/THA/
-60ed8313:150849567c0:1900	105	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/SD/
-60ed8313:150849567c0:1887	900	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/PE/
-60ed8313:150849567c0:17f6	444	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/SK/
-60ed8313:150849567c0:18e4	652	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/WAL/
-60ed8313:150849567c0:1840	470	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/CN/
-60ed8313:150849567c0:18a7	443	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/WSA/
-60ed8313:150849567c0:1803	25	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/MNE/
-60ed8313:150849567c0:186a	822	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/country/TR/
-60ed8313:150849567c0:182d	1458	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/IRQ/
-60ed8313:150849567c0:1878	275	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/country/RH/
-60ed8313:150849567c0:1885	861	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RCH/
-60ed8313:150849567c0:1848	541	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/LAO/
-60ed8313:150849567c0:17f4	91	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/PL/
-60ed8313:150849567c0:18e2	858	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/RMM/
-60ed8313:150849567c0:18a5	1561	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/WSA/
-60ed8313:150849567c0:1801	932	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/HR/
-60ed8313:150849567c0:18cf	475	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MW/
-60ed8313:150849567c0:182b	909	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/PK/
-60ed8313:150849567c0:1876	309	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/NIC/
-60ed8313:150849567c0:1839	322	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/GE/
-60ed8313:150849567c0:17e5	235	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/SLO/
-60ed8313:150849567c0:17e7	39	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/RSM/
-60ed8313:150849567c0:18d5	189	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/GQ/
-60ed8313:150849567c0:1831	35	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/IR/
-60ed8313:150849567c0:18ff	1569	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/MW/
-60ed8313:150849567c0:185b	1150	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/LAR/
-60ed8313:150849567c0:181e	414	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/TAD/
-60ed8313:150849567c0:17ca	73	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/L/
-60ed8313:150849567c0:1869	1458	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/YE/
-60ed8313:150849567c0:17d8	215	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/SK/
-60ed8313:150849567c0:18c6	877	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/country/RT/
-60ed8313:150849567c0:1822	423	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/LAO/
-60ed8313:150849567c0:184c	379	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/TM/
-60ed8313:150849567c0:180f	729	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/SF/
-60ed8313:150849567c0:1897	982	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/LAR/
-60ed8313:150849567c0:17c9	488	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/I/
-60ed8313:150849567c0:18f4	740	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/country/WAG/
-60ed8313:150849567c0:1850	238	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/ROK/
-60ed8313:150849567c0:183d	2912	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/PK/
-60ed8313:150849567c0:18b7	773	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/WAN/
-60ed8313:150849567c0:1813	939	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/UA/
-60ed8313:150849567c0:187a	342	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/HCA/
-60ed8313:150849567c0:1888	1643	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/CO/
-60ed8313:150849567c0:17f7	428	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/UA/
-60ed8313:150849567c0:18e5	563	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/RG/
-60ed8313:150849567c0:1841	605	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/IND/
-60ed8313:150849567c0:18a8	9.6	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/MEL/
-60ed8313:150849567c0:1804	546	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/SLO/
-60ed8313:150849567c0:186b	375	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/country/SYR/
-60ed8313:150849567c0:182e	1161	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/country/UZB/
-60ed8313:150849567c0:17da	451	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/F/
-60ed8313:150849567c0:1879	203	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/GCA/
-60ed8313:150849567c0:17e8	90	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/country/UA/
-60ed8313:150849567c0:18d6	298	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/G/
-60ed8313:150849567c0:1832	164	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/GE/
-60ed8313:150849567c0:185c	1273	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/SUD/
-60ed8313:150849567c0:181f	2185	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MYA/
-60ed8313:150849567c0:17cb	4.4	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/MC/
-60ed8313:150849567c0:17d9	658	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/PL/
-60ed8313:150849567c0:1860	181	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/JOR/
-60ed8313:150849567c0:18c7	233	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/ZRE/
-60ed8313:150849567c0:1823	1281	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/VN/
-60ed8313:150849567c0:188a	1290	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PY/
-60ed8313:150849567c0:184d	2203	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/UZB/
-60ed8313:150849567c0:17bc	282	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/GR/
-60ed8313:150849567c0:1898	1376	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RMM/
-60ed8313:150849567c0:18aa	1175	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/TCH/
-60ed8313:150849567c0:18f5	386	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/RG/
-60ed8313:150849567c0:1851	870	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/TAD/
-60ed8313:150849567c0:18b8	644	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/RT/
-60ed8313:150849567c0:1814	450	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/RO/
-60ed8313:150849567c0:17c0	228	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/MK/
-60ed8313:150849567c0:187b	922	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/country/NIC/
-60ed8313:150849567c0:183e	1463	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/MYA/
-60ed8313:150849567c0:17ea	334	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/D/
-60ed8313:150849567c0:1889	1224	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/RA/
-60ed8313:150849567c0:17f8	206	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:18e6	306	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/WAL/
-60ed8313:150849567c0:1842	381	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/country/MAL/
-60ed8313:150849567c0:18a9	1497	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/WAN/
-60ed8313:150849567c0:1805	494	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/GR/
-60ed8313:150849567c0:186c	676	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/SA/
-60ed8313:150849567c0:182f	1621	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/country/UZB/
-60ed8313:150849567c0:17db	456	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/PL/
-60ed8313:150849567c0:17e9	573	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/F/
-60ed8313:150849567c0:1870	266	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/GCA/
-60ed8313:150849567c0:18d7	467	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/RCB/
-60ed8313:150849567c0:1833	787	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/AZ/
-60ed8313:150849567c0:189a	1559	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/MA/
-60ed8313:150849567c0:185d	228	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/country/TL/
-60ed8313:150849567c0:17cc	623	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/F/
-60ed8313:150849567c0:18ba	628	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RN/
-60ed8313:150849567c0:1861	242	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/KWT/
-60ed8313:150849567c0:18c8	290	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/RWA/
-60ed8313:150849567c0:1824	1533	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KAZ/
-60ed8313:150849567c0:17d0	784	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/D/
-60ed8313:150849567c0:188b	985	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/ROU/
-60ed8313:150849567c0:184e	1051	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/KGZ/
-60ed8313:150849567c0:17fa	1313	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/SF/
-60ed8313:150849567c0:17bd	151	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MK/
-60ed8313:150849567c0:1899	463	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RIM/
-60ed8313:150849567c0:18ab	201	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/RCB/
-60ed8313:150849567c0:18f6	338	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/SN/
-60ed8313:150849567c0:1852	1099	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/UZB/
-60ed8313:150849567c0:18b9	1000	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RMM/
-60ed8313:150849567c0:1815	360	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/country/IRL/
-60ed8313:150849567c0:17c1	206	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/TR/
-60ed8313:150849567c0:187c	15	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/country/SMAR/
-60ed8313:150849567c0:183f	1690	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/NEP/
-60ed8313:150849567c0:17eb	740	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/I/
-60ed8313:150849567c0:17f9	1576	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/UA/
-60ed8313:150849567c0:1880	590	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/EC/
-60ed8313:150849567c0:18e7	113	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ER/
-60ed8313:150849567c0:1843	506	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/THA/
-60ed8313:150849567c0:1806	148	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/MK/
-60ed8313:150849567c0:186d	410	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/UAE/
-60ed8313:150849567c0:17dc	138	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/L/
-60ed8313:150849567c0:18a0	1055	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TCH/
-60ed8313:150849567c0:18ca	217	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/country/ZRE/
-60ed8313:150849567c0:1871	250	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/MEX/
-60ed8313:150849567c0:18d8	1577	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/ZRE/
-60ed8313:150849567c0:1834	723	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:17e0	515	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SK/
-60ed8313:150849567c0:189b	956	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/RN/
-60ed8313:150849567c0:185e	820	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/country/RI/
-60ed8313:150849567c0:17cd	1.2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/GBZ/
-60ed8313:150849567c0:18bb	126	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/RT/
-60ed8313:150849567c0:1862	814	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SA/
-60ed8313:150849567c0:18c9	451	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/EAT/
-60ed8313:150849567c0:1825	1416	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/NOK/
-60ed8313:150849567c0:17d1	366	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/H/
-60ed8313:150849567c0:188c	1560	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/PE/
-60ed8313:150849567c0:184f	19	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:17fb	620	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/F/
-60ed8313:150849567c0:17be	172	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/MNE/
-60ed8313:150849567c0:18ac	1376	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/NAM/
-60ed8313:150849567c0:1890	2200	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/YV/
-60ed8313:150849567c0:18f7	765	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/ZRE/
-60ed8313:150849567c0:1853	3441	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:1816	76	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/CN/
-60ed8313:150849567c0:17c2	62	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/country/SRB/
-60ed8313:150849567c0:187d	225	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PA/
-60ed8313:150849567c0:17ec	41	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/FL/
-60ed8313:150849567c0:18b0	233	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/Z/
-60ed8313:150849567c0:18da	175	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SUD/
-60ed8313:150849567c0:1881	5150	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/RCH/
-60ed8313:150849567c0:18e8	337	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/ETH/
-60ed8313:150849567c0:1844	1782	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/RI/
-60ed8313:150849567c0:17f0	891	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/UA/
-60ed8313:150849567c0:1807	318	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/SRB/
-60ed8313:150849567c0:186e	288	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/YE/
-60ed8313:150849567c0:17dd	577	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/NL/
-60ed8313:150849567c0:18a1	383	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/SUD/
-60ed8313:150849567c0:18cb	459	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/ZRE/
-60ed8313:150849567c0:1872	962	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/MEX/
-60ed8313:150849567c0:18d9	1197	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/TCH/
-60ed8313:150849567c0:1835	252	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/TR/
-60ed8313:150849567c0:17e1	102	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SLO/
-60ed8313:150849567c0:189c	965	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/TN/
-60ed8313:150849567c0:185f	331	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/TR/
-60ed8313:150849567c0:17ce	1214	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/P/
-60ed8313:150849567c0:18bc	584	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/CI/
-60ed8313:150849567c0:1863	605	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/SYR/
-60ed8313:150849567c0:1826	858	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/KGZ/
-60ed8313:150849567c0:17d2	430	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/I/
-60ed8313:150849567c0:188d	673	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/FGU/
-60ed8313:150849567c0:17fc	167	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/D/
-60ed8313:150849567c0:18c0	225	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/ZW/
-60ed8313:150849567c0:17bf	112	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/KOS/
-60ed8313:150849567c0:18ea	605	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/SUD/
-60ed8313:150849567c0:18ad	2511	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/ZRE/
-60ed8313:150849567c0:1891	1880	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/country/RA/
-60ed8313:150849567c0:18f8	169	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/RWA/
-60ed8313:150849567c0:1854	51	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/country/IL/
-60ed8313:150849567c0:1817	936	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/IR/
-60ed8313:150849567c0:17c3	124	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/country/SRB/
-60ed8313:150849567c0:187e	2900	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/PE/
-60ed8313:150849567c0:17ed	141	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LV/
-60ed8313:150849567c0:18b1	1360	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RB/
-60ed8313:150849567c0:18db	989	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/SSD/
-60ed8313:150849567c0:1882	579	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/ROU/
-60ed8313:150849567c0:18e9	58	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/SP/
-60ed8313:150849567c0:1845	235	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/MYA/
-60ed8313:150849567c0:17f1	959	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:1808	608	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/RO/
-60ed8313:150849567c0:186f	60	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/country/SA/
-60ed8313:150849567c0:17de	68	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/DK/
-60ed8313:150849567c0:18a2	821	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/RN/
-60ed8313:150849567c0:18cc	338	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/Z/
-60ed8313:150849567c0:1873	256	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/HCA/
-60ed8313:150849567c0:1836	284	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:17e2	103	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/UA/
-60ed8313:150849567c0:189d	42	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/WSA/
-60ed8313:150849567c0:18d0	756	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/MOC/
-60ed8313:150849567c0:17cf	362	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/CZ/
-60ed8313:150849567c0:18fa	909	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/country/RSA/
-60ed8313:150849567c0:18bd	548	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/GH/
-60ed8313:150849567c0:1864	728	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SA/
-60ed8313:150849567c0:1827	4673	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MNG/
-60ed8313:150849567c0:17d3	37	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/FL/
-60ed8313:150849567c0:188e	1119	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/GUY/
-60ed8313:150849567c0:17fd	148	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/L/
-60ed8313:150849567c0:18c1	430	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/SD/
-60ed8313:150849567c0:18eb	912	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/ETH/
-60ed8313:150849567c0:18ae	1110	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/Z/
-60ed8313:150849567c0:180a	476	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/SRB/
-60ed8313:150849567c0:1892	160	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/country/RCH/
-60ed8313:150849567c0:18f9	435	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/SSD/
-60ed8313:150849567c0:1855	238	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/JOR/
-60ed8313:150849567c0:1818	2430	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/PK/
-60ed8313:150849567c0:17c4	79	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MNE/
-60ed8313:150849567c0:187f	2050	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/YV/
-60ed8313:150849567c0:17ee	502	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/LT/
-60ed8313:150849567c0:18b2	855	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/RSA/
-60ed8313:150849567c0:18dc	87	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/country/WAN/
-60ed8313:150849567c0:1883	832	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/RA/
-60ed8313:150849567c0:1846	1754	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/THA/
-60ed8313:150849567c0:17f2	217	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/country/R/
-60ed8313:150849567c0:1809	240	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/TR/
-60ed8313:150849567c0:18e0	639	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/ZRE/
-60ed8313:150849567c0:17df	151	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/SRB/
-60ed8313:150849567c0:18a3	419	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/SN/
-60ed8313:150849567c0:18cd	217	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/RWA/
-60ed8313:150849567c0:1874	3326	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/country/USA/
-60ed8313:150849567c0:1837	9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/TR/
-60ed8313:150849567c0:17e3	329	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/HR/
-60ed8313:150849567c0:189e	354	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/RN/
-60ed8313:150849567c0:18d1	523	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/RCB/
-60ed8313:150849567c0:18fb	837	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/country/Z/
-60ed8313:150849567c0:18be	1840	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/RSA/
-60ed8313:150849567c0:181a	744	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TM/
-60ed8313:150849567c0:1865	375	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/SYR/
-60ed8313:150849567c0:1828	0.34	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/MACX/
-60ed8313:150849567c0:17d4	91	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SK/
-60ed8313:150849567c0:188f	597	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/SME/
-60ed8313:150849567c0:17fe	450	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/NL/
-60ed8313:150849567c0:18c2	532	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/RMM/
-60ed8313:150849567c0:18ec	769	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SUD/
-60ed8313:150849567c0:18af	2410	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/country/ZRE/
-60ed8313:150849567c0:180b	531	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/UA/
-60ed8313:150849567c0:1893	510	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/country/SME/
-60ed8313:150849567c0:1856	76	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/SYR/
-60ed8313:150849567c0:1819	1206	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/TAD/
-60ed8313:150849567c0:17c5	352	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/SRB/
-60ed8313:150849567c0:18f0	232	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/SSD/
-60ed8313:150849567c0:17ef	605	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/PL/
-60ed8313:150849567c0:18b3	1930	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZRE/
-60ed8313:150849567c0:18dd	1903	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/RCB/
-60ed8313:150849567c0:1884	3400	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/BR/
-60ed8313:150849567c0:1847	2130	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/VN/
-60ed8313:150849567c0:17f3	453	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/LV/
-60ed8313:150849567c0:18e1	2184	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/SUD/
-60ed8313:150849567c0:18a4	2237	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/RMM/
-60ed8313:150849567c0:1800	249	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/MNE/
-60ed8313:150849567c0:18ce	396	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/EAU/
-60ed8313:150849567c0:182a	499	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/TR/
-60ed8313:150849567c0:1875	8893	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/country/USA/
-60ed8313:150849567c0:1838	611	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/IR/
-60ed8313:150849567c0:17e4	443	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/RO/
-60ed8313:150849567c0:189f	459	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/TN/
-60ed8313:150849567c0:18d2	1690	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/WAN/
-60ed8313:150849567c0:18fc	419	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/Z/
-60ed8313:150849567c0:18bf	813	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/ZW/
-60ed8313:150849567c0:181b	137	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/UZB/
-60ed8313:150849567c0:1866	97	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/WEST/
-60ed8313:150849567c0:1829	30	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/HONX/
-60ed8313:150849567c0:17d5	324	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/SLO/
-60ed8313:150849567c0:17ff	357	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/SRB/
-60ed8313:150849567c0:18c3	668	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/GH/
-60ed8313:150849567c0:18ed	934	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/SSD/
-60ed8313:150849567c0:180c	267	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/LV/
-60ed8313:150849567c0:1894	600	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/SME/
-60ed8313:150849567c0:1857	79	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/RL/
-60ed8313:150849567c0:17c6	159	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/MK/
-60ed8313:150849567c0:18f1	830	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/ETH/
-60ed8313:150849567c0:18b4	797	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/ZW/
-60ed8313:150849567c0:1810	1619	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/S/
-60ed8313:150849567c0:18de	350	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/GQ/
-60ed8313:150849567c0:183a	193	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/MYA/
\.


--
-- TOC entry 5833 (class 0 OID 93618)
-- Dependencies: 786
-- Data for Name: City; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "City" ("URI", name, elevation, longitude, latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Busan	\N	129.07	35.17
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	Oran	0.9	-0.63	35.7
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	Anju	\N	125.66	39.62
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	Depok	50	106.83	-6.39
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Koksetau	234	69.38	53.28
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	Pereira	1411	-75.69	4.81
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	Antsirabe	1500	47.03	-19.87
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Nelson Mandela Bay	89	25.6	-33.96
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	Dijon	220	5.04	47.29
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	Temara	\N	-6.91	33.93
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	Irving	147	-96.95	32.81
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	Seoul	\N	126.97	37.57
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	Yeosu	\N	127.73	34.73
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	Agboville	\N	-4.22	5.93
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	Yaren	\N	166.92	-0.55
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	Piura	\N	-80.63	-5.2
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	Taichung	\N	120.67	24.15
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Evora	\N	-7.9	38.57
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	Mbarara	1473	30.66	-0.61
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	Chaoxian	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	Ensenada	16	-116.61	31.86
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	Sete Lagoas	766.73	-44.25	-19.47
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	Sousse	\N	10.63	35.83
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	Hanoi	19	105.85	21.03
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	Morón	26	-58.62	-34.65
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	Villavicencio	467	-73.63	4.15
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	Qinhuangdao	\N	119.6	39.93
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	Saurimo	1081	20.4	-9.65
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	Baoji	570	107.38	34.35
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	Guanare	183	-69.75	9.04
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	Surrey	0	-122.85	49.18
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	Syktyvkar	130	50.82	61.67
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	Ulsan	\N	129.32	35.55
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	Pasto	2527	-77.28	1.21
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	Navoiy	382	65.38	40.08
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	Mokpo	\N	126.38	34.76
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	Angra dos Reis	1378	-44.32	-23.01
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elche	86	-0.7	38.27
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	Jiaozuo	139	113.22	35.24
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	Fort Wayne	247	-85.14	41.08
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	Lausanne	495	6.63	46.52
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	Zug	425	8.52	47.17
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	Zhanjiang	21	110.4	21.2
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	Pinar del Río	61	-83.67	22.41
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	Leshan	\N	103.77	29.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesha	\N	4.72	7.62
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla Morelos	1294	-99.96	18.81
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	Cumaná	43	-64.17	10.46
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	Jining	\N	116.57	35.4
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	Spokane	562	-117.42	47.66
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	Kuala Lumpur	21.95	101.68	3.13
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	Telde	130	-15.42	27.98
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	Grodno	137	23.83	53.67
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	Winnipeg	230	-97.14	49.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	Suzhou	\N	120.6	31.3
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Yekaterinburg	237	60.58	56.83
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	Milton Keynes	\N	-0.76	52.04
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	Yangjiang	4	111.97	21.85
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	Douala	13	9.68	4.05
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	Hakkari	\N	43.74	37.58
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	Gravataí	26	-50.99	-29.94
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia	6	-1.99	43.32
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	Antalya	30	30.68	36.9
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	Nacaome	\N	-87.48	13.52
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	Lahti	\N	25.65	60.98
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	Florianópolis	3	-48.42	-27.83
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	Macao	\N	113.55	22.17
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	Georgetown	-2	-58.17	6.8
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	Oxnard	16	-119.18	34.19
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	Trujillo	34	-79.03	-8.11
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumgayit	26	49.67	40.59
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	Barreiro	\N	-9.07	38.67
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	Viamão	9	-51.02	-30.08
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	Montréal	30	-73.57	45.5
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	Makiïvka	169	38.07	48.08
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakaka	566	40.2	29.97
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton Coldfield	\N	-1.82	52.56
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	Chattanooga	206	-85.27	35.05
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	Malambo	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	Ondo	\N	4.83	7.08
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	Al Hasakah	300	40.74	36.51
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	Sheffield	\N	-1.47	53.38
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	Maturín	67	-63.18	9.75
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	Chongqing	237	106.57	29.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	Oaxaca	1555	-96.72	17.07
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	Hamilton	\N	-64.78	32.29
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	Ploieşti	160	26.03	44.93
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	Concordia	21	-58.03	-31.4
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	Mbanza Congo	408	14.25	-6.27
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	Bremen	11	8.8	53.08
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	Chandigarh	350	76.78	30.75
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	Cheongju	39	127.48	36.63
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	Baia Mare	228	23.58	47.67
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	Eger	165	20.37	47.9
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	Acarigua	195	-69.2	9.56
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	Illéla	\N	5.24	14.46
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	Irkutsk	444	104.3	52.31
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	Saint-Louis	\N	-16.5	16.03
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	Guarenas	374	-66.62	10.47
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	Suva	\N	178.44	-18.14
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	Stans	452	8.35	46.95
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	Clearwater	9	-82.76	27.97
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Tshwane	1339	28.19	-25.75
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	Athens	194	-83.38	33.95
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	Pingdingshan	\N	113.3	33.73
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	Koronadal	100	124.85	6.5
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	Enschede	42	6.9	52.22
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	Žilina	342	18.74	49.22
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	Khorramshahr	5	48.17	30.44
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	Herat	920	62.2	34.34
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	Helsingborg	10	12.72	56.05
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	Roseau	43	-61.39	15.3
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	Blantyre	1039	35.01	-15.79
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	Pangkal Pinang	13	106.12	-2.13
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	San Andres	\N	-81.7	12.58
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	Chur	593	9.53	46.85
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan De Oro	10	124.65	8.48
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	Fort-de-France	\N	-61	14.6
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	Majuro	\N	171.27	7.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	Suqian	\N	118.28	33.93
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	Bagé	212	-54.11	-31.33
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	Nevinnomyssk	320	41.93	44.63
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	Ribeirão Pires	800	-46.42	-23.72
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	Maanshan	\N	118.35	31.7
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	Helsinki	\N	24.94	60.17
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	Watford	71	-0.4	51.66
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	Ubon Ratchathani	\N	104.86	15.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	Pomona	259	-117.76	34.06
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	Frankfort	155	-84.87	38.2
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	Novi Sad	80	19.85	45.25
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	Szolnok	68	20.18	47.17
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	Springfield	21	-72.59	42.1
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	Takoradi	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	Winterthur	439	8.75	47.5
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	Jizzax	378	67.84	40.12
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	Donets´k	169	37.81	48
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	Tunceli	940	39.55	39.1
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	Tarapoto	356	-76.37	-6.48
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspijsk	0	47.64	42.88
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bahru	\N	102.25	6.13
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	Ipswich	\N	1.16	52.06
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	Antananarivo	1276	47.52	-18.93
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	Owando	325	15.9	-0.48
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	Papeete	0	-149.57	-17.53
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Daegu	\N	128.6	35.87
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Chita	650	113.47	52.05
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	Petare	900	-66.82	10.48
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	Râmnicu Vâlcea	\N	24.38	45.1
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	Yanan	975	109.48	36.58
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	Indianapolis	218	-86.15	39.77
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	San Luis	709	-66.33	-33.3
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarem	\N	-8.68	39.23
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	Alexandria	41	25.33	43.97
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	Béchar	747	-2.22	31.62
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	Vinh	\N	105.67	18.67
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnurd	1070	57.33	37.48
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	Carapicuíba	\N	-46.84	-23.52
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	Paradise	627	-115.12	36.08
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	Ushuaia	23	-68.3	-54.8
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	Durgapur	65	87.32	23.55
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	Palu	118	119.83	-0.9
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	Rockford	222	-89.06	42.26
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	Carrefour	39	-72.4	18.53
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	Santo Domingo	14	-69.95	18.47
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	St Helens	\N	-2.75	53.45
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	Salvador	8	-38.48	-12.97
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	Chimoio	664	33.48	-19.12
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	Swindon	\N	-1.78	51.56
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	Christchurch	0	172.62	-43.53
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	San Felipe	250	-68.74	10.34
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Tegucigalpa	990	-87.22	14.1
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siguatepeque	\N	-87.83	14.6
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	Pematang Siantar	\N	99.06	2.96
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	Guelmim	\N	-10.07	28.98
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	Amol	76	52.35	36.47
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	Fóggia	76	15.55	41.46
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	Quito	2850	-78.52	-0.23
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	Hermansverk	6	6.85	61.18
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	Sion	500	7.37	46.23
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	Detroit	183	-83.05	42.33
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	Nyala	673	24.88	12.04
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	Presidente Prudente	\N	-51.38	-22.13
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Peiraias	0	23.63	37.95
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	Kawasaki	\N	139.7	35.52
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Jeju	\N	126.52	33.51
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	Bremerhaven	2	8.58	53.55
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Pádova	12	11.87	45.42
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	Tripoli	655	22.38	37.52
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	Constantine	694	6.6	36.35
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	Moss	14	10.7	59.46
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	Tianshui	1171	105.73	34.58
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	Sanming	\N	117.62	26.25
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	Eskisehir	788	30.52	39.78
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	Vladimir	150	40.42	56.13
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	Pembroke Pines	2	-80.31	26.01
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	Bandar Seri Begawan	9	114.94	4.89
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	Teófilo Otoni	334	-41.5	-17.86
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Wulumuqi	\N	87.6	43.83
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	Lancaster	719	-118.15	34.68
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	Singida	\N	34.74	-4.81
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	Pekalongan	\N	109.67	-6.88
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzeržinsk	90	43.45	56.23
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	Comilla	\N	91.2	23.45
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	Laghouat	769	2.88	33.8
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	Haiphong	\N	106.68	20.87
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sokhumi	5	41.02	43
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	Szekszárd	83	18.7	46.36
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	Casablanca	0	-7.58	33.53
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	Jiangyou	\N	104.76	31.77
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	Kirklareli	203	27.23	41.73
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	Adelaide	43	138.6	-34.93
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	Dezful	150	48.4	32.38
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	Al Ubayyiḑ	609	30.22	13.18
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	Cartago	1435	-83.92	9.87
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	Parnaíba	5	-41.78	-2.9
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castellón de la Plana	30	-0.03	39.98
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Ta'izz	1370	44.02	13.58
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	Turku	\N	22.27	60.45
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	Verona	59	10.98	45.43
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	Arlon	\N	5.82	49.68
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	Pindamonhangaba	540	-45.46	-22.92
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	Gera	194	12.08	50.88
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	Osh	963	72.8	40.53
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	Baku	-28	49.88	40.4
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	Tlemcen	842	-1.32	34.88
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	Yuyao	\N	121.15	30.05
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	Coimbra	34	-8.43	40.21
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	Comodoro Rivadavia	61	-67.48	-45.86
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	Vitória da Conquista	923	-40.84	-14.87
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	Bo	15	-11.74	7.96
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	Odienne	451	-7.56	9.51
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	Rawson	4	-65.1	-43.3
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	Puerto Cortes	\N	-87.95	15.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	Jincheng	\N	112.83	35.52
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	Santa Rosa	175	-64.28	-36.62
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	Bello	1310	-75.57	6.33
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	Xichang	1542	102.26	27.89
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	San Juan	8	-66.06	18.41
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	Itagui	1550	-75.62	6.17
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	Jersey City	6	-74.07	40.71
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	Muzaffarabad	737	73.28	34.21
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	Valparaíso	10	-71.62	-33.05
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	Oruro	3735	-67.12	-17.97
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	Hollywood	3	-80.17	26.02
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	Yellowknife	206	-114.4	62.44
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	Houston	13	-95.38	29.76
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	Albacete	686	-1.86	39
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	Huaibei	\N	116.47	33.58
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	Apeldoorn	16	5.97	52.22
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kim Chaek	\N	129.2	40.67
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	Maputo	47	32.58	-25.97
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	Najafabad	\N	51.6	32.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	Akure	\N	5.2	7.25
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Šachty	100	40.23	47.7
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	Tambacounda	24	-13.67	13.77
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	Rangpur	34	89.25	25.56
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	San Antonio	198	-98.5	29.42
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	Sunderland	\N	-1.38	54.91
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Klang	\N	101.45	3.03
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	Charlotte Amalie	\N	-64.9	18.3
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	Portland	15.2	-122.68	45.52
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	Erie	199	-80.09	42.13
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	Elbasan	150	20.07	41.1
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	Iquique	1	-70.15	-20.22
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	Hawassa	1708	38.47	7.05
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	Bridgetown	1	-59.61	13.11
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volzhsky	20	44.74	48.81
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	Zhengzhou	\N	113.65	34.77
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	Impfondo	326	18.07	1.64
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	Toledo	187	-83.58	41.67
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	Batam	\N	104.03	1.08
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	Atar	270	-13.05	20.52
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	Rzeszów	221	22	50.03
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	Severodvinsk	7	39.87	64.57
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Mons	\N	3.95	50.45
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	Governador Valadares	170	-41.95	-18.85
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	Barra Mansa	389	-44.17	-22.54
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	Sanandaj	1538	46.99	35.31
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuznetsk	200	87.12	53.75
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	Basildon	\N	0.49	51.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	Ankang	300	109.02	32.68
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	Zhumadian	\N	114.03	32.98
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	Viborg	51	9.4	56.45
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	São Gonçalo	19	-43.05	-22.83
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	Itu	583	-47.3	-23.26
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	Kingstown	\N	-61.22	13.16
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	Leverkusen	60	6.98	51.03
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	Oulu	\N	25.47	65.02
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	Penonomé	70	-80.36	8.52
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	Ferrara	9	11.62	44.83
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	Basingstoke	\N	-1.09	51.27
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	Santa Rosa	50	-122.7	38.45
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	Győr	108	17.63	47.68
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	Sarajevo	518	18.42	43.87
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	Chichica	\N	-81.67	8.36
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	Békéscsaba	89	21.09	46.68
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	Hamamatsu	\N	137.73	34.71
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	Mesa	379	-111.83	33.42
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	Zibo	7	118.05	36.78
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	New York	10	-74.01	40.71
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	Harar	1885	42.12	9.32
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	Rochester	154	-77.61	43.17
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytišči	150	37.77	55.92
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	Magaria	\N	8.91	13
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	El Aaiun	\N	-13.2	27.15
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	Middlesbrough	\N	-1.24	54.58
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	Melitopol´	\N	35.37	46.83
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Al Qamishl	455	41.22	37.05
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	Kuantan	21.95	103.33	3.82
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	Ėngel's	20	46.12	51.5
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Daman	5	72.85	20.42
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	Santiago	521	-70.67	-33.45
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	Iqaluit	\N	-68.52	63.75
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	Wels	317	14.02	48.15
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	Oklahoma City	366	-97.53	35.48
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	Marabá	170	-49.12	-5.35
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	Uyo	65	7.92	5.03
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	Laval	91	-73.75	45.58
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	Monrovia	\N	-10.8	6.31
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	Niigata	\N	139.04	37.92
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	Haarlem	2	4.63	52.38
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk-na-Amure	30	137	50.57
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	Nevsehir	\N	34.71	38.63
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	Matagalpa	680	-85.92	12.92
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	Moradabad	198	78.78	28.83
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	Cuttack	36	85.79	20.52
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	Qitaihe	209	131	45.77
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	Rancho Cucamonga	368	-117.58	34.12
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	Sarapul	80	53.8	56.47
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	Poole	\N	-1.98	50.72
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	Hangzhou	\N	120.17	30.25
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	Seremban	79	101.95	2.72
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	Daloa	299	-6.45	6.88
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	Yizheng	\N	119.19	32.41
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	Yonkers	25	-73.86	40.94
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	Santa Marta	6	-74.21	11.24
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	Vila Velha	4	-40.29	-20.34
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	Nigde	1229	34.68	37.97
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	Chernivtsi	248	25.93	48.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	Stoke-on-Trent	107	-2.18	53
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	Lund	\N	13.2	55.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	Santos	2	-46.32	-23.94
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmadabad	53	72.58	23.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	Fremont	17	-121.99	37.55
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	Kirsehir	\N	34.16	39.15
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	Yakeshi	657	120.72	49.28
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	Gifu	\N	136.77	35.42
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville-Davidson	182	-86.78	36.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	Piracicaba	547	-47.65	-22.73
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	Celaya	1767	-100.81	20.52
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	Huaiyin	\N	119.13	33.5
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	Braunschweig	75	10.52	52.27
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	Taunggyi	1399	97.03	20.78
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	Phoenix	331	-112.07	33.45
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	Amiens	14	2.3	49.89
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	Springfield	396	-93.29	37.2
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	Caxias do Sul	817	-51.18	-29.17
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	Juticalpa	410	-86.22	14.67
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	Baiyin	1698	104.21	36.56
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	Parma	55	10.33	44.8
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	Sari	5	53.06	36.56
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	Cape Coast	0	-1.25	5.1
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	Cochabamba	2558	-66.17	-17.38
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	Antsiranana	\N	49.28	-12.3
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	Barakaldo	39	-2.99	43.3
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	Ayacucho	2761	-74.22	-13.16
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Ciudad de Guatemala	1500	-90.54	14.61
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	León	86	-86.89	12.43
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	Davao	22.3	125.6	7.07
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	Patos de Minas	815	-46.52	-18.58
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	Zalau	275	23.06	47.19
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fès	412	-5	34.03
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	Mbuji-Mayi	549	23.6	-6.15
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	Goma	1489	29.23	-1.68
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	Yozgat	1300	34.81	39.82
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Chelyabinsk	220	61.38	55.15
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	Valencia	520	-68	10.18
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	Aba	205	7.37	5.12
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	Tiraspol	\N	29.63	46.85
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novyj Urengoj	40	76.68	66.08
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	Galaţi	55	28.04	45.42
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	Barcelona	12	2.18	41.38
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	Piacenza	61	9.7	45.05
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	Inglewood	40	-118.35	33.96
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	Debrecen	121	21.64	47.53
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	Boca del Río	16	-96.11	19.11
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	Barnaul	180	83.75	53.33
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	Amsterdam	2	4.9	52.37
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	Dire Dawa	1276	41.87	9.6
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	Ukhta	100	53.7	63.57
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	Fianarantsoa	1200	47.09	-21.45
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	Tarnów	190	20.99	50.01
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	Mannheim	97	8.47	49.49
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	Callao	0	-77.13	-12.03
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	Sinop	\N	35.15	42.03
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	Saratov	50	46.02	51.53
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	Jinxi	\N	120.83	40.72
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	Road Town	\N	-64.37	18.27
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Tamatave	\N	49.42	-18.15
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	Hirakata	\N	135.65	34.82
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Effon-Alaiye	\N	4.82	7.68
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	Falun	110	15.63	60.61
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	Xianyang	\N	108.72	34.35
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	Whitehorse	670	-135.05	60.72
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	Bismarck	514	-100.78	46.81
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	Sendai	\N	140.87	38.27
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	Buzău	95	26.82	45.17
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	Port Harcourt	18	7	4.75
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Ščëlkovo	150	38	55.92
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	San Cristóbal	860	-72.23	7.77
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	L´viv	296	24.02	49.85
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	Mixco	1600	-90.61	14.63
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	Hualien	\N	121.61	23.97
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	Bandar Lampung	15	105.27	-5.45
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	Saint George's	\N	-61.75	12.05
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	Chandler	370	-111.83	33.3
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamedan	1850	48.52	34.8
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	Xiaoshan	\N	120.25	30.17
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	Arica	2	-70.33	-18.48
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nachodka	8	132.87	42.82
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	Parla	648.5	-3.77	40.24
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago	175	-70.7	19.47
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	Vorkuta	180	64.03	67.5
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	Kitchener	\N	-80.48	43.45
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Chasavjurt	130	46.58	43.25
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	Stavanger	\N	5.72	58.96
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	Tuxtla Gutiérrez	522	-93.12	16.75
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	Namibe	9	12.15	-15.2
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	Odense	13	10.39	55.4
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	Ikare	\N	5.75	7.52
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	Arapiraca	264	-36.66	-9.75
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	Santa Tecla	931	-89.24	13.67
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	Derby	\N	-1.48	52.92
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	Manisa	\N	27.42	38.63
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio nell'Emilia	58	10.63	44.7
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bhisho	435	27.44	-32.85
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	Jinan	23	116.98	36.67
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouerate	380	-12.47	22.68
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	Vigo	0	-8.71	42.23
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	Moers	30	6.62	51.46
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	West Covina	117	-117.92	34.06
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Kozhikode	1	75.77	11.25
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	Bhopal	527	77.42	23.25
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	Changsha	63	112.97	28.2
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	Zhytomyr	221	28.67	50.25
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	Chon Buri	\N	100.98	13.36
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	Blackpool	5	-3.05	53.81
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	Manzhouli	\N	117.43	49.6
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	Okhotsk	10	143.26	59.37
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	Beira	14	34.85	-19.83
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	Asaba	45	6.73	6.2
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	Tongling	\N	117.77	30.93
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Genève	375	6.15	46.2
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	Guangzhou	21	113.27	23.13
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	Tripoli	81	13.19	32.9
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	Getafe	622	-3.73	40.3
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	Northampton	\N	-0.89	52.23
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	Geelong	\N	144.35	-38.15
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	Gorzów Wielkopolski	19	15.25	52.73
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	Sidi Bel Abbës	470	-0.64	35.19
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	Kaedi	23	-13.51	16.15
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	Vaduz	455	9.52	47.14
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	Jinotega	1000	-86	13.17
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	Baicheng	154	122.83	45.62
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	Jos	1217	8.88	9.93
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	Perúgia	493	12.39	43.11
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	Cádiz	11	-6.28	36.53
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Ulyanovsk	140	48.37	54.32
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	Jacareí	567	-45.97	-23.31
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	Montreuil	52	2.44	48.86
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	Morogoro	\N	37.67	-6.82
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	Dallas	131	-96.8	32.78
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	London	251	-81.25	42.98
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	Sapporo	\N	141.35	43.07
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	Perpignan	8	2.9	42.7
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	Santa Maria	113	-53.8	-29.68
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	Baguio	1540	120.6	16.42
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	Trenčín	211	18.04	48.89
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	Amarillo	1099	-101.85	35.2
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	Rach Gia	\N	105.08	10.02
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	Ar Raqqah	245	39.02	35.95
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	West Island	\N	96.5	-12.1
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	Lleida	155	0.63	41.62
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Al Amarah	12	47	32
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	Mumbai	14	72.83	18.98
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	Palangkaraya	5	113.92	-2.21
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	Paris	28	2.35	48.86
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	San Fernando	\N	120.68	15.03
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	Wałbrzych	350	16.28	50.77
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	Nîmes	21	4.36	43.84
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	Västerås	17	16.55	59.62
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Al Manāmah	\N	50.58	26.22
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	Cap-Haïtien	0	-72.2	19.76
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	Strasbourg	132	7.75	48.58
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	San José	1172	-84.08	9.93
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	Eisenstadt	182	16.52	47.85
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	Plzeň	308	13.38	49.75
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	Guarujá	4	-46.26	-23.99
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	Buon Ma Thuot	536	108.05	12.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	Santa Bárbara d'Oeste	570	-47.41	-22.75
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	Zhoukou	\N	114.63	33.63
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	Chingola	1363	27.85	-12.53
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Železnodorožnyj	145	38.02	55.75
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	Abeokuta	66	3.35	7.16
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	Lubbock	993	-101.88	33.57
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	Mazatlán	\N	-106.42	23.22
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	Elista	120	44.27	46.32
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	Jacksonville	5	-81.66	30.34
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	Zhangzhou	\N	117.65	24.52
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	Bonn	60	7.1	50.73
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	Tétouan	90	-5.37	35.57
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	Tangerang	\N	106.63	-6.18
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	Steinkjer	\N	11.72	64.06
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	Bacolod	10	122.95	10.67
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	Fuyang	\N	115.82	32.9
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	Idlib	500	36.63	35.93
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	Uribia	10	-72	11.92
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	Acheng	\N	126.97	45.54
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	Yinchuan	1100	106.27	38.47
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	Kayes	33	-11.43	14.45
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	Alba Iulia	230	23.57	46.07
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	Vila Real	450	-7.75	41.3
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipetsk	160	39.6	52.62
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	Annaba	3	7.77	36.9
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	Ivano-Frankivs´k	244	24.71	48.92
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	Curitiba	934.6	-49.25	-25.42
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	Onitsha	\N	6.78	6.17
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	Guliston	271	68.78	40.48
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	Carson City	1464	-119.75	39.16
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	Módena	34	10.93	44.65
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	Kiel	5	10.13	54.33
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	Hiroshima	\N	132.46	34.39
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	Essen	116	7.01	51.45
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	Sorø	\N	11.57	55.43
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	Coquimbo	15	-71.34	-29.95
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	Sariwon	\N	125.75	38.51
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	Hafnarfjordur	\N	-21.95	64.07
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	Malmö	12	13.04	55.61
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	Samsun	\N	36.33	41.28
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	Manado	5	124.84	1.49
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolëv	160	37.82	55.92
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	Vancouver	0	-123.1	49.25
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	Kyoto	\N	135.77	35.01
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	San Cristóbal de La Laguna	543	-16.3	28.48
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	Xiamen	\N	118.09	24.48
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	Arnhem	13	5.92	51.98
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	Kampala	1190	32.58	0.31
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	Escondido	197	-117.08	33.12
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	's-Hertogenbosch	6	5.3	51.68
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	Aurangabad	568	75.32	19.88
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	Phuket	\N	98.4	7.89
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	Duisburg	33	6.76	51.44
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	Fatick	11	-16.41	14.33
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	Mariehamn	\N	19.93	60.1
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	Mbeya	1697	33.45	-8.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	Wuxi	\N	120.3	31.57
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	Garland	168	-96.64	32.91
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	Shinyanga	\N	33.42	-3.66
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	Taiyuan	800	112.56	37.87
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	Colombo	950	-49.22	-25.29
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	Dourados	430	-54.81	-22.22
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	Bissau	0	-15.57	11.85
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	Olanchito	\N	-86.58	15.48
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	New Haven	18	-72.92	41.31
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	Boa Vista	76	-60.67	2.82
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	Cabinda	24	12.19	-5.56
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	Płock	60	19.7	52.55
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	Geita	\N	32.23	-2.87
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	Abakaliki	\N	8.1	6.33
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Al Mawsil	223	43.13	36.34
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	Yanji	179	129.5	42.9
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	Kirkwall	\N	-2.96	58.98
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	Heilbronn	157	9.22	49.15
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	Quzhou	\N	118.87	28.95
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	Shishou	\N	112.4	29.72
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	Łódź	162	19.47	51.78
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	Liuzhou	\N	109.38	24.32
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	Newport	\N	-3	51.58
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	Rajahmundry	14	81.78	16.98
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	Yichang	58	111.28	30.72
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	Bauru	537	-49.06	-22.31
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	Kotka	\N	26.94	60.47
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	Newark	4	-74.17	40.72
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	Al Mahallah al Kubra	26	31.16	30.97
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	Huangshi	\N	115.08	30.22
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	Anau	\N	58.53	37.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	Diadema	780	-46.61	-23.69
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	La Esperanza	1700	-88.18	14.31
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	Cambridge	6	0.12	52.21
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	Daan	137	124.28	45.5
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	Sumaré	583	-47.27	-22.82
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	Rosso	6	-15.8	16.51
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	Bilecik	\N	29.98	40.14
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	Lafia	\N	8.52	8.49
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	Kashiwa	\N	139.98	35.87
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Al Qahirah	23	31.23	30.05
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	Trier	137	6.63	49.75
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	Eugene	131	-123.09	44.05
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	San José de las Lajas	135	-82.16	22.97
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	Birjand	1491	59.2	32.87
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	Camaçari	36	-38.32	-12.7
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termiz	302	67.28	37.22
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	Sapele	\N	5.67	5.9
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	Southend-on-Sea	\N	0.71	51.54
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	Dresden	112	13.73	51.03
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	Eskilstuna	26	16.51	59.37
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	Boma	61	13.05	-5.85
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rivne	136	26.25	50.62
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Köln	53	6.95	50.94
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	Granada	\N	-85.95	11.93
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	Ibirité	872	-44.06	-20.02
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh	19	106.7	10.78
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Al Mansurah	12	31.68	31.07
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Torino	239	7.7	45.07
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	Yancheng	\N	120.12	33.38
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	Biratnagar	80	87.28	26.45
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Gauhati	55.5	91.73	26.18
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	Medan	2.5	98.67	3.58
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	Kaunas	48	23.89	54.9
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	Skien	\N	9.55	59.21
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	Slough	\N	-0.59	51.51
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	Nema	280	-7.25	16.62
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	Gunsan	\N	126.72	35.98
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	Yantai	\N	121.39	37.53
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	Augsburg	494	10.9	48.37
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Majunga	\N	46.32	-15.72
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	Belo Horizonte	760	-43.93	-19.92
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	Zarqa	619	36.1	32.08
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	Alvorada	17	-51.08	-29.99
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Mersin	10	34.63	36.8
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Be'er Sheva	260	34.8	31.26
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulaanbaatar	1350	106.92	47.92
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	Buffalo	183	-78.85	42.9
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	Buenavista	\N	-99.17	19.61
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	Ibadan	239	3.92	7.4
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	Kumanovo	340	21.72	42.14
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	Changuinola	\N	-82.52	9.43
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	Fuzhou	\N	119.31	26.08
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	Anchorage	31	-149.9	61.22
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	Kursk	250	36.18	51.72
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	Rosario	31	-60.67	-32.95
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	Belém	10	-48.5	-1.46
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	Cotonou	51	2.43	6.37
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	Hebi	\N	114.2	35.9
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	Ipoh	21.95	101.07	4.6
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	Foshan	16	113.12	23.02
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	Beni Mellal	619	-6.36	32.34
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	Táranto	15	17.23	40.47
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	Randers	56	10.04	56.46
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	Opole	176	17.93	50.67
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	Aarau	381	8.05	47.4
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	Nashik	660	73.78	20
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	Luan	\N	116.51	31.75
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	Ludhiana	262	75.85	30.91
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	Leiyang	\N	112.93	26.41
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	Formosa	57	-58.18	-26.18
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	Kunshan	\N	120.99	31.32
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	Belgorod	130	36.6	50.6
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	Puyang	\N	115.07	35.77
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	Kedougou	\N	-12.18	12.55
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	Chennai	6	80.27	13.08
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	Chaozhou	0	116.63	23.67
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	Touba	\N	-7.68	8.28
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Al Basrah	5	47.82	30.5
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Vientiane	174	102.6	17.97
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	Gijón	3	-5.7	43.53
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	Lincoln	\N	-0.54	53.23
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	Durham	123	-78.91	35.99
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Al Ladhiqiyah	11	35.78	35.52
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	Catanzaro	342	16.6	38.9
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	Nanning	\N	108.32	22.82
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	Lauro de Freitas	30	-38.33	-12.89
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	Orlando	25	-81.3	28.42
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	Brăila	25	27.96	45.27
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	Incheon	\N	126.63	37.48
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	Southampton	\N	-1.4	50.9
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	Örebro	34	15.21	59.27
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	Uberaba	823	-47.93	-19.75
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	Greensboro	273	-79.82	36.08
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	Las Piñas	\N	120.98	14.45
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	Granada	738	-3.6	37.18
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	Białystok	120	23.15	53.12
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	Aydin	67	27.85	37.85
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	Leticia	96	-69.93	-4.21
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	Xianning	\N	114.22	29.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	Hayward	32	-122.08	37.67
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	Raleigh	96	-78.64	35.78
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	Itaituba	15	-55.98	-4.28
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	Bariadi	\N	33.98	-2.8
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	São Leopoldo	26	-51.15	-29.76
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	Santa Fe	25	-60.7	-31.63
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	Spring Valley	721	-115.25	36.11
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	Bogotá	2640	-74.08	4.6
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	Bacău	165	26.92	46.58
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk-Ural'skij	160	61.93	56.4
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	Shenzhen	0	114.1	22.55
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	Erzurum	1900	41.28	39.91
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	Bristol	11	-2.58	51.45
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	Orizaba	\N	-97.1	18.85
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kyïv	179	30.52	50.45
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	Loikaw	884	97.21	19.67
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	Ajmer	486	74.64	26.45
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	Kurgan	75	65.35	55.47
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	Jalandhar	228	75.58	31.33
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	Huancayo	3259	-75.22	-12.07
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	Sandvika	12	10.52	59.88
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	Jamnagar	17	70.07	22.47
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	Torrance	27	-118.34	33.83
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	Narvik	\N	17.56	68.42
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	Luanshya	1225	28.4	-13.13
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Sittwe	\N	92.9	20.15
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	Antofagasta	40	-70.4	-23.65
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	Zielona Góra	71	15.5	51.93
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Balkanabat	17	54.37	39.52
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	Dordrecht	1	4.67	51.82
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	Sássari	225	8.57	40.73
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	Gillingham	\N	0.55	51.38
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	Mongu	\N	23.13	-15.28
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	Zaoyang	\N	112.75	32.13
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	Corum	801	34.95	40.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sahiwal	152.4	73.11	30.66
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	Santa Rita	\N	-34.98	-7.11
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	Phnom Penh	11.89	104.92	11.55
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	Magé	5	-43.04	-22.65
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	Maidstone	\N	0.53	51.27
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	Montero	357	-63.26	-17.34
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	Sittard-Geleen	47	5.87	51
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	Masjed Soleyman	372	49.3	31.94
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	Zhezkazgan	300	67.7	47.78
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	Elizabeth	5	-74.19	40.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Ciudad Juárez	1137	-106.49	31.74
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawabshah	\N	68.25	26.15
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	Hsinchu	\N	120.98	24.82
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	Salamanca	802	-5.67	40.97
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	Canoas	8	-51.18	-29.92
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	Jammu	327	74.87	32.73
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	Haifa	475	34.98	32.82
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Sakarya	31	30.4	40.78
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	Pori	\N	21.8	61.48
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	Yueyang	\N	113.43	29.37
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica de Hidalgo	50	-97.45	20.53
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	Nuevo Laredo	\N	-99.51	27.49
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Burewala	133	72.68	30.17
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	San Isidro	15	-58.52	-34.47
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	Nanyang	131	112.53	33
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	Bimbo	338	18.4	4.26
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	Huddinge	\N	17.98	59.23
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	Karyes	\N	24.24	40.26
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	Gumushane	\N	39.48	40.46
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	Jequié	215	-40.08	-13.86
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	Jaú	541	-48.56	-22.3
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karaganda	546	73.17	49.83
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	Kirovohrad	124	32.27	48.5
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago	101	-80.97	8.11
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashgar	1270	75.98	39.47
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	Tangerang Selatan	\N	106.72	-6.29
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	Berkeley	52	-122.27	37.87
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	Bréscia	149	10.22	45.54
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	Pondicherry	3	79.79	11.93
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	Mbandaka	370	18.26	0.05
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	Linköping	45	15.63	58.42
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	Manizales	2160	-75.55	5.1
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	Baton Rouge	17	-91.13	30.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	Shangrao	\N	117.97	28.45
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	Korçë	850	20.77	40.62
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	Chilpancingo	1253	-99.5	17.55
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Victoria de las Tunas	92	-76.95	20.96
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Tolyatti	90	49.42	53.51
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	Norwalk	28	-118.08	33.91
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	Stara Zagora	196	25.65	42.43
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	Graz	353	15.43	47.07
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karachi	8	67.01	24.86
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	Mary	226	61.83	37.6
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	Kuala Terengganu	\N	103.15	5.33
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	Labuan	\N	115.21	5.32
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	Laiwu	\N	117.67	36.18
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	Kiffa	94	-11.4	16.62
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	Samarinda	8	117.15	-0.5
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	Mariestad	\N	13.82	58.7
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	Ewo	534	14.82	-0.87
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	Guangshui	\N	113.83	31.62
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	Choloma	\N	-88	15.63
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghazi Khan	\N	70.63	30.05
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	Yibin	321	104.62	28.77
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	Worcester	\N	-2.22	52.19
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	Valledupar	180	-73.25	10.48
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	Lafayette	11	-92.03	30.22
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Al Minya	47	30.74	28.12
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	Kabwe	1183	28.45	-14.43
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	Chifeng	586	118.88	42.25
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	Amravati	343	77.76	20.93
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	Akjoujt	\N	-14.38	19.75
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Olmaliq	530	69.6	40.85
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	Parnamirim	\N	-35.25	-5.92
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	Saskatoon	481.5	-106.68	52.13
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	Kisumu	1131	34.75	-0.1
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahimyar Khan	\N	70.3	28.42
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	Rabat	20	-6.83	34.03
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	Drammen	1	10.21	59.74
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	Zanjan	1638	48.48	36.67
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	Colorado Springs	1840	-104.76	38.87
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	Kramators´k	\N	37.53	48.72
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	Gomel	138	30.98	52.45
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	Njombe	\N	34.77	-9.33
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	Charleroi	\N	4.43	50.4
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	Jiujiang	\N	115.99	29.74
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	Poços de Caldas	1196	-46.56	-21.79
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	Mysore	763	76.6	12.26
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	Hagen	106	7.48	51.37
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cusco	3399	-71.97	-13.52
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	Bangui	369	18.58	4.37
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	Columbus	275	-82.98	39.98
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	Kutaisi	80	42.7	42.25
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	Daqing	149	125	46.58
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	Contagem	858	-44.05	-19.93
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	Salé	\N	-6.8	34.03
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	Guiglo	\N	-7.48	6.55
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	Calamba	\N	121.17	14.22
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	Cartagena	10	-0.98	37.6
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	Chania	0	24.02	35.52
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr ad Dawwar	6	30.13	31.13
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	Melilla	\N	-2.95	35.3
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	Recklinghausen	85	7.16	51.59
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	Mishan	\N	131.87	45.53
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	Mukono	1200	32.75	0.36
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	Kathmandu	1400	85.33	27.7
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Panaji	\N	73.83	15.5
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	Huelva	54	-6.95	37.25
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	Orléans	90	1.91	47.9
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	Ourense	132	-7.86	42.34
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	Simi Valley	234	-118.74	34.27
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Sevilla	7	-5.99	37.38
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	Bălţi	59	27.92	47.77
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	Torrejón de Ardoz	568	-3.5	40.46
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	Quezon City	17	121.03	14.63
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	Oberhausen	35	6.85	51.55
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	Paulista	13	-34.87	-7.94
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	San Miguel	129	-88.18	13.48
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	Luohe	\N	114.03	33.57
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	Cajamarca	2750	-78.51	-7.16
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	Mwanza	1140	32.9	-2.52
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	Hachioji	\N	139.32	35.67
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	Bielefeld	118	8.52	52.02
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	Tuzla	245	18.68	44.54
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	Nagano	\N	138.18	36.63
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	Puerto Ayacucho	74	-67.63	5.66
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Génova	20	8.93	44.41
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	Edirne	42	26.56	41.68
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	Jijiga	1609	42.8	9.35
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	Vallejo	21	-122.24	38.11
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	Townsville	\N	146.82	-19.26
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	Nagpur	310	79.09	21.15
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	Dos Hermanas	42	-5.92	37.28
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	Philipsburg	\N	-63.05	18.02
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavlovsk	140	69.17	54.88
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	Avellaneda	2	-58.37	-34.67
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	Comayagua	594	-87.65	14.46
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Réggio di Calabria	31	15.66	38.11
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	Wellington	0	174.78	-41.29
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	Freetown	26	-13.23	8.48
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	Lomas de Zamora	20	-58.4	-34.77
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	Bobo Dioulasso	445	-4.28	11.18
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	Pingtung	20	120.49	22.68
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	Nador	42	-2.93	35.17
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Lemesos	\N	33.03	34.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balkhash	440	75	46.85
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	Viseu	\N	-7.92	40.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	Guadalajara	1566	-103.35	20.67
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	Cilegon	\N	106.15	-6.12
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	Modesto	27	-120.99	37.66
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	Manaus	53	-60.02	-3.1
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	Santo Domingo de los Colorados	625	-79.17	-0.25
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	Trujillo	\N	-70.5	9.42
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	Ghardaïa	572	3.67	32.48
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	Chişinău	85	28.92	47
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	Wakayama	\N	135.17	34.23
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	Yokohama	\N	139.64	35.44
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	Echeng	\N	114.89	30.4
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	Barcelona	13	-64.72	10.12
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	Norfolk	2.13	-76.2	36.92
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	Jiaonan	4	120.05	35.87
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	Puno	3830	-70.02	-15.84
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	Valladolid	698	-4.72	41.63
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aijal	1132	92.72	23.73
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayawardhanapura Kotte	0	79.89	6.91
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	San Miguelito	\N	-79.5	9.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	Oakland	13	-122.27	37.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	Guilin	153	110.28	25.27
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	Bursa	100	29.05	40.18
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca	2432	-98.75	20.1
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	Salerno	4	14.77	40.68
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Dayr az Zawr	210	40.15	35.33
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	Salta	1152	-65.42	-24.78
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	Yenagoa	\N	6.33	5.03
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	Kızıltepe	\N	40.59	37.19
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	Lusaka	1279	28.28	-15.42
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	Jiangmen	10	113.07	22.57
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	Ústí nad Labem	218	14.04	50.66
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	Peoria	201	-89.61	40.72
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise City	832	-116.2	43.62
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz de la Sierra	416	-63.18	-17.8
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gent	\N	3.73	51.05
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	Pasig	\N	121.08	14.58
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	Nakuru	1850	36.07	-0.3
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	Nara	\N	135.8	34.68
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Makhachkala	10	47.5	42.97
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	Calgary	1045	-114.07	51.05
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	Djibouti	\N	43.17	11.6
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	Nampula	360	39.27	-15.12
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	Wuwei	\N	102.64	37.93
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	Magnitogorsk	310	59.03	53.38
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	Nottingham	61	-1.13	52.95
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	Saint-Pierre	0	-56.18	46.78
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	Lichinga	1398	35.24	-13.31
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	Amman	784	35.93	31.95
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	Cherkasy	110	32.06	49.44
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	Zaozhuang	\N	117.55	34.87
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	Thane	\N	72.96	19.17
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	Providence	23	-71.42	41.82
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	Xinghua	\N	119.83	32.93
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	Vitória	4	-40.34	-20.32
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	Yopal	350	-72.41	5.35
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	Huai'an	\N	119.13	33.5
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	Warri	\N	5.75	5.52
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	Garden Grove	27	-117.96	33.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	Zixing	\N	113.23	25.97
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	Ancona	16	13.52	43.62
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	Volta Redonda	390	-44.1	-22.52
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	Probolinggo	\N	113.22	-7.75
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	Bratsk	450	101.6	56.12
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	Scottsdale	383	-111.93	33.5
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	Petrolina	376	-40.51	-9.39
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	Aachen	173	6.08	50.78
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	Chelmsford	\N	0.47	51.92
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	Botucatu	804	-48.44	-22.89
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	Zhaodong	\N	125.98	46.07
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	Barquisimeto	566	-69.33	10.06
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	Chimalhuacán	2240	-98.95	19.44
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubcovsk	210	81.2	51.52
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	Salem	47	-123.03	44.93
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	Metz	162	6.18	49.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	Birkenhead	\N	-3.01	53.39
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	Armenia	1551	-75.68	4.53
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	Manchester	38	-2.23	53.47
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	Vicenza	39	11.55	45.55
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	Cayenne	\N	-52.45	4.93333
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	Otsu	\N	135.85	35.02
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	Beja	\N	-7.88	38.03
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	Santiago de Cuba	82	-75.81	20.02
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	Calapan	\N	121.18	13.4
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	Sivas	1285	37.02	39.75
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	Mandaluyong	\N	121.03	14.58
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	Guacara	438	-67.9	10.25
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	Matam	\N	-13.33	15.62
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	Reus	134	1.12	41.15
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	Gibraltar	\N	-5.35	36.13
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	Tomsk	110	84.97	56.5
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Nogales	1199	-110.95	31.32
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	Tekirdag	\N	27.52	40.98
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	Chitungwiza	1448	31.05	-17.99
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	Mansa	\N	28.88	-11.2
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	Sobral	70	-40.24	-3.67
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	Durango	1880	-104.67	24.02
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Al Fayyum	23	30.84	29.31
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	At Taif	1879	40.35	21.43
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hamah	280	36.75	35.13
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	Wuhan	37	114.28	30.58
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	La Paz	3640	-68.15	-16.5
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt am Main	112	8.68	50.12
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	Santarém	51	-54.72	-2.43
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	Saint-Étienne	422	4.39	45.43
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	Trento	190	11.12	46.07
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	Dover	11	-75.53	39.16
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	Murmansk	50	33.08	68.97
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panshan	\N	122.05	41.12
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Duhouk	565	43	36.87
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	Owo	\N	5.58	7.18
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	Augusta	41	-81.97	33.47
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	Qianjiang	32	112.9	30.4
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	Aparecida de Goiânia	808	-49.23	-16.82
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Dimashq	680	36.29	33.51
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	Tulcea	30	28.8	45.19
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	Innsbruck	574	11.38	47.27
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	Puerto Carreno	51	-67.47	6.18
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	Kermanshah	1350	47.07	34.31
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	Marbella	27	-4.88	36.52
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	Tlaquepaque	1870	-103.35	20.67
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	Iloilo	\N	122.67	11
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	Newcastle	9	151.75	-32.92
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	Tbilisi	380	44.78	41.72
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	Dniprodzerzhyns´k	120	34.62	48.52
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	Quibdó	43	-76.66	5.69
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	Toruń	65	18.62	53.03
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	Tainan	\N	120.18	22.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin	80	5.62	6.33
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	Slatina	155	24.36	44.43
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	Iseyin	\N	3.6	7.97
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	Moquegua	1410	-70.93	-17.2
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	Hasselt	\N	5.34	50.93
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	Woking	\N	-0.56	51.32
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	Lübeck	13	10.69	53.87
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	Wakefield	\N	-1.5	53.68
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	Tallinn	9	24.75	59.44
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Arkhangelsk	5	40.53	64.53
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	Niamey	207	2.11	13.52
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	Hortolândia	587	-47.22	-22.86
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	Fuling	287	107.39	29.7
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	Hail	992	41.68	27.52
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	Nouakchott	7	-15.95	18.1
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	Jefferson City	192	-92.17	38.58
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	Lisboa	\N	-9.14	38.71
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	Djougou	431	1.67	9.7
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	Oujda	470	-1.91	34.69
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	Gangtok	1600	88.62	27.33
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Al'metjevsk	110	52.3	54.9
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	Bushehr	8	50.83	28.97
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykurgan	600	78.37	45.02
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	Gdynia	0	18.53	54.5
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Neftejugansk	40	72.7	61.08
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZiyyon	40	34.8	31.95
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	Andria	151	16.3	41.22
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	Cuautitlán Izcalli	2280	-99.21	19.65
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahvaz	17	48.67	31.32
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	Tuluá	960	-76.2	4.08
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	Wichita Falls	289	-98.51	33.9
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Izhevsk	140	53.18	56.83
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	Neuchatel	430	6.93	47
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	Shreveport	44	-93.75	32.51
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	Lille	17	3.06	50.63
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	Hampton	3	-76.36	37.03
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	San Jose	25	-121.9	37.33
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	Linyi	74	118.35	35.05
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	Ziguinchor	12	-16.28	12.56
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	Plano	206	-96.7	33.02
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	Masaya	242	-86.1	11.97
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	Diffa	286	12.62	13.31
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	Córdoba	860	-96.93	18.89
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	An Najaf	60	44.33	32
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach am Main	98	8.8	50.1
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	Schaffhausen	403	8.63	47.7
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	Alagoinhas	132	-38.42	-12.14
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	Birobidzhan	80	132.93	48.8
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	Tanout	\N	8.88	14.97
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	Kütahya	930	29.98	39.42
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Puškino	160	37.83	56.02
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	Port-Gentil	\N	8.78	-0.72
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	Memphis	103	-89.97	35.12
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magwe	\N	94.95	20.15
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Halab	379	37.17	36.22
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	Meknès	552	-5.55	33.9
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	Santa Fe	2195	-105.96	35.67
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	Itajaí	2	-48.67	-26.9
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	Hyderabad	505	78.48	17.37
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	Valenzuela	38	120.98	14.7
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	Kielce	260	20.62	50.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	Bragança Paulista	817	-46.54	-22.95
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	Sunshine Coast	\N	153.07	-26.65
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	Nova Iguaçu	25	-43.45	-22.76
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	Split	0	16.45	43.51
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	Surat	13	72.83	21.18
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	Oldenburg	5	8.21	53.14
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Trivandrum	10	76.95	8.49
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	Bhubaneswar	45	85.84	20.27
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Al Sharjah	\N	55.39	25.36
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	Chipata	1140	32.63	-13.65
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	Laredo	134	-99.49	27.52
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	Honghu	\N	113.53	30.02
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	Bandundu	321	17.37	-3.32
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	Mugla	660	28.37	37.22
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	Bridgeport	1	-73.2	41.19
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	Cerro de Pasco	4330	-76.26	-10.69
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	Richmond	45.7	-77.47	37.53
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	Guangyuan	\N	105.82	32.43
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Marsa Matruh	30	27.22	31.33
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	Imphal	786	93.95	24.82
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	Zhuzhou	\N	113.13	27.85
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	Zanzibar	\N	39.32	-6.13
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	Neijiang	\N	105.07	29.58
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	Bocas del Toro	\N	-82.24	9.34
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Simla	2205	77.17	31.1
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	Hakodate	\N	140.73	41.77
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	Haicheng	17	122.68	40.88
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	Anqing	\N	117.03	30.5
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	Abilene	524	-99.75	32.45
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	Warrington	\N	-2.6	53.39
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	Fredericton	20	-66.65	45.96
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	Gebze	\N	29.43	40.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guigang	45	109.61	23.1
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	Padang	0	100.35	-0.95
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	Saarbrücken	230	7	49.23
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	Ede	269	4.44	7.74
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	Deyang	\N	104.4	31.13
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	Nablus	\N	35.3	32.2
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	Mykolaïv	42	32	46.97
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	Szeged	75	20.15	46.26
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	Guanajuato	\N	-101.27	21.02
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	Sabadell	190	2.11	41.55
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Tavoy	\N	98.2	14.08
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	Hradec Králové	235	15.83	50.21
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	Can Tho	0	105.78	10.03
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	Omaha	332	-96	41.25
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	Cágliari	4	9.05	39.25
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	Asosa	1570	34.52	10.07
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	El Progreso	\N	-87.8	15.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	Americana	569	-47.33	-22.74
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	Dosquebradas	1460	-75.68	4.83
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	Longkou	\N	120.33	37.63
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	Dhaka	4	90.37	23.7
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	Minna	\N	6.56	9.61
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	San Fernando	\N	120.32	16.62
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla	2250	-99.19	19.54
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orechovo-Zujevo	120	38.97	55.8
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	Hódmezővásárhely	\N	20.32	46.43
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	Zinder	479	8.99	13.81
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	Edinburgh	47	-3.19	55.95
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	Ciudad Guayana	13	-62.65	8.37
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	Bayamo	55	-76.64	20.38
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	Choluteca	\N	-87.18	13.3
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	Asyut	70	31.17	27.18
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	Cascavel	781	-53.46	-24.96
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	Saint-Paul	0	55.27	-21.01
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	Piatra-Neamţ	310	26.37	46.93
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	Ponce	16	-66.61	18
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	Monywa	\N	95.14	22.11
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	Tengxian	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	Tébessa	858	8.12	35.4
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Adama	1712	39.27	8.54
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	Topeka	288	-95.69	39.06
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	Tula	170	37.62	54.2
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	Gilgit	1500	74.29	35.92
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	Badalona	12	2.25	41.45
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Hatay	67	36.15	36.2
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoutzou	\N	45.13	-12.46
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	Alcalá de Henares	588	-3.37	40.47
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	Xinyang	\N	114.05	32.13
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	Tours	44	0.69	47.39
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	Surabaya	5	112.74	-7.27
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	Kochi	\N	133.53	33.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	Dutse	\N	9.34	11.7
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	Takamatsu	\N	134.05	34.35
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai	452	81.38	21.21
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	Hilo	18	-155.09	19.71
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	Fresno	94	-119.77	36.75
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	Kolda	0	-14.95	12.88
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	La Paz	27	-110.31	24.14
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	Batumi	3	41.64	41.65
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	Smolensk	242	32.05	54.78
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	Xingtai	\N	114.48	37.07
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	Suzano	749.43	-46.31	-23.54
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	Okayama	\N	133.92	34.65
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	Selibaby	\N	-12.18	15.16
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	Brasília	1172	-47.88	-15.79
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	Aomori	2	140.75	40.82
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	Guarapuava	1120	-51.46	-25.39
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	Tema	1	0	5.67
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	Palikir	\N	158.15	6.9
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	Songea	\N	35.65	-10.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	Corona	207	-117.57	33.87
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	Soyapango	648	-89.15	13.73
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	Wete	\N	39.73	-5.06
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	Sumbe	0	13.84	-11.21
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	Savar	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	Soledad	5	-74.75	10.92
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	Libreville	0	9.45	0.39
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	Huntington Beach	12	-118	33.69
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	Marikina	14.7	121.1	14.65
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	Vijayawada	23	80.64	16.51
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	Addis Ababa	2355	38.74	9.03
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	Nova Friburgo	846	-42.53	-22.27
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	Putrajaya	\N	101.7	2.94
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	Banjul	0	-16.58	13.45
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	Prešov	250	21.24	49
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	Maribor	275	15.65	46.55
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	Ashdod	\N	34.65	31.8
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	Bouafle	\N	-5.75	6.98
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Daejeon	\N	127.39	36.35
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	Richmond	10	-123.13	49.17
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	Riyadh	612	46.72	24.63
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	Weihai	\N	122.12	37.52
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	Rotherham	\N	-1.36	53.43
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	Zwickau	267	12.5	50.72
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Gwangju	\N	126.92	35.17
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	Chittagong	\N	91.8	22.37
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	Al Rayyan	\N	51.37	25.32
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Al Gazira	\N	33.52	14.4
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	Chernihiv	136	31.3	51.5
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Južno-Sachalinsk	40	142.73	46.97
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	Rīga	7	24.11	56.95
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	Tumbes	6	-80.45	-3.57
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrakhan	-28	48.05	46.35
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	Derbent	0	48.3	42.05
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	Salto	48	-57.95	-31.38
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	Jinzhou	24	121.13	41.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	Preston	\N	-2.7	53.76
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	Magangué	49	-74.77	9.25
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odesa	40	30.73	46.47
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	Rio Grande	6	-52.1	-32.03
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	Valdivia	5	-73.25	-39.81
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	Cheyenne	1848	-104.8	41.15
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	Arraiján	\N	-79.65	8.95
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	Kaluga	190	36.28	54.55
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	Caxito	84	13.66	-8.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	Laiyang	\N	120.71	36.98
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	Heyuan	39	114.7	23.75
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	Brownsville	10	-97.48	25.93
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	Forlí	34	12.05	44.23
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	Dunhua	505	128.23	43.37
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	Arlington	184	-97.12	32.71
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	Albany	60	-73.76	42.65
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	Tapachula	177	-92.27	14.9
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	Ciudad Madero	\N	-97.83	22.25
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	Lucapa	880	20.75	-8.42
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	Mérida	\N	-71.19	8.48
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	Kyzylorda	128	65.52	44.85
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	Flying Fish Cove	\N	105.43	-10.25
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	Pasay	\N	121	14.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kamoke	\N	74.22	31.97
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Batajsk	5	39.73	47.17
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Kerbela	\N	44.03	32.62
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossiysk	20	37.75	44.72
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	Foz do Iguaçu	164	-54.58	-25.55
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	Chuncheon	\N	127.73	37.87
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	Port St. Lucie	5	-80.35	27.28
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	Malayer	\N	48.82	34.3
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	Skopje	240	21.43	42
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	Resistencia	20	-58.99	-27.45
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	Passo Fundo	687	-52.4	-28.25
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Hebron	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	Águas Lindas de Goiás	1100	-48.28	-15.75
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	Resita	208	21.89	45.3
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	Pécs	153	18.23	46.07
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Ačinsk	220	90.5	56.25
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	Birmingham	196	-86.81	33.65
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	Volgodonsk	50	42.15	47.52
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	Ciudad Victoria	316	-99.13	23.73
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	Shillong	1525	91.88	25.57
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	Jena	143	11.59	50.93
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	Grudziadz	50	18.78	53.49
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	Panamá City	2	-79.52	8.98
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	Huddersfield	\N	-1.78	53.65
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	Poznań	60	16.92	52.4
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	Potsdam	32	13.07	52.4
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	Kitakyushu	\N	130.88	33.88
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coyhaique	302	-72.07	-45.57
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	N'Zérékoré	\N	-8.82	7.75
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	Kashan	982	51.48	33.99
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	Dortmund	86	7.47	51.52
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	Algiers	10	3.22	36.77
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	Faisalabad	184	73.08	31.43
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	Kostroma	110	40.93	57.77
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	Camaragibe	55	-34.98	-8.02
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	Kaili	\N	107.97	26.58
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan	428.5	-67.36	9.91
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	Funafuti	\N	179.2	-8.52
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	Aboisso	\N	-3.2	5.47
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	Edmonton	645	-113.5	53.53
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	Santa Coloma de Gramenet	56	2.22	41.47
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	Toyama	\N	137.22	36.7
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	Mandalay	22	96.08	21.98
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	Settat	\N	-7.62	33
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	Limerick	10	-8.62	52.67
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	Birmingham	140	-1.89	52.48
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	The Valley	9	-63.05	18.22
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nizhny Tagil	200	59.97	57.92
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	Saitama	\N	139.65	35.87
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	Lappeenranta	\N	28.18	61.07
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	Tsu	\N	136.5	34.72
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	Leeds	9	-1.55	53.8
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	Babol	-2	52.68	36.55
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	Chorzów	\N	18.95	50.3
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	Bilbao	19	-2.92	43.26
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	Wenzhou	\N	120.7	28
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	Artvin	345	41.82	41.18
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	Darmstadt	144	8.65	49.87
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Pamplona	446	-1.65	42.82
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	San Carlos	152	-68.58	9.65
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	Ilhéus	52	-39.05	-14.79
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	Fukuoka	\N	130.4	33.58
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	Olsztyn	90	20.5	53.78
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	Taipei	10	121.63	25.03
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerpen	\N	4.4	51.22
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	Varna	80	27.92	43.22
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athina	70	23.72	37.97
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	San-Pedro	1	-6.64	4.75
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	Salzgitter	90	10.33	52.15
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Oshogbo	\N	4.57	7.77
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	Stuttgart	247	9.18	48.78
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrat	\N	74.08	32.57
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	Santo André	700	-46.53	-23.66
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	Yiyang	\N	112.33	28.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	Weifang	32	119.1	36.72
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol	550	41.98	45.05
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	Novara	162	8.62	45.45
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	Jiutai	\N	125.84	44.15
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jazan	40	42.56	16.89
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	Newport News	4.5	-76.48	37.07
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	Zapopan	1571	-103.39	20.72
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	Khorramabad	1147	48.36	33.49
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	Heerlen	113	5.98	50.88
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	Madison	266	-89.4	43.07
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	Las Vegas	610	-115.14	36.17
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	Ciego de Ávila	55	-78.76	21.85
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	Bareilly	268	79.42	28.36
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	Sarnen	473	8.23	46.88
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	České Budějovice	381	14.47	48.97
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	Hamilton	75	-79.87	43.25
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	Galway	25	-9.05	53.27
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ar Ramadi	\N	43.31	33.42
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	Kabul	1791	69.17	34.53
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	Windsor	190	-83	42.28
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	Concepción	12	-73.05	-36.83
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	Santiago del Estero	187	-64.27	-27.78
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	Ciudad López Mateos	2280	-99.25	19.56
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	Cleveland	199	-81.67	41.48
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	Canakkale	\N	26.41	40.16
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	Baltimore	10	-76.62	39.28
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	Zhongshan	11	113.35	22.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	Zhangjiakou	716	114.88	40.77
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	Maracay	436	-67.6	10.25
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	Sinuiju	\N	124.4	40.1
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	Tembisa	1549	28.21	-26.01
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	Bishkek	800	74.61	42.87
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	Long Beach	9	-118.2	33.77
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	P'atigorsk	600	43.07	44.05
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	Beihai	21	109.1	21.47
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	Taitung	\N	121.14	22.76
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	Gandhinagar	81	72.68	23.22
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	Colima	305	-103.72	19.24
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	Brest	280.4	23.67	52.13
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	Mostaganem	104	0.08	35.93
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	Kristianstad	\N	14.16	56.03
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	Amagasaki	\N	135.4	34.73
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	Orsk	200	58.57	51.2
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhnii Novgorod	78	44.01	56.33
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	Malabo	0	8.77	3.75
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	São José dos Pinhais	906	-49.21	-25.53
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	St. John's	0	-52.71	47.57
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	Arendal	1	8.78	58.48
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	Morioka	\N	141.15	39.68
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	Bytom	249	18.9	50.38
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	Honolulu	6	-157.82	21.3
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra al Khimah	16	31.24	30.13
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	Rio Verde	748	-50.92	-17.79
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	Nanchong	340	106.08	30.8
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	Shantou	51	116.67	23.35
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	Yining	\N	81.32	43.92
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	Arlington	\N	-77.11	38.88
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	Wrocław	105	17.03	51.1
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	Longjing	266	129.43	42.77
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	Neuss	40	6.7	51.2
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyšin	50	45.4	50.08
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	Çorlu	10	27.8	41.15
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	Khon Kaen	\N	102.83	16.43
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	Tychy	\N	18.98	50.13
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	Kirkuk	350	44.32	35.47
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	Fort Collins	1525	-105.08	40.56
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	København	24	12.57	55.68
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	Pierre	443	-100.34	44.37
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	Ontario	306	-117.63	34.05
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	Vinnytsia	\N	28.48	49.23
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	Jeonju	\N	127.15	35.82
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	Benghazi	2	20.07	32.12
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	Teresópolis	871	-42.97	-22.41
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	Vladikavkaz	680	44.65	43.02
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	Maracaibo	6	-71.63	10.65
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	Almaty	500	76.9	43.28
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	Anaheim	48	-117.89	33.84
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	Miyazaki	\N	131.42	31.92
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	Itabuna	54	-39.28	-14.79
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Santa Ana de Coro	17	-69.67	11.42
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	Fushun	\N	123.9	41.87
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	Bergen	0	5.33	60.39
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	Luziânia	930	-47.95	-16.25
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	La Serena	28	-71.25	-29.9
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	Cirilo Guainora	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	Kirikkale	\N	33.51	39.84
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	Barueri	719	-46.88	-23.51
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	Yamoussoukro	\N	-5.28	6.82
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	Malang	476	112.62	-7.98
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	San Justo	26	-58.55	-34.68
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	Sylhet	35	91.87	24.9
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	Gómez Palacio	\N	-103.5	25.58
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	Quetta	1680	67	30.18
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	Changhua	20	120.53	24.07
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	Ibagué	1285	-75.23	4.43
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	Denver	1564	-104.88	39.76
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	Sofia	500	23.33	42.7
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	Blumenau	21	-49.07	-26.92
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Yangon	15	96.18	16.85
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	Liberec	374	15.07	50.72
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan	2300	-99.24	19.48
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	Chincha Alta	97	-76.13	-13.45
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	Batman	540	41.13	37.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	Linqing	\N	115.71	36.85
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	Horlivka	215	38.05	48.3
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	Jalingo	\N	11.37	8.9
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	Hunjiang	471	126.42	41.93
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	Kars	1768	43.1	40.62
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	Banda Aceh	0	95.32	5.55
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Oporto	\N	-8.62	41.16
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	Quelimane	1	36.89	-17.88
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose Del Monte	100	121.05	14.81
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	Uppsala	15	17.64	59.86
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	Jastrzebie Zdroj	259	18.58	49.95
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	Fortaleza	21	-38.54	-3.72
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Qo‘qon	409	70.94	40.53
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	Prato	65	11.1	43.88
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	Tokat	623	36.55	40.31
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	Abomey-Calavi	54	2.36	6.45
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	Manzanillo	25	-77.11	20.34
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	Ikire	\N	4.18	7.36
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	Dezhou	\N	116.27	37.43
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	Delhi	0	77.23	28.61
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	Volgograd	80	44.52	48.7
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	Winston-Salem	296	-80.26	36.1
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Şanlıurfa	477	38.79	37.16
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	Angarsk	430	103.9	52.55
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	Hamilton	40	175.28	-37.78
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	Jamshedpur	135	86.3	22.8
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehra Dun	435	78.03	30.32
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	Ganja	408	46.36	40.68
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	Podgorica	48	19.26	42.44
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	Maoming	29	110.92	21.65
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	Breda	3	4.78	51.58
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	Maracanaú	\N	-38.63	-3.87
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	Mito	\N	140.47	36.37
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	Angren	961	70.14	41.02
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	Marília	660	-49.95	-22.21
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	Adiyaman	7	38.28	37.76
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	Aleg	\N	-13.92	17.05
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	L'Aquila	714	13.4	42.35
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	Khulna	9	89.55	22.82
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	Mulhouse	232	7.34	47.75
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Bishoftu	1920	38.98	8.75
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	Al Hillah	34	44.43	32.48
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	Semarang	4	110.42	-6.97
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	Fayetteville	80	-78.88	35.05
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	Argenteuil	21	2.25	48.95
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	Itapetininga	656	-48.05	-23.59
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingaora	984	72.22	34.47
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	Sana'a	2250	44.21	15.35
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	Krasnogorsk	150	37.32	55.83
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	Gombe	\N	11.17	10.28
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	Mianyang	473	104.68	31.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	St. Petersburg	13	-82.64	27.77
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	Penza	150	45	53.2
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	Tampere	\N	23.77	61.5
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	Birni-N'Konni	\N	5.25	13.79
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	Durrës	0	19.45	41.32
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	Billings	952	-108.54	45.79
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	Huizhou	15	114.4	23.07
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	Imperatriz	95	-47.48	-5.53
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	North Las Vegas	672	-115.15	36.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	Orange	58	-117.83	33.8
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	Salamanca	1721	-101.2	20.57
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	Dunedin	\N	170.5	-45.87
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	Bolu	725	31.61	40.73
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	Malatya	954	38.3	38.35
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	Changshu	\N	120.82	31.67
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	Karaman	\N	33.22	37.18
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	Peterborough	\N	-0.25	52.58
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	Los Angeles	93	-118.25	34.05
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	Oskemen	283	82.62	49.98
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	Artemisa	50	-82.76	22.81
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	Atlanta	225	-84.39	33.76
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	Taoyuan	\N	121.31	24.99
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	Bogor	265	106.8	-6.6
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	Duyun	\N	107.52	26.26
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Qui Nhon	\N	109.23	13.77
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	Zaragoza	243	-0.88	41.65
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	Balikpapan	0	116.83	-1.26
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	San Luis Potosí	1850	-100.84	22.15
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	Gwalior	196	78.18	26.22
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Jelec	140	38.47	52.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	Araraquara	664	-48.18	-21.79
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	Yuscaran	1007	-86.82	13.93
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	La Habana	59	-82.38	23.13
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	Caen	2	-0.37	49.18
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	Shiraz	1500	52.53	29.62
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	Fort Worth	199	-97.33	32.76
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	Wigan	\N	-2.63	53.54
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	Asunción	43	-57.63	-25.27
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	Nukus	76	59.6	42.47
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	Sokoto	\N	5.23	13.07
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	Flint	229	-83.69	43.01
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	Mazar-i-Sharif	357	67.12	36.7
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	Mohammedia	10	-7.38	33.68
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	Zlín	230	17.67	49.23
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	Chula Vista	20	-117.05	32.63
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	Leeuwarden	3	5.78	53.2
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	Portsmouth	\N	-1.08	50.82
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	Algeciras	20	-5.45	36.13
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	Divo	\N	-5.37	5.83
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Hohhot	1065	111.65	40.82
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	Bata	5	9.75	1.85
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	London	0	-0.09	51.52
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	Danlí	814	-86.58	14.05
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	Morelia	1921	-101.19	19.77
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucureşti	55.8	26.1	44.43
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	Kemerovo	140	86.07	55.37
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	Vitebsk	172	30.17	55.18
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	Turbo	2	-76.73	8.1
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	Gracias	800	-88.58	14.58
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Kocaeli	100	29.92	40.77
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	Düsseldorf	38	6.78	51.23
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	Port Louis	\N	57.5	-20.16
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	Murcia	43	-1.13	37.99
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	Tieling	\N	123.73	42.22
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	Niš	195	21.9	43.32
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	Accra	61	-0.2	5.55
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	Tongliao	179	122.27	43.62
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	Podol'sk	160	37.53	55.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	Pasadena	263	-118.13	34.16
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Bryansk	190	34.37	53.23
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	Dushanbe	706	68.78	38.54
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	Handan	\N	114.48	36.6
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	Kidal	\N	1.41	18.44
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	São Vicente	6	-46.39	-23.96
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	Machida	\N	139.45	35.55
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	Gateshead	\N	-1.6	54.95
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	Faro	6	-7.92	37.03
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	Agadez	520	7.98	16.97
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	Calarasi	26	27.33	44.2
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	Santa Ana	665	-89.53	13.98
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	Pucallpa	154	-74.52	-8.38
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	Jiangyin	\N	120.3	31.84
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	Dongguan	8	113.72	23.03
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	La Guaira	\N	-66.93	10.6
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	Silvassa	32	73.02	20.27
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	Meixian	\N	116.12	24.32
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	Krasnodar	25	38.97	45.03
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklio	150	23.77	38.05
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	Dongying	\N	118.47	37.45
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	Talca	102	-71.67	-35.43
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	Funabashi	\N	139.98	35.7
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	Jaén	573	-3.77	37.77
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpho	\N	128.25	40.08
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	Gaborone	1014	25.91	-24.66
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	Utrecht	5	5.12	52.08
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	Miskolc	131	20.79	48.1
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	Radom	130	21.17	51.4
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	Regensburg	337	12.08	49.02
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	Toulouse	115	1.44	43.6
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	Uige	858	15.05	-7.62
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	Brest	0	-4.49	48.39
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	Andijon	450	72.33	40.78
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	Salgótarján	299	19.79	48.09
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	Suwon	\N	127.02	37.27
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Hims	501	36.71	34.73
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	Francistown	1001	27.51	-21.17
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	Hillerød	41	12.31	55.93
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	Seongnam	\N	127.15	37.43
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	Liaoyuan	260	125.15	42.88
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	Erfurt	194	11.03	50.98
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	Gonaïves	6	-72.68	19.45
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aqtobe	219	57.17	50.28
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	Koulikoro	\N	-7.56	12.86
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	Popayán	1760	-76.61	2.45
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	Yangquan	\N	113.57	37.85
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	Jinju	\N	128.08	35.2
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	Kati	481	-8.07	12.75
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	Itapecerica da Serra	920	-46.85	-23.72
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	Abaetetuba	42	-48.88	-1.72
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	Moroni	29	43.26	-11.7
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	Mesquita	\N	-43.43	-22.78
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	Huaraz	3052	-77.53	-9.53
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	Belize City	0	-88.19	17.5
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	Cape Coral	2	-81.98	26.64
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	Lelystad	-3	5.48	52.5
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	Ramallah	\N	35.2	31.9
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	Faridabad	198	77.31	28.42
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	Torreón	1120	-103.45	25.54
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	Kansas City	277	-94.58	39.1
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	Nazareth	\N	35.3	32.7
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	Malindi	\N	40.13	-3.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	Herne	65	7.22	51.55
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	Sirnak	1650	42.46	37.52
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	Liaoyang	29	123.18	41.27
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	M'Bour	14	-16.97	14.42
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Yoshkar-Ola	100	47.88	56.65
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urganch	91	60.63	41.55
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	Puntarenas	5	-84.83	9.97
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	Kanggye	\N	126.6	40.97
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	Kyzyl	631	94.45	51.72
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	Victoria	\N	14.24	36.04
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	Chapecó	\N	-52.62	-27.1
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	Salem	278	78.16	11.65
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	Hong Kong	\N	114.2	22.3
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	Moshi	700	37.34	-3.33
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	Santiago de Compostela	260	-8.54	42.88
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	San Miguel de Tucumán	431	-65.22	-26.83
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	Nagoya	\N	136.9	35.18
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	Cabo de Santo Agostinho	29	-35.03	-8.29
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	Gatineau	\N	-75.65	45.48
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	Szczecin	1	14.55	53.43
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	Madurai	101	78.1	9.9
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	Willemstad	\N	-68.9	12.1
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	Dili	\N	125.6	-8.6
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	Worthing	7	-0.37	50.81
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	Cixi	\N	121.23	30.17
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	Baotou	1065	109.83	40.65
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Suhaj	61	31.7	26.55
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	Santa Rosa de Copan	1168	-88.78	14.77
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	Sevastopol´	100	33.53	44.6
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	Ferraz de Vasconcelos	759	-46.37	-23.54
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	Serra	301	-40.31	-20.13
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	Kayseri	1050	35.48	38.73
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	Johor Bahru	36.88	103.73	1.48
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	Corrientes	52	-58.82	-27.48
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	Erzincan	1185	39.49	39.75
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	Linhe	\N	107.43	40.85
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	Korla	\N	86.13	41.65
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	Sumbawanga	\N	31.62	-7.97
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	Wavre	\N	4.6	50.72
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	Exeter	\N	-3.53	50.72
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	Jilin	\N	126.2	43.7
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	Makkah	\N	41	21.5
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	eThekwini	6	31.05	-29.88
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	Chimbote	4	-78.59	-9.14
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	Nykoping	20	17.01	58.75
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	Vitória de Santo Antão	147	-35.3	-8.12
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	Jeddah	12	39.17	21.54
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	Villach	501	13.85	46.62
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	Aberdeen	\N	-2.11	57.15
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	Medellín	1495	-75.59	6.23
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	Pointe-Noire	14	11.86	-4.78
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	Long Xuyen	\N	105.45	10.37
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	Barreiras	454	-44.99	-12.15
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronezh	154	39.21	51.67
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	Santa Luzia	751	-43.85	-19.77
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	Mbabane	1243	31.13	-26.32
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	Fort Lauderdale	3	-80.15	26.13
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	Olomouc	219	17.25	49.6
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	Salinas	16	-121.66	36.68
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	Porto Velho	83	-63.9	-8.76
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	Guantánamo	46	-75.21	20.14
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	Matsudo	\N	139.9	35.78
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	Fakaofo	\N	-171.21	-9.37
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	Gävle	8	17.14	60.67
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	Jimma	1780	36.83	7.67
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	Niterói	0	-43.1	-22.88
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	Cobija	280	-68.73	-11.03
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo	\N	-99.09	19.67
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyine	\N	97.62	16.48
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	Narayanganj	3	90.5	23.62
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	Aalborg	5	9.92	57.05
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	Khorugh	2123	71.56	37.49
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	Beaumont	5	-94.13	30.08
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	Cotabato	\N	124.25	7.22
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	Thunder Bay	199	-89.25	48.38
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	Vlorë	25	19.49	40.47
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	Tokchon	\N	126.33	39.75
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	Babati	\N	35.75	-4.22
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	Rio de Janeiro	31	-43.2	-22.91
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	Kalmar	8	16.36	56.66
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	Río Gallegos	20	-69.22	-51.63
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	Praia	0	-23.51	14.92
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	Timon	\N	-42.84	-5.09
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	Ribeirão Preto	546	-47.81	-21.18
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	Qom	928	50.88	34.64
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	Castanhal	141	-47.92	-1.3
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Haora	12	88.31	22.59
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	Heze	\N	115.43	35.23
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	Nezahualcóyotl	2220	-98.99	19.4
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	Taguig	16	121.05	14.52
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	Jayapura	287	140.72	-2.53
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeinishahr	\N	51.52	32.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	São Paulo	760	-46.63	-23.55
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveščensk	130	127.53	50.25
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	Linhares	33	-40.07	-19.39
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	Yalova	\N	29.28	40.66
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	Khmel´nyts´kyi	275	27	49.42
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	Eldoret	\N	35.28	0.52
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	Arak	1718	49.69	34.09
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	Bordeaux	1	-0.58	44.84
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	Shizuishan	\N	106.77	39.23
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	Atyrau	-20	51.88	47.12
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	Bekasi	11	107	-6.23
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	Yerevan	989.4	44.52	40.18
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	Tawau	\N	117.89	4.26
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Liège	\N	5.57	50.63
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	Bucheon	16	126.78	37.5
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	Gao	226	-0.05	16.27
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	Tahoua	389	5.27	14.88
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	Uberlândia	863	-48.29	-18.92
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	Agri	\N	43.05	39.72
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	Krefeld	38	6.57	51.33
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	Ndola	\N	28.63	-12.97
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	Latina	21	12.9	41.47
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyonkarahisar	1021	30.54	38.76
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	Kagoshima	\N	130.55	31.6
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	Cancún	10	-86.85	21.16
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	Leipzig	113	12.38	51.33
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	Chinandega	50	-87.15	12.62
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	Telford	\N	-2.45	52.68
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	Hämeenlinna	\N	24.47	61
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	Sancti Spíritus	51	-79.44	21.93
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	Xinyu	\N	114.92	27.8
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	Kendari	5	122.59	-3.97
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	Leiden	0	4.48	52.17
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	Managua	83	-86.25	12.14
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	Duque de Caxias	7	-43.31	-22.79
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	Limón	0	-83.03	9.98
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	Cabo Frio	4	-42.02	-22.88
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	As Suwayda'	1080	36.57	32.7
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Grozny	130	45.72	43.32
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan	116	49.13	55.79
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	São José dos Campos	660	-45.88	-23.19
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	Awka	\N	7.07	6.21
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	Dundee	\N	-2.97	56.46
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	Qiqihar	147	123.92	47.35
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	Malanje	1155	16.35	-9.53
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	Chiayi	69	120.45	23.48
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	Nitra	190	18.09	48.31
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	Ilawe-Ekiti	\N	5.1	7.6
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	Dukou	1157	101.72	26.58
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Firenze	50	11.25	43.78
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	Aligarh	178	78.08	27.88
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	Praia Grande	3	-46.4	-24.01
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	Porto Alegre	10	-51.23	-30.03
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	Harare	1490	31.03	-17.86
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	Kraków	219	19.94	50.06
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	Cebu	\N	123.75	10.32
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	Yokosuka	\N	139.67	35.25
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	Ananindeua	20	-48.37	-1.37
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	São Luís	4	-44.3	-2.53
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	Madrid	667	-3.72	40.38
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	Santa Cruz do Sul	122	-52.43	-29.72
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	Koutiala	\N	-5.47	12.38
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	Diyarbakir	675	40.24	37.91
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Al Uqsur	76	32.65	25.68
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	Tiruchirappalli	88	78.69	10.81
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	Indore	553	75.9	22.7
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	Karlstad	64	13.5	59.38
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	Kavala	0	24.4	40.93
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	Kurashiki	\N	133.77	34.58
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	Pescara	0	14.21	42.46
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	Stanley	\N	-57.51	-51.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	Concord	23	-122.03	37.98
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	Kano	488	8.52	12
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	Borujerd	1573	48.9	33.9
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	Chiclayo	27	-79.84	-6.76
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	Wuzhou	\N	111.32	23.48
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	São Caetano do Sul	744	-46.55	-23.7
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	Skikda	18	6.9	36.87
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	Mopti	268	-4.2	14.5
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	Nam Dinh	\N	106.17	20.42
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	Novosibirsk	177	82.93	55.02
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	Sterling Heights	187	-83.03	42.58
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	Ichikawa	\N	139.93	35.72
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	Man	330	-7.55	7.4
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	Nassau	10	-77.33	25.07
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	Guiyang	1275	106.63	26.65
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alicante	3	-0.48	38.35
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	Thai Nguyen	\N	105.85	21.6
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	Okene	\N	6.23	7.55
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	Birnin Kebbi	\N	4.2	12.45
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	Rijeka	0	14.42	45.32
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	Adana	23	35.32	37
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	Agadir	74	-9.6	30.43
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	Ordu	5	37.88	40.98
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	Puerto Montt	14	-72.93	-41.47
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	León	1815	-101.68	21.12
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islamabad	507	73.07	33.72
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	Oslo	23	10.75	59.95
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	Gejiu	\N	103.15	23.37
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	Syracuse	116	-76.14	43.05
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	Inhambane	1	35.38	-23.86
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	Herisau	771	9.27	47.38
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	Grand Prairie	157	-97.02	32.72
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	Tianjin	5	117.18	39.13
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	Anyang	47	126.93	37.38
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	Denpasar	4	115.22	-8.65
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim an der Ruhr	40	6.88	51.43
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	Al Hoceima	20	-3.93	35.25
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	Campobasso	701	14.67	41.57
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	Ulm	478	9.98	48.4
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	Limoges	209	1.26	45.84
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	Saipan	\N	145.76	15.18
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	Ciudad Delgado	603	-89.17	13.72
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Wien	151	16.37	48.2
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	Jaipur	431	75.8	26.9
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misratah	9	15.09	32.38
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	Jamestown	\N	-5.44	-15.56
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Tombouctou	261	-3.01	16.78
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	Envigado	1675	-75.58	6.17
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	Vung Tau	\N	107.12	10.38
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	Shizuoka	\N	138.38	34.98
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	Cimahi	768	107.53	-6.88
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	Gusau	450	6.67	12.15
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	Kaesong	\N	126.55	37.97
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	Cuenca	2560	-79.02	-2.9
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	Raipur	298.15	82	20.92
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	Dayton	225	-84.19	39.76
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkida	0	23.6	38.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	Miami	2	-80.21	25.78
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	Samut Prakan	\N	100.6	13.6
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	South Bend	211	-86.26	41.67
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	Aix-en-Provence	73	5.45	43.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	Shashi	\N	112.25	30.32
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	Beian	266	126.52	48.25
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	Vila Nova de Gaia	\N	-8.62	41.13
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	Nagasaki	\N	129.87	32.78
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	Karaj	1312	51.01	35.84
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	Rajshahi	18	88.6	24.37
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	Varginha	980	-45.43	-21.55
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	Montes Claros	678	-43.86	-16.73
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	Longyearbyen	\N	15.33	78.13
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Al Jizah	19	31.22	30.02
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	Alajuela	952	-84.22	10.02
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	Beipiao	\N	120.78	41.8
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Tchelny	100	52.32	55.68
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	São Tomé	137	6.68	0.34
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	Uruapan	1620	-102.06	19.42
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	Brčko	92	18.81	44.87
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	Oxford	\N	-1.26	51.75
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	Shuangyashan	\N	131.15	46.63
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	Oranjestad	4	-70.04	12.52
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	Kahramanmaraş	67	36.93	37.58
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	Kanpur	126	80.3	26.5
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	Lecce	49	18.17	40.35
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	Toulon	0	5.92	43.13
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Yaroslavl	100	39.85	57.62
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	Xinxiang	\N	113.87	35.3
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	Costa Mesa	30	-117.91	33.67
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	Chengde	327	117.93	40.97
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	Kimberley	1184	24.77	-28.74
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	Zunyi	865	106.9	27.68
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	Viana do Castelo	15	-8.83	41.7
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	Ramla	80	34.87	31.93
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	Rímini	6	12.57	44.05
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	Fuenlabrada	664	-3.8	40.28
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokujbyševsk	90	49.93	53.1
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	Bologna	54	11.35	44.51
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	High Wycombe	\N	-0.75	51.63
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	Kunming	1892	102.68	25.07
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	Fengcheng	\N	124.07	40.45
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	Middelburg	3	3.62	51.5
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	Doncaster	\N	-1.13	53.52
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	Bafoussam	1521	10.42	5.47
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	Tamanrasset	1320	5.53	22.79
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Larkana	147	68.23	27.56
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	Delmas	194	-72.3	18.55
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	Ostersund	312	14.64	63.18
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	Luts´k	174	25.34	50.75
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	Bikaner	242	73.31	28.02
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	Yola	599	12.46	9.23
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	Drobeta-Turnu Severin	50	22.67	44.57
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	Kumamoto	\N	130.73	32.78
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	Campeche	10	-90.53	19.85
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	Siping	164	124.37	43.17
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	Siegen	267	8.02	50.88
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	Shihezi	\N	86.03	44.3
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	Tarsus	\N	34.9	36.92
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	Montevideo	43	-56.18	-34.88
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	Botoşani	170	26.67	47.75
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	Thousand Oaks	270	-118.87	34.19
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	Manila	16	121	14.58
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Lefkosia	220	33.37	35.17
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	Ekibastuz	347	75.37	51.67
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	Karlskrona	16	15.59	56.16
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	Vadodara	129	73.2	22.3
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	Ife	\N	4.57	7.47
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	Bydgoszcz	60	18	53.12
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	Colón	9	-79.9	9.36
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	Reykjavik	\N	-21.93	64.13
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	Beijing	43.5	116.38	39.92
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	Braşov	600	25.62	45.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	Cotia	853	-46.92	-23.6
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	Stockholm	0	18.07	59.33
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	Gdańsk	0	18.63	54.37
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	St. Paul	214	-93.09	44.94
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	Manokwari	37	134.08	-0.87
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	Potenza	819	15.8	40.63
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	Mikkeli	\N	27.27	61.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	Ganzhou	107	114.93	25.87
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	Gorakhpur	84	83.37	26.76
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	Palmas	230	-48.33	-10.18
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	Halifax	10	-63.57	44.65
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	Lanzhou	1518	103.8	36.03
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Melaka	\N	102.25	2.2
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	Tijuana	20	-117.03	32.53
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Aysaita	300	41.43	11.57
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	Juneau	17	-134.42	58.3
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	Sukabumi	584	106.93	-6.92
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	Sakai	\N	135.48	34.57
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	Lomé	10	1.22	6.13
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	Luzhou	262	105.45	28.88
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Bijsk	180	85.22	52.53
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambella	526	34.58	8.25
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	Salford	68	-2.33	53.51
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	Nonthaburi	\N	100.52	13.85
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	Calabar	32	8.32	4.95
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	Fukui	\N	136.22	36.07
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	Gondar	2133	37.47	12.6
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	Tillaberi	\N	1.45	14.22
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	Burlington	74	-79.8	43.32
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	Ikorodu	\N	3.5	6.6
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	Chaoyang	170	120.45	41.57
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	Cankiri	800	33.62	40.6
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampho	\N	125.4	38.73
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	Benguela	39	13.42	-12.55
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	Nantong	2	120.9	31.98
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	Kristiansand	\N	8	58.15
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	Solihull	\N	-1.78	52.41
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	Yichun	\N	114.38	27.8
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	Cabimas	3	-71.45	10.4
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	Trabzon	0	39.73	41
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	Austin	149	-97.75	30.25
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	Chirchiq	582	69.58	41.47
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	Villahermosa	20	-92.93	17.99
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	Sibu	8	111.83	2.29
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	Kalisz	144	18.08	51.76
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	Peoria	348	-112.24	33.58
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warszawa	78	21.02	52.23
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	Utsunomiya	\N	139.88	36.55
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	Slobozia	\N	27.37	44.56
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	Wichita	396	-97.34	37.69
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	Almere	-3	5.22	52.37
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	Haeju	\N	125.72	38.05
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	Waco	143	-97.16	31.55
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	Knoxville	270	-83.94	35.97
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	Brazzaville	320	15.29	-4.27
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma-Ujiji	773	29.63	-4.88
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	Växjö	167	14.81	56.88
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	Baghdad	34	44.43	33.33
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	Arusha	1387	36.68	-3.37
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	Meihekou	180	125.68	41.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	Oral	35	51.37	51.23
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Kolkata	9	88.37	22.57
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	Karlsruhe	115	8.4	49.01
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	Arequipa	2335	-71.53	-16.38
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	Vitoria-Gasteiz	525	-2.68	42.85
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Bayrūt	\N	35.51	33.89
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	Male	2.4	73.51	4.18
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	Santa Ana	35	-117.88	33.74
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	Juba	550	31.6	4.85
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	Kuopio	\N	27.68	62.89
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	Sirjan	1730	55.68	29.45
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	Coatzacoalcos	10	-94.43	18.15
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	Qinzhou	12	108.62	21.95
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	Antipolo	156	121.17	14.58
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	Crawley	\N	-0.19	51.11
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	Buenos Aires	25	-58.38	-34.6
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	Joensuu	\N	29.75	62.6
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	Guayaquil	4	-79.88	-2.18
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	Changde	35	111.68	29.03
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	Kusong	\N	125.17	39.97
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	Mus	\N	41.49	38.73
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	Pemba	30	40.55	-12.97
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	Cité Soleil	\N	-72.33	18.58
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	Liling	\N	113.47	27.67
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	Allahabad	98	81.85	25.45
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	Maiduguri	320	13.15	11.83
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	Székesfehérvár	118	18.41	47.19
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	Tongi	\N	90.41	23.89
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	Helena	1181	-112.03	46.6
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	Fargo	276	-96.79	46.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	Changzhi	\N	113.1	36.18
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	George Town	3	-81.39	19.3
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodes	26	28.22	36.43
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Prypjat	120	30.06	51.4
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	Samara	100	50.14	53.2
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	Mérida	10	-89.62	20.97
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	Itanagar	750	93.62	27.1
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	Zacatecas	2440	-102.58	22.77
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	Groningen	7	6.57	53.22
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	Buraydah	\N	43.97	26.33
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	Ioannina	480	20.85	39.67
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	Tianmen	32	113.17	30.67
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	La Spezia	10	9.82	44.1
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	Kofu	\N	138.57	35.67
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Århus	0	10.22	56.15
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	Rochdale	\N	-2.16	53.61
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	Bie	\N	17.57	-12.52
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novošachtinsk	130	39.93	47.75
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	Bregenz	427	9.75	47.51
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	Laohekou	\N	111.77	32.4
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	Safi	20	-9.23	32.28
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	Mogi das Cruzes	780	-46.19	-23.52
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	Harbin	150	126.63	45.75
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	Los Mochis	10	-108.99	25.78
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	Reims	80	4.03	49.26
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	San Fernando del Valle de Catamarca	500	-65.78	-28.47
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	Sullana	\N	-80.52	-4.9
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	Bucaramanga	959	-73	7.13
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	Giurgiu	25	25.97	43.9
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	Uvira	746	29.14	-3.37
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	Bhatpara	12	88.41	22.87
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	Singapore	\N	103.8	1.3
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	Puqi	67	113.9	29.72
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	Zhenjiang	\N	119.42	32.2
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	Schwerin	44	11.42	53.63
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	Aurora	219	-88.29	41.76
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	Wanxian	\N	108.41	30.81
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	Aksaray	980	34.03	38.37
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	Giugliano in Campania	\N	14.2	40.93
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	Ufa	150	55.97	54.75
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	Makurdi	\N	8.54	7.73
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg	278	7.85	47.98
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	Honiara	29	159.95	-9.43
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	Tanta	12	31	30.78
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	Serang	39	106.15	-6.12
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	Limeira	588	-47.4	-22.56
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	Yangzhou	\N	119.42	32.4
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	N'Djamena	298	15.05	12.11
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	Darwin	\N	130.83	-12.45
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	Corpus Christi	2	-97.4	27.74
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Roatan	\N	-86.55	16.3
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	Londrina	610	-51.16	-23.31
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	Mwene-Ditu	910	23.45	-7
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	Puerto Maldonado	183	-69.18	-12.6
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	Richmond	14	-122.35	37.94
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	Sucre	2810	-65.25	-19.05
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	Nakhon Ratchasima	\N	102.1	14.98
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	Terrassa	286	2.01	41.56
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	Simferopol´	350	34.1	44.95
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	Lansing	262	-84.55	42.73
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	Yazd	1216	54.37	31.9
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	São José do Rio Preto	489	-49.38	-20.81
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	Riverside	252	-117.4	33.95
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	Maceió	7	-35.73	-9.67
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	Mar del Plata	38	-57.55	-38
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Al Isma'iliyah	13	32.27	30.58
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	Mocoa	604	-76.65	1.15
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	Ivanovo	120	40.98	57
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	Changzhou	\N	119.97	31.78
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	Giresun	10	38.39	40.92
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	Cauayan	\N	121.78	16.77
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	Tempe	348	-111.94	33.43
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	Nijmegen	29	5.87	51.85
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	Zwolle	4	6.1	52.52
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando	47	-67.47	7.89
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	Tasikmalaya	\N	108.2	-7.33
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	Miass	340	60.1	55
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	Baruta	1178	-66.87	10.42
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	Arzamas	150	43.82	55.4
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	Koani	\N	39.28	-6.13
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	Tacloban	2	125	11.24
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	Besançon	235	6.02	47.24
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	Ottawa	70	-75.68	45.42
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	Santander	15	-3.8	43.46
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	Zahedan	1352	60.86	29.5
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	Shaoyang	\N	111.47	27.25
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	Samarra	80	43.87	34.2
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	Songkhla	11	100.6	7.21
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	Dąbrowa Górnicza	\N	19.27	50.32
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	Palmira	1001	-76.25	3.58
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	Talara	11	-81.27	-4.58
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	São João de Meriti	19	-43.37	-22.8
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	Kaposvár	153	17.78	46.36
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfintu Gheorghe	555	25.79	45.86
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	Hobart	54	147.32	-42.88
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	Wendeng	\N	122.05	37.2
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopejsk	200	61.62	55.1
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	Minneapolis	253	-93.27	44.98
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	Indaiatuba	624	-47.22	-23.09
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	Dongtai	\N	120.52	32.8
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	Apia	2	-171.75	-13.83
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	Barranquilla	18	-74.8	10.96
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	San Nicolás de los Arroyos	17	-60.22	-33.33
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	Zhuhai	36	113.57	22.28
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	Louga	44	-16.35	15.65
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	Ica	406	-75.73	-14.07
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	Kolhapur	545.6	74.23	16.69
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	Mönchengladbach	70	6.43	51.2
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	Uruguaiana	66	-57.09	-29.75
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	Lublin	168	22.57	51.25
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	Regina	577	-104.61	50.45
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	Patna	53	85.1	25.6
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	Clermont-Ferrand	321	3.08	45.78
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	Kumasi	305	-1.62	6.67
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	Shkodër	13	19.5	42.07
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	Xingcheng	8	120.73	40.62
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	Karabük	\N	32.63	41.2
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	Banja Luka	163	17.18	44.77
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	General Santos	15	125.17	6.12
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	Hanzhong	511	107.02	33.07
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	Guadalupe	500	-100.26	25.68
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	Logroño	384	-2.45	42.47
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	Karamay	354	84.88	45.6
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Brugge	2	3.23	51.22
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	Solingen	221	7.08	51.17
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	Itaquaquecetuba	790	-46.35	-23.49
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	Huancavelica	3676	-74.98	-12.79
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	Sukkur	67	68.85	27.71
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaka	0	33.63	34.92
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	Lengshuijiang	\N	111.44	27.69
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsø	\N	18.94	69.68
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	Changchun	222	125.2	43.9
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	L'ubercy	130	37.93	55.67
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	Chetumal	10	-88.31	18.5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	Noginsk	150	38.43	55.85
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	Punta Arenas	34	-70.93	-53.17
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	Málaga	11	-4.42	36.72
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	Luena	1350	19.91	-11.79
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	Gongzhuling	215	124.82	43.5
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	Chiniot	179	72.98	31.72
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	San Francisco	16	-122.42	37.78
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	Seversk	90	84.85	56.6
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	Omdurman	178	32.48	15.65
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	Suihua	\N	126.98	46.63
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	Leiria	\N	-8.8	39.75
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	Olinda	16	-34.85	-8.01
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	Pimpri Chinchwad	570	73.8	18.62
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	Franca	1040	-47.4	-20.54
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Al Kuwayt	\N	47.98	29.37
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez de la Frontera	56	-6.12	36.7
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	Makati	15.4	121.03	14.55
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	Pforzheim	261	8.72	48.9
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	Brisbane	\N	153.03	-27.47
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Khartoum North	\N	32.63	15.63
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	Taraz	610	71.37	42.9
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	Fujisawa	\N	139.47	35.35
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	Ingolstadt	374	11.43	48.77
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	Porto Seguro	4	-39.08	-16.43
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	Orenburg	150	55.1	51.78
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	Vaslui	110	27.73	46.64
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	Bhiwandi	24	73.06	19.3
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orel	170	36.07	52.97
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	Petrópolis	838	-43.18	-22.5
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	Perth	2	115.86	-31.95
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	Bistrita	356	24.5	47.13
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	Mejicanos	712	-89.22	13.73
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	Temuco	360	-72.67	-38.73
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	Colchester	\N	0.9	51.89
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Bruxelles	13	4.35	50.85
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	Zlatoust	440	59.67	55.17
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	Bandung	768	107.6	-6.92
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	Garanhuns	896	-36.49	-8.89
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	Hamburg	6	10	53.57
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	Tipitapa	50	-86.1	12.2
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	Teresina	87	-42.8	-5.09
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	Potosí	4067	-65.75	-19.58
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	Machakos	\N	37.27	-1.52
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	Shaoguan	59	113.6	24.82
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	Tartu	57.2	26.72	58.38
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multan	122	71.47	30.2
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	Zhoushan	\N	122.4	30.17
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novočerkassk	80	40.08	47.42
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	Zamboanga	16	122.08	6.92
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Al Iskandariyah	5	29.92	31.2
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Khabarovsk	72	135.07	48.48
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	Tessaoua	\N	7.98	13.75
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	Liyang	\N	119.38	31.42
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	Koforidua	238	-0.27	6.1
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangyang	71	112.13	32.02
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	Mesquite	151	-96.61	32.78
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Turkmenabat	187	63.57	39.08
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Marg‘ilon	487	71.72	40.47
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	Cuiabá	165	-56.1	-15.6
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	Siirt	895	41.95	37.92
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	Carolina	16	-65.97	18.41
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nizhnevartovsk	45	76.55	60.95
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	Iğdır	861	44.04	39.92
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	Bangkok	1.5	100.47	13.75
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	Sanya	\N	109.5	18.25
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Chimki	180	37.45	55.9
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	Guntur	30	80.44	16.3
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	Lanús	9	-58.4	-34.7
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	As Sulaymaniyah	882	45.44	35.56
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	Huichon	\N	126.28	40.17
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	Querétaro	1820	-100.39	20.59
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	Zalaegerszeg	166	16.85	46.85
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	Ponta Delgada	\N	-25.75	37.82
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	Saharanpur	\N	77.55	29.96
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala Porto	\N	40.67	-14.45
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	Jihlava	525	15.59	49.4
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	McAllen	37	-98.24	26.22
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	Baoding	25	115.47	38.87
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	Pisa	4	10.4	43.72
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	Melbourne	31	144.96	-37.81
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	Rasht	5	49.58	37.28
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	Warangal	302	79.58	18
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	Badajoz	185	-6.97	38.88
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	Kupang	62	123.58	-10.18
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	Setúbal	\N	-8.88	38.53
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Kingston upon Hull	\N	-0.33	53.75
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	Katowice	266	19	50.25
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	Natal	30	-35.2	-5.78
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	Matsuyama	\N	132.77	33.83
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	Higashiosaka	\N	135.6	34.68
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	Montgomery	73	-86.28	32.36
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	Valletta	56	14.51	35.9
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	Gaza	\N	34.5	31.5
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabouk	760	36.58	28.4
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Nay Pyi Taw	115	96.1	19.75
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	Trenton	15	-74.76	40.22
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	Nazran'	520	44.77	43.22
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Gedaref	634	35.38	14.03
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	Bago	4	96.48	17.34
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	Hengyang	\N	112.6	26.9
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	Minsk	280.6	27.57	53.9
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	San Diego	129	-117.16	32.72
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odincovo	190	37.27	55.67
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	Augusta	21	-69.78	44.31
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	Tucson	728	-110.93	32.22
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	Waterbury	82	-73.04	41.56
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	Kremenchuk	80	33.42	49.07
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Okt'abr'skij	140	53.47	54.47
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	San Pedro Garza García	540	-100.3	25.67
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	Xiangtan	\N	112.9	27.85
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	Mufulira	\N	28.23	-12.55
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujranwala	\N	74.18	32.15
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	Yushu	\N	126.55	44.83
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	São José	0	-48.63	-27.61
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	Semey	206	80.27	50.43
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarqand	702	66.98	39.7
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	Caxias	\N	-43.36	-4.86
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	Zhaoqing	12	112.47	23.05
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Muscat	20	58.58	23.6
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	Wuhu	7.9	118.39	31.37
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	Harrisburg	98	-76.88	40.27
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	Taboão da Serra	\N	-46.8	-23.53
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	Mexicali	8	-115.47	32.66
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	Livingstone	986	25.87	-17.85
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	San Andres de Tumaco	2	-78.76	1.81
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	Elbląg	\N	19.4	54.17
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	Xining	2275	101.77	36.63
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad-e-Kavus	\N	55.17	37.25
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	Pyongyang	38	125.74	39.02
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas de Gran Canaria	8	-15.42	28.15
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	Novomoskovsk	220	38.22	54.08
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	Thimphu	2334	89.64	27.47
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	Dispur	55	91.79	26.14
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansijsk	50	69	61
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	Floridablanca	925	-73.07	7.22
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	Luoyang	144	112.44	34.67
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	York	\N	-1.08	53.96
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	Pingxiang	\N	113.85	27.63
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	Alcorcón	695	-3.83	40.35
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	Veszprém	266	17.91	47.09
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	Sosnowiec	250	19.17	50.3
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	Belfast	\N	-5.93	54.6
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	Wonsan	\N	127.45	39.15
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	Anadyr	20	177.52	64.73
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	Jhelum	250	73.73	32.93
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qina	75	32.73	26.17
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	Marrakech	466	-8.01	31.63
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	La Palma	\N	-78.15	8.41
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	Itaboraí	17	-42.86	-22.74
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	Aguié	434	8.3	13.86
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	Mauá	818	-46.46	-23.67
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	Ruian	\N	120.63	27.78
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	An Nasiriyah	7	46.27	31.05
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	Louisville	142	-85.77	38.25
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	Najran	1293	44.13	17.49
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	Guediawaye	\N	-17.4	14.78
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	Ansan	139	126.83	37.32
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhzhia	86	35.17	47.83
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	Anderlecht	\N	4.33	50.83
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	Lubango	1720	13.5	-14.92
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	Espoo	\N	24.66	60.21
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	Frauenfeld	417	8.9	47.55
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	Bulawayo	1358	28.58	-20.17
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	Sincelejo	213	-75.4	9.3
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	Den Haag	1	4.32	52.08
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	Cincinnati	147	-84.52	39.1
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	Damaturu	\N	11.96	11.74
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	Guarulhos	759	-46.53	-23.47
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	Queimados	29	-43.55	-22.72
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	Saransk	160	45.18	54.18
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	Tonala	\N	-103.23	20.62
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	Gilbert	377	-111.79	33.35
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Farg'ona	582	71.79	40.39
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	Bobruysk	157	29.23	53.15
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	Des Moines	291	-93.62	41.59
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	Olympia	29	-122.89	47.04
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	Reutlingen	382	9.22	48.48
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Esfahan	1574	51.65	32.63
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	Oita	\N	131.61	33.23
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Roma	21	12.5	41.9
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	Münster	60	7.63	51.97
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	Shuangcheng	\N	126.35	45.38
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	Rio Claro	613	-47.56	-22.41
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Baha	2155	41.45	20
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Cherepovets	130	37.9	59.2
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderabad	13	68.37	25.38
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	Focsani	55	27.18	45.7
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	San Bernardino	321	-117.3	34.1
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	Oradea	142	21.92	47.07
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	Acharnes	186	23.73	38.08
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	Pune	561	73.86	18.52
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	Ndalatando	670	14.92	-9.3
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	Cedar Rapids	247	-91.67	41.98
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	Aosta	583	7.32	45.73
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	Elektrostal'	150	38.47	55.78
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	Kalabancoro	\N	-8.03	12.57
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg	12	11.97	57.7
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	Buenaventura	0	-77.03	3.88
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	Dosso	227	3.19	13.04
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	Dolisie	290	12.67	-4.2
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Al Qunaytirah	1010	35.82	33.12
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	Trieste	2	13.8	45.63
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	Rovaniemi	\N	25.73	66.5
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpuchov	140	37.4	54.92
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	Burnaby	0	-122.97	49.27
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	Glendale	351	-112.19	33.54
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	Zürich	408	8.55	47.37
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	Ujjain	\N	75.78	23.18
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	La Paz	750	-87.67	14.32
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	Noumea	0	166.46	-22.28
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	Banská Bystrica	362	19.15	48.73
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	Göttingen	150	9.94	51.53
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	Bijeljina	90	19.22	44.75
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	Ardahan	1900	42.7	41.11
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	Tongchuan	\N	109.08	35.07
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	Kassala	\N	36.4	15.45
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	Bingol	1151	40.5	38.89
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	Tarija	1854	-64.73	-21.53
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	Anshan	2	122.98	41.12
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	Liverpool	70	-2.98	53.4
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	Bochum	100	7.22	51.48
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	Hammerfest	2	23.68	70.66
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	Portalegre	\N	-7.42	39.32
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	Visakhapatnam	54	83.22	17.69
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	Avarua	\N	-159.46	-21.12
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	Vilnius	112	25.28	54.68
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	Abancay	2377	-72.88	-13.63
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	Messina	3	15.55	38.18
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	Tottori	\N	134.23	35.5
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	Manbij	460	37.95	36.53
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Bur Sa'id	3	32.28	31.25
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	Mkokotoni	\N	39.27	-5.88
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	Diourbel	12	-16.39	14.66
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	Dimbokro	\N	-4.7	6.65
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	Esbjerg	11	8.45	55.48
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Mbombela	\N	30.99	-25.47
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	Luhans´k	105	39.3	48.57
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	Le Havre	0	0.1	49.49
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	Saint Catharines	97.8	-79.23	43.18
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	Gorno Altaysk	300	85.97	51.95
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	Maradi	385	7.1	13.49
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	Bondoukou	343	-2.8	8.03
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	Qujing	1873	103.8	25.48
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	Trondheim	3	10.39	63.43
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	San Salvador	658	-89.19	13.69
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Hami	759	93.5	42.84
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	Shanghai	4	121.5	31.2
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	Ponta Grossa	975	-49.25	-25.42
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	Quillacollo	2425	-66.28	-17.4
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	Kovrov	125	41.33	56.37
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Kochi	0	76.28	9.97
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	Pathein	\N	94.72	16.77
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	Ocotepeque	\N	-89.18	14.43
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	Glarus	472	9.07	47.03
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	Le Mans	38	0.2	48.01
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	Denizli	324	29.08	37.77
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	Legazpi	\N	123.73	13.13
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Kerkyra	0	19.87	39.58
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	Ho	150	0.47	6.61
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	Matola	3	32.46	-25.96
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	Posadas	120	-55.9	-27.37
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	Green Bay	177	-88.02	44.51
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	Xi'an	405	108.9	34.27
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	Belford Roxo	38	-43.4	-22.76
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov-na-Donu	70	39.7	47.23
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	Montpellier	7	3.88	43.61
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahawalpur	461	71.68	29.4
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	Tshikapa	485	20.8	-6.42
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	Moreno Valley	497	-117.23	33.94
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Georgetown	\N	100.23	5.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	Francisco Morato	792	-46.74	-23.28
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	Tucupita	5	-62.07	9.06
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	Kediri	3	112.01	-7.82
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	Braga	200	-8.43	41.55
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	Gustavia	\N	-62.85	17.9
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	Cairns	\N	145.78	-16.93
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	Recife	10	-34.9	-8.05
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	Ashgabat	219	58.37	37.93
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	Mata-Utu	\N	-176.18	-13.28
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Peterburg	3	30.3	59.95
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	Joliet	187	-88.15	41.52
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	Deva	187	22.91	45.88
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	Nyíregyháza	116	21.73	47.95
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	Catia La Mar	\N	-67.03	10.6
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	Rybinsk	100	38.83	58.05
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	Hartford	18	-72.67	41.76
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	Tokyo	\N	139.68	35.68
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	Mostar	60	17.8	43.33
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	Gorgan	1350	54.43	36.84
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	Tehuacán	\N	-97.4	18.47
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	Ciudad Bolívar	54	-63.55	8.12
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Yerushalayim	754	35.22	31.78
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons-en-Champagne	82	4.37	48.96
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	Shanwei	8	115.37	22.78
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	Nanjing	20	118.77	32.05
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshawar	359	71.58	34.02
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	Apartadó	30	-76.63	7.88
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	Ruda Śląska	272	18.7	50.27
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	Boulogne-Billancourt	28	2.24	48.84
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	Chicago	181	-87.68	41.84
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	Daxian	312	107.52	31.2
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	Yixing	\N	119.82	31.36
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	Oldham	\N	-2.12	53.54
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle upon Tyne	\N	-1.6	54.97
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	Taiping	\N	100.73	4.85
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	Grand Turk	\N	-71.14	21.47
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	Marseille	0	5.37	43.3
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	Kota Kinabalu	\N	116.1	5.97
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	Mombasa	50	39.67	-4.05
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	Cariacica	\N	-40.42	-20.26
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	Blackburn	\N	-2.48	53.74
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	Likasi	1318	26.73	-10.98
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	Wolfsburg	63	10.79	52.42
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	Hermosillo	210	-110.95	29.1
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	Bejaïa	949	5.07	36.75
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	Iskenderun	4	36.17	36.58
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	Juazeiro	1098	-40.5	-9.43
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	Charleston	182	-81.63	38.35
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	Macapá	12	-51.07	0.03
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	La Rioja	515	-66.85	-29.41
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	Barinas	187	-70.2	8.63
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	Blida	260	2.82	36.47
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	Caucaia	29	-38.66	-3.73
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Siracusa	17	15.28	37.08
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	Qurghonteppa	430	68.78	37.84
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	Bandar Abbas	9	56.27	27.18
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khoy	1148	44.95	38.55
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	Coimbatore	411.2	76.97	11.02
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	Doha	7	51.53	25.29
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	Burgas	30	27.47	42.5
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	Burdur	\N	30.28	37.72
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	Jhansi	285	78.57	25.45
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	Härnösand	1	17.94	62.64
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	Gorontalo	9	123.07	0.53
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	Pago Pago	9	-170.7	-14.28
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	Soacha	2566	-74.22	4.59
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	Sekondi	10	-1.76	4.9
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	Kinkala	407	14.76	-4.36
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	Bamenda	1614	10.17	5.93
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	Poltava	132	34.55	49.59
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhupura	236	73.99	31.72
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	Eindhoven	17	5.48	51.43
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	Iquitos	104	-73.25	-3.73
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	Holguín	5	-76.26	20.89
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsø	6	29.73	70.08
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	Mississauga	156	-79.65	43.6
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khujand	300	69.62	40.28
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	Hpa an	\N	97.63	16.89
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	Tyumen	70	65.53	57.15
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	Naha	\N	127.68	26.21
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	Luxembourg	230	6.13	49.61
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	Taganrog	30	38.92	47.22
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	La Ceiba	3	-86.83	15.77
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	Franceville	\N	13.58	-1.63
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	Changwon	2	128.66	35.27
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	Burgos	859	-3.71	42.35
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	Swansea	\N	-3.95	51.62
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	Rajkot	128	70.78	22.3
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	Würzburg	177	9.93	49.78
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	Banha	19	31.19	30.46
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	Surgut	40	73.43	61.25
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	Almada	50	-9.16	38.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	Palmdale	810	-118.1	34.58
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	Mataram	26	116.12	-8.58
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	Pekanbaru	12	101.45	0.53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	Glendale	159	-118.25	34.17
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	Umeå	12	20.26	63.83
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	Van	1730	43.38	38.49
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	Ceuta	\N	-5.3	35.9
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	Gliwice	200	18.67	50.28
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Eslam Shahr	1456	51.23	35.56
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	Independence	315	-94.41	39.08
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	Gloucester	\N	-2.24	51.87
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	Gold Coast	\N	153.4	-28.02
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	Tulsa	220	-95.94	36.13
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Dashhowuz	88	59.97	41.83
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	León	837	-5.57	42.61
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	Montpelier	183	-72.57	44.25
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	Ciudad Obregón	40	-109.93	27.49
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	Yongin	\N	127.2	37.23
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	Santa Cruz de Tenerife	4	-16.25	28.47
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	Maroua	384	14.32	10.6
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Velikij Novgorod	25	31.27	58.55
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	Tokushima	\N	134.55	34.07
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	Vanersborg	\N	12.33	58.38
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	Assen	10	6.57	53
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	Solothurn	430	7.53	47.22
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	Douglas	\N	-4.6	54.15
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	San Juan	640	-68.53	-31.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	Pavlodar	123	76.95	52.3
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	Bellinzona	238	9.02	46.2
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	Catánia	7	15.09	37.5
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Ha Long	\N	107.08	20.95
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	Shangzhi	\N	127.97	45.21
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	Araguaína	227	-48.21	-7.19
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	Sorocaba	601	-47.46	-23.5
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rawalpindi	508	73.03	33.6
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	La Chorrera	\N	-79.95	8.48
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	Semnan	1130	53.4	35.57
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	Anda	149	125.5	46.45
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	Nossa Senhora do Socorro	36	-37.06	-10.85
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaerbeek	\N	4.38	50.87
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ngiva	1098	15.73	-17.07
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	Vaughan	\N	-79.5	43.83
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	Juazeiro do Norte	350	-39.33	-7.2
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	Zadar	0	15.23	44.11
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	Liestal	327	7.73	47.47
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	Benxi	131	123.77	41.3
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	Berlin	34	13.38	52.52
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	Gagnoa	\N	-5.93	6.13
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	Abengourou	\N	-3.48	6.73
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	Kanazawa	\N	136.65	36.57
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	Quebec	98	-71.22	46.82
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	Asmara	2326	38.93	15.33
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	Zabrze	\N	18.78	50.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	Coventry	\N	-1.51	52.41
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	Anyang	69	114.33	36.1
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	Neiva	442	-75.3	3
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	Vaasa	\N	21.62	63.1
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	Ermoupoli	0	24.92	37.43
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	Miercurea Ciuc	662	25.8	46.36
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	Port Sudan	\N	37.22	19.62
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	Thessaloniki	0	22.9	40.65
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	Zenica	316	17.91	44.2
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	Almería	27	-2.47	36.84
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	Minatitlán	20	-94.55	17.98
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	Wuhai	1150	106.68	39.65
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	Magdeburg	55	11.62	52.13
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	Campinas	555	-47.06	-22.9
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	Río Cuarto	452	-64.35	-33.13
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	Piteşti	300	24.87	44.86
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	Hefei	37	117.28	31.87
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	Villa Nueva	1330	-90.59	14.53
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	Anápolis	1017	-48.95	-16.33
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Molenbeek-Saint-Jean	\N	4.33	50.85
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	Camagüey	95	-77.91	21.38
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	Srinagar	1585	74.79	34.09
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	Ningbo	150	121.55	29.87
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	Lerwick	\N	-1.14	60.16
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington	298	-84.49	38.03
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	Kinshasa	240	15.32	-4.32
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	Dumai	\N	101.45	1.67
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bangalore	920	77.57	12.97
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	Torre del Greco	\N	14.37	40.78
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hannover	55	9.72	52.37
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	Sydney	3	151.21	-33.86
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	Qingdao	\N	120.38	36.07
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	Mogadishu	\N	45.35	2.03
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	Ajaccio	0	8.74	41.93
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	Kerch	10	36.47	45.36
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	Rancagua	572	-70.75	-34.17
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	Kananga	608	22.4	-5.89
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	Armavir	190	41.12	45
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	Norwich	\N	1.3	52.63
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Aioun	\N	-9.62	16.67
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	Port Blair	16	92.74	11.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	Temirtau	\N	72.95	50.05
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Biel	434	7.25	47.13
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	Bournemouth	\N	-1.88	50.72
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	Cape Town	0	18.42	-33.93
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	Nanchang	37	115.88	28.68
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	Caracas	900	-66.92	10.5
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	Colatina	71	-40.63	-19.54
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	Lowell	31	-71.31	42.64
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Sochi	30	39.72	43.59
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	Ulanhot	\N	122.8	46.13
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	Apucarana	840	-51.46	-23.55
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Kalookan	\N	120.97	14.65
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	Obninsk	175	36.61	55.09
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	Mogilev	192	30.33	50.9
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	Puerto Cabello	0	-68.02	10.47
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	Hilversum	15	5.17	52.23
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	Santa Barbara	\N	-88.23	14.92
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	Irvine	17	-117.82	33.67
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	Chitre	24	-80.43	7.97
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	Košice	206	21.25	48.72
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	Cobán	1320	-90.37	15.48
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	Trnava	146	17.59	48.38
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	Nouadhibou	0	-17.03	20.93
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	Chiba	2	140.1	35.6
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okara	105	73.45	30.81
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	al Hudaydah	17	42.95	14.8
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	Obuasi	101	-1.68	6.2
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	Jiaxing	\N	120.75	30.77
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardan	\N	72.05	34.2
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	Toledo	529	-4.02	39.86
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	Madingou	190	13.55	-4.15
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	Paterson	34	-74.16	40.91
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	Appenzell	780	9.42	47.33
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma de Mallorca	13	2.65	39.57
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	Ribeirão das Neves	\N	-44.09	-19.77
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	Lakewood	1682	-105.08	39.7
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	Liancheng	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	Monza	162	9.27	45.58
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	Jiutepec	1355	-99.17	18.88
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	Tamale	151	-0.85	9.41
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	Tarragona	68	1.25	41.12
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	Jabalpur	412	79.93	23.17
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	Castries	2	-60.98	14.02
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	Dessie	2470	39.63	11.13
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	Włocławek	\N	19.07	52.66
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	Butuan	1	125.53	8.95
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	Cirebon	\N	108.57	-6.72
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	Vologda	120	39.9	59.22
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	Heidelberg	114	8.72	49.42
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	Puerto La Cruz	10	-64.63	10.2
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	Tlaxcala	2239	-98.23	19.3
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	Port Moresby	35	147.22	-9.51
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	Saltillo	1600	-101	25.43
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	Valencia	15	-0.38	39.47
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	Danyang	\N	119.59	32
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	Halle	88	11.97	51.48
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	Bukoba	\N	31.82	-1.33
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	Little Rock	102	-92.33	34.74
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	Maseru	1600	27.48	-29.31
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	Paranaguá	5	-48.51	-25.52
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	Toluca	2660	-99.66	19.29
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	Aracaju	4	-37.05	-10.92
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	Fontana	377	-117.47	34.1
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basseterre	15	-62.73	17.3
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	Bertoua	717	13.68	4.58
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	Tanga	25	39.1	-5.07
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirana	110	19.82	41.33
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	Kaliningrad	\N	20.45	54.7
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bolzano	262	11.35	46.5
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	Tatabánya	167	18.39	47.59
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	Enugu	202	7.51	6.45
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	Guarda	1056	-7.33	40.53
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kustanay	125	63.62	53.2
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	Girón	706	-73.17	7.07
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	Villeurbanne	165	4.88	45.77
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Diwaniyah	25	45	32
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	Cardiff	\N	-3.18	51.48
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	Al Fashir	\N	25.35	13.63
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	Mudanjiang	233	129.63	44.55
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	Bogra	21	89.37	24.85
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	Mitu	183	-70.17	1.2
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	Aurora	1668	-104.83	39.73
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	Kindu	504	25.95	-2.95
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	Kastamonu	800	33.78	41.38
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Nojabr'sk	115	75.45	63.2
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm	171	56.32	58
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	Lillehammer	440	10.47	61.12
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopjevsk	280	86.72	53.88
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	San Pedro Sula	83	-88.03	15.5
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	Chihuahua	1415	-106.09	28.64
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	Qarshi	374	65.8	38.87
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	Viña del Mar	2	-71.52	-33
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Majkop	220	40.08	44.6
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	Goyang	\N	126.8	37.65
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	Ankara	938	32.87	39.93
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	Navi Mumbai	\N	73.02	19.02
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	Iringa	\N	35.7	-7.77
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	Adamstown	\N	-130.05	-25.04
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	La Plata	26	-57.95	-34.92
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	Aktau	-8	51.15	43.65
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	Stamford	7	-73.54	41.05
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	San Marino	749	12.45	43.93
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	Molde	130	7.24	62.76
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	Manchester	64	-71.46	42.99
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétion-Ville	\N	-72.28	18.52
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	Buffalo City	135	27.87	-32.98
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Prishtine	652	21.17	42.67
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	Philadelphia	12	-75.17	39.95
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	Móstoles	620	-3.87	40.33
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	Cosenza	238	16.25	39.3
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	Wolverhampton	\N	-2.13	52.58
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	Las Tablas	42	-80.28	7.77
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	Palermo	14	13.37	38.12
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	Qazvin	\N	50	36.27
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	Legnica	113	16.16	51.21
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Ma`arrat an Nu`man	530	36.67	35.63
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	Cuernavaca	1510	-99.23	18.92
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikja	\N	-11.43	18.55
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	Biskra	87	5.73	34.85
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	Yumen	1507	97.57	39.83
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	Borås	143	12.94	57.72
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	Cartagena	2	-75.5	10.4
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	Peristeri	50	23.68	38.02
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	Shijiazhuang	83	114.48	38.07
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	Hamm	63	7.82	51.68
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	Saint-Denis	\N	55.5	-20.9
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	Bielsko-Biała	300	19.04	49.82
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	Ngaoundéré	1212	13.58	7.32
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	Estelí	843.97	-86.35	13.08
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	Dalian	29	121.64	38.92
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	Kozani	710	21.78	40.3
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	Huadian	265	126.73	42.95
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	Neuquén	260	-68.06	-38.95
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	Duzce	\N	31.16	40.84
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	Fuzhou	\N	119.31	26.08
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	Abha	2400	42.51	18.22
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	El Alto	4150	-68.17	-16.52
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	Huambo	1721	15.73	-12.77
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	Concord	88	-71.54	43.21
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	Pittsburgh	233	-79.98	40.44
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	Reading	61	-0.97	51.45
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	Victoria	\N	55.45	-4.62
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	Bitlis	1500	42.11	38.4
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	Hengshui	\N	115.7	37.73
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	Tunja	2820	-73.37	5.53
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	Akureyri	\N	-18.1	65.68
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	Larissa	67	22.42	39.64
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	Kingston	\N	168	-29
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	Saraburi	\N	100.91	14.53
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	Sfax	\N	10.77	34.73
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Hagåtña	\N	144.75	13.48
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	Kohima	1444	94.11	25.67
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	Chengdu	500	104.06	30.66
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	Huainan	\N	116.98	32.62
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	Grand Rapids	195	-85.66	42.96
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	Virginia Beach	3	-75.98	36.85
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	El Porvenir	\N	-78.97	9.55
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	Pelotas	7	-52.34	-31.77
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	Markham	200	-79.25	43.88
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	Hue	\N	107.58	16.47
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	Zagreb	158	15.98	45.82
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	Nuuk	5	-51.74	64.18
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	Victoria	23	-123.37	48.43
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	Kaiserslautern	251	7.77	49.44
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching Utara	27	110.35	1.56
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namur	\N	4.87	50.47
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	Ouesso	340	16.05	1.61
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	Rybnik	210	18.55	50.08
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	Nukualofa	3	-175.2	-21.13
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	Gander	128	-54.61	48.96
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	Noril'sk	90	88.22	69.33
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	Mardin	1083	40.74	37.32
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	Orumiyeh	1332	45.07	37.56
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	Hildesheim	81	9.95	52.15
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	Barretos	530	-48.57	-20.56
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	Bottrop	55	6.92	51.52
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	Sacramento	9	-121.47	38.56
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	Viedma	12	-62.97	-40.83
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	As Suways	5	32.55	29.97
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	Longyan	\N	117.02	25.08
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	Constanţa	25	28.64	44.17
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	Rizhao	\N	119.43	35.42
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	Szombathely	209	16.62	47.24
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Žukovskij	130	38.12	55.6
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	Vladivostok	40	131.9	43.13
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhhorod	169	22.3	48.62
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	Eastbourne	\N	0.28	50.77
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	Akron	306	-81.52	41.07
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Emfuleni	1468	27.84	-26.7
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	Catanduva	503	-48.97	-21.14
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	Salt Lake City	1288	-111.88	40.75
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	Muntinlupa	16	121.05	14.38
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	Usak	890	29.4	38.68
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	Jixi	230	130.97	45.3
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	Ghaziabad	214	77.42	28.67
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	Ternate	\N	127.4	0.68
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	Lhasa	4200	91.12	29.65
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	Owerri	\N	7.04	5.49
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	Mariupol´	22	37.55	47.1
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	Divinópolis	712	-44.88	-20.14
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemi	\N	29.2	-5.93
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	Fullerton	50	-117.93	33.88
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	Santa Clarita	368	-118.51	34.42
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodø	\N	14.4	67.28
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	Visby	\N	18.3	57.63
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin al Kum	9	31.01	30.56
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	Culiacán	54	-107.39	24.8
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	Târgu Mureş	320	24.56	46.55
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergijev Posad	210	38.13	56.3
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	Mekele	2084	39.47	13.48
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	Garoua	249	13.4	9.3
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	Florencia	242	-75.61	1.61
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	Yaoundé	726	11.52	3.87
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz	\N	-96.38	19.43
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	Thiès	\N	-16.92	14.78
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	Katsina	\N	7.6	12.98
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	Kilis	663	37.12	36.72
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	Lyon	162	4.84	45.76
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	Cachoeiro de Itapemirim	22	-41.11	-20.85
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	Rufisque	\N	-17.27	14.72
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	Sanmenxia	376	111.2	34.77
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	Ouagadougou	305	-1.54	12.36
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	Trujillo	\N	-86	15.92
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Nápoli	17	14.25	40.83
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	Osasco	760	-46.8	-23.53
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	Vatican City	\N	12.45	41.9
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	Port-of-Spain	3	-61.52	10.67
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	Kherson	43	32.58	46.63
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	Kaolack	\N	-16.25	14.02
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	Mmabatho	\N	25.63	-25.85
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	Mataró	28	2.45	41.53
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	Lubumbashi	1208	27.47	-11.67
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	Karlovy Vary	447	12.87	50.23
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	Mainz	89	8.27	50
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	Menongue	1354	17.68	-14.66
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Lalitpur	1350	85.32	27.67
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	Caruaru	545	-35.98	-8.28
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	Tacna	552	-70.25	-18.06
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	Altdorf	458	8.63	46.87
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	El Paso	1140	-106.42	31.79
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	Livorno	3	10.32	43.55
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	Dar es Salaam	12	39.28	-6.8
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Jessentuki	610	42.85	44.03
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Az Zaqaziq	\N	31.5	30.57
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	Pagadian	100	123.43	7.83
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	Musoma	1189	33.8	-1.5
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardebil	1351	48.28	38.25
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	Salzburg	424	13.03	47.8
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasur	218	74.45	31.12
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	Paraná	77	-60.53	-31.73
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	Kaduna	250	7.44	10.52
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	Sapucaia do Sul	35	-51.14	-29.84
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	Monterrey	540	-100.3	25.67
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	Longueuil	\N	-73.52	45.53
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Tougourt	62	6.07	33.1
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	Chiang Mai	310	99	18.8
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu	790	-46.35	-23.49
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	Evansville	118	-87.55	37.98
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung-Hungnam	\N	127.53	39.92
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	Hailar	614	119.7	49.2
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	Xuancheng	\N	118.73	30.93
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	Rondonópolis	227	-54.64	-16.47
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen	95	8.44	49.48
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	Luleburgaz	30	27.36	41.41
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	Namangan	450	71.67	41
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	Oshawa	106	-78.85	43.9
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Msunduzi	596	30.38	-29.62
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	Hialeah	2	-80.29	25.86
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nižnekamsk	110	51.82	55.63
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	Bahir Dar	1800	37.38	11.6
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	Rostock	14	12.13	54.08
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	Rennes	20	-1.68	48.11
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	Saga	\N	130.3	33.27
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	Tonsberg	\N	10.42	59.3
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	Bayburt	1550	40.23	40.26
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	Meerut	224.659	77.7	28.99
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venézia	1	12.34	45.44
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	Khartoum	382	32.53	15.63
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	Cangzhou	13	116.87	38.32
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	Lahore	217	74.34	31.55
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	Kolomna	125	38.78	55.08
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	Reno	1374	-119.82	39.53
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	Oceanside	20	-117.33	33.21
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	Linz	266	14.28	48.3
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	Yogyakarta	113	110.36	-7.8
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	Xai-Xai	9	33.65	-25.05
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	Mobile	3	-88.04	30.69
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	Apopa	443	-89.18	13.8
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	Pikine	\N	-17.4	14.75
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	Ambon	3	128.17	-3.7
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	Ulhasnagar	19	73.15	19.22
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulyab	580	69.78	37.91
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	Salavat	156	55.93	53.37
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	Tacoma	74	-122.46	47.24
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	Araçatuba	390	-50.43	-21.21
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	Bauchi	616	9.84	10.32
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	Arauca	125	-70.76	7.09
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	Juliaca	3825	-70.13	-15.49
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	Ryazan	130	39.7	54.6
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	São Bernardo do Campo	762	-46.55	-23.7
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	Tete	140	33.6	-16.17
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	Campos dos Goytacazes	14	-41.32	-21.75
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	Ravenna	4	12.2	44.42
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	Bukavu	1498	28.87	-2.5
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	Vancouver	52	-122.6	45.63
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	Heredia	1150	-84.12	10
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	Annapolis	12	-76.5	38.97
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	Kigali	1567	30.06	-1.94
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	Halmstad	11	12.86	56.67
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	Kénitra	\N	-6.58	34.25
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	Basse-Terre	\N	-61.8	16.15
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	Bolgatanga	177	-0.85	10.78
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	Al Ain	292	55.74	24.21
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	Tampa	15	-82.48	27.97
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	Arar	536	41.02	30.98
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	Saint Helier	\N	-2.1	49.2
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	Umuahia	\N	7.48	5.53
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	Kingston	9	-76.8	17.98
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	Izmir	2	27.13	38.42
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	Santa Clara	125	-79.96	22.41
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubli	671	75.08	15.36
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	Cali	1018	-76.52	3.42
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuk Linggau	\N	102.86	-3.3
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	Erbil	420	44.01	36.19
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	Rouen	2	1.1	49.44
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	Amasya	40	35.83	40.65
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	Targoviste	292	25.46	44.92
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Beograd	117	20.47	44.82
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	Gaziantep	850	37.38	37.07
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	Koblenz	73	7.6	50.36
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	Lages	916	-50.33	-27.82
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	Tehran	1200	51.42	35.7
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	Osmaniye	\N	36.25	37.08
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Yakutsk	120	129.73	62.03
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	Osnabrück	63	8.05	52.28
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wah Cantonment	471	72.75	33.77
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	Huánuco	1880	-76.24	-9.93
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	Magadan	70	150.8	59.57
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	Fürth	294	11	49.47
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	Andorra la Vella	1023	1.5	42.5
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Čerkessk	530	42.05	44.22
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	Kavaratti	\N	72.62	10.57
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	Maringá	515	-51.92	-23.4
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tanger	80	-5.8	35.77
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	Dodoma	1120	35.74	-6.17
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	Basel	260	7.6	47.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	Ado-Ekiti	455	5.22	7.62
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	Osaka	\N	135.5	34.69
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	Quilmes	17	-58.27	-34.72
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	Sagaing	\N	95.98	21.88
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	Toronto	76	-79.4	43.7
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	Keflavik	\N	-22.57	64.02
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	As Samawah	9	45.28	31.32
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	Overland Park	331	-94.67	38.98
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Duma	428	36.4	33.57
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	Macaé	2	-41.79	-22.37
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	Moyobamba	\N	-76.97	-6.03
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	Charlotte	229	-80.84	35.23
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad Díez Gutiérrez	\N	-100.93	22.18
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	Leganés	666.22	-3.76	40.33
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokaro Steel City	210	86.15	23.67
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	Xintai	\N	117.78	35.91
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	St. Pölten	267	15.62	48.2
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	Rize	6	40.52	41.02
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	Charlottetown	0	-63.15	46.23
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	Zhucheng	66	119.42	36
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	Copiapó	391	-70.33	-27.37
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	Batna	1048	6.17	35.55
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	Boston	43	-71.06	42.36
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	Tarawa	\N	173	1.43
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	Aveiro	\N	-8.65	40.63
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	Balikesir	70	27.53	39.39
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	Kaifeng	75	114.3	34.8
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	Sibiu	415	24.15	45.8
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	Sikasso	410	-5.67	11.32
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	Tegal	5	109.13	-6.87
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	Norrköping	\N	16.2	58.6
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	Ciénaga	10	-74.25	11.01
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa-Enríquez	1440	-96.93	19.54
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	Rio Branco	143	-67.81	-9.97
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	Gelsenkirchen	48	7.1	51.52
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	Mendoza	746.5	-68.82	-32.88
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	Huntsville	193	-86.58	34.73
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	Kecskemét	105	19.69	46.91
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	Bouaké	312	-5.02	7.68
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	Cluj-Napoca	340	23.58	46.77
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	Alofi	21	-169.9	-19.05
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	Jhang	\N	72.32	31.27
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	Dimitrovgrad	60	49.58	54.18
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	Bayamón	16	-66.16	18.38
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	Shangqiu	50	115.65	34.42
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	Kandahar	1010	65.72	31.62
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	Albuquerque	1620	-106.61	35.11
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	Renqiu	\N	116.1	38.7
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	Bolton	\N	-2.43	53.58
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	Pervoural'sk	283	59.93	56.92
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nürnberg	309	11.08	49.45
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	Plovdiv	164	24.75	42.15
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	Tabora	1241	32.8	-5.02
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	Paderborn	110	8.77	51.72
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	Matsue	\N	133.05	35.47
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	Ebolowa	636	11.15	2.92
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	Haining	\N	120.68	30.53
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	Haikou	\N	110.34	20.04
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaozhou	\N	119.96	36.25
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	Butembo	1381	29.29	0.13
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	Campo Grande	592	-54.61	-20.46
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	Dammam	\N	50.2	26.28
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Tirgu Jiu	\N	23.27	45.03
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	Barbacena	1160	-43.77	-21.22
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	Brighton and Hove	\N	-0.15	50.83
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	Columbia	89	-80.9	34.03
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	Kitwe	\N	28.2	-12.82
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	Bern	542	7.45	46.95
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	Sunchon	\N	125.93	39.42
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	Colombo	1	79.84	6.93
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	Zaria	\N	7.7	11.07
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	Matanzas	20	-81.58	23.05
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	Tartus	20	35.88	34.88
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	Kobe	\N	135.2	34.69
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	Abadan	3	48.3	30.34
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	Syzran'	50	48.47	53.17
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	Chesapeake	9	-76.24	36.71
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	Ashiaman	39	-0.03	5.7
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	Allentown	103	-75.48	40.6
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Polokwane	1312	29.45	-23.9
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	Los Teques	\N	-67.03	10.33
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	Vejle	8	9.53	55.72
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	Tela	3	-87.47	15.78
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	Tabriz	1351.4	46.3	38.07
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	Melekeok	\N	134.6	7.48
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	Tonghua	374	125.93	41.73
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	Braganca	674	-6.76	41.81
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Jhongli	\N	121.22	24.96
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	Luanda	6	13.23	-8.84
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	Pardubice	237	15.78	50.04
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	Worcester	146	-71.8	42.27
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	Saint Johns	0	-61.85	17.12
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	Glasgow	\N	-4.26	55.86
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	Shiyan	\N	110.8	32.63
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	Codo	47	-43.89	-4.46
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	Mashhad	995	59.6	36.3
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	Kaohsiung	9	120.27	22.63
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	Hospitalet de Llobregat	8	2.1	41.36
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	Huzhou	\N	120.1	30.87
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussurijsk	20	131.97	43.8
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	Bhavnagar	24	72.15	21.76
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	Komotini	45	25.42	41.1
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	Weinan	\N	109.5	34.5
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	São Carlos	856	-47.89	-22.02
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	Sandakan	12	118.12	5.83
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	Wafangdian	121	121.97	39.63
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	Rotterdam	0	4.5	51.92
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	Bamako	350	-8	12.65
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	Toliara	\N	43.67	-23.35
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	München	519	11.57	48.13
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	Jambi	16	103.61	-1.59
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	San Jose del Guaviare	185	-72.63	2.57
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk-Kamčatskij	150	158.65	53.02
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	Myitkyina	\N	97.4	25.38
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	Ségou	294	-6.27	13.45
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	Yichun	\N	128.9	47.73
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	Bujumbura	774	29.37	-3.38
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	Montería	18	-75.88	8.75
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	Plymouth	\N	-62.22	16.71
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	Yoro	\N	-87.13	15.13
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	Nilópolis	14	-43.41	-22.81
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	Leicester	\N	-1.13	52.63
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	Timişoara	90	21.23	45.76
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moskva	156	37.62	55.75
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	Częstochowa	\N	19.12	50.8
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	Maastricht	49	5.68	50.85
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	Nanping	89	118.18	26.65
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	Córdoba	120	-4.77	37.88
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	Nha Trang	\N	109.18	12.25
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	Quanzhou	\N	118.58	24.92
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	Chuxian	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	Cienfuegos	25	-80.44	22.15
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomosho	329	4.25	8.13
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	Maebashi	\N	139.06	36.39
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	Nueva Gerona	17	-82.8	21.88
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	Osijek	94	18.68	45.56
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	Mamuju	390	118.86	-2.67
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudniy	\N	63.13	52.97
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	Schwyz	516	8.65	47.02
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	Abidjan	18	-4.03	5.32
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	Balakovo	24	47.78	52.03
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	Varanasi	80.71	82.96	25.28
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	Istanbul	40	28.96	41.01
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	Murom	115	42.03	55.57
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	Grenoble	212	5.72	45.2
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	Johannesburg	1753	28.05	-26.2
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tiqwa	15	34.89	32.09
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	Sioux Falls	448	-96.73	43.54
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	Buea	870	9.23	4.17
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	Lindi	\N	39.71	-10
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	Koszalin	32	16.18	54.18
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	Córdoba	390	-64.18	-31.42
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novočeboksarsk	90	47.5	56.13
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	Bahía Blanca	20	-62.27	-38.72
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	Terni	130	12.65	42.57
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	Taian	167	117.08	36.2
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	A Coruña	0	-8.41	43.37
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	Fukushima	67	140.47	37.77
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	Mtwara	\N	40.18	-10.27
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	Ljubljana	295	14.51	46.06
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	Pokhara	930	83.97	28.26
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	La Asuncion	67	-63.86	11.03
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	Delemont	435	7.35	47.37
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	Jiamusi	83	130.32	46.8
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	Kawaguchi	\N	139.72	35.8
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	Puerto Lempira	\N	-83.77	15.27
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	Bila Tserkva	148	30.12	49.8
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	Remscheid	365	7.2	51.18
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Staryj Oskol	150	37.83	51.3
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	Nice	0	7.27	43.7
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	Ilam	1431	46.42	33.64
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	Jingdezhen	35	117.2	29.28
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	Astana	347	71.43	51.17
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	Marigot	\N	-63.1	18.1
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	Jackson	85	-90.18	32.3
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	Ranchi	651	85.33	23.36
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	Maragheh	1456	46.24	37.39
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	Arad	117	21.32	46.17
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	Mossoró	20	-37.34	-5.19
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	Sunrise Manor	555	-115.06	36.18
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	Baikonur	100	63.32	45.62
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	Klaipeda	21	21.13	55.71
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	Yuanjiang	\N	112.6	28.95
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Leuven	\N	4.7	50.88
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	Sumy	166	34.75	50.92
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	Xuchang	71	113.85	34.03
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	Anshun	1380	105.93	26.25
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Luzern	436	8.3	47.05
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	Tambov	130	41.43	52.72
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	Sagamihara	\N	139.37	35.57
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	Suceava	300	26.26	47.65
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	Port Vila	\N	168.3	-17.75
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	Hakha	1868	93.61	22.65
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Dar`a	435	36.1	32.62
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	Shenyang	55	123.4	41.8
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	Chake Chake	\N	39.77	-5.25
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	Oyo	\N	3.93	7.85
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	Ijebu-Ode	70	3.92	6.82
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Cheboksary	150	47.23	56.15
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	Pontianak	0	109.33	0
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	Betim	817	-44.2	-19.97
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	Yamagata	\N	140.33	38.25
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	Tangshan	\N	118.18	39.62
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	Mymensingh	19	90.4	24.75
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	Sabzevar	977.6	57.68	36.21
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	Cork	9	-8.47	51.9
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	Saint Peter Port	\N	-2.6	49.6
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	Abu Dhabi	\N	54.37	24.47
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	Agra	171	78.02	27.18
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	Fuxin	\N	121.65	42.02
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	Kansas City	265	-94.68	39.11
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	Lianyungang	\N	119.17	34.6
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora de Hidalgo	1580	-102.28	19.98
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	Matadi	146	13.47	-5.82
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Praha	399	14.42	50.08
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	Abuja	840	7.48	9.07
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	Cottbus	75	14.33	51.76
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	Lagos	41	3.4	6.45
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	Jodhpur	231	73.02	26.28
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Bandjarmasin	1	114.58	-3.33
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	Agartala	12.8	91.27	23.83
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	Liberia	144	-85.43	10.63
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	Alor Setar	7	100.37	6.12
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	Fukuyama	\N	133.37	34.48
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	Ostrava	335	18.29	49.84
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	Windhoek	\N	17.08	-22.57
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	Lokoja	\N	6.75	7.82
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	Iaşi	60	27.59	47.16
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	Sankt Gallen	675	9.37	47.42
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	Fribourg	610	7.15	46.8
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	New Taipei	\N	121.45	25.01
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	Riohacha	5	-72.91	11.54
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	Sunnyvale	38	-122.04	37.37
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	Tanchon	\N	128.91	40.46
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	Neftekamsk	100	54.47	56.14
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	El Djelfa	\N	3.25	34.67
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	Merida	217	-6.33	38.9
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	Wuppertal	160	7.18	51.27
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Al Madinah	\N	39.5	25
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	Cheltenham	\N	-2.07	51.88
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	Barisal	1	90.5	22.8
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	Cartago	917	-75.92	4.7
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	Ba'qubah	48	44.63	33.75
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	Tallahassee	62	-84.25	30.46
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	Trinidad	130	-64.9	-14.83
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	Puebla	2135	-98.18	19.03
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	Toyota	\N	137.15	35.08
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	Kikwit	452	18.82	-5.04
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	Jakarta	8	106.82	-6.2
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	Belmopan	76	-88.77	17.25
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	Ulan-Ude	530	107.6	51.83
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	Erlangen	279	11.02	49.58
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	Datong	1042	113.3	40.08
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	Mpanda	\N	31.07	-6.35
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	Amadora	\N	-9.23	38.73
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	Kolonia	\N	158.2	7
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	Chachapoyas	2335	-77.85	-6.22
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	Joinville	4	-48.84	-26.32
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	Jining	\N	116.57	35.4
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	Nikopol´	51	34.4	47.57
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	Wa	305	-2.5	10.07
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	Lucknow	128	80.9	26.8
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	Auckland	0	174.74	-36.84
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnoyarsk	259	93.07	56.02
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	Dubai	\N	55.33	24.95
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	Lulea	6	22.15	65.58
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	Sibiti	440	13.35	-3.69
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver	135	35.92	56.86
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	Djambala	622	14.75	-2.54
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	Yamaguchi	\N	131.47	34.18
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	Dublin	20	-6.26	53.35
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	Witten	104	7.33	51.43
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	Satu Mare	127	22.89	47.79
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	Bartin	25	32.34	41.63
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	Milwaukee	188	-87.96	43.05
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	Zigong	\N	104.77	29.34
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	Zaanstad	1	4.82	52.43
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	Liupanshui	\N	104.83	26.59
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patra	0	21.73	38.25
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	Palembang	8	104.76	-2.99
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	Puente Alto	673	-70.57	-33.62
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	Kasama	\N	31.18	-10.21
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Ciudad Santa Catarina	680	-100.45	25.68
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	Linfen	452	111.52	36.08
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	Kassel	167	9.5	51.32
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	Nancy	188	6.18	48.69
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	Goiânia	749	-49.25	-16.67
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	Jundiaí	761	-46.88	-23.19
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	Nakhon Sawan	33	100.14	15.71
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	Kerman	1755	57.08	30.28
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatão	10	-35.02	-8.11
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	Henderson	569	-114.98	36.03
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	İnegöl	\N	29.51	40.08
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	Sargodha	193	72.67	32.08
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	Pskov	45	28.33	57.82
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasuj	2004	51.59	30.67
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	Kangar	\N	100.2	6.43
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjungpinang	18	104.48	1.08
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	Savannah	15	-81.12	32.02
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Seeb	\N	58.18	23.68
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	Kryvyi Rih	84	33.25	47.92
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	Acapulco	30	-99.88	16.86
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	Conakry	\N	-13.7	9.52
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	Damanhur	18	30.47	31.04
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	Sétif	1096	5.4	36.18
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	Seattle	0	-122.33	47.61
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	Columbus	74	-84.94	32.49
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	Klagenfurt	446	14.3	46.62
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	Washington	\N	-77	38.5
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	Berezniki	130	56.78	59.42
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	Shymkent	506	69.6	42.32
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	Oviedo	232	-5.84	43.36
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	Xiaogan	\N	113.9	30.92
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	Castelo Branco	\N	-7.5	39.82
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	Nakhon Si Thammarat	9	99.96	8.44
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	Pingdu	\N	119.96	36.78
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Sialkot	256	74.54	32.5
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	Isparta	1049	30.56	37.76
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Mogi Guaçu	591	-46.94	-22.37
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	Lincoln	359	-96.68	40.81
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	Ternopil´	320	25.6	49.57
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	Bergisch Gladbach	100	7.12	51.1
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	Irapuato	1724	-101.35	20.67
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	Bérgamo	249	9.67	45.7
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	Luton	\N	-0.43	51.9
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	Tilburg	14	5.08	51.55
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	El Monte	91	-118.03	34.07
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	New Orleans	-2	-90.07	29.95
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	Ipatinga	220	-42.53	-19.5
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	Zonguldak	60	31.8	41.46
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	Bengbu	\N	117.38	32.92
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	João Pessoa	40	-34.83	-7.08
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	Konya	1200	32.48	37.87
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	Omsk	90	73.37	54.98
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	Taizhou	\N	119.92	32.45
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	Irbid	620	35.85	32.55
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	Sunyani	303	-2.33	7.33
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec	2250	-99.06	19.61
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolás de los Garzas	512	-100.28	25.75
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	Alcobendas	700	-3.63	40.53
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Xuzhou	\N	119.8	32.9
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	Naperville	214	-88.17	41.75
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	Nishinomiya	\N	135.34	34.74
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	Chemnitz	298	12.92	50.83
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	Angers	12	-0.55	47.47
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	Amritsar	\N	74.86	31.64
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	Plymouth	0	-4.14	50.37
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	Tepic	920	-104.89	21.51
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	Dakar	10	-17.45	14.69
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	Poitiers	65	0.34	46.58
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa	\N	106.82	10.95
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	Bratislava	134	17.11	48.14
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	Kolwezi	1448	25.47	-10.72
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	Loudi	\N	112	27.73
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	Abakan	245	91.47	53.72
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	Pasadena	9	-95.17	29.68
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	Jyväskylä	\N	25.74	62.24
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	Bida	\N	6.02	9.08
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milano	120	9.18	45.47
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	Ciudad del Este	34	-54.62	-25.52
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	Jinhua	\N	119.65	29.08
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Toshkent	455	69.22	41.27
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	Liaocheng	\N	115.98	36.45
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	Lima	0	-77.03	-12.04
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	Dnipropetrovs´k	155	34.98	48.45
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	Ilorin	\N	4.55	8.5
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	David	-6	-82.43	8.43
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	Kisangani	447	25.2	0.52
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	Aswan	194	32.9	24.09
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	Yingkou	\N	122.23	40.67
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	Kaffrine	\N	-15.7	14.12
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	Da Nang	\N	108.23	16.07
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	Shaoxing	\N	120.58	30
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	Keelung	\N	121.73	25.13
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Mangaung	1395	26.22	-29.12
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	Aguascalientes	1888	-102.3	21.85
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	Talcahuano	1	-73.12	-36.72
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Sholapur	457	75.92	17.68
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balašicha	150	37.97	55.82
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	Ann Arbor	256	-83.75	42.28
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nal'čik	480	43.62	43.48
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	Brno	237	16.62	49.2
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	Springfield	170	-89.62	39.7
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	Várzea Grande	198	-56.13	-15.65
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	Feira de Santana	286	-38.95	-12.25
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	Craiova	100	23.82	44.33
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	Kirov	150	49.65	58.6
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	Hurghada	14	33.81	27.26
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	San Salvador de Jujuy	1259	-65.3	-24.18
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilini	8	26.55	39.1
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	Jönköping	104	14.16	57.78
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	Surakarta	\N	110.82	-7.57
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Bani Suwayf	16	31.08	29.07
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	Bari	5	16.87	41.13
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	Tórshavn	\N	-7	62
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	Budapest	102	19.05	47.49
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	Wollongong	5	150.88	-34.43
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	Juiz de Fora	678	-43.35	-21.76
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	Aksu	\N	80.25	41.17
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Buxoro	225	64.43	39.77
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	Elazig	1067	39.22	38.67
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	Ruse	45	25.95	43.82
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	Shahr-e-Kord	2070	50.86	32.33
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	Port-au-Prince	98	-72.33	18.53
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	Stockport	\N	-2.15	53.41
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	Nantes	2	-1.55	47.22
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco	\N	7.42	43.73
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	Alexandria	12	-77.05	38.8
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkiv	152	36.23	50
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	Petaling Jaya	\N	101.65	3.08
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	Kota	271	75.83	25.18
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	Tunis	4	10.18	36.8
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	Korhogo	380	-5.62	9.42
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	Sterlitamak	150	55.95	53.63
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	Criciúma	46	-49.37	-28.68
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	Bakersfield	123	-119.02	35.37
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	Taubaté	\N	-45.56	-23.02
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Makassar	0	119.42	-5.13
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	Yongan	\N	117.37	25.98
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	Paramaribo	3	-55.17	5.87
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Al Kut	23	45.82	32.51
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mirpur Khas	\N	69.02	25.53
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv-Yafo	5	34.78	32.07
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	Huaihua	\N	109.97	27.55
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	Wiesbaden	117	8.24	50.08
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	Canberra	577	149.12	-35.31
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	Cúcuta	320	-72.5	7.89
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	Bradford	\N	-1.75	53.79
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	Monclova	620	-101.42	26.91
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	Amersfoort	3	5.38	52.15
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	Stockton	4	-121.3	37.98
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	Bengkulu	2	102.26	-3.8
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	Lilongwe	1050	33.78	-13.98
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	Lugano	273	8.95	46
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	Binjai	28	98.48	3.6
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	Himeji	\N	134.68	34.82
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	Reynosa	33	-98.28	26.09
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	Kislovodsk	810	42.72	43.92
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	Parañaque	12	121.02	14.47
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	Coral Springs	4	-80.26	26.27
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	Chongjin	\N	129.77	41.78
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	Lamia	50	22.43	38.9
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	Aden	6	45.03	12.8
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Ciudad de México	2250	-99.13	19.43
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	Matamoros	9	-97.5	25.88
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	Hamar	134	11.06	60.8
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	Solwezi	1235	26.4	-12.18
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Neyshabur	1250	58.8	36.21
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	Nairobi	1661	36.82	-1.28
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	Sabará	705	-43.81	-19.89
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	Novo Hamburgo	57	-51.13	-29.68
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	Salekhard	15	66.6	66.53
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	Koror	10	134.48	7.36
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	Volos	0	22.93	39.37
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	St. Louis	142	-90.2	38.63
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	Dandong	8	124.38	40.12
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	Sedhiou	\N	-15.55	12.7
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	Campina Grande	560	-35.88	-7.23
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	Akita	\N	140.1	39.72
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	Tuguegarao	\N	121.72	17.62
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	Yuci	\N	112.85	37.62
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	Kalyan	8.84	73.13	19.24
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	Qaemshahr	\N	52.86	36.46
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni - Germiston	\N	28.33	-26.17
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	Warren	191	-83.02	42.49
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Funchal	\N	-16.92	32.65
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	General San Martín	472	-64.78	-23.8
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	Petrozavodsk	60	34.33	61.78
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Inirida	95	-67.92	3.87
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	Seguela	\N	\N	\N
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	Kaechon	\N	125.91	39.7
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	Porto-Novo	38	2.61	6.5
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	Fuyu	183	126.05	44.98
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	Cam Pha	70	107.32	21.02
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	Brampton	218	-79.77	43.68
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	Shah Alam	\N	101.53	3.08
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	Hegang	280	130.3	47.35
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	Sacaba	2719	-66.04	-17.4
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	Itapevi	741	-46.93	-23.55
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	Barrancabermeja	75	-73.85	7.07
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	Tampico	10	-97.87	22.26
\.


--
-- TOC entry 5834 (class 0 OID 93624)
-- Dependencies: 787
-- Data for Name: Continent; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Continent" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/continent/Africa/	Africa
http://www.semwebtech.org/mondial/10/continent/Asia/	Asia
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Australia/Oceania
http://www.semwebtech.org/mondial/10/continent/America/	America
http://www.semwebtech.org/mondial/10/continent/Europe/	Europe
\.


--
-- TOC entry 5835 (class 0 OID 93627)
-- Dependencies: 788
-- Data for Name: Country; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Country" ("URI", "gdpAgri", inflation, "populationGrowth", government, "gdpServ", "gdpTotal", unemployment, "independenceDate", "dependentOf", "infantMortality", "gdpInd", "carCode", "wasDependentOf", name) FROM stdin;
http://www.semwebtech.org/mondial/10/country/SY/	2	4.3	0.87	republic	79.4	1271	2	1976-06-29	\N	10.77	18.7	SY	http://www.semwebtech.org/mondial/10/country/GB/	Seychelles
http://www.semwebtech.org/mondial/10/country/CR/	6.2	5.6	1.24	democratic republic	72.5	48510	7.9	1821-09-15	\N	8.7	21.3	CR	http://www.semwebtech.org/mondial/10/country/E/	Costa Rica
http://www.semwebtech.org/mondial/10/country/GUAD/	6	3.7	1.2	overseas department of France	85	3700	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	8.3	9	GUAD	\N	Guadeloupe
http://www.semwebtech.org/mondial/10/country/RO/	6.4	3.2	-0.29	republic	59.4	188900	7.3	1877-05-09	\N	10.16	34.2	RO	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Romania
http://www.semwebtech.org/mondial/10/country/BHT/	13.8	11	1.13	constitutional monarchy	45	2133	2.1	1949-08-08	\N	37.89	41.2	BHT	http://www.semwebtech.org/mondial/10/country/GB/	Bhutan
http://www.semwebtech.org/mondial/10/country/GQ/	4.6	6	2.54	republic	8.1	17080	22.3	1968-10-12	\N	71.12	87.3	GQ	http://www.semwebtech.org/mondial/10/country/E/	Equatorial Guinea
http://www.semwebtech.org/mondial/10/country/RB/	1.9	6.1	1.26	parliamentary republic	62.4	15530	17.8	1966-09-30	\N	9.38	35.7	RB	http://www.semwebtech.org/mondial/10/country/GB/	Botswana
http://www.semwebtech.org/mondial/10/country/SPMI/	2	4.5	-1.02	parliamentary representative democracy	83	215.3	9.9	\N	http://www.semwebtech.org/mondial/10/country/F/	6.95	15	SPMI	\N	Saint Pierre and Miquelon
http://www.semwebtech.org/mondial/10/country/NIC/	17.1	5.7	1.02	republic	57.5	11260	7.2	1821-09-15	\N	20.36	25.5	NIC	http://www.semwebtech.org/mondial/10/country/E/	Nicaragua
http://www.semwebtech.org/mondial/10/country/SK/	3.1	1.7	0.03	parliamentary democracy	67	96960	14.4	1993-01-01	\N	5.35	30.8	SK	http://www.semwebtech.org/mondial/10/territory/Czechoslovakia/	Slovakia
http://www.semwebtech.org/mondial/10/country/G/	3.6	1.2	1.94	republic; multiparty presidential regime	32.5	19970	21	1960-08-17	\N	47.03	63.9	G	http://www.semwebtech.org/mondial/10/country/F/	Gabon
http://www.semwebtech.org/mondial/10/country/EAU/	23.1	6.2	3.24	republic	50	22600	\N	1962-10-09	\N	60.82	26.9	EAU	http://www.semwebtech.org/mondial/10/country/GB/	Uganda
http://www.semwebtech.org/mondial/10/country/MH/	14.3	12.9	1.72	constitutional government in free association with the US	71.8	193	36	1986-10-21	\N	21.39	13.9	MH	http://www.semwebtech.org/mondial/10/organization/UN/	Marshall Islands
http://www.semwebtech.org/mondial/10/country/AZ/	6.2	2.4	0.99	republic	30.8	76010	6	1991-08-30	\N	26.67	63	AZ	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Azerbaijan
http://www.semwebtech.org/mondial/10/country/RP/	11.2	2.8	1.81	republic	57.2	272200	7.4	1946-07-04	\N	17.64	31.6	RP	http://www.semwebtech.org/mondial/10/country/USA/	Philippines
http://www.semwebtech.org/mondial/10/country/UAE/	0.6	1.3	2.71	federation with specified powers delegated to the UAE federal government and other powers reserved to member emirates	38.2	390000	2.4	1971-12-02	\N	10.92	61.1	UAE	http://www.semwebtech.org/mondial/10/country/GB/	United Arab Emirates
http://www.semwebtech.org/mondial/10/country/NAU/	6.1	-3.6	0.56	republic	60.8	100	90	1968-01-31	\N	8.21	33	NAU	http://www.semwebtech.org/mondial/10/organization/UN/	Nauru
http://www.semwebtech.org/mondial/10/country/RC/	2	1.1	0.25	multiparty democracy	68.6	484700	4.1	1949-10-01	\N	4.49	29.4	RC	\N	Taiwan
http://www.semwebtech.org/mondial/10/country/GR/	3.5	-0.8	0.01	parliamentary republic	80.5	243300	27.9	1829-01-01	\N	4.78	16	GR	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Greece
http://www.semwebtech.org/mondial/10/country/CUR/	0.7	3.2	\N	parliamentary	83.8	5600	13	\N	http://www.semwebtech.org/mondial/10/country/NL/	\N	15.5	CUR	\N	Curacao
http://www.semwebtech.org/mondial/10/country/V/	\N	\N	\N	monarchical sacerdotal state	\N	\N	\N	1929-02-11	\N	\N	\N	V	http://www.semwebtech.org/mondial/10/country/I/	Holy See
http://www.semwebtech.org/mondial/10/country/CAM/	20.6	2.6	2.6	republic; multiparty presidential regime	52.1	27880	30	1960-01-01	\N	55.1	27.3	CAM	http://www.semwebtech.org/mondial/10/organization/UN/	Cameroon
http://www.semwebtech.org/mondial/10/country/H/	3.4	1.9	-0.21	parliamentary democracy	68.7	130600	10.5	1918-11-18	\N	5.09	28	H	http://www.semwebtech.org/mondial/10/territory/Austria-Hungary/	Hungary
http://www.semwebtech.org/mondial/10/country/BY/	9.2	19	-0.19	republic in name, although in fact a dictatorship	44.7	69240	1	1991-08-25	\N	3.64	46.2	BY	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Belarus
http://www.semwebtech.org/mondial/10/country/AMSA/	\N	\N	-0.35	unincorporated and unorganized territory of the US	\N	462.2	29.8	\N	http://www.semwebtech.org/mondial/10/country/USA/	8.92	\N	AMSA	\N	American Samoa
http://www.semwebtech.org/mondial/10/country/CDN/	1.7	1	0.76	a parliamentary democracy, a federation, and a constitutional monarchy	69.9	1825000	7.1	1867-07-01	\N	4.71	28.4	CDN	http://www.semwebtech.org/mondial/10/country/GB/	Canada
http://www.semwebtech.org/mondial/10/country/PY/	20.4	2.3	1.19	constitutional republic	61.9	30560	6.6	1811-05-14	\N	20.75	17.7	PY	http://www.semwebtech.org/mondial/10/country/E/	Paraguay
http://www.semwebtech.org/mondial/10/country/VN/	19.3	6.8	1	Communist state	42.2	170000	1.3	1945-09-02	\N	18.99	38.5	VN	http://www.semwebtech.org/mondial/10/country/F/	Vietnam
http://www.semwebtech.org/mondial/10/country/WAN/	30.9	8.7	2.47	federal republic	26	502000	23.9	1960-10-01	\N	74.09	43	WAN	http://www.semwebtech.org/mondial/10/country/GB/	Nigeria
http://www.semwebtech.org/mondial/10/country/WL/	3.1	5.3	0.35	parliamentary democracy and a Commonwealth realm	79.5	1377	20	1979-02-22	\N	11.75	17.4	WL	http://www.semwebtech.org/mondial/10/country/GB/	Saint Lucia
http://www.semwebtech.org/mondial/10/country/PL/	4	1	-0.11	republic	62.7	513900	10.3	1918-11-11	\N	6.19	33.3	PL	\N	Poland
http://www.semwebtech.org/mondial/10/country/KGZ/	20.8	6.8	1.04	republic	44.8	7234	8.6	1991-08-31	\N	28.71	34.4	KGZ	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Kyrgyzstan
http://www.semwebtech.org/mondial/10/country/FALK/	95	1.2	0.01	British Overseas Territories	\N	164.5	4.1	\N	http://www.semwebtech.org/mondial/10/country/GB/	\N	\N	FALK	\N	Falkland Islands
http://www.semwebtech.org/mondial/10/country/KIR/	24.3	0.2	1.18	republic	67.8	173	2	1979-07-12	\N	35.37	7.9	KIR	http://www.semwebtech.org/mondial/10/country/GB/	Kiribati
http://www.semwebtech.org/mondial/10/country/GBZ/	0	2.8	0.25	dependent territory of the UK	100	1106	3	\N	http://www.semwebtech.org/mondial/10/country/GB/	6.29	0	GBZ	\N	Gibraltar
http://www.semwebtech.org/mondial/10/country/PK/	25.3	7.7	1.49	federal republic	53.1	236500	6.6	1947-08-14	\N	57.48	21.6	PK	http://www.semwebtech.org/mondial/10/country/GB/	Pakistan
http://www.semwebtech.org/mondial/10/country/ZRE/	44.3	7.1	2.5	republic	34	18560	\N	1960-06-30	\N	73.15	21.7	ZRE	http://www.semwebtech.org/mondial/10/country/B/	Zaire
http://www.semwebtech.org/mondial/10/country/TUV/	16.6	3.8	0.8	parliamentary democracy and a Commonwealth realm	56.2	38	\N	1978-10-01	\N	31.69	27.2	TUV	http://www.semwebtech.org/mondial/10/country/GB/	Tuvalu
http://www.semwebtech.org/mondial/10/country/COM/	51	2.5	1.87	republic	39	658	20	1975-07-06	\N	65.31	10	COM	http://www.semwebtech.org/mondial/10/country/F/	Comoros
http://www.semwebtech.org/mondial/10/country/KWT/	0.3	2.8	1.7	constitutional emirate	49.1	179500	3.4	1961-06-19	\N	7.51	50.6	KWT	http://www.semwebtech.org/mondial/10/country/GB/	Kuwait
http://www.semwebtech.org/mondial/10/country/TCH/	46.3	4.5	1.92	republic	43.8	13590	\N	1960-08-11	\N	90.3	9.9	TCH	http://www.semwebtech.org/mondial/10/country/F/	Chad
http://www.semwebtech.org/mondial/10/country/PAL/	3.2	2.7	0.37	constitutional government in free association with the US	76.8	221	4.2	1994-10-01	\N	11.46	20	PAL	http://www.semwebtech.org/mondial/10/organization/UN/	Palau
http://www.semwebtech.org/mondial/10/country/CV/	9.3	1.9	1.39	republic	71.9	1955	21	1975-07-05	\N	24.28	18.8	CV	http://www.semwebtech.org/mondial/10/country/P/	Cape Verde
http://www.semwebtech.org/mondial/10/country/NCA/	2.1	1.7	1.42	parliamentary representative democracy	67.9	9280	17.1	\N	http://www.semwebtech.org/mondial/10/country/F/	5.46	30	NCA	\N	New Caledonia
http://www.semwebtech.org/mondial/10/country/SGP/	0	2.4	1.92	parliamentary republic	70.6	295700	1.9	1965-08-09	\N	2.53	29.4	SGP	http://www.semwebtech.org/mondial/10/country/MAL/	Singapore
http://www.semwebtech.org/mondial/10/country/GUY/	20.7	3.9	-0.11	republic	40.8	3020	11	1966-05-26	\N	33.56	38.5	GUY	http://www.semwebtech.org/mondial/10/country/GB/	Guyana
http://www.semwebtech.org/mondial/10/country/HCA/	14	5.2	1.74	democratic constitutional republic	57.8	18880	4.5	1821-09-15	\N	18.72	28.2	HCA	http://www.semwebtech.org/mondial/10/country/E/	Honduras
http://www.semwebtech.org/mondial/10/country/YE/	7.7	11.8	2.72	republic	61.4	43890	35	1990-05-22	\N	50.41	30.9	YE	http://www.semwebtech.org/mondial/10/territory/MergerofNorth-SouthYemen/	Yemen
http://www.semwebtech.org/mondial/10/country/IL/	2.4	1.7	1.46	parliamentary democracy	66.4	272700	5.8	1948-05-14	\N	3.98	31.2	IL	http://www.semwebtech.org/mondial/10/organization/UN/	Israel
http://www.semwebtech.org/mondial/10/country/IRQ/	3.3	2	2.23	parliamentary democracy	32.1	221800	16	1932-10-03	\N	37.53	64.6	IRQ	http://www.semwebtech.org/mondial/10/organization/UN/	Iraq
http://www.semwebtech.org/mondial/10/country/CH/	0.7	-0.4	0.78	formally a confederation but similar in structure to a federal republic	72.5	646200	3.2	1291-01-01	\N	3.73	26.8	CH	\N	Switzerland
http://www.semwebtech.org/mondial/10/country/J/	1.1	0.2	-0.13	a parliamentary government with a constitutional monarchy	73.2	5007000	4.1	\N	\N	2.13	25.6	J	\N	Japan
http://www.semwebtech.org/mondial/10/country/FSM/	14	3.4	-0.42	constitutional government in free association with the US	74	339	22	1986-11-03	\N	21.93	12	FSM	http://www.semwebtech.org/mondial/10/organization/UN/	Micronesia
http://www.semwebtech.org/mondial/10/country/MK/	10.2	2.8	0.21	parliamentary democracy	62.3	10650	28.6	1991-09-17	\N	7.9	27.5	MK	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Macedonia
http://www.semwebtech.org/mondial/10/country/BRN/	0.3	3.1	2.49	constitutional monarchy	53	28360	15	1971-08-15	\N	9.68	46.7	BRN	http://www.semwebtech.org/mondial/10/country/GB/	Bahrain
http://www.semwebtech.org/mondial/10/country/SMAR/	1	\N	\N	overseas collectivity of France	84	561.5	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	\N	15	SMAR	\N	Saint Martin
http://www.semwebtech.org/mondial/10/country/CI/	26.3	2.9	1.96	republic; multiparty presidential regime established 1960	52.4	28280	\N	1960-08-07	\N	60.16	21.3	CI	http://www.semwebtech.org/mondial/10/country/F/	Cote dIvoire
http://www.semwebtech.org/mondial/10/country/FJI/	11.7	3	0.7	republic	70.2	4218	7.6	1970-10-10	\N	10.2	18.1	FJI	http://www.semwebtech.org/mondial/10/country/GB/	Fiji
http://www.semwebtech.org/mondial/10/country/BOL/	9.2	6.5	1.6	republic; Social Unitarian State	52.3	30790	7.4	1825-08-06	\N	38.61	38.5	BOL	http://www.semwebtech.org/mondial/10/country/E/	Bolivia
http://www.semwebtech.org/mondial/10/country/RT/	27.6	2.2	2.71	republic under transition to multiparty democratic rule	38.7	4299	\N	1960-04-27	\N	46.73	33.7	RT	http://www.semwebtech.org/mondial/10/country/F/	Togo
http://www.semwebtech.org/mondial/10/country/LAO/	30.5	6.5	1.59	Communist state	37.5	10100	1.9	1949-07-19	\N	54.53	32	LAO	http://www.semwebtech.org/mondial/10/country/F/	Laos
http://www.semwebtech.org/mondial/10/country/I/	2	1.2	0.3	republic	73.5	2068000	12.4	1861-03-17	\N	3.31	24.4	I	\N	Italy
http://www.semwebtech.org/mondial/10/country/HR/	5	2.2	-0.12	parliamentary democracy	69.2	59140	21.6	1991-06-25	\N	5.87	25.8	HR	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Croatia
http://www.semwebtech.org/mondial/10/country/LB/	76.9	5.2	2.52	republic	17.7	1977	85	1847-07-26	\N	69.19	5.4	LB	\N	Liberia
http://www.semwebtech.org/mondial/10/country/BVIR/	1.1	1.6	2.36	British Overseas Territories	87.2	1095	8.7	\N	http://www.semwebtech.org/mondial/10/country/GB/	13.45	11.7	BVIR	\N	British Virgin Islands
http://www.semwebtech.org/mondial/10/country/ARU/	0.4	-2	1.36	parliamentary democracy	66.3	2516	6.9	\N	http://www.semwebtech.org/mondial/10/country/NL/	11.74	33.3	ARU	\N	Aruba
http://www.semwebtech.org/mondial/10/country/GH/	21.5	11	2.19	constitutional democracy	49.8	45550	11	1957-03-06	\N	38.52	28.7	GH	http://www.semwebtech.org/mondial/10/country/GB/	Ghana
http://www.semwebtech.org/mondial/10/country/FGU/	\N	2.5	3.86	overseas department of France	\N	800	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	14.6	\N	FGU	\N	French Guiana
http://www.semwebtech.org/mondial/10/country/PA/	3.7	4.1	1.35	constitutional democracy	78.4	40620	4.5	1903-11-03	\N	10.7	17.9	PA	http://www.semwebtech.org/mondial/10/country/CO/	Panama
http://www.semwebtech.org/mondial/10/country/Z/	19.8	7.1	2.88	republic	46.5	22240	15	1964-10-24	\N	66.62	33.8	Z	http://www.semwebtech.org/mondial/10/country/GB/	Zambia
http://www.semwebtech.org/mondial/10/country/RH/	24.1	6.3	1.08	republic	56	8287	40.6	1804-01-01	\N	49.43	19.9	RH	http://www.semwebtech.org/mondial/10/country/F/	Haiti
http://www.semwebtech.org/mondial/10/country/SRB/	7.9	2.2	-0.46	republic	60.3	43680	20.1	1992-04-11	\N	6.16	31.8	SRB	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Serbia
http://www.semwebtech.org/mondial/10/country/ETH/	47	8.4	2.89	federal republic	42.2	47340	17.5	\N	\N	55.77	10.8	ETH	\N	Ethiopia
http://www.semwebtech.org/mondial/10/country/BZ/	13	1.3	1.92	parliamentary democracy and a Commonwealth realm	64	1637	15.5	1981-09-21	\N	20.31	23	BZ	http://www.semwebtech.org/mondial/10/country/GB/	Belize
http://www.semwebtech.org/mondial/10/country/TM/	7.2	9	1.14	authoritarian presidential rule	68.4	40560	60	1991-10-27	\N	38.13	24.4	TM	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Turkmenistan
http://www.semwebtech.org/mondial/10/country/WAG/	19.7	6	2.23	republic	67.7	896	\N	1965-02-18	\N	65.74	12.6	WAG	http://www.semwebtech.org/mondial/10/country/GB/	Gambia
http://www.semwebtech.org/mondial/10/country/GROX/	4	2.8	0.02	parliamentary democracy within a constitutional monarchy	67	2160	9.4	\N	http://www.semwebtech.org/mondial/10/country/DK/	9.42	29	GROX	\N	Greenland
http://www.semwebtech.org/mondial/10/country/SD/	7.6	6.1	1.14	monarchy	44.6	3807	40	1968-09-06	\N	54.82	47.8	SD	http://www.semwebtech.org/mondial/10/country/GB/	Swaziland
http://www.semwebtech.org/mondial/10/country/RI/	14.3	7.7	0.95	republic	39.1	867500	6.6	1945-08-17	\N	25.16	46.6	RI	http://www.semwebtech.org/mondial/10/country/NL/	Indonesia
http://www.semwebtech.org/mondial/10/country/EC/	5.9	2.6	1.37	republic	59	91410	4.2	1822-05-24	\N	17.93	35.1	EC	http://www.semwebtech.org/mondial/10/country/E/	Ecuador
http://www.semwebtech.org/mondial/10/country/CY/	2.4	0.2	1.48	republic	81.7	21780	17.4	1960-08-16	\N	8.54	15.9	CY	http://www.semwebtech.org/mondial/10/country/GB/	Cyprus
http://www.semwebtech.org/mondial/10/country/REUN/	\N	\N	1.93	overseas department of France	\N	2900	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	7.5	\N	REUN	\N	Reunion
http://www.semwebtech.org/mondial/10/country/K/	34.8	3.2	1.63	multiparty democracy under a constitutional monarchy	40.7	15640	0	1949-11-09	\N	51.36	24.5	K	http://www.semwebtech.org/mondial/10/country/F/	Cambodia
http://www.semwebtech.org/mondial/10/country/MYA/	38	5.7	1.03	parliamentary government took power in March 2011	41.7	59430	5.2	1948-01-04	\N	44.91	20.3	MYA	http://www.semwebtech.org/mondial/10/country/GB/	Myanmar
http://www.semwebtech.org/mondial/10/country/SP/	59.3	\N	1.75	in the process of building a federal parliamentary republic	33.5	2372	\N	1960-07-01	\N	100.14	7.2	SP	http://www.semwebtech.org/mondial/10/country/GB/	Somalia
http://www.semwebtech.org/mondial/10/country/GBG/	3	3.4	0.36	parliamentary democracy	87	2742	0.9	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.47	10	GBG	\N	Guernsey
http://www.semwebtech.org/mondial/10/country/TL/	2.6	4.5	2.44	republic	15.8	6129	18.4	2002-05-20	\N	38.79	81.6	TL	http://www.semwebtech.org/mondial/10/country/RI/	Timor-Leste
http://www.semwebtech.org/mondial/10/country/BIH/	8.1	0.2	-0.11	emerging federal democratic republic	65.5	18870	44.3	1992-04-01	\N	5.84	26.4	BIH	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Bosnia and Herzegovina
http://www.semwebtech.org/mondial/10/country/CZ/	2.4	1.4	0.17	parliamentary democracy	60.3	194800	7.1	1993-01-01	\N	2.63	37.3	CZ	http://www.semwebtech.org/mondial/10/territory/Czechoslovakia/	Czech Republic
http://www.semwebtech.org/mondial/10/country/SLB/	50	2.6	2.07	parliamentary democracy and a Commonwealth realm	39.4	1099	\N	1978-07-07	\N	16.17	10.6	SLB	http://www.semwebtech.org/mondial/10/country/GB/	Solomon Islands
http://www.semwebtech.org/mondial/10/country/ARM/	20.6	6.2	-0.13	republic	42.1	10440	17.3	1918-05-28	\N	13.97	37.3	ARM	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Armenia
http://www.semwebtech.org/mondial/10/country/EAK/	29.3	5.8	2.11	republic	53.3	45310	40	1963-12-12	\N	40.71	17.4	EAK	http://www.semwebtech.org/mondial/10/country/GB/	Kenya
http://www.semwebtech.org/mondial/10/country/SF/	2.9	2.2	0.05	republic	71.9	259600	8.1	1917-12-06	\N	3.36	25.1	SF	http://www.semwebtech.org/mondial/10/country/R/	Finland
http://www.semwebtech.org/mondial/10/country/PITC/	\N	\N	0	British Overseas Territories	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/GB/	\N	\N	PITC	\N	Pitcairn
http://www.semwebtech.org/mondial/10/country/BEN/	31.6	2.4	2.81	republic	55.6	8359	\N	1960-08-01	\N	57.09	12.9	BEN	http://www.semwebtech.org/mondial/10/country/F/	Benin
http://www.semwebtech.org/mondial/10/country/ES/	10.3	0.9	0.27	republic	60.1	24670	6.3	1821-09-15	\N	18.44	29.5	ES	http://www.semwebtech.org/mondial/10/country/E/	El Salvador
http://www.semwebtech.org/mondial/10/country/N/	1.2	1.9	1.19	constitutional monarchy	56.5	515800	3.6	1905-10-26	\N	2.48	42.3	N	http://www.semwebtech.org/mondial/10/country/S/	Norway
http://www.semwebtech.org/mondial/10/country/WEST/	33	14	4.99	\N	60	3700	\N	\N	\N	28.6	7	WEST	\N	West Bank
http://www.semwebtech.org/mondial/10/country/PE/	6.2	2.9	0.99	constitutional republic	56.3	210300	3.6	1821-07-28	\N	20.21	37.5	PE	http://www.semwebtech.org/mondial/10/country/E/	Peru
http://www.semwebtech.org/mondial/10/country/LAR/	2	3.2	3.08	operates under a transitional government	39.7	70920	30	1951-12-24	\N	11.87	58.3	LAR	http://www.semwebtech.org/mondial/10/country/I/	Libya
http://www.semwebtech.org/mondial/10/country/ER/	11.7	13	2.3	transitional government	61.4	3438	\N	1993-05-27	\N	38.44	26.9	ER	http://www.semwebtech.org/mondial/10/country/ETH/	Eritrea
http://www.semwebtech.org/mondial/10/country/MEX/	3.6	4	1.21	federal republic	59.8	1327000	4.9	1810-09-16	\N	12.58	36.6	MEX	http://www.semwebtech.org/mondial/10/country/E/	Mexico
http://www.semwebtech.org/mondial/10/country/RL/	4.6	5	9.37	republic	75.4	43490	\N	1943-11-22	\N	7.98	20	RL	http://www.semwebtech.org/mondial/10/organization/UN/	Lebanon
http://www.semwebtech.org/mondial/10/country/BD/	17.2	7.6	1.6	parliamentary democracy	53.9	140200	5	1971-12-16	\N	45.67	28.9	BD	http://www.semwebtech.org/mondial/10/country/PK/	Bangladesh
http://www.semwebtech.org/mondial/10/country/MEL/	\N	\N	\N	dependent territory of Spain	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/	\N	\N	MEL	\N	Melilla
http://www.semwebtech.org/mondial/10/country/C/	3.8	6	-0.14	Communist state	73.9	72300	4.3	1902-05-20	\N	4.7	22.3	C	http://www.semwebtech.org/mondial/10/country/E/	Cuba
http://www.semwebtech.org/mondial/10/country/TAD/	21.1	3.7	1.75	republic	55.7	8513	2.5	1991-09-09	\N	35.03	23.2	TAD	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Tajikistan
http://www.semwebtech.org/mondial/10/country/KAZ/	5.2	5.8	1.17	republic; authoritarian presidential rule, with little power outside the executive branch	56.9	224900	5.3	1991-12-16	\N	21.61	37.9	KAZ	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Kazakhstan
http://www.semwebtech.org/mondial/10/country/MC/	0	1.5	0.06	constitutional monarchy	90	5748	2	1419-01-01	\N	1.81	10	MC	\N	Monaco
http://www.semwebtech.org/mondial/10/country/SLO/	2.8	1.8	-0.23	parliamentary republic	68.3	46820	13.1	1991-06-25	\N	4.04	28.9	SLO	http://www.semwebtech.org/mondial/10/territory/Yugoslavia/	Slovenia
http://www.semwebtech.org/mondial/10/country/SVAX/	\N	\N	-0.03	territory of Norway administered by the Ministry of Industry	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/N/	\N	\N	SVAX	\N	Svalbard
http://www.semwebtech.org/mondial/10/country/MA/	15.1	2.5	1.02	constitutional monarchy	53.2	104800	9.5	1956-03-02	\N	24.52	31.7	MA	http://www.semwebtech.org/mondial/10/country/F/	Morocco
http://www.semwebtech.org/mondial/10/country/BDS/	3.1	2.1	0.33	parliamentary democracy and a Commonwealth realm	83	4262	11.4	1966-11-30	\N	10.93	13.9	BDS	http://www.semwebtech.org/mondial/10/country/GB/	Barbados
http://www.semwebtech.org/mondial/10/country/BS/	2.1	1	0.87	constitutional parliamentary democracy and a Commonwealth realm	90.8	8373	16.2	1973-07-10	\N	12.5	7.1	BS	http://www.semwebtech.org/mondial/10/country/GB/	Bahamas
http://www.semwebtech.org/mondial/10/country/LV/	4.9	0.2	-0.62	parliamentary democracy	69.4	30380	9.8	1991-09-06	\N	7.91	25.7	LV	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Latvia
http://www.semwebtech.org/mondial/10/country/AXA/	2.5	3.1	2.06	British Overseas Territories	73.8	175.4	8	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.4	23.6	AXA	\N	Anguilla
http://www.semwebtech.org/mondial/10/country/RCH/	3.6	1.7	0.84	republic	61	281700	6	1810-09-18	\N	7.02	35.4	RCH	http://www.semwebtech.org/mondial/10/country/E/	Chile
http://www.semwebtech.org/mondial/10/country/Q/	0.1	3.1	3.58	emirate	27.7	213100	0.3	1971-09-03	\N	6.42	72.2	Q	http://www.semwebtech.org/mondial/10/country/GB/	Qatar
http://www.semwebtech.org/mondial/10/country/D/	0.8	1.6	-0.18	federal republic	69	3593000	5.3	1871-01-18	\N	3.46	30.1	D	\N	Germany
http://www.semwebtech.org/mondial/10/country/RWA/	31.9	5.9	2.63	republic; presidential, multiparty system	53.3	7700	\N	1962-07-01	\N	59.59	14.8	RWA	http://www.semwebtech.org/mondial/10/organization/UN/	Rwanda
http://www.semwebtech.org/mondial/10/country/DZ/	9.4	3.9	1.88	republic	28	215700	10.3	1962-07-05	\N	21.76	62.6	DZ	http://www.semwebtech.org/mondial/10/country/F/	Algeria
http://www.semwebtech.org/mondial/10/country/NEP/	36.8	6.7	1.82	federal democratic republic	48.7	19340	46	1768-01-01	\N	40.43	14.5	NEP	\N	Nepal
http://www.semwebtech.org/mondial/10/country/E/	3.1	1.8	0.81	parliamentary monarchy	70.8	1356000	26.3	1492-01-01	\N	3.33	26	E	\N	Spain
http://www.semwebtech.org/mondial/10/country/TO/	20.9	2	0.09	constitutional monarchy	57.2	477	13	1970-06-04	\N	12.36	21.9	TO	http://www.semwebtech.org/mondial/10/country/GB/	Tonga
http://www.semwebtech.org/mondial/10/country/GAZA/	\N	5.7	4.55	\N	\N	1700	\N	\N	\N	30.6	\N	GAZA	\N	Gaza Strip
http://www.semwebtech.org/mondial/10/country/L/	0.3	1.8	1.12	constitutional monarchy	86.4	60540	4.9	1890-11-24	\N	4.28	13.3	L	http://www.semwebtech.org/mondial/10/country/NL/	Luxembourg
http://www.semwebtech.org/mondial/10/country/FPOL/	3.1	1.1	0.97	parliamentary representative democratic French overseas collectivity	76.9	5650	11.7	\N	http://www.semwebtech.org/mondial/10/country/F/	4.78	20	FPOL	\N	French Polynesia
http://www.semwebtech.org/mondial/10/country/M/	1.4	1	0.33	republic	73.3	9541	6.4	1964-09-21	\N	3.59	25.3	M	http://www.semwebtech.org/mondial/10/country/GB/	Malta
http://www.semwebtech.org/mondial/10/country/SBAR/	\N	\N	\N	overseas collectivity of France	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	\N	\N	SBAR	\N	Saint Barthelemy
http://www.semwebtech.org/mondial/10/country/BRU/	0.7	1	1.65	constitutional sultanate (locally known as Malay Islamic Monarchy)	28.4	16560	2.6	1984-01-01	\N	10.48	70.9	BRU	http://www.semwebtech.org/mondial/10/country/GB/	Brunei
http://www.semwebtech.org/mondial/10/country/MAYO/	\N	\N	3.32	territorial collectivity of France	\N	953.6	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	56.29	\N	MAYO	\N	Mayotte
http://www.semwebtech.org/mondial/10/country/YV/	3.7	56.2	1.42	federal republic	60.8	367500	7.9	1811-07-05	\N	19.33	35.5	YV	http://www.semwebtech.org/mondial/10/country/E/	Venezuela
http://www.semwebtech.org/mondial/10/country/WAL/	47.9	11.1	2.33	constitutional democracy	33.5	4607	\N	1961-04-27	\N	73.29	18.6	WAL	http://www.semwebtech.org/mondial/10/country/GB/	Sierra Leone
http://www.semwebtech.org/mondial/10/country/CEU/	\N	\N	\N	dependent territory of Spain	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/E/	\N	\N	CEU	\N	Ceuta
http://www.semwebtech.org/mondial/10/country/EW/	3.9	3.4	-0.68	parliamentary republic	66.2	24280	10.9	1991-09-06	\N	6.7	30	EW	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Estonia
http://www.semwebtech.org/mondial/10/country/TUCA/	1	2.5	2.58	British Overseas Territories	76.5	216	10	\N	http://www.semwebtech.org/mondial/10/country/GB/	10.97	22.5	TUCA	\N	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/country/LT/	3.7	1.2	-0.29	parliamentary democracy	68	46710	12.4	1991-09-06	\N	6	28.3	LT	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Lithuania
http://www.semwebtech.org/mondial/10/country/LS/	7.4	5	0.34	parliamentary constitutional monarchy	58.2	2457	25	1966-10-04	\N	50.48	34.5	LS	http://www.semwebtech.org/mondial/10/country/GB/	Lesotho
http://www.semwebtech.org/mondial/10/country/WD/	15.7	1.8	0.22	parliamentary democracy	68.7	495	23	1978-11-03	\N	11.61	15.6	WD	http://www.semwebtech.org/mondial/10/country/GB/	Dominica
http://www.semwebtech.org/mondial/10/country/WS/	10.2	2.7	0.59	parliamentary democracy	64	705	\N	1962-01-01	\N	20.5	25.9	WS	http://www.semwebtech.org/mondial/10/organization/UN/	Samoa
http://www.semwebtech.org/mondial/10/country/B/	0.8	1.3	0.05	federal parliamentary democracy under a constitutional monarchy	76.6	507400	8.8	1830-10-04	\N	4.18	22.6	B	http://www.semwebtech.org/mondial/10/country/NL/	Belgium
http://www.semwebtech.org/mondial/10/country/HELX/	\N	\N	0.45	British Overseas Territories	\N	18	\N	\N	http://www.semwebtech.org/mondial/10/country/GB/	17.63	\N	HELX	\N	Saint Helena
http://www.semwebtech.org/mondial/10/country/RA/	9.3	20.8	0.95	republic	61	484600	7.5	1816-07-09	\N	9.96	29.7	RA	http://www.semwebtech.org/mondial/10/country/E/	Argentina
http://www.semwebtech.org/mondial/10/country/MOC/	28.7	4.4	2.45	republic	46.4	14670	17	1975-06-25	\N	72.42	24.9	MOC	http://www.semwebtech.org/mondial/10/country/P/	Mozambique
http://www.semwebtech.org/mondial/10/country/NLSM/	0.4	4	1.51	parliamentary	81.3	794.7	12	\N	http://www.semwebtech.org/mondial/10/country/NL/	9.05	18.3	NLSM	\N	Sint Maarten
http://www.semwebtech.org/mondial/10/country/NZ/	5	1.3	0.83	parliamentary democracy and a Commonwealth realm	69.5	181100	6.4	1907-09-26	\N	4.59	25.5	NZ	http://www.semwebtech.org/mondial/10/country/GB/	New Zealand
http://www.semwebtech.org/mondial/10/country/JA/	6.5	9.4	0.69	constitutional parliamentary democracy and a Commonwealth realm	64.1	14390	16.3	1962-08-06	\N	13.69	29.4	JA	http://www.semwebtech.org/mondial/10/country/GB/	Jamaica
http://www.semwebtech.org/mondial/10/country/TOK/	\N	\N	-0.01	\N	\N	1.5	\N	\N	http://www.semwebtech.org/mondial/10/country/NZ/	\N	\N	TOK	\N	Tokelau
http://www.semwebtech.org/mondial/10/country/DK/	1.5	0.8	0.22	constitutional monarchy	76.8	324300	6	\N	\N	4.1	21.7	DK	\N	Denmark
http://www.semwebtech.org/mondial/10/country/MACX/	0	5.5	0.83	limited democracy	93.5	51680	1.8	\N	http://www.semwebtech.org/mondial/10/country/CN/	3.13	6.5	MACX	\N	Macao
http://www.semwebtech.org/mondial/10/country/PNG/	27.6	3.8	1.84	constitutional parliamentary democracy and a Commonwealth realm	33.3	16100	1.9	1975-09-16	\N	39.67	39.1	PNG	http://www.semwebtech.org/mondial/10/organization/UN/	Papua New Guinea
http://www.semwebtech.org/mondial/10/country/NL/	2.6	2.5	0.42	constitutional monarchy	72.1	722300	8.3	1579-01-01	\N	3.66	25.4	NL	http://www.semwebtech.org/mondial/10/country/E/	Netherlands
http://www.semwebtech.org/mondial/10/country/IR/	10.6	42.3	1.22	theocratic republic	44.5	411900	16	\N	\N	39	44.9	IR	\N	Iran
http://www.semwebtech.org/mondial/10/country/NIUE/	23.5	4	-0.03	self-governing parliamentary democracy	49.5	10	12	1974-10-19	\N	\N	26.9	NIUE	http://www.semwebtech.org/mondial/10/country/NZ/	Niue
http://www.semwebtech.org/mondial/10/country/P/	2.6	0.4	0.12	republic; parliamentary democracy	75.2	219300	16.8	1139-07-25	\N	4.48	22.2	P	http://www.semwebtech.org/mondial/10/country/E/	Portugal
http://www.semwebtech.org/mondial/10/country/SSD/	\N	1.7	4.12	republic	\N	11770	\N	2011-07-09	\N	68.16	\N	SSD	http://www.semwebtech.org/mondial/10/country/SUD/	South Sudan
http://www.semwebtech.org/mondial/10/country/RSM/	0.1	2.8	0.87	republic	60.7	1866	7	0301-01-01	\N	4.52	39.2	RSM	\N	San Marino
http://www.semwebtech.org/mondial/10/country/UA/	9.9	0.7	-0.64	republic	60.5	175500	8	1991-12-01	\N	8.1	29.6	UA	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Ukraine
http://www.semwebtech.org/mondial/10/country/STP/	13.7	8.7	1.89	republic	66.8	311	\N	1975-07-12	\N	49.16	19.5	STP	http://www.semwebtech.org/mondial/10/country/P/	Sao Tome and Principe
http://www.semwebtech.org/mondial/10/country/WG/	5.6	2.4	0.5	parliamentary democracy and a Commonwealth realm	78.5	811	33.5	1974-02-07	\N	10.5	15.8	WG	http://www.semwebtech.org/mondial/10/country/GB/	Grenada
http://www.semwebtech.org/mondial/10/country/TR/	8.9	7.6	1.12	republican parliamentary democracy	63.8	821800	9.3	1923-10-29	\N	21.43	27.3	TR	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Turkey
http://www.semwebtech.org/mondial/10/country/GBM/	1	5	0.8	parliamentary democracy	88	4076	2	\N	http://www.semwebtech.org/mondial/10/country/GB/	4.17	11	GBM	\N	Isle of Man
http://www.semwebtech.org/mondial/10/country/IS/	5.9	3.9	0.65	constitutional republic	71.2	14590	4.5	1944-06-17	\N	3.15	22.9	IS	http://www.semwebtech.org/mondial/10/country/DK/	Iceland
http://www.semwebtech.org/mondial/10/country/CN/	10	2.6	0.44	Communist state	46.1	9330000	4.1	\N	\N	14.79	43.9	CN	\N	China
http://www.semwebtech.org/mondial/10/country/MNE/	0.8	4	-0.49	republic	87.9	4518	19.1	2006-06-03	\N	\N	11.3	MNE	http://www.semwebtech.org/mondial/10/country/SRB/	Montenegro
http://www.semwebtech.org/mondial/10/country/S/	2	0	0.79	constitutional monarchy	66.8	552000	8.1	\N	\N	2.6	31.3	S	\N	Sweden
http://www.semwebtech.org/mondial/10/country/KN/	1.8	2.2	0.78	parliamentary democracy and a Commonwealth realm	75.1	767	4.5	1983-09-19	\N	8.98	23.1	KN	http://www.semwebtech.org/mondial/10/country/GB/	Saint Kitts and Nevis
http://www.semwebtech.org/mondial/10/country/NMIS/	1.7	-2.7	1.13	commonwealth; self-governing with locally elected governor, lieutenant governor, and legislature	95	733	11.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	5.5	3.3	NMIS	\N	Northern Mariana Islands
http://www.semwebtech.org/mondial/10/country/GB/	0.7	2	0.54	constitutional monarchy and Commonwealth realm	78.9	2490000	7.2	1801-01-01	\N	4.44	20.5	GB	\N	United Kingdom
http://www.semwebtech.org/mondial/10/country/F/	1.9	0.9	0.45	republic	79.4	2739000	10.2	\N	\N	3.31	18.7	F	\N	France
http://www.semwebtech.org/mondial/10/country/RMM/	38.5	0.1	3	republic	37	11370	30	1960-09-22	\N	104.34	24.4	RMM	http://www.semwebtech.org/mondial/10/country/F/	Mali
http://www.semwebtech.org/mondial/10/country/XMAS/	\N	\N	\N	territory of Australia	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	\N	XMAS	\N	Christmas Island
http://www.semwebtech.org/mondial/10/country/AL/	19.5	1.7	0.3	parliamentary democracy	68.5	12800	16.9	1912-11-28	\N	13.19	12	AL	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Albania
http://www.semwebtech.org/mondial/10/country/SUD/	27.4	25	1.78	federal republic	39	52500	20	1956-01-01	\N	52.86	33.6	SUD	http://www.semwebtech.org/mondial/10/country/ET/	Sudan
http://www.semwebtech.org/mondial/10/country/COCO/	\N	\N	\N	territory of Australia	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	\N	COCO	\N	Cocos Islands
http://www.semwebtech.org/mondial/10/country/EAT/	27.6	7.8	2.8	republic	47.4	31940	\N	1964-04-26	\N	43.74	25	EAT	http://www.semwebtech.org/mondial/10/country/GB/	Tanzania
http://www.semwebtech.org/mondial/10/country/MNG/	16.5	8.2	1.37	parliamentary	50.9	11140	9	1921-03-13	\N	23.15	32.6	MNG	http://www.semwebtech.org/mondial/10/country/CN/	Mongolia
http://www.semwebtech.org/mondial/10/country/OM/	1	1.6	2.06	monarchy	34.6	81950	15	1650-01-01	\N	14	64.4	OM	http://www.semwebtech.org/mondial/10/country/P/	Oman
http://www.semwebtech.org/mondial/10/country/SA/	2	3.7	1.49	monarchy	35.5	718500	10.5	1932-09-23	\N	14.58	62.5	SA	\N	Saudi Arabia
http://www.semwebtech.org/mondial/10/country/GE/	8.5	-0.5	-0.11	republic	69.9	15950	15	1991-04-09	\N	16.68	21.6	GE	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Georgia
http://www.semwebtech.org/mondial/10/country/RCB/	3.3	1.7	1.94	republic	22.9	14250	53	1960-08-15	\N	59.34	73.9	RCB	http://www.semwebtech.org/mondial/10/country/F/	Congo
http://www.semwebtech.org/mondial/10/country/FL/	8	-0.7	0.82	hereditary constitutional monarchy	55	5113	2.3	1806-07-12	\N	4.33	37	FL	http://www.semwebtech.org/mondial/10/territory/HolyRomanEmpire/	Liechtenstein
http://www.semwebtech.org/mondial/10/country/TN/	8.6	6.1	0.92	republic	61	48380	17.2	1956-03-20	\N	23.19	30.4	TN	http://www.semwebtech.org/mondial/10/country/F/	Tunisia
http://www.semwebtech.org/mondial/10/country/VU/	22.4	1.9	2.01	parliamentary republic	67.9	828	1.7	1980-07-30	\N	16.41	9.7	VU	http://www.semwebtech.org/mondial/10/country/F/	Vanuatu
http://www.semwebtech.org/mondial/10/country/GCA/	13.5	4.4	1.86	constitutional democratic republic	62.7	53900	4.1	1821-09-15	\N	23.51	23.8	GCA	http://www.semwebtech.org/mondial/10/country/E/	Guatemala
http://www.semwebtech.org/mondial/10/country/IRL/	1.6	0.6	1.2	republic, parliamentary democracy	70.4	220900	13.5	1921-12-06	\N	3.74	28	IRL	http://www.semwebtech.org/mondial/10/country/GB/	Ireland
http://www.semwebtech.org/mondial/10/country/WV/	5.4	2.8	-0.29	parliamentary democracy and a Commonwealth realm	74.4	742	18.8	1979-10-27	\N	13.07	20.3	WV	http://www.semwebtech.org/mondial/10/country/GB/	Saint Vincent and the Grenadines
http://www.semwebtech.org/mondial/10/country/KOS/	12.9	1.8	\N	republic	64.5	7150	30.9	2008-02-17	\N	\N	22.6	KOS	http://www.semwebtech.org/mondial/10/country/SRB/	Kosovo
http://www.semwebtech.org/mondial/10/country/GBJ/	2	3.7	0.81	parliamentary democracy	96	5100	1.7	\N	http://www.semwebtech.org/mondial/10/country/GB/	3.86	2	GBJ	\N	Jersey
http://www.semwebtech.org/mondial/10/country/MNTS/	1.6	4.5	0.48	British Overseas Territories	75.1	29	6	\N	http://www.semwebtech.org/mondial/10/country/GB/	13.66	23.2	MNTS	\N	Montserrat
http://www.semwebtech.org/mondial/10/country/CAYM/	0.3	1.8	2.14	parliamentary democracy	72.3	2250	4	\N	http://www.semwebtech.org/mondial/10/country/GB/	6.21	27.4	CAYM	\N	Cayman Islands
http://www.semwebtech.org/mondial/10/country/A/	1.6	2.1	0.01	federal republic	69.8	417900	4.9	1918-11-12	\N	4.16	28.6	A	http://www.semwebtech.org/mondial/10/territory/Austria-Hungary/	Austria
http://www.semwebtech.org/mondial/10/country/GNB/	58	1.9	1.93	republic	28.5	880	\N	1974-09-10	\N	90.92	13.5	GNB	http://www.semwebtech.org/mondial/10/country/P/	Guinea-Bissau
http://www.semwebtech.org/mondial/10/country/MD/	13.8	4.6	-1.02	republic	66.2	7932	5.8	1991-08-27	\N	12.93	19.9	MD	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Moldova
http://www.semwebtech.org/mondial/10/country/RM/	27.3	8.8	2.62	republic	56.3	10530	\N	1960-06-26	\N	44.88	16.4	RM	http://www.semwebtech.org/mondial/10/country/F/	Madagascar
http://www.semwebtech.org/mondial/10/country/MAL/	11.2	2.2	1.47	constitutional monarchy	48.1	312400	3.1	1957-08-31	\N	13.69	40.6	MAL	http://www.semwebtech.org/mondial/10/country/GB/	Malaysia
http://www.semwebtech.org/mondial/10/country/CO/	6.6	2.2	1.07	republic; executive branch dominates government structure	55.6	369200	9.7	1810-07-20	\N	15.02	37.8	CO	http://www.semwebtech.org/mondial/10/country/E/	Colombia
http://www.semwebtech.org/mondial/10/country/GUAM/	\N	4	0.44	organized	\N	4600	8.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	5.51	\N	GUAM	\N	Guam
http://www.semwebtech.org/mondial/10/country/BR/	5.5	6.2	0.8	federal republic	68.1	2190000	5.7	1822-09-07	\N	19.21	26.4	BR	http://www.semwebtech.org/mondial/10/country/P/	Brazil
http://www.semwebtech.org/mondial/10/country/FARX/	16	2.3	0.49	part of the Danish realm	55	2320	6.8	\N	http://www.semwebtech.org/mondial/10/country/DK/	5.71	29	FARX	\N	Faroe Islands
http://www.semwebtech.org/mondial/10/country/USA/	1.1	1.5	0.77	constitution-based federal republic; strong democratic tradition	79.4	16720000	7.3	1776-07-04	\N	6.17	19.5	USA	http://www.semwebtech.org/mondial/10/country/GB/	United States
http://www.semwebtech.org/mondial/10/country/MS/	4.5	3.5	0.66	parliamentary democracy	73.4	11900	8.3	1968-03-12	\N	10.59	22	MS	http://www.semwebtech.org/mondial/10/country/GB/	Mauritius
http://www.semwebtech.org/mondial/10/country/RN/	35.2	1.9	3.28	republic	50.6	7304	\N	1960-08-03	\N	86.27	14.2	RN	http://www.semwebtech.org/mondial/10/country/F/	Niger
http://www.semwebtech.org/mondial/10/country/TT/	0.3	5.4	-0.11	parliamentary democracy	42	27130	5.9	1962-08-31	\N	24.82	57.7	TT	http://www.semwebtech.org/mondial/10/country/GB/	Trinidad and Tobago
http://www.semwebtech.org/mondial/10/country/VIRG/	1	2.2	-0.56	organized	80	1200	6.2	\N	http://www.semwebtech.org/mondial/10/country/USA/	6.79	19	VIRG	\N	Virgin Islands
http://www.semwebtech.org/mondial/10/country/JOR/	3.2	5.9	3.86	constitutional monarchy	67	34080	14	1946-05-25	\N	15.73	29.9	JOR	http://www.semwebtech.org/mondial/10/organization/UN/	Jordan
http://www.semwebtech.org/mondial/10/country/RIM/	16.9	4.6	2.26	military junta	28.5	4183	30	1960-11-28	\N	56.06	54.6	RIM	http://www.semwebtech.org/mondial/10/country/F/	Mauritania
http://www.semwebtech.org/mondial/10/country/DJI/	3	2.5	2.23	republic	79.7	1459	59	1977-06-27	\N	50.2	17.3	DJI	http://www.semwebtech.org/mondial/10/country/F/	Djibouti
http://www.semwebtech.org/mondial/10/country/SME/	8.9	4.2	1.12	constitutional democracy	54.5	5009	9	1975-11-25	\N	27.07	36.6	SME	http://www.semwebtech.org/mondial/10/country/NL/	Suriname
http://www.semwebtech.org/mondial/10/country/ANG/	10.2	8.9	2.78	republic; multiparty presidential regime	28.4	124000	\N	1975-11-11	\N	79.99	61.4	ANG	http://www.semwebtech.org/mondial/10/country/P/	Angola
http://www.semwebtech.org/mondial/10/country/THA/	12.1	2.2	0.35	constitutional monarchy	44.2	400900	0.7	1238-01-01	\N	9.86	43.6	THA	\N	Thailand
http://www.semwebtech.org/mondial/10/country/BERM/	0.7	1.8	0.52	parliamentary; self-governing territory	93.5	5600	8	\N	http://www.semwebtech.org/mondial/10/country/GB/	2.48	5.7	BERM	\N	Bermuda
http://www.semwebtech.org/mondial/10/country/BI/	34.4	9.3	3.28	republic	47.2	2676	\N	1962-07-01	\N	63.44	18.4	BI	http://www.semwebtech.org/mondial/10/organization/UN/	Burundi
http://www.semwebtech.org/mondial/10/country/WSA/	\N	\N	2.46	legal status of territory and question of sovereignty unresolved	\N	\N	\N	\N	\N	145.82	\N	WSA	\N	Western Sahara
http://www.semwebtech.org/mondial/10/country/MV/	3	5.1	-0.09	republic	80	2270	28	1965-07-26	\N	24.59	17	MV	http://www.semwebtech.org/mondial/10/country/GB/	Maldives
http://www.semwebtech.org/mondial/10/country/ROU/	7.5	8.3	0.26	constitutional republic	71	57110	6.5	1828-08-25	\N	8.97	21.5	ROU	http://www.semwebtech.org/mondial/10/country/BR/	Uruguay
http://www.semwebtech.org/mondial/10/country/IND/	17.4	9.6	1.25	federal republic	56.9	1670000	8.8	1947-08-15	\N	43.19	25.8	IND	http://www.semwebtech.org/mondial/10/country/GB/	India
http://www.semwebtech.org/mondial/10/country/SN/	14.9	0.8	2.48	republic	62.4	15360	48	1960-08-20	\N	52.72	22.7	SN	http://www.semwebtech.org/mondial/10/country/F/	Senegal
http://www.semwebtech.org/mondial/10/country/MW/	29.4	26.9	3.33	multiparty democracy	51.7	3683	\N	1964-07-06	\N	48.01	18.9	MW	http://www.semwebtech.org/mondial/10/country/GB/	Malawi
http://www.semwebtech.org/mondial/10/country/HONX/	0	4.4	0.41	limited democracy	93	272100	3.1	\N	http://www.semwebtech.org/mondial/10/country/CN/	2.73	6.9	HONX	\N	Hong Kong
http://www.semwebtech.org/mondial/10/country/NOK/	23.4	\N	0.53	Communist state one-man dictatorship	29.4	28000	\N	1945-08-15	\N	24.5	47.2	NOK	http://www.semwebtech.org/mondial/10/country/J/	North Korea
http://www.semwebtech.org/mondial/10/country/RCA/	56.6	7	2.13	republic	28.9	2050	8	1960-08-13	\N	92.86	14.5	RCA	http://www.semwebtech.org/mondial/10/country/F/	Central African Republic
http://www.semwebtech.org/mondial/10/country/RG/	22.9	11.9	2.63	republic	30.5	6544	\N	1958-10-02	\N	55.24	46.5	RG	http://www.semwebtech.org/mondial/10/country/F/	Guinea
http://www.semwebtech.org/mondial/10/country/COOK/	5.1	2.2	-3	self-governing parliamentary democracy	82.1	183.2	13.1	\N	http://www.semwebtech.org/mondial/10/country/NZ/	14.33	12.7	COOK	\N	Cook Islands
http://www.semwebtech.org/mondial/10/country/SYR/	17.6	59.1	-9.73	republic under an authoritarian regime	60.2	64700	17.8	1946-04-17	\N	15.79	22.2	SYR	http://www.semwebtech.org/mondial/10/organization/UN/	Syria
http://www.semwebtech.org/mondial/10/country/ROK/	2.6	1.1	0.16	republic	58.2	1198000	3.2	1945-08-15	\N	3.93	39.2	ROK	http://www.semwebtech.org/mondial/10/country/J/	South Korea
http://www.semwebtech.org/mondial/10/country/NAM/	7.7	5.5	0.67	republic	62.6	12300	27.4	1990-03-21	\N	45.64	29.6	NAM	http://www.semwebtech.org/mondial/10/organization/UN/	Namibia
http://www.semwebtech.org/mondial/10/country/CL/	10.6	4.7	0.86	republic	57	65120	5.1	1948-02-04	\N	9.02	32.4	CL	http://www.semwebtech.org/mondial/10/country/GB/	Sri Lanka
http://www.semwebtech.org/mondial/10/country/AG/	2.2	3	1.25	constitutional monarchy with a parliamentary system of government and a Commonwealth realm	81.4	1220	11	1981-11-01	\N	13.29	16.4	AG	http://www.semwebtech.org/mondial/10/country/GB/	Antigua and Barbuda
http://www.semwebtech.org/mondial/10/country/WAFU/	\N	2.8	0.33	parliamentary representative democratic French overseas collectivity	\N	60	12.2	\N	http://www.semwebtech.org/mondial/10/country/F/	4.49	\N	WAFU	\N	Wallis and Futuna
http://www.semwebtech.org/mondial/10/country/PR/	0.7	0.9	-0.65	commonwealth	50.5	93520	16	\N	http://www.semwebtech.org/mondial/10/country/USA/	7.73	48.8	PR	\N	Puerto Rico
http://www.semwebtech.org/mondial/10/country/DOM/	6	5	1.25	democratic republic	64.9	59270	15	1844-02-27	\N	19.63	29.1	DOM	http://www.semwebtech.org/mondial/10/country/RH/	Dominican Republic
http://www.semwebtech.org/mondial/10/country/UZB/	19.1	10.1	0.93	republic; authoritarian presidential rule with little power outside the executive branch	48.7	55180	4.9	1991-08-31	\N	19.84	32.2	UZB	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Uzbekistan
http://www.semwebtech.org/mondial/10/country/ZW/	20.1	8.5	4.36	parliamentary democracy	54.5	10480	95	1980-04-18	\N	26.55	25.4	ZW	http://www.semwebtech.org/mondial/10/country/GB/	Zimbabwe
http://www.semwebtech.org/mondial/10/country/NORF/	\N	\N	\N	territory of Australia	\N	\N	\N	\N	http://www.semwebtech.org/mondial/10/country/AUS/	\N	\N	NORF	\N	Norfolk Island
http://www.semwebtech.org/mondial/10/country/R/	4.2	6.8	-0.03	federation	58.3	2113000	5.8	1991-08-24	\N	7.08	37.5	R	http://www.semwebtech.org/mondial/10/territory/SovietUnion/	Russia
http://www.semwebtech.org/mondial/10/country/BF/	33.6	2.1	3.05	parliamentary republic	42.8	12130	77	1960-08-05	\N	76.8	23.6	BF	http://www.semwebtech.org/mondial/10/country/F/	Burkina Faso
http://www.semwebtech.org/mondial/10/country/MART/	6	3.9	1.1	overseas department of France	83	3950	\N	\N	http://www.semwebtech.org/mondial/10/country/F/	7.1	11	MART	\N	Martinique
http://www.semwebtech.org/mondial/10/country/BG/	6.7	1.5	-0.83	parliamentary democracy	63	53700	11.6	1908-09-22	\N	15.08	30.3	BG	http://www.semwebtech.org/mondial/10/territory/OttomanEmpire/	Bulgaria
http://www.semwebtech.org/mondial/10/country/ET/	14.5	9	1.84	republic	48	262000	13.4	1922-02-28	\N	22.41	37.5	ET	http://www.semwebtech.org/mondial/10/country/GB/	Egypt
http://www.semwebtech.org/mondial/10/country/RSA/	2.6	5.8	-0.48	republic	68.4	353900	24.9	1910-05-31	\N	41.61	29	RSA	http://www.semwebtech.org/mondial/10/country/GB/	South Africa
http://www.semwebtech.org/mondial/10/country/AFG/	20	6.8	2.29	Islamic republic	54.4	20650	35	1919-08-19	\N	117.23	25.6	AFG	http://www.semwebtech.org/mondial/10/country/GB/	Afghanistan
http://www.semwebtech.org/mondial/10/country/AND/	14	1.1	0.17	parliamentary democracy that retains as its chiefs of state a co-principality	6	4800	4	1278-09-08	\N	3.69	79	AND	\N	Andorra
http://www.semwebtech.org/mondial/10/country/AUS/	3.8	2.4	1.09	federal parliamentary democracy and a Commonwealth realm	68.7	1488000	5.7	1901-01-01	\N	4.43	27.4	AUS	http://www.semwebtech.org/mondial/10/country/GB/	Australia
\.


--
-- TOC entry 5836 (class 0 OID 93633)
-- Dependencies: 789
-- Data for Name: Desert; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Desert" ("URI", type, latitude, longitude, name) FROM stdin;
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	\N	30	-1	Grand Erg Ouest
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	sand	-25	137	Simpson Desert
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	\N	44	72	Mujunkum
http://www.semwebtech.org/mondial/10/desert/Trarza/	\N	18	-15	Trarza
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	\N	44	65	Kysylkum
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	\N	27	-5	Erg Igidi
http://www.semwebtech.org/mondial/10/desert/Tenere/	sand	18	11	Tenere
http://www.semwebtech.org/mondial/10/desert/Karakum/	\N	40	60	Karakum
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	sand	38	82	TaklaMakan
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	\N	31	8	Grand Erg Est
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	\N	32.5	57	Dascht-e-Lut
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	\N	-29	129	Great Victoria Desert
http://www.semwebtech.org/mondial/10/desert/Ferlo/	\N	15	-14	Ferlo
http://www.semwebtech.org/mondial/10/desert/Thar/	\N	27.5	72	Thar
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	\N	-23	125	Gibson Desert
http://www.semwebtech.org/mondial/10/desert/Nefud/	sand	28	42	Nefud
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	\N	32.5	55	Dascht-e-Kavir
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	\N	28	8	Erg Isaouane
http://www.semwebtech.org/mondial/10/desert/Negev/	\N	30.5	35	Negev
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	\N	33	26	Arabian Desert
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	\N	27	-10	Saguia el-Hamra
http://www.semwebtech.org/mondial/10/desert/Tanami/	sand	-20	130	Tanami
http://www.semwebtech.org/mondial/10/desert/Sonora/	\N	32	-113	Sonora
http://www.semwebtech.org/mondial/10/desert/RedCentre/	sand	-26	135	Red Centre
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	\N	33	39	Syrian Desert
http://www.semwebtech.org/mondial/10/desert/Djourab/	\N	17	18	Djourab
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	sand	-20	123	Great Sandy Desert
http://www.semwebtech.org/mondial/10/desert/Namib/	sand	-25	15	Namib
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	lime	-31	129	Nullarbor Plain
http://www.semwebtech.org/mondial/10/desert/KumTagh/	sand	40	92	Kum Tagh
http://www.semwebtech.org/mondial/10/desert/Rigestan/	\N	30	65	Rigestan
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	\N	36	-110	Colorado Plateau
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	\N	21	-11	Erg Ouarane
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	\N	\N	\N	Hamada du Draa
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	\N	41	-114	Great Salt Lake Desert
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	\N	22	-11	Erg Maqteir
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	\N	38	-117	Great Basin
http://www.semwebtech.org/mondial/10/desert/Mojave/	\N	36.2	-115.2	Mojave
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	sand	21	51	Rub Al Chali
http://www.semwebtech.org/mondial/10/desert/UstUrt/	\N	43	56	Ust Urt
http://www.semwebtech.org/mondial/10/desert/Ryn/	\N	48	47	Ryn
http://www.semwebtech.org/mondial/10/desert/Gobi/	\N	41	105	Gobi
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	\N	31	-105	Chihuahua
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	\N	45	87.5	Gurbantunggut
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	\N	23	22	Erg Rebiana
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	\N	-29	141	Sturt Desert
http://www.semwebtech.org/mondial/10/desert/Talak/	sand	17	6	Talak
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	\N	31	-116	Baja California Desert
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	\N	\N	\N	Libyan Desert
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	\N	30	12	Hamada al-Hamra
http://www.semwebtech.org/mondial/10/desert/Kalahari/	\N	-22	21	Kalahari
http://www.semwebtech.org/mondial/10/desert/Darfur/	\N	15	27	Darfur
http://www.semwebtech.org/mondial/10/desert/Owyhee/	\N	42	-117	Owyhee
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	\N	18	22	Erdi Ennedi
http://www.semwebtech.org/mondial/10/desert/Fesan/	\N	26	13	Fesan
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	\N	32	21	Nubian Desert
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	\N	31	62	Dascht-e-Margoh
http://www.semwebtech.org/mondial/10/desert/Qaidam/	\N	37.5	95	Qaidam
http://www.semwebtech.org/mondial/10/desert/ErgChech/	\N	25	-3	Erg Chech
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	\N	23	0	Tanezrouft
http://www.semwebtech.org/mondial/10/desert/Atacama/	\N	-24.5	-69.25	Atacama
http://www.semwebtech.org/mondial/10/desert/Ordos/	\N	38	108	Ordos
\.


--
-- TOC entry 5837 (class 0 OID 93639)
-- Dependencies: 790
-- Data for Name: Encompassed; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Encompassed" ("URI", percent, "encompassedArea", "encompassedBy") FROM stdin;
-60ed8313:150849567c0:16c9	100	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17ba	100	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16dd	100	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1783	100	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1748	100	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1750	100	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:17b7	100	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1713	100	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:177a	100	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:173d	100	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1788	100	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16f7	100	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1741	100	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:17a8	100	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1704	100	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:176b	100	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:172e	100	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16da	25	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1779	100	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16e8	100	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1732	100	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:175c	100	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:171f	78	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16cb	100	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:16d9	100	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1760	100	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1723	100	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:178a	100	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:174d	100	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1798	100	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:176a	100	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:172d	100	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1778	100	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16e7	100	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1731	100	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:175b	100	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:171e	92.7	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16ca	100	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1769	100	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:17aa	100	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1751	100	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:17b8	100	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1714	100	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:177b	100	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:173e	100	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16ea	100	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1789	100	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16f8	100	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1742	100	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:17a9	100	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1705	100	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:176c	100	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:172f	100	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16db	75	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16e9	100	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1770	100	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1733	100	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:179a	100	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:175d	100	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16cc	100	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1761	100	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1724	100	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16d0	100	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:178b	100	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:174e	100	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16fa	100	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1799	100	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:17ab	100	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1752	100	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:17b9	100	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1715	100	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:177c	100	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:173f	100	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16eb	100	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:16f9	100	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1780	100	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1743	100	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1706	100	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:176d	100	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:16dc	100	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17a0	100	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1771	100	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1734	100	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16e0	100	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:179b	100	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:175e	100	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:16cd	100	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17bb	100	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1762	100	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1725	100	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16d1	100	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:178c	100	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:174f	100	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16fb	100	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:17ac	100	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1790	100	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1753	100	http://www.semwebtech.org/mondial/10/country/SMAR/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1716	100	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:177d	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16ec	100	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17b0	100	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1781	100	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1744	100	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16f0	100	http://www.semwebtech.org/mondial/10/country/MEL/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1707	100	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:176e	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:17a1	100	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1772	100	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1735	100	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16e1	100	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:179c	100	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:175f	100	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:16ce	100	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1763	100	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1726	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16d2	100	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:178d	100	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16fc	100	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:17ad	100	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1791	100	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1754	100	http://www.semwebtech.org/mondial/10/country/SBAR/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1717	100	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16c3	100	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:177e	100	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16ed	100	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17b1	100	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1782	100	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1745	100	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16f1	100	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1708	100	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:176f	100	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:16de	100	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17a2	100	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1773	100	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1736	100	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16e2	100	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:179d	100	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16cf	100	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1764	100	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1727	100	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16d3	100	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:178e	100	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16fd	100	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:17ae	100	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:170a	100	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1792	100	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1755	100	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1718	100	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:16c4	100	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:177f	100	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16ee	100	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17b2	100	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1746	100	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16f2	100	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1709	100	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16df	100	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17a3	100	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1774	100	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1737	100	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16e3	3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:179e	100	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:171a	100	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1765	100	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1728	100	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16d4	100	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:178f	100	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16fe	100	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:17af	100	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:170b	100	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1793	100	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1756	100	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1719	100	http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:16c5	100	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:16ef	100	http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:17b3	100	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1784	100	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1747	100	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16f3	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17a4	100	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1700	100	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:172a	100	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1775	100	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1738	100	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16e4	97	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:179f	100	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:171b	100	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1766	100	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:1729	100	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16d5	100	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:16ff	100	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:170c	100	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1794	100	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1757	100	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16c6	100	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17b4	100	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1710	5.4	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:173a	100	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1785	100	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16f4	100	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17a5	100	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1701	100	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:172b	100	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1776	100	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1739	100	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16e5	100	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:171c	100	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1767	100	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:16d6	100	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1720	22	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:174a	100	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:170d	100	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1795	100	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1758	100	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16c7	100	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17b5	100	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1711	94.6	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:173b	100	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1786	100	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1749	100	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16f5	100	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17a6	100	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1702	100	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:172c	100	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1777	100	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16e6	100	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1730	100	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:175a	100	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:171d	7.3	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1768	100	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:16d7	100	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1721	100	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:174b	100	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:170e	100	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1796	100	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1759	100	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:16c8	100	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:17b6	100	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1712	100	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:173c	100	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:1787	100	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:16f6	100	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1740	100	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:17a7	100	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/continent/Africa/
-60ed8313:150849567c0:1703	100	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:16d8	100	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/continent/Europe/
-60ed8313:150849567c0:1722	100	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/
-60ed8313:150849567c0:174c	100	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/continent/America/
-60ed8313:150849567c0:170f	100	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/continent/Asia/
-60ed8313:150849567c0:1797	100	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/continent/Africa/
\.


--
-- TOC entry 5838 (class 0 OID 93645)
-- Dependencies: 791
-- Data for Name: Estuary; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Estuary" ("URI", longitude, elevation, latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	11.9	\N	57.7
http://www.semwebtech.org/mondial/10/estuary/Tajo/	-9.3	\N	38.7
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	-80	\N	40.42
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	24.45	\N	65.77
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	-6.35	\N	36.8
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	17.4	\N	3.3
http://www.semwebtech.org/mondial/10/estuary/Ili/	74.15	\N	45.4
http://www.semwebtech.org/mondial/10/estuary/Sobat/	31.65	\N	9.63
http://www.semwebtech.org/mondial/10/estuary/Tobol/	68.25	\N	58.2
http://www.semwebtech.org/mondial/10/estuary/Tigris/	47.44	\N	31
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	48.6	\N	29.9
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	21.4	\N	43.7
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	-82.2	\N	43
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	25.2	\N	0.5
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	119.14	\N	37.74
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	-74.8	\N	10.95
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	68.93	\N	61.07
http://www.semwebtech.org/mondial/10/estuary/Douro/	-8.66	\N	41.15
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	25.2	\N	65.3
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	-49.16	\N	-1.73
http://www.semwebtech.org/mondial/10/estuary/Vaal/	24	\N	-29
http://www.semwebtech.org/mondial/10/estuary/Ammer/	11.96	\N	48.5
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	115	\N	73
http://www.semwebtech.org/mondial/10/estuary/Enns/	14.52	\N	48.24
http://www.semwebtech.org/mondial/10/estuary/Atbara/	33.97	\N	17.68
http://www.semwebtech.org/mondial/10/estuary/Dnister/	30.23	\N	46.35
http://www.semwebtech.org/mondial/10/estuary/Saar/	6.6	\N	49.7
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	-58.4	\N	-27.3
http://www.semwebtech.org/mondial/10/estuary/Drau/	18.93	\N	45.54
http://www.semwebtech.org/mondial/10/estuary/Ticino/	9.235	\N	45.14
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	-74	\N	40.7
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	-97.18	\N	25.96
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	15.1	\N	60.7
http://www.semwebtech.org/mondial/10/estuary/Rhone/	4.84	\N	43.33
http://www.semwebtech.org/mondial/10/estuary/Karun/	48.17	\N	30.43
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	34	\N	-25.2
http://www.semwebtech.org/mondial/10/estuary/Kama/	50.3	\N	55.4
http://www.semwebtech.org/mondial/10/estuary/Zaire/	12	\N	-6
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	24.4	\N	66.3
http://www.semwebtech.org/mondial/10/estuary/Uelle/	22.5	\N	4
http://www.semwebtech.org/mondial/10/estuary/Mekong/	107	\N	9
http://www.semwebtech.org/mondial/10/estuary/Lech/	10.93	\N	48.73
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	-60	\N	-3.1
http://www.semwebtech.org/mondial/10/estuary/Gambia/	-16.6	\N	13.5
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	13.5	\N	59.4
http://www.semwebtech.org/mondial/10/estuary/Karasu/	38.75	\N	38.8
http://www.semwebtech.org/mondial/10/estuary/Oka/	44	\N	56.3
http://www.semwebtech.org/mondial/10/estuary/Loire/	-2.18	\N	47.27
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	16.9	\N	3
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	141.9	\N	-34.1
http://www.semwebtech.org/mondial/10/estuary/Oder/	14.59	\N	53.6
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	20.8	\N	-0.2
http://www.semwebtech.org/mondial/10/estuary/Niger/	6.42	\N	5.32
http://www.semwebtech.org/mondial/10/estuary/Maranon/	-73.45	\N	-4.44
http://www.semwebtech.org/mondial/10/estuary/Glomma/	10.95	\N	59.2
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	-58.76	\N	-3.4
http://www.semwebtech.org/mondial/10/estuary/Bomu/	22.5	\N	4
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	42.76	\N	0.5
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	-83.7	\N	10.9
http://www.semwebtech.org/mondial/10/estuary/Leine/	9.59	\N	52.72
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	-92.33	\N	57.15
http://www.semwebtech.org/mondial/10/estuary/Parana/	-58.2	\N	-34.5
http://www.semwebtech.org/mondial/10/estuary/Tara/	18.8	\N	43.35
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	-73.75	\N	-10.7
http://www.semwebtech.org/mondial/10/estuary/Main/	8.29	\N	49.99
http://www.semwebtech.org/mondial/10/estuary/Naryn/	71.7	\N	41
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	-105.6	\N	21.5
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	21.2	\N	61.3
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	27	\N	-6
http://www.semwebtech.org/mondial/10/estuary/Aller/	9.18	\N	52.94
http://www.semwebtech.org/mondial/10/estuary/Ural/	51.9	\N	47.1
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	-72.33	\N	41.27
http://www.semwebtech.org/mondial/10/estuary/Adda/	9.88	\N	45.13
http://www.semwebtech.org/mondial/10/estuary/Amur/	140.73	\N	53.1
http://www.semwebtech.org/mondial/10/estuary/Jordan/	35.5	\N	31.3
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	9.65	\N	3.55
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	29.3	\N	-3.4
http://www.semwebtech.org/mondial/10/estuary/Fulda/	9.65	\N	51.4
http://www.semwebtech.org/mondial/10/estuary/Raab/	17.63	\N	47.69
http://www.semwebtech.org/mondial/10/estuary/Narew/	20.67	\N	52.43
http://www.semwebtech.org/mondial/10/estuary/Petschora/	54	\N	68.5
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	32.5	\N	15.6
http://www.semwebtech.org/mondial/10/estuary/Waag/	18.15	\N	47.75
http://www.semwebtech.org/mondial/10/estuary/Perene/	-74.23	\N	-11.15
http://www.semwebtech.org/mondial/10/estuary/Ganges/	90	\N	22
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	148.55	\N	-37.6
http://www.semwebtech.org/mondial/10/estuary/Selenge/	92.5	\N	58.2
http://www.semwebtech.org/mondial/10/estuary/Ob/	71.35	\N	66.48
http://www.semwebtech.org/mondial/10/estuary/Akagera/	33	\N	-1
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	-97.97	\N	52.77
http://www.semwebtech.org/mondial/10/estuary/Schilka/	121.48	\N	53.33
http://www.semwebtech.org/mondial/10/estuary/Benue/	6.75	\N	7.78
http://www.semwebtech.org/mondial/10/estuary/Brigach/	8.52	\N	47.95
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	-20.8	\N	63.9
http://www.semwebtech.org/mondial/10/estuary/Marne/	2.4	\N	48.8
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	-7.65	\N	37.35
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	-119.43	\N	39.85
http://www.semwebtech.org/mondial/10/estuary/Baro/	33.2	\N	8.45
http://www.semwebtech.org/mondial/10/estuary/Etsch/	7.09	\N	44.8
http://www.semwebtech.org/mondial/10/estuary/Elbe/	8.71	\N	53.89
http://www.semwebtech.org/mondial/10/estuary/Garonne/	-0.6	\N	45
http://www.semwebtech.org/mondial/10/estuary/Maas/	4.67	\N	51.72
http://www.semwebtech.org/mondial/10/estuary/Werra/	9.65	\N	51.4
http://www.semwebtech.org/mondial/10/estuary/Nile/	31	\N	31.5
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	-163.98	\N	62.574
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	100.02	\N	51.06
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	-124.06	\N	46.24
http://www.semwebtech.org/mondial/10/estuary/Salzach/	12.92	\N	48.21
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	-58.4	\N	-33.9
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	32.5	\N	15.6
http://www.semwebtech.org/mondial/10/estuary/Limmat/	8.236313	\N	47.501794
http://www.semwebtech.org/mondial/10/estuary/Seine/	0.1	\N	49.42
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	21.08	\N	52.5
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	31.54	\N	60.81
http://www.semwebtech.org/mondial/10/estuary/Arno/	10.2	\N	43.7
http://www.semwebtech.org/mondial/10/estuary/Ruki/	18	\N	0
http://www.semwebtech.org/mondial/10/estuary/Ebro/	0.5	\N	40.8
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	-91	\N	34
http://www.semwebtech.org/mondial/10/estuary/Moraca/	19.15	\N	42.25
http://www.semwebtech.org/mondial/10/estuary/Narva/	28.04	\N	59.46
http://www.semwebtech.org/mondial/10/estuary/Murgab/	72.45	\N	38.3
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	-48.73	\N	-5.37
http://www.semwebtech.org/mondial/10/estuary/Aare/	8.22	\N	47.61
http://www.semwebtech.org/mondial/10/estuary/Katun/	85	\N	52.43
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	47.44	\N	31
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	36	\N	-19
http://www.semwebtech.org/mondial/10/estuary/Alz/	12.8	\N	48.3
http://www.semwebtech.org/mondial/10/estuary/Newa/	30.17	\N	59.95
http://www.semwebtech.org/mondial/10/estuary/Swir/	32.79	\N	60.51
http://www.semwebtech.org/mondial/10/estuary/March/	16.98	\N	48.17
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	29.5	\N	2.5
http://www.semwebtech.org/mondial/10/estuary/Murat/	38.75	\N	38.8
http://www.semwebtech.org/mondial/10/estuary/Suchona/	60.9	\N	46.3
http://www.semwebtech.org/mondial/10/estuary/Okavango/	22.5	\N	-18.95
http://www.semwebtech.org/mondial/10/estuary/Pruth/	28.21	\N	45.47
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	30.5	\N	51.15
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	-89.25	\N	29.15
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	161.49	\N	69.63
http://www.semwebtech.org/mondial/10/estuary/Semliki/	30.9	\N	1.7
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	17.2	\N	60.7
http://www.semwebtech.org/mondial/10/estuary/Moldau/	14.47	\N	50.35
http://www.semwebtech.org/mondial/10/estuary/Po/	12.43	\N	44.95
http://www.semwebtech.org/mondial/10/estuary/Lulua/	17.4	\N	3.3
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	21.4	\N	43.7
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	40.5333	\N	64.55
http://www.semwebtech.org/mondial/10/estuary/Ischim/	71.5	\N	58
http://www.semwebtech.org/mondial/10/estuary/Isere/	4.9	\N	45
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	30.43	\N	9.5
http://www.semwebtech.org/mondial/10/estuary/Busira/	19	\N	-0.3
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	-65.4	\N	-10.4
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	-73.1	\N	46
http://www.semwebtech.org/mondial/10/estuary/Tambo/	-73.75	\N	-10.7
http://www.semwebtech.org/mondial/10/estuary/Indus/	67.4	\N	24
http://www.semwebtech.org/mondial/10/estuary/Colorado/	-114.8	\N	31.81
http://www.semwebtech.org/mondial/10/estuary/Iller/	9.97	\N	48.38
http://www.semwebtech.org/mondial/10/estuary/Donau/	29.65	\N	45.16
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	143.22	\N	-34.73
http://www.semwebtech.org/mondial/10/estuary/Cuango/	17.4	\N	3.3
http://www.semwebtech.org/mondial/10/estuary/Volta/	0.68	\N	5.77
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	89.8	\N	23.8
http://www.semwebtech.org/mondial/10/estuary/Reuss/	8.2371	\N	47.4921
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	138.88	\N	-35.55
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	30.43	\N	9.5
http://www.semwebtech.org/mondial/10/estuary/Thames/	0.65	\N	51.5
http://www.semwebtech.org/mondial/10/estuary/Ene/	-74.23	\N	-11.15
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	-89.13	\N	36.98
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	18.95	\N	54.36
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	121.5	\N	32
http://www.semwebtech.org/mondial/10/estuary/Asahan/	99.2	\N	3.1
http://www.semwebtech.org/mondial/10/estuary/Weser/	8.5	\N	53.5
http://www.semwebtech.org/mondial/10/estuary/Piva/	18.8	\N	43.35
http://www.semwebtech.org/mondial/10/estuary/Luvua/	27	\N	-7
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	20.1	\N	63.5
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	-70.811944	\N	42.819444
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	30.23	\N	46.35
http://www.semwebtech.org/mondial/10/estuary/Argun/	121.48	\N	53.33
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	60.5	\N	46
http://www.semwebtech.org/mondial/10/estuary/Oranje/	16.4	\N	-28.55
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	-83.9	\N	46.6
http://www.semwebtech.org/mondial/10/estuary/Theiss/	20.3	\N	45.05
http://www.semwebtech.org/mondial/10/estuary/Don/	39.4	\N	47.1
http://www.semwebtech.org/mondial/10/estuary/Missouri/	-90.12	\N	38.81
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	68.3	\N	37.1
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	24.1	\N	57
http://www.semwebtech.org/mondial/10/estuary/Sanga/	17	\N	-2
http://www.semwebtech.org/mondial/10/estuary/Mincio/	10.95	\N	45.1
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	96	\N	17
http://www.semwebtech.org/mondial/10/estuary/Breg/	8.52	\N	47.95
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	32.252	\N	46.5257
http://www.semwebtech.org/mondial/10/estuary/Schari/	14	\N	13.2
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	-84.75	\N	45.8
http://www.semwebtech.org/mondial/10/estuary/Inn/	13.47	\N	48.57
http://www.semwebtech.org/mondial/10/estuary/Lomami/	24	\N	-0.8
http://www.semwebtech.org/mondial/10/estuary/Bartang/	71.6	\N	37.9
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	59	\N	44
http://www.semwebtech.org/mondial/10/estuary/Volga/	47.85	\N	46.733333333333
http://www.semwebtech.org/mondial/10/estuary/Lagen/	11.45	\N	61.1
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	-88.63	\N	37.07
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	-64.8	\N	49.6
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	30.9	\N	1.7
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	15.1	\N	60.7
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	-16.6	\N	66.2
http://www.semwebtech.org/mondial/10/estuary/Pibor/	33.2	\N	8.45
http://www.semwebtech.org/mondial/10/estuary/Save/	20.4667	\N	44.8
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	-50	\N	0
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	-135.02	\N	69.2
http://www.semwebtech.org/mondial/10/estuary/Buna/	19.35	\N	41.85
http://www.semwebtech.org/mondial/10/estuary/Luapula/	28.7	\N	-9
http://www.semwebtech.org/mondial/10/estuary/Würm/	11.5	\N	48.3
http://www.semwebtech.org/mondial/10/estuary/Saluen/	97.5	\N	17
http://www.semwebtech.org/mondial/10/estuary/Lena/	126.69187	\N	72.4005
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	-75.62	\N	-5.1
http://www.semwebtech.org/mondial/10/estuary/Jubba/	42.7	\N	-0.5
http://www.semwebtech.org/mondial/10/estuary/Rhein/	4	\N	51.9
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	148.6	\N	-36.3
http://www.semwebtech.org/mondial/10/estuary/Chire/	35.5	\N	-18
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	-36.4	\N	-10.5
http://www.semwebtech.org/mondial/10/estuary/Isar/	12.98	\N	48.8
http://www.semwebtech.org/mondial/10/estuary/Morava/	21.1	\N	44.6
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	30.05	\N	60.75
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	26.5	\N	60.3
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	-67.1	\N	-18.55
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	-68.15	\N	49.2
http://www.semwebtech.org/mondial/10/estuary/Angara/	92.5	\N	58.2
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	-73.45	\N	-4.44
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	79.1	\N	43.25
http://www.semwebtech.org/mondial/10/estuary/Neckar/	8.44	\N	49.51
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	90.6	\N	40.2
http://www.semwebtech.org/mondial/10/estuary/Bani/	-4.2	\N	14.52
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	20.4	\N	42.1
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	17.7	\N	-0.8
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	-73.97	\N	-12.26
http://www.semwebtech.org/mondial/10/estuary/Kura/	49.43	\N	39.28
http://www.semwebtech.org/mondial/10/estuary/Drin/	19.6	\N	41.8
http://www.semwebtech.org/mondial/10/estuary/Kasai/	17.4	\N	3.3
http://www.semwebtech.org/mondial/10/estuary/Drina/	19.35	\N	44.9
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	-73.97	\N	-12.26
http://www.semwebtech.org/mondial/10/estuary/Saone/	4.8	\N	45.7
http://www.semwebtech.org/mondial/10/estuary/Olt/	24.8	\N	43.7
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	20.4	\N	42.1
http://www.semwebtech.org/mondial/10/estuary/Kwa/	16.1967	\N	-3.1765
http://www.semwebtech.org/mondial/10/estuary/Senegal/	-16.5	\N	15.96
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	-62	\N	9
http://www.semwebtech.org/mondial/10/estuary/Doubs/	5	\N	46.9
http://www.semwebtech.org/mondial/10/estuary/Fimi/	16.9	\N	3
http://www.semwebtech.org/mondial/10/estuary/Tiber/	12.23	\N	41.74
http://www.semwebtech.org/mondial/10/estuary/Mosel/	7.61	\N	50.37
http://www.semwebtech.org/mondial/10/estuary/Mur/	16.88	\N	46.3
\.


--
-- TOC entry 5839 (class 0 OID 93651)
-- Dependencies: 792
-- Data for Name: EthnicGroup; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "EthnicGroup" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	Mandingo
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	Bengali
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	Tay
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	Austrian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	Moldavian/Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	Songhai
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	Celt
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	Bakongo
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	Serb
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	Lao Loum
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	Nauruan
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	Alemannic
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	Scandinavian
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	Roma
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	Bounty
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	Mboum
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	Black
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	Mestizo
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	Czech
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	Creole
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	Kamba
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	Baganda
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	Gilaki Mazandarani
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	Malinke
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	Crimean Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	Fulani
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	Carib Indians
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	Kalenjin
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	Serbs
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	Afro-Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	Mossi
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	Arab Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	Shan
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	Fleming
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	Bhote
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	Christian
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	Fula
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	Viet/Kinh
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	Berber Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	White
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	Pakistani
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	Kimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	Indo-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	Mediterranean Nordic
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	Byelorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	Northern Irish
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	Finn
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	Tatar
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	Indonesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	Karen
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	Sino-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	Nung
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	Ovimbundu
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	Tigraway
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	Lao Theung
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	Americo-Liberians
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	Basques Bretons
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	Franco-Mauritian
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	Surinamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	Iranian
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	Tutsi
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	Colored
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	Euro-African
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	MBaka
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	Equatorial Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	Welaita
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	Sara
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	Eastern Hamitic
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	Madurese
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	Banda
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	Wolof
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	Palestinian Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	Azerbaijani
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	Lugbara
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	Nepalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	Danish
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	Arab-Berber
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	Maori
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	Black Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	Europeans
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	Amhara
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	Han Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	Dravidian
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	South Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	Vietnamese/Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	Batswana
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	European
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	Hadiya
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	Twa
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	Mixed
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	Burman
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	Northwestern Bantu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	Kgalagadi
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	Toucouleur
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	Baoule
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	Djerma
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	Fijian
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	Swede
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	Russian Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	Thai
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	Kunama
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	Soussou
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	Maya
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	Mon
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	Norman-French
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	Gourmantche
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	Beja
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	British Isles
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	Mande
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	black-Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	African descent
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	Bahraini
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	Bagisu
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	European/Caribbean Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	Uighur
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	Oromo
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	Sami
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	Croat
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	Seychellois
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	English
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	Circassian
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	Bosniak
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	Batobo
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	Arab
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	Javanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	Luo
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	Saho
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	Taiwanese
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	African
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	Vedda
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	Bete
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	Pacific Islander
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	Caucasian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	European Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	Sidama
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	Hazara
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	Luhya
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	Maur
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	Somali
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	Walloon
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	Kuwaiti
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	Polish
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	Senoufou
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	Emiri
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	Mong
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	Meru
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	Khmer
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	None
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	Greenlander
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	Diola
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	Moroccan
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	Kirdi
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	German
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	Kikuyu
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	Gypsy
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	Hutu
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	Mongol
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	Hausa
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	Inuit
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	Filipino
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	Rashaida
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	Sotho
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	French
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	Cameroon Highlanders
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	Afar
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	Baloch
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	Kazak
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	Micronesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	Voltaic
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	Kisii
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	Bashkir
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	Afro-East Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	Caribbean
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	Scottish
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	Sundanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	Dungan
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	Welsh
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	Pashtun
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	Sinhalese
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	Lur
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	Muong
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	Karakalpak
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	Malay
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	Indo-Aryan
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	Ruthenian
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	Mandjia
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	Basogo
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	Iteso
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	Peuhl
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	Euronesians
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	Tigrinya
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	Lao Soung Hmong Yao
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	Bilen
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	Bunyoro
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	Chuvash
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	Asian
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	Karamojong
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	Mangbetu-Azande
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	Eastern Nigritic
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	Gurage
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	Italian
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	Moravian
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	Persian
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	Rakhine
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	Tuareg
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	European Syrian-Lebanese
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	Serer
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	Afro-Chinese
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	Russian
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	Melanesian
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	Acholi
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	Langi
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	Borneo indigenous
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	Hindustani
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	Andorran
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	Assyrian
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	Beri Beri
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	Dagestani
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	Tigre
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	Greek
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	Rwanda
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	Mulatto
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	Afro-European
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	Moldovan
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	Baya
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	African-white-Indian
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	Norwegian
\.


--
-- TOC entry 5840 (class 0 OID 93654)
-- Dependencies: 793
-- Data for Name: EthnicProportion; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "EthnicProportion" ("URI", "ethnicInfo-", "onEthnicGroup", percent) FROM stdin;
-60ed8313:150849567c0:4402	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	98
-60ed8313:150849567c0:4500	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	95
-60ed8313:150849567c0:43bb	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	93.4
-60ed8313:150849567c0:454a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	10
-60ed8313:150849567c0:442f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	1.1
-60ed8313:150849567c0:443f	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	99.4
-60ed8313:150849567c0:4550	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	34
-60ed8313:150849567c0:449c	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	12
-60ed8313:150849567c0:43c4	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	21.6
-60ed8313:150849567c0:4590	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	4
-60ed8313:150849567c0:449f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	73
-60ed8313:150849567c0:44e2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	7.4
-60ed8313:150849567c0:4389	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.3
-60ed8313:150849567c0:442c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	64.9
-60ed8313:150849567c0:4477	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	10
-60ed8313:150849567c0:451a	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	97
-60ed8313:150849567c0:43e6	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	8
-60ed8313:150849567c0:4342	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	43
-60ed8313:150849567c0:43a9	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.2
-60ed8313:150849567c0:4565	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	4
-60ed8313:150849567c0:436c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	18
-60ed8313:150849567c0:4528	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	4.3
-60ed8313:150849567c0:44d4	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	100
-60ed8313:150849567c0:4430	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	1
-60ed8313:150849567c0:432f	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	3
-60ed8313:150849567c0:458f	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	4
-60ed8313:150849567c0:44fe	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	3
-60ed8313:150849567c0:445a	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	50
-60ed8313:150849567c0:441d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	5
-60ed8313:150849567c0:4468	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	7
-60ed8313:150849567c0:4370	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	11.4
-60ed8313:150849567c0:450b	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	37
-60ed8313:150849567c0:43d7	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	2
-60ed8313:150849567c0:4411	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	50.4
-60ed8313:150849567c0:4398	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	2.4
-60ed8313:150849567c0:44df	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	2.5
-60ed8313:150849567c0:443b	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
-60ed8313:150849567c0:43aa	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	0.3
-60ed8313:150849567c0:4486	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	2
-60ed8313:150849567c0:4449	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	75
-60ed8313:150849567c0:43f5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.5
-60ed8313:150849567c0:4351	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.5
-60ed8313:150849567c0:4333	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	3.9
-60ed8313:150849567c0:4593	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	99.7
-60ed8313:150849567c0:439a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	2
-60ed8313:150849567c0:4556	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
-60ed8313:150849567c0:435d	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	5
-60ed8313:150849567c0:4519	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	99
-60ed8313:150849567c0:44c5	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	40
-60ed8313:150849567c0:4421	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	1.5
-60ed8313:150849567c0:44ef	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	95
-60ed8313:150849567c0:444b	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	1
-60ed8313:150849567c0:440e	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	35
-60ed8313:150849567c0:43ba	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	100
-60ed8313:150849567c0:4496	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	5
-60ed8313:150849567c0:4459	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	99.4
-60ed8313:150849567c0:4361	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.7
-60ed8313:150849567c0:43c8	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	87.4
-60ed8313:150849567c0:4584	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
-60ed8313:150849567c0:438b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	79.8
-60ed8313:150849567c0:4547	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	1
-60ed8313:150849567c0:44f3	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	0.4
-60ed8313:150849567c0:434e	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	90.4
-60ed8313:150849567c0:44b6	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	58
-60ed8313:150849567c0:4412	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	23.7
-60ed8313:150849567c0:4399	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	2.2
-60ed8313:150849567c0:443c	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	77
-60ed8313:150849567c0:43ab	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	89.1
-60ed8313:150849567c0:4487	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	79.96
-60ed8313:150849567c0:452a	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	1
-60ed8313:150849567c0:43f6	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	1.3
-60ed8313:150849567c0:4352	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.6
-60ed8313:150849567c0:43b9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	0.8
-60ed8313:150849567c0:4575	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	14
-60ed8313:150849567c0:437c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	1.1
-60ed8313:150849567c0:4538	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	1
-60ed8313:150849567c0:44e4	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
-60ed8313:150849567c0:4440	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	76.4
-60ed8313:150849567c0:433f	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	5
-60ed8313:150849567c0:459f	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	25
-60ed8313:150849567c0:44a7	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
-60ed8313:150849567c0:4403	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	2
-60ed8313:150849567c0:446a	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	14
-60ed8313:150849567c0:442d	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	13.8
-60ed8313:150849567c0:4478	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	30.5
-60ed8313:150849567c0:4380	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	0.5
-60ed8313:150849567c0:451b	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	50
-60ed8313:150849567c0:43e7	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	79.9
-60ed8313:150849567c0:4343	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	33
-60ed8313:150849567c0:4566	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	2
-60ed8313:150849567c0:436d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	10
-60ed8313:150849567c0:4529	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	1.2
-60ed8313:150849567c0:44d5	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	100
-60ed8313:150849567c0:4431	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	1
-60ed8313:150849567c0:43a0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	89.6
-60ed8313:150849567c0:44ff	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	95
-60ed8313:150849567c0:445b	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	19
-60ed8313:150849567c0:441e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	85.7
-60ed8313:150849567c0:43ca	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	1.1
-60ed8313:150849567c0:4469	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	1
-60ed8313:150849567c0:4371	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	3.9
-60ed8313:150849567c0:450c	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	31
-60ed8313:150849567c0:43d8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	1.8
-60ed8313:150849567c0:4334	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	2.7
-60ed8313:150849567c0:4594	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.06
-60ed8313:150849567c0:439b	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	2
-60ed8313:150849567c0:4557	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	28
-60ed8313:150849567c0:435e	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	95
-60ed8313:150849567c0:44c6	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	90
-60ed8313:150849567c0:4422	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	1.5
-60ed8313:150849567c0:444c	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	98
-60ed8313:150849567c0:4510	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	2
-60ed8313:150849567c0:440f	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	20
-60ed8313:150849567c0:4497	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	84
-60ed8313:150849567c0:453a	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	4
-60ed8313:150849567c0:4362	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	1
-60ed8313:150849567c0:43c9	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1.3
-60ed8313:150849567c0:4585	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1
-60ed8313:150849567c0:438c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	3.8
-60ed8313:150849567c0:4548	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	95
-60ed8313:150849567c0:44f4	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	92.6
-60ed8313:150849567c0:4450	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	9
-60ed8313:150849567c0:434f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	3.7
-60ed8313:150849567c0:44b7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
-60ed8313:150849567c0:4413	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	7.1
-60ed8313:150849567c0:447a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	30
-60ed8313:150849567c0:443d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	18
-60ed8313:150849567c0:4501	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	88
-60ed8313:150849567c0:43ac	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	6.6
-60ed8313:150849567c0:4488	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	12.85
-60ed8313:150849567c0:4390	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	58
-60ed8313:150849567c0:452b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
-60ed8313:150849567c0:43f7	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	83.8
-60ed8313:150849567c0:4353	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	0.3
-60ed8313:150849567c0:4576	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	13
-60ed8313:150849567c0:437d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	1.3
-60ed8313:150849567c0:4539	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	95
-60ed8313:150849567c0:44e5	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	56.3
-60ed8313:150849567c0:4441	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	23
-60ed8313:150849567c0:44a8	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	90
-60ed8313:150849567c0:4404	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	3
-60ed8313:150849567c0:43b0	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.2
-60ed8313:150849567c0:446b	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	84
-60ed8313:150849567c0:442e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	12.5
-60ed8313:150849567c0:43da	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	25
-60ed8313:150849567c0:4479	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	60
-60ed8313:150849567c0:4381	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	77.8
-60ed8313:150849567c0:451c	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	17
-60ed8313:150849567c0:43e8	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	15.3
-60ed8313:150849567c0:4344	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	11
-60ed8313:150849567c0:4567	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	2
-60ed8313:150849567c0:436e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	1
-60ed8313:150849567c0:44d6	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
-60ed8313:150849567c0:4432	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	95
-60ed8313:150849567c0:43a1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	4.5
-60ed8313:150849567c0:445c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	23
-60ed8313:150849567c0:4520	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	30
-60ed8313:150849567c0:441f	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	1.9
-60ed8313:150849567c0:43cb	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	100
-60ed8313:150849567c0:4372	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.4
-60ed8313:150849567c0:450d	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	15.3
-60ed8313:150849567c0:43d9	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	1.3
-60ed8313:150849567c0:4335	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	1.8
-60ed8313:150849567c0:4595	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	0.08
-60ed8313:150849567c0:439c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	0.8
-60ed8313:150849567c0:4558	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	71
-60ed8313:150849567c0:4460	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	18
-60ed8313:150849567c0:435f	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	85.7
-60ed8313:150849567c0:44c7	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	2
-60ed8313:150849567c0:4423	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	1.2
-60ed8313:150849567c0:448a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	0.97
-60ed8313:150849567c0:444d	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	1
-60ed8313:150849567c0:4511	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	1
-60ed8313:150849567c0:43bc	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	5.6
-60ed8313:150849567c0:4498	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	10
-60ed8313:150849567c0:453b	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	2.6
-60ed8313:150849567c0:4363	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.3
-60ed8313:150849567c0:44aa	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	2
-60ed8313:150849567c0:4586	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
-60ed8313:150849567c0:438d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2
-60ed8313:150849567c0:4549	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	13
-60ed8313:150849567c0:44f5	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	7
-60ed8313:150849567c0:4451	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	45
-60ed8313:150849567c0:44b8	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	14
-60ed8313:150849567c0:4414	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	11
-60ed8313:150849567c0:43c0	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	1.5
-60ed8313:150849567c0:447b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	9
-60ed8313:150849567c0:443e	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.6
-60ed8313:150849567c0:43ea	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	1.1
-60ed8313:150849567c0:4502	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	8
-60ed8313:150849567c0:43ad	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	2.5
-60ed8313:150849567c0:4489	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	4.43
-60ed8313:150849567c0:4391	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	31
-60ed8313:150849567c0:452c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	98
-60ed8313:150849567c0:43f8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	6.5
-60ed8313:150849567c0:4354	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.2
-60ed8313:150849567c0:4577	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	12
-60ed8313:150849567c0:437e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	97.6
-60ed8313:150849567c0:44e6	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	36.3
-60ed8313:150849567c0:4442	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
-60ed8313:150849567c0:44a9	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	7
-60ed8313:150849567c0:4405	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	68
-60ed8313:150849567c0:43b1	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	0.2
-60ed8313:150849567c0:446c	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	90.1
-60ed8313:150849567c0:4530	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	13
-60ed8313:150849567c0:43db	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	38
-60ed8313:150849567c0:455a	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	6
-60ed8313:150849567c0:4382	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	17.3
-60ed8313:150849567c0:451d	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	12
-60ed8313:150849567c0:43e9	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.1
-60ed8313:150849567c0:4345	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	2
-60ed8313:150849567c0:4568	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	2
-60ed8313:150849567c0:4470	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	4
-60ed8313:150849567c0:436f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	81.2
-60ed8313:150849567c0:44d7	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	8
-60ed8313:150849567c0:4433	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	1.6
-60ed8313:150849567c0:449a	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	65.1
-60ed8313:150849567c0:43a2	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.5
-60ed8313:150849567c0:445d	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1.5
-60ed8313:150849567c0:4521	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	40
-60ed8313:150849567c0:43cc	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	78.2
-60ed8313:150849567c0:454b	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	31
-60ed8313:150849567c0:4373	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	59.3
-60ed8313:150849567c0:450e	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	10
-60ed8313:150849567c0:44ba	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	3
-60ed8313:150849567c0:4336	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	82.9
-60ed8313:150849567c0:4596	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	0.2
-60ed8313:150849567c0:439d	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	48
-60ed8313:150849567c0:4559	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	70
-60ed8313:150849567c0:4461	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	40
-60ed8313:150849567c0:44c8	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	4
-60ed8313:150849567c0:4424	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	1.1
-60ed8313:150849567c0:43d0	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	1.9
-60ed8313:150849567c0:448b	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	20
-60ed8313:150849567c0:444e	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	35
-60ed8313:150849567c0:43fa	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	90.6
-60ed8313:150849567c0:4512	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	65
-60ed8313:150849567c0:43bd	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	0.5
-60ed8313:150849567c0:4499	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	6
-60ed8313:150849567c0:453c	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	8.6
-60ed8313:150849567c0:4364	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	0.3
-60ed8313:150849567c0:44ab	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
-60ed8313:150849567c0:4587	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	6
-60ed8313:150849567c0:438e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	1.2
-60ed8313:150849567c0:44f6	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	97
-60ed8313:150849567c0:4452	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	90
-60ed8313:150849567c0:44b9	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	4
-60ed8313:150849567c0:4415	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	68
-60ed8313:150849567c0:43c1	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	83
-60ed8313:150849567c0:447c	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	54
-60ed8313:150849567c0:4540	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	23
-60ed8313:150849567c0:43eb	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	85
-60ed8313:150849567c0:4503	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	4
-60ed8313:150849567c0:43ae	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.3
-60ed8313:150849567c0:456a	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	26.9
-60ed8313:150849567c0:4392	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	63.1
-60ed8313:150849567c0:452d	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
-60ed8313:150849567c0:43f9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.5
-60ed8313:150849567c0:4355	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	91.5
-60ed8313:150849567c0:4578	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	11
-60ed8313:150849567c0:4480	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	7
-60ed8313:150849567c0:437f	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.6
-60ed8313:150849567c0:44e7	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	1.8
-60ed8313:150849567c0:4443	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	99
-60ed8313:150849567c0:4406	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	9
-60ed8313:150849567c0:43b2	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	84.54
-60ed8313:150849567c0:446d	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	4.6
-60ed8313:150849567c0:4531	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	45
-60ed8313:150849567c0:43dc	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	6
-60ed8313:150849567c0:44a0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	16
-60ed8313:150849567c0:455b	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	30
-60ed8313:150849567c0:4383	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	0.6
-60ed8313:150849567c0:451e	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	6
-60ed8313:150849567c0:44ca	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	92
-60ed8313:150849567c0:4346	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	5
-60ed8313:150849567c0:4569	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	34.5
-60ed8313:150849567c0:4471	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	80
-60ed8313:150849567c0:44d8	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	8
-60ed8313:150849567c0:4434	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	1.3
-60ed8313:150849567c0:43e0	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	51
-60ed8313:150849567c0:449b	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	12
-60ed8313:150849567c0:43a3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	0.9
-60ed8313:150849567c0:445e	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	95.5
-60ed8313:150849567c0:4522	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.2
-60ed8313:150849567c0:43cd	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	8.4
-60ed8313:150849567c0:454c	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	19
-60ed8313:150849567c0:4374	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	27.8
-60ed8313:150849567c0:450f	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	2
-60ed8313:150849567c0:44bb	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
-60ed8313:150849567c0:4337	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	0.9
-60ed8313:150849567c0:4597	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	27
-60ed8313:150849567c0:439e	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	37.1
-60ed8313:150849567c0:4462	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	10
-60ed8313:150849567c0:44c9	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	89
-60ed8313:150849567c0:4425	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	63.1
-60ed8313:150849567c0:43d1	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	55.4
-60ed8313:150849567c0:448c	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	20
-60ed8313:150849567c0:444f	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	4
-60ed8313:150849567c0:43fb	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	2.2
-60ed8313:150849567c0:4513	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	25
-60ed8313:150849567c0:43be	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	0.3
-60ed8313:150849567c0:457a	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	6
-60ed8313:150849567c0:453d	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	1
-60ed8313:150849567c0:4365	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.1
-60ed8313:150849567c0:44ac	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	14
-60ed8313:150849567c0:4588	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	1
-60ed8313:150849567c0:4490	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	3
-60ed8313:150849567c0:438f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	1.1
-60ed8313:150849567c0:44f7	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	30
-60ed8313:150849567c0:4453	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	10
-60ed8313:150849567c0:4416	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	22
-60ed8313:150849567c0:43c2	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	5
-60ed8313:150849567c0:447d	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	34.1
-60ed8313:150849567c0:4541	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	18
-60ed8313:150849567c0:43ec	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	5
-60ed8313:150849567c0:4504	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	45
-60ed8313:150849567c0:44b0	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	76.3
-60ed8313:150849567c0:43af	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	0.3
-60ed8313:150849567c0:456b	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	6.2
-60ed8313:150849567c0:4393	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	13.3
-60ed8313:150849567c0:452e	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	37
-60ed8313:150849567c0:44da	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	26
-60ed8313:150849567c0:4356	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	2.4
-60ed8313:150849567c0:4579	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	6
-60ed8313:150849567c0:4481	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	3.4
-60ed8313:150849567c0:44e8	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	100
-60ed8313:150849567c0:4444	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	45
-60ed8313:150849567c0:43f0	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	5
-60ed8313:150849567c0:4407	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	7
-60ed8313:150849567c0:43b3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	11.97
-60ed8313:150849567c0:446e	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	3.7
-60ed8313:150849567c0:4532	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1.1
-60ed8313:150849567c0:43dd	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	19
-60ed8313:150849567c0:44a1	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	11
-60ed8313:150849567c0:455c	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	40
-60ed8313:150849567c0:4384	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	0.5
-60ed8313:150849567c0:451f	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	10
-60ed8313:150849567c0:44cb	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	7
-60ed8313:150849567c0:4347	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	100
-60ed8313:150849567c0:4472	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	48.7
-60ed8313:150849567c0:44d9	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	58
-60ed8313:150849567c0:4435	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	95
-60ed8313:150849567c0:43e1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	2
-60ed8313:150849567c0:43a4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	0.5
-60ed8313:150849567c0:4560	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	5
-60ed8313:150849567c0:445f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	18
-60ed8313:150849567c0:4523	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	99.1
-60ed8313:150849567c0:43ce	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	5.8
-60ed8313:150849567c0:458a	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	12
-60ed8313:150849567c0:454d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	11
-60ed8313:150849567c0:4375	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	3.6
-60ed8313:150849567c0:44bc	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	80.2
-60ed8313:150849567c0:4338	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	3.9
-60ed8313:150849567c0:4598	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	68
-60ed8313:150849567c0:439f	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	14.3
-60ed8313:150849567c0:4463	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	6.4
-60ed8313:150849567c0:4426	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	23.7
-60ed8313:150849567c0:43d2	http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	44.3
-60ed8313:150849567c0:448d	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	40
-60ed8313:150849567c0:4551	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	27
-60ed8313:150849567c0:43fc	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	1.8
-60ed8313:150849567c0:4514	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	7
-60ed8313:150849567c0:44c0	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	100
-60ed8313:150849567c0:43bf	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	82.5
-60ed8313:150849567c0:457b	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
-60ed8313:150849567c0:453e	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	98
-60ed8313:150849567c0:44ea	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.8
-60ed8313:150849567c0:4366	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	0.1
-60ed8313:150849567c0:44ad	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	86
-60ed8313:150849567c0:4589	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	17
-60ed8313:150849567c0:4491	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	1
-60ed8313:150849567c0:44f8	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	30
-60ed8313:150849567c0:4454	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	90.3
-60ed8313:150849567c0:4417	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	9
-60ed8313:150849567c0:43c3	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	47
-60ed8313:150849567c0:447e	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	6.4
-60ed8313:150849567c0:4542	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	15
-60ed8313:150849567c0:43ed	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	4
-60ed8313:150849567c0:4505	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	37
-60ed8313:150849567c0:44b1	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	15.1
-60ed8313:150849567c0:456c	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	6.1
-60ed8313:150849567c0:4394	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	4.5
-60ed8313:150849567c0:452f	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	25
-60ed8313:150849567c0:44db	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	1.4
-60ed8313:150849567c0:4357	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	92.3
-60ed8313:150849567c0:4482	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	5.4
-60ed8313:150849567c0:44e9	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	0.3
-60ed8313:150849567c0:4445	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	14
-60ed8313:150849567c0:43f1	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	3
-60ed8313:150849567c0:4408	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	4
-60ed8313:150849567c0:43b4	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	1.38
-60ed8313:150849567c0:4570	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	1.7
-60ed8313:150849567c0:446f	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	80
-60ed8313:150849567c0:4533	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	98.7
-60ed8313:150849567c0:43de	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	91.5
-60ed8313:150849567c0:433a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	1.8
-60ed8313:150849567c0:459a	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	2
-60ed8313:150849567c0:44a2	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	95
-60ed8313:150849567c0:455d	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	20
-60ed8313:150849567c0:4385	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	0.5
-60ed8313:150849567c0:44cc	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	93.5
-60ed8313:150849567c0:4348	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	91.1
-60ed8313:150849567c0:4473	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	24.9
-60ed8313:150849567c0:4436	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	3
-60ed8313:150849567c0:43e2	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	24
-60ed8313:150849567c0:449d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	10.1
-60ed8313:150849567c0:43a5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	76.9
-60ed8313:150849567c0:4561	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	35
-60ed8313:150849567c0:4524	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	8.5
-60ed8313:150849567c0:44d0	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	12
-60ed8313:150849567c0:43cf	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	4.4
-60ed8313:150849567c0:458b	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	8
-60ed8313:150849567c0:454e	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	8
-60ed8313:150849567c0:44fa	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
-60ed8313:150849567c0:4376	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.5
-60ed8313:150849567c0:44bd	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	8
-60ed8313:150849567c0:4339	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.4
-60ed8313:150849567c0:4599	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	3
-60ed8313:150849567c0:4464	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	76.4
-60ed8313:150849567c0:4427	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	2.8
-60ed8313:150849567c0:43d3	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/English/	83.6
-60ed8313:150849567c0:448e	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	74
-60ed8313:150849567c0:4552	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	10
-60ed8313:150849567c0:43fd	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	1.5
-60ed8313:150849567c0:4515	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	3
-60ed8313:150849567c0:44c1	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	90.3
-60ed8313:150849567c0:457c	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	17
-60ed8313:150849567c0:453f	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	11
-60ed8313:150849567c0:44eb	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	4
-60ed8313:150849567c0:4367	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	91
-60ed8313:150849567c0:44ae	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	100
-60ed8313:150849567c0:440a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	25
-60ed8313:150849567c0:4492	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
-60ed8313:150849567c0:44f9	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	25
-60ed8313:150849567c0:4455	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	4
-60ed8313:150849567c0:4418	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	1
-60ed8313:150849567c0:4580	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	17
-60ed8313:150849567c0:447f	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	83.4
-60ed8313:150849567c0:4543	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	0.2
-60ed8313:150849567c0:43ee	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	80
-60ed8313:150849567c0:434a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	1
-60ed8313:150849567c0:4506	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
-60ed8313:150849567c0:44b2	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	3
-60ed8313:150849567c0:456d	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	4
-60ed8313:150849567c0:4395	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	4.3
-60ed8313:150849567c0:44dc	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	34.1
-60ed8313:150849567c0:4358	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	1.9
-60ed8313:150849567c0:45a0	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	100
-60ed8313:150849567c0:4483	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	28
-60ed8313:150849567c0:4446	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	7.5
-60ed8313:150849567c0:43f2	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	2.5
-60ed8313:150849567c0:4409	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	2
-60ed8313:150849567c0:43b5	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	68.7
-60ed8313:150849567c0:4571	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	1.7
-60ed8313:150849567c0:4534	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
-60ed8313:150849567c0:44e0	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	56.8
-60ed8313:150849567c0:43df	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	3
-60ed8313:150849567c0:433b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	1.1
-60ed8313:150849567c0:459b	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	3
-60ed8313:150849567c0:44a3	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	3
-60ed8313:150849567c0:455e	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	95
-60ed8313:150849567c0:4386	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	0.4
-60ed8313:150849567c0:44cd	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	46
-60ed8313:150849567c0:4349	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	1.6
-60ed8313:150849567c0:4474	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	10.6
-60ed8313:150849567c0:4437	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	94.9
-60ed8313:150849567c0:43e3	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	7
-60ed8313:150849567c0:449e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	100
-60ed8313:150849567c0:43a6	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	8
-60ed8313:150849567c0:4562	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	60
-60ed8313:150849567c0:4525	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	56
-60ed8313:150849567c0:44d1	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	78
-60ed8313:150849567c0:458c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	8
-60ed8313:150849567c0:454f	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	7
-60ed8313:150849567c0:44fb	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	53.7
-60ed8313:150849567c0:4377	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	2.4
-60ed8313:150849567c0:44be	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	0.4
-60ed8313:150849567c0:441a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	75
-60ed8313:150849567c0:4465	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	14.9
-60ed8313:150849567c0:4428	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.1
-60ed8313:150849567c0:43d4	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	8.6
-60ed8313:150849567c0:4330	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	93
-60ed8313:150849567c0:448f	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	20
-60ed8313:150849567c0:4553	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	21
-60ed8313:150849567c0:43fe	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	10
-60ed8313:150849567c0:435a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	2.6
-60ed8313:150849567c0:4516	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	67.2
-60ed8313:150849567c0:44c2	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	3.2
-60ed8313:150849567c0:457d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	36
-60ed8313:150849567c0:44ec	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	1.5
-60ed8313:150849567c0:4368	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	3
-60ed8313:150849567c0:44af	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	5
-60ed8313:150849567c0:440b	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	72
-60ed8313:150849567c0:4493	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	69
-60ed8313:150849567c0:4456	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	95
-60ed8313:150849567c0:4419	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	14
-60ed8313:150849567c0:43c5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	19
-60ed8313:150849567c0:4581	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	9
-60ed8313:150849567c0:4544	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99.8
-60ed8313:150849567c0:44f0	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	4
-60ed8313:150849567c0:43ef	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	5.5
-60ed8313:150849567c0:434b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	2
-60ed8313:150849567c0:4507	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	12
-60ed8313:150849567c0:44b3	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	1.2
-60ed8313:150849567c0:456e	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	2.5
-60ed8313:150849567c0:4396	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	2.3
-60ed8313:150849567c0:44dd	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	44.1
-60ed8313:150849567c0:4359	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	2
-60ed8313:150849567c0:45a1	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	100
-60ed8313:150849567c0:4484	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	23
-60ed8313:150849567c0:4447	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	7.5
-60ed8313:150849567c0:43f3	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	1.5
-60ed8313:150849567c0:43b6	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	25.6
-60ed8313:150849567c0:4572	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	85
-60ed8313:150849567c0:4535	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	24
-60ed8313:150849567c0:44e1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	8
-60ed8313:150849567c0:433c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	43
-60ed8313:150849567c0:459c	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	97
-60ed8313:150849567c0:44a4	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	2
-60ed8313:150849567c0:4400	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	63
-60ed8313:150849567c0:455f	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	5
-60ed8313:150849567c0:4387	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	0.3
-60ed8313:150849567c0:44ce	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	49
-60ed8313:150849567c0:442a	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	1.3
-60ed8313:150849567c0:4475	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	6.1
-60ed8313:150849567c0:4438	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	5
-60ed8313:150849567c0:43e4	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	2
-60ed8313:150849567c0:4340	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	92
-60ed8313:150849567c0:43a7	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	4.4
-60ed8313:150849567c0:4563	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	55
-60ed8313:150849567c0:436a	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	1
-60ed8313:150849567c0:4526	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	22
-60ed8313:150849567c0:44d2	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	37.1
-60ed8313:150849567c0:458d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	6
-60ed8313:150849567c0:44fc	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	38.5
-60ed8313:150849567c0:4378	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	1.3
-60ed8313:150849567c0:44bf	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	0.4
-60ed8313:150849567c0:441b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
-60ed8313:150849567c0:4466	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	74
-60ed8313:150849567c0:4429	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	1.4
-60ed8313:150849567c0:43d5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	4.9
-60ed8313:150849567c0:4331	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	64.2
-60ed8313:150849567c0:4591	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	3
-60ed8313:150849567c0:4554	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	4
-60ed8313:150849567c0:43ff	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	13
-60ed8313:150849567c0:435b	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	0.8
-60ed8313:150849567c0:4517	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/ethnicgroup/None/	31.5
-60ed8313:150849567c0:44c3	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	100
-60ed8313:150849567c0:457e	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	9
-60ed8313:150849567c0:44ed	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	93
-60ed8313:150849567c0:4369	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	2
-60ed8313:150849567c0:440c	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	3
-60ed8313:150849567c0:4494	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	17
-60ed8313:150849567c0:4457	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	17
-60ed8313:150849567c0:43c6	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	100
-60ed8313:150849567c0:4582	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	1
-60ed8313:150849567c0:4545	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	80
-60ed8313:150849567c0:44f1	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	94
-60ed8313:150849567c0:434c	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	2
-60ed8313:150849567c0:4508	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	43.5
-60ed8313:150849567c0:44b4	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	5
-60ed8313:150849567c0:4410	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	64
-60ed8313:150849567c0:456f	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	2.3
-60ed8313:150849567c0:4397	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	80.7
-60ed8313:150849567c0:44de	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	9
-60ed8313:150849567c0:443a	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	10
-60ed8313:150849567c0:4485	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	15
-60ed8313:150849567c0:4448	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	15
-60ed8313:150849567c0:43f4	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	97.7
-60ed8313:150849567c0:4350	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	1.9
-60ed8313:150849567c0:43b7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	2.1
-60ed8313:150849567c0:4573	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	1
-60ed8313:150849567c0:437a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	6.1
-60ed8313:150849567c0:4536	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
-60ed8313:150849567c0:433d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	32
-60ed8313:150849567c0:459d	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	50
-60ed8313:150849567c0:44a5	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	90
-60ed8313:150849567c0:4401	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	8
-60ed8313:150849567c0:4388	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	0.3
-60ed8313:150849567c0:44cf	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/ethnicgroup/French/	10
-60ed8313:150849567c0:442b	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	1.1
-60ed8313:150849567c0:4476	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	50
-60ed8313:150849567c0:4439	http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	70
-60ed8313:150849567c0:43e5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	2
-60ed8313:150849567c0:4341	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	5
-60ed8313:150849567c0:43a8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	2.5
-60ed8313:150849567c0:4564	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	30
-60ed8313:150849567c0:436b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	65
-60ed8313:150849567c0:4527	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	8
-60ed8313:150849567c0:44d3	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	26.3
-60ed8313:150849567c0:432e	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	95
-60ed8313:150849567c0:458e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	5
-60ed8313:150849567c0:44fd	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	6.2
-60ed8313:150849567c0:4379	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	84
-60ed8313:150849567c0:441c	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	90
-60ed8313:150849567c0:4467	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	18
-60ed8313:150849567c0:450a	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	9.1
-60ed8313:150849567c0:43d6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	2.9
-60ed8313:150849567c0:4332	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	25.2
-60ed8313:150849567c0:4592	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	3
-60ed8313:150849567c0:4555	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	4
-60ed8313:150849567c0:435c	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	0.7
-60ed8313:150849567c0:4518	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
-60ed8313:150849567c0:44c4	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	1
-60ed8313:150849567c0:4420	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	1.8
-60ed8313:150849567c0:457f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	9
-60ed8313:150849567c0:44ee	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	96
-60ed8313:150849567c0:444a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	5
-60ed8313:150849567c0:440d	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	50
-60ed8313:150849567c0:4495	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	9
-60ed8313:150849567c0:4458	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	83
-60ed8313:150849567c0:4360	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	9.7
-60ed8313:150849567c0:43c7	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	100
-60ed8313:150849567c0:4583	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	1
-60ed8313:150849567c0:438a	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	0.2
-60ed8313:150849567c0:4546	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	19
-60ed8313:150849567c0:44f2	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	100
-60ed8313:150849567c0:434d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/ethnicgroup/German/	0.9
-60ed8313:150849567c0:4509	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	30.2
-60ed8313:150849567c0:44b5	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	90
-60ed8313:150849567c0:43b8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	1.2
-60ed8313:150849567c0:4574	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	22
-60ed8313:150849567c0:437b	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	4.9
-60ed8313:150849567c0:4537	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/ethnicgroup/African/	99
-60ed8313:150849567c0:44e3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	4.6
-60ed8313:150849567c0:433e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	8
-60ed8313:150849567c0:459e	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/ethnicgroup/White/	25
-60ed8313:150849567c0:44a6	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/ethnicgroup/European/	9
\.


--
-- TOC entry 5841 (class 0 OID 93660)
-- Dependencies: 794
-- Data for Name: Female; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Female" ("URI", onlyfemaleprop, "hasMother", "hasFather") FROM stdin;
\.


--
-- TOC entry 5842 (class 0 OID 93666)
-- Dependencies: 795
-- Data for Name: Island; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Island" ("URI", "belongsToIslands", latitude, name, longitude, type, elevation) FROM stdin;
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	6.85	Ponape	158.2	volcanic	782
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	57.3	Skye	-6.3	\N	993
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/islands/Comores/	-12.46	Mayotte	45.13	volcanic	660
http://www.semwebtech.org/mondial/10/island/Rugen/	\N	54.5	Rugen	13.4	\N	161
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	10.4	Trinidad	-61.35	\N	940
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/islands/Philipines/	9.5	Palawan	118.4	\N	2085
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	-2	Ceram	128	\N	3027
http://www.semwebtech.org/mondial/10/island/Greenland/	\N	70	Greenland	-40	\N	\N
http://www.semwebtech.org/mondial/10/island/Iceland/	\N	65	Iceland	-18	volcanic	2119
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/islands/Laccadives/	10.6	Kavaratti	72.6	\N	2
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	50.6	Isle of Wight	-1.3	\N	241
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	62	Streymoy	-7	\N	789
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	1.1	Bintan	104.5	\N	348
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/islands/Madeira/	33	Porto Santo	-16.35	volcanic	517
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	38.7	Lefkas	20.6	\N	1158
http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	53.15	Olkhon	107.4	\N	1276
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	54.1	Isle of Man	-4.5	\N	621
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/islands/LineIslands/	1.9	Kiritimati	-157.4	atoll	13
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	\N	11.5	Isla da Ometepe	-85.6	\N	1700
http://www.semwebtech.org/mondial/10/island/Phuket/	\N	7.4	Phuket	98.4	\N	529
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	-14.3	Futuna	-178.1	volcanic	524
http://www.semwebtech.org/mondial/10/island/Lolland/	\N	54.4	Lolland	11.5	\N	25
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	-16.35	Vanua Levu	179.25	volcanic	1111
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/islands/Azores/	39.5	Flores	-31.2	volcanic	914
http://www.semwebtech.org/mondial/10/island/Langeland/	\N	55	Langeland	10.5	\N	46
http://www.semwebtech.org/mondial/10/island/Linosa/	\N	35.85	Linosa	13.85	volcanic	195
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/islands/Baleares/	38.5	Ibiza	1.5	\N	476
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	\N	-37.1	Tristan Da Cunha	-12.3	volcanic	2062
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	32.17	Grand Bermuda	-64.47	coral	79
http://www.semwebtech.org/mondial/10/island/Reunion/	\N	-20.9	Reunion	55.5	volcanic	3069
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	54.7	Fohr	8.5	\N	13
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	16.42	Montserrat	-62.13	volcanic	1050
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	0	Sumatra	102	\N	3805
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	19.8	Little Cayman	-80	\N	\N
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	57.4	North Uist	-7.1	\N	347
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	33	San Clemente Island	-118.5	\N	599
http://www.semwebtech.org/mondial/10/island/Samosir/	\N	2.6	Samosir	98.85	volcanic	\N
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	\N	74	Nowaja Semlja	56	\N	1547
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	79.25	Ellesmere Island	-79.6	\N	2616
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	57.2	South Uist	-7.2	\N	620
http://www.semwebtech.org/mondial/10/island/Sokotra/	\N	12.5	Sokotra	53.9	\N	1525
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	\N	47.85	Maly Zitny Ostrov	17.45	\N	\N
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	18.1	St. Martin	-63.1	\N	411
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	69	Baffin Island	72	\N	2147
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	57	Rhum	-6.3	volcanic	810
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/islands/Philipines/	16.1	Luzon	121	\N	2928
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	\N	47.95	Zitny Ostrov	17.65	\N	\N
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	53.5	Ameland	5.75	\N	\N
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	21.9	Niihau	-160.1	volcanic	381
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	14.6	Martinique	-61	volcanic	1397
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/islands/Baleares/	39.3	Mallorca	3	\N	1445
http://www.semwebtech.org/mondial/10/island/Bornholm/	\N	55.1	Bornholm	14.9	\N	162
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/islands/Philipines/	11.15	Panay	122.5	\N	2117
http://www.semwebtech.org/mondial/10/island/Madagaskar/	\N	-20	Madagaskar	46	\N	2876
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	17.05	Antigua	-61.8	\N	400
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/islands/Sporades/	37.7	Samos	26.8	\N	1434
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	17.95	Fogo	-24.4	volcanic	2829
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	64.5	Southampton Island	-84.5	\N	625
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/islands/Philipines/	10.4	Cebu	123.8	\N	1000
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	13	Barbados	-59.3	lime	336
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	12	Grenada	-62	volcanic	840
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	54.9	Sylt	8.3	\N	52.5
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/islands/Baleares/	40	Menorca	4	\N	358
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/islands/Sporades/	36.2	Rhodos	28	\N	1215
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	0.8	Ternate	127.3	\N	1721
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	14	Saint Lucia	-60.5	volcanic	950
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	-51.8	East Falkland	-58.8	\N	705
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	-13.6	Savaii	-172.4	volcanic	1858
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/islands/TongaIslands/	-21.2	Tongatapu	-175.15	coral	65
http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	24	Taiwan	121	\N	3950
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/islands/Canares/	28.1	Gomera	-17.3	volcanic	1487
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/islands/Philipines/	12	Samar	125.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	22	Kauai	-159.5	volcanic	1598
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	53.8	Wangerooge	7.9	\N	17
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	38.5	Lipari	14.95	volcanic	602
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	-9.2	Timor	124.9	\N	2963
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	22.1	North Caicos	-72.1	\N	20
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	\N	46.3	Prince Edward Island	-63.4	\N	142
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	22	Providenciales	-72.3	\N	\N
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	72.85	Banks Island	-122.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/islands/Aleutes/	63.9	Unalaska	-166.5	volcanic	2036
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	38.2	Kefallinia	20.6	\N	1628
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/islands/Philipines/	7.55	Mindanao	124.9	\N	2954
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	56	Jura	-6	\N	785
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/islands/Canares/	28.4	Fuerteventura	-14	volcanic	807
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	17	Nevis	-62.3	volcanic	985
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	38.6	Salina	14.9	volcanic	962
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	5.3	Labuan	115.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/islands/Canares/	29	Lanzarote	-13.6	volcanic	671
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	59.4	Westray	-3	\N	169
http://www.semwebtech.org/mondial/10/island/Helgoland/	\N	54.2	Helgoland	7.9	\N	61.3
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	55.3	Arran	-5.5	\N	874
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	53.65	Langeoog	7.5	\N	5
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	20.7	Maui	-156.3	volcanic	3055
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/islands/Japan/	26	Okinawa	128	volcanic	\N
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	57.45	Benbecula	-7.3	\N	124
http://www.semwebtech.org/mondial/10/island/Seeland/	\N	55.3	Seeland	12	\N	122
http://www.semwebtech.org/mondial/10/island/Nantucket/	\N	41.5	Nantucket	-70.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	56.3	Tiree	6.9	\N	141
http://www.semwebtech.org/mondial/10/island/Khark/	\N	29.1	Khark	50.2	\N	1394
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/islands/Carolines/	7.3	Koror	134.5	volcanic	100
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	70.75	Victoria Island	-110.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	19	Hispaniola	-70.7	\N	3098
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/islands/Malta/	35.9	Malta	14.5	lime	252
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/islands/CocosIslands/	-12.2	Pulau Panjang	96.9	atoll	9
http://www.semwebtech.org/mondial/10/island/Gheschm/	\N	\N	Gheschm	\N	\N	\N
http://www.semwebtech.org/mondial/10/island/Usedom/	\N	53.9	Usedom	14.1	\N	\N
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/islands/Philipines/	13	Mindoro	121.1	\N	2582
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	53.5	Ireland	-7.8	\N	1041
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	53.3	Anglesey	-4.4	\N	\N
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	\N	-11.3	Ilha do Bananal	-50.4	\N	\N
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	37.8	Zakynthos	20.75	\N	756
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/islands/Vanuatu/	-17.8	Efate	168.4	\N	647
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/islands/Tokelau/	-9.37	Fakaofo	-171.2	atoll	\N
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	13.25	Saint Vincent	-61.3	volcanic	1300
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	19.7	Cayman Brac	-79.8	\N	\N
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	49.6	Guernsey	-2.6	\N	111
http://www.semwebtech.org/mondial/10/island/Lampedusa/	\N	35.4	Lampedusa	13.2	volcanic	113
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/islands/Philipines/	10	Negros	123	\N	2435
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	17.9	St. Barthelemy	-62.82	\N	286
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/islands/Maldives/	2	Male	72	atoll	1
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	-6.1	Krakatau	105.6	volcanic	813
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/islands/IonicIslands/	39.6	Korfu	19.8	\N	906
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	38.4	Vulcano	15	volcanic	499
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/islands/Sporades/	36.8	Kos	27.1	\N	846
http://www.semwebtech.org/mondial/10/island/Newfoundland/	\N	48.6	Newfoundland	-55.8	\N	814
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	75.1	Devon Island	-87.85	\N	1920
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	-13.9	Upolu	-171.75	volcanic	1158
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	\N	75.4	Kotelny Island	141	\N	374
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/islands/CookIslands/	-21.12	Rarotonga	-159.46	volcanic	658
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	49.2	Jersey	-2.1	\N	136
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	50	Bishop Rock	-6.3	\N	\N
http://www.semwebtech.org/mondial/10/island/Fehmarn/	\N	54.4	Fehmarn	11.2	\N	27.2
http://www.semwebtech.org/mondial/10/island/Tasmania/	\N	-42	Tasmania	145	\N	1617
http://www.semwebtech.org/mondial/10/island/Falster/	\N	54.8	Falster	12	\N	44
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/islands/Azores/	37.7	Sao Miguel	-25.5	volcanic	1104
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	2.25	Bangka	106	\N	700
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	53.6	Baltrum	7.4	\N	5
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/islands/Sporades/	38.4	Chios	26.2	\N	1297
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/islands/Kyklades/	37.45	Mykonos	25.4	\N	341
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/islands/Azores/	37	Santa Maria	-25.1	volcanic	586
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/islands/Galapagos/	-1	Isabela	-91.3	volcanic	1707
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	22	Cuba	-79	\N	1974
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	58.6	South Ronaldsay	-3.1	\N	118
http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	-5	New Guinea	142	\N	4884
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/islands/Azores/	39.7	Corvo	-31.1	volcanic	718
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	16.15	Basse-Terre	-61.8	volcanic	1467
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/islands/Azores/	38.7	Terceira	-27.2	volcanic	1022
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	53.5	Schiermonnikoog	6.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	-14.16	Tutuila	-170.42	volcanic	653
http://www.semwebtech.org/mondial/10/island/Lavan/	\N	26.5	Lavan	53.1	\N	\N
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/islands/BritishIsles/	53	Great Britain	-1.5	\N	1344
http://www.semwebtech.org/mondial/10/island/Impalila/	\N	-17.77	Impalila	25.23	\N	818
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	60.3	Shetland Mainland	-1.3	\N	449
http://www.semwebtech.org/mondial/10/island/Sansibar/	\N	-6.1	Sansibar	39.3	\N	135
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/islands/Svalbard/	78.9	Svalbard	18.2	\N	1717
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/islands/Malta/	36.05	Gozo	14.3	lime	176
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	-25.04	Pitcairn	-130.05	volcanic	347
http://www.semwebtech.org/mondial/10/island/EasterIsland/	\N	-27.1	Easter Island	-109.35	volcanic	507
http://www.semwebtech.org/mondial/10/island/Sachalin/	\N	50	Sachalin	143	volcanic	1609
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	16.3	Grande-Terre	-61.4	lime	136
http://www.semwebtech.org/mondial/10/island/Bioko/	\N	3.5	Bioko	8.7	volcanic	3011
http://www.semwebtech.org/mondial/10/island/Bahrain/	\N	26	Bahrain	50.5	\N	135
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	\N	47.1	Miquelon-Langlade	-56.3	\N	240
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	15.4	Dominica	-61.35	volcanic	1447
http://www.semwebtech.org/mondial/10/island/Jeju/	\N	33.4	Jeju	126.5	volcanic	1950
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	21.1	Molokai	-157	volcanic	1512
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	-3.7	Ambon	128.2	\N	1225
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/islands/Lofotes/	68.3	Aust-Vagoey	14.6	\N	1146
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	-7.5	Java	111.25	\N	3676
http://www.semwebtech.org/mondial/10/island/Principe/	\N	1.6	Principe	7.4	volcanic	927
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	\N	44.8	Veliki Ratno Ostrvo	20.45	\N	\N
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/islands/Seychelles/	-4.65	Mahe	55.5	\N	905
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/islands/Canares/	28	Gran Canaria	-15.6	volcanic	1949
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	15.1	Santiago	-23.6	volcanic	1394
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	-0.2	Borneo	113.67	\N	4101
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	53.7	Norderney	7.9	\N	5
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/islands/Curiles/	50.5	Paramuschir	155.75	volcanic	1816
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	72.6	Prince of Wales Island	-98.55	\N	\N
http://www.semwebtech.org/mondial/10/island/LongIsland/	\N	40.8	Long Island	-73.3	\N	122
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	54.5	Pellworm	8.6	\N	2
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/islands/Sporades/	37.6	Ikaria	26.2	\N	1037
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	13.4	Guam	144.7	coral	\N
http://www.semwebtech.org/mondial/10/island/Oeland/	\N	57	Oeland	17	\N	55
http://www.semwebtech.org/mondial/10/island/Ascension/	\N	-7.9	Ascension	-14.4	volcanic	859
http://www.semwebtech.org/mondial/10/island/SaoTome/	\N	0.2	Sao Tome	6.6	volcanic	2024
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	38.65	Panarea	15.05	volcanic	421
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/islands/Sporades/	39.2	Lesbos	26.3	\N	968
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/islands/WallisIslands/	-13.16	Uvea	-176.2	volcanic	131
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	-8.4	Bali	115.1	volcanic	3142
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	38.8	Stromboli	15.15	volcanic	926
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	59	Orkney Mainland	-3.1	\N	271
http://www.semwebtech.org/mondial/10/island/SaintHelena/	\N	-15.56	Saint Helena	-5.44	volcanic	818
http://www.semwebtech.org/mondial/10/island/KoSamui/	\N	9.5	Ko Samui	100	\N	635
http://www.semwebtech.org/mondial/10/island/Mauritius/	\N	-20	Mauritius	57	volcanic	828
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	\N	49.6	Vancouver Island	-125.65	\N	2195
http://www.semwebtech.org/mondial/10/island/Nauru/	\N	-1	Nauru	167	coral	60
http://www.semwebtech.org/mondial/10/island/Dagoe/	\N	58.8	Dagoe	22.7	\N	\N
http://www.semwebtech.org/mondial/10/island/Sicilia/	\N	37	Sicilia	14	\N	3323
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	\N	-29	Norfolk Island	168	volcanic	318
http://www.semwebtech.org/mondial/10/island/Sardegna/	\N	40	Sardegna	9	\N	1834
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	11.4	South Andaman Island	92.5	\N	366
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/islands/Canares/	27.7	Hierro	-18	volcanic	1500
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/islands/Azores/	38.6	Sao Jorge	-28	volcanic	1053
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	56.45	Mull	6	\N	875
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	-22.16	Grande Terre	166.27	\N	1628
http://www.semwebtech.org/mondial/10/island/SaintPierre/	\N	47	Saint Pierre	-56	\N	\N
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	18.1	Jamaica	-77.3	\N	2256
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	12.2	Curacao	-69	\N	375
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	\N	41.4	Marthas Vineyard	-70.6	\N	\N
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	53.4	Terschelling	5.3	\N	\N
http://www.semwebtech.org/mondial/10/island/Niue/	\N	-19.01	Niue	-169.55	coral	67
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	15	Tinian	145.6	\N	171
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	-6.2	Bougainville	155.25	\N	2715
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	-51.8	West Falkland	-60.1	\N	700
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	25	New Providence	-77.4	\N	\N
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/islands/NewZealand/	-38.4	Te Ika-a-Maui (North Island)	175.7	\N	2797
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	\N	-35.8	Cangaroo Island	137.3	\N	307
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	17.3	Barbuda	-61.4	lime	38
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	0.6	Halmahera	127.9	\N	1635
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/islands/Philipines/	9.9	Bohol	124.2	\N	\N
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/islands/NewZealand/	-44	Te Waka-a-Maui (South Island)	170.4	\N	3754
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	12.31	Aruba	-70.02	\N	188
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	54.65	Amrum	8.3	\N	32
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	15.15	Rota	145.2	\N	495
http://www.semwebtech.org/mondial/10/island/SanAndres/	\N	12.5	San Andres	-81.7	\N	85
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	19.18	Grand Cayman	-81.23	\N	\N
http://www.semwebtech.org/mondial/10/island/Kreta/	\N	37	Kreta	25	\N	2456
http://www.semwebtech.org/mondial/10/island/Zhoushan/	\N	30.05	Zhoushan	122.15	\N	503
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	33.2	Santa Catalina Island	-118.2	\N	648
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/islands/Baleares/	38	Formentera	1.5	\N	192
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	53.25	Vlieland	5	\N	\N
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/islands/Comores/	-12.2	Anjouan	44.35	\N	\N
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	-8.5	Fongafale	179.1	atoll	\N
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	62.1	Islay	7	\N	491
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/islands/Carolines/	7.5	Babelthuap	134.6	volcanic	331
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	-8.8	Sumbawa	116.1	\N	2850
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	18.3	Saint Thomas	-64.9	\N	\N
http://www.semwebtech.org/mondial/10/island/Singapore/	\N	1.3	Singapore	103.833	\N	176
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	20.5	Lanai	-157	volcanic	1027
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/islands/Madeira/	31	Madeira	-16	volcanic	1861
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	34	Santa Cruz Island	-119.7	\N	747
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/islands/Azores/	38.6	Faial	-28.7	volcanic	1043
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	18	Anguilla	-64	\N	65
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	18.49	Puerto Rico	-66.12	\N	1338
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	11.25	Tobago	-60.7	\N	576
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	57	Barra	-7.7	\N	383
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	51.4	Rene Levasseur Island	-68.7	\N	952
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	\N	-12	Melville Island	131	\N	\N
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	53.8	Spiekeroog	7.6	\N	3
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/islands/Japan/	36.3	Honshu	138.6	volcanic	3776
http://www.semwebtech.org/mondial/10/island/Banaba/	\N	-0.85	Banaba	169.54	volcanic	81
http://www.semwebtech.org/mondial/10/island/SriLanka/	\N	7	Sri Lanka	80	\N	2524
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	38.6	Alicudi	14.4	volcanic	675
http://www.semwebtech.org/mondial/10/island/Oesel/	\N	58.3	Oesel	22	\N	54
http://www.semwebtech.org/mondial/10/island/Manitoulin/	\N	45.75	Manitoulin	-82.2	\N	\N
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	21.5	Oahu	-158	volcanic	1225
http://www.semwebtech.org/mondial/10/island/Pemba/	\N	-5.2	Pemba	39.7	\N	95
http://www.semwebtech.org/mondial/10/island/Gotland/	\N	57.5	Gotland	18.5	\N	82
http://www.semwebtech.org/mondial/10/island/MargitSziget/	\N	47.5	Margit Sziget	19.05	\N	\N
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	21.28	Grand Turk	-71.08	\N	20
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/islands/AlandIslands/	60.1	Aland	20	\N	\N
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/islands/Comores/	-11.7	Grand Comoro	43.4	\N	2361
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	53.1	Texel	4.8	\N	15
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	19.6	Hawaii	-155.5	volcanic	4214
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	-17.32	Tahiti	-149.34	volcanic	2241
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	53.6	Juist	7	\N	3
http://www.semwebtech.org/mondial/10/island/Corse/	\N	41.4	Corse	8.4	\N	2706
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/islands/Canares/	28.3	Teneriffa	-16.6	volcanic	3718
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/islands/Azores/	39	Graciosa	-28	volcanic	402
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	15.2	Saipan	145.75	volcanic	474
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	57.9	Lewis and Harris	-6.8	\N	799
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/islands/Kyklades/	37.45	Syros	24.9	\N	442
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	59.1	Hoy	-3.2	\N	479
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	-8.4	Lombok	116.5	volcanic	3726
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	17.3	Saint Kitts	-62.75	volcanic	1156
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	18.27	Tortola	-64.37	volcanic	521
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/islands/Azores/	38.5	Pico	-28.4	volcanic	2351
http://www.semwebtech.org/mondial/10/island/Cyprus/	\N	35.4	Cyprus	33.2	\N	1952
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/islands/Canares/	28.7	La Palma	-17.9	volcanic	2426
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	34	Santa Rosa Island	-120.1	\N	484
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	33	San Miguel Island	-120.4	\N	259
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	\N	-10.25	Christmas Island	105.43	coral	350
http://www.semwebtech.org/mondial/10/island/Hainan/	\N	19.1	Hainan	109.6	\N	1897
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/islands/FijiIslands/	-17.8	Viti Levu	178	volcanic	1394
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/islands/LipariIslands/	38.6	Filicudi	14.55	volcanic	774
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/islands/SundaIslands/	-2.1	Sulawesi	120.3	volcanic	3455
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/islands/Japan/	34	Shikoku	134	volcanic	1965
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	53.6	Borkum	6.7	\N	6
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/islands/Philipines/	11	Leyte	124.9	\N	\N
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	-9.6	Guadalcanal	160.2	\N	2335
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/islands/RiauIslands/	1.1	Batam	104.05	\N	\N
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	1.4	Tarawa	173	atoll	\N
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/islands/Comores/	-12.25	Mohilla	43.75	\N	\N
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/islands/Japan/	43.3	Hokkaido	143	volcanic	2290
http://www.semwebtech.org/mondial/10/island/Fuenen/	\N	55.35	Fuenen	10.25	\N	131
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	7.1	Majuro	171.4	atoll	\N
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/islands/Japan/	32	Kyushu	131	volcanic	1758
\.


--
-- TOC entry 5843 (class 0 OID 93672)
-- Dependencies: 796
-- Data for Name: Islands; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Islands" ("URI", latitude, type, longitude, elevation, name) FROM stdin;
http://www.semwebtech.org/mondial/10/islands/Seychelles/	\N	\N	\N	\N	Seychelles
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	\N	\N	\N	\N	Cayman Islands
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	\N	\N	\N	\N	Ellice Islands
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	\N	\N	\N	\N	New Caledonia
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	\N	\N	\N	\N	Scilly Islands
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	\N	\N	\N	\N	Inner Hebrides
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	\N	\N	\N	\N	Outer Hebrides
http://www.semwebtech.org/mondial/10/islands/Malta/	\N	\N	\N	\N	Malta
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	\N	\N	\N	\N	Lipari Islands
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	\N	\N	\N	\N	Bermuda Islands
http://www.semwebtech.org/mondial/10/islands/Kyklades/	\N	\N	\N	\N	Kyklades
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	\N	\N	\N	\N	Cape Verdes
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	\N	\N	\N	\N	Wallis Islands
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	\N	\N	\N	\N	Faroe Islands
http://www.semwebtech.org/mondial/10/islands/Tokelau/	\N	\N	\N	\N	Tokelau
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	\N	\N	\N	\N	Polynesian Islands
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	\N	\N	\N	\N	Mariana Islands
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	\N	\N	\N	\N	Marshall Islands
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	\N	\N	\N	\N	Andaman Islands
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	\N	\N	\N	\N	Ostfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	\N	\N	\N	\N	Turks and Caicos Islands
http://www.semwebtech.org/mondial/10/islands/Philipines/	\N	\N	\N	\N	Philipines
http://www.semwebtech.org/mondial/10/islands/Japan/	\N	\N	\N	\N	Japan
http://www.semwebtech.org/mondial/10/islands/Svalbard/	\N	\N	\N	\N	Svalbard
http://www.semwebtech.org/mondial/10/islands/Laccadives/	\N	\N	\N	\N	Laccadives
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	\N	\N	\N	\N	Greater Antilles
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	\N	\N	\N	\N	Hawaii Islands
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	\N	\N	\N	\N	Nordfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	\N	\N	\N	\N	Lesser Antilles
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	\N	\N	\N	\N	Cocos Islands
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	\N	\N	\N	\N	Falkland Islands
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	\N	\N	\N	\N	Canadian Arctic Islands
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	\N	\N	\N	\N	Samoan Islands
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	\N	\N	\N	\N	Sunda Islands
http://www.semwebtech.org/mondial/10/islands/Aleutes/	\N	\N	\N	\N	Aleutes
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	\N	\N	\N	\N	Shetland Islands
http://www.semwebtech.org/mondial/10/islands/NewZealand/	\N	\N	\N	\N	New Zealand
http://www.semwebtech.org/mondial/10/islands/Maldives/	\N	\N	\N	\N	Maldives
http://www.semwebtech.org/mondial/10/islands/Sporades/	\N	\N	\N	\N	Sporades
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	\N	\N	\N	\N	Solomon Islands
http://www.semwebtech.org/mondial/10/islands/Baleares/	\N	\N	\N	\N	Baleares
http://www.semwebtech.org/mondial/10/islands/CookIslands/	\N	\N	\N	\N	Cook Islands
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	\N	\N	\N	\N	Gilbert Islands
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	\N	\N	\N	\N	Vanuatu
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	\N	\N	\N	\N	Orkney Islands
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	\N	\N	\N	\N	Pitcairn Islands
http://www.semwebtech.org/mondial/10/islands/Madeira/	\N	\N	\N	\N	Madeira
http://www.semwebtech.org/mondial/10/islands/Comores/	\N	\N	\N	\N	Comores
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	\N	\N	\N	\N	British Isles
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	\N	\N	\N	\N	Bahama Islands
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	\N	\N	\N	\N	Californian Channel Islands
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	\N	\N	\N	\N	Ionic Islands
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	\N	\N	\N	\N	Micronesian Islands
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	\N	\N	\N	\N	Aland Islands
http://www.semwebtech.org/mondial/10/islands/Lofotes/	\N	\N	\N	\N	Lofotes
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	\N	\N	\N	\N	Tonga Islands
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	\N	\N	\N	\N	Riau Islands
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	\N	\N	\N	\N	Futuna Islands
http://www.semwebtech.org/mondial/10/islands/Azores/	\N	\N	\N	\N	Azores
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	\N	\N	\N	\N	Moluccan Islands
http://www.semwebtech.org/mondial/10/islands/Curiles/	\N	\N	\N	\N	Curiles
http://www.semwebtech.org/mondial/10/islands/Canares/	\N	\N	\N	\N	Canares
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	\N	\N	\N	\N	Fiji Islands
http://www.semwebtech.org/mondial/10/islands/Carolines/	\N	\N	\N	\N	Carolines
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	\N	\N	\N	\N	Channel Islands
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	\N	\N	\N	\N	Westfriesische Inseln
http://www.semwebtech.org/mondial/10/islands/LineIslands/	\N	\N	\N	\N	Line Islands
http://www.semwebtech.org/mondial/10/islands/Galapagos/	\N	\N	\N	\N	Galapagos
\.


--
-- TOC entry 5844 (class 0 OID 93678)
-- Dependencies: 797
-- Data for Name: Lake; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Lake" ("URI", type, longitude, latitude, depth, elevation, "flowsInto", "flowsThrough_Inv") FROM stdin;
http://www.semwebtech.org/mondial/10/lake/LakePowell/	dam	-111.5	36.9	171	1127	http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/river/Colorado/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	dam	32.7	-15.6	\N	326	http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	\N	21	40.9	54	849	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeVan/	salt	42.9	38.6	457	1719	\N	\N
http://www.semwebtech.org/mondial/10/lake/Inari/	\N	27.7	68.95	92	119	http://www.semwebtech.org/mondial/10/river/Paatsjoki/	\N
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	salt	36.85	4.7	7.5	520	\N	\N
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	caldera	7.3	50.4	53	275	\N	\N
http://www.semwebtech.org/mondial/10/lake/LochNess/	\N	-4.44	57.31	226	16	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	\N	-82	45.76	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	dam	30.5	50.6	8	\N	http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	dam	32.65	49.2	28	44	http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	dam	0.5	6.3	130	\N	http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/river/Volta/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	\N	18.3	-2.05	10	300	http://www.semwebtech.org/mondial/10/river/Fimi/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	salt	59.62	44.81	35	31	\N	\N
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	dam	34.2	47.45	26	44	http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	\N	30.9	1.7	48	619	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	\N
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	\N	-73.35	44.56	121	30	http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	\N
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	\N	-86.4	12.35	20	39	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/river/RioSanJuan/
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	salt	21	-25.5	0	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	\N	121.35	14.4	20	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	salt	51	41	995	-28	\N	\N
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	salt	16	-18.8	0	1000	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeMead/	dam	-114.75	36.05	180	372	http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/river/Colorado/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	\N	14.5	58.3	119	88	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	salt	35	-3.6	\N	1030	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	\N	33	1.5	5.7	914	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/river/VictoriaNile/
http://www.semwebtech.org/mondial/10/lake/Storuman/	\N	16.88	65.22	139	419	http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	\N	-85	35.4	\N	\N	http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	\N	-4.59	56.08	190	7.9	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	\N	-71.3	43.6	55	153	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	\N
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	salt	35.7	-15.3	2	474	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	salt	36.1	3.6	73	375	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	acid	-83.9	10	\N	3200	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	\N	28.7	-9	27	931	http://www.semwebtech.org/mondial/10/river/Luvua/	\N
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	\N	-85.35	11.6	45	31	http://www.semwebtech.org/mondial/10/river/RioSanJuan/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	\N	101.6	74.5	26	5	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	\N	30	-6	1470	782	http://www.semwebtech.org/mondial/10/river/Lukuga/	\N
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	\N	11.32	47.92	127.7	584	http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/river/Würm/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	\N	19.3	42.2	44	7	http://www.semwebtech.org/mondial/10/river/Buna/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	\N	108	53	1637	455	http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	\N	-76.12	-11.02	12	4082	http://www.semwebtech.org/mondial/10/river/Mantaro/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	\N	31.53	60.82	225	4	http://www.semwebtech.org/mondial/10/river/Newa/	\N
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	salt	41.8	11.2	37	243	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeToba/	caldera	98.8	2.6	505	905	http://www.semwebtech.org/mondial/10/river/Asahan/	\N
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	\N	-97.97	52.77	18	218	http://www.semwebtech.org/mondial/10/river/NelsonRiver/	\N
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	salt	100.2	36.9	\N	3195	\N	\N
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	dam	-40.7	-9.46	\N	\N	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	\N	-80.8	26.94	4	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	salt	61.2	30.8	\N	500	\N	\N
http://www.semwebtech.org/mondial/10/lake/Poopo/	salt	-67.1	-18.55	4	3686	\N	\N
http://www.semwebtech.org/mondial/10/lake/Saimaa/	\N	28	61.3	85	76	http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/river/Vuoksi/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	\N	-113.9	61.7	614	156	http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	\N
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	crater	-67.9	-22.8	\N	5600	\N	\N
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	caldera	116.45	-8.4	190	2008	http://www.semwebtech.org/mondial/10/river/Asahan/	\N
http://www.semwebtech.org/mondial/10/lake/Maelaren/	\N	17.1	59.4	66	0.7	http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	\N	27.7	62.9	\N	\N	http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/river/Vuoksi/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	dam	148.6	-36.45	\N	915	http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/river/SnowyRiver/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	dam	-106.4	48	67	\N	http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	\N	-103.05	20.22	12	1520	http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	\N	34	-12	704	474	http://www.semwebtech.org/mondial/10/river/Chire/	\N
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	\N	38.75	38.8	\N	\N	http://www.semwebtech.org/mondial/10/river/Euphrat/	\N
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	\N	16.7	47.8	1.8	115.5	\N	\N
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	naturaldam	72.75	38.2	500	3250	http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/river/Murgab/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	\N	15.5	-4.3	10	272	http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	\N	29.7	-11.2	4	1140	http://www.semwebtech.org/mondial/10/river/Luapula/	\N
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	\N	8.6	45.95	372	193	http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	\N	-87.37	47.7675	405	184	http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	\N
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	dam	4.5	10.4	\N	\N	http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	salt	37.8	6.3	13	619	\N	\N
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	\N	11	60.65	449	123	http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/river/Lagen/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	\N	20.7	41	289	695	http://www.semwebtech.org/mondial/10/river/BlackDrin/	\N
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	salt	-67.5	-20.1	0	3650	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	dam	148.6	-36.1	\N	1200	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	\N	-88.3	37	\N	\N	http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	dam	-101.42	47.48	55	\N	http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	caldera	12.1	43.1	7	259	\N	\N
http://www.semwebtech.org/mondial/10/lake/LopNor/	salt	90.6	40.2	0	780	\N	\N
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	salt	74.88	46.55	26	342	\N	\N
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	caldera	11.9	42.6	151	335	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	impact	-1.4	6.5	81	107	\N	\N
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	caldera	12.2	42.1	160	164	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	salt	36	-2.4	2	600	\N	\N
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	salt	-112.6	41.15	10	1279	\N	\N
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	dam	-119	47.95	\N	\N	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	\N	147	-36.1	\N	\N	http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/river/MurrayRiver/
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	salt	23	-20.5	2	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	salt	45.3	37.7	7	1280	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	\N	-120	39	501	1900	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	\N
http://www.semwebtech.org/mondial/10/lake/LakeErie/	\N	-81.27	42.16	64	174	http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	\N
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	impact	-68.7	51.4	\N	350	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	caldera	10.3	6.44	208	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/Arresoe/	\N	12.1	56	5.6	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	\N	-120.6	65.9	446	156	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	dam	31.75	22.4	180	183	http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	salt	-119.57	40.03	108	1155	\N	\N
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	\N	77.5	54.9	106	10	\N	\N
http://www.semwebtech.org/mondial/10/lake/LacAssal/	salt	42.4	11.65	\N	-155	\N	\N
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	salt	77.2	42.4	668	1609	\N	\N
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	\N	8.4	47	214	434	http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	\N	7.716	46.69	217	558	http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	salt	14	13.2	7	250	\N	\N
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	salt	51.88	34.5	1	790	\N	\N
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	\N	132.4	45	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	\N	12.4	47.9	73	518	http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/river/Alz/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	\N	10.65	45.6	346	65	http://www.semwebtech.org/mondial/10/river/Mincio/	\N
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	dam	149.1	-35.3	\N	556	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	salt	35.5	31.3	378	-422	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	\N	-77.96	43.695	244	75	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	\N
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	\N	-88.5	49.83	165	260	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	\N	-87.08	43.69	281	176	http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	\N
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	\N	29.2	-1.8	450	1462	http://www.semwebtech.org/mondial/10/river/Ruzizi/	\N
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	dam	-100.4	44.45	\N	\N	http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	salt	32.35	-8	5	800	\N	\N
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	\N	35.6	32.81	46	-212	http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/river/Jordan/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	dam	49.45	53.5	41	53	http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	\N	37.3	12	14	1830	http://www.semwebtech.org/mondial/10/river/BlueNile/	\N
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	\N	-69.33	-15.84	281	3812	http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	\N
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	\N	8.236313	47.501794	136	406	http://www.semwebtech.org/mondial/10/river/Limmat/	\N
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	salt	137.3	-28.6	4	-17	\N	\N
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	salt	-62.67	-30.5	19	71	\N	\N
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	\N	27.49	58.68	14.6	30	http://www.semwebtech.org/mondial/10/river/Narva/	\N
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	\N	-71.55	9.72	50	0	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	\N	35.485	61.67	127	33	http://www.semwebtech.org/mondial/10/river/Swir/	\N
http://www.semwebtech.org/mondial/10/lake/Vaenern/	\N	13.3	58.8	106	44	http://www.semwebtech.org/mondial/10/river/Goetaaelv/	\N
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	\N	33	-1	85	1134	http://www.semwebtech.org/mondial/10/river/VictoriaNile/	\N
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	dam	28.75	-16.5	32	\N	http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	\N	9.3	46	425	197	http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/river/Adda/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	\N	7.97	46.73	260	564	http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	\N	-133.75	59.5	283	668	http://www.semwebtech.org/mondial/10/river/YukonRiver/	\N
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	\N	-1.5	40.96	1.5	995	\N	\N
http://www.semwebtech.org/mondial/10/lake/CraterLake/	caldera	-122.1	42.9	594	1883	\N	\N
http://www.semwebtech.org/mondial/10/lake/LacLeman/	\N	6.5	46.5	310	372	http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	\N	9.4	47.6	254	395	http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	dam	12.75	6.4	\N	\N	http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/river/Sanaga/
http://www.semwebtech.org/mondial/10/lake/Siljan/	impact	14.8	60.85	134	161	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	\N	11.6	48	81.1	533	http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/river/Ammer/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	\N	29.6	-0.35	112	920	http://www.semwebtech.org/mondial/10/river/Semliki/	\N
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	\N	25.4	61.5	95	78	http://www.semwebtech.org/mondial/10/river/Kymijoki/	\N
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	\N	-82.44	44.795	229	176	http://www.semwebtech.org/mondial/10/river/DetroitRiver/	\N
http://www.semwebtech.org/mondial/10/lake/NamCo/	salt	90.55	30.7	125	4718	\N	\N
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	asphalt	-61.64	10.24	75	\N	\N	\N
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	\N	27.25	64.3	35	123	http://www.semwebtech.org/mondial/10/river/Oulujoki/	\N
http://www.semwebtech.org/mondial/10/lake/Balaton/	\N	17.6	46.8	12.5	104	\N	\N
\.


--
-- TOC entry 5845 (class 0 OID 93684)
-- Dependencies: 798
-- Data for Name: Language; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Language" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/language/Pitkern/	Pitkern
http://www.semwebtech.org/mondial/10/language/Gagauz/	Gagauz
http://www.semwebtech.org/mondial/10/language/Brahui/	Brahui
http://www.semwebtech.org/mondial/10/language/English/	English
http://www.semwebtech.org/mondial/10/language/Slovene/	Slovene
http://www.semwebtech.org/mondial/10/language/Arabic/	Arabic
http://www.semwebtech.org/mondial/10/language/Punjabi/	Punjabi
http://www.semwebtech.org/mondial/10/language/Futunian/	Futunian
http://www.semwebtech.org/mondial/10/language/Estonian/	Estonian
http://www.semwebtech.org/mondial/10/language/Creole/	Creole
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Serbo-Croatian
http://www.semwebtech.org/mondial/10/language/Albanian/	Albanian
http://www.semwebtech.org/mondial/10/language/Garifuna/	Garifuna
http://www.semwebtech.org/mondial/10/language/Maori/	Maori
http://www.semwebtech.org/mondial/10/language/French/	French
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Philipine Language
http://www.semwebtech.org/mondial/10/language/Quechua/	Quechua
http://www.semwebtech.org/mondial/10/language/Chinese/	Chinese
http://www.semwebtech.org/mondial/10/language/Belorussian/	Belorussian
http://www.semwebtech.org/mondial/10/language/Amerindian/	Amerindian
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Bulgarian
http://www.semwebtech.org/mondial/10/language/Korean/	Korean
http://www.semwebtech.org/mondial/10/language/Swedish/	Swedish
http://www.semwebtech.org/mondial/10/language/Portuguese/	Portuguese
http://www.semwebtech.org/mondial/10/language/Finnish/	Finnish
http://www.semwebtech.org/mondial/10/language/Serbian/	Serbian
http://www.semwebtech.org/mondial/10/language/Bosnian/	Bosnian
http://www.semwebtech.org/mondial/10/language/Siraiki/	Siraiki
http://www.semwebtech.org/mondial/10/language/Japanese/	Japanese
http://www.semwebtech.org/mondial/10/language/Basque/	Basque
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Luxembourgish
http://www.semwebtech.org/mondial/10/language/Greek/	Greek
http://www.semwebtech.org/mondial/10/language/Hebrew/	Hebrew
http://www.semwebtech.org/mondial/10/language/Turkic/	Turkic
http://www.semwebtech.org/mondial/10/language/Danish/	Danish
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Montenegrin
http://www.semwebtech.org/mondial/10/language/Dungun/	Dungun
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Kyrgyz
http://www.semwebtech.org/mondial/10/language/Hindko/	Hindko
http://www.semwebtech.org/mondial/10/language/Azeri/	Azeri
http://www.semwebtech.org/mondial/10/language/Kurdish/	Kurdish
http://www.semwebtech.org/mondial/10/language/Slovenian/	Slovenian
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Chinese Language
http://www.semwebtech.org/mondial/10/language/Italian/	Italian
http://www.semwebtech.org/mondial/10/language/Persian/	Persian
http://www.semwebtech.org/mondial/10/language/Slovak/	Slovak
http://www.semwebtech.org/mondial/10/language/Sinhala/	Sinhala
http://www.semwebtech.org/mondial/10/language/Georgian/	Georgian
http://www.semwebtech.org/mondial/10/language/Russian/	Russian
http://www.semwebtech.org/mondial/10/language/Galician/	Galician
http://www.semwebtech.org/mondial/10/language/Miskito/	Miskito
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Khalkha Mongol
http://www.semwebtech.org/mondial/10/language/Luri/	Luri
http://www.semwebtech.org/mondial/10/language/Kurd/	Kurd
http://www.semwebtech.org/mondial/10/language/Bambara/	Bambara
http://www.semwebtech.org/mondial/10/language/Aymara/	Aymara
http://www.semwebtech.org/mondial/10/language/Latvian/	Latvian
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Ukrainian
http://www.semwebtech.org/mondial/10/language/Somali/	Somali
http://www.semwebtech.org/mondial/10/language/Wallisian/	Wallisian
http://www.semwebtech.org/mondial/10/language/Sindhi/	Sindhi
http://www.semwebtech.org/mondial/10/language/Armenian/	Armenian
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Mayan Dialects
http://www.semwebtech.org/mondial/10/language/Polish/	Polish
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Other Pacific Island Language
http://www.semwebtech.org/mondial/10/language/Romanian/	Romanian
http://www.semwebtech.org/mondial/10/language/Tajik/	Tajik
http://www.semwebtech.org/mondial/10/language/Spanish/	Spanish
http://www.semwebtech.org/mondial/10/language/German/	German
http://www.semwebtech.org/mondial/10/language/Kazakh/	Kazakh
http://www.semwebtech.org/mondial/10/language/Tongan/	Tongan
http://www.semwebtech.org/mondial/10/language/Urdu/	Urdu
http://www.semwebtech.org/mondial/10/language/Turkish/	Turkish
http://www.semwebtech.org/mondial/10/language/Tamil/	Tamil
http://www.semwebtech.org/mondial/10/language/Chamorro/	Chamorro
http://www.semwebtech.org/mondial/10/language/Polynesian/	Polynesian
http://www.semwebtech.org/mondial/10/language/Hungarian/	Hungarian
http://www.semwebtech.org/mondial/10/language/Uzbek/	Uzbek
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Lithuanian
http://www.semwebtech.org/mondial/10/language/Balochi/	Balochi
http://www.semwebtech.org/mondial/10/language/Croatian/	Croatian
http://www.semwebtech.org/mondial/10/language/Lezgi/	Lezgi
http://www.semwebtech.org/mondial/10/language/Burmese/	Burmese
http://www.semwebtech.org/mondial/10/language/Pashtu/	Pashtu
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Afrikaans
http://www.semwebtech.org/mondial/10/language/Catalan/	Catalan
http://www.semwebtech.org/mondial/10/language/Hindi/	Hindi
http://www.semwebtech.org/mondial/10/language/Norwegian/	Norwegian
http://www.semwebtech.org/mondial/10/language/Icelandic/	Icelandic
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Vietnamese
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Afghan Persian
http://www.semwebtech.org/mondial/10/language/Samoan/	Samoan
http://www.semwebtech.org/mondial/10/language/Maltese/	Maltese
http://www.semwebtech.org/mondial/10/language/Roma/	Roma
http://www.semwebtech.org/mondial/10/language/Macedonian/	Macedonian
http://www.semwebtech.org/mondial/10/language/Nepali/	Nepali
http://www.semwebtech.org/mondial/10/language/Guarani/	Guarani
http://www.semwebtech.org/mondial/10/language/Papiamento/	Papiamento
http://www.semwebtech.org/mondial/10/language/Romansch/	Romansch
http://www.semwebtech.org/mondial/10/language/Dutch/	Dutch
http://www.semwebtech.org/mondial/10/language/Turkmen/	Turkmen
http://www.semwebtech.org/mondial/10/language/Monegasque/	Monegasque
http://www.semwebtech.org/mondial/10/language/Czech/	Czech
\.


--
-- TOC entry 5846 (class 0 OID 93687)
-- Dependencies: 799
-- Data for Name: Male; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Male" ("URI", "hasMother", "hasFather") FROM stdin;
\.


--
-- TOC entry 5847 (class 0 OID 93693)
-- Dependencies: 800
-- Data for Name: Membership; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Membership" ("URI", "ofMember", "inOrganization", type) FROM stdin;
-60ed8313:150849567c0:1fd4	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:28d6	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:285c	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2dfd	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:25b6	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3446	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
-60ed8313:150849567c0:3571	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:33df	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1d9d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:3e77	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3970	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3b0c	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:211f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3650	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2f9b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2d86	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:218a	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1bd6	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2694	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2b91	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3e59	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2114	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:2c05	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1eca	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:1f69	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:2be9	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1e5e	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:3572	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:288b	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:23c2	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3c18	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3de7	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:31eb	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:36aa	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:283f	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:35c0	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2b27	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2c52	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3b86	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:357e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3369	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:31e0	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:21b9	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3049	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2d31	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3c65	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3d90	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2ab5	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2be0	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3ea8	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:32f7	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3712	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2357	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:36ab	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3652	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2037	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2756	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3d9c	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3555	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1985	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:2b93	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:31e1	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:36a0	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2241	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3175	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:36d8	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2279	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3b5b	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:33b8	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:288d	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2678	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2eb5	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:301e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:2daa	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:2e49	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:224d	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:296c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2757	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3097	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:264c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1a00	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2562	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:232c	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3cd3	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2242	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3176	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:36d9	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d92	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2999	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:19fe	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1b17	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
-60ed8313:150849567c0:32ae	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2eb6	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:1a57	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
-60ed8313:150849567c0:2dab	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3c3b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:224e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3bf5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2758	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3aea	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:32a3	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1c61	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:1a2b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:31e3	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:2da0	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:258d	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3f88	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:29bb	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2dd8	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:21dc	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1e38	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
-60ed8313:150849567c0:1f63	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:25b1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1c43	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:24f1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:2fe2	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3840	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2485	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2f76	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:237a	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:19f4	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2624	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:20fe	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1988	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:2304	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1bfb	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
-60ed8313:150849567c0:3d29	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:22e8	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2703	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2c00	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2cce	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1f64	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:2be4	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:25dc	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3901	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
-60ed8313:150849567c0:1a0e	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:22bc	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1b84	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:30bb	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2f77	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1fdc	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1dc7	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:26c9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:205b	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:1aa7	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:3ec1	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3499	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:245a	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:22e9	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:384d	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:28d3	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3d95	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:20f4	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1d2f	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
-60ed8313:150849567c0:34e7	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3f34	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2b79	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1d9a	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:3842	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2487	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:37db	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:19ab	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1d24	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2292	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2d83	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:251b	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33d1	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:1aa8	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2b4d	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a04	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:1bd3	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:344f	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3ec2	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2306	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2566	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33fb	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2b98	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1980	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:331a	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2789	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24d5	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:357a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2431	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:379d	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
-60ed8313:150849567c0:2654	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c86	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:196d	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:25ed	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3f44	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3008	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:2ff4	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2dbe	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:2497	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2f88	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1fed	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1962	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2c68	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:206c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:2b5d	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2316	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31f6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:3709	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:29ce	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2121	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:2840	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3b46	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1944	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:25c4	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34f8	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
-60ed8313:150849567c0:1c56	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:22a4	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3134	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2a7f	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3d50	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:37ec	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2ba0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c90	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2637	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2d94	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:2b5e	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3ed3	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:38cb	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:220c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3e67	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:21c6	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2c13	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3515	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:1945	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2879	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2373	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f30	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2707	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2d39	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bce	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2967	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b2a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37fc	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1a9b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2f99	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:26b3	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e2f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2ce5	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1e6c	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:34f9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
-60ed8313:150849567c0:3455	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3a87	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:31a1	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:25ef	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:254b	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1ad8	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b7d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a34	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dc7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3d23	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39f5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:3d8a	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3084	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c41	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3418	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:1ddb	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
-60ed8313:150849567c0:217a	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:3678	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:250e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33c4	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3320	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:276e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24ba	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39b8	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3580	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c57	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:2aec	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3914	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:3f46	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:321f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:38c0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:347f	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ef2	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31cb	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
-60ed8313:150849567c0:2336	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2596	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:22e2	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37bf	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a5e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:371b	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2ca8	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d4d	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3047	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2c04	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:397b	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2832	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e64	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:213d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19cc	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bb0	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1ffe	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:239d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f5a	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:35e7	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3543	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:2aaf	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b75	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a0b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26dd	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3f09	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1bc6	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
-60ed8313:150849567c0:2c6b	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b22	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3eb5	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e11	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d82	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:33ee	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2559	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fab	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22a5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:334a	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2201	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2461	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:393e	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a93	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2e27	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cbc	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38ea	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:27a1	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f1d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dd3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20ac	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3172	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3506	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
-60ed8313:150849567c0:3b38	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3766	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d98	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:34b2	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c2e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3ae4	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a40	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1de9	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:2e8e	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2188	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d45	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bda	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1973	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:330d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1cf1	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:24c8	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2090	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:356d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fe0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2424	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3b9f	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a56	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2684	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23d0	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38ad	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:1b4c	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
-60ed8313:150849567c0:3edf	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31d9	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:3e3b	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3135	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29c4	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2ff6	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2920	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22cf	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3395	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f52	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:222b	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3729	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30e1	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3aa7	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:248b	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3989	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:281f	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a03	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:36d5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
-60ed8313:150849567c0:3631	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d08	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:3c63	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1936	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:27cb	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3891	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f68	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:20f7	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:319c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1cb4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2053	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c10	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:3fa3	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2a19	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1e70	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2647	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34dc	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:2c79	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b0f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:3a6a	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25f3	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d6f	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:199d	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1abb	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2fb9	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b81	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3358	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f15	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3daa	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:30a4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3000	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:244e	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ec1	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3260	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:3c26	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38f8	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:23fa	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b97	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:3854	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e86	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:35a0	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:315f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d1c	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29ee	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bd2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2016	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:294a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1ed7	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f7c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2276	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e33	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
-60ed8313:150849567c0:3a2d	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36ff	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:365b	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c8d	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2be8	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2512	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:2b44	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2772	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cde	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:207d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:1c3a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2af0	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fcd	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32c7	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3223	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e9a	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:23bd	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3483	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3817	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e49	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:290d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37c3	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a62	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:2f3f	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3df5	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2239	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30ce	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d51	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:302a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:2499	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2eeb	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21e5	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:328a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1da2	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2141	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:361e	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19d0	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2b07	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
-60ed8313:150849567c0:27d9	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:387e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2735	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35ca	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d67	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bfc	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2ab3	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2995	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:26e1	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e5d	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:3a78	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:253c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33f2	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1ac9	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b6e	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a25	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3db8	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:279c	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3d14	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39e6	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:1c85	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3942	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2eae	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f74	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21a8	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:324d	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e0a	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:3cc0	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2104	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fc5	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2364	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f21	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:20b0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3bbf	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2958	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b1b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37ed	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a8c	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:26a4	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2cd6	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2600	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3d7b	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3075	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c32	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3409	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2860	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dcc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:2e92	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:216b	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:3669	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19fa	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:33b5	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3311	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:275f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24ab	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39a9	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:1c48	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2add	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3905	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
-60ed8313:150849567c0:3f37	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1bf4	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
-60ed8313:150849567c0:38b1	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b50	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/BA/	member
-60ed8313:150849567c0:3ee3	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2327	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31bc	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:2587	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:22d3	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a4f	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
-60ed8313:150849567c0:370c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d3e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3038	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28c7	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:396c	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ef9	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2823	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f9e	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3298	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e55	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cea	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:212e	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19bd	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2ba1	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1fef	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:238e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f4b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:35d8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:20da	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3534	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
-60ed8313:150849567c0:3b66	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26ce	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3794	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:34e0	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:262a	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:309f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1bb7	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c5c	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b13	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:288a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3ea6	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e02	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d73	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:333b	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24f6	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:359b	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2452	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:392f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a84	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2e18	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cad	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38db	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b7a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:1f0e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dc4	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
-60ed8313:150849567c0:3163	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d20	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29f2	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22fd	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3b29	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1eba	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f80	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3757	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d89	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:34a3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c1f	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3ad5	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:284d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a31	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2e7f	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2179	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d36	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
-60ed8313:150849567c0:2bcb	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c91	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1964	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1f96	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ce2	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:24b9	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2081	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:355e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fd1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2415	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32aa	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a47	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2675	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23c1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b3d	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3e2c	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3126	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29b5	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fe7	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2911	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3386	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f43	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:221c	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30d2	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:247c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:36c6	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cf8	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3622	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c54	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1927	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27bc	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3882	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f59	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:2dee	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20e8	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:318d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1ca5	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d4a	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2044	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1c01	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
-60ed8313:150849567c0:1e61	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2638	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34cd	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3aff	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2898	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a5b	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25e4	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2540	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:198e	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1aac	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2b72	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3349	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f06	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:243f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32f5	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2eb2	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3251	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:269f	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3c17	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:23eb	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38e9	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b88	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3845	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2d0d	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29df	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bc3	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2007	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:293b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37f1	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1ec8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:1a90	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:2f6d	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2267	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30fc	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e24	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:3a1e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:1dd0	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:25a7	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:364c	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bd9	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2503	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3c7e	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b35	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2763	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1ccf	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d95	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:206e	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:1c2b	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
-60ed8313:150849567c0:2ae1	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fbe	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:32b8	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f1a	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3214	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e8b	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:23ae	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3474	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:230a	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3808	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:31c0	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:256a	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1af7	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b9c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37b4	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a53	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
-60ed8313:150849567c0:3de6	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3710	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30bf	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d42	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:301b	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28aa	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:2edc	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21d6	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:327b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2132	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:360f	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UN/	observer
-60ed8313:150849567c0:19c1	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1ff3	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2392	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:386f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2726	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35bb	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d58	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bed	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2aa4	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2986	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2a00	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26d2	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e4e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2c60	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3437	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:3a69	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1dfa	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:3697	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:252d	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33e3	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fa0	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b5f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a16	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:278d	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3da9	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d05	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39d7	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c76	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3933	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f65	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:323e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:3cb1	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:23f9	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:349e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fb6	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2355	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31ea	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f12	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:20a1	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:2949	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37de	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a7d	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:373a	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cc7	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d6c	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3066	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c23	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28f5	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:399a	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2851	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dbd	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
-60ed8313:150849567c0:2e83	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:215c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
-60ed8313:150849567c0:19eb	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:33a6	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3302	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3562	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c39	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2ace	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b94	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a2a	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26fc	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3f28	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e99	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1be5	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
-60ed8313:150849567c0:2c8a	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38a2	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:1b41	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ed4	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2318	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31ad	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3e30	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2578	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fca	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22c4	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2220	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3d2f	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3029	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28b8	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:2480	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:395d	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3f8f	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2814	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3289	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e46	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cdb	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:19ae	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:190a	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27c0	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:237f	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f3c	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2df2	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20cb	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35c9	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3191	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3525	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:3b57	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26bf	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3785	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:261b	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34d1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:1ba8	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:2c4d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b04	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:287b	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1d64	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:1992	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1ab0	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:332c	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3554	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:24e7	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:358c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2443	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a75	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2e09	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:38cc	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b6b	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3efe	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31f8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:2db5	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e5a	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3154	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d11	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29e3	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22ee	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1eab	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f71	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:224a	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3748	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3ac6	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:283e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a22	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36f4	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:19f9	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d27	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bbc	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c82	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1955	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:27ea	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f87	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cd3	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2072	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:354f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fc2	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:2406	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:2a38	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2666	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:34fb	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
-60ed8313:150849567c0:2c98	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:23b2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b2e	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3e1d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3117	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d8e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29a6	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1ada	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fd8	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2902	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3377	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f34	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:220d	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30c3	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:246d	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ee0	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2a9f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:36b7	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3ce9	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3613	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c45	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1918	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27ad	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3873	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2ddf	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20d9	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:317e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d3b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bf1	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2035	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ef6	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:2295	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e52	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2629	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34be	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:341a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:2889	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a4c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25d5	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:367a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2531	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:197f	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b63	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2791	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cfd	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39ba	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:209c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:3fec	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32e6	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2ea3	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3242	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:3c08	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:23dc	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b79	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3836	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e68	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3bb4	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:292c	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b10	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37e2	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1eb9	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:1a81	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
-60ed8313:150849567c0:2f5e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2258	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30ed	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e15	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
-60ed8313:150849567c0:2caa	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d70	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3a0f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:1dc1	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:2160	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
-60ed8313:150849567c0:363d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c6f	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b26	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27f8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:389d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2754	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24a0	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:205f	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:1c1c	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2ad2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3faf	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:32a9	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f0b	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3205	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1e7c	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:3465	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3a97	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:31b1	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:25ff	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:255b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1ae8	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b8d	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37a5	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a44	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dd7	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3701	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d33	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:300c	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:3961	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3f93	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ecd	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21c7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:326c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2123	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19b2	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fe4	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2383	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f40	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2717	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:35ac	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d49	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bde	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2977	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b3a	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26c3	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e3f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cf5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3d9a	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3094	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2c51	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3428	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:1deb	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:3688	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:251e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:33d4	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
-60ed8313:150849567c0:1f26	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:3330	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1a07	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:277e	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24ca	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39c8	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3590	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c67	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2afc	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3924	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:3f56	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:322f	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:3ca2	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38d0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:348f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fa7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2346	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31db	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f03	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:22f2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:37cf	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a6e	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:372b	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cb8	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d5d	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3057	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:2c14	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28e6	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:398b	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2842	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dae	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e74	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:214d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
-60ed8313:150849567c0:19dc	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d0a	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2bc0	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1f6a	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:35f7	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3553	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2abf	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b85	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a1b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26ed	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3f19	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2c7b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b32	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ec5	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2309	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3e21	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d92	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2569	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33fe	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fbb	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22b5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:335a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2211	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:28a9	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:2471	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:394e	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2805	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e37	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3ccc	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38fa	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:27b1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f2d	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
-60ed8313:150849567c0:2de3	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20bc	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
-60ed8313:150849567c0:3182	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3516	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:3b48	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3776	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:260c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34c2	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c3e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3af4	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:286c	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a50	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1df9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:2e9e	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2198	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
-60ed8313:150849567c0:1d55	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
-60ed8313:150849567c0:2bea	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1983	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1aa1	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:331d	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24d8	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:357d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3ff0	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2434	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a66	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:23e0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38bd	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b5c	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3eef	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31e9	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:2da6	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e4b	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3145	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d02	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29d4	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2930	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22df	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2f62	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:223b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3739	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30f1	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3ab7	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:249b	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3999	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:282f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a13	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:36e5	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3641	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d18	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bad	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c73	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1946	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:27db	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f78	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cc4	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2063	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:1c20	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:3fb3	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:2a29	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1e80	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2657	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ec	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
-60ed8313:150849567c0:2c89	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:23a3	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1b1f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
-60ed8313:150849567c0:3a7a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e0e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3108	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d7f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:1acb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fc9	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3368	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f25	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dba	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:30b4	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3010	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:245e	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ed1	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:36a8	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:21aa	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3270	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3604	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c36	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1909	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:3864	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e96	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:35b0	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:316f	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d2c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29fe	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3be2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2026	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:295a	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2f8c	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1ee7	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:2286	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e43	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34af	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:340b	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a3d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25c6	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:366b	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bf8	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2522	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:3c9d	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b54	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2782	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cee	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39ab	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:208d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c4a	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fdd	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32d7	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3233	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23cd	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3493	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3827	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3ba5	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:291d	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b01	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37d3	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a72	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:2f4f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2249	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30de	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e06	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:3d61	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:303a	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2efb	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21f5	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:329a	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1db2	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2151	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
-60ed8313:150849567c0:362e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19e0	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2b17	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27e9	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:388e	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2745	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35da	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d77	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:1c0d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:2ac3	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:26f1	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e6d	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:3456	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3a88	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:31a2	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:254c	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1ad9	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b7e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a35	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dc8	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3d24	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39f6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:1c95	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:3952	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3f84	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ebe	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21b8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:325d	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e1a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cd0	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:19a3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fd5	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2374	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f31	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2708	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:20c0	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
-60ed8313:150849567c0:3bcf	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2968	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b2b	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37fd	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1a9c	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:26b4	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2ce6	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2610	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3d8b	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3085	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c42	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3419	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:2870	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1ddc	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
-60ed8313:150849567c0:217b	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:3679	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:250f	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33c5	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3321	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:276f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24bb	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39b9	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3581	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c58	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:2aed	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3915	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:3f47	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:38c1	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b60	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ef3	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2337	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31cc	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
-60ed8313:150849567c0:2597	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:22e3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1ea0	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1a5f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:371c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2ca9	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d4e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3048	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28d7	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:397c	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2833	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3cfa	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e65	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:213e	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19cd	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bb1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1fff	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:239e	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f5b	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:35e8	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:20ea	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3544	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:3b76	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a0c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26de	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:263a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34f0	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
-60ed8313:150849567c0:1bc7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
-60ed8313:150849567c0:2c6c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b23	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:289a	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3eb6	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e12	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d83	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:33ef	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fac	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:334b	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:22a6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2202	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2462	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:393f	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a94	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2e28	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cbd	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38eb	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b8a	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:27a2	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f1e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dd4	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20ad	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3173	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d30	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3507	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
-60ed8313:150849567c0:3b39	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2f90	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3767	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d99	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:34b3	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c2f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3ae5	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:285d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a41	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2e8f	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2189	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d46	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bdb	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1974	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:330e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1cf2	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:24c9	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2091	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:356e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fe1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2425	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32ba	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a57	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2685	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23d1	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38ae	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b4d	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
-60ed8313:150849567c0:380a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e3c	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3136	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29c5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2ff7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2921	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3396	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f53	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:222c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30e2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:248c	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3aa8	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a04	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:36d6	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3632	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d09	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:3c64	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1937	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:27cc	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3892	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2dfe	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:20f8	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:319d	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1cb5	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d5a	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2054	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c11	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:3fa4	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3f00	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1e71	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2648	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34dd	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3a6b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25f4	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2550	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:199e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1abc	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b82	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3359	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f16	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dab	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:30a5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3001	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:244f	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ec2	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3261	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:3c27	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:23fb	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38f9	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b98	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:3855	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e87	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:35a1	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bd3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2d1d	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29ef	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2017	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:294b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1ed8	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f7d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2277	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e34	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
-60ed8313:150849567c0:3a2e	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:1de0	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
-60ed8313:150849567c0:25b7	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:365c	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2513	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3c8e	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b45	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2773	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cdf	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:207e	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:1c3b	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2af1	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fce	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32c8	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f2a	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3224	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e9b	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:23be	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3484	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:231a	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3818	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:31d0	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
-60ed8313:150849567c0:257a	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:290e	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37c4	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a63	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:3df6	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3720	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30cf	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d52	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:302b	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28ba	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3980	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2eec	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21e6	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:328b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1da3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2142	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:361f	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19d1	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2b08	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:387f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2736	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35cb	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d68	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bfd	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2ab4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2996	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2a10	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26e2	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1baa	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:2c70	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3447	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3a79	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:253d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33f3	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fb0	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b6f	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a26	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:279d	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3db9	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d15	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39e7	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:1c86	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3943	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f75	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2eaf	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21a9	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:324e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e0b	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:3cc1	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2105	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fc6	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2365	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31fa	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1f22	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:20b1	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:2959	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b1c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37ee	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a8d	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:26a5	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:374a	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d7c	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2cd7	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2601	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3076	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c33	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2861	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dcd	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:2e93	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:216c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:19fb	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:33b6	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3312	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24ac	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c49	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:2ade	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3906	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
-60ed8313:150849567c0:2a3a	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f38	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1bf5	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
-60ed8313:150849567c0:2c9a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38b2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b51	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ee4	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2328	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31bd	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:3e40	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2588	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fda	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22d4	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2230	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:370d	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d3f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3039	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28c8	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:2490	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:396d	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2824	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f9f	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3299	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e56	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3ceb	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:212f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:2ba2	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:19be	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:191a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27d0	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:238f	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f4c	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:20db	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35d9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3535	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
-60ed8313:150849567c0:3b67	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26cf	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3795	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:262b	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34e1	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:1bb8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c5d	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b14	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:3ea7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e03	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d74	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:1ac0	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:333c	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24f7	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:359c	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2453	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a85	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2e19	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cae	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c0a	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38dc	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b7b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:1f0f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dc5	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
-60ed8313:150849567c0:3e6a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3164	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d21	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29f3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22fe	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1ebb	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f81	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:225a	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3758	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:34a4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ad6	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3400	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:284e	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a32	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3660	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d37	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
-60ed8313:150849567c0:2bcc	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c92	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1965	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:27fa	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1f97	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ce3	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39a0	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2082	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:355f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fd2	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2416	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32ab	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a48	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2676	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1b3e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3e2d	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3127	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d9e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29b6	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1aea	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fe8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2912	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3387	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f44	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:221d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30d3	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:247d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ef0	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:36c7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cf9	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3623	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c55	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1928	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27bd	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3883	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2def	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20e9	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:318e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1ca6	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d4b	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2045	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1c02	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
-60ed8313:150849567c0:1e62	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2639	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ce	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:342a	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:2899	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a5c	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25e5	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:368a	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2541	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:198f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1aad	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2b73	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2f07	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:39ca	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:32f6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2eb3	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3252	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:23ec	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b89	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3846	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e78	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3bc4	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2d0e	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2008	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3b20	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:293c	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37f2	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1ec9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:1a91	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:2f6e	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2268	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30fd	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e25	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cba	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d80	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3a1f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:1dd1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:25a8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2170	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:364d	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2504	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3c7f	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b36	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2764	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2d96	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:24b0	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:206f	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:2ae2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:1c2c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
-60ed8313:150849567c0:3fbf	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:32b9	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f1b	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3215	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e8c	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:23af	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3475	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:230b	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3809	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:31c1	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:256b	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1af8	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b9d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37b5	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a54	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
-60ed8313:150849567c0:3711	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d43	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:301c	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28ab	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3971	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2edd	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21d7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:327c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2133	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19c2	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1ff4	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2393	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f50	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2727	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35bc	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d59	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bee	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2aa5	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2987	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b4a	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a01	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26d3	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e4f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2c61	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3438	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:1dfb	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
-60ed8313:150849567c0:219a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:3698	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:33e4	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:252e	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fa1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3340	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1a17	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:278e	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3d06	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24da	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39d8	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c77	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3934	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f66	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:323f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:3cb2	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38e0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:349f	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fb7	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2356	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f13	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:20a2	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3b0d	http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37df	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a7e	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:373b	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cc8	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d6d	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3067	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c24	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28f6	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:399b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2852	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dbe	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:2e84	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:215d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
-60ed8313:150849567c0:19ec	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d1a	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bd0	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:33a7	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3303	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f7a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:3563	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2acf	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b95	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f29	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2a2b	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26fd	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1be6	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
-60ed8313:150849567c0:2c8b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38a3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:1b42	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ed5	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2319	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31ae	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3e31	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:310a	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2579	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:336a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2fcb	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22c5	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2221	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:395e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:28b9	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:2481	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2815	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e47	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cdc	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:19af	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:190b	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27c1	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f3d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2df3	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20cc	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3192	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3526	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:3b58	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3786	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:261c	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34d2	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:1ba9	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:2c4e	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b05	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:287c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a60	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1d65	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:2bfa	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1993	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1ab1	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:332d	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3da0	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24e8	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:358d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2444	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a76	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:23f0	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38cd	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b6c	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3eff	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31f9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:2db6	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e5b	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3155	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d12	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29e4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2940	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22ef	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1b28	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:1eac	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f72	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:224b	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3749	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3ac7	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a23	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36f5	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3651	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d28	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bbd	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c83	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1956	http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:27eb	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f88	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1cd4	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2073	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:1c30	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:3fc3	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:2407	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:2a39	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1e90	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2667	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:34fc	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
-60ed8313:150849567c0:2c99	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:23b3	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b2f	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3a8a	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e1e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3118	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d8f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29a7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1adb	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fd9	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2903	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3378	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:3dca	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2f35	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:220e	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30c4	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3020	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:246e	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:36b8	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2ee1	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21ba	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3280	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3614	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c46	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1919	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27ae	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3874	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:270a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:317f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d3c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bf2	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2036	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:296a	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ef7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:2f9c	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2296	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e53	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34bf	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:341b	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:3a4d	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25d6	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:367b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2532	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2b64	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2792	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cfe	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39bb	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:209d	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c5a	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fed	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32e7	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2ea4	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3243	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
-60ed8313:150849567c0:2e00	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:23dd	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3c09	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3837	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e69	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3bb5	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:292d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b11	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37e3	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a82	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
-60ed8313:150849567c0:2f5f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2259	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30ee	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e16	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
-60ed8313:150849567c0:2cab	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d71	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:304a	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:1dc2	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:2161	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
-60ed8313:150849567c0:363e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19f0	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:27f9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:389e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2755	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35ea	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d87	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:24a1	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c1d	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2ad3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f0c	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3206	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1e7d	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:3466	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3a98	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:31b2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:255c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1ae9	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b8e	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37a6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a45	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dd8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3702	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d34	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:300d	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:3962	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3f94	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ece	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21c8	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:326d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e2a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3ce0	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2124	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19b3	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fe5	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2384	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f41	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:35ad	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2718	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:20d0	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3bdf	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2978	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b3b	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26c4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3d9b	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2cf6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2620	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3095	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3429	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:2880	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dec	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:3689	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:218b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:251f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:33d5	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
-60ed8313:150849567c0:3331	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1a08	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:277f	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24cb	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39c9	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3591	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c68	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2afd	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3925	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f57	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3ca3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38d1	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1fa8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b70	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:2347	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31dc	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f04	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:22f3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1eb0	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:1a6f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:372c	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cb9	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d5e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3058	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:3aaa	http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2c15	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28e7	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:398c	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2843	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1daf	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e75	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:214e	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
-60ed8313:150849567c0:2bc1	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:19dd	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d0b	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:1f6b	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:20fa	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35f8	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:32a0	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2a1c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26ee	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:264a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bd7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c7c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b33	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ec6	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e22	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d93	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:33ff	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fbc	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22b6	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:335b	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2212	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2472	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:394f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2806	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e38	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3ccd	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38fb	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b9a	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:27b2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f2e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2de4	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20bd	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
-60ed8313:150849567c0:3183	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d40	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3517	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:3b49	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1eda	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:3777	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:260d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34c3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c3f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3af5	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:286d	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a51	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2e9f	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2199	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
-60ed8313:150849567c0:1d56	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
-60ed8313:150849567c0:2beb	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1984	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1aa2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:331e	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24d9	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2435	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32ca	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a67	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2695	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23e1	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38be	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b5d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:381a	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2da7	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e4c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3146	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d03	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29d5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2931	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:2f63	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:223c	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30f2	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:249c	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3ab8	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a14	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:36e6	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3642	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d19	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bae	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c74	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1947	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2b0a	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27dc	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f79	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cc5	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d6a	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2064	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:1c21	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:3fb4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3f10	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
-60ed8313:150849567c0:1e81	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2658	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ed	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
-60ed8313:150849567c0:23a4	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2300	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a7b	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e0f	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3109	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2560	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1acc	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b92	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2f26	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dbb	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30b5	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3011	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28a0	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:245f	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ed2	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21ab	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36a9	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3271	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3605	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c37	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3865	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e97	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:35b1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d2d	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29ff	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3be3	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2027	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:295b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ee8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:2f8d	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2287	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e44	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:340c	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a3e	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1df0	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:25c7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:366c	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bf9	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2523	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:3c9e	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b55	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2783	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cef	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39ac	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:208e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c4b	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fde	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32d8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f3a	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3234	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23ce	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3494	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:232a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3828	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:258a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3ba6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3b02	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:291e	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37d4	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a73	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:3730	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30df	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e07	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:3d62	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:303b	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28ca	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3990	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2efc	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21f6	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:329b	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1db3	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2152	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
-60ed8313:150849567c0:362f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19e1	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2b18	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:388f	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2746	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35db	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d78	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:1c0e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:2ac4	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2a20	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26f2	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e6e	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bba	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c80	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3457	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3a89	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:31a3	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:254d	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fc0	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b7f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a36	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dc9	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3d25	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39f7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:1c96	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:3953	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3f85	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ebf	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:325e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e1b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cd1	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2115	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19a4	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fd6	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2375	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f32	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2709	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:20c1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
-60ed8313:150849567c0:2969	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b2c	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37fe	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1a9d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:26b5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:375a	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d8c	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2ce7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2611	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3086	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c43	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2871	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1ddd	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
-60ed8313:150849567c0:217c	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:33c6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3322	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24bc	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3582	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c59	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:2aee	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3916	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2a4a	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f48	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:38c2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b61	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ef4	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2338	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31cd	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
-60ed8313:150849567c0:3e50	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2598	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fea	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22e4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1ea1	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2240	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:371d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d4f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2c06	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28d8	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:397d	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2834	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e66	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cfb	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:213f	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19ce	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bb2	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:192a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27e0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:239f	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f5c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:35e9	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:20eb	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3545	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:3b77	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a0d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26df	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:263b	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34f1	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
-60ed8313:150849567c0:1bc8	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
-60ed8313:150849567c0:2c6d	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b24	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:289b	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3eb7	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e13	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d84	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:1ad0	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fad	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22a7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:334c	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2203	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2463	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a95	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2e29	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cbe	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c1a	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38ec	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b8b	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:27a3	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f1f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dd5	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e7a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20ae	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3174	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:200a	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3508	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
-60ed8313:150849567c0:1ecb	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f91	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:226a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3768	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:34b4	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ae6	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3410	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:285e	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a42	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25aa	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3670	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d47	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bdc	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1975	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:330f	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1cf3	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39b0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2092	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:356f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fe2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2426	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32bb	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a58	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2686	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23d2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38af	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b4e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/BA/	member
-60ed8313:150849567c0:380b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e3d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3137	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29c6	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1afa	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:2ff8	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2922	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3397	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f54	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:222d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30e3	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2ca0	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:248d	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3aa9	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a05	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:36d7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3633	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1938	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:27cd	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3893	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2dff	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:20f9	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:319e	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1cb6	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d5b	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2055	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c12	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:3fa5	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3f01	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1e72	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2649	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34de	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:343a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:3a6c	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25f5	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:369a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2551	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:199f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1abd	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b83	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2f17	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dac	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:30a6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:39da	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3002	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:2ec3	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3262	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:23fc	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3c28	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1b99	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:3856	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e88	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:35a2	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bd4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2d1e	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2018	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:294c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b30	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1ed9	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f7e	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2278	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e35	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
-60ed8313:150849567c0:2cca	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3a2f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:1de1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
-60ed8313:150849567c0:25b8	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2180	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:365d	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2514	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3c8f	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:31c7	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NC/	member
-60ed8313:150849567c0:2b46	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2774	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24c0	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:207f	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:1c3c	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2af2	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fcf	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32c9	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f2b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3225	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e9c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:23bf	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3485	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:231b	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3819	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:31d1	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
-60ed8313:150849567c0:257b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:290f	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37c5	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a64	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:3df7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3721	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d53	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:302c	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28bb	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3981	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2eed	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21e7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:328c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1da4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2143	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19d2	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d00	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2b09	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1f60	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:2737	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35cc	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d69	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bfe	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2997	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b5a	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a11	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26e3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e5f	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:1bab	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:2c71	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3448	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:253e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33f4	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fb1	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3350	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1a27	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:279e	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3d16	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24ea	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:39e8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:1c87	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3944	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f76	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:324f	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e0c	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:3cc2	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2106	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:38f0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1fc7	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2366	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31fb	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1f23	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:20b2	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3b1d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37ef	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a8e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:26a6	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:374b	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d7d	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3077	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2cd8	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2602	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c34	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2862	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e94	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1dce	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:216d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d2a	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19fc	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:33b7	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3313	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f8a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:24ad	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3573	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2adf	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3907	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2a3b	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f39	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1bf6	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
-60ed8313:150849567c0:2c9b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38b3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b52	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ee5	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2329	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31be	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:3e41	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:311a	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2589	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fdb	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22d5	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:337a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2231	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:370e	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:28c9	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:2491	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:396e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2825	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36ba	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e57	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cec	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:19bf	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2ba3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:191b	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27d1	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f4d	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:20dc	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3536	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
-60ed8313:150849567c0:3b68	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3796	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
-60ed8313:150849567c0:262c	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34e2	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:1bb9	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c5e	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b15	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:288c	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a70	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e04	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d75	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:1ac1	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:333d	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3db0	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24f8	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:359d	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2454	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a86	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:21a0	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:3caf	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c0b	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38dd	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b7c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:2dc6	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
-60ed8313:150849567c0:3e6b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3165	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d22	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29f4	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2950	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22ff	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1ebc	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f82	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:225b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3759	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:34a5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ad7	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3401	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:284f	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a33	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3661	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d38	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bcd	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c93	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1966	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:27fb	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1f98	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ce4	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39a1	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2083	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:1c40	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:3fd3	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2417	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32ac	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a49	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2677	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23c3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b3f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3a9a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e2e	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3128	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d9f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29b7	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1aeb	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fe9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2913	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3388	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f45	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dda	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:221e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30d4	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3030	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:247e	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ef1	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21ca	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36c8	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3290	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3624	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c56	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1929	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27be	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3884	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:271a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35d0	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:318f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1ca7	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d4c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2046	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1c03	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
-60ed8313:150849567c0:297a	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1e63	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34cf	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:342b	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3a5d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25e6	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:368b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2542	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1aae	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2b74	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a0a	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:2f08	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:39cb	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c6a	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2eb4	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3253	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e10	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:23ed	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3c19	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1faa	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3847	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e79	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2d0f	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bc5	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2009	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:293d	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b21	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37f3	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2f6f	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1a92	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:2269	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30fe	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e26	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2cbb	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d81	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:305a	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:1dd2	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:25a9	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2171	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:364e	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2505	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:2b37	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2765	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35fa	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d97	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:24b1	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c2d	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
-60ed8313:150849567c0:2ae3	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f1c	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3216	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e8d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:3476	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:230c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31c2	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:256c	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1af9	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b9e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37b6	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a55	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
-60ed8313:150849567c0:3de8	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3d44	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:301d	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28ac	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3972	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ede	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21d8	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:327d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e3a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cf0	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2134	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19c3	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1ff5	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2394	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f51	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:35bd	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2728	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:20e0	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3bef	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2aa6	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2988	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b4b	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a02	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26d4	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2630	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c62	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3439	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:2890	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dfc	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
-60ed8313:150849567c0:219b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:3699	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:33e5	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:252f	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fa2	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3341	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1a18	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:278f	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3d07	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24db	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39d9	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c78	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3935	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f67	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3cb3	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38e1	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1fb8	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b80	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:31ec	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f14	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:20a3	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3b0e	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1ec0	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
-60ed8313:150849567c0:1a7f	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:373c	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cc9	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d6e	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3068	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c25	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28f7	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3aba	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:399c	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2853	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dbf	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:2e85	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:215e	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
-60ed8313:150849567c0:1d1b	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19ed	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bd1	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:33a8	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3304	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f7b	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:3564	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3b96	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:32b0	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a2c	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26fe	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:265a	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1be7	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
-60ed8313:150849567c0:2c8c	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38a4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:1b43	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ed6	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3800	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:31af	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3e32	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:310b	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2fcc	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22c6	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:336b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2222	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2482	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:395f	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2816	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e48	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cdd	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:190c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27c2	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f3e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2df4	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20cd	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3193	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d50	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3527	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:3b59	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1eea	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:3787	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:261d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34d3	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:2c4f	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b06	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:287d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a61	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1d66	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:2bfb	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1ab2	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:1994	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:332e	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3da1	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24e9	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:358e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2445	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32da	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a77	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:23f1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38ce	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b6d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:382a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2db7	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e5c	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3156	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d13	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29e5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2941	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1ead	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f73	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:224c	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3ac8	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a24	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36f6	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1d29	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bbe	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c84	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b1a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1957	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:27ec	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f89	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1cd5	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d7a	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2074	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:1c31	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:3fc4	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:2408	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3f20	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e91	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2668	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:34fd	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
-60ed8313:150849567c0:23b4	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:2310	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a8b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e1f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3119	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29a8	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2570	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1adc	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2904	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3379	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f36	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dcb	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:220f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30c5	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3021	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28b0	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:246f	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ee2	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21bb	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36b9	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3281	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3615	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c47	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:27af	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3875	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:270b	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:35c1	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bf3	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2d3d	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:296b	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ef8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:2f9d	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2297	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e54	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:1ba0	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:341c	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:3a4e	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25d7	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:367c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2533	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2b65	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2793	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cff	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39bc	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:209e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:1c5b	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fee	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32e8	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2ea5	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3f4a	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3244	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
-60ed8313:150849567c0:2e01	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:23de	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3838	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:233a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31f0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:259a	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3bb6	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:292e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b12	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37e4	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a83	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
-60ed8313:150849567c0:3740	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30ef	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e17	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cac	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d72	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:304b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28da	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1dc3	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:2162	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
-60ed8313:150849567c0:363f	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19f1	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2b28	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:389f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:35eb	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d88	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:24a2	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c1e	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2ad4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2a30	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f0d	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3207	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1e7e	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bca	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c90	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3467	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3a99	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:31b3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:255d	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:37a7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2fd0	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b8f	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a46	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dd9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3703	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d35	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:300e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:3963	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ecf	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f95	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21c9	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:326e	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3ce1	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e2b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2125	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19b4	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1fe6	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1910	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2385	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f42	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2719	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:20d1	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35ae	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:350a	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
-60ed8313:150849567c0:2979	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b3c	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26c5	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:376a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cf7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2621	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3096	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2c53	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2881	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1ded	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:218c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:33d6	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
-60ed8313:150849567c0:3332	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1a09	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:24cc	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3592	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c69	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2afe	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3926	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a5a	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f58	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3ca4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c00	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38d2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1fa9	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b71	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:2348	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31dd	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f05	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:3e60	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2ffa	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22f4	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1eb1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2250	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:372d	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d5f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3059	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:2c16	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28e8	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3aab	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:398d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2844	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e76	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:214f	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
-60ed8313:150849567c0:1d0c	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19de	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bc2	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:193a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:27f0	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
-60ed8313:150849567c0:1f6c	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:20fb	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35f9	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3b87	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:32a1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2a1d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26ef	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:264b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bd8	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c7d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b34	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ec7	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e23	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d94	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2fbd	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1ae0	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:335c	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:22b7	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2213	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2473	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2807	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e39	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cce	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c2a	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38fc	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b9b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:27b3	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f2f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2de5	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e8a	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20be	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
-60ed8313:150849567c0:3184	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d41	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3518	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:201a	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1edb	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:227a	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3778	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:260e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34c4	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3af6	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3420	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:3a52	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:286e	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25ba	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3680	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d57	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
-60ed8313:150849567c0:2bec	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1aa3	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:331f	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:39c0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:357f	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2436	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32cb	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a68	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2696	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23e2	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38bf	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b5e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:381b	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2da8	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e4d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3147	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d04	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29d6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2932	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:2f64	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:223d	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30f3	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2cb0	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3ab9	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:249d	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3a15	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:36e7	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3643	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2baf	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c75	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1948	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2b0b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27dd	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cc6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d6b	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2065	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:1c22	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:3fb5	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3f11	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
-60ed8313:150849567c0:1e82	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2659	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ee	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
-60ed8313:150849567c0:23a5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:344a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:2301	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a7c	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2561	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1acd	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2f27	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dbc	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30b6	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:39ea	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:3012	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28a1	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2ed3	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21ac	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3272	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3606	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c38	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3866	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e98	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:35b2	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d2e	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3be4	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2028	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:295c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b40	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1ee9	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:2f8e	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2288	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e45	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cda	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:340d	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a3f	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1df1	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:25c8	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2190	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:366d	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2524	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:3c9f	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b56	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2784	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:39ad	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:24d0	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:208f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c4c	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fdf	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32d9	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f3b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3235	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23cf	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3495	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:232b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3829	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:258b	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3ba7	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:291f	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b03	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37d5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a74	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:3731	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e08	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:3d63	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:303c	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28cb	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3991	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2efd	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21f7	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:329c	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1db4	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2153	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
-60ed8313:150849567c0:1d10	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19e2	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2b19	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1f70	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:2747	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35dc	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d79	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:1c0f	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:2ac5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b6a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a21	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26f3	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e6f	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bbb	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c81	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3458	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3eaa	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31a4	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3100	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:254e	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fc1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3360	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	signatory state
-60ed8313:150849567c0:1a37	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3d26	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24fa	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:39f8	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:1c97	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:3954	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3f86	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:325f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:3cd2	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e1c	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2116	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19a5	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fd7	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1901	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2376	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f33	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:20c2	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
-60ed8313:150849567c0:3b2d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37ff	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1a9e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:26b6	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:375b	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2ce8	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2612	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3d8d	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3087	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
-60ed8313:150849567c0:2c44	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2872	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dde	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
-60ed8313:150849567c0:217d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d3a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bf0	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:33c7	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3323	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f9a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:24bd	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3583	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2aef	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3917	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2a4b	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f49	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:38c3	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b62	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ef5	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2339	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31ce	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
-60ed8313:150849567c0:3e51	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:312a	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2599	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2feb	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22e5	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:338a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1ea2	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:371e	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2c07	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28d9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:397e	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2835	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36ca	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cfc	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e67	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:19cf	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bb3	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:192b	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27e1	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f5d	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:20ec	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3546	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:3b78	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a0e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:263c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34f2	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SCO/	dialogue member
-60ed8313:150849567c0:1bc9	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
-60ed8313:150849567c0:2c6e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b25	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:289c	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3eb8	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3a80	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e14	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d85	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:1ad1	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fae	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22a8	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:334d	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f0a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dc0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2204	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2464	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a96	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:21b0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3cbf	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c1b	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38ed	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b8c	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
-60ed8313:150849567c0:27a4	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3e7b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2dd6	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2700	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:20af	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:2d32	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:200b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3509	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
-60ed8313:150849567c0:2960	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ecc	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f92	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:226b	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3769	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:34b5	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ae7	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3411	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:285f	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a43	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25ab	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3671	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d48	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bdd	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1976	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1cf4	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39b1	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2093	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c50	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fe3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2427	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32bc	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a59	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2687	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23d3	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b4f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/BA/	member
-60ed8313:150849567c0:380c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e3e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3138	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29c7	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2ff9	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1afb	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:2923	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3398	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f55	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dea	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:222e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30e4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2ca1	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3040	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:248e	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3a06	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:21da	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3634	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c66	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1939	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:27ce	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3894	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:272a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35e0	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:319f	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1cb7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d5c	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2056	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c13	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:298a	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3fa6	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3f02	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1e73	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:34df	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:343b	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:3a6d	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25f6	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:369b	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2552	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1abe	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b84	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a1a	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:2f18	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dad	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:30a7	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:39db	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3003	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c7a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2ec4	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3263	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e20	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:23fd	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3c29	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fba	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3857	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e89	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:35a3	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bd5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2d1f	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2019	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:294d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b31	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2f7f	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1e36	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
-60ed8313:150849567c0:2ccb	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d91	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:306a	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:1de2	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
-60ed8313:150849567c0:25b9	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2181	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:365e	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2515	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33aa	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b47	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2775	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24c1	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c3d	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2af3	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f2c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3226	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e9d	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:3486	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:231c	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31d2	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
-60ed8313:150849567c0:257c	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:37c6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a65	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:3df8	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3722	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d54	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:302d	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:3aa0	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:28bc	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3982	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2eee	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21e8	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:328d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1da5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e4a	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2144	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1d01	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:19d3	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1f61	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:2738	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:20f0	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35cd	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bff	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2ab6	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2998	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2a12	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26e4	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2640	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bac	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:2c72	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3449	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:253f	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33f5	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fb2	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3351	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1a28	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:279f	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3d17	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24eb	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:39e9	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:1c88	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3945	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f77	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2e0d	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:3cc3	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2107	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:38f1	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1fc8	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b90	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
-60ed8313:150849567c0:2367	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31fc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1f24	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:20b3	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3b1e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1ed0	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:1a8f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:26a7	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:374c	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d7e	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2cd9	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2603	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3078	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c35	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3aca	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2863	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e95	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1dcf	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:216e	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d2b	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19fd	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2be1	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3314	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f8b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:24ae	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3574	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:240a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3908	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:32c0	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a3c	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:266a	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:2c9c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1bf7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
-60ed8313:150849567c0:38b4	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b53	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ee6	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3810	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:31bf	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:3e42	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:311b	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29aa	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fdc	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22d6	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:337b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2232	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:370f	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2492	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:396f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2826	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36bb	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e58	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3ced	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2ba4	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:191c	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2b00	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:27d2	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f4e	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:20dd	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:2d60	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3537	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
-60ed8313:150849567c0:3b69	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1efa	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:3797	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
-60ed8313:150849567c0:262d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34e3	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:2c5f	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3ea9	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1b16	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:3a71	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e05	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d76	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:1ac2	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:333e	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3db1	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24f9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:359e	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2455	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32ea	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a87	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:21a1	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:3c0c	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38de	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b7d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:383a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2dc7	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ISO/	subscriber member
-60ed8313:150849567c0:3e6c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3166	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d23	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29f5	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2951	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1ebd	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
-60ed8313:150849567c0:2f83	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:225c	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:34a6	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ad8	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3402	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a34	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3662	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d39	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bce	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c94	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1967	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b2a	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27fc	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1f99	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ce5	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d8a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:39a2	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2084	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:1c41	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:3fd4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2418	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32ad	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f30	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:23c4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:2320	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a9b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e2f	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3129	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29b8	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2580	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1aec	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2914	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3389	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f46	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3ddb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:221f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30d5	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3031	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28c0	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:247f	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ef2	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21cb	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36c9	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3291	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3625	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c57	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:27bf	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3885	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:271b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35d1	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1ca8	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d4d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2047	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1c04	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
-60ed8313:150849567c0:297b	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1e64	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:1bb0	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:342c	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3a5e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25e7	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:368c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2543	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1aaf	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2b75	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a0b	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:2f09	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:39cc	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c6b	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:32f8	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f5a	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3254	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e11	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:23ee	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1fab	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:234a	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3848	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3bc6	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:293e	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b22	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37f4	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a93	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3750	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30ff	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e27	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2cbc	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d82	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:305b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:28ea	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1dd3	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
-60ed8313:150849567c0:2172	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:364f	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2506	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:2b38	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2766	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35fb	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d98	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:24b2	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c2e	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2ae4	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2a40	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f1d	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3217	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e8e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bda	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:3477	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:230d	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31c3	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NC/	member
-60ed8313:150849567c0:256d	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fe0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b9f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37b7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a56	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
-60ed8313:150849567c0:3de9	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3713	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d45	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:28ad	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3973	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2edf	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21d9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:327e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3cf1	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e3b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2135	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19c4	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1ff6	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1920	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2395	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f52	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2729	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:20e1	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35be	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:351a	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:2aa7	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2989	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b4c	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a03	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26d5	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:377a	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2631	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c63	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2891	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dfd	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
-60ed8313:150849567c0:219c	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:33e6	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fa3	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3342	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1a19	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:24dc	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3d08	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:1c79	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3936	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a6a	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f68	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3cb4	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c10	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38e2	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1fb9	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b81	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:2358	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31ed	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f15	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:3e70	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:20a4	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:2000	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3b0f	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1ec1	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2260	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:373d	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d6f	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3069	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c26	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28f8	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3abb	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:399d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2854	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e86	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:25a0	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:215f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
-60ed8313:150849567c0:1d1c	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19ee	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bd2	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:33a9	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:194a	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:3305	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f7c	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:3565	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3b97	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:32b1	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a2d	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26ff	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:265b	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1be8	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
-60ed8313:150849567c0:2c8d	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38a5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:1b44	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ed7	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3801	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e33	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:310c	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1af0	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fcd	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22c7	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:336c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2223	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2483	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2817	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36ac	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cde	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c3a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:190d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27c3	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f3f	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2df5	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e9a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20ce	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3194	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d51	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:202a	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3528	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:1eeb	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:228a	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3788	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:261e	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34d4	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3430	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:1b07	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:287e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a62	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25ca	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3690	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d67	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:2bfc	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1ab3	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:1995	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:332f	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3da2	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39d0	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:358f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2446	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32db	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a78	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:23f2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38cf	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b6e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:382b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2db8	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e5d	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3157	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d14	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29e6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2942	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1eae	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f74	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1e0a	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:2cc0	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3ac9	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a25	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36f7	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3653	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bbf	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c85	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b1b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1958	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:27ed	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cd6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d7b	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2075	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:1c32	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:3fc5	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:2409	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3f21	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e92	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2669	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:34fe	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
-60ed8313:150849567c0:23b5	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:345a	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:2311	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a8c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:29a9	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2571	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1add	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2905	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:2f37	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dcc	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30c6	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:39fa	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:3022	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28b1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:2ee3	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21bc	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3282	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3616	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c48	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3876	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:270c	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:35c2	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d3e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bf4	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2038	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3b50	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2f9e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1ef9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:2298	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e55	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cea	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1ba1	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:341d	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:3a4f	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25d8	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:367d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2534	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2b66	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2794	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:39bd	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:24e0	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:209f	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:1c5c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3fef	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32e9	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2ea6	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3f4b	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3245	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
-60ed8313:150849567c0:2e02	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:23df	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3839	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:233b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31f1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:259b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3bb7	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:292f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b13	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37e5	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a84	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
-60ed8313:150849567c0:3741	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e18	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cad	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d73	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:304c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28db	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1dc4	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:2163	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/InOC/	member
-60ed8313:150849567c0:1d20	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19f2	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2b29	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1f80	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:35ec	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d89	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:24a3	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c1f	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2ad5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b7a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a31	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f0e	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
-60ed8313:150849567c0:3208	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1e7f	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bcb	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c91	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3468	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3eba	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31b4	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:3110	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:255e	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fd1	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22aa	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37a8	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:3370	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:1a47	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3704	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d36	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:300f	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:3964	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3f96	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:36b0	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:326f	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e2c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3ce2	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2126	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19b5	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1fe7	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1911	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2386	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f43	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:20d2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35af	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:350b	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
-60ed8313:150849567c0:3b3d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26c6	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:376b	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cf8	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2622	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3d9d	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2c54	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2882	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dee	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:218d	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d4a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:33d7	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
-60ed8313:150849567c0:3333	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24cd	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3593	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2aff	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3927	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a5b	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f59	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3ca5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c01	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38d3	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b72	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:2349	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31de	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f06	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:3e61	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:313a	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2ffb	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22f5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:339a	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1eb2	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2251	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:372e	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2c17	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28e9	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3aac	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:398e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2845	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36da	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e77	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1d0d	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19df	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bc3	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:193b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:27f1	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1f6d	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:20fc	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3556	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3b88	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:32a2	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a1e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1bd9	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c7e	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b35	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ec8	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3a90	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e24	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d95	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2fbe	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1ae1	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:22b8	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:335d	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f1a	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dd0	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2214	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2474	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2808	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21c0	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3ccf	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c2b	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38fd	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b9c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:27b4	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3e8b	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2de6	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2710	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:20bf	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
-60ed8313:150849567c0:3185	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d42	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3519	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:201b	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2970	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1edc	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:227b	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3779	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:260f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34c5	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3af7	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3421	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:286f	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a53	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25bb	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3681	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d58	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:2bed	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1aa4	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:1986	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:39c1	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c60	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2437	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32cc	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a69	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2697	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23e3	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1fa0	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b5f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:381c	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2da9	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e4e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3148	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d05	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29d7	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2933	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3dfa	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2f65	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:223e	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30f4	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2cb1	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3050	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:249e	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3a16	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:21ea	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36e8	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3644	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c76	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1949	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2b0c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27de	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:273a	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35f0	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1cc7	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d6c	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2066	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:1c23	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:299a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3fb6	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3f12	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	observer
-60ed8313:150849567c0:1e83	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:34ef	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
-60ed8313:150849567c0:23a6	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:344b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:2302	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a7d	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1ace	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b94	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a2a	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:2f28	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dbd	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30b7	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:39eb	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:3013	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c8a	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:28a2	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2ed4	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21ad	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3273	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e30	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3607	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c39	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fca	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3867	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e99	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:35b3	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d2f	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3be5	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2029	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:295d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b41	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2f8f	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2289	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e46	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cdb	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:307a	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:340e	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1df2	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:25c9	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2191	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:366e	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2525	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:33ba	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b57	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2785	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24d1	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39ae	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:1c4d	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:390a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:3f3c	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3236	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:3496	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:31e2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:258c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3ba8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3b04	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37d6	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a75	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:3732	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e09	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:3d64	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:303d	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:3ab0	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:28cc	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3992	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2efe	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21f8	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:329d	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1db5	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e5a	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2154	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
-60ed8313:150849567c0:1d11	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19e3	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1f71	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:2748	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35dd	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2ac6	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b6b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a22	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26f4	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2650	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bbc	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c82	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3459	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3eab	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31a5	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3101	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:254f	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fc2	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3361	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	signatory state
-60ed8313:150849567c0:1a38	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3d27	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:24fb	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:39f9	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:1c98	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:3955	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3f87	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:36a1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e1d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2117	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19a6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fd8	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1902	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2377	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f34	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:20c3	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
-60ed8313:150849567c0:3b2e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1ee0	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:1a9f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:26b7	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:375c	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2ce9	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2613	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3d8e	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3088	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
-60ed8313:150849567c0:2c45	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3ada	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2873	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1ddf	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
-60ed8313:150849567c0:217e	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d3b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bf1	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:33c8	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:3324	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f9b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:24be	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3584	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:241a	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3918	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:32d0	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a4c	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:267a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:38c4	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b63	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ef6	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3820	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:31cf	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
-60ed8313:150849567c0:3e52	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:312b	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29ba	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fec	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22e6	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:338b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1ea3	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:371f	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2c08	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:397f	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2836	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36cb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e68	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cfd	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2bb4	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:192c	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2b10	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27e2	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f5e	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:20ed	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1caa	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d70	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3547	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:3b79	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a0f	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:263d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34f3	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
-60ed8313:150849567c0:2c6f	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b26	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:289d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3eb9	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3a81	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e15	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d86	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:1ad2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2faf	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22a9	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:334e	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f0b	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dc1	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2205	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:32fa	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2465	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a97	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:21b1	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3c1c	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38ee	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b8d	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
-60ed8313:150849567c0:27a5	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:384a	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2dd7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2701	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3e7c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2d33	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:200c	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2961	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ecd	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f93	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:226c	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:34b6	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ae8	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3412	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a44	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25ac	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3672	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d49	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bde	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1977	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b3a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1cf5	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d9a	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:39b2	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:2094	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c51	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fe4	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2428	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32bd	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f40	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2688	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23d4	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:2330	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:380d	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e3f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3139	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29c8	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2590	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1afc	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:2924	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3399	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f56	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3deb	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:222f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30e5	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2ca2	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3041	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28d0	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:248f	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3a07	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:21db	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3635	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c67	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:27cf	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3895	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:272b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35e1	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1cb8	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d5d	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2057	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c14	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:298b	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3fa7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3f03	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1e74	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bc0	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
-60ed8313:150849567c0:343c	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:3a6e	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25f7	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:369c	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2553	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1abf	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b85	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a1b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:2f19	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dae	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:30a8	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d0a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39dc	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3004	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c7b	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2ec5	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f6a	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3264	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e21	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:23fe	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1fbb	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:235a	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3858	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:35a4	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bd6	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3500	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
-60ed8313:150849567c0:294e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b32	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3760	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e37	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	observer
-60ed8313:150849567c0:2ccc	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:306b	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:28fa	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1de3	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
-60ed8313:150849567c0:2182	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:365f	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2516	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33ab	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b48	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2776	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24c2	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c3e	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2af4	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f2d	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2a50	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3227	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e9e	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bea	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
-60ed8313:150849567c0:3487	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:231d	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31d3	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
-60ed8313:150849567c0:257d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2ff0	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:37c7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a66	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:3df9	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3723	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d55	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:302e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28bd	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3aa1	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3983	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2eef	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21e9	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:328e	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1da6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e4b	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2145	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1d02	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:19d4	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1930	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:1f62	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:2739	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:20f1	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35ce	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:352a	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:2ab7	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b5c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a13	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26e5	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:378a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2641	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bad	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:2c73	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:33f6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fb3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3352	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1a29	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:24ec	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3d18	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:1c89	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3946	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a7a	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f78	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2e0e	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:3cc4	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2108	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3c20	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38f2	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1fc9	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b91	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
-60ed8313:150849567c0:2368	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31fd	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1f25	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:3e80	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2dba	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:20b4	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:2010	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3b1f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1ed1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:26a8	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2270	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:374d	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2604	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3d7f	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3079	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c36	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3acb	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2864	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e96	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:25b0	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:216f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d2c	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2be2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:33b9	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:195a	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:3315	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f8c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:24af	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3575	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3909	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:240b	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32c1	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a3d	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:266b	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:1bf8	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
-60ed8313:150849567c0:2c9d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38b5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b54	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ee7	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3811	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e43	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:311c	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29ab	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fdd	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22d7	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:337c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2233	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2493	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2827	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36bc	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e59	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cee	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2ba5	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c4a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b01	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:191d	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27d3	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f4f	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:20de	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:2d61	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:203a	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3538	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
-60ed8313:150849567c0:1efb	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:229a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3798	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
-60ed8313:150849567c0:262e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34e4	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3440	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:288e	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a72	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25da	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e06	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d77	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:1ac3	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:333f	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3db2	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39e0	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:359f	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2456	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32eb	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a88	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:21a2	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:3c0d	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38df	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b7e	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:383b	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2dc8	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e6d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3167	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d24	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29f6	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2952	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ebe	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
-60ed8313:150849567c0:2f84	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:225d	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e1a	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cd0	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:34a7	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ad9	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3403	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a35	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3663	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bcf	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c95	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1968	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b2b	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27fd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1ce6	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d8b	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:39a3	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2085	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:1c42	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:3fd5	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2419	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3f31	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:320a	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:2679	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23c5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:346a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2321	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a9c	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:29b9	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2581	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1aed	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2915	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37aa	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2f47	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3ddc	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30d6	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3032	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28c1	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:2ef3	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21cc	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3292	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3626	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c58	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3886	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:271c	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35d2	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1ca9	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d4e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2048	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/FAO/	associate member
-60ed8313:150849567c0:1c05	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/SICA/	associated member
-60ed8313:150849567c0:297c	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b60	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1e65	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cfa	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:1bb1	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:342d	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3ea0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3a5f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25e8	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:368d	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2544	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2b76	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a0c	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:24f0	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:39cd	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c6c	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:32f9	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f5b	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3255	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e12	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:23ef	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1fac	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:234b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3849	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3bc7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:293f	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b23	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37f5	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a94	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3751	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e28	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2cbd	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d83	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:305c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:28eb	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1dd4	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
-60ed8313:150849567c0:2173	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d30	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
-60ed8313:150849567c0:2507	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:2b39	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1f90	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2767	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35fc	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d99	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:24b3	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c2f	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2ae5	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b8a	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a41	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f1e	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3218	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e8f	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bdb	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:3478	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3eca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:230e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31c4	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/NC/	member
-60ed8313:150849567c0:3120	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:256e	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fe1	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22ba	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37b8	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:3380	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:3714	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d46	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:301f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28ae	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3974	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:36c0	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:280a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:327f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:3cf2	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e3c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2136	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19c5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1921	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:1ff7	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2396	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f53	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:20e2	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35bf	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:351b	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:2aa8	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b4d	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a04	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26d6	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:377b	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2632	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c64	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2892	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dfe	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
-60ed8313:150849567c0:219d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:1d5a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:33e7	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fa4	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3343	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f00	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:24dd	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3d09	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3937	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a6b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f69	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3cb5	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c11	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38e3	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b82	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:2359	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31ee	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f16	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:3e71	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:20a5	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:314a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2001	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ec2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2261	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:373e	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3abc	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2c27	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28f9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:399e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2855	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36ea	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e87	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:25a1	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:19ef	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d1d	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bd3	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:194b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:3306	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f7d	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:3566	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3b98	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:32b2	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a2e	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:265c	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1be9	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
-60ed8313:150849567c0:2c8e	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38a6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:1b45	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ed8	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3802	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e34	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:310d	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1af1	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fce	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22c8	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:336d	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f2a	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3de0	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2224	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2484	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2818	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21d0	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36ad	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cdf	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:190e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27c4	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3e9b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2df6	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2720	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:20cf	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3195	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d52	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:202b	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3529	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:2980	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1eec	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:228b	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3789	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:261f	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34d5	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3431	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:1b08	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:287f	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a63	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25cb	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3691	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d68	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:2bfd	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1996	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1ab4	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:1a10	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3da3	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39d1	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c70	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2447	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32dc	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a79	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:23f3	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1fb0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b6f	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:382c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2db9	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e5e	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3158	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d15	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29e7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3baa	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2943	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1eaf	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f75	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1e0b	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:2cc1	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3060	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:3a26	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:21fa	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36f8	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3654	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c86	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:33a0	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1959	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b1c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27ee	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
-60ed8313:150849567c0:274a	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cd7	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d7c	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2076	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:1c33	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:3fc6	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3f22	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e93	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:34ff	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
-60ed8313:150849567c0:23b6	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:345b	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:2312	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a8d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2572	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1ade	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2906	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1a3a	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:2f38	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dcd	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30c7	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:39fb	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:3023	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c9a	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:28b2	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:2ee4	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21bd	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3283	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e40	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3617	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c49	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1fda	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3877	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:270d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:35c3	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d3f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2039	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:296d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b51	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2f9f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2299	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e56	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2ceb	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:308a	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
-60ed8313:150849567c0:1ba2	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:341e	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:25d9	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:367e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2535	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33ca	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:2b67	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2795	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24e1	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39be	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c5d	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:391a	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2ea7	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3f4c	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3246	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/GUAM/	member
-60ed8313:150849567c0:2e03	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:233c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31f2	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:259c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3bb8	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3b14	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37e6	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a85	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AMU/	member
-60ed8313:150849567c0:3742	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e19	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cae	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d74	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:304d	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2c0a	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28dc	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ac0	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1dc5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:2e6a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2164	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:19f3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d21	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:1f81	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:35ed	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:24a4	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ad6	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2400	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3b7b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a32	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f0f	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	associate member
-60ed8313:150849567c0:3209	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:2660	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bcc	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c92	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3469	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ebb	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31b5	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:3111	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29a0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:255f	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2fd2	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22ab	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37a9	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:3371	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:1a48	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3705	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d37	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3965	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:3f97	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:36b1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e2d	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3ce3	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2127	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19b6	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1912	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:1fe8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2387	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f44	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:20d3	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:350c	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
-60ed8313:150849567c0:3b3e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1ef0	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:26c7	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:376c	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cf9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2623	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3d9e	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3098	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2c55	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:2883	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1def	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:218e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d4b	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:33d8	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
-60ed8313:150849567c0:3334	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24ce	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3594	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:242a	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3928	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:32e0	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a5c	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:268a	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3ca6	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c02	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38d4	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b73	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3830	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:31df	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f07	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:3e62	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:313b	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29ca	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2ffc	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22f6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:339b	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1eb3	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:372f	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2252	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2c18	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3aad	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:398f	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2846	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36db	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e78	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1d0e	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bc4	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2b20	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:193c	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:27f2	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1f6e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:20fd	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1cba	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d80	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3557	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3b89	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a1f	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:264d	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c7f	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b36	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ec9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3a91	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e25	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d96	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:1ae2	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fbf	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22b9	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:335e	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f1b	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dd1	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2215	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30aa	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2475	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2809	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21c1	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3c2c	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38fe	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
-60ed8313:150849567c0:1b9d	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:27b5	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:385a	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2de7	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2711	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3e8c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3186	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d43	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:201c	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2971	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1edd	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:227c	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:34c6	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3af8	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3422	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:3a54	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25bc	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3682	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d59	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:2bee	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1987	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1aa5	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2b4a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a01	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:39c2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:2438	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32cd	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f50	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2698	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23e4	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1fa1	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:381d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2340	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3e4f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3149	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d06	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29d8	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2934	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:2f66	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dfb	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:223f	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30f5	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2cb2	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3051	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28e0	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:249f	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3a17	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:21eb	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36e9	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3645	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c77	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b0d	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27df	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:273b	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35f1	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1cc8	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d6d	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2067	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:1c24	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:299b	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3fb7	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3f13	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e84	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bd0	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:23a7	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:344c	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:2303	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a7e	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2563	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1acf	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b95	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2f29	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dbe	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30b8	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d1a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39ec	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:3014	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c8b	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:28a3	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2ed5	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f7a	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21ae	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3274	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e31	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:210a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3608	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1fcb	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:236a	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3868	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:35b4	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3be6	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3510	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:295e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b42	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26aa	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3770	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e47	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cdc	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:307b	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:340f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1df3	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:366f	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2192	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:2526	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:33bb	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b58	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2786	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24d2	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:39af	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:1c4e	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:390b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2a60	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f3d	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3237	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1bfa	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
-60ed8313:150849567c0:3497	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:232d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3ba9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3b05	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37d7	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a76	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:3733	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d65	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:303e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28cd	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ab1	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3993	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2eff	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21f9	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:329e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1db6	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e5b	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2155	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
-60ed8313:150849567c0:19e4	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d12	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:1940	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:1f72	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:2749	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35de	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:353a	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
-60ed8313:150849567c0:2ac7	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b6c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a23	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26f5	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:379a	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
-60ed8313:150849567c0:2651	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bbd	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
-60ed8313:150849567c0:2c83	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3eac	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31a6	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3102	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2fc3	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3362	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:1a39	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:24fc	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3d28	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:1c99	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:3956	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2a8a	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:36a2	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cd4	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e1e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2118	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19a7	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:3c30	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fd9	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1903	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2378	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f35	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:3e90	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2dca	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20c4	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-7/	member
-60ed8313:150849567c0:2020	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3b2f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1ee1	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:375d	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:26b8	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2280	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2614	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3d8f	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3089	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAS/	observer
-60ed8313:150849567c0:2c46	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3adb	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2874	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25c0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:217f	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d3c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bf2	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:33c9	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:196a	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:3325	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f9c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:24bf	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3585	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:241b	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3919	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:32d1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a4d	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:267b	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:38c5	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b64	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ef7	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3821	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e53	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:312c	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2fed	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22e7	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:338c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1ea4	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2243	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1e00	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
-60ed8313:150849567c0:2c09	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2837	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36cc	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e69	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cfe	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2bb5	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c5a	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b11	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27e3	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:192d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:1f5f	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:20ee	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1cab	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d71	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:204a	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:3548	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:263e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34f4	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
-60ed8313:150849567c0:3450	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:1b27	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:289e	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a82	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25ea	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e16	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d87	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:1ad3	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:334f	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f0c	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dc2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2206	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:39f0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:2466	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32fb	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a98	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:21b2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3c1d	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38ef	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b8e	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
-60ed8313:150849567c0:27a6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:384b	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2702	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3e7d	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3177	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d34	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:200d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2962	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ece	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f94	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:226d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e2a	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2ce0	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:34b7	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ae9	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3413	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a45	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25ad	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3673	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bdf	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1978	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b3b	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:39b3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:2d9b	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:1cf6	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2095	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c52	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fe5	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2429	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32be	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f41	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:321a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:2689	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23d5	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:347a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2331	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:380e	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:29c9	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2591	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1afd	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:2925	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37ba	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2f57	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dec	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30e6	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2ca3	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3042	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28d1	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3a08	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:3636	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c68	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3896	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:272c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35e2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1cb9	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d5e	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2058	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c15	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2aaa	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:298c	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3fa8	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3b70	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f04	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1e75	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bc1	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
-60ed8313:150849567c0:343d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:3eb0	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3a6f	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25f8	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:369d	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2554	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2b86	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:22a0	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a1c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3daf	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:30a9	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d0b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39dd	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3005	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c7c	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2ec6	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f6b	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3265	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e22	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:23ff	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1fbc	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:235b	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3859	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:35a5	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bd7	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3501	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
-60ed8313:150849567c0:294f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b33	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3761	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2ccd	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d93	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:306c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:28fb	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1de4	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/EAC/	member
-60ed8313:150849567c0:2183	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d40	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2517	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33ac	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b49	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2777	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24c3	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c3f	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2af5	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b9a	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a51	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f2e	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3228	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e9f	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1beb	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
-60ed8313:150849567c0:3488	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3eda	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:231e	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31d4	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NIB/	member
-60ed8313:150849567c0:3130	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:257e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2ff1	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22ca	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37c8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:3390	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1a67	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:3724	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d56	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:302f	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28be	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:3aa2	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3984	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:281a	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36d0	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
-60ed8313:150849567c0:328f	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1da7	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e4c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2146	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19d5	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d03	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:1931	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:20f2	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35cf	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:352b	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:2ab8	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b5d	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a14	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26e6	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:378b	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2642	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bae	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c74	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b0a	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:1d6a	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
-60ed8313:150849567c0:33f7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fb4	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3353	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f10	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:24ed	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3d19	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3947	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a7b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f79	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3cc5	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e0f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:2109	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3c21	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38f3	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b92	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
-60ed8313:150849567c0:2369	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31fe	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:2dbb	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e81	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20b5	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:315a	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2011	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ed2	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:26a9	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2271	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:374e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2605	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c37	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3acc	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2865	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36fa	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e97	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:19ff	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d2d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
-60ed8313:150849567c0:2be3	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:195b	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:3316	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f8d	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3576	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:240c	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32c2	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a3e	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:266c	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:1bf9	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
-60ed8313:150849567c0:2c9e	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38b6	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b55	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ee8	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3812	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e44	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:311d	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29ac	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fde	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22d8	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:337d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f3a	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3df0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2234	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2494	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2828	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21e0	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36bd	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cef	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2ba6	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c4b	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:191e	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2b02	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:27d4	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2730	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:20df	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:2d62	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:203b	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3539	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	member
-60ed8313:150849567c0:2990	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1efc	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:229b	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3799	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
-60ed8313:150849567c0:262f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34e5	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3441	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:1b18	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
-60ed8313:150849567c0:288f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a73	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25db	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e07	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d78	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:1ac4	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:1a20	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3db3	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39e1	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c80	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2457	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32ec	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a89	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:21a3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:3c0e	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fc0	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b7f	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:383c	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2dc9	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e6e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3168	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d25	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29f7	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bba	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2953	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ebf	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EFTA/	member
-60ed8313:150849567c0:2f85	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:225e	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e1b	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cd1	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:34a8	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3070	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:3404	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a36	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3664	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c96	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:33b0	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1969	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b2c	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27fe	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:275a	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1ce7	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d8c	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:39a4	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2086	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:3fd6	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:3900	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
-60ed8313:150849567c0:32af	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f32	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:320b	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:23c6	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:346b	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2322	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a9d	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2582	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1aee	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2916	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37ab	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a4a	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:2f48	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3ddd	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30d7	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3033	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28c2	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:2ef4	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21cd	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3293	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e50	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3627	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c59	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1fea	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3887	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:271d	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35d3	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d4f	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2049	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	associate member
-60ed8313:150849567c0:1c06	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:297d	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b61	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1e66	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cfb	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:309a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1bb2	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:342e	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3ea1	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:25e9	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:368e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2545	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33da	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
-60ed8313:150849567c0:2b77	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a0d	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:39ce	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c6d	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:392a	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2eb7	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f5c	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3256	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e13	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1fad	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:234c	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3bc8	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3b24	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37f6	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1a95	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3752	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e29	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2cbe	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d84	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:305d	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:2c1a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28ec	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ad0	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2e7a	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1dd5	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
-60ed8313:150849567c0:2174	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d31	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
-60ed8313:150849567c0:2508	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:1f91	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2768	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35fd	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:24b4	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ae6	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2410	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3b8b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a42	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f1f	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3219	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:2670	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bdc	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:3479	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ecb	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:230f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31c5	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NC/	member
-60ed8313:150849567c0:3121	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29b0	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:256f	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:37b9	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:22bb	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3381	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:1a58	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
-60ed8313:150849567c0:3715	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d47	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:28af	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3975	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:280b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36c1	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e3d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cf3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2137	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19c6	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1ff8	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1922	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2397	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f54	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:20e3	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1ca0	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:351c	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:2aa9	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b4e	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a05	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26d7	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:377c	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2633	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c65	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3afa	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2893	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dff	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
-60ed8313:150849567c0:219e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:1d5b	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:33e8	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fa5	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3344	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f01	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:24de	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3938	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:243a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32f0	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a6c	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3cb6	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:269a	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3c12	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38e4	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b83	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:31ef	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f17	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dac	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e72	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20a6	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:314b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29da	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2002	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ec3	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2262	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:373f	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2c28	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3abd	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:399f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2856	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36eb	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e88	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:25a2	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1d1e	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bd4	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:194c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2b30	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3307	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f7e	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cca	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d90	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:3567	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3b99	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:32b3	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a2f	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:265d	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c8f	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38a7	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:1b46	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ed9	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3803	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e35	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:310e	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2fcf	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1af2	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:22c9	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:336e	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f2b	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3de1	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2225	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30ba	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2819	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21d1	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36ae	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:360a	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c3c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:190f	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27c5	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:386a	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2df7	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2721	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:3e9c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3196	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d53	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:202c	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2981	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1eed	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:228c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:34d6	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3432	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:1b09	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:3a64	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25cc	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3692	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d69	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
-60ed8313:150849567c0:2bfe	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1997	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1ab5	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b5a	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a11	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3da4	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d00	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:39d2	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c71	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2448	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32dd	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f60	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:23f4	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1fb1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2350	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:382d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e5f	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3159	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d16	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29e8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bab	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2944	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:224f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e0c	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:2cc2	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3061	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:28f0	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3a27	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:21fb	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36f9	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3655	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c87	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:33a1	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b1d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27ef	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	observer
-60ed8313:150849567c0:274b	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cd8	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d7d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2077	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:1c34	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:3fc7	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3f23	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e94	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1be0	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
-60ed8313:150849567c0:23b7	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:345c	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:2313	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a8e	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2573	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1adf	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2907	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:2f39	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:1a3b	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dce	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30c8	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d2a	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39fc	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:3024	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c9b	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:28b3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:2ee5	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f8a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21be	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3284	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e41	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3618	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:211a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fdb	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3878	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:270e	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:35c4	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bf6	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3520	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
-60ed8313:150849567c0:296e	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b52	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26ba	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3780	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e57	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cec	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:308b	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1ba3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:341f	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:367f	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2536	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33cb	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:2b68	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2796	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:39bf	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:24e2	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c5e	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:391b	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2ea8	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2a70	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f4d	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3247	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e04	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:233d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31f3	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:2db0	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3bb9	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:259d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3b15	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37e7	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a86	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3743	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2caf	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d75	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:304e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2c0b	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28dd	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ac1	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1dc6	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:2e6b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2165	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d22	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:1950	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1f82	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:2759	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35ee	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:24a5	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:354a	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:2ad7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2401	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3b7c	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a33	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2661	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bcd	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c93	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3ebc	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31b6	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:3112	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29a1	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2fd3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22ac	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3372	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:1a49	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3706	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d38	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3966	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2a9a	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f98	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:36b2	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3ce4	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e2e	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2128	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19b7	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:3c40	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fe9	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1913	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2388	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f45	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2dda	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20d4	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:2030	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:350d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
-60ed8313:150849567c0:3b3f	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1ef1	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
-60ed8313:150849567c0:26c8	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2290	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:376d	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d9f	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3099	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2c56	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3aeb	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2884	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25d0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:218f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d4c	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:33d9	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
-60ed8313:150849567c0:197a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:3335	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24cf	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3595	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3929	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:242b	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32e1	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a5d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:268b	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3ca7	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c03	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38d5	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b74	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3831	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f08	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:3e63	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:313c	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29cb	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2ffd	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22f7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:339c	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1eb4	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2253	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e10	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:2c19	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3aae	http://www.semwebtech.org/mondial/10/country/SMAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2847	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a0a	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
-60ed8313:150849567c0:36dc	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e79	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1d0f	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bc5	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c6a	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:193d	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2b21	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27f3	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1f6f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cbb	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d81	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:205a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:3558	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3faa	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:32a4	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3200	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:264e	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3460	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b37	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3a92	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25fa	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e26	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d97	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:1ae3	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:37a0	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:335f	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f1c	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dd2	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2216	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30ab	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2476	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:21c2	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3c2d	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38ff	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
-60ed8313:150849567c0:1b9e	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:27b6	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:385b	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2de8	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2712	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3e8d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3187	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d44	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:201d	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2972	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ede	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:227d	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e3a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cf0	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:34c7	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3af9	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3423	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3a55	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25bd	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3683	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bef	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1aa6	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2b4b	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a02	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:39c3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c62	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2439	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32ce	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f51	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:322a	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:2699	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23e5	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:348a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fa2	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2341	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:381e	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2d07	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29d9	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2935	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37ca	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2f67	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3dfc	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30f6	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2cb3	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3052	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28e1	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:21ec	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3a18	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:3646	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c78	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b0e	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:273c	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35f2	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1cc9	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d6e	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2068	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:1c25	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2aba	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:299c	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3fb8	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3b80	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f14	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e85	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bd1	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:23a8	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:344d	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3ec0	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3a7f	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2564	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2b96	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:22b0	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a2c	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dbf	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30b9	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d1b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39ed	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:3015	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c8c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:28a4	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f7b	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ed6	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2800	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21af	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3275	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e32	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:210b	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3609	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1fcc	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:236b	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3869	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:35b5	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3be7	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3511	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:295f	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b43	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26ab	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3771	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e48	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cdd	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:307c	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:1df4	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:2193	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d50	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
-60ed8313:150849567c0:2527	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:33bc	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b59	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2787	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24d3	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c4f	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:390c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2a61	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f3e	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3238	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:3498	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3eea	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:232e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31e4	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:2da1	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3140	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:258e	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3b06	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:22da	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37d8	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a77	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:3734	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d66	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:303f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28ce	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ab2	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3994	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:282a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36e0	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:329f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:1db7	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e5c	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2156	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
-60ed8313:150849567c0:19e5	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d13	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:1941	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:1f73	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:35df	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:353b	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
-60ed8313:150849567c0:2ac8	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b6d	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a24	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26f6	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:379b	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
-60ed8313:150849567c0:2652	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bbe	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
-60ed8313:150849567c0:2c84	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b1a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
-60ed8313:150849567c0:3ead	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31a7	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3103	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d7a	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:2fc4	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3363	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f20	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:24fd	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3957	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2a8b	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f89	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:36a3	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e1f	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cd5	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2119	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19a8	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:3c31	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1904	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2379	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f36	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2dcb	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e91	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20c5	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:316a	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2021	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ee2	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:26b9	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2281	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:375e	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2615	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34aa	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c47	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3adc	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2875	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25c1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d3d	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bf3	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:196b	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:3326	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f9d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3586	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:241c	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32d2	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a4e	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:267c	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:38c6	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b65	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ef8	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3822	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e54	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:312d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29bc	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3ba0	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2fee	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:338d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1ea5	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2f4a	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2244	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1e01	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/CEMAC/	member
-60ed8313:150849567c0:2838	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21f0	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36cd	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cff	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2bb6	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c5b	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:192e	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2b12	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27e4	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2740	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:20ef	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1cac	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d72	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:204b	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:3549	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:34f5	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
-60ed8313:150849567c0:263f	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3451	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:289f	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a83	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25eb	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e17	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d88	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:1ad4	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:1a30	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:2f0d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dc3	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2207	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:39f1	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:1c90	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2467	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32fc	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a99	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:21b3	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3c1e	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fd0	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b8f	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	member
-60ed8313:150849567c0:27a7	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:384c	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2dd9	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e7e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3178	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d35	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bca	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:200e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2963	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1ecf	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f95	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:226e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e2b	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2ce1	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:34b8	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3080	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:3414	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
-60ed8313:150849567c0:3a46	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25ae	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3674	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:250a	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33c0	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1979	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b3c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:276a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cf7	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39b4	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:2d9c	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:2096	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c53	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fe6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:3910	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:32bf	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f42	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:321b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23d6	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:347b	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:380f	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2332	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2592	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1afe	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:2926	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37bb	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a5a	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
-60ed8313:150849567c0:2f58	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3ded	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30e7	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2ca4	http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3043	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:28d2	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:21dd	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3a09	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
-60ed8313:150849567c0:2e60	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3637	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c69	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1ffa	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3897	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:272d	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35e3	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d5f	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2059	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c16	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2aab	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:298d	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3fa9	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3b71	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f05	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1e76	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bc2	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
-60ed8313:150849567c0:343e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:3eb1	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:25f9	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:369e	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2555	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33ea	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2b87	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:22a1	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a1d	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3d0c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39de	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3006	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c7d	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:393a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2ec7	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f6c	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3266	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e23	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1fbd	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:235c	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:35a6	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bd8	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3502	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
-60ed8313:150849567c0:3b34	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3762	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e39	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:3d94	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:306d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c2a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:28fc	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ae0	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1de5	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
-60ed8313:150849567c0:2e8a	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2184	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d41	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2518	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33ad	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2778	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24c4	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2af6	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2420	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3b9b	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a52	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3f2f	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3229	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:2680	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bec	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
-60ed8313:150849567c0:3489	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3edb	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:231f	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31d5	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
-60ed8313:150849567c0:3131	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29c0	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:257f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2ff2	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22cb	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37c9	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:3391	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1a68	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:3725	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d57	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3aa3	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:28bf	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:3985	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:281b	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36d1	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
-60ed8313:150849567c0:1da8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e4d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2147	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19d6	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d04	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:1932	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:20f3	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1cb0	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:352c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:2ab9	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b5e	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a15	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26e7	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:378c	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2643	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1baf	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c75	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b0b	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:1d6b	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
-60ed8313:150849567c0:33f8	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fb5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3354	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f11	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30a0	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:24ee	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:244a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3948	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a7c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3cc6	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c22	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38f4	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b93	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
-60ed8313:150849567c0:3850	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:31ff	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1f27	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dbc	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e82	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20b6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-24/	observer
-60ed8313:150849567c0:315b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29ea	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2012	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ed3	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2272	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:374f	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2606	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c38	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3acd	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2866	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36fb	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e98	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:25b2	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d2e	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
-60ed8313:150849567c0:195c	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b40	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3317	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f8e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1cda	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:3577	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:240d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32c3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a3f	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:266d	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:2c9f	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:38b7	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b56	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ee9	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3813	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e45	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:311e	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29ad	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fdf	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22d9	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:337e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:3df1	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2f3b	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2235	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30ca	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2495	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2829	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21e1	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36be	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:361a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2ba7	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c4c	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:191f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2b03	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:27d5	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:387a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2731	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:2d63	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:203c	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2991	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1efd	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:229c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:34e6	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3442	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
-60ed8313:150849567c0:1b19	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
-60ed8313:150849567c0:3a74	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e08	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d79	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:1ac5	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b6a	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a21	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3db4	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d10	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39e2	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c81	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2458	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32ed	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2eaa	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f70	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21a4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:2100	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3c0f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fc1	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2360	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:383d	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e6f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3169	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d26	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29f8	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bbb	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2954	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2f86	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:26a0	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:225f	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e1c	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cd2	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:34a9	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3071	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:3405	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a37	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3665	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c97	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:33b1	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b2d	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27ff	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:275b	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1ce8	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39a5	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2d8d	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:2087	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:1c44	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:3fd7	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:3f33	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:320c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1bf0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
-60ed8313:150849567c0:23c7	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:346c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2323	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a9e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2583	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1aef	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2917	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37ac	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a4b	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
-60ed8313:150849567c0:2f49	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dde	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30d8	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d3a	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3034	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28c3	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:2ef5	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f9a	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21ce	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3294	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e51	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:212a	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3628	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1feb	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:238a	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3888	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:271e	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35d4	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3530	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:1c07	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:297e	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b62	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26ca	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3790	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e67	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cfc	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:309b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1bb3	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:342f	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3ea2	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:368f	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2546	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33db	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
-60ed8313:150849567c0:2b78	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:24f2	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:39cf	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c6e	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:392b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2eb8	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2a80	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f5d	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3257	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e14	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1fae	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:234d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f0a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
-60ed8313:150849567c0:2dc0	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3bc9	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3b25	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:37f7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1a96	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3753	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cbf	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d85	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:305e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:2c1b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28ed	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ad1	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1dd6	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
-60ed8313:150849567c0:2e7b	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2175	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d32	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
-60ed8313:150849567c0:2509	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:1960	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1f92	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2769	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35fe	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:24b5	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:355a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2ae7	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2411	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3b8c	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a43	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2671	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bdd	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:3ecc	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31c6	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/NC/	member
-60ed8313:150849567c0:3122	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29b1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fe3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3382	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:1a59	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CAN/	associate member
-60ed8313:150849567c0:3716	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d48	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3976	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:280c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36c2	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e3e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cf4	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2138	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19c7	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:3c50	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1ff9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1923	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2398	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f55	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2dea	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20e4	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1ca1	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2040	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:351d	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:3b4f	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a06	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26d8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:377d	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2634	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c66	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3afb	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2894	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25e0	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:219f	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:1d5c	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:33e9	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:198a	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:2fa6	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3345	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f02	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:24df	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:243b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3939	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:32f1	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a6d	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3cb7	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:269b	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3c13	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38e5	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:3841	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f18	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dad	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e73	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20a7	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:314c	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29db	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2003	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ec4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2263	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e20	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2c29	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3abe	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2857	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a1a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36ec	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e89	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:25a3	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2bd5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1d1f	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:3c7a	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:194d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2b31	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3308	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f7f	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1ccb	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d91	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:206a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:3568	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fba	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:32b4	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3210	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:265e	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:23aa	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38a8	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:3470	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b47	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3804	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e36	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:310f	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1af3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:37b0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:336f	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:3de2	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2f2c	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2226	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2486	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:21d2	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36af	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:360b	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c3d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:27c6	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:386b	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2df8	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2722	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:3e9d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3197	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d54	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:202d	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2aa0	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2982	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1eee	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:228d	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e4a	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34d7	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3433	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/organization/PIF/	associate member
-60ed8313:150849567c0:3a65	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3693	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:25cd	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2bff	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1998	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1ab6	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b5b	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a12	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3da5	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d01	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:39d3	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c72	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2449	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32de	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f61	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:323a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23f5	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:349a	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fb2	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:382e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2351	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2d17	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29e9	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bac	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2945	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37da	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1e0d	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:2cc3	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3062	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:28f1	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:21fc	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3a28	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:3656	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c88	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:33a2	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b1e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:274c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cd9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d7e	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2078	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:1c35	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2aca	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fc8	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3b90	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f24	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e95	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1be1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
-60ed8313:150849567c0:23b8	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:345d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ed0	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2314	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a8f	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2574	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2908	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22c0	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a3c	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dcf	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30c9	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d2b	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39fd	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:3025	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c9c	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:28b4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:3f8b	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ee6	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2810	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21bf	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3285	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e42	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:211b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3619	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19aa	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:237b	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3879	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:270f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:35c5	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bf7	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3521	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
-60ed8313:150849567c0:296f	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b53	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26bb	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3781	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e58	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2ced	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:308c	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1ba4	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:1b00	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:1d60	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:2537	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33cc	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:2b69	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2797	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24e3	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:1c5f	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:391c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2ea9	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2a71	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f4e	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3248	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e05	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:3efa	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:233e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31f4	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:2db1	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3150	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:259e	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3b16	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:22ea	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37e8	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a87	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3744	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d76	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:304f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2c0c	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28de	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ac2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:283a	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36f0	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e6c	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2166	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:19f5	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d23	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:1951	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1f83	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:35ef	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:24a6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:354b	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:2ad8	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2402	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3b7d	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a34	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2662	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bce	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c94	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b2a	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ebd	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31b7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:3113	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d8a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29a2	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2fd4	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22ad	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3373	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f30	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3707	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d39	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3967	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2a9b	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f99	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:36b3	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e2f	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3ce5	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2129	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19b8	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:3c41	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1914	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2389	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f46	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2ddb	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20d5	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:317a	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2031	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:350e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
-60ed8313:150849567c0:1ef2	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
-60ed8313:150849567c0:2291	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:376e	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2625	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ba	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c57	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3aec	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2885	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25d1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d4d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:197b	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:3336	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3596	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:242c	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32e2	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a5e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:268c	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3ca8	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c04	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38d6	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b75	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3832	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f09	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:3e64	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:313d	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29cc	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bb0	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2ffe	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22f8	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:339d	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1eb5	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f5a	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2254	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e11	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:3aaf	http://www.semwebtech.org/mondial/10/country/SBAR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2848	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a0b	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
-60ed8313:150849567c0:36dd	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2bc6	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c6b	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:193e	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2b22	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27f4	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2750	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:20ff	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1cbc	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d82	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3559	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fab	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:32a5	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3201	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:264f	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3461	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b38	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3a93	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25fb	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e27	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d98	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:1ae4	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:37a1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a40	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:2f1d	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dd3	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2217	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30ac	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2477	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:21c3	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3c2e	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fe0	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1b9f	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:27b7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:385c	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e8e	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2de9	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2713	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3188	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3bda	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2d45	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:201e	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2973	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1edf	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:227e	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e3b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cf1	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:34c8	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3090	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3424	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3a56	http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25be	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3684	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:251a	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33d0	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:1989	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:2b4c	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a03	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:277a	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:39c4	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c63	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3920	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:32cf	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f52	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:322b	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23e6	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:348b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fa3	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2342	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:381f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2d08	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2936	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37cb	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a6a	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:2f68	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3dfd	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30f7	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2cb4	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3053	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2c10	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28e2	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:21ed	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3a19	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:1daa	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e70	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3647	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c79	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b0f	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:273d	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35f3	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d6f	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2069	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:2abb	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:1c26	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:299d	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3fb9	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3b81	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f15	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e86	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bd2	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:23a9	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:344e	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:2305	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2565	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33fa	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2b97	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:22b1	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a2d	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3d1c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39ee	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:3016	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c8d	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:28a5	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:394a	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f7c	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ed7	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2801	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3276	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e33	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:210c	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fcd	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:236c	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:35b6	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3be8	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3512	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:3b44	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26ac	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3772	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e49	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cde	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:307d	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c3a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3af0	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1df5	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:2e9a	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2194	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
-60ed8313:150849567c0:1d51	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
-60ed8313:150849567c0:2528	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:33bd	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2788	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24d4	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:390d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2430	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a62	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f3f	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3239	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:2690	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bfc	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
-60ed8313:150849567c0:3eeb	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:232f	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31e5	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:2da2	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3141	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29d0	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:258f	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3b07	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:22db	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37d9	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a78	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:3735	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d67	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3ab3	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:28cf	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3995	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:282b	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36e1	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1db8	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
-60ed8313:150849567c0:2e5d	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2157	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
-60ed8313:150849567c0:19e6	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d14	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:1942	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:1f74	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cc0	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:353c	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
-60ed8313:150849567c0:2ac9	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b6e	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a25	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26f7	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:379c	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
-60ed8313:150849567c0:2653	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1bbf	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	associate member
-60ed8313:150849567c0:2c85	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b1b	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
-60ed8313:150849567c0:3eae	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31a8	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3e0a	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3104	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d7b	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:2fc5	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3364	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f21	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30b0	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:24fe	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3958	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2a8c	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:36a4	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cd6	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3600	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:19a9	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:3c32	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1905	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:3860	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f37	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:3e92	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2dcc	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:316b	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:20c6	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:29fa	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2022	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ee3	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:2282	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:375f	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2616	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ab	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c48	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3add	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2876	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25c2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d3e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bf4	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:196c	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b50	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3327	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f9e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1cea	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:3587	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:241d	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32d3	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a4f	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:267d	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:38c7	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b66	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3ef9	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3823	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e55	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:312e	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29bd	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3ba1	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2fef	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:338e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1ea6	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2f4b	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2245	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30da	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e02	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:2839	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21f1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36ce	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:362a	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bb7	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c5c	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b13	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:192f	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27e5	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:388a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2741	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cad	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d73	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:204c	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:34f6	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
-60ed8313:150849567c0:3452	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:1b29	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3a84	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25ec	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e18	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d89	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:1ad5	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b7a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a31	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:2f0e	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dc4	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2208	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3d20	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39f2	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:1c91	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:2468	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32fd	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f80	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2eba	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21b4	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2110	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3c1f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fd1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:27a8	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2370	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2704	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3e7f	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3179	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d36	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bcb	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:200f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2964	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2f96	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:26b0	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:226f	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e2c	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2ce2	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:34b9	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3081	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:3415	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
-60ed8313:150849567c0:3a47	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25af	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3675	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:250b	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33c1	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b3d	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:276b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cf8	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d9d	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:39b5	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:2097	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c54	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:3fe7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:3911	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:3f43	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:321c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23d7	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:347c	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2333	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2593	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1aff	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:2927	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37bc	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a5b	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CAN/	observer
-60ed8313:150849567c0:2f59	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dee	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30e8	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2ca5	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d4a	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3044	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2c01	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:21de	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2e61	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:213a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3638	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1ffb	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:239a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3898	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:272e	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35e4	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3540	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:1c17	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2aac	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:298e	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b72	http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26da	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3f06	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1e77	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bc3	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
-60ed8313:150849567c0:343f	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:3eb2	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:369f	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2556	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33eb	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2b88	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:22a2	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a1e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3d0d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39df	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:3007	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c7e	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:393b	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f6d	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ec8	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2a90	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3267	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e24	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1fbe	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:235d	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f1a	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dd0	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:35a7	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bd9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3503	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
-60ed8313:150849567c0:3b35	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3763	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2ccf	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:306e	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c2b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:28fd	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ae1	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1de6	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
-60ed8313:150849567c0:2e8b	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2185	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d42	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2519	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33ae	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1970	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:330a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2779	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24c5	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:356a	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2af7	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2421	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3b9c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a53	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2681	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bed	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
-60ed8313:150849567c0:38aa	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:3edc	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31d6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
-60ed8313:150849567c0:3132	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29c1	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2ff3	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22cc	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3392	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1a69	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:3726	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d58	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3aa4	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3986	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:3a00	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:281c	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36d2	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
-60ed8313:150849567c0:1da9	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e4e	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2148	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19d7	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d05	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:3c60	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1933	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:1f65	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:2dfa	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:1cb1	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2050	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:352d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:3fa0	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3b5f	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a16	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26e8	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:378d	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2644	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c76	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b0c	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:25f0	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d6c	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/CAEU/	candidate
-60ed8313:150849567c0:33f9	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fb6	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:199a	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:3355	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f12	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30a1	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:24ef	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:244b	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3949	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a7d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3cc7	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c23	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38f5	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b94	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
-60ed8313:150849567c0:3851	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f28	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:3e83	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2dbd	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:20b7	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-3/	member
-60ed8313:150849567c0:315c	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29eb	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2013	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ed4	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2273	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e30	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
-60ed8313:150849567c0:2607	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c39	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3ace	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a2a	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:2867	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36fc	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e99	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:25b3	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2be5	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c8a	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:195d	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b41	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3318	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f8f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1cdb	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:207a	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:3578	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fca	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:240e	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32c4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3220	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:266e	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23ba	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38b8	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:3480	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b57	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3814	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e46	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:311f	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29ae	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:290a	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37c0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:337f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:3df2	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2f3c	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30cb	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2236	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2496	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:21e2	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36bf	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:361b	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2ba8	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c4d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b04	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:27d6	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:387b	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2732	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:2d64	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:203d	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2ab0	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2992	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1efe	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:229d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e5a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:3443	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
-60ed8313:150849567c0:3a75	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25dd	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e09	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1ac6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b6b	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a22	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3db5	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d11	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39e3	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:1c82	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2459	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32ee	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2eab	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f71	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21a5	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:324a	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2101	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fc2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2361	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:383e	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2d27	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29f9	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bbc	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2955	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:37ea	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2f87	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:26a1	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e1d	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cd3	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3072	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:3406	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a38	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3666	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c98	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:33b2	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b2e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:275c	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1ce9	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d8e	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:39a6	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2088	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:1c45	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2ada	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fd8	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:3902	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
-60ed8313:150849567c0:320d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1bf1	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
-60ed8313:150849567c0:23c8	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:346d	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ee0	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2324	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3a9f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2584	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:37ad	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2918	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22d0	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a4c	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
-60ed8313:150849567c0:3ddf	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30d9	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d3b	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3035	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28c4	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:3f9b	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ef6	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2820	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21cf	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3295	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e52	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:212b	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3629	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19ba	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1fec	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:3889	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:238b	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:271f	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35d5	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3531	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:1c08	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:297f	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b63	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26cb	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3791	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e68	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cfd	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:309c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1bb4	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:1b10	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:3ea3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1d70	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:33dc	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2547	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1a0f	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:24f3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:1c6f	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:392c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2eb9	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2a81	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f5e	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3258	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:3caa	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2e15	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1faf	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:234e	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f0b	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
-60ed8313:150849567c0:2dc1	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3160	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3b26	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:22fa	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:37f8	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1a97	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3754	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d86	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:34a0	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:305f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:2c1c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28ee	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ad2	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:284a	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dd7	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/Entente/	member
-60ed8313:150849567c0:2e7c	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2176	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d33	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
-60ed8313:150849567c0:1961	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1f93	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:35ff	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:24b6	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:355b	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2ae8	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2412	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3b8d	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a44	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2672	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bde	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:1b3a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ecd	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3123	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29b2	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fe4	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22bd	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3383	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f40	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3717	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d49	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3977	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:280d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36c3	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2e3f	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cf5	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2139	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19c8	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:3c51	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1924	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:2399	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f56	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:2deb	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20e5	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:318a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1ca2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:351e	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:2041	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2a07	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26d9	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:377e	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2635	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ca	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c67	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3afc	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2895	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25e1	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d5d	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:198b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:2fa7	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3346	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f03	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:243c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32f2	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2a6e	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:269c	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3cb8	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c14	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38e6	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b85	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:1f19	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dae	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e74	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20a8	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:314d	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d0a	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29dc	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bc0	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2004	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ec5	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f6a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2264	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e21	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:3abf	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a1b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:2858	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36ed	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:25a4	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2bd6	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2500	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3c7b	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:194e	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2b32	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3309	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2760	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1ccc	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d92	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:206b	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:3569	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fbb	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:32b5	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3211	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:265f	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:23ab	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38a9	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:3471	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b48	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3805	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e37	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1af4	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:37b1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a50	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
-60ed8313:150849567c0:2f2d	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3de3	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2227	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30bc	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:21d3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:360c	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c3e	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1ff0	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:27c7	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:386c	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2df9	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:2723	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:3e9e	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3198	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d55	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bea	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:202e	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2aa1	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2983	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1eef	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:228e	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e4b	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34d8	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3434	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/PIF/	associate member
-60ed8313:150849567c0:3a66	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25ce	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3694	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:252a	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:33e0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1ab7	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:1999	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:2b5c	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a13	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:278a	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3da6	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d02	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:39d4	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c73	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3930	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:32df	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f62	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:323b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23f6	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:349b	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fb3	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:382f	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2352	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2d18	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bad	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2946	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:1a7a	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:2f78	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1e0e	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:2cc4	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3063	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c20	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28f2	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:21fd	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3a29	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:1dba	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
-60ed8313:150849567c0:2e80	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3657	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c89	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:33a3	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b1f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:274d	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2d7f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2079	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:1c36	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2acb	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fc9	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:3b91	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f25	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e96	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1be2	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
-60ed8313:150849567c0:23b9	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:345e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ed1	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31aa	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2315	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2575	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2909	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22c1	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a3d	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3d2c	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39fe	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:3026	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c9d	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:28b5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:395a	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ee7	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2811	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f8c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3286	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e43	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:211c	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fdd	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:237c	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:35c6	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bf8	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3522	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
-60ed8313:150849567c0:3b54	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26bc	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3782	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e59	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cee	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:308d	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1ba5	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:2c4a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b01	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:1d61	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:2538	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33cd	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:2798	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24e4	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2440	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:391d	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2a72	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f4f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3249	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e06	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:3efb	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:233f	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31f5	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:2db2	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3151	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29e0	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:259f	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:3b17	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:22eb	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37e9	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a88	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3745	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d77	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2c0d	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28df	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ac3	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:283b	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36f1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1dc8	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:2e6d	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2167	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:19f6	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1952	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1f84	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cd0	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:24a7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:354c	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	observer
-60ed8313:150849567c0:2ad9	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2403	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3b7e	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a35	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2663	http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:1bcf	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c95	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b2b	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ebe	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31b8	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:3e1a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3114	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d8b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29a3	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2fd5	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22ae	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3374	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f31	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:220a	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3708	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30c0	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:246a	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3968	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2a9c	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:36b4	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3ce6	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3610	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19b9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:3c42	http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1915	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27aa	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3870	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f47	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2ddc	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20d6	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:317b	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2032	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:350f	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/SAARC/	observer
-60ed8313:150849567c0:1ef3	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
-60ed8313:150849567c0:376f	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2626	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34bb	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c58	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3aed	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2886	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25d2	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d4e	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:197c	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b60	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3337	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1cfa	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:3597	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:242d	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32e3	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2ea0	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2a5f	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:268d	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3ca9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c05	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38d7	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b76	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3833	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e65	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:313e	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29cd	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bb1	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2fff	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22f9	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:339e	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1eb6	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f5b	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2255	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30ea	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e12	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:3a0c	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
-60ed8313:150849567c0:2849	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36de	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:363a	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bc7	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c6c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:193f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:2b23	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27f5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:389a	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2751	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cbd	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:205c	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:3fac	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:32a6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3202	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:3462	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b39	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3a94	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25fc	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e28	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d99	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:1ae5	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b8a	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37a2	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a41	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:2f1e	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dd4	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2218	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30ad	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d30	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2478	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2eca	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f90	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21c4	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2120	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3c2f	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1fe1	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:27b8	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2380	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:385d	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2714	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3e8f	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3189	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d46	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bdb	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:201f	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2974	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:26c0	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:227f	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e3c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cf2	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:34c9	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3091	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3425	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3a57	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25bf	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3685	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:277b	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:39c5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c64	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3921	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:3f53	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:322c	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23e7	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:348c	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fa4	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2343	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f00	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:2d09	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:2937	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37cc	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a6b	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:2f69	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3dfe	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30f8	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2cb5	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d5a	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3054	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:2c11	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28e3	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:21ee	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1dab	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e71	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:214a	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
-60ed8313:150849567c0:3648	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:273e	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35f4	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3550	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c27	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
-60ed8313:150849567c0:2abc	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:299e	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b82	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26ea	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3f16	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e87	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:22b2	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a2e	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3d1d	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39ef	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:3017	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c8e	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:28a6	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:394b	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2ed8	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2802	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f7d	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3277	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e34	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:210d	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fce	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:236d	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f2a	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
-60ed8313:150849567c0:2de0	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:35b7	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3be9	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3513	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:3b45	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26ad	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3773	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cdf	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:307e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c3b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3af1	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1df6	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:2e9b	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2195	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
-60ed8313:150849567c0:1d52	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
-60ed8313:150849567c0:2529	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:33be	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:390e	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2a63	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2691	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bfd	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/CACM/	member
-60ed8313:150849567c0:38ba	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:3eec	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31e6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:2da3	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3142	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29d1	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22dc	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3b08	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1a79	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:3736	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d68	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3ab4	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3996	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:3a10	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:36e2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:282c	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1db9	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
-60ed8313:150849567c0:2e5e	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2158	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
-60ed8313:150849567c0:1d15	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19e7	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2baa	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c70	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1943	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/AfDB/	nonregional member
-60ed8313:150849567c0:1f75	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cc1	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2060	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:353d	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
-60ed8313:150849567c0:3fb0	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3b6f	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a26	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26f8	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23a0	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1b1c	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
-60ed8313:150849567c0:3eaf	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31a9	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3e0b	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3105	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d7c	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:2fc6	http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3365	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f22	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30b1	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:24ff	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:245b	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3959	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2a8d	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:36a5	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cd7	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3601	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c33	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1906	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:3861	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f38	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2dcd	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e93	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20c7	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:316c	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29fb	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2023	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ee4	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:2283	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e40	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2617	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ac	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c49	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3ade	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2877	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a3a	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25c3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d3f	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:2bf5	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c9a	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b51	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3328	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1f9f	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ceb	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:3588	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:208a	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:3fda	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:241e	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32d4	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3230	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:267e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23ca	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38c8	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:3490	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b67	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3824	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e56	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:312f	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29be	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3ba2	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:291a	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37d0	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:338f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1ea7	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2f4c	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2246	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30db	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e03	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:21f2	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:36cf	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:362b	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bb8	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c5d	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b14	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27e6	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:388b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2742	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cae	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d74	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:204d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c0a	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:2ac0	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:1e6a	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34f7	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/SCO/	observer
-60ed8313:150849567c0:3453	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3a85	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3e19	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1ad6	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b7b	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a32	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:2f0f	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dc5	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2209	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3d21	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39f3	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:1c92	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:2469	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32fe	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f81	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ebb	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21b5	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:325a	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2111	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19a0	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fd2	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:27a9	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2371	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:384e	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2705	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2d37	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bcc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2965	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:37fa	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2f97	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:26b1	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e2d	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2ce3	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3082	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:3416	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/OIC/	observer
-60ed8313:150849567c0:3a48	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3676	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:250c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33c2	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b3e	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:276c	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cf9	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d9e	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:39b6	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:2098	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:1c55	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/COMESA/	member
-60ed8313:150849567c0:2aea	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fe8	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:3912	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:321d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23d8	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:347d	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ef0	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2334	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:2594	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2928	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22e0	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37bd	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a5c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:3def	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30e9	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2ca6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d4b	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3045	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2c02	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28d4	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:2830	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21df	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2e62	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:213b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:3639	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19ca	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1ffc	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:239b	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3899	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:272f	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35e5	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3541	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:1c18	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2aad	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:298f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b73	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26db	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3f07	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1e78	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bc4	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
-60ed8313:150849567c0:1b20	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	observer
-60ed8313:150849567c0:3eb3	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1d80	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:2557	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33ec	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2b89	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:22a3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a1f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:3d0e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:1c7f	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:393c	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2ec9	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2a91	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f6e	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3268	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e25	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cba	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1fbf	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:235e	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f1b	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dd1	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20aa	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:35a8	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3170	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3504	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
-60ed8313:150849567c0:3b36	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3764	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d96	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:34b0	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:306f	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c2c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:28fe	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ae2	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:285a	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1de7	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
-60ed8313:150849567c0:2e8c	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2186	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d43	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:33af	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1971	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:330b	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24c6	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:356b	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3b9d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2af8	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2422	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:2a54	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2682	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bee	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
-60ed8313:150849567c0:38ab	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:1b4a	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3edd	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31d7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NAFTA/	member
-60ed8313:150849567c0:3133	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:29c2	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22cd	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3393	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f50	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3727	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d59	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3aa5	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3987	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:281d	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a01	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:36d3	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
-60ed8313:150849567c0:2e4f	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2149	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
-60ed8313:150849567c0:1d06	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:19d8	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:3c61	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1934	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:1f66	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:2dfb	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20f5	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:319a	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1cb2	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2051	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:352e	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:3fa1	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2a17	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26e9	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:378e	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2645	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34da	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:2c77	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b0d	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:25f1	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d6d	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:199b	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:2fb7	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3356	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f13	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30a2	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:244c	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a7e	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3cc8	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c24	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38f6	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b95	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/Benelux/	member
-60ed8313:150849567c0:3852	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f29	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
-60ed8313:150849567c0:3e84	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20b8	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/G-3/	member
-60ed8313:150849567c0:315d	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d1a	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29ec	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bd0	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2014	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ed5	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f7a	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2274	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e31	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
-60ed8313:150849567c0:2608	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3acf	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3a2b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:2868	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36fd	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:25b4	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3c8b	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2be6	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2510	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:195e	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b42	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3319	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2770	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cdc	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:207b	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:3579	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fcb	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:240f	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32c5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3221	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:266f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23bb	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38b9	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:3481	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b58	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3815	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e47	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:29af	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:290b	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37c1	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a60	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:2f3d	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3df3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2237	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30cc	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:21e3	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1da0	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:361c	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2ba9	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c4e	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b05	http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
-60ed8313:150849567c0:27d7	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:387c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2733	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:2d65	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bfa	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:203e	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2ab1	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2993	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:1eff	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:229e	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e5b	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34e8	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3444	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
-60ed8313:150849567c0:3a76	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25de	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:253a	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33f0	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1ac7	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b6c	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a23	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:279a	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3db6	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d12	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39e4	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:1c83	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3940	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:32ef	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2eac	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f72	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21a6	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:324b	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2102	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fc3	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2362	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:383f	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2d28	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bbd	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2956	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:37eb	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a8a	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:26a2	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e1e	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cd4	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3073	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c30	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3407	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a39	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1dca	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:2e90	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3667	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c99	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:33b3	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b2f	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:275d	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:39a7	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2d8f	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:2089	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:1c46	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2adb	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fd9	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:3903	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
-60ed8313:150849567c0:3f35	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:320e	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1bf2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
-60ed8313:150849567c0:23c9	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:346e	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ee1	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2325	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31ba	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:2585	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2919	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22d1	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37ae	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a4d	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
-60ed8313:150849567c0:370a	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d3c	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3036	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28c5	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:396a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ef7	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2821	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f9c	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3296	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e53	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:212c	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19bb	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:238c	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:35d6	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3532	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:1c09	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:3b64	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26cc	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3792	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1e69	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cfe	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:309d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1bb5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c5a	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b11	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:3ea4	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e00	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d71	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:2548	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33dd	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:24f4	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:2450	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:392d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a82	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f5f	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3259	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2e16	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cab	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:234f	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f0c	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ESA/	cooperating state
-60ed8313:150849567c0:2dc2	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3161	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29f0	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3b27	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:22fb	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:37f9	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1a98	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3755	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d87	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:34a1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c1d	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28ef	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ad3	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:284b	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e7d	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:1dd8	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
-60ed8313:150849567c0:2177	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d34	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/CPLP/	member
-60ed8313:150849567c0:1f94	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ce0	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:24b7	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:355c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2ae9	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2413	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3b8e	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a45	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2673	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bdf	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
-60ed8313:150849567c0:1b3b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ece	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31c8	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NC/	member
-60ed8313:150849567c0:3e2a	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3124	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d9b	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29b3	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fe5	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22be	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3384	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f41	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:221a	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3718	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30d0	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:247a	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3978	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:280e	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36c4	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cf6	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3620	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19c9	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:3c52	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1925	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27ba	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3880	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f57	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:2dec	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20e6	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:318b	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1ca3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2042	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:351f	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:2a08	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:377f	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2636	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34cb	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3afd	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2896	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:25e2	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d5e	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:1aaa	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:198c	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:2fa8	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b70	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3347	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f04	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:243d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32f3	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2eb0	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2a6f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3cb9	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:269d	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3c15	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38e7	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b86	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3843	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2daf	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e75	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20a9	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:314e	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d0b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29dd	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bc1	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2005	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ec6	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f6b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2265	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30fa	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e22	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:3a1c	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:2859	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36ee	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:25a5	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:364a	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c7c	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2bd7	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2501	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:194f	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b33	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2761	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1ccd	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d93	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IOM/	observer
-60ed8313:150849567c0:3fbc	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:32b6	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3212	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:23ac	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3472	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b49	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3806	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e38	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1af5	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b9a	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37b2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a51	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
-60ed8313:150849567c0:2f2e	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3de4	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2228	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30bd	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d40	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2488	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2eda	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21d4	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:2130	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:360d	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c3f	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1ff1	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:27c8	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2390	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:386d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e9f	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2724	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:3199	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d56	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3beb	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:202f	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2aa2	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2984	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:26d0	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:228f	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e4c	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34d9	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3435	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:3a67	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25cf	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3695	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:252b	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33e1	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1ab8	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:1a14	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:278b	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3da7	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d03	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39d5	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c74	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3931	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f63	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:323c	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23f7	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:349c	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fb4	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2353	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f10	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2d19	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bae	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2947	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b0a	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37dc	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a7b	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:2f79	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1e0f	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:2cc5	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d6a	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3064	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c21	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28f3	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:21fe	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1dbb	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
-60ed8313:150849567c0:2e81	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:215a	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
-60ed8313:150849567c0:3658	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:33a4	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3300	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:274e	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3560	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c37	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2acc	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b92	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f26	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:26fa	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e97	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1be3	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CDB/	nonregional member
-60ed8313:150849567c0:38a0	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:345f	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ed2	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31ab	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2576	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:22c2	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a3e	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3d2d	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39ff	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:3027	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c9e	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:28b6	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:395b	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ee8	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2812	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f8d	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3287	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e44	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:211d	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19ac	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fde	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:237d	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f3a	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2df0	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:35c7	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3bf9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:3523	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
-60ed8313:150849567c0:3b55	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26bd	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3783	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cef	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:308e	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1ba6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:2c4b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b02	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:1d62	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:2539	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33ce	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:1990	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:332a	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2799	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:24e5	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:358a	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2441	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:391e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2a73	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2e07	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:38ca	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:3efc	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2db3	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3152	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29e1	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22ec	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3b18	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1a89	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3746	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d78	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2c0e	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3ac4	http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:283c	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a20	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36f2	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:1dc9	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:2e6e	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2168	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d25	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19f7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bba	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c80	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1953	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1f85	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cd1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:24a8	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2070	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:354d	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	observer
-60ed8313:150849567c0:3fc0	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:2404	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3b7f	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a36	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2664	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:2c96	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:23b0	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b2c	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ebf	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31b9	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:3e1b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3115	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d8c	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29a4	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2fd6	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2900	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22af	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3375	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f32	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:220b	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30c1	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:246b	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3969	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2a9d	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:36b5	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3ce7	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3611	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c43	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1916	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27ab	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3871	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f48	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2ddd	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20d7	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:317c	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2033	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ef4	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
-60ed8313:150849567c0:2293	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e50	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2627	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34bc	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c59	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3aee	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2887	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a4a	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25d3	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d4f	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
-60ed8313:150849567c0:197d	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b61	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3338	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1cfb	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:3598	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:209a	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:3fea	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:242e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32e4	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2ea1	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3240	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:268e	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3c06	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38d8	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:23da	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b77	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3834	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e66	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:313f	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3bb2	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:292a	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37e0	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:339f	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1eb7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:2f5c	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2256	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30eb	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e13	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:3a0d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNSC/	permanent member
-60ed8313:150849567c0:36df	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:363b	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bc8	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c6d	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b24	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27f6	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:389b	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2752	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cbe	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d84	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:205d	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:1c1a	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2ad0	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fad	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:32a7	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3203	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1e7a	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:3463	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3a95	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25fd	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:3e29	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1ae6	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b8b	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37a3	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a42	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:2f1f	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3dd5	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2219	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30ae	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d31	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:300a	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:2479	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3f91	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ecb	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21c5	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:326a	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:19b0	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fe2	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:27b9	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2381	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:385e	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2715	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:35aa	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d47	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bdc	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2975	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:26c1	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e3d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cf3	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3092	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3426	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3a58	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3686	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:251c	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33d2	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:1aa9	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2b4e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a05	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:277c	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:39c6	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c65	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2afa	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3922	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:3f54	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:322d	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:3ca0	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:23e8	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:348d	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fa5	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2344	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f01	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:2938	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22f0	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:37cd	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a6c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:3dff	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:30f9	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d5b	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2cb6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3055	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:2c12	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28e4	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:21ef	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1dac	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e72	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:214b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
-60ed8313:150849567c0:3649	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19da	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:273f	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:35f5	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3551	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c28	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
-60ed8313:150849567c0:2abd	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:299f	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b83	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26eb	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3f17	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:1e88	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bd4	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:3ec3	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1b30	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:2307	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1d90	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2567	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33fc	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2b99	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:22b3	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a2f	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3d1e	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3018	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c8f	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:28a7	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:394c	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2ed9	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2803	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f7e	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3278	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e35	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cca	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:210e	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fcf	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:236e	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f2b	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
-60ed8313:150849567c0:2de1	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20ba	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
-60ed8313:150849567c0:35b8	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3180	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3514	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/Sparteca/	member
-60ed8313:150849567c0:26ae	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3774	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:260a	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34c0	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:307f	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c3c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3af2	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:286a	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1df7	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:2e9c	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2196	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
-60ed8313:150849567c0:1d53	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
-60ed8313:150849567c0:33bf	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:1981	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:331b	http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24d6	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:357b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2432	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:390f	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2a64	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2692	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bfe	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
-60ed8313:150849567c0:38bb	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b5a	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3eed	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31e7	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:2da4	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3143	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d00	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29d2	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22dd	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3b09	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2f60	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3737	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d69	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3ab5	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3997	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:3a11	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:282d	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36e3	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e5f	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2159	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
-60ed8313:150849567c0:1d16	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:19e8	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:2bab	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c71	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1f76	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cc2	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2061	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:353e	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
-60ed8313:150849567c0:3fb1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:2a27	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26f9	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:379e	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	associate member
-60ed8313:150849567c0:2655	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ea	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
-60ed8313:150849567c0:2c87	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:23a1	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1b1d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
-60ed8313:150849567c0:3e0c	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3106	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d7d	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:2fc7	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3366	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f23	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30b2	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:245c	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a8e	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:36a6	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cd8	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3602	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c34	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1907	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:3862	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f39	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2dce	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e94	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20c8	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:316d	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d2a	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29fc	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3be0	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2024	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ee5	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:2f8a	http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2284	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e41	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2618	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ad	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3adf	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2878	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a3b	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2bf6	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2520	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:3c9b	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:196e	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b52	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3329	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2780	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cec	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:208b	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:3589	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fdb	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:241f	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:32d5	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3231	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:267f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23cb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38c9	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:3491	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b68	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3825	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e57	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:29bf	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3ba3	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:291b	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37d1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1ea8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1a70	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:2f4d	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2247	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30dc	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e04	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:21f3	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1db0	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:362c	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bb9	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c5e	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b15	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27e7	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:388c	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2743	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1caf	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d75	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:204e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c0b	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:2ac1	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:1e6b	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:3454	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/PFP/	member
-60ed8313:150849567c0:3a86	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:31a0	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:25ee	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:254a	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1ad7	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b7c	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a33	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dc6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3d22	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39f4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:1c93	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:3950	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:32ff	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2ebc	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f82	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21b6	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:325b	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2112	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19a1	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fd3	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2372	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:384f	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2706	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:2d38	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bcd	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2966	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:37fb	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2f98	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:1a9a	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:26b2	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e2e	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ECO/	member
-60ed8313:150849567c0:2ce4	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3083	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c40	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3417	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/OPEC/	member
-60ed8313:150849567c0:3a49	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1dda	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
-60ed8313:150849567c0:3677	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:250d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33c3	http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2b3f	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:276d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2d9f	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:39b7	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:2099	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:2aeb	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fe9	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:3913	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:3f45	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:321e	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23d9	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:347e	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ef1	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2335	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31ca	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/NC/	observer
-60ed8313:150849567c0:2595	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:2929	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22e1	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37be	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a5d	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:371a	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2ca7	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d4c	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3046	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/LAES/	member
-60ed8313:150849567c0:2c03	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28d5	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:397a	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2831	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:2e63	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:213c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19cb	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1ffd	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:239c	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:35e6	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3542	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/UNASUR/	member
-60ed8313:150849567c0:1c19	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2aae	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b74	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a0a	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26dc	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3f08	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:1e79	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bc5	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/organization/Caricom/	observer
-60ed8313:150849567c0:2c6a	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b21	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	observer
-60ed8313:150849567c0:3eb4	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e10	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d81	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:2558	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33ed	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2faa	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2200	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3d0f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3009	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:2460	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:393d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a92	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3f6f	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3269	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e26	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cbb	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:27a0	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:235f	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f1c	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dd2	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:35a9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:20ab	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3171	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3505	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/SAARC/	member
-60ed8313:150849567c0:3b37	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3765	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d97	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:34b1	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c2d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:28ff	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3ae3	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:285b	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1de8	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/EADB/	member
-60ed8313:150849567c0:2e8d	http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2187	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d44	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/CICA/	member
-60ed8313:150849567c0:1972	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:330c	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:1cf0	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:24c7	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:356c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2af9	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2423	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3b9e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a55	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2683	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bef	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/BCIE/	member
-60ed8313:150849567c0:38ac	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/UNITAR/	member
-60ed8313:150849567c0:1b4b	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ANZUS/	member
-60ed8313:150849567c0:3ede	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31d8	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:3e3a	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:29c3	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2ff5	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22ce	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3394	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f51	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:222a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3728	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30e0	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3aa6	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:248a	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3988	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:281e	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a02	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/UNRWA/	member
-60ed8313:150849567c0:36d4	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNDOF/	member
-60ed8313:150849567c0:3630	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:1d07	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:19d9	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:3c62	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1935	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27ca	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3890	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f67	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:2dfc	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20f6	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:319b	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1cb3	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2052	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:352f	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:3fa2	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2a18	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:378f	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2646	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34db	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:2c78	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b0e	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:25f2	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d6e	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:1aba	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:199c	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:2fb8	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b80	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3357	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f14	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30a3	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:244d	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ec0	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3cc9	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3c25	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:38f7	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b96	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/BSEC/	member
-60ed8313:150849567c0:3853	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2dbf	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e85	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20b9	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
-60ed8313:150849567c0:315e	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d1b	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29ed	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bd1	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2015	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ed6	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f7b	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2275	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e32	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EurasEC/	member
-60ed8313:150849567c0:2609	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2869	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a2c	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36fe	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:25b5	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:365a	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2be7	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2511	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3c8c	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:195f	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b43	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2771	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cdd	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:207c	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:3fcc	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32c6	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3222	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23bc	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3482	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b59	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3816	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e48	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:290c	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37c2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a61	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/ABEDA/	member
-60ed8313:150849567c0:2f3e	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3df4	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2238	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30cd	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2498	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2eea	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21e4	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1da1	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2140	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:361d	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c4f	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:387d	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2b06	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/organization/IMO/	associate member
-60ed8313:150849567c0:27d8	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2734	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:2d66	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bfb	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:203f	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2ab2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2994	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:26e0	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:229f	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e5c	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34e9	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:3445	http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/organization/PIF/	observer
-60ed8313:150849567c0:3a77	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25df	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:253b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33f1	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1ac8	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:2b6d	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1a24	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:279b	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3db7	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d13	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39e5	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/UNFICYP/	member
-60ed8313:150849567c0:1c84	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3941	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f73	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2ead	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21a7	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IGAD/	partner
-60ed8313:150849567c0:324c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2103	http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:1fc4	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2363	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f20	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2d29	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bbe	http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2957	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:3b1a	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1a8b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:2f89	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:26a3	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e1f	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:2cd5	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d7a	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3074	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/LAS/	member
-60ed8313:150849567c0:2c31	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3408	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1dcb	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/CBSS/	observer
-60ed8313:150849567c0:2e91	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:216a	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:3668	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:33b4	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3310	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:275e	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:39a8	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:24aa	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3570	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c47	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2adc	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3904	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	member
-60ed8313:150849567c0:3f36	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:320f	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1bf3	http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/organization/BCIE/	nonregional member
-60ed8313:150849567c0:38b0	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:346f	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3ee2	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2326	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31bb	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/NAM/	observer
-60ed8313:150849567c0:2586	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:22d2	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:37af	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a4e	http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	observer
-60ed8313:150849567c0:370b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d3d	http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3037	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:28c6	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List B
-60ed8313:150849567c0:396b	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ef8	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2822	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f9d	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3297	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e54	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:212d	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19bc	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1fee	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:238d	http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f4a	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:35d7	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3533	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/SADC/	member
-60ed8313:150849567c0:3b65	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26cd	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3793	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cff	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:309e	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1bb6	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/organization/Caricom/	member
-60ed8313:150849567c0:2c5b	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b12	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	member
-60ed8313:150849567c0:3ea5	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3e01	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d72	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/SELEC/	member
-60ed8313:150849567c0:2549	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33de	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:333a	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24f5	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:359a	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2451	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:392e	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:2a83	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2e17	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cac	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:38da	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1f0d	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:2dc3	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3162	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:29f1	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22fc	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3b28	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1a99	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/AMF/	member
-60ed8313:150849567c0:3756	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d88	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:34a2	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c1e	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3ad4	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:284c	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a30	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1dd9	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/D-8/	member
-60ed8313:150849567c0:2e7e	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2178	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:1d35	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/CPLP/	associate observer
-60ed8313:150849567c0:2bca	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:1963	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1f95	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ce1	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:24b8	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2080	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/G-15/	member
-60ed8313:150849567c0:355d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fd0	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:2414	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:3b8f	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2a46	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2674	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:23c0	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b3c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ecf	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31c9	http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/organization/NC/	member
-60ed8313:150849567c0:3e2b	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3125	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d9c	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29b4	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2fe6	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2910	http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22bf	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3385	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:2f42	http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:221b	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3719	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30d1	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:247b	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:3979	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:280f	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:36c5	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cf7	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3621	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c53	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:27bb	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1926	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:3881	http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f58	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/EITI/	candidate countries
-60ed8313:150849567c0:2ded	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20e7	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:318c	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:1ca4	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2043	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1c00	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
-60ed8313:150849567c0:2a09	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:1e60	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:34cc	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:2c69	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3afe	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2897	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a5a	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25e3	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:1d5f	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:198d	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1aab	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:2fa9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b71	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3348	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2f05	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:243e	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32f4	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2eb1	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3250	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:269e	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3c16	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:23ea	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38e8	http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/organization/UNISFA/	member
-60ed8313:150849567c0:1b87	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3844	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e76	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:314f	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d0c	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29de	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bc2	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2006	http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:293a	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37f0	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1ec7	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/EIB/	member
-60ed8313:150849567c0:2f6c	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2266	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30fb	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e23	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/ECOWAS/	member
-60ed8313:150849567c0:3a1d	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36ef	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:25a6	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:364b	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bd8	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2502	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:3c7d	http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b34	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2762	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cce	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:206d	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/G-10/	member
-60ed8313:150849567c0:1c2a	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
-60ed8313:150849567c0:2ae0	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fbd	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:32b7	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3213	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:1e8a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:23ad	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3473	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3807	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e39	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1af6	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b9b	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37b3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2f2f	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:1a52	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/organization/CAN/	member
-60ed8313:150849567c0:3de5	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:2229	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30be	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d41	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:301a	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:2489	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2edb	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21d5	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:327a	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2131	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:360e	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:19c0	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1ff2	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:27c9	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2391	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:386e	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2725	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/IEA/	member
-60ed8313:150849567c0:35ba	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d57	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bec	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2aa3	http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2985	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:26d1	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e4d	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:3436	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/PIF/	partner
-60ed8313:150849567c0:3a68	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3696	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:252c	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33e2	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:1ab9	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/APEC/	member
-60ed8313:150849567c0:1a15	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:278c	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3da8	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3d04	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:39d6	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c75	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:3932	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:3f64	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:323d	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:3cb0	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:23f8	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:349d	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fb5	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2354	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f11	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/EU/	member
-60ed8313:150849567c0:20a0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/G-24/	member
-60ed8313:150849567c0:3baf	http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:2948	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3b0b	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:37dd	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a7c	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:2cc6	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d6b	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3065	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	observer
-60ed8313:150849567c0:2c22	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:28f4	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:2850	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:21ff	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1dbc	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/CE/	observer
-60ed8313:150849567c0:2e82	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:215b	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/organization/GCC/	member
-60ed8313:150849567c0:3659	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19ea	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:33a5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/OAS/	observer
-60ed8313:150849567c0:3301	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:274f	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3561	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c38	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/CP/	member
-60ed8313:150849567c0:2acd	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b93	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f27	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:26fb	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e98	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1be4	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/BDEAC/	member
-60ed8313:150849567c0:38a1	http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1b40	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:2317	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31ac	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2577	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:22c3	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1a3f	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3d2e	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3028	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:1c9f	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:28b7	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:395c	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ee9	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2813	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f8e	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3288	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e45	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3cda	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:211e	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19ad	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fdf	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:237e	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f3b	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/EITI/	stake holder
-60ed8313:150849567c0:2df1	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20ca	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:35c8	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3190	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3524	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/SACU/	member
-60ed8313:150849567c0:3b56	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26be	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3784	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:261a	http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34d0	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/SPC/	member
-60ed8313:150849567c0:308f	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1ba7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/BSEC/	observer
-60ed8313:150849567c0:2c4c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b03	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/ADB/	nonregional member
-60ed8313:150849567c0:287a	http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1d63	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/CAEU/	member
-60ed8313:150849567c0:33cf	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/OAPEC/	member
-60ed8313:150849567c0:1991	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:332b	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24e6	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:358b	http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:391f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:2442	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a74	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2e08	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/OIF/	observer
-60ed8313:150849567c0:1b6a	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3efd	http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31f7	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:2db4	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3153	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d10	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29e2	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22ed	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:3b19	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:1eaa	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:2f70	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:3747	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3d79	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2c0f	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3ac5	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:283d	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a21	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/organization/UNTSO/	member
-60ed8313:150849567c0:36f3	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2e6f	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2169	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/IADB/	member
-60ed8313:150849567c0:19f8	http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d26	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bbb	http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c81	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1954	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1f86	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cd2	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:24a9	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2071	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/G-11/	member
-60ed8313:150849567c0:354e	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3fc1	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:2405	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/ICC/	having direct member
-60ed8313:150849567c0:2a37	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2665	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/organization/Interpol/	subbureau
-60ed8313:150849567c0:34fa	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/SACEP/	member
-60ed8313:150849567c0:2c97	http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:23b1	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:1b2d	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3e1c	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3116	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d8d	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:29a5	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:2fd7	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2901	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:3376	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f33	http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30c2	http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:246c	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a9e	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:36b6	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3ce8	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3612	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c44	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:1917	http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:27ac	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:3872	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:1f49	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/EITI/	compliant countries
-60ed8313:150849567c0:2dde	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20d8	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:317d	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d3a	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bf0	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2034	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ef5	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/CERN/	observer
-60ed8313:150849567c0:2f9a	http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2294	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e51	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2628	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34bd	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3aef	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:2888	http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a4b	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25d4	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2530	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:197e	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b62	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:3339	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2790	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cfc	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:209b	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:3599	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3feb	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:242f	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:32e5	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:2ea2	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3241	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:268f	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3c07	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:23db	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:38d9	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNIFIL/	member
-60ed8313:150849567c0:1b78	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3835	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:29cf	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:3bb3	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:292b	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37e1	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1eb8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/ECB/	member
-60ed8313:150849567c0:1a80	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:2f5d	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2257	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:30ec	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e14	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/CEPGL/	member
-60ed8313:150849567c0:3a0e	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:1dc0	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/organization/CBSS/	member
-60ed8313:150849567c0:363c	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bc9	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c6e	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b25	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27f7	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:389c	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2753	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1cbf	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2d85	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:205e	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:1c1b	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/CEI/	member
-60ed8313:150849567c0:2ad1	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3fae	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:32a8	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3f0a	http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:3204	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/NEA/	member
-60ed8313:150849567c0:1e7b	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:3464	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:3a96	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:31b0	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:25fe	http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:255a	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:1ae7	http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2b8c	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:37a4	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a43	http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/organization/AOSIS/	member
-60ed8313:150849567c0:3dd6	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3700	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30af	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3d32	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:300b	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:3960	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ecc	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f92	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:326b	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2122	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19b1	http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
-60ed8313:150849567c0:1fe3	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2382	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:385f	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2716	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:35ab	http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2d48	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3bdd	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2976	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/organization/IHO/	member
-60ed8313:150849567c0:26c2	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e3e	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2cf4	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:3093	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:2c50	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3427	http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/organization/PIF/	member
-60ed8313:150849567c0:3a59	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:1dea	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:3687	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:251d	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction with reservations
-60ed8313:150849567c0:33d3	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/organization/OECS/	member
-60ed8313:150849567c0:2b4f	http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:1a06	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/OPANAL/	member
-60ed8313:150849567c0:277d	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:39c7	http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/organization/MONUSCO/	member
-60ed8313:150849567c0:1c66	http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/organization/C/	member
-60ed8313:150849567c0:2afb	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3923	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/organization/MINURSO/	member
-60ed8313:150849567c0:3f55	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:322e	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:3ca1	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:23e9	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:348e	http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1fa6	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:2345	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:31da	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:1f02	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/ESA/	member
-60ed8313:150849567c0:2939	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:22f1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:37ce	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1a6d	http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:372a	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:2cb7	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3d5c	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3056	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/organization/LAIA/	member
-60ed8313:150849567c0:28e5	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:398a	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:2841	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1dad	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2e73	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:214c	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-8/	member
-60ed8313:150849567c0:19db	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:35f6	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3552	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:1c29	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/CSTO/	member
-60ed8313:150849567c0:2abe	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:3b84	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3f18	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:2a1a	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:26ec	http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1e89	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1bd5	http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/organization/CDB/	regional member
-60ed8313:150849567c0:2c7a	http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:1b31	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/organization/AG/	member
-60ed8313:150849567c0:3ec4	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:2308	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:3e20	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:1d91	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2568	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/ICCt/	state accepting jurisdiction
-60ed8313:150849567c0:33fd	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:2fba	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:22b4	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2210	http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3d1f	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:3019	http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/organization/IDB/	member
-60ed8313:150849567c0:394d	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/UNMIL/	member
-60ed8313:150849567c0:28a8	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List A
-60ed8313:150849567c0:2470	http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2804	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3f7f	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:3279	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/OSCE/	member
-60ed8313:150849567c0:2e36	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:3ccb	http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:210f	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:27b0	http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:236f	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1f2c	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/EU/	candidate
-60ed8313:150849567c0:2de2	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:20bb	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/organization/G-5/	member
-60ed8313:150849567c0:35b9	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3181	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3b47	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:26af	http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:3775	http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:34c1	http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:260b	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:2c3d	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:3af3	http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:286b	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:1df8	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/organization/EAS/	member
-60ed8313:150849567c0:2e9d	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/ITSO/	member
-60ed8313:150849567c0:2197	http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/organization/IGAD/	member
-60ed8313:150849567c0:1d54	http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/organization/CICA/	observer
-60ed8313:150849567c0:1982	http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:1aa0	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/ARF/	member
-60ed8313:150849567c0:331c	http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:24d7	http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:357c	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:2433	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2a65	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:2693	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1bff	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/SICA/	member
-60ed8313:150849567c0:38bc	http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/organization/UNMIT/	member
-60ed8313:150849567c0:1b5b	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3eee	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:31e8	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/NATO/	member
-60ed8313:150849567c0:2da5	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/organization/ISO/	correspondent member
-60ed8313:150849567c0:3e4a	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3144	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:2d01	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29d3	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:22de	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:2f61	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:223a	http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:3738	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:30f0	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:3ab6	http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:3998	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:249a	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:282e	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/organization/IFC/	member
-60ed8313:150849567c0:3a12	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/UNSC/	nonpermanent member
-60ed8313:150849567c0:36e4	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/organization/UNESCO/	member
-60ed8313:150849567c0:3640	http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:19e9	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/ACP/	member
-60ed8313:150849567c0:1d17	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/organization/CELAC/	member
-60ed8313:150849567c0:2bac	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3c72	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:27da	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1f77	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/FATF/	member
-60ed8313:150849567c0:1cc3	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:2062	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/organization/GCTU/	member
-60ed8313:150849567c0:353f	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/organization/Mercosur/	associate member
-60ed8313:150849567c0:3fb2	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/organization/WTO/	observer
-60ed8313:150849567c0:2a28	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:379f	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:2656	http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34eb	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/SCO/	member
-60ed8313:150849567c0:2c88	http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/organization/IOC/	National Olympic Committee
-60ed8313:150849567c0:23a2	http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/organization/IBRD/	member
-60ed8313:150849567c0:1b1e	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/organization/ASEAN/	dialogue partner
-60ed8313:150849567c0:3e0d	http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3107	http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1d7e	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/SELEC/	observer
-60ed8313:150849567c0:1aca	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/organization/ADB/	member
-60ed8313:150849567c0:2fc8	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2b90	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:3367	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/organization/OAS/	member
-60ed8313:150849567c0:2f24	http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:30b3	http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:245d	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/ICAO/	member
-60ed8313:150849567c0:2ed0	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2a8f	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:36a7	http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3cd9	http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:3603	http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/organization/UN/	member
-60ed8313:150849567c0:3c35	http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:1908	http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/organization/AfDB/	regional member
-60ed8313:150849567c0:3863	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2dcf	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/organization/OIF/	member
-60ed8313:150849567c0:3e95	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/UNWTO/	member
-60ed8313:150849567c0:20c9	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:316e	http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/organization/NAM/	member
-60ed8313:150849567c0:3be1	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/organization/WFTU/	member
-60ed8313:150849567c0:2d2b	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:29fd	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/organization/ILO/	member
-60ed8313:150849567c0:2025	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/FAO/	member
-60ed8313:150849567c0:1ee6	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/organization/CERN/	member
-60ed8313:150849567c0:2f8b	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/ITUC/	member
-60ed8313:150849567c0:2285	http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/organization/IAEA/	member
-60ed8313:150849567c0:1e42	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/EAPC/	member
-60ed8313:150849567c0:2619	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:34ae	http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:340a	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/OIC/	member
-60ed8313:150849567c0:3a3c	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:25c5	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/organization/Interpol/	member
-60ed8313:150849567c0:366a	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:2bf7	http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/organization/IMF/	member
-60ed8313:150849567c0:2521	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/organization/ICJ/	accepting compulsory jurisdiction without reservations
-60ed8313:150849567c0:3c9c	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:196f	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/AU/	member
-60ed8313:150849567c0:2b53	http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:2781	http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:1ced	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/organization/CD/	signatory
-60ed8313:150849567c0:39aa	http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/organization/UNOCI/	member
-60ed8313:150849567c0:208c	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/organization/G-20/	member
-60ed8313:150849567c0:3fdc	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/organization/ZC/	member
-60ed8313:150849567c0:32d6	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/organization/OPCW/	member
-60ed8313:150849567c0:3232	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/organization/NSG/	member
-60ed8313:150849567c0:23cc	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/organization/ICC/	national committee
-60ed8313:150849567c0:3492	http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/organization/PCA/	member
-60ed8313:150849567c0:1b69	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/organization/BIS/	member
-60ed8313:150849567c0:3826	http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:3e58	http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/organization/WMO/	member
-60ed8313:150849567c0:3ba4	http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/organization/WCO/	member
-60ed8313:150849567c0:3b00	http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/organization/UPU/	member
-60ed8313:150849567c0:291c	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/organization/IFAD/	List C
-60ed8313:150849567c0:37d2	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/organization/UNHCR/	member
-60ed8313:150849567c0:1ea9	http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/organization/EBRD/	member
-60ed8313:150849567c0:1a71	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/AFESD/	member
-60ed8313:150849567c0:2f4e	http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:2248	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:30dd	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/organization/MIGA/	member
-60ed8313:150849567c0:1e05	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/organization/EMU/	member
-60ed8313:150849567c0:3d60	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/organization/WIPO/	member
-60ed8313:150849567c0:2efa	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:21f4	http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:1db1	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CE/	member
-60ed8313:150849567c0:2150	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/organization/G-9/	member
-60ed8313:150849567c0:362d	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/UNCTAD/	member
-60ed8313:150849567c0:3c5f	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/organization/WHO/	member
-60ed8313:150849567c0:2b16	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/IMSO/	member
-60ed8313:150849567c0:27e8	http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:388d	http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/organization/UNIDO/	member
-60ed8313:150849567c0:2744	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/organization/IFRCS/	member
-60ed8313:150849567c0:2d76	http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/organization/IOM/	member
-60ed8313:150849567c0:204f	http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/organization/FZ/	member
-60ed8313:150849567c0:1c0c	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/organization/SICA/	observer
-60ed8313:150849567c0:2ac2	http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/organization/IMO/	member
-60ed8313:150849567c0:26f0	http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/organization/IDA/	member
-60ed8313:150849567c0:1c94	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/organization/CIS/	member
-60ed8313:150849567c0:3951	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/organization/UNMISS/	member
-60ed8313:150849567c0:2ebd	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/organization/ITU/	member
-60ed8313:150849567c0:3f83	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/organization/WTO/	member
-60ed8313:150849567c0:21b7	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/organization/IPU/	member
-60ed8313:150849567c0:325c	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/organization/OECD/	member
-60ed8313:150849567c0:2113	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/organization/G-77/	member
-60ed8313:150849567c0:19a2	http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/organization/UNAMID/	member
\.


--
-- TOC entry 5848 (class 0 OID 93696)
-- Dependencies: 801
-- Data for Name: Mountain; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Mountain" ("URI", "locatedOnIsland", type, "lastEruption", "inMountains", name, elevation, longitude, latitude, rdftype) FROM stdin;
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Puy de Sancy	1885	2.8	45.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Fairweather	4663	-137.5	58.9	\N
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mawenzi	5148	37.45	-3.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/island/Hokkaido/	volcanic	\N	\N	Asahi-Dake	2290	142.85	43.65	Volcano
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Popocatepetl	5450	-98	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Sabalan	4811	47.8	38.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Grosser Arber	1456	13	49.1	\N
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Nanda Devi	7816	80	30.4	\N
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Ausangate	6336	-71.2	-13.8	\N
http://www.semwebtech.org/mondial/10/mountain/Meru/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Meru	4567	36.8	-3.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Piz Bernina	4048	9.9	46.4	\N
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Gasherbrum II	8034	76.65	35.75	\N
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Gasherbrum I	8080	76.7	35.6	\N
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Annapurna	8091	83.8	28.6	\N
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Mt Marcy	1629	-73.9	44.1	\N
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	\N	\N	\N	\N	Jostedalsbre	2083	5.5	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Ruwenzori	5109	29.9	0.4	\N
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/island/Fogo/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Fogo	2829	-24.4	14.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/island/LaPalma/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Roque de los Muchachos	2426	-17.9	28.75	Volcano
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Moldoveanu	2544	24.7	45.6	\N
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/island/Madeira/	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Madeira/	Pico Ruivo	1861	-16	31	Volcano
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Rif/	Djebel Aures	2456	-6.5	35.5	\N
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Zugspitze	2963	11.1	47.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Pico de Aneto	3404	0.65	42.6	\N
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Mt McKinley	6193	-151	63.1	\N
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Ural/	Narodnaja	1895	60.1	65	\N
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Cathkin Peak	3181	29.35	-29.1	\N
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Pico Cristobal Colon	5775	-73.7	10.85	\N
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Marmolata	3343	11.85	46.4	\N
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Dychtau	5204	43.13	43.05	\N
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Elbrus	5642	42.26	43.21	Volcano
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/island/Corse/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Corse/	Monte Cinto	2706	8.9	42.4	\N
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Alpamayo	5947	-77.7	-8.9	\N
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Revoluzija	6940	72.2	38.3	\N
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Ulug Muztag	6973	87.4	36.4	\N
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	http://www.semwebtech.org/mondial/10/island/Reunion/	volcanic	\N	\N	Piton des Neiges	3069	55.5	-21.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcanic	\N	\N	Hvannadalshnukur	2110	-16.7	64.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	volcano	\N	\N	Queen Marys Peak	2062	-12.3	-37.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	http://www.semwebtech.org/mondial/10/island/SaintVincent/	volcano	\N	\N	Soufriere	1220	-61.2	13.35	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/island/Luzon/	volcanic	\N	\N	Pulog	2928	121	17	Volcano
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	http://www.semwebtech.org/mondial/10/island/Basse-Terre/	volcano	\N	\N	La Soufriere	1467	-61.65	16.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Iztaccihuatl	5286	-98.6	19.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	Pik Chan-Tengri	7010	80.16	42.2	\N
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/island/Mindanao/	volcanic	\N	\N	Mount Apo	2954	125.45	7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/island/Negros/	volcano	\N	\N	Kanlaon	2435	123.1	10.4	Volcano
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Puncak Jaya	4884	137.11	-4.1	\N
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/island/Pico/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Azores/	Pico	2351	-28.4	38.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/island/Sicilia/	volcano	\N	\N	Etna	3323	15	37.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	http://www.semwebtech.org/mondial/10/island/PuertoRico/	\N	\N	\N	Cerro de Punta	1338	-66.6	18.2	\N
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Azbine/	Tamgak	1800	9	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Adams	3743	-121.5	46.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Mount Everest	8848	86.9	28	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Pico de Agulhas Negras	2791	-44.65	-22.4	\N
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	\N	\N	\N	\N	Sulitjelma	1914	16.2	67.1	\N
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Grossglockner	3797	12.5	47	\N
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/TianShan/	Pik Pobeda	7439	80.1	42	\N
http://www.semwebtech.org/mondial/10/mountain/Kailash/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Kailash	6638	81.3	31.1	\N
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	\N	\N	\N	\N	Snoehetta	2286	9	62.1	\N
http://www.semwebtech.org/mondial/10/mountain/Tahan/	\N	\N	\N	\N	Tahan	2190	108	4	\N
http://www.semwebtech.org/mondial/10/mountain/Athos/	\N	\N	\N	\N	Athos	2033	24.35	40.15	\N
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/island/Bioko/	volcano	\N	\N	Pico Basile	3011	8.7	3.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Andringitra	2658	47	-22.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Karthala/	http://www.semwebtech.org/mondial/10/island/GrandComoro/	volcano	\N	\N	Karthala	2361	43.35	-11.75	Volcano
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcanic	\N	\N	Snaefell	1833	-15.2	64.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	http://www.semwebtech.org/mondial/10/island/VitiLevu/	volcanic	\N	\N	Mt. Victoria	1323	178	-17.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Hekla/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcano	\N	\N	Hekla	1491	-19.7	64	Volcano
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	http://www.semwebtech.org/mondial/10/island/Reunion/	volcano	\N	\N	Piton de la Fournaise	2631	55.7	-21.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/island/Teneriffa/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Pico de Teide	3718	-16.6	28.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Changbai/	Changbai Shan	2744	128.1	42	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mt. Bogong	1986	147.5	-37	\N
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	\N	\N	\N	\N	Tarrekaise	1850	17.3	67	\N
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	\N	\N	\N	\N	Kebnekaise	2114	18.3	67.5	\N
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Barre des Ecrins	4101	6.3	44.9	\N
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Lhotse	8516	86.9	28	\N
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Robson	3954	-119.1	52.3	\N
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Mt Blackburn	4996	-143.4	61.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Licancabur	5920	-67.9	-22.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Zachwoa	3345	40.2	43.7	\N
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Altai/	Bjelucha	4506	86.4	49.48	\N
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	\N	\N	\N	\N	Pidurutalagala	2524	80.8	7	\N
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Elbert	4401	-106.4	39.1	\N
http://www.semwebtech.org/mondial/10/mountain/Makalu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Makalu	8485	87.1	27.9	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mt. Kosciuszko	2228	148	-36.5	\N
http://www.semwebtech.org/mondial/10/mountain/Illimani/	\N	granite	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Illimani	6439	-67.8	-16.65	\N
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Thabana Ntlenyana	3482	29.3	-29.5	\N
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Tirich Mir	7708	71.8	36.25	\N
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	\N	\N	\N	\N	Portefjaellen	2021	17.4	67.1	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	\N	\N	\N	Mt. Babel	952	-68.7	51.45	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/island/Hawaii/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mauna Kea	4214	-155.45	19.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	http://www.semwebtech.org/mondial/10/island/Timor/	\N	\N	\N	Tatamailau	2963	125.5	-8.9	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Pico de Almanzor	2648	-5.3	40.25	\N
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Finsteraarhorn	4274	8.1	46.5	\N
http://www.semwebtech.org/mondial/10/mountain/Joekul/	\N	\N	\N	\N	Joekul	1876	7.2	60.3	\N
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Manaslu	8163	84.6	28.55	\N
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Cho Oyu	8188	86.65	28.35	\N
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Vignemale	3298	0.15	42.8	\N
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Karl-Marx	6726	72.5	37.16	\N
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Jezerce	2694	19.4	42.3	\N
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Mont Blanc	4808	6.8	45.8	\N
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Azbine/	Mont Greboun	1944	9	20	\N
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Gannett Peak	4207	-110	43.2	\N
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Beskides/	Gerlachovsky Stit	2655	20.1	49.2	\N
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mt Washington	1917	-71.3	44.3	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	http://www.semwebtech.org/mondial/10/island/Bougainville/	volcanic	\N	\N	Mt. Balbi	2715	155	-5.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Tsiafajavona	2642	47.2	-19.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/island/Cuba/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Pico Turquino	1974	-76.8	20	\N
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/island/Lombok/	volcano	\N	\N	Rinjani	3726	116.5	-8.4	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/island/BaffinIsland/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Mt. Odin	2147	-65.6	66.55	\N
http://www.semwebtech.org/mondial/10/mountain/Olympos/	http://www.semwebtech.org/mondial/10/island/Cyprus/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Troodos/	Olympos	1952	32.85	34.9	\N
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Matterhorn	4478	7.56	46	\N
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Guadalupe Peak	2667	-105	32	\N
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Kilimanjaro	5895	37.35	-3.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Schneekoppe	1602	15.7	50.7	\N
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/island/Hawaii/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mauna Loa	4170	-155.6	19.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	http://www.semwebtech.org/mondial/10/island/Montserrat/	volcano	\N	\N	Soufriere Hills	1050	-62.2	16.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Zagros/	Zard Kuh	4550	50.1	32.35	\N
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Grand Combin	4314	7.3	45.9	\N
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Gran Paradiso	4061	7.25	45.5	\N
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/island/Sulawesi/	volcanic	\N	\N	Rantekombola	3455	120	-3.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	Mt. Cook	3754	170.2	-43.6	\N
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	http://www.semwebtech.org/mondial/10/island/SaoTome/	volcanic	\N	\N	Pico de Sao Tome	2024	6.6	0.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/island/GranCanaria/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Pico de los Nieves	1949	-15.6	25.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	http://www.semwebtech.org/mondial/10/island/Hispaniola/	\N	\N	\N	Pico Duarte	3098	-71.3	18.3	\N
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/island/Bali/	volcano	\N	\N	Gunung Agung	3142	115.5	-8.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/island/GreatBritain/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Grampians/	Ben Nevis	1344	-5	56.8	\N
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/island/Java/	volcano	\N	\N	Merapi	2914	110.4	-7.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Moncayo	2313	1.85	41.8	\N
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Taurus/	Demirkazik	3756	35.2	37.8	\N
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Monte Rosa	4634	7.9	45.9	\N
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	Barbeau Peak	2616	-75	81.9	\N
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/island/Palawan/	volcanic	\N	\N	Mantalingajan	2085	118.4	9.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/island/Ceram/	\N	\N	\N	Gunung Binaiya	3027	129.3	-3.1	\N
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	http://www.semwebtech.org/mondial/10/island/Jamaica/	\N	\N	\N	Blue Mountain Peak	2256	-76.4	18.1	\N
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/island/Sumbawa/	volcano	\N	\N	Tambora	2850	118	-8.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Nanga Parbat	8125	74.6	35.2	\N
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/island/Maui/	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Haleakala	3055	-156.25	20.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/island/Olkhon/	\N	\N	\N	Zhima	1276	107.4	53.15	\N
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Karisimbi	4507	29.45	-1.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Rainier	4392	-121.75	46.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Mt Whitney	4418	-118.2	36.6	\N
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/island/Krakatau/	volcano	\N	\N	Krakatau	813	105.4	-6.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/WestGhats/	Dodabetta	2636	76.7	11.4	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Nevado del Huila	5750	-76	2.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	\N	monolith	\N	\N	Aso Rock	400	7.5	9.05	\N
http://www.semwebtech.org/mondial/10/mountain/Brocken/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Harz/	Brocken	1141	10.6	51.8	\N
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Mulhacen	3482	3.3	37	\N
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Atlas/	Tubkhal	4165	-8	31	\N
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Sinai/	Jabal Katrina	2637	33.95	28.5	\N
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	\N	volcano	\N	\N	Hotaka-Dake	3190	138	36	Volcano
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Aconcagua	6962	-70	-32.65	\N
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Chimborazo	6287	-78.5	-1.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	http://www.semwebtech.org/mondial/10/island/Guadalcanal/	volcanic	\N	\N	Popomanaseu	2335	160.1	-9.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	http://www.semwebtech.org/mondial/10/island/Tahiti/	volcanic	\N	\N	Mont Orohena	2241	-149.5	-17.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	\N	volcano	1944-03-18	\N	Vesuv	1281	14.4	40.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	http://www.semwebtech.org/mondial/10/island/Madagaskar/	volcanic	\N	\N	Tsaratanana	2876	48.5	-14	Volcano
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/island/Sumatra/	volcanic	\N	\N	Leuser	3466	98	3	Volcano
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mount Kenia	5199	37.3	0.15	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/island/Sumatra/	volcano	\N	\N	Kerinci	3805	101.45	-1.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Cayambe	5796	-78	0.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtHood/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mt Hood	3424	-121.5	45.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Granite Peak	3901	-109.5	45	\N
http://www.semwebtech.org/mondial/10/mountain/Ararat/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Ararat	5165	44.3	39.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Kangchendzonga	8586	88.1	27.7	\N
http://www.semwebtech.org/mondial/10/mountain/Uluru/	\N	monolith	\N	\N	Uluru	869	131	-25.3	\N
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Muztagata	7509	75.1	38.27	\N
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	\N	\N	\N	\N	Jabal Shuayb	3760	44	15.5	\N
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Torre de Estrela	1993	-7.6	40.3	\N
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Lenina	7134	72.9	39.35	\N
http://www.semwebtech.org/mondial/10/mountain/YuShan/	http://www.semwebtech.org/mondial/10/island/Taiwan/	\N	\N	\N	Yu Shan	3950	121	23.5	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	\N	\N	\N	Mt. Wilhelm	4509	145	-5.8	\N
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/island/Kreta/	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Crete/	Psiloritis	2456	24.7	35.2	\N
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Nevado de Toluca	4558	-99	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Huascaran	6768	-77.3	-9	\N
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Monte Pissis	6795	-68.85	-27.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/K2/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	K2	8611	76.5	35.9	\N
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Boundary Peak	4006	-118.3	37.9	\N
http://www.semwebtech.org/mondial/10/mountain/Damavand/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Elburs/	Damavand	5610	52.1	35.95	Volcano
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	\N	\N	\N	\N	Haltiatunturi	1328	21.4	67	\N
http://www.semwebtech.org/mondial/10/mountain/Sajama/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Sajama	6542	-68.9	-18.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Crap Sogn Gion	2228	9.2	46.85	\N
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	http://www.semwebtech.org/mondial/10/island/NewGuinea/	volcano	\N	\N	Mt. Giluwe	4368	143.9	-6.05	Volcano
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	volcano	\N	\N	Concepcion	1700	-85.6	11.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/island/Luzon/	volcano	1991-06-15	\N	Pinatubo	1486	120.3	15.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/island/Java/	volcano	\N	\N	Semeru	3676	112.9	-8.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Pelee/	http://www.semwebtech.org/mondial/10/island/Martinique/	volcano	\N	\N	Pelee	1397	-61.15	14.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	volcano	\N	\N	Ruapehu	2797	175.6	-39.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/Silisili/	http://www.semwebtech.org/mondial/10/island/Savaii/	volcanic	\N	\N	Silisili	1858	-172.4	-13.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/Katla/	http://www.semwebtech.org/mondial/10/island/Iceland/	volcano	\N	\N	Katla	1450	-19	63.6	Volcano
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	http://www.semwebtech.org/mondial/10/island/Dominica/	volcano	\N	\N	Morne Diablotins	1447	-61.4	15.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Fako/	\N	volcano	\N	\N	Fako	4095	9.2	4.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Cerro Chirripo	3819	-83.5	9.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Korab/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Korab	2751	20.3	41.4	\N
http://www.semwebtech.org/mondial/10/mountain/MtBona/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Bona	5005	-141.75	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	\N	\N	\N	\N	Sarektjokko	2090	17.4	67.3	\N
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/island/Borneo/	granite	\N	\N	Kinabalu	4101	116.5	6.1	\N
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Pikes Peak	4302	-105	38.8	\N
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Roman Kosch	1545	34.25	44.61	\N
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Liushi Shan	7167	80.9	35.3	\N
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	\N	\N	\N	\N	Galdhoeppig	2469	8	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Musala/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Balkan/	Musala	2925	23.6	42.2	\N
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Vosges/	Grand Ballon	1424	7.1	47.9	\N
http://www.semwebtech.org/mondial/10/mountain/Irazu/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Irazu	3432	-83.9	10	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt Logan	5959	-140.4	60.6	\N
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Broad Peak	8051	76.6	35.8	\N
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Jabal Lubnan	3088	36.1	34.3	\N
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mt St.Elias	5489	-140.9	60.3	\N
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Pico Bolivar	4981	-71	8.6	\N
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Wheeler Peak	4011	-105.4	36.55	\N
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Mt Redoubt	3108	-152.75	60.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Darfur/	Jabal Marra	3088	24.6	13	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Nevado del Ruiz	5389	-75.3	4.9	Volcano
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Ismoil Somoni	7495	72	39	\N
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Kings Peak	4123	-110.4	40.5	\N
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Ojos del Salado	6893	-68.5	-27.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	Monte Falterona	1654	11.7	43.9	\N
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Borah Peak	3859	-113.8	44.1	\N
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Clingmans Dome	2025	-83.2	35.3	\N
http://www.semwebtech.org/mondial/10/mountain/Kongur/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Kongur	7649	75.35	38.65	\N
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Feldberg	1493	7.5	47.5	\N
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Cotopaxi	5897	-78.4	-0.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Shishapangma	8027	85.8	28.55	\N
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Harney Peak	2207	-103.4	44	\N
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pik Moskva	6785	71.5	39	\N
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	\N	\N	\N	\N	Glittertind	2452	8.1	61.4	\N
http://www.semwebtech.org/mondial/10/mountain/Schchara/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Schchara	5200	43.1	43	\N
http://www.semwebtech.org/mondial/10/mountain/Illampu/	\N	granite	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Illampu	6368	-68.5	-15.8	\N
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Alps/	Hochgolling	2862	13.75	47.3	\N
http://www.semwebtech.org/mondial/10/mountain/Ampato/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Ampato	6288	-71.9	-15.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Pico Rocarre	5187	-78	-8.8	\N
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Dhaulagiri	8167	83.5	28.7	\N
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/Apennin/	Gran Sasso	2912	13.55	42.5	\N
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Mt Waddington	4019	-125.26	51.4	\N
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mt Columbia	3747	-117.44	52.15	\N
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Llullaillaco	6739	-68.5	-24.7	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Andes/	Tupungato	6550	-69.87	-33.35	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Tajumulco	4220	-91.9	15	Volcano
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Humphreys Peak	3850	-111.65	35.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Torre de Cerredo	2648	4.85	43.2	\N
http://www.semwebtech.org/mondial/10/mountain/Olymp/	\N	\N	\N	\N	Olymp	2917	22.35	40.1	\N
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Kljutschewskaja Sopka	4750	160.6	56.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Amhara/	Ras Daschan Terara	4533	38.4	13.2	Volcano
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Citlaltepetl (Pico de Orizaba)	5636	-97	19	Volcano
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	\N	volcano	\N	\N	Fujisan	3776	139	35	Volcano
http://www.semwebtech.org/mondial/10/mountain/Elgon/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Elgon	4321	34.55	1.1	Volcano
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Kasbek	5033	44.31	42.42	Volcano
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	\N	\N	\N	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mt Mitchell	2037	-82.1	35.4	\N
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Coropuna	6425	-72.65	-15.5	Volcano
http://www.semwebtech.org/mondial/10/mountain/Tahat/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Tahat	3003	5.5	23.3	Volcano
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Nevado de Colima	4330	-104	20	Volcano
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	\N	volcanic	\N	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Puy De Dome	1465	3	45.8	Volcano
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	\N	volcano	\N	http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Emi Kussi	3415	18.5	20	Volcano
\.


--
-- TOC entry 5849 (class 0 OID 93702)
-- Dependencies: 802
-- Data for Name: Mountains; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Mountains" ("URI", name, latitude, elevation, type, longitude) FROM stdin;
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Azbine	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Sinai	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Hawaii	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Crimean Mountains	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Corse/	Corse	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Jabal Lubnan	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rif/	Rif	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	British Empire Range	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Taurus	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Cascade Range	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Cape Verdes	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Beskides	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Cordillera Real	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Grampians	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Sierra Parima	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Cordillera de Talamanca	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Hindukusch	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Cordillera Cantabrica	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Sudirman Range	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Adirondacks	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Sierra Madre	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Snowy Mountains	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Cordillera Volcanica	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Kurdistan	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Waldai Hills	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Great Dividing Range	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Alaska Range	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Lebanon	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Appalachian Mountains	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Rocky Mountains	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Black Forest	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Harz/	Harz	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Coast Mountains	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Rhön	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Cevennes	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Cordillera Central	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Cordillera Negra	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Andes/	Andes	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Wrangell Mountains	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Pyrenees	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Atlas	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Altai/	Altai	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Zagros	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Canary Islands	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Sudety Mountains	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Darfur	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Cordillera Vilcanota	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Kaukasus	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Elias Range	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Drakensberge	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Apennin	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Antitaurus	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Sierra Nevada California	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Tian Shan	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Vosges	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Jura/	Jura	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Aleutian Range	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Penny Highlands	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Cordillera Iberica	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Elburs	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Tibesti	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Crete/	Crete	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ural/	Ural	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	East African Rift	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Cordillera Blanca	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Alps/	Alps	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Brazilian Highlands	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Bayrischer Wald	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Fichtelgebirge	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Transhimalaya	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Cordillera Betica	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Pamir	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	New Zealand Alps	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Balkan	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Kunlun	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Bohemian Mountains	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Ethiopian Highlands	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Azores/	Azores	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Changbai	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Ahaggar	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Sierra Maestra	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Himalaya	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Karakorum	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Karpaten	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Troodos	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Vogesen	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	West Ghats	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Madeira	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Sierra Nevada de Santa Marta	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Kamchatka	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Amhara	\N	\N	\N	\N
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Thueringer Wald	\N	\N	\N	\N
\.


--
-- TOC entry 5850 (class 0 OID 93708)
-- Dependencies: 803
-- Data for Name: Organization; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Organization" ("URI", "hasHeadq", abbrev, name, established) FROM stdin;
http://www.semwebtech.org/mondial/10/organization/ARF/	\N	ARF	ASEAN Regional Forum	1994-07-25
http://www.semwebtech.org/mondial/10/organization/G-11/	\N	G-11	Group of 11	1984-06-22
http://www.semwebtech.org/mondial/10/organization/UNMIL/	\N	UNMIL	United Nations Mission in Liberia	2003-09-18
http://www.semwebtech.org/mondial/10/organization/SACEP/	\N	SACEP	South Asia Co-operative Environment Program	\N
http://www.semwebtech.org/mondial/10/organization/CACM/	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	CACM	Central American Common Market	1960-12-13
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNFICYP	United Nations Peacekeeping Force in Cyprus	1964-03-04
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNIFIL	United Nations Interim Force in Lebanon	1978-03-19
http://www.semwebtech.org/mondial/10/organization/ZC/	\N	ZC	Zangger Committee	\N
http://www.semwebtech.org/mondial/10/organization/UNAMID/	\N	UNAMID	African Union/United Nations Hybrid Operation in Darfur	2007-07-31
http://www.semwebtech.org/mondial/10/organization/EITI/	\N	EITI	Extractive Industry Transparency Initiative	\N
http://www.semwebtech.org/mondial/10/organization/OECD/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	OECD	Organization for Economic Cooperation and Development	1960-12-14
http://www.semwebtech.org/mondial/10/organization/FATF/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	FATF	Financial Action Task Force	1989-07-15
http://www.semwebtech.org/mondial/10/organization/ICAO/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	ICAO	International Civil Aviation Organization	1944-12-07
http://www.semwebtech.org/mondial/10/organization/BDEAC/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	BDEAC	Central African States Development Bank	1975-12-03
http://www.semwebtech.org/mondial/10/organization/CPLP/	\N	CPLP	Comuinidade dos Paises de Lingua Portuguesa	\N
http://www.semwebtech.org/mondial/10/organization/IFC/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IFC	International Finance Corporation	1955-05-25
http://www.semwebtech.org/mondial/10/organization/CIS/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	CIS	Commonwealth of Independent States	1991-12-08
http://www.semwebtech.org/mondial/10/organization/CEI/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	CEI	Central European Initiative	1989-11-10
http://www.semwebtech.org/mondial/10/organization/FZ/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	FZ	Franc Zone	1945-12-20
http://www.semwebtech.org/mondial/10/organization/EIB/	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	EIB	European Investment Bank	1957-03-25
http://www.semwebtech.org/mondial/10/organization/SAARC/	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	SAARC	South Asian Association for Regional Cooperation	1985-12-08
http://www.semwebtech.org/mondial/10/organization/CAEU/	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	CAEU	Council of Arab Economic Unity	1957-06-02
http://www.semwebtech.org/mondial/10/organization/BSEC/	\N	BSEC	Black Sea Economic Cooperation Zone	1992-06-24
http://www.semwebtech.org/mondial/10/organization/PFP/	\N	PFP	Partnership for Peace	1994-01-10
http://www.semwebtech.org/mondial/10/organization/EAPC/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EAPC	Euro-Atlantic Partnership Council	1991-11-07
http://www.semwebtech.org/mondial/10/organization/ADB/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	ADB	Asian Development Bank	1966-12-19
http://www.semwebtech.org/mondial/10/organization/G-10/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	G-10	Group of 10	1962-10-01
http://www.semwebtech.org/mondial/10/organization/ITSO/	\N	ITSO	International Telecommunication Satellite Organization	\N
http://www.semwebtech.org/mondial/10/organization/UNISFA/	\N	UNISFA	United Nations Interim Security Force for Abyei	2011-06-26
http://www.semwebtech.org/mondial/10/organization/CBSS/	\N	CBSS	Council of the Baltic Sea States	1992-03-06
http://www.semwebtech.org/mondial/10/organization/EAC/	\N	EAC	East African Community	\N
http://www.semwebtech.org/mondial/10/organization/ANZUS/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	ANZUS	Australia-New Zealand-United States Security Treaty	1951-08-31
http://www.semwebtech.org/mondial/10/organization/SPC/	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	SPC	Secretariat of the Pacific Community	1947-02-05
http://www.semwebtech.org/mondial/10/organization/G-9/	\N	G-9	Group of 9	\N
http://www.semwebtech.org/mondial/10/organization/IGAD/	\N	IGAD	Inter-Governmental Authority on Development	\N
http://www.semwebtech.org/mondial/10/organization/Sparteca/	\N	Sparteca	South Pacific Regional Trade and Economic Cooperation Agreement	1981-01-01
http://www.semwebtech.org/mondial/10/organization/EAS/	\N	EAS	East Asia Summit	2005-12-14
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	ECOWAS	Economic Community of West African States	1975-05-28
http://www.semwebtech.org/mondial/10/organization/Entente/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	Entente	Council of the Entente	1959-05-29
http://www.semwebtech.org/mondial/10/organization/BA/	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	BA	Baltic Assembly	1990-05-12
http://www.semwebtech.org/mondial/10/organization/COMESA/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	COMESA	Common Market for Eastern and Southern Africa	1994-12-08
http://www.semwebtech.org/mondial/10/organization/OECS/	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	OECS	Organization of Eastern Caribbean States	1981-06-17
http://www.semwebtech.org/mondial/10/organization/IPU/	\N	IPU	Inter-Parliamentary Union	\N
http://www.semwebtech.org/mondial/10/organization/G-77/	\N	G-77	Group of 77	1964-06-14
http://www.semwebtech.org/mondial/10/organization/OPCW/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	OPCW	Organization for the Prohibition of Chemical Weapons	1997-04-28
http://www.semwebtech.org/mondial/10/organization/NAM/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	NAM	Nonaligned Movement	1961-09-05
http://www.semwebtech.org/mondial/10/organization/ICC/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	ICC	International Chamber of Commerce	1919-01-01
http://www.semwebtech.org/mondial/10/organization/BCIE/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	BCIE	Central American Bank for Economic Integration	1960-12-13
http://www.semwebtech.org/mondial/10/organization/ASEAN/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	ASEAN	Association of Southeast Asian Nations	1967-08-07
http://www.semwebtech.org/mondial/10/organization/WIPO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WIPO	World Intellectual Property Organization	1967-07-14
http://www.semwebtech.org/mondial/10/organization/PCA/	\N	PCA	Permanent Court of Arbitration	1899-07-29
http://www.semwebtech.org/mondial/10/organization/GUAM/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	GUAM	Organization for Democracy and Economic Development	2001-06-06
http://www.semwebtech.org/mondial/10/organization/UNOCI/	\N	UNOCI	United Nations Operation in Cote d'Ivoire	2004-02-26
http://www.semwebtech.org/mondial/10/organization/PIF/	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	PIF	Pacific Islands Forum	1971-08-04
http://www.semwebtech.org/mondial/10/organization/UNRWA/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	UNRWA	United Nations Relief and Works Agency for Palestine Refugees in the Near East	1949-12-08
http://www.semwebtech.org/mondial/10/organization/SCO/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	SCO	Shanghai Cooperation Organization	2001-06-14
http://www.semwebtech.org/mondial/10/organization/IMF/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IMF	International Monetary Fund	1944-07-22
http://www.semwebtech.org/mondial/10/organization/AfDB/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	AfDB	African Development Bank Group	1964-09-09
http://www.semwebtech.org/mondial/10/organization/AFESD/	\N	AFESD	Arab Fund for Economic and Social Development	1968-05-16
http://www.semwebtech.org/mondial/10/organization/OAPEC/	\N	OAPEC	Organization of Arab Petroleum Exporting Countries	1968-01-08
http://www.semwebtech.org/mondial/10/organization/G-20/	\N	G-20	Group of 20	1999-12-16
http://www.semwebtech.org/mondial/10/organization/AG/	\N	AG	Australia Group	\N
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	\N	MONUSCO	United Nations Organization Stabilization Mission in the Democratic Republic of the Congo	2010-05-28
http://www.semwebtech.org/mondial/10/organization/ITU/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ITU	International Telecommunication Union	1865-05-17
http://www.semwebtech.org/mondial/10/organization/NATO/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	NATO	North Atlantic Treaty Organization	1949-04-03
http://www.semwebtech.org/mondial/10/organization/AU/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	AU	African Union	1963-05-25
http://www.semwebtech.org/mondial/10/organization/UNMISS/	\N	UNMISS	United Nations Mission in the Republic of South Sudan	2011-07-08
http://www.semwebtech.org/mondial/10/organization/IOM/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	IOM	International Organization for Migration	1951-12-05
http://www.semwebtech.org/mondial/10/organization/WHO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WHO	World Health Organization	1946-07-22
http://www.semwebtech.org/mondial/10/organization/G-8/	\N	G-8	Group of 8	1975-10-01
http://www.semwebtech.org/mondial/10/organization/OAS/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	OAS	Organization of American States	1890-04-13
http://www.semwebtech.org/mondial/10/organization/ICCt/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	ICCt	International Criminal Court	2002-07-01
http://www.semwebtech.org/mondial/10/organization/OPEC/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	OPEC	Organization of Petroleum Exporting Countries	1960-09-13
http://www.semwebtech.org/mondial/10/organization/IFAD/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	IFAD	International Fund for Agricultural Development	1974-11-01
http://www.semwebtech.org/mondial/10/organization/CDB/	\N	CDB	Caribbean Development Bank	1969-10-18
http://www.semwebtech.org/mondial/10/organization/CERN/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	CERN	European Organization for Nuclear Research	1953-07-01
http://www.semwebtech.org/mondial/10/organization/IDA/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IDA	International Development Association	1960-01-25
http://www.semwebtech.org/mondial/10/organization/G-15/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	G-15	Group of 15	\N
http://www.semwebtech.org/mondial/10/organization/Caricom/	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	Caricom	Caribbean Community and Common Market	1973-07-04
http://www.semwebtech.org/mondial/10/organization/EU/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EU	European Union	1992-02-06
http://www.semwebtech.org/mondial/10/organization/OIC/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	OIC	Organization of Islamic Cooperation	1969-09-24
http://www.semwebtech.org/mondial/10/organization/UN/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UN	United Nations	1945-06-25
http://www.semwebtech.org/mondial/10/organization/NAFTA/	\N	NAFTA	North American Free Trade Agreement	1992-12-17
http://www.semwebtech.org/mondial/10/organization/EBRD/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	EBRD	European Bank for Reconstruction and Development	1990-01-08
http://www.semwebtech.org/mondial/10/organization/IDB/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	IDB	Islamic Development Bank	1973-12-15
http://www.semwebtech.org/mondial/10/organization/EFTA/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	EFTA	European Free Trade Association	1960-01-03
http://www.semwebtech.org/mondial/10/organization/BIS/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	BIS	Bank for International Settlements	1930-01-19
http://www.semwebtech.org/mondial/10/organization/IBRD/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IBRD	International Bank for Reconstruction and Development	1944-07-22
http://www.semwebtech.org/mondial/10/organization/ECO/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	ECO	Economic Cooperation Organization	1985-01-28
http://www.semwebtech.org/mondial/10/organization/LAIA/	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	LAIA	Latin American Integration Association	1980-08-11
http://www.semwebtech.org/mondial/10/organization/UNDOF/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	UNDOF	United Nations Disengagement Observer Force	1974-05-31
http://www.semwebtech.org/mondial/10/organization/NEA/	\N	NEA	Nuclear Energy Agency	1958-01-31
http://www.semwebtech.org/mondial/10/organization/CP/	http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	CP	Colombo Plan	1951-07-01
http://www.semwebtech.org/mondial/10/organization/APEC/	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	APEC	Asia-Pacific Economic Cooperation	1989-11-06
http://www.semwebtech.org/mondial/10/organization/IHO/	\N	IHO	International Hydrographic Organization	\N
http://www.semwebtech.org/mondial/10/organization/CAN/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	CAN	Andean Community	1969-05-26
http://www.semwebtech.org/mondial/10/organization/UNIDO/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	UNIDO	United Nations Industrial Development Organization	1966-11-16
http://www.semwebtech.org/mondial/10/organization/UNTSO/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	UNTSO	United Nations Truce Supervision Organization	1948-05-01
http://www.semwebtech.org/mondial/10/organization/MINURSO/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	MINURSO	United Nations Mission for the Referendum in Western Sahara	1991-04-28
http://www.semwebtech.org/mondial/10/organization/ECB/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	ECB	European Central Bank	1998-05-31
http://www.semwebtech.org/mondial/10/organization/UNITAR/	\N	UNITAR	United Nations Institute for Training and Research	1963-12-11
http://www.semwebtech.org/mondial/10/organization/CEPGL/	\N	CEPGL	Economic Community of the Great Lakes Countries	1976-09-19
http://www.semwebtech.org/mondial/10/organization/G-3/	\N	G-3	Group of 3	1990-10-01
http://www.semwebtech.org/mondial/10/organization/SICA/	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	SICA	Central American Integration System	1991-12-13
http://www.semwebtech.org/mondial/10/organization/FAO/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	FAO	Food and Agriculture Organization	1945-10-16
http://www.semwebtech.org/mondial/10/organization/ISO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ISO	International Organization for Standardization	1947-02-01
http://www.semwebtech.org/mondial/10/organization/G-24/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	G-24	Group of 24	1989-07-31
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	UNMOGIP	United Nations Military Observer Group in India and Pakistan	1949-01-23
http://www.semwebtech.org/mondial/10/organization/IOC/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	IOC	International Olympic Committee	1894-06-22
http://www.semwebtech.org/mondial/10/organization/OIF/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	OIF	International Organization of the French-speaking World	1970-03-20
http://www.semwebtech.org/mondial/10/organization/AOSIS/	\N	AOSIS	Alliance of Small Island States	\N
http://www.semwebtech.org/mondial/10/organization/CD/	\N	CD	Community of Democracies	2000-06-26
http://www.semwebtech.org/mondial/10/organization/SADC/	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	SADC	Southern African Development Community	1992-08-16
http://www.semwebtech.org/mondial/10/organization/NC/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	NC	Nordic Council	1952-03-16
http://www.semwebtech.org/mondial/10/organization/ILO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	ILO	International Labor Organization	1919-06-27
http://www.semwebtech.org/mondial/10/organization/UNESCO/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	UNESCO	United Nations Educational, Scientific, and Cultural Organization	1945-11-15
http://www.semwebtech.org/mondial/10/organization/LAES/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	LAES	Latin American and Caribbean Economic System	1975-10-17
http://www.semwebtech.org/mondial/10/organization/IEA/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	IEA	International Energy Agency	1974-11-14
http://www.semwebtech.org/mondial/10/organization/NIB/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	NIB	Nordic Investment Bank	1975-12-04
http://www.semwebtech.org/mondial/10/organization/UNSC/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	UNSC	United Nations Security Council	1945-06-25
http://www.semwebtech.org/mondial/10/organization/GCTU/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	GCTU	General Confederation of Trade Unions	1992-04-15
http://www.semwebtech.org/mondial/10/organization/SACU/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	SACU	Southern African Customs Union	1969-12-11
http://www.semwebtech.org/mondial/10/organization/ABEDA/	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	ABEDA	Arab Bank for Economic Development in Africa	1974-02-17
http://www.semwebtech.org/mondial/10/organization/Benelux/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Benelux	Benelux Union	1958-02-02
http://www.semwebtech.org/mondial/10/organization/ICJ/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	ICJ	International Court of Justice	1945-06-25
http://www.semwebtech.org/mondial/10/organization/UPU/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	UPU	Universal Postal Union	1874-10-09
http://www.semwebtech.org/mondial/10/organization/EADB/	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	EADB	East African Development Bank	1967-06-05
http://www.semwebtech.org/mondial/10/organization/ITUC/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	ITUC	International Trade Union Confederation	2006-11-02
http://www.semwebtech.org/mondial/10/organization/WTO/	\N	WTO	World Trade Organization	1994-04-14
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	\N	UNCTAD	United Nations Conference on Trade and Development	1964-12-30
http://www.semwebtech.org/mondial/10/organization/EMU/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	EMU	Economic and Monetary Union	1992-02-06
http://www.semwebtech.org/mondial/10/organization/Mercosur/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	Mercosur	Southern Cone Common Market	1991-03-26
http://www.semwebtech.org/mondial/10/organization/CE/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	CE	Council of Europe	1949-05-05
http://www.semwebtech.org/mondial/10/organization/IADB/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	IADB	Inter-American Development Bank	1959-04-07
http://www.semwebtech.org/mondial/10/organization/CEMAC/	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	CEMAC	Economic and Monetary Community of Central Africa	1964-12-08
http://www.semwebtech.org/mondial/10/organization/G-5/	\N	G-5	Group of 5	1985-09-21
http://www.semwebtech.org/mondial/10/organization/EurasEC/	\N	EurasEC	Eurasian Economic Community	\N
http://www.semwebtech.org/mondial/10/organization/UNHCR/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	UNHCR	United Nations High Commissioner for Refugees	1949-12-03
http://www.semwebtech.org/mondial/10/organization/WMO/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	WMO	World Meteorological Organization	1947-10-11
http://www.semwebtech.org/mondial/10/organization/OPANAL/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	OPANAL	Agency for the Prohibition of Nuclear Weapons in Latin America and the Caribbean	1967-02-13
http://www.semwebtech.org/mondial/10/organization/SELEC/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	SELEC	Convention of the Southeast European Law Enforcement Center	2011-10-07
http://www.semwebtech.org/mondial/10/organization/UNWTO/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	UNWTO	World Tourism Organization	1975-01-01
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	\N	BIMSTEC	Bay of Bengal Initiative for Multi-Sectoral Technical and Economic Cooperation	\N
http://www.semwebtech.org/mondial/10/organization/IAEA/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	IAEA	International Atomic Energy Agency	1956-10-26
http://www.semwebtech.org/mondial/10/organization/WFTU/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	WFTU	World Federation of Trade Unions	1945-10-03
http://www.semwebtech.org/mondial/10/organization/MIGA/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	MIGA	Multilateral Investment Guarantee Agency	1988-04-11
http://www.semwebtech.org/mondial/10/organization/CSTO/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	CSTO	Collective Security Treaty Organization	2002-10-07
http://www.semwebtech.org/mondial/10/organization/NSG/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	NSG	Nuclear Suppliers Group	\N
http://www.semwebtech.org/mondial/10/organization/InOC/	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	InOC	Indian Ocean Commission	1982-12-21
http://www.semwebtech.org/mondial/10/organization/UNASUR/	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	UNASUR	Union of South American Nations	2008-05-23
http://www.semwebtech.org/mondial/10/organization/LAS/	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	LAS	League of Arab States	1945-03-22
http://www.semwebtech.org/mondial/10/organization/ESA/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	ESA	European Space Agency	1975-05-31
http://www.semwebtech.org/mondial/10/organization/ACP/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	ACP	African, Caribbean, and Pacific Group of States	1975-06-05
http://www.semwebtech.org/mondial/10/organization/IMSO/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	IMSO	International Mobile Satellite Organization	1999-04-14
http://www.semwebtech.org/mondial/10/organization/Interpol/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	Interpol	International Criminal Police Organization	1956-06-13
http://www.semwebtech.org/mondial/10/organization/G-7/	\N	G-7	Group of 7	1985-09-21
http://www.semwebtech.org/mondial/10/organization/CICA/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	CICA	Conference of Interaction and Confidence-Building Measures in Asia	1999-09-13
http://www.semwebtech.org/mondial/10/organization/IFRCS/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	IFRCS	International Federation of Red Cross and Red Crescent Societies	1919-05-05
http://www.semwebtech.org/mondial/10/organization/GCC/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	GCC	Gulf Cooperation Council	1981-05-25
http://www.semwebtech.org/mondial/10/organization/IMO/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	IMO	International Maritime Organization	1948-03-06
http://www.semwebtech.org/mondial/10/organization/AMF/	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	AMF	Arab Monetary Fund	1976-04-26
http://www.semwebtech.org/mondial/10/organization/UNMIT/	\N	UNMIT	United Nations Integrated Mission in Timor-Leste	2006-08-24
http://www.semwebtech.org/mondial/10/organization/WCO/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	WCO	World Customs Organization	1950-12-15
http://www.semwebtech.org/mondial/10/organization/OSCE/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	OSCE	Organization for Security and Cooperation in Europe	1994-12-31
http://www.semwebtech.org/mondial/10/organization/C/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	C	Commonwealth	1931-12-31
http://www.semwebtech.org/mondial/10/organization/D-8/	\N	D-8	Developing Eight	1997-06-14
http://www.semwebtech.org/mondial/10/organization/AMU/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	AMU	Arab Maghreb Union	1989-02-16
http://www.semwebtech.org/mondial/10/organization/CELAC/	\N	CELAC	Community of Latin American and Caribbean States	2010-02-22
\.


--
-- TOC entry 5851 (class 0 OID 93711)
-- Dependencies: 804
-- Data for Name: Province; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Province" ("URI", name, "isProvinceOf") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Muslim Mindanao	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Dolj	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Kymi	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Namur	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Brabant Wallon	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Mato Grosso	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Adana	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Erzurum	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Śląskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Michoacán	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Western Cape	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	North Dakota	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Madrid	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Chiba	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Liaoning	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Orenburg	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Libertador General Bernardo O'Higgins	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Vrancea	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Brăila	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Braşov	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Saga	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Tamil Nadu	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Tulcea	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Gujarat	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Bucureşti	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Goiás	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Bacău	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Chelyabinsk	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Bihor	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Toyama	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Ohio	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Vâlcea	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Hunedoara	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Constanţa	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Mehedinţi	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Guangxi	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Gansu	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Alba	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Minas Gerais	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Jawa Barat	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Călăraşi	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Dâmboviţa	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Ilfov	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Vaslui	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Bahia	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Sichuan	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Teleorman	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Buzău	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Satu-Mare	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Xinjiang	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Caraş-Severin	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Baden-Württemberg	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Bistriţa-Năsăud	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Galaţi	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Hessen	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Bamako	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Arizona	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Jilin	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Dhaka	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Nei Mongol	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Ségou	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Sikasso	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Heilongjiang	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Kayes	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Gao	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Koulikoro	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Tombouctou	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Zhejiang	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Paraná	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Rio de Janeiro	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Maranhão	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Emilia-Romagna	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Kidal	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Puntarenas	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Heredia	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Gauteng	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Cartago	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	East of England	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Malanje	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Limón	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Texas	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Guanacaste	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Moskovskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	North Carolina	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Michigan	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Niedersachsen	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Alajuela	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	New York	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	San José	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Pernambuco	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	East Midlands	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Yorkshire and the Humber	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	South West	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Lindi	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Kagera	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Dodoma	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Manyara	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Kigoma	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Morogoro	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Katavi	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Geita	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Kusini Pemba	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Tirol	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Pwani	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Kaskazini Pemba	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Mara	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magwe	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Hubei	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Georgia	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Shandong	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Donets´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Kaskazini Unguja	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Guizhou	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Auvergne	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Ialomiţa	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Suceava	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Sibiu	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Gorj	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Cluj	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Maramureş	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Mureş	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Orientale	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Saint-Louis	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Beni	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Bas-Sassandra	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Fromager	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Western	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Nusa Tenggara Timur	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Oslo	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Shinyanga	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Njombe	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Tanga	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Tabora	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Eastern Cape	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Mopti	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Ruvuma	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Arusha	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Picardie	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Cagayan Valley	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Mjini Magharibi Unguja	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Bayelsa	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Prince Edward Island	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Thessalias	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Dytikis Makedonias	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Azad Jammu and Kashmir	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Telangana	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Sicilia	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	As Sulaymaniyah	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	al-Qadisiya	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Grodno	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Nagasaki	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Vaud	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Obwalden	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Tarija	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Lagunes	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Northern	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Aktobe	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Sulawesi Utara	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	DKI Jakarta	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Kalimantan Timur	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Aust-Agder	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Tadla Azilal	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Nay Pyi Taw	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Bago	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Semnan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Ancash	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Xizang	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Hatay	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Yalova	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Osmaniye	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Holguín	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Terengganu	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Sinaloa	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Quindío	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Tolima	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Toshkent City	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Sirdaryo	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Andijon	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Tul´skaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Karelia	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Kirov	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Karachayevo-Cherkesskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Värmland	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Lorraine	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Kusini Unguja	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Mbeya	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Mtwara	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Iringa	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Dar es Salaam	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Kilimanjaro	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Simiyu	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Rukwa	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Mwanza	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Singida	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Manica	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Tete	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Gaza	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Maputo	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Zambézia	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Niassa	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Osun	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Nampula	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Inhambane	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Sofala	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Cidade de Maputo	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Cabo Delgado	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Zaire	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Uíge	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Huíla	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Huambo	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Cuanza Norte	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Cunene	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Bengo	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Bié	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Luanda	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Cabinda	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Benguela	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Moxico	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Lunda-Sul	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Cuando Cubango	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Cuanza Sul	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Namibe	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Lunda-Norte	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Shaanxi	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Continental	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Insular	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Cordillera	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Central Luzon	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Calabarzon	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Northern Mindanao	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Ilocos	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Central Visayas	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Manipur	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Nagaland	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Eastern Visayas	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Zamboanga Peninsula	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Caraga	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Soccsksargen	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Davao	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Mimaropa	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Imo	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Nunavut	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Querétaro	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Borsod-Abaúj-Zemplén	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Komárom-Esztergom	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Tolna	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Peloponnisos	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Anatolikis Makedonias kai Thrakis	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Delhi	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Francisco Morazán	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Sédhiou	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Kaffrine	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Al-Jouf	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Yerushalayim	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Genève	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	La Paz	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Vas	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Colón	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Hims	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Lebap	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Luapula	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambella	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Akmola	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Riau	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Kalimantan Tengah	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Uttar Pradesh	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Ontario	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Troms	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Oberösterreich	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Liberecký	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Luxembourg	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Kayin	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Lambayeque	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Sylhet	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Amasya	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Kırşehir	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Balıkesir	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Mardin	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Kütahya	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Selangor	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Nayarit	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Poltavs´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Zhytomyrs´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Iowa	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Rheinland-Pfalz	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Schleswig-Holstein	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Jharkhand	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Puglia	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Himachal Pradesh	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fargʻona	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Leningradskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Chukotka	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Canarias	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Kronoberg	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Bicol	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Edo	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Taraba	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Kano	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Anambra	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Cross River	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Oyo	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Rivers	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Abuja	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Bauchi	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Plateau	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Sokoto	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Gombe	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Akwa Ibom	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Lagos	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Abia	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Borno	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Enugu	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Ekiti	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Ebonyi	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Adamawa	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Ogun	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Trentino-Alto Adige	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Nasarawa	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Zamfara	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Kwara	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Katsina	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Yobe	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Kaduna	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Kebbi	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Ondo	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Jigawa	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Kogi	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Benue	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Niger	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Delta	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Manitoba	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Northwest Territories	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Yukon	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	New Brunswick	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Newfoundland and Labrador	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Quebec	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Nova Scotia	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Saskatchewan	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	British Columbia	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Alberta	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Csongrád	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Pest	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Jász-Nagykun-Szolnok	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Missouri	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Budapest	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Veszprém	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Somogy	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Baranya	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Antioquia	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Paraíba	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Muğla	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Al-Hudud ash Shamaliyah	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Táchira	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Västra Götaland	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Uttarakhand	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Jammu and Kashmir	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Maniema	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Pinar del Río	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Valle	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Atlántida	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Islas de la Bahía	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Tambacounda	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Pomorskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Fukui	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Appenzell Ausserrhoden	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Solothurn	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Los Santos	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Herrera	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Cuvette	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Aragua	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Trujillo	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Kepulauan Bangka Belitung	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Banten	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Buskerud	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Doukala Abda	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Buenos Aires	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Limburg	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Junín	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Yunnan	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Beijing	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Rize	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Tekirdağ	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Kars	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Labuan	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Quintana Roo	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Coahuila	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Zaporiz´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Odes´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Qasqadaryo	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Sakha	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Smolenskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Volgogradskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Atacama	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	La Rioja	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Fejér	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Zala	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Győr-Moson-Sopron	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Bács-Kiskun	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Nógrád	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Hajdú-Bihar	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Heves	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Békés	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Szabolcs-Szatmár-Bereg	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Aghion Oros	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Kritis	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Kentrikis Makedonias	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Boreioy Aigaioy	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Attikis	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Ipeiroy	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Kanagawa	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Ionion Nison	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Stereas Elladas	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Dytikis Elladas	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Notioy Aigaioy	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	FATA	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	FCT Islamabad	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Gilgit-Baltistan	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Khyber Pakhtunkhwa	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Balochistan	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Punjab	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Sikkim	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Kerala	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Karnataka	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Haryana	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Arunachal Pradesh	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Punjab	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Puducherry	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Tripura	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Dadra and Nagar Haveli	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Chhattisgarh	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Goa	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	West Bengal	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Daman and Diu	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Odisha	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Meghalaya	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Assam	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Andhra Pradesh	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Lakshadweep	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Vaasa	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Mizoram	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Bihar	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Andaman and Nicobar Islands	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Kasai-Occidental	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Bandundu	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Sud-Kivu	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Kasai-Oriental	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Nord-Kivu	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Bas-Congo	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Katanga	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Kinshasa	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Equateur	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Gracias a Dios	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Cortés	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Hebei	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Littoral	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Ouest	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Centre	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Est	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Extrême-Nord	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Sud	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Adamaoua	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Nord-Ouest	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Sud-Ouest	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Nord	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Brandenburg	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Liguria	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Veracruz	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	La Guajira	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Piemonte	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Umbria	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Opolskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Nineveh	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Hyogo	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Jura	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Central	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Gorontalo	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Jihomoravský	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Cajamarca	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Tianjin	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Alagoas	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Bursa	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Hakkari	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Caldas	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Adygeya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Kaluzhskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Sakhalin	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Kurgan	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Marche	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Sardegna	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Lombardia	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Molise	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Federacija Bosne i Hercegovine	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Brčko	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Volta	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Northern	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Campania	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Veneto	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Calabria	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Abruzzo	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Valle d'Aosta	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Toscana	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Basilicata	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Friuli-Venezia Giulia	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Lazio	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Choluteca	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Colón	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Copán	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Ocotepeque	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Santa Bárbara	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Comayagua	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	La Paz	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Lempira	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Yoro	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Intibucá	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Olancho	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	El Paraíso	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Fatick	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Kaolack	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Copperbelt	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Kolda	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Dakar	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Louga	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Thiès	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Matam	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Ziguinchor	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Diourbel	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Kédougou	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Łódzkie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Świętokrzyskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Lubuskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Wielkopolskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Podlaskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Kujawsko-Pomorskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Podkarpackie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Małopolskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Mazowieckie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Zachodniopomorskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Dolnośląskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Duhouk	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Maysan	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Babylon	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Erbil	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Kerbela	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Salah al-Deen	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Glarus	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Warmińsko-Mazurskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Lubelskie	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Wasit	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	HaMerkaz	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Corrientes	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Rajasthan	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabouk	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Atlántico	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Ibaraki	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Aargau	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Nidwalden	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Gorno-Badakhshan	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Lékoumou	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Addis Ababa	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Zulia	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Apure	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Bali	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Bengkulu	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Oriental	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Kuopio	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Liège	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Bushehr	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Qom	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Loreto	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Ucayali	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Khulna	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Sergipe	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Erzincan	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Iğdır	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Ordu	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Eskişehir	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Sinop	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Bolu	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Ağrı	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Guerrero	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Tlaxcala	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Rostovskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Franche-Comté	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Espírito Santo	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Ivano-Frankivs´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Wisconsin	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Mecklenburg-Vorpommern	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Jizzax	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Toshkent	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Voronezhskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Dagestan	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Saratov	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Kalmykiya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Tagant	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Inchiri	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Entre Ríos	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Corse	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	al-Muthanna	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Diala	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Thi Qar	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Baghdad	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	al-Anbar	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Kirkuk	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	al-Najaf	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basrah	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Flevoland	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Pará	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Ash Sharqiyah	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jazan	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Najran	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Ha'il	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Aseer	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Al-Madinah Al-Monawarah	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Makkah Al-Mokarramah	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Al-Riyadh	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Al-Qaseem	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al-Baha	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Minsk	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Gomel	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Mogilev	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Vitebsk	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Brest	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Minsk City	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	HaZafon	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Hefa	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Tel Aviv	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	HaDarom	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Saitama	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Miyazaki	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Tottori	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Iwate	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Oita	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Královéhradecký	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Hiroshima	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Yamaguchi	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Shizuoka	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Yamagata	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Kagawa	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Kumamoto	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Tokyo	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Kyoto	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Aichi	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Niigata	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Tochigi	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Wakayama	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Fukushima	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Gumma	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Tokushima	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Shiga	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Kagoshima	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Ishikawa	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Yamanashi	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Miyagi	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Gifu	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Kochi	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Osaka	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Nagano	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Fukuoka	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Mie	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Okayama	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Akita	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Shimane	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Nara	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Ehime	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Elazığ	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Hokkaido	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Okinawa	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Aomori	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Valais	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Basel-Stadt	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Uri	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Appenzell Innerrhoden	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Zug	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Luzern	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Graubünden	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Zürich	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Schwyz	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Schaffhausen	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Bern	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Basel-Landschaft	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Neuchâtel	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Thurgau	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Sankt Gallen	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Fribourg	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Ticino	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Khatlon	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Sughd	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Regions of Republican Subordination	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Dushanbe	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Metro Manila	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Tacna	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	La Libertad	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Tumbes	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Pando	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Cochabamba	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Chuquisaca	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Potosí	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Oruro	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Santa Cruz	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Bafing	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	N'zi-Comoé	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Moyen-Comoé	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Montagnes	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Lacs	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Zanzan	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Jiangsu	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Villa Clara	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Las Tunas	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Moyen-Cavally	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Vallée du Bandama	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Agnéby	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Sud-Comoé	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Savanes	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Worodougou	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Haut-Sassandra	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Marahoué	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Mato Grosso do Sul	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Republika Srpska	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Sud-Bandama	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	La Habana	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Minnesota	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Denguélé	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Mississippi	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Greater Accra	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Bocas del Toro	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Dimashq	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Bolívar	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Carabobo	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	West Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Souss Massa Daraa	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Marrakech Tensift Al Haouz	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Niederösterreich	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Arequipa	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Piura	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Guangdong	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Sindh	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Putrajaya	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Qinghai	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Muş	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Düzce	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Niğde	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Denizli	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Çankırı	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Nuevo Léon	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Yucatán	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Oaxaca	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Midtjylland	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Luhans´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Maryland	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	New Hampshire	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Saarland	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Tverskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Orlovskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Amur	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Ryazanskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Chuvash	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Aragón	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Norrbotten	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Kalmar	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Dalarna	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Wales	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Scotland	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	San Juan	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	La Pampa	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Bourgogne	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Eastern	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Vermont	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Castilla-La Mancha	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Hodh Chargui	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Tahoua	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Diffa	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Jämtland	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Maule	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Khmel´nyts´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Western	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Affar	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Sucre	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Almaty	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Finnmark	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Vestfold	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Jihočeský	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Karlovarský	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Ayeyarwady	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Yangon	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Fars	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Ilam	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Madre de Dios	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Ica	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Coimbra	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Porto	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Santa Catarina	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Pennsylvania	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Sancti Spíritus	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Santiago de Cuba	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Şırnak	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyonkarahisar	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Konya	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Zakarpats´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Sums´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Montana	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	District of Columbia	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Khabarov	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Buryat	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Yaroslavskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Aysén	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Bío-Bío	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	South Australia	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Tasmania	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Agadez	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Västerbotten	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Gävleborg	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Santa Fe	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Chubut	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Haute-Normandie	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Limousin	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	New Jersey	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Basse Normandie	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Ashanti	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Brong Ahafo	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Upper West	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Eastern	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Central	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Upper East	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Emberá	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Panamá	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Kuna Yala	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Veraguas	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Darién	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Ngöbe Buglé	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Coclé	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Chiriquí	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Tartus	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Al Hasakah	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Dar`a	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Ar Raqqah	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hamah	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Al Ladhiqiyah	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Al Qunaytirah	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Halab	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	As Suwayda'	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Rif Dimashq	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Idlib	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Dayr az Zawr	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Akhal	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Balkan	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Andalucía	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Western Visayas	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Nitriansky	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Trnavský	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Košický	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Bratislavský	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Trenčiansky	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Žilinský	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Banskobystrický	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Prešovský	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Ashgabat	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Dashhowuz	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Mary	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Likouala	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Pool	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Pointe-Noire	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Niari	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Cuvette-Ouest	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Kouilou	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Brazzaville	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Sangha	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Plateaux	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Bouenza	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	North-Western	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Southern	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Lusaka	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Hordaland	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Olomoucký	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	São Paulo	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	YeDebub Biheroch Bihereseboch na Hizboch	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Amhara	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Harari	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Somali	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Tigray	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Dire Dawa	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Oromia	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Benishangul-Gumuz	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Huancavelica	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Lima	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Cojedes	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Lara	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Portuguesa	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Guárico	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Barinas	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Vargas	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Falcón	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Nueva Esparta	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Miranda	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Monagas	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Yaracuy	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Mérida	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Anzoátegui	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Delta Amacuro	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Atyrau	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Almaty City	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Baikonur	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	East-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Pavlodar	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	North-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Mangistau	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Astana	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanai	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Kyzylorda	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Braga	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Van	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Artvin	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Puebla	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Norte de Santander	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Khersons´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Burgenland	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	KwaZulu-Natal	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Alabama	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Kurskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Queensland	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Santa Cruz	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Zhambyl	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	South-Kazakhstan	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Sumatera Utara	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Jawa Tengah	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Nusa Tenggara Barat	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Sulawesi Barat	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Sulawesi Selatan	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Kepulauan Riau	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Papua Barat	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Kalimantan Barat	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Sulawesi Tenggara	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Maluku	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Maluku Utara	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Jawa Timur	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Aceh	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Sumatera Selatan	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Jambi	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Sulawesi Tengah	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Kalimantan Selatan	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	DI Yogyakarta	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Lampung	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Papua	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Nord-Trøndelag	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Møre og Romsdal	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Østfold	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Oppland	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Vest-Agder	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Akershus	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Telemark	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Sogn og Fjordane	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Sør-Trøndelag	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Rogaland	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Hedmark	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Nordland	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Rabat Sale Zemmour Zaer	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Gharb Chrarda Beni Hssen	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Taza Al Hoceima Taounate	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Meknes Tafilalet	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Tanger Tetouan	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Chaouia Ouardigha	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Fes Boulemane	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Guelmim Es Semara	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Kärnten	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Steiermark	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Wien	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Vorarlberg	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Salzburg	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Vysočina	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Pardubický	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Plzeňský	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Středočeský	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Sumatera Barat	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Artemisa	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Bayern	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Ríos	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Grand Casablanca	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Udmurt	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Zlínský	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Turku-Pori	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Mon	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Gillan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	North Khorasan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Azores	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Viseu	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Portalegre	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Beja	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Castelo Branco	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Ningxia	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Camagüey	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Gümüşhane	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Isparta	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Giresun	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Şanlıurfa	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Pahang	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Kedah	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Tamaulipas	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Chihuahua	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Vinnyts´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Kyïvs´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Massachusetts	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Nebraska	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Navoiy	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Ivanovskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Tatarstan	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Primorskiy	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Tyumen	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Irkutsk	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	País Vasco	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Tillabéri	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Dosso	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Södermanland	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Aquitaine	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Isla de la Juventud	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Tocantins	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Kentucky	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Overijssel	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Groningen	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Mandalay	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Kohgiluyeh and Boyerahmad	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Yazd	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Esfahan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Sistan and Baluchestan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Zanjan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	South East	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Amazonas	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Lisboa	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Chittagong	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Bartın	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Batman	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Ardahan	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Kırklareli	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Malatya	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Trabzon	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Bayburt	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Baja California Sur	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Zacatecas	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Syddanmark	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Cundinamarca	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Casanare	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Sevastopol´	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Dnipropetrovs´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	North West	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Hamburg	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Moscow	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Tambovskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Kemerov	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Bashkortostan	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Komi	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Khakasiya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Vologodskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Novgorodskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Murcia	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Cantabria	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Trarza	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Maharashtra	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Hodh El Gharbi	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Blekinge	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Formosa	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Tucumán	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Moravskoslezský	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Praha	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Ústecký	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Uusimaa	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Mikkeli	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Lappia	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Haeme	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Aland	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Suomi	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Pohjols-Karjala	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Oulu	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Friesland	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Gelderland	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Zeeland	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Noord-Holland	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Noord-Brabant	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Drenthe	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Zuid-Holland	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Utrecht	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Bruxelles	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	West-Vlaanderen	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Limburg	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Hainaut	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Vlaams-Brabant	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Oost-Vlaanderen	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Antwerpen	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Madhya Pradesh	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Shan	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Sagaing	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Kachin	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Rakhine	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Chin	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Tanintharyi	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Kayah	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamedan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Chaharmahal and Bakhtiyari	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Lorestan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Khorasan-e-Razavi	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Hormozgan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	West Azarbayejan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Kurdestan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Kerman	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Golestan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	South Khorasan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Markazi	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Qazvin	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Kermanshah	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Mazandaran	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Ardebil	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	San Martín	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Callao	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Huánuco	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Moquegua	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Kocaeli	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Centre	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Rondônia	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Buxoro	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Alborz	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Tehran	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	East Azarbayejan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Madeira	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Viana do Castelo	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Amapá	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Cienfuegos	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Maine	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Shanxi	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Granma	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Manisa	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	İstanbul	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Uşak	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Nevşehir	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Chiapas	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Campeche	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Baja California	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Jalisco	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Guaviare	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Arauca	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Boyacá	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Kansas	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Oklahoma	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Idaho	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Indiana	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Xorazm	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Lipetskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Mariy-El	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Penza	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Antofagasta	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Western Australia	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Australia Capital Territory	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Asturias	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Navarra	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Adrar	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Brakna	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Jönköping	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Stockholm	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Chaco	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Provence-Alpes-Côte d'Azur	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Pasco	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Ayacucho	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Apurímac	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Lima City	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Puno	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Cusco	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Algarve	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Setubal	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Braganca	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Leiria	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarem	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Guarda	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Aveiro	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Vila Real	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Evora	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Rajshahi	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Rangpur	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Barisal	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Hainan	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Hunan	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Shanghai	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Chongqing	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Jiangxi	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Roraima	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Rio Grande do Norte	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Acre	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Piauí	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Matanzas	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Ciego de Ávila	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Mayabeque	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Guantánamo	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Yozgat	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Edirne	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Sivas	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Burdur	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Mersin	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Kahramanmaraş	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Aksaray	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Tunceli	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Diyarbakır	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Tokat	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Karaman	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Çanakkale	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Kayseri	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Siirt	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Sakarya	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Kırıkkale	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Samsun	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Bitlis	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Çorum	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Kilis	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Bingöl	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Bilecik	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Adıyaman	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Karabük	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Aydın	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Ankara	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Zonguldak	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Gaziantep	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Kastamonu	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Antalya	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Sucre	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Perak	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Sabah	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Perlis	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Pulau Pinang	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Chernivets´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Ternopil´s´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Zabaykalskiy	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Tarapacá	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Extremadura	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Gotland	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Skåne	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Île-de-France	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Kelantan	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Johor	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Kuala Lumpur	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Sarawak	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Negeri Sembilan	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Melaka	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Sonora	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Hidalgo	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Colima	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Tabasco	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Durango	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Morelos	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	México, Estado de	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Aguascalientes	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	San Luis Potosí	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Nordjylland	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Sjælland	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Hovedstaden	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Santa Fe de Bogotá	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Huila	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Córdoba	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Vichada	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Chocó	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Santander	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Vaupés	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Bolívar	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andrés, Providencia y Santa Catalina	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Putumayo	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Nariño	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Risaralda	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Guainía	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Cauca	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Caquetá	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Magdalena	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Meta	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	L´vivs´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Volyns´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Chernihivs´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Krym	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Rivnens´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Mykolaïvs´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Kirovohrads´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Cherkas´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Kyïv	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Northern Cape	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Mpumalanga	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Limpopo	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Delaware	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/GB/province/London/	London	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	North West	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	North East	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	La Rioja	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Cesar	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Kharkivs´ka	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Free State	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	South Dakota	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Tennessee	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Sachsen-Anhalt	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Perm	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Arkhangel´skaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Kaliningradskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Lagos	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Northern Territory	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Illes Balears	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Misiones	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Mendoza	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Río Negro	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Poitou Charentes	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Champagne-Ardenne	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Languedoc-Roussillon	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Alsace	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Nord-Pas-de-Calais	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Pays de la Loire	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Louisiana	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Hawaii	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Nevada	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	West Virginia	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Wyoming	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Rhode Island	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Alaska	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Arkansas	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	South Carolina	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Utah	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Oregon	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	New Mexico	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Sachsen	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Thüringen	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Berlin	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Bremen	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhnii Novgorod	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Qoraqalpogʻiston	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarqand	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Surxondaryo	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Namangan	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Pskovskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Belgorodskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Omsk	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Kamchatka	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Chechenskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Ingushskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Sverdlov	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt-Peterburg	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Magadan	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Mordoviya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Vladimirskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Yamalo Nenets ao	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Samara	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Murmanskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Jewish ao.	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Tyva	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Kabardino-Balkarskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Bryanskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Astrakhanskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Kostromskaya	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Ul´yanovsk	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Krasnodarskiy	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Altay	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Novosibirsk	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Tomsk	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	North Ossetia-Alania	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Krasnoyarsk	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Coquimbo	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Araucanía	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Valparaíso	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Santiago	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Magallanes	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Arica y Parinacota	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	New South Wales	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Victoria	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Galicia	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Valenciana	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Castilla y León	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Assaba	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Guidimagha	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Tiris Zemmour	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Dakhlet Nouadhibou	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Gorgol	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Nouakchott	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Niamey	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Maradi	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Zinder	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Örebro	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Uppsala	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Östergötland	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Halland	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Västmanland	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Västernorrland	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Northern Ireland	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Córdoba	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Neuquén	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Anhui	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Fujian	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Illinois	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Virginia	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Cataluña	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Colorado	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Nordrhein-Westfalen	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Stavropol´skiy	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Rio Grande do Sul	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Chandigarh	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Khanty Mansi ao	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Covasna	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Iaşi	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Botoşani	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Prahova	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Giurgiu	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Olt	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Harghita	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Arad	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Argeş	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Timiş	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Neamţ	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Sălaj	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Guanajuato	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karaganda	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Ceará	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	West Midlands	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/USA/province/California/	California	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Henan	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Connecticut	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Florida	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Valle de Cauca	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Washington	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Khuzestan	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Altayskiy	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Santiago de Estero	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Salta	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Catamarca	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	San Luis	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Tierra del Fuego	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Jujuy	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Distrito Federal	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Midi-Pyrénées	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Bretagne	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Rhône-Alpes	http://www.semwebtech.org/mondial/10/country/F/
\.


--
-- TOC entry 5852 (class 0 OID 93714)
-- Dependencies: 805
-- Data for Name: Religion; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Religion" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Presbyterian
http://www.semwebtech.org/mondial/10/religion/Baptist/	Baptist
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Church of God
http://www.semwebtech.org/mondial/10/religion/Hindu/	Hindu
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Armenian Apostolic
http://www.semwebtech.org/mondial/10/religion/Catholic/	Catholic
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Cao Dai
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Roman Catholic
http://www.semwebtech.org/mondial/10/religion/Sikh/	Sikh
http://www.semwebtech.org/mondial/10/religion/Jains/	Jains
http://www.semwebtech.org/mondial/10/religion/Taoist/	Taoist
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Episcopalian
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Christian Congregationalist
http://www.semwebtech.org/mondial/10/religion/Mormon/	Mormon
http://www.semwebtech.org/mondial/10/religion/Druze/	Druze
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Yezidi
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Jehovas Witnesses
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Ukrainian Greek Catholic
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Christian Orthodox
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Seventh-Day Adventist
http://www.semwebtech.org/mondial/10/religion/Methodist/	Methodist
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Uniting Church Australia
http://www.semwebtech.org/mondial/10/religion/Christian/	Christian
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Chondogyo
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	United Church
http://www.semwebtech.org/mondial/10/religion/Protestant/	Protestant
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Ekalesia Niue
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Hoa Hao
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Kimbanguist
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Confucianism
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	New Apostolic
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Church Christ
http://www.semwebtech.org/mondial/10/religion/Jewish/	Jewish
http://www.semwebtech.org/mondial/10/religion/Anglican/	Anglican
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Congregational Christian
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Buddhist
http://www.semwebtech.org/mondial/10/religion/Bahai/	Bahai
http://www.semwebtech.org/mondial/10/religion/Mayan/	Mayan
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Church Tuvalu
http://www.semwebtech.org/mondial/10/religion/Adventist/	Adventist
http://www.semwebtech.org/mondial/10/religion/Muslim/	Muslim
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Coptic Christian
http://www.semwebtech.org/mondial/10/religion/United/	United
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	African Methodist Episcopal
\.


--
-- TOC entry 5853 (class 0 OID 93717)
-- Dependencies: 806
-- Data for Name: River; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "River" ("URI", "hasSource", "hasEstuary", length, "flowsInto") FROM stdin;
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	2129	http://www.semwebtech.org/mondial/10/lake/OzeroAral/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/estuary/Jenissej/	4092	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/estuary/Mosel/	544	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/estuary/Guadiana/	742	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/estuary/Araguaia/	2198	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/estuary/Okavango/	1700	\N
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/estuary/Arkansas/	2334	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	664	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/estuary/Newa/	74	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/estuary/Swir/	224	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	560	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/estuary/Ob/	3650	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/estuary/Doubs/	453	http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/estuary/Argun/	1620	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	1287	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/estuary/Zambezi/	2574	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/estuary/Oranje/	2160	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/estuary/Amazonas/	3778	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	133	http://www.semwebtech.org/mondial/10/river/Drin/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	550	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/estuary/Uruguay/	1790	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/estuary/Prypjat/	775	http://www.semwebtech.org/mondial/10/lake/KievReservoir/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/estuary/Theiss/	1308	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/source/Gambia/	http://www.semwebtech.org/mondial/10/estuary/Gambia/	1120	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	225	http://www.semwebtech.org/mondial/10/lake/PyramidLake/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	107	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/estuary/Petschora/	1809	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	120	http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/estuary/Dnepr/	2201	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/source/Pibor/	http://www.semwebtech.org/mondial/10/estuary/Pibor/	320	http://www.semwebtech.org/mondial/10/river/Sobat/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	1197	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/estuary/Volga/	3531	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/estuary/Colorado/	2330	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/estuary/Mekong/	4350	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/estuary/Ammer/	168	http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/estuary/Alz/	150	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/estuary/Isar/	295	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/estuary/Olt/	615	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/estuary/Tigris/	1900	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/estuary/Douro/	897	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/estuary/Kwa/	100	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	175	http://www.semwebtech.org/mondial/10/river/Drin/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/estuary/Atbara/	1120	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/estuary/Lagen/	322	http://www.semwebtech.org/mondial/10/river/Glomma/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/estuary/Mur/	453	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/source/Sobat/	http://www.semwebtech.org/mondial/10/estuary/Sobat/	740	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/estuary/Don/	1870	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/estuary/Irtysch/	4248	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/estuary/Piva/	120	http://www.semwebtech.org/mondial/10/river/Drina/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/estuary/Würm/	35	http://www.semwebtech.org/mondial/10/river/Ammer/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/estuary/Ticino/	248	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/estuary/Cuilo/	970	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/estuary/Lena/	4400	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/estuary/Jangtse/	6380	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/estuary/Zaire/	4374	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/estuary/Jordan/	251	http://www.semwebtech.org/mondial/10/lake/DeadSea/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/estuary/Sanaga/	918	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	203	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/estuary/Lukenie/	900	http://www.semwebtech.org/mondial/10/river/Fimi/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/estuary/Glomma/	604	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/estuary/RioGrande/	3034	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	1392	http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	241	http://www.semwebtech.org/mondial/10/river/Dalaelv/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/estuary/Karasu/	720	http://www.semwebtech.org/mondial/10/lake/LakeKeban/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/estuary/Weichsel/	1047	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	\N	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/estuary/Po/	652	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	657	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	470	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	83	http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/estuary/Luapula/	300	http://www.semwebtech.org/mondial/10/lake/LakeMweru/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/estuary/Lukuga/	350	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/estuary/Huallaga/	1138	http://www.semwebtech.org/mondial/10/river/Maranon/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	200	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/estuary/Karun/	950	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/estuary/Rhone/	812	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/estuary/Urubamba/	750	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/estuary/Uelle/	1130	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/estuary/Loire/	1013	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	104	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/estuary/Leine/	281	http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/estuary/Apurimac/	730	http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	1450	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/estuary/Aare/	288	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/source/Senegal/	http://www.semwebtech.org/mondial/10/estuary/Senegal/	1430	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	1141	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	177	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/estuary/Save/	945	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/estuary/Vaal/	1251	http://www.semwebtech.org/mondial/10/river/Oranje/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	383	http://www.semwebtech.org/mondial/10/lake/Poopo/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/estuary/Ili/	1001	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/estuary/Neckar/	367	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/source/Niger/	http://www.semwebtech.org/mondial/10/estuary/Niger/	4184	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/estuary/Fimi/	200	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	2830	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/estuary/Naryn/	807	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/estuary/Perene/	165	http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/estuary/Narew/	448	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/estuary/Aller/	211	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	1352	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	2739	http://www.semwebtech.org/mondial/10/river/MurrayRiver/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/estuary/Orinoco/	2140	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	300	http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/estuary/Breg/	45.9	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/estuary/Etsch/	415	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/estuary/Benue/	1400	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/estuary/Lomami/	1450	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/estuary/Missouri/	4130	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/estuary/Tajo/	1007	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/estuary/Amudarja/	1415	http://www.semwebtech.org/mondial/10/lake/OzeroAral/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/estuary/Cuango/	1100	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/estuary/Ischim/	2450	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/estuary/Katun/	688	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/estuary/Dnister/	1352	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/estuary/Enns/	254	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/estuary/Euphrat/	2736	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/estuary/Kolyma/	2129	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/estuary/Fulda/	221	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/estuary/Oka/	1480	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	93	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	1579	http://www.semwebtech.org/mondial/10/river/MurrayRiver/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/estuary/Marne/	514	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/estuary/Moraca/	99.5	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/source/RioSanJuan/	http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	199	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/estuary/Mincio/	75	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/estuary/Murgab/	395	http://www.semwebtech.org/mondial/10/river/Bartang/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/source/Buna/	http://www.semwebtech.org/mondial/10/estuary/Buna/	44	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	320	http://www.semwebtech.org/mondial/10/river/Dalaelv/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/estuary/Bartang/	133	http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	520	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	3185	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/estuary/Bomu/	280	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/estuary/Hwangho/	4845	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/estuary/Kama/	1805	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	740	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/estuary/March/	358	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	1020	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/source/Volta/	http://www.semwebtech.org/mondial/10/estuary/Volta/	1500	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/estuary/Main/	524	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/estuary/Indus/	3180	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/estuary/RioNegro/	2253	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/estuary/Saluen/	2980	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/estuary/Weser/	440	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/estuary/Kura/	1364	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/estuary/RioMamore/	1931	http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/estuary/Isere/	290	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	1903	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	523	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/estuary/Saar/	227	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/estuary/Moldau/	440	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/source/SouthernMorava/	http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	295	http://www.semwebtech.org/mondial/10/river/Morava/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	193	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/estuary/Adda/	313	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/estuary/Narva/	78	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/estuary/Suchona/	558	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/estuary/Busira/	830	http://www.semwebtech.org/mondial/10/river/Ruki/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/estuary/Lualaba/	\N	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/source/WesternMorava/	http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	308	http://www.semwebtech.org/mondial/10/river/Morava/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/estuary/Lech/	264	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/estuary/Reuss/	164	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/estuary/Raab/	250	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/estuary/Angara/	1779	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/estuary/Jubba/	1658	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	121	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/estuary/Rhein/	1324	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/source/Sanga/	http://www.semwebtech.org/mondial/10/estuary/Sanga/	530	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/estuary/Garonne/	647	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	1953	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/estuary/Ubangi/	1120	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/estuary/Salzach/	225	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/estuary/Limpopo/	1750	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/estuary/Arno/	240	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/estuary/Chire/	402	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/source/Nile/	http://www.semwebtech.org/mondial/10/estuary/Nile/	\N	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/estuary/Ruki/	130	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/estuary/Ucayali/	1600	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/estuary/Tocantins/	2450	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/source/Selenge/	http://www.semwebtech.org/mondial/10/estuary/Selenge/	992	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/estuary/Murat/	720	http://www.semwebtech.org/mondial/10/lake/LakeKeban/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/estuary/Chatanga/	1636	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/estuary/Maranon/	1905	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/estuary/Tiber/	405	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/estuary/Saone/	480	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/estuary/Mantaro/	724	http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/estuary/Ganges/	2511	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	58	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/source/Schari/	http://www.semwebtech.org/mondial/10/estuary/Schari/	1400	http://www.semwebtech.org/mondial/10/lake/ChadLake/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/estuary/Kasai/	1983	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/estuary/Drina/	346	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	145	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/estuary/Semliki/	230	http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/estuary/Drau/	749	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/estuary/Tobol/	1591	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/estuary/Inn/	517	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/estuary/Tennessee/	1049	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/estuary/Bani/	430	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/estuary/Mississippi/	3778	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/estuary/Limmat/	36.3	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	162	http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	2170	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/estuary/Werra/	292	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/estuary/Seine/	776	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	403	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/estuary/Pruth/	953	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/estuary/Ural/	2428	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/estuary/Amur/	2824	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/estuary/Donau/	2845	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	1538	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/estuary/Maas/	925	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	716	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/source/WhiteNile/	http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	\N	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/estuary/Oder/	866	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/estuary/Paraguay/	2549	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/estuary/WesternBug/	772	http://www.semwebtech.org/mondial/10/river/Narew/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/estuary/Lulua/	970	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/estuary/Thames/	346	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	\N	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/estuary/Asahan/	150	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/estuary/Tara/	140	http://www.semwebtech.org/mondial/10/river/Drina/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/estuary/Tambo/	160	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/estuary/Iller/	147	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	1300	http://www.semwebtech.org/mondial/10/river/Busira/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	460	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	124	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/estuary/Parana/	3998	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	0.1	http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/estuary/Waag/	403	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/estuary/Shabelle/	1820	http://www.semwebtech.org/mondial/10/river/Jubba/
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/source/Morava/	http://www.semwebtech.org/mondial/10/estuary/Morava/	185	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/estuary/Baro/	306	http://www.semwebtech.org/mondial/10/river/Sobat/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/estuary/RioLerma/	965	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/estuary/Drin/	152	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/estuary/Luvua/	350	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/estuary/Elbe/	1091	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	206	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/estuary/Ebro/	925	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	1579	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	2896	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	3260	http://www.semwebtech.org/mondial/10/lake/LopNor/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	2589	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/estuary/BlueNile/	1783	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/estuary/Ene/	180	http://www.semwebtech.org/mondial/10/river/Tambo/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	493	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	655	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/estuary/Akagera/	275	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/estuary/Schilka/	560	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/estuary/Brigach/	43	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/source/Thjorsa/	http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	230	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
\.


--
-- TOC entry 5854 (class 0 OID 93723)
-- Dependencies: 807
-- Data for Name: Sea; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Sea" ("URI", type, depth) FROM stdin;
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	\N	9219
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	\N	11034
http://www.semwebtech.org/mondial/10/sea/BeringSea/	\N	4096
http://www.semwebtech.org/mondial/10/sea/NorthSea/	\N	200
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	\N	4375
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	\N	3113
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	\N	102
http://www.semwebtech.org/mondial/10/sea/TheChannel/	\N	175
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	\N	7240
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	\N	1355
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	\N	5420
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	\N	3372
http://www.semwebtech.org/mondial/10/sea/JavaSea/	\N	2333
http://www.semwebtech.org/mondial/10/sea/BalticSea/	\N	459
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	\N	450
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	\N	6218
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	\N	4036
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	\N	2370
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	\N	3350
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	\N	5608
http://www.semwebtech.org/mondial/10/sea/Kattegat/	\N	94
http://www.semwebtech.org/mondial/10/sea/RedSea/	\N	2635
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	\N	5121
http://www.semwebtech.org/mondial/10/sea/YellowSea/	\N	200
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	\N	725
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	\N	5143
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	\N	4045
http://www.semwebtech.org/mondial/10/sea/SuluSea/	\N	6218
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	\N	540
http://www.semwebtech.org/mondial/10/sea/BandaSea/	\N	7440
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	\N	3970
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	\N	4846
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	\N	5203
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	\N	104
http://www.semwebtech.org/mondial/10/sea/BlackSea/	\N	2211
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	\N	6400
http://www.semwebtech.org/mondial/10/sea/IrishSea/	\N	272
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	\N	4316
http://www.semwebtech.org/mondial/10/sea/KaraSea/	\N	\N
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	\N	\N
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	\N	100
\.


--
-- TOC entry 5855 (class 0 OID 93729)
-- Dependencies: 808
-- Data for Name: Source; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Source" ("URI", "inMountains", longitude, elevation, latitude) FROM stdin;
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.45	88	-4.44
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	23	1000	49
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/mountains/Alps/	7	2770	45.4
http://www.semwebtech.org/mondial/10/source/Kemijoki/	\N	28.9525	230	67.96
http://www.semwebtech.org/mondial/10/source/Cuilo/	\N	14.7	\N	-11.3
http://www.semwebtech.org/mondial/10/source/Okavango/	\N	12.7	\N	-18.4
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	73	4130	37
http://www.semwebtech.org/mondial/10/source/Kama/	\N	53.75	\N	58.2
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-74.23	295	-11.15
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10	1840	47.17
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-3	2160	42
http://www.semwebtech.org/mondial/10/source/Oulujoki/	\N	27.25	123	64.3
http://www.semwebtech.org/mondial/10/source/Chatanga/	\N	95	\N	68
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.52	686	47.95
http://www.semwebtech.org/mondial/10/source/Volta/	\N	-4.5	\N	11
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	17.52	634	49.61
http://www.semwebtech.org/mondial/10/source/Limmat/	\N	8.64	406	47.23
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	72.45	2595	38.3
http://www.semwebtech.org/mondial/10/source/Vuoksi/	\N	28.75	\N	61.2
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	\N	-120	1900	39
http://www.semwebtech.org/mondial/10/source/Bomu/	\N	27	\N	5
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-66.5	\N	-18
http://www.semwebtech.org/mondial/10/source/Euphrat/	\N	38.75	\N	38.8
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	19.25	1	42.85
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	28.5	1800	-28.5
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	24.25	460	48.1
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	11.4	887	50.1
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/mountains/Pamir/	74.4	4015	37.35
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	30.5	\N	2
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/mountains/Ural/	59	\N	54
http://www.semwebtech.org/mondial/10/source/Suchona/	\N	59	180	39
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	25.8	1280	46.65
http://www.semwebtech.org/mondial/10/source/Klaraelv/	\N	11.9	662	62.2
http://www.semwebtech.org/mondial/10/source/Amur/	\N	121.48	305	53.33
http://www.semwebtech.org/mondial/10/source/Kwa/	\N	17.4	\N	3.3
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/mountains/Beskides/	19.01	1100	49.61
http://www.semwebtech.org/mondial/10/source/Schari/	\N	21	\N	8
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.6	920	-0.35
http://www.semwebtech.org/mondial/10/source/Dalaelv/	\N	15.1	\N	60.7
http://www.semwebtech.org/mondial/10/source/Lualaba/	\N	27	\N	-12
http://www.semwebtech.org/mondial/10/source/Hwangho/	\N	96.2	4500	35.3
http://www.semwebtech.org/mondial/10/source/OhioRiver/	\N	-80	222	40.42
http://www.semwebtech.org/mondial/10/source/Niger/	\N	-10.87	490	9.65
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.35	1898	47.13
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/mountains/Alps/	15.52	1150	47.35
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	\N	-84.75	176	45.8
http://www.semwebtech.org/mondial/10/source/Shabelle/	\N	38.5	\N	7
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	\N	12.6	\N	62.2
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	22.93	1000	49.2
http://www.semwebtech.org/mondial/10/source/Don/	\N	37.5	\N	53
http://www.semwebtech.org/mondial/10/source/Kolyma/	\N	145	\N	61.5
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	13.56	1174	48.97
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	33	1134	-1
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/mountains/Andes/	\N	\N	\N
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/mountains/TianShan/	78	\N	42
http://www.semwebtech.org/mondial/10/source/RioLerma/	\N	-99	\N	19
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	\N	-16.5	\N	64.8
http://www.semwebtech.org/mondial/10/source/Aller/	\N	11.23	130	52.1
http://www.semwebtech.org/mondial/10/source/Baro/	\N	36.2	\N	8.5
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	-3	1400	37.8
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	42.76	2650	40.7
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.4	\N	42.1
http://www.semwebtech.org/mondial/10/source/Busira/	\N	20.8	\N	-0.2
http://www.semwebtech.org/mondial/10/source/Jenissej/	\N	97.5	\N	52.33
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	15.54	1.386	50.78
http://www.semwebtech.org/mondial/10/source/Maas/	\N	5.63	409	47.97
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	41	\N	38.3
http://www.semwebtech.org/mondial/10/source/Nile/	\N	32.5	\N	15.6
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/mountains/Alps/	9.67	2484	46.41
http://www.semwebtech.org/mondial/10/source/Kymijoki/	\N	25.4	78	61.5
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	\N	28.3	119	68.95
http://www.semwebtech.org/mondial/10/source/Cuango/	\N	14.2	502	-11.5
http://www.semwebtech.org/mondial/10/source/Narew/	\N	24	\N	53
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	\N	-71.6	\N	43.4
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	37.3	\N	12.8
http://www.semwebtech.org/mondial/10/source/Kasai/	\N	19.3	\N	-10.96
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	18.8	441	43.35
http://www.semwebtech.org/mondial/10/source/Tshuapa/	\N	24.5	\N	-3
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	6.2	451	48.1
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.66	5800	-10
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/mountains/Apennin/	11.7	1385	43.9
http://www.semwebtech.org/mondial/10/source/Ruki/	\N	19	\N	-0.3
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	\N	23	\N	61.3
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	-4.37	1.6	43.0375
http://www.semwebtech.org/mondial/10/source/Thames/	\N	-2.03	105	51.7
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.42	2400	46.475
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-3	608	42
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/mountains/TianShan/	85.5	\N	43.8
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.7	1140	-11.2
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.7	695	41
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/mountains/Karakorum/	80.5	\N	33.5
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	\N	-43	1200	-20.3
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.5	1525	46.7
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/mountains/Apennin/	12.08	1348	43.77
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	6.89	715	47.89
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	10.96	797	50.5
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	-73.95	1309	44.1
http://www.semwebtech.org/mondial/10/source/Swir/	\N	35.49	33	60.99
http://www.semwebtech.org/mondial/10/source/Sanga/	\N	15	\N	6
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	20.2	\N	42.7
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	152	\N	-28
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	\N	12.6	\N	61.8
http://www.semwebtech.org/mondial/10/source/Glomma/	\N	12	860	62.6
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	34	220	55.5
http://www.semwebtech.org/mondial/10/source/RioMadeira/	\N	-65.4	\N	-10.4
http://www.semwebtech.org/mondial/10/source/Arkansas/	\N	-106.3	4260	39.25
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.75	287	-10.7
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	-77.9	759	41.9
http://www.semwebtech.org/mondial/10/source/Morava/	\N	21.4	\N	43.7
http://www.semwebtech.org/mondial/10/source/Narva/	\N	27.49	30	58.68
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	\N	-85.35	31	11.6
http://www.semwebtech.org/mondial/10/source/Missouri/	\N	-111.5	1232	45.9
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	-1.7	1.58	40.32
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	33	\N	57
http://www.semwebtech.org/mondial/10/source/Araguaia/	\N	-53.07	760	-17.97
http://www.semwebtech.org/mondial/10/source/Angara/	\N	113	\N	56.5
http://www.semwebtech.org/mondial/10/source/Schilka/	\N	111	\N	49.8
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.28	940	48.11
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	\N	-115.85	808	50.2
http://www.semwebtech.org/mondial/10/source/Thjorsa/	\N	-18	\N	65
http://www.semwebtech.org/mondial/10/source/Lagen/	\N	8.45	611	62.19
http://www.semwebtech.org/mondial/10/source/Neckar/	\N	8.5	706	48.05
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.27	4082	-10.92
http://www.semwebtech.org/mondial/10/source/Pibor/	\N	33.5	\N	7
http://www.semwebtech.org/mondial/10/source/Oka/	\N	36.1	\N	52.5
http://www.semwebtech.org/mondial/10/source/Argun/	\N	122.46	1200	49.94
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	\N	-113.9	156	61.7
http://www.semwebtech.org/mondial/10/source/Syrdarja/	\N	71.7	\N	41
http://www.semwebtech.org/mondial/10/source/Newa/	\N	31.53	4	60.82
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.6	\N	46.2
http://www.semwebtech.org/mondial/10/source/Buna/	\N	19.5	1	42.05
http://www.semwebtech.org/mondial/10/source/Parana/	\N	-46.5	\N	-19
http://www.semwebtech.org/mondial/10/source/Saluen/	\N	91.9	5450	32.5
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.2	782	-5.9
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	\N	21.4	\N	42.1
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/mountains/Altai/	86.56	2000	49.75
http://www.semwebtech.org/mondial/10/source/Irawaddy/	\N	98	4300	29
http://www.semwebtech.org/mondial/10/source/WhiteNile/	\N	30.43	\N	9.5
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-73.97	400	-12.26
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	16.85	1380	50.21
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	35.7	\N	33.7
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	30	\N	-26
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	44.1	1950	39.55
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.2	1462	-1.8
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/mountains/Alps/	13.35	1375	47.33
http://www.semwebtech.org/mondial/10/source/Selenge/	\N	106	\N	52
http://www.semwebtech.org/mondial/10/source/Senegal/	\N	-12	\N	11.5
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	29.3	2700	-2.5
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	\N	-97.97	218	52.77
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/mountains/Vogesen/	7.15	640	48.5
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/mountains/SierraParima/	-63.5	\N	2
http://www.semwebtech.org/mondial/10/source/Lulua/	\N	14.7	\N	-11.3
http://www.semwebtech.org/mondial/10/source/Manicouagan/	\N	-68.7	350	51.4
http://www.semwebtech.org/mondial/10/source/Ganges/	\N	79.5	\N	30.5
http://www.semwebtech.org/mondial/10/source/Ob/	\N	85	162	52.43
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	0.8	\N	42.73
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	30.9	619	1.7
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	\N	-76.55	75	44.2
http://www.semwebtech.org/mondial/10/source/Sanaga/	\N	13.4	628	5.3
http://www.semwebtech.org/mondial/10/source/Ubangi/	\N	22.5	\N	4
http://www.semwebtech.org/mondial/10/source/Amudarja/	\N	68.3	310	37.1
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.11	2300	47.3
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/mountains/Karpaten/	24.55	\N	48.16
http://www.semwebtech.org/mondial/10/source/Uruguay/	\N	-52	1800	-27.5
http://www.semwebtech.org/mondial/10/source/Sobat/	\N	33.2	\N	8.45
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/mountains/Ural/	60.8	\N	51.2
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	\N	-78.9	174	42.9
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	\N	-84.6	184	46.5
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.26	1450	46.73
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/mountains/Alps/	11.05	850	47.57
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	-83	\N	35.2
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-75.27	650	-10.95
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	18.82	\N	43.11
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	\N	12.34	44	58.4
http://www.semwebtech.org/mondial/10/source/Jubba/	\N	39	\N	7
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-76.3	5800	-10.5
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.7	2345	46.6
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/mountains/Alps/	7.09	2022	44.7
http://www.semwebtech.org/mondial/10/source/Mississippi/	\N	-95.2	512	47.25
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	35.2	474	-14.2
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/mountains/Beskides/	19.81	664	49.02
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/mountains/Rhön/	9.9	850	50.5
http://www.semwebtech.org/mondial/10/source/Jangtse/	\N	91.2	5405	33.5
http://www.semwebtech.org/mondial/10/source/Ischim/	\N	71.5	\N	52
http://www.semwebtech.org/mondial/10/source/Fimi/	\N	18.2	\N	-2.7
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	\N	-71.21	\N	45.25
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/mountains/Alps/	12.35	\N	47.3
http://www.semwebtech.org/mondial/10/source/Limpopo/	\N	28	1800	-26
http://www.semwebtech.org/mondial/10/source/SchattalArab/	\N	47.44	20	31
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	\N	-82.6	176	42.1
http://www.semwebtech.org/mondial/10/source/Umeaelv/	\N	15	\N	66.1
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-77	\N	2
http://www.semwebtech.org/mondial/10/source/Benue/	\N	12.58	1100	7.58
http://www.semwebtech.org/mondial/10/source/Marne/	\N	5.35	406	47.8
http://www.semwebtech.org/mondial/10/source/Lukenie/	\N	24.5	\N	-6.8
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.5	\N	-37
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-71.84	5020	-15.24
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/mountains/BlackForest/	8.16	1078	48.1
http://www.semwebtech.org/mondial/10/source/Mekong/	\N	94	5200	32.5
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	37.3	1830	12
http://www.semwebtech.org/mondial/10/source/Gambia/	\N	-12.3	438	11.3
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	41.3	1950	49.9
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/mountains/Ural/	59	\N	62
http://www.semwebtech.org/mondial/10/source/Asahan/	\N	98.7	905	2.7
http://www.semwebtech.org/mondial/10/source/Seine/	\N	4.71	470	47.48
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	\N	81.33	6000	31.06
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148	\N	-38
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/mountains/Jura/	6.2	937	46.7
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.2	2310	46.55
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.3	\N	-36.5
http://www.semwebtech.org/mondial/10/source/Indus/	\N	79.7	5300	32.45
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	\N	-123	1920	52.5
http://www.semwebtech.org/mondial/10/source/Colorado/	\N	-105.7	2700	40.35
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.27	783	47.43
http://www.semwebtech.org/mondial/10/source/Zambezi/	\N	24.2	1500	-11
http://www.semwebtech.org/mondial/10/source/YukonRiver/	\N	-134.5	668	60.54
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.38	1753	46.57
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/mountains/Zagros/	50.1	\N	32.35
http://www.semwebtech.org/mondial/10/source/Würm/	\N	11.35	596	48
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	148.5	\N	-35.8
http://www.semwebtech.org/mondial/10/source/Tocantins/	\N	-49	1070	-16
http://www.semwebtech.org/mondial/10/source/Zaire/	\N	25.2	\N	0.5
http://www.semwebtech.org/mondial/10/source/Aruwimi/	\N	14.7	\N	-11.3
http://www.semwebtech.org/mondial/10/source/Lena/	\N	107.88	1465	53.99
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/mountains/Alps/	8.54	2431	46.56
http://www.semwebtech.org/mondial/10/source/WesternMorava/	\N	20.2	\N	43.85
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	\N	60.9	180	46.3
http://www.semwebtech.org/mondial/10/source/WesternBug/	\N	25.06	\N	49.09
http://www.semwebtech.org/mondial/10/source/Paraguay/	\N	-56.5	\N	-14.5
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	\N	-73.3	30	45
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.7	65	45.4
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/mountains/Alps/	11.4	1.16	47.37
http://www.semwebtech.org/mondial/10/source/Prypjat/	\N	24.1	\N	51.5
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-69	3812	-16.55
http://www.semwebtech.org/mondial/10/source/Weser/	\N	9.65	116.5	51.4
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/mountains/Cevennes/	4.22	1408	44.84
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	\N	28.5	\N	5
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/mountains/Balkan/	19.57	2000	42.6
http://www.semwebtech.org/mondial/10/source/Lomami/	\N	24.7	1140	-8.7
http://www.semwebtech.org/mondial/10/source/RioGrande/	\N	-107.5	3900	38
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	34	228	56
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	28.7	931	-9
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/mountains/Alps/	10.3	2235	46.55
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/mountains/Andes/	-70	\N	-2
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	\N	23.8	450	68.6
http://www.semwebtech.org/mondial/10/source/Leine/	\N	10.32	340	51.39
http://www.semwebtech.org/mondial/10/source/Bani/	\N	-6.56	285	12.6
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/mountains/Altai/	90	2930	47.9
\.


--
-- TOC entry 5856 (class 0 OID 93735)
-- Dependencies: 809
-- Data for Name: SpokenBy; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "SpokenBy" ("URI", percent, "languageInfo-", "onLanguage") FROM stdin;
-60ed8313:150849567c0:40d0	100	http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40d5	2.4	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Tongan/
-60ed8313:150849567c0:4031	100	http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:40ff	99	http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:405b	95	http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:401e	10.7	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Hungarian/
-60ed8313:150849567c0:4069	35	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Pashtu/
-60ed8313:150849567c0:40c6	2.9	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4022	7	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Croatian/
-60ed8313:150849567c0:404c	1.8	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:400f	2.2	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Serbian/
-60ed8313:150849567c0:4097	100	http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/language/Nepali/
-60ed8313:150849567c0:3ffb	1.8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Bosnian/
-60ed8313:150849567c0:40f4	14.6	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Aymara/
-60ed8313:150849567c0:4050	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Somali/
-60ed8313:150849567c0:40b7	3.2	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4013	94.9	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Czech/
-60ed8313:150849567c0:407a	72	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Turkmen/
-60ed8313:150849567c0:403d	1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Serbian/
-60ed8313:150849567c0:4101	80	http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/language/Bambara/
-60ed8313:150849567c0:4088	2.2	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Lezgi/
-60ed8313:150849567c0:40e5	1.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Hindi/
-60ed8313:150849567c0:4041	91	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Romanian/
-60ed8313:150849567c0:40a8	46	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4004	33	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:406b	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkish/
-60ed8313:150849567c0:402e	100	http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/language/Polish/
-60ed8313:150849567c0:4079	10	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Siraiki/
-60ed8313:150849567c0:40d6	78.5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4032	32	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:405c	100	http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/language/Italian/
-60ed8313:150849567c0:401f	1.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Roma/
-60ed8313:150849567c0:4060	6	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40c7	8	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Dutch/
-60ed8313:150849567c0:4023	20	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:408a	1.5	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Armenian/
-60ed8313:150849567c0:404d	0.6	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Estonian/
-60ed8313:150849567c0:4098	78	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Greek/
-60ed8313:150849567c0:3ffc	1.1	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Roma/
-60ed8313:150849567c0:40aa	8.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/MayanDialects/
-60ed8313:150849567c0:40f5	99	http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/language/Portuguese/
-60ed8313:150849567c0:4051	99	http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/language/Norwegian/
-60ed8313:150849567c0:40b8	99	http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4014	2	http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/language/Slovak/
-60ed8313:150849567c0:407b	12	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:403e	76.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Bulgarian/
-60ed8313:150849567c0:4102	32	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:4089	1.8	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:40e6	2.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Chinese/
-60ed8313:150849567c0:4042	6.7	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Hungarian/
-60ed8313:150849567c0:40a9	32.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Creole/
-60ed8313:150849567c0:4005	2	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Galician/
-60ed8313:150849567c0:406c	9	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Kurdish/
-60ed8313:150849567c0:3ff1	98.8	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Albanian/
-60ed8313:150849567c0:402f	67	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
-60ed8313:150849567c0:4070	58	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Persian/
-60ed8313:150849567c0:40d7	2.5	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Chinese/
-60ed8313:150849567c0:4033	1	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:409a	99	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Arabic/
-60ed8313:150849567c0:405d	94.5	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40ba	1.7	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Miskito/
-60ed8313:150849567c0:4061	100	http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40c8	4	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4024	64	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:408b	100	http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/language/Burmese/
-60ed8313:150849567c0:404e	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4099	18	http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/language/Turkish/
-60ed8313:150849567c0:3ffd	63.6	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Serbian/
-60ed8313:150849567c0:40ab	3.9	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40f6	100	http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4052	96	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Swedish/
-60ed8313:150849567c0:40b9	97.5	http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4015	100	http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:407c	9	http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/language/Uzbek/
-60ed8313:150849567c0:403f	8.2	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Turkish/
-60ed8313:150849567c0:4103	7	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4080	97.7	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Armenian/
-60ed8313:150849567c0:40e7	24.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
-60ed8313:150849567c0:4043	1.1	http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/language/Roma/
-60ed8313:150849567c0:4006	11	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Portuguese/
-60ed8313:150849567c0:406d	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Balochi/
-60ed8313:150849567c0:3ff2	0.5	http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/language/Greek/
-60ed8313:150849567c0:40a0	75	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Arabic/
-60ed8313:150849567c0:40ca	67.5	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4071	26	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Turkic/
-60ed8313:150849567c0:40d8	1.6	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Italian/
-60ed8313:150849567c0:4034	56	http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/language/Dutch/
-60ed8313:150849567c0:409b	0.6	http://www.semwebtech.org/mondial/10/country/GAZA/	http://www.semwebtech.org/mondial/10/language/Hebrew/
-60ed8313:150849567c0:405e	4.6	http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/language/Portuguese/
-60ed8313:150849567c0:40bb	84	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4062	75.8	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Romanian/
-60ed8313:150849567c0:40c9	2.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Papiamento/
-60ed8313:150849567c0:4025	7	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Italian/
-60ed8313:150849567c0:408c	30	http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/language/Hindi/
-60ed8313:150849567c0:404f	0.3	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Arabic/
-60ed8313:150849567c0:3ffe	22	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Montenegrin/
-60ed8313:150849567c0:40ac	3.4	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/Garifuna/
-60ed8313:150849567c0:4090	13.6	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Uzbek/
-60ed8313:150849567c0:40f7	90	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4053	2.6	http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/language/Finnish/
-60ed8313:150849567c0:4016	93.6	http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/language/Hungarian/
-60ed8313:150849567c0:407d	74.3	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Uzbek/
-60ed8313:150849567c0:4104	60	http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/language/Afrikaans/
-60ed8313:150849567c0:40b0	95	http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:40da	1.2	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Arabic/
-60ed8313:150849567c0:4081	1	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Kurd/
-60ed8313:150849567c0:40e8	23.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/ChineseLanguage/
-60ed8313:150849567c0:4044	75	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Turkish/
-60ed8313:150849567c0:4007	7	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:406e	1	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Arabic/
-60ed8313:150849567c0:3ff3	99	http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/language/Greek/
-60ed8313:150849567c0:40a1	17	http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/language/Hebrew/
-60ed8313:150849567c0:40cb	4.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Dutch/
-60ed8313:150849567c0:4072	8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Pashtu/
-60ed8313:150849567c0:40d9	1.3	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Greek/
-60ed8313:150849567c0:4035	77	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Luxembourgish/
-60ed8313:150849567c0:409c	76	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Hebrew/
-60ed8313:150849567c0:405f	90.2	http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/language/Maltese/
-60ed8313:150849567c0:40bc	14	http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4063	16	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:4026	1	http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/language/Romansch/
-60ed8313:150849567c0:408d	64.4	http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/language/Kazakh/
-60ed8313:150849567c0:40c0	10	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:3fff	5.5	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Bosnian/
-60ed8313:150849567c0:40ea	10.8	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40ad	3.3	http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:4091	12.5	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:40f8	8	http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/language/Guarani/
-60ed8313:150849567c0:4054	50	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:4017	98	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Italian/
-60ed8313:150849567c0:407e	14.2	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:4105	67.6	http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:40b1	100	http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40db	1	http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/language/Vietnamese/
-60ed8313:150849567c0:4082	0.9	http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:40e9	22.4	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/Chamorro/
-60ed8313:150849567c0:4045	18	http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/language/Kurdish/
-60ed8313:150849567c0:4008	100	http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:406f	2	http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/language/Luri/
-60ed8313:150849567c0:3ff4	66.5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Macedonian/
-60ed8313:150849567c0:40a2	100	http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/language/Japanese/
-60ed8313:150849567c0:40cc	12.9	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4073	8	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Urdu/
-60ed8313:150849567c0:4036	8	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/Portuguese/
-60ed8313:150849567c0:409d	23	http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/language/Arabic/
-60ed8313:150849567c0:40fa	84.1	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:40bd	100	http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4064	3	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Gagauz/
-60ed8313:150849567c0:4027	62.8	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:408e	100	http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/language/Korean/
-60ed8313:150849567c0:40c1	99	http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:40eb	9.5	http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/
-60ed8313:150849567c0:40ae	60	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:400a	17	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Catalan/
-60ed8313:150849567c0:4092	1	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Dungun/
-60ed8313:150849567c0:40f9	99	http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4055	21.6	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Monegasque/
-60ed8313:150849567c0:4018	0.7	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:407f	4.4	http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/language/Tajik/
-60ed8313:150849567c0:4106	100	http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:40b2	58.8	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40dc	61.1	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:4083	71	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Georgian/
-60ed8313:150849567c0:4046	98	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/Danish/
-60ed8313:150849567c0:4009	74	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:3ff5	25.1	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Albanian/
-60ed8313:150849567c0:40e0	22.2	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/
-60ed8313:150849567c0:40a3	18	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Tamil/
-60ed8313:150849567c0:40cd	1.5	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:4074	48	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Punjabi/
-60ed8313:150849567c0:4037	6	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:409e	1	http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40d1	100	http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:40fb	13	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Quechua/
-60ed8313:150849567c0:40be	100	http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:401a	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Slovenian/
-60ed8313:150849567c0:4065	4	http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
-60ed8313:150849567c0:4028	36.7	http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/language/Belorussian/
-60ed8313:150849567c0:408f	64.7	http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/language/Kyrgyz/
-60ed8313:150849567c0:40c2	99	http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:40ec	100	http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/language/Pitkern/
-60ed8313:150849567c0:40af	40	http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/language/Amerindian/
-60ed8313:150849567c0:400b	7	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Galician/
-60ed8313:150849567c0:4093	95.6	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/Chinese/
-60ed8313:150849567c0:4056	19	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Italian/
-60ed8313:150849567c0:4019	0.2	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:40f0	10.8	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:4107	20	http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40b3	21.6	http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:40dd	31.4	http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/language/Polynesian/
-60ed8313:150849567c0:4084	9	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:4047	0.4	http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:3ff6	3.5	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Turkish/
-60ed8313:150849567c0:40e1	91.2	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40a4	74	http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/language/Sinhala/
-60ed8313:150849567c0:4000	5.3	http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/language/Albanian/
-60ed8313:150849567c0:40ce	8.2	http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/language/Creole/
-60ed8313:150849567c0:402a	37.5	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:4075	12	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Sindhi/
-60ed8313:150849567c0:4038	4	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:409f	100	http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/language/Arabic/
-60ed8313:150849567c0:40d2	100	http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40fc	1.7	http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/language/Aymara/
-60ed8313:150849567c0:40bf	90	http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/language/Creole/
-60ed8313:150849567c0:401b	0.1	http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/language/Albanian/
-60ed8313:150849567c0:4066	100	http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/language/Portuguese/
-60ed8313:150849567c0:4029	58.2	http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/language/Latvian/
-60ed8313:150849567c0:40c3	99	http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:40ed	1	http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:400c	2	http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/language/Basque/
-60ed8313:150849567c0:4094	3.2	http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4057	8.5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40f1	100	http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4108	100	http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/language/Portuguese/
-60ed8313:150849567c0:40b4	82.1	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4010	2.5	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Croatian/
-60ed8313:150849567c0:40de	38.3	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:403a	100	http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/language/Dutch/
-60ed8313:150849567c0:4085	7	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Armenian/
-60ed8313:150849567c0:4048	67.3	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Estonian/
-60ed8313:150849567c0:3ff7	1.9	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Roma/
-60ed8313:150849567c0:40e2	3.9	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Maori/
-60ed8313:150849567c0:40a5	100	http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4001	92	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Albanian/
-60ed8313:150849567c0:40cf	99	http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:402b	82	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Lithuanian/
-60ed8313:150849567c0:4076	3	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Balochi/
-60ed8313:150849567c0:4039	1	http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40d3	90.6	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/Samoan/
-60ed8313:150849567c0:40fd	100	http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:401c	100	http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:4067	95	http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:410a	100	http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/language/Portuguese/
-60ed8313:150849567c0:40c4	100	http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4020	1	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Ukrainian/
-60ed8313:150849567c0:40ee	58.9	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Wallisian/
-60ed8313:150849567c0:404a	90	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Finnish/
-60ed8313:150849567c0:400d	88.6	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:4095	4	http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/language/Portuguese/
-60ed8313:150849567c0:4058	3.5	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/German/
-60ed8313:150849567c0:40f2	60.7	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4109	100	http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:40b5	10.7	http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:4011	0.3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Slovene/
-60ed8313:150849567c0:40df	22.2	http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/language/Chamorro/
-60ed8313:150849567c0:403b	99	http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/
-60ed8313:150849567c0:4086	6	http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/language/Azeri/
-60ed8313:150849567c0:4049	29.7	http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:3ff8	1.2	http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/language/Serbian/
-60ed8313:150849567c0:40e3	2.1	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/Samoan/
-60ed8313:150849567c0:40a6	100	http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4002	5	http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/language/Serbian/
-60ed8313:150849567c0:402c	8	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:4077	2	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Hindko/
-60ed8313:150849567c0:40d4	2.9	http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4030	24	http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/language/Russian/
-60ed8313:150849567c0:40fe	99	http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/language/Spanish/
-60ed8313:150849567c0:405a	100	http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/language/Icelandic/
-60ed8313:150849567c0:401d	83.8	http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/language/Slovak/
-60ed8313:150849567c0:4068	11	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/Turkic/
-60ed8313:150849567c0:40c5	81.2	http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/language/Papiamento/
-60ed8313:150849567c0:4021	91	http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/language/Slovenian/
-60ed8313:150849567c0:40ef	30.1	http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/language/Futunian/
-60ed8313:150849567c0:404b	5.4	http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/language/Swedish/
-60ed8313:150849567c0:400e	2.3	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Turkish/
-60ed8313:150849567c0:4096	90	http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/
-60ed8313:150849567c0:3ffa	3.8	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Hungarian/
-60ed8313:150849567c0:4059	2	http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/language/Dutch/
-60ed8313:150849567c0:40f3	21.2	http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/language/Quechua/
-60ed8313:150849567c0:40b6	95	http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4012	0.1	http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/language/Hungarian/
-60ed8313:150849567c0:403c	96.1	http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/language/Croatian/
-60ed8313:150849567c0:4100	100	http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4087	90.3	http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/language/Azeri/
-60ed8313:150849567c0:3ff9	88.3	http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/language/Serbian/
-60ed8313:150849567c0:40e4	1.3	http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/language/French/
-60ed8313:150849567c0:4040	3.8	http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/language/Roma/
-60ed8313:150849567c0:40a7	100	http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/language/English/
-60ed8313:150849567c0:4003	44	http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/language/Catalan/
-60ed8313:150849567c0:406a	50	http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/language/AfghanPersian/
-60ed8313:150849567c0:402d	5.6	http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/language/Polish/
-60ed8313:150849567c0:4078	1	http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/language/Brahui/
\.


--
-- TOC entry 5857 (class 0 OID 93741)
-- Dependencies: 810
-- Data for Name: TOP_bordering; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_bordering" ("URI", bordering) FROM stdin;
\.


--
-- TOC entry 5858 (class 0 OID 93744)
-- Dependencies: 811
-- Data for Name: TOP_depth; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_depth" ("URI", depth) FROM stdin;
\.


--
-- TOC entry 5859 (class 0 OID 93750)
-- Dependencies: 812
-- Data for Name: TOP_elevation; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_elevation" ("URI", elevation) FROM stdin;
\.


--
-- TOC entry 5860 (class 0 OID 93756)
-- Dependencies: 813
-- Data for Name: TOP_flowsInto; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_flowsInto" ("URI", "flowsInto") FROM stdin;
\.


--
-- TOC entry 5861 (class 0 OID 93759)
-- Dependencies: 814
-- Data for Name: TOP_hasFather; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_hasFather" ("URI", "hasFather") FROM stdin;
\.


--
-- TOC entry 5862 (class 0 OID 93762)
-- Dependencies: 815
-- Data for Name: TOP_hasMother; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_hasMother" ("URI", "hasMother") FROM stdin;
\.


--
-- TOC entry 5863 (class 0 OID 93765)
-- Dependencies: 816
-- Data for Name: TOP_inMountains; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_inMountains" ("URI", "inMountains") FROM stdin;
\.


--
-- TOC entry 5864 (class 0 OID 93768)
-- Dependencies: 817
-- Data for Name: TOP_invfktprop_Inv; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_invfktprop_Inv" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5865 (class 0 OID 93771)
-- Dependencies: 818
-- Data for Name: TOP_latitude; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_latitude" ("URI", latitude) FROM stdin;
\.


--
-- TOC entry 5866 (class 0 OID 93777)
-- Dependencies: 819
-- Data for Name: TOP_length; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_length" ("URI", length) FROM stdin;
\.


--
-- TOC entry 5867 (class 0 OID 93783)
-- Dependencies: 820
-- Data for Name: TOP_locatedOnIsland; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_locatedOnIsland" ("URI", "locatedOnIsland") FROM stdin;
\.


--
-- TOC entry 5868 (class 0 OID 93786)
-- Dependencies: 821
-- Data for Name: TOP_longitude; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_longitude" ("URI", longitude) FROM stdin;
\.


--
-- TOC entry 5869 (class 0 OID 93792)
-- Dependencies: 822
-- Data for Name: TOP_name; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_name" ("URI", name) FROM stdin;
\.


--
-- TOC entry 5870 (class 0 OID 93795)
-- Dependencies: 823
-- Data for Name: TOP_nmprop; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_nmprop" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 5871 (class 0 OID 93799)
-- Dependencies: 824
-- Data for Name: TOP_nmprop_Inv; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_nmprop_Inv" ("URI", "nmprop_Inv") FROM stdin;
\.


--
-- TOC entry 5872 (class 0 OID 93802)
-- Dependencies: 825
-- Data for Name: TOP_onlyfemaleprop; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_onlyfemaleprop" ("URI", onlyfemaleprop) FROM stdin;
\.


--
-- TOC entry 5873 (class 0 OID 93808)
-- Dependencies: 826
-- Data for Name: TOP_percent; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_percent" ("URI", percent) FROM stdin;
\.


--
-- TOC entry 5874 (class 0 OID 93814)
-- Dependencies: 827
-- Data for Name: TOP_type; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "TOP_type" ("URI", type) FROM stdin;
\.


--
-- TOC entry 5875 (class 0 OID 93817)
-- Dependencies: 828
-- Data for Name: U; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "U" ("URI", "totUpartV11prop") FROM stdin;
\.


--
-- TOC entry 5876 (class 0 OID 93820)
-- Dependencies: 829
-- Data for Name: V; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "V" ("URI") FROM stdin;
\.


--
-- TOC entry 5877 (class 0 OID 93823)
-- Dependencies: 830
-- Data for Name: Water; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Water" ("URI", name) FROM stdin;
http://www.semwebtech.org/mondial/10/river/Guadiana/	Guadiana
http://www.semwebtech.org/mondial/10/lake/Inari/	Inari
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	Lake Michigan
http://www.semwebtech.org/mondial/10/river/Jenissej/	Jenissej
http://www.semwebtech.org/mondial/10/river/Oranje/	Oranje
http://www.semwebtech.org/mondial/10/river/Uruguay/	Uruguay
http://www.semwebtech.org/mondial/10/river/Theiss/	Theiss
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	Lake Tanganjika
http://www.semwebtech.org/mondial/10/lake/Maelaren/	Maelaren
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	Lake Sese Seko/Albertsee
http://www.semwebtech.org/mondial/10/river/Schari/	Schari
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	Paatsjoki
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	Ozero Baikal
http://www.semwebtech.org/mondial/10/river/Araguaia/	Araguaia
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	Lake Mai Ndombe
http://www.semwebtech.org/mondial/10/lake/LakeErie/	Lake Erie
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	Lake Kainji
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	Ozero Aral
http://www.semwebtech.org/mondial/10/river/Dnepr/	Dnepr
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	Saint Lawrence River
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	Lago di Bolsena
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	Pyramid Lake
http://www.semwebtech.org/mondial/10/river/Irtysch/	Irtysch
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	Kuybyshev Reservoir
http://www.semwebtech.org/mondial/10/river/Ticino/	Ticino
http://www.semwebtech.org/mondial/10/river/Würm/	Würm
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	Lake Skutari
http://www.semwebtech.org/mondial/10/river/Tobol/	Tobol
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	Lake Volta
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	Vierwaldstattersee
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	Lake Prespa
http://www.semwebtech.org/mondial/10/river/Isar/	Isar
http://www.semwebtech.org/mondial/10/river/Jangtse/	Jangtse
http://www.semwebtech.org/mondial/10/river/Po/	Po
http://www.semwebtech.org/mondial/10/river/Rhone/	Rhone
http://www.semwebtech.org/mondial/10/river/Mississippi/	Mississippi
http://www.semwebtech.org/mondial/10/lake/LakeToba/	Lake Toba
http://www.semwebtech.org/mondial/10/river/Loire/	Loire
http://www.semwebtech.org/mondial/10/river/Niger/	Niger
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	Lake Winnipeg
http://www.semwebtech.org/mondial/10/river/Leine/	Leine
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	Merrimack River
http://www.semwebtech.org/mondial/10/river/Senegal/	Senegal
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	Ozero Balchash
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	Neusiedlersee
http://www.semwebtech.org/mondial/10/river/Vuoksi/	Vuoksi
http://www.semwebtech.org/mondial/10/river/Dnjestr/	Dnjestr
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	Laguna Mar Chiquita
http://www.semwebtech.org/mondial/10/river/Missouri/	Missouri
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	Segara Anak
http://www.semwebtech.org/mondial/10/river/Irawaddy/	Irawaddy
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	Lake Sakakawea
http://www.semwebtech.org/mondial/10/river/Seine/	Seine
http://www.semwebtech.org/mondial/10/river/Amudarja/	Amudarja
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	Lago di Garda
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	Lake Bangweulu
http://www.semwebtech.org/mondial/10/river/Katun/	Katun
http://www.semwebtech.org/mondial/10/river/Kama/	Kama
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	Northern Dwina
http://www.semwebtech.org/mondial/10/river/March/	March
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	Lago Maggiore
http://www.semwebtech.org/mondial/10/lake/Thunersee/	Thunersee
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	Lake Genezareth
http://www.semwebtech.org/mondial/10/river/Cuango/	Cuango
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	Starnberger See
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	Licancabur Crater Lake
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	Atlin Lake
http://www.semwebtech.org/mondial/10/river/Ural/	Ural
http://www.semwebtech.org/mondial/10/river/RioNegro/	Rio Negro
http://www.semwebtech.org/mondial/10/river/Adda/	Adda
http://www.semwebtech.org/mondial/10/river/Saluen/	Saluen
http://www.semwebtech.org/mondial/10/river/Reuss/	Reuss
http://www.semwebtech.org/mondial/10/river/Weser/	Weser
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	Rio Magdalena
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	Lake Cabora-Bassa
http://www.semwebtech.org/mondial/10/river/Angara/	Angara
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	Kiev Reservoir
http://www.semwebtech.org/mondial/10/river/Maas/	Maas
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	Kokemaeenjoki
http://www.semwebtech.org/mondial/10/river/Ucayali/	Ucayali
http://www.semwebtech.org/mondial/10/lake/LopNor/	Lop Nor
http://www.semwebtech.org/mondial/10/river/Ebro/	Ebro
http://www.semwebtech.org/mondial/10/lake/LakePowell/	Lake Powell
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	Lake Champlain
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	Kremenchuk Reservoir
http://www.semwebtech.org/mondial/10/lake/Siljan/	Siljan
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	Lake Jindabyne
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	Lago di Bracciano
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	Ozero Pskovskoje
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	Lago di Como
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	Brienzersee
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	Salar de Uyuni
http://www.semwebtech.org/mondial/10/lake/LakeTana/	Lake Tana
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	Rutanzige/Eduardsee
http://www.semwebtech.org/mondial/10/river/Raab/	Raab
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	Sulawesi Sea
http://www.semwebtech.org/mondial/10/river/RioLerma/	Rio Lerma
http://www.semwebtech.org/mondial/10/river/Ganges/	Ganges
http://www.semwebtech.org/mondial/10/river/Ubangi/	Ubangi
http://www.semwebtech.org/mondial/10/river/Rhein/	Rhein
http://www.semwebtech.org/mondial/10/river/Chire/	Chire
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	Lago de Chapala
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	Fort Peck Lake
http://www.semwebtech.org/mondial/10/lake/DeadSea/	Dead Sea
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	Lake Ontario
http://www.semwebtech.org/mondial/10/lake/Poopo/	Poopo
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	Malebo Pool
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	Lake Rukwa
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	Lake Abaya
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	Ozero Onega
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	Lake Titicaca
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	Lake Superior
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	Lake Kivu
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	Lake Tahoe
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	Lake Huron
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	Lake Winnipesaukee
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	Lake Oahe
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	Paeijaenne
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	Chiemsee
http://www.semwebtech.org/mondial/10/river/Mantaro/	Mantaro
http://www.semwebtech.org/mondial/10/river/Drau/	Drau
http://www.semwebtech.org/mondial/10/river/Piva/	Piva
http://www.semwebtech.org/mondial/10/river/Ammer/	Ammer
http://www.semwebtech.org/mondial/10/river/Alz/	Alz
http://www.semwebtech.org/mondial/10/river/RioGrande/	Rio Grande
http://www.semwebtech.org/mondial/10/river/Limmat/	Limmat
http://www.semwebtech.org/mondial/10/river/Save/	Save
http://www.semwebtech.org/mondial/10/river/Etsch/	Etsch
http://www.semwebtech.org/mondial/10/river/Tajo/	Tajo
http://www.semwebtech.org/mondial/10/river/Vaal/	Vaal
http://www.semwebtech.org/mondial/10/river/Kolyma/	Kolyma
http://www.semwebtech.org/mondial/10/river/Hwangho/	Hwangho
http://www.semwebtech.org/mondial/10/river/Lech/	Lech
http://www.semwebtech.org/mondial/10/river/Dnister/	Dnister
http://www.semwebtech.org/mondial/10/river/WesternBug/	Western Bug
http://www.semwebtech.org/mondial/10/river/Main/	Main
http://www.semwebtech.org/mondial/10/river/Indus/	Indus
http://www.semwebtech.org/mondial/10/river/RioMamore/	Rio Mamore
http://www.semwebtech.org/mondial/10/river/Tocantins/	Tocantins
http://www.semwebtech.org/mondial/10/lake/LakeVan/	Lake Van
http://www.semwebtech.org/mondial/10/lake/Bodensee/	Bodensee
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	Lake Keban
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	Zurichsee
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	Lake Kariba
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	Lake Abbe
http://www.semwebtech.org/mondial/10/lake/Saimaa/	Saimaa
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	Great Salt Lake
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	Lago Trasimeno
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	Daryacheh ye Namak
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	Hamun e Jaz Murian
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	Lake Burley Griffin
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	Lake Eyre
http://www.semwebtech.org/mondial/10/lake/LochNess/	Loch Ness
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	Lake Bosumtwi
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	Lake Nipigon
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	Laguna de Gallocanta
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	Lake Manicouagan
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	Kentucky Lake
http://www.semwebtech.org/mondial/10/lake/Arresoe/	Arresoe
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	Laguna de Bay
http://www.semwebtech.org/mondial/10/lake/LakeHume/	Lake Hume
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	Lake Urmia
http://www.semwebtech.org/mondial/10/lake/Vaettern/	Vaettern
http://www.semwebtech.org/mondial/10/lake/Storuman/	Storuman
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	Lake Nasser
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	Makarikari Salt Pan
http://www.semwebtech.org/mondial/10/lake/LacAssal/	Lac Assal
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	Caspian Sea
http://www.semwebtech.org/mondial/10/lake/Ammersee/	Ammersee
http://www.semwebtech.org/mondial/10/lake/CraterLake/	Crater Lake
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	Laacher Maar
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	Ozero Chanka
http://www.semwebtech.org/mondial/10/lake/LacLeman/	Lac Leman
http://www.semwebtech.org/mondial/10/lake/NamCo/	Nam Co
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	Lake Eucumbene
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	La Brea Pitch Lake
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	Oulujaervi
http://www.semwebtech.org/mondial/10/lake/Balaton/	Balaton
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	Kakhovka Reservoir
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	Ozero Ladoga
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	Great Slave Lake
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	Lake Ohrid
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	Koli Sarez
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	Etoscha Salt Pan
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	Lake Managua
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	Lake Manitou
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	Lake Ngami
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	Great Bear Lake
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	Chickamauga Lake
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	Lake Eyasi
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	Chew Bahir
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	Kallavesi
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	Lago Junin
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	Mjoesa-See
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	Lake Irazu
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	Lago de Sobradinho
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	Lake Nicaragua
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	Lake Turkana
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	Ozero Taimyr
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	Lake Malawi
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	Qinghai Lake
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	Lake Okeechobee
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	Lake Kioga
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	Lake Maracaibo
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	Lake Chilwa
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	Ozero Tschany
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	Issyk-Kul
http://www.semwebtech.org/mondial/10/lake/ChadLake/	Chad Lake
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	Franklin. D. Roosevelt Lake
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	Lake Natron
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	Lake Victoria
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	Lake Mweru
http://www.semwebtech.org/mondial/10/lake/Vaenern/	Vaenern
http://www.semwebtech.org/mondial/10/lake/LochLomond/	Loch Lomond
http://www.semwebtech.org/mondial/10/lake/LakeMead/	Lake Mead
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	Atlantic Ocean
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	Pacific Ocean
http://www.semwebtech.org/mondial/10/river/Kasai/	Kasai
http://www.semwebtech.org/mondial/10/river/Drina/	Drina
http://www.semwebtech.org/mondial/10/sea/Kattegat/	Kattegat
http://www.semwebtech.org/mondial/10/river/Tiber/	Tiber
http://www.semwebtech.org/mondial/10/river/Mosel/	Mosel
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	Saint Marys River
http://www.semwebtech.org/mondial/10/river/Olt/	Olt
http://www.semwebtech.org/mondial/10/sea/BandaSea/	Banda Sea
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	Norwegian Sea
http://www.semwebtech.org/mondial/10/river/Oka/	Oka
http://www.semwebtech.org/mondial/10/river/Orinoco/	Orinoco
http://www.semwebtech.org/mondial/10/river/RioMadeira/	Rio Madeira
http://www.semwebtech.org/mondial/10/river/Benue/	Benue
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	Andaman Sea
http://www.semwebtech.org/mondial/10/river/Pjandsh/	Pjandsh
http://www.semwebtech.org/mondial/10/river/Lomami/	Lomami
http://www.semwebtech.org/mondial/10/sea/TheChannel/	The Channel
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	Marmara Sea
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	South China Sea
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	Sea of Okhotsk
http://www.semwebtech.org/mondial/10/river/WesternDwina/	Western Dwina
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	Gulf of Oman
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	Arctic Ocean
http://www.semwebtech.org/mondial/10/sea/RedSea/	Red Sea
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	Mediterranean Sea
http://www.semwebtech.org/mondial/10/sea/YellowSea/	Yellow Sea
http://www.semwebtech.org/mondial/10/river/Colorado/	Colorado
http://www.semwebtech.org/mondial/10/river/Cuilo/	Cuilo
http://www.semwebtech.org/mondial/10/river/Lena/	Lena
http://www.semwebtech.org/mondial/10/river/Inn/	Inn
http://www.semwebtech.org/mondial/10/river/Glomma/	Glomma
http://www.semwebtech.org/mondial/10/river/Tennessee/	Tennessee
http://www.semwebtech.org/mondial/10/river/Luapula/	Luapula
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	Detroit River
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	Gulf of Mexico
http://www.semwebtech.org/mondial/10/river/Zaire/	Zaire
http://www.semwebtech.org/mondial/10/river/Ili/	Ili
http://www.semwebtech.org/mondial/10/river/Sanaga/	Sanaga
http://www.semwebtech.org/mondial/10/river/Kymijoki/	Kymijoki
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	Barents Sea
http://www.semwebtech.org/mondial/10/river/Donau/	Donau
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	Lake Nyos
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	Barrage de Mbakaou
http://www.semwebtech.org/mondial/10/sea/BeringSea/	Bering Sea
http://www.semwebtech.org/mondial/10/sea/NorthSea/	North Sea
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	Skagerrak
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	Gulf of Aden
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	Gulf of Bengal
http://www.semwebtech.org/mondial/10/sea/SuluSea/	Sulu Sea
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	East Sibirian Sea
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	Greenland Sea
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	Arabian Sea
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	Malakka Strait
http://www.semwebtech.org/mondial/10/sea/BlackSea/	Black Sea
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	Persian Gulf
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	Caribbean Sea
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	Indian Ocean
http://www.semwebtech.org/mondial/10/sea/IrishSea/	Irish Sea
http://www.semwebtech.org/mondial/10/sea/JavaSea/	Java Sea
http://www.semwebtech.org/mondial/10/sea/BalticSea/	Baltic Sea
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	Labrador Sea
http://www.semwebtech.org/mondial/10/sea/KaraSea/	Kara Sea
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	Hudson Bay
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	Sea of Azov
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	Sea of Japan
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	East China Sea
http://www.semwebtech.org/mondial/10/river/Garonne/	Garonne
http://www.semwebtech.org/mondial/10/river/Syrdarja/	Syrdarja
http://www.semwebtech.org/mondial/10/river/Salzach/	Salzach
http://www.semwebtech.org/mondial/10/river/Newa/	Newa
http://www.semwebtech.org/mondial/10/river/Swir/	Swir
http://www.semwebtech.org/mondial/10/river/Saone/	Saone
http://www.semwebtech.org/mondial/10/river/Dalaelv/	Dalaelv
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	Columbia River
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	Niagara River
http://www.semwebtech.org/mondial/10/river/Arkansas/	Arkansas
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	Nelson River
http://www.semwebtech.org/mondial/10/river/Manicouagan/	Manicouagan
http://www.semwebtech.org/mondial/10/river/Doubs/	Doubs
http://www.semwebtech.org/mondial/10/river/Ob/	Ob
http://www.semwebtech.org/mondial/10/river/Zambezi/	Zambezi
http://www.semwebtech.org/mondial/10/river/Argun/	Argun
http://www.semwebtech.org/mondial/10/river/Aruwimi/	Aruwimi
http://www.semwebtech.org/mondial/10/river/Amazonas/	Amazonas
http://www.semwebtech.org/mondial/10/river/Sanga/	Sanga
http://www.semwebtech.org/mondial/10/river/BlackDrin/	Black Drin
http://www.semwebtech.org/mondial/10/river/Kemijoki/	Kemijoki
http://www.semwebtech.org/mondial/10/river/Okavango/	Okavango
http://www.semwebtech.org/mondial/10/river/Prypjat/	Prypjat
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	Truckee River
http://www.semwebtech.org/mondial/10/river/Semliki/	Semliki
http://www.semwebtech.org/mondial/10/river/Tigris/	Tigris
http://www.semwebtech.org/mondial/10/river/Oulujoki/	Oulujoki
http://www.semwebtech.org/mondial/10/river/Petschora/	Petschora
http://www.semwebtech.org/mondial/10/river/Kwa/	Kwa
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	White Drin
http://www.semwebtech.org/mondial/10/river/Volga/	Volga
http://www.semwebtech.org/mondial/10/river/Atbara/	Atbara
http://www.semwebtech.org/mondial/10/river/Lagen/	Lagen
http://www.semwebtech.org/mondial/10/river/Mur/	Mur
http://www.semwebtech.org/mondial/10/river/Pibor/	Pibor
http://www.semwebtech.org/mondial/10/river/Don/	Don
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	Saskatchewan River
http://www.semwebtech.org/mondial/10/river/Sobat/	Sobat
http://www.semwebtech.org/mondial/10/river/Douro/	Douro
http://www.semwebtech.org/mondial/10/river/Mekong/	Mekong
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	Oesterdalaelv
http://www.semwebtech.org/mondial/10/river/Karasu/	Karasu
http://www.semwebtech.org/mondial/10/river/Weichsel/	Weichsel
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	Victoria Nile
http://www.semwebtech.org/mondial/10/river/Limpopo/	Limpopo
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	Guadalquivir
http://www.semwebtech.org/mondial/10/river/Umeaelv/	Umeaelv
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	Eucumbene River
http://www.semwebtech.org/mondial/10/river/Bani/	Bani
http://www.semwebtech.org/mondial/10/river/Karun/	Karun
http://www.semwebtech.org/mondial/10/river/Urubamba/	Urubamba
http://www.semwebtech.org/mondial/10/river/Lukenie/	Lukenie
http://www.semwebtech.org/mondial/10/river/Lukuga/	Lukuga
http://www.semwebtech.org/mondial/10/river/Huallaga/	Huallaga
http://www.semwebtech.org/mondial/10/river/Uelle/	Uelle
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	Rio Desaguadero
http://www.semwebtech.org/mondial/10/river/Neckar/	Neckar
http://www.semwebtech.org/mondial/10/river/Jordan/	Jordan
http://www.semwebtech.org/mondial/10/river/Ruzizi/	Ruzizi
http://www.semwebtech.org/mondial/10/river/Fimi/	Fimi
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	Rio Sao Francisco
http://www.semwebtech.org/mondial/10/river/Naryn/	Naryn
http://www.semwebtech.org/mondial/10/river/Perene/	Perene
http://www.semwebtech.org/mondial/10/river/Aller/	Aller
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	Darling River
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	Ounasjoki
http://www.semwebtech.org/mondial/10/river/Apurimac/	Apurimac
http://www.semwebtech.org/mondial/10/river/Breg/	Breg
http://www.semwebtech.org/mondial/10/river/Fulda/	Fulda
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	Goetaaelv
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	Murrumbidgee River
http://www.semwebtech.org/mondial/10/river/Narew/	Narew
http://www.semwebtech.org/mondial/10/river/Mincio/	Mincio
http://www.semwebtech.org/mondial/10/river/Aare/	Aare
http://www.semwebtech.org/mondial/10/river/Moraca/	Moraca
http://www.semwebtech.org/mondial/10/river/Marne/	Marne
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	Rio San Juan
http://www.semwebtech.org/mondial/10/river/Murgab/	Murgab
http://www.semwebtech.org/mondial/10/river/Buna/	Buna
http://www.semwebtech.org/mondial/10/river/Werra/	Werra
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	Vaesterdalaelv
http://www.semwebtech.org/mondial/10/river/Bartang/	Bartang
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	Mackenzie River
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	Allegheny River
http://www.semwebtech.org/mondial/10/river/Enns/	Enns
http://www.semwebtech.org/mondial/10/river/Euphrat/	Euphrat
http://www.semwebtech.org/mondial/10/river/Saar/	Saar
http://www.semwebtech.org/mondial/10/river/Moldau/	Moldau
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	Southern Morava
http://www.semwebtech.org/mondial/10/river/Narva/	Narva
http://www.semwebtech.org/mondial/10/river/Suchona/	Suchona
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	Snowy River
http://www.semwebtech.org/mondial/10/river/Ischim/	Ischim
http://www.semwebtech.org/mondial/10/river/Busira/	Busira
http://www.semwebtech.org/mondial/10/river/WesternMorava/	Western Morava
http://www.semwebtech.org/mondial/10/river/Lualaba/	Lualaba
http://www.semwebtech.org/mondial/10/river/Murat/	Murat
http://www.semwebtech.org/mondial/10/river/YukonRiver/	Yukon River
http://www.semwebtech.org/mondial/10/river/Chatanga/	Chatanga
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	Bahr el-Ghasal
http://www.semwebtech.org/mondial/10/river/Pruth/	Pruth
http://www.semwebtech.org/mondial/10/river/WhiteNile/	White Nile
http://www.semwebtech.org/mondial/10/river/Oder/	Oder
http://www.semwebtech.org/mondial/10/river/Paraguay/	Paraguay
http://www.semwebtech.org/mondial/10/river/Lulua/	Lulua
http://www.semwebtech.org/mondial/10/river/Thames/	Thames
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	Bahr el-Djebel/Albert-Nil
http://www.semwebtech.org/mondial/10/river/Bomu/	Bomu
http://www.semwebtech.org/mondial/10/river/Gambia/	Gambia
http://www.semwebtech.org/mondial/10/river/Isere/	Isere
http://www.semwebtech.org/mondial/10/river/Asahan/	Asahan
http://www.semwebtech.org/mondial/10/river/Tara/	Tara
http://www.semwebtech.org/mondial/10/river/Tambo/	Tambo
http://www.semwebtech.org/mondial/10/river/Iller/	Iller
http://www.semwebtech.org/mondial/10/river/Klaraelv/	Klaraelv
http://www.semwebtech.org/mondial/10/river/Amur/	Amur
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	Riviere Richelieu
http://www.semwebtech.org/mondial/10/river/Parana/	Parana
http://www.semwebtech.org/mondial/10/river/Volta/	Volta
http://www.semwebtech.org/mondial/10/river/Tshuapa/	Tshuapa
http://www.semwebtech.org/mondial/10/river/Maranon/	Maranon
http://www.semwebtech.org/mondial/10/river/Shabelle/	Shabelle
http://www.semwebtech.org/mondial/10/river/Morava/	Morava
http://www.semwebtech.org/mondial/10/river/SchattalArab/	Schatt al Arab
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	Straits of Mackinac
http://www.semwebtech.org/mondial/10/river/Waag/	Waag
http://www.semwebtech.org/mondial/10/river/Luvua/	Luvua
http://www.semwebtech.org/mondial/10/river/Baro/	Baro
http://www.semwebtech.org/mondial/10/river/Kura/	Kura
http://www.semwebtech.org/mondial/10/river/Drin/	Drin
http://www.semwebtech.org/mondial/10/river/Elbe/	Elbe
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	Joekulsa a Fjoellum
http://www.semwebtech.org/mondial/10/river/Nile/	Nile
http://www.semwebtech.org/mondial/10/river/Jubba/	Jubba
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	Brahmaputra
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	Tarim-Yarkend
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	Murray River
http://www.semwebtech.org/mondial/10/river/BlueNile/	Blue Nile
http://www.semwebtech.org/mondial/10/river/Ene/	Ene
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	Hudson River
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	Connecticut River
http://www.semwebtech.org/mondial/10/river/Arno/	Arno
http://www.semwebtech.org/mondial/10/river/Ruki/	Ruki
http://www.semwebtech.org/mondial/10/river/Selenge/	Selenge
http://www.semwebtech.org/mondial/10/river/OhioRiver/	Ohio River
http://www.semwebtech.org/mondial/10/river/Akagera/	Akagera
http://www.semwebtech.org/mondial/10/river/Schilka/	Schilka
http://www.semwebtech.org/mondial/10/river/Brigach/	Brigach
http://www.semwebtech.org/mondial/10/river/Thjorsa/	Thjorsa
\.


--
-- TOC entry 5878 (class 0 OID 93826)
-- Dependencies: 831
-- Data for Name: X1; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "X1" ("URI", nmprop) FROM stdin;
\.


--
-- TOC entry 5879 (class 0 OID 93829)
-- Dependencies: 832
-- Data for Name: X2; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "X2" ("URI") FROM stdin;
\.


--
-- TOC entry 5880 (class 0 OID 93832)
-- Dependencies: 833
-- Data for Name: Y1; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Y1" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5881 (class 0 OID 93835)
-- Dependencies: 834
-- Data for Name: Y2; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "Y2" ("URI", "invfktprop_Inv") FROM stdin;
\.


--
-- TOC entry 5882 (class 0 OID 93838)
-- Dependencies: 835
-- Data for Name: allcl; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY allcl (subclass, superclass) FROM stdin;
X2	X
Desert	Entity
Source	Entity
Volcano	Mountain
Religion	Entity
SpokenBy	Entity
Continent	Entity
Lake	Water
Organization	Entity
Y1	Y
Encompassed	Entity
Islands	Entity
Sea	Water
Water	Entity
Language	Entity
Person	rdf2sqlTOP
X	rdf2sqlTOP
Estuary	Entity
EthnicGroup	Entity
Female	Person
U	rdf2sqlTOP
Male	Person
Entity	rdf2sqlTOP
BelievedBy	Entity
River	Water
Island	Entity
Y2	Y
Y	rdf2sqlTOP
Border	Entity
City	Entity
Mountains	Entity
Country	Entity
EthnicProportion	Entity
V	rdf2sqlTOP
Mountain	Entity
X1	X
Membership	Entity
Province	Entity
\.


--
-- TOC entry 5883 (class 0 OID 93841)
-- Dependencies: 836
-- Data for Name: area; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY area ("Subject", "VALUE") FROM stdin;
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	200000
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	176500
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	37500
http://www.semwebtech.org/mondial/10/desert/Trarza/	50000
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	200000
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	150000
http://www.semwebtech.org/mondial/10/desert/Tenere/	600000
http://www.semwebtech.org/mondial/10/desert/Karakum/	400000
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	300000
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	150000
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	166000
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	424400
http://www.semwebtech.org/mondial/10/desert/Ferlo/	70000
http://www.semwebtech.org/mondial/10/desert/Thar/	240000
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	310800
http://www.semwebtech.org/mondial/10/desert/Nefud/	78000
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	77600
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	80000
http://www.semwebtech.org/mondial/10/desert/Negev/	12000
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	50000
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	25000
http://www.semwebtech.org/mondial/10/desert/Tanami/	37500
http://www.semwebtech.org/mondial/10/desert/Sonora/	320000
http://www.semwebtech.org/mondial/10/desert/RedCentre/	1000000
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	518000
http://www.semwebtech.org/mondial/10/desert/Djourab/	100000
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	360000
http://www.semwebtech.org/mondial/10/desert/Namib/	95000
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	200000
http://www.semwebtech.org/mondial/10/desert/KumTagh/	22000
http://www.semwebtech.org/mondial/10/desert/Rigestan/	25000
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	337000
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	80000
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	35000
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	10360
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	40000
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	300000
http://www.semwebtech.org/mondial/10/desert/Mojave/	57000
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	780000
http://www.semwebtech.org/mondial/10/desert/UstUrt/	180000
http://www.semwebtech.org/mondial/10/desert/Ryn/	80000
http://www.semwebtech.org/mondial/10/desert/Gobi/	1000000
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	360000
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	48800
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	200000
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	13000
http://www.semwebtech.org/mondial/10/desert/Talak/	100000
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	30000
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	1100000
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	84000
http://www.semwebtech.org/mondial/10/desert/Kalahari/	1200000
http://www.semwebtech.org/mondial/10/desert/Darfur/	500000
http://www.semwebtech.org/mondial/10/desert/Owyhee/	36000
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	180000
http://www.semwebtech.org/mondial/10/desert/Fesan/	300000
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	50000
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	40000
http://www.semwebtech.org/mondial/10/desert/Qaidam/	120000
http://www.semwebtech.org/mondial/10/desert/ErgChech/	10000
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	160000
http://www.semwebtech.org/mondial/10/desert/Atacama/	181300
http://www.semwebtech.org/mondial/10/desert/Ordos/	90000
http://www.semwebtech.org/mondial/10/continent/Africa/	30254708
http://www.semwebtech.org/mondial/10/continent/Asia/	45095292
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	8503474
http://www.semwebtech.org/mondial/10/continent/America/	39872000
http://www.semwebtech.org/mondial/10/continent/Europe/	9562488
http://www.semwebtech.org/mondial/10/country/SY/	455
http://www.semwebtech.org/mondial/10/country/CR/	51100
http://www.semwebtech.org/mondial/10/country/GUAD/	1628
http://www.semwebtech.org/mondial/10/country/RO/	237500
http://www.semwebtech.org/mondial/10/country/BHT/	47000
http://www.semwebtech.org/mondial/10/country/GQ/	28050
http://www.semwebtech.org/mondial/10/country/RB/	600370
http://www.semwebtech.org/mondial/10/country/SPMI/	242
http://www.semwebtech.org/mondial/10/country/NIC/	129494
http://www.semwebtech.org/mondial/10/country/SK/	48845
http://www.semwebtech.org/mondial/10/country/G/	267670
http://www.semwebtech.org/mondial/10/country/EAU/	236040
http://www.semwebtech.org/mondial/10/country/MH/	181.3
http://www.semwebtech.org/mondial/10/country/AZ/	86600
http://www.semwebtech.org/mondial/10/country/RP/	299764
http://www.semwebtech.org/mondial/10/country/UAE/	75581
http://www.semwebtech.org/mondial/10/country/NAU/	21
http://www.semwebtech.org/mondial/10/country/RC/	36179
http://www.semwebtech.org/mondial/10/country/GR/	131940
http://www.semwebtech.org/mondial/10/country/CUR/	444
http://www.semwebtech.org/mondial/10/country/V/	0.44
http://www.semwebtech.org/mondial/10/country/CAM/	475440
http://www.semwebtech.org/mondial/10/country/H/	93030
http://www.semwebtech.org/mondial/10/country/BY/	207600
http://www.semwebtech.org/mondial/10/country/AMSA/	199
http://www.semwebtech.org/mondial/10/country/CDN/	9976140
http://www.semwebtech.org/mondial/10/country/PY/	406750
http://www.semwebtech.org/mondial/10/country/VN/	329560
http://www.semwebtech.org/mondial/10/country/WAN/	923770
http://www.semwebtech.org/mondial/10/country/WL/	620
http://www.semwebtech.org/mondial/10/country/PL/	312683
http://www.semwebtech.org/mondial/10/country/KGZ/	198500
http://www.semwebtech.org/mondial/10/country/FALK/	12173
http://www.semwebtech.org/mondial/10/country/KIR/	717
http://www.semwebtech.org/mondial/10/country/GBZ/	6.5
http://www.semwebtech.org/mondial/10/country/PK/	803940
http://www.semwebtech.org/mondial/10/country/ZRE/	2345410
http://www.semwebtech.org/mondial/10/country/TUV/	26
http://www.semwebtech.org/mondial/10/country/COM/	2170
http://www.semwebtech.org/mondial/10/country/KWT/	17820
http://www.semwebtech.org/mondial/10/country/TCH/	1284000
http://www.semwebtech.org/mondial/10/country/PAL/	458
http://www.semwebtech.org/mondial/10/country/CV/	4033
http://www.semwebtech.org/mondial/10/country/NCA/	19060
http://www.semwebtech.org/mondial/10/country/SGP/	632.6
http://www.semwebtech.org/mondial/10/country/GUY/	214970
http://www.semwebtech.org/mondial/10/country/HCA/	112090
http://www.semwebtech.org/mondial/10/country/YE/	527970
http://www.semwebtech.org/mondial/10/country/IL/	22072
http://www.semwebtech.org/mondial/10/country/IRQ/	437072
http://www.semwebtech.org/mondial/10/country/CH/	41290
http://www.semwebtech.org/mondial/10/country/J/	377835
http://www.semwebtech.org/mondial/10/country/FSM/	702
http://www.semwebtech.org/mondial/10/country/MK/	25333
http://www.semwebtech.org/mondial/10/country/BRN/	620
http://www.semwebtech.org/mondial/10/country/SMAR/	54
http://www.semwebtech.org/mondial/10/country/CI/	322460
http://www.semwebtech.org/mondial/10/country/FJI/	18270
http://www.semwebtech.org/mondial/10/country/BOL/	1098580
http://www.semwebtech.org/mondial/10/country/RT/	56790
http://www.semwebtech.org/mondial/10/country/LAO/	236800
http://www.semwebtech.org/mondial/10/country/I/	301230
http://www.semwebtech.org/mondial/10/country/HR/	56538
http://www.semwebtech.org/mondial/10/country/LB/	111370
http://www.semwebtech.org/mondial/10/country/BVIR/	153
http://www.semwebtech.org/mondial/10/country/ARU/	193
http://www.semwebtech.org/mondial/10/country/GH/	238540
http://www.semwebtech.org/mondial/10/country/FGU/	83534
http://www.semwebtech.org/mondial/10/country/PA/	78200
http://www.semwebtech.org/mondial/10/country/Z/	752610
http://www.semwebtech.org/mondial/10/country/RH/	27750
http://www.semwebtech.org/mondial/10/country/SRB/	77474
http://www.semwebtech.org/mondial/10/country/ETH/	1127127
http://www.semwebtech.org/mondial/10/country/BZ/	22960
http://www.semwebtech.org/mondial/10/country/TM/	488100
http://www.semwebtech.org/mondial/10/country/WAG/	11300
http://www.semwebtech.org/mondial/10/country/GROX/	2175600
http://www.semwebtech.org/mondial/10/country/SD/	17360
http://www.semwebtech.org/mondial/10/country/RI/	1919440
http://www.semwebtech.org/mondial/10/country/EC/	283560
http://www.semwebtech.org/mondial/10/country/CY/	9251
http://www.semwebtech.org/mondial/10/country/REUN/	2510
http://www.semwebtech.org/mondial/10/country/K/	181040
http://www.semwebtech.org/mondial/10/country/MYA/	678500
http://www.semwebtech.org/mondial/10/country/SP/	637660
http://www.semwebtech.org/mondial/10/country/GBG/	194
http://www.semwebtech.org/mondial/10/country/TL/	15007
http://www.semwebtech.org/mondial/10/country/BIH/	51233
http://www.semwebtech.org/mondial/10/country/CZ/	78703
http://www.semwebtech.org/mondial/10/country/SLB/	28450
http://www.semwebtech.org/mondial/10/country/ARM/	29800
http://www.semwebtech.org/mondial/10/country/EAK/	582650
http://www.semwebtech.org/mondial/10/country/SF/	337030
http://www.semwebtech.org/mondial/10/country/PITC/	47
http://www.semwebtech.org/mondial/10/country/BEN/	112620
http://www.semwebtech.org/mondial/10/country/ES/	21040
http://www.semwebtech.org/mondial/10/country/N/	324220
http://www.semwebtech.org/mondial/10/country/WEST/	5655
http://www.semwebtech.org/mondial/10/country/PE/	1285220
http://www.semwebtech.org/mondial/10/country/LAR/	1759540
http://www.semwebtech.org/mondial/10/country/ER/	121320
http://www.semwebtech.org/mondial/10/country/MEX/	1972550
http://www.semwebtech.org/mondial/10/country/RL/	10400
http://www.semwebtech.org/mondial/10/country/BD/	144000
http://www.semwebtech.org/mondial/10/country/MEL/	12
http://www.semwebtech.org/mondial/10/country/C/	110860
http://www.semwebtech.org/mondial/10/country/TAD/	143100
http://www.semwebtech.org/mondial/10/country/KAZ/	2717300
http://www.semwebtech.org/mondial/10/country/MC/	1.9
http://www.semwebtech.org/mondial/10/country/SLO/	20256
http://www.semwebtech.org/mondial/10/country/SVAX/	62049
http://www.semwebtech.org/mondial/10/country/MA/	446550
http://www.semwebtech.org/mondial/10/country/BDS/	430
http://www.semwebtech.org/mondial/10/country/BS/	13940
http://www.semwebtech.org/mondial/10/country/LV/	64100
http://www.semwebtech.org/mondial/10/country/AXA/	102
http://www.semwebtech.org/mondial/10/country/RCH/	756950
http://www.semwebtech.org/mondial/10/country/Q/	11000
http://www.semwebtech.org/mondial/10/country/D/	356910
http://www.semwebtech.org/mondial/10/country/RWA/	26340
http://www.semwebtech.org/mondial/10/country/DZ/	2381740
http://www.semwebtech.org/mondial/10/country/NEP/	140800
http://www.semwebtech.org/mondial/10/country/E/	504750
http://www.semwebtech.org/mondial/10/country/TO/	748
http://www.semwebtech.org/mondial/10/country/GAZA/	365
http://www.semwebtech.org/mondial/10/country/L/	2586
http://www.semwebtech.org/mondial/10/country/FPOL/	4167
http://www.semwebtech.org/mondial/10/country/M/	320
http://www.semwebtech.org/mondial/10/country/SBAR/	21
http://www.semwebtech.org/mondial/10/country/BRU/	5770
http://www.semwebtech.org/mondial/10/country/MAYO/	374
http://www.semwebtech.org/mondial/10/country/YV/	912050
http://www.semwebtech.org/mondial/10/country/WAL/	71740
http://www.semwebtech.org/mondial/10/country/CEU/	18
http://www.semwebtech.org/mondial/10/country/EW/	45100
http://www.semwebtech.org/mondial/10/country/TUCA/	430
http://www.semwebtech.org/mondial/10/country/LT/	65200
http://www.semwebtech.org/mondial/10/country/LS/	30350
http://www.semwebtech.org/mondial/10/country/WD/	746
http://www.semwebtech.org/mondial/10/country/WS/	2860
http://www.semwebtech.org/mondial/10/country/B/	30510
http://www.semwebtech.org/mondial/10/country/HELX/	413
http://www.semwebtech.org/mondial/10/country/RA/	2766890
http://www.semwebtech.org/mondial/10/country/MOC/	801590
http://www.semwebtech.org/mondial/10/country/NLSM/	34
http://www.semwebtech.org/mondial/10/country/NZ/	268680
http://www.semwebtech.org/mondial/10/country/JA/	10991
http://www.semwebtech.org/mondial/10/country/TOK/	12
http://www.semwebtech.org/mondial/10/country/DK/	43070
http://www.semwebtech.org/mondial/10/country/MACX/	16
http://www.semwebtech.org/mondial/10/country/PNG/	461690
http://www.semwebtech.org/mondial/10/country/NL/	37330
http://www.semwebtech.org/mondial/10/country/IR/	1648000
http://www.semwebtech.org/mondial/10/country/NIUE/	260
http://www.semwebtech.org/mondial/10/country/P/	92080
http://www.semwebtech.org/mondial/10/country/SSD/	644329
http://www.semwebtech.org/mondial/10/country/RSM/	60
http://www.semwebtech.org/mondial/10/country/UA/	603700
http://www.semwebtech.org/mondial/10/country/STP/	1001
http://www.semwebtech.org/mondial/10/country/WG/	344
http://www.semwebtech.org/mondial/10/country/TR/	780580
http://www.semwebtech.org/mondial/10/country/GBM/	588
http://www.semwebtech.org/mondial/10/country/IS/	103000
http://www.semwebtech.org/mondial/10/country/CN/	9596960
http://www.semwebtech.org/mondial/10/country/MNE/	14026
http://www.semwebtech.org/mondial/10/country/S/	449964
http://www.semwebtech.org/mondial/10/country/KN/	269
http://www.semwebtech.org/mondial/10/country/NMIS/	477
http://www.semwebtech.org/mondial/10/country/GB/	244820
http://www.semwebtech.org/mondial/10/country/F/	547030
http://www.semwebtech.org/mondial/10/country/RMM/	1240000
http://www.semwebtech.org/mondial/10/country/XMAS/	135
http://www.semwebtech.org/mondial/10/country/AL/	28750
http://www.semwebtech.org/mondial/10/country/SUD/	1861484
http://www.semwebtech.org/mondial/10/country/COCO/	14
http://www.semwebtech.org/mondial/10/country/EAT/	945090
http://www.semwebtech.org/mondial/10/country/MNG/	1565000
http://www.semwebtech.org/mondial/10/country/OM/	212460
http://www.semwebtech.org/mondial/10/country/SA/	1960582
http://www.semwebtech.org/mondial/10/country/GE/	69700
http://www.semwebtech.org/mondial/10/country/RCB/	342000
http://www.semwebtech.org/mondial/10/country/FL/	160
http://www.semwebtech.org/mondial/10/country/TN/	163610
http://www.semwebtech.org/mondial/10/country/VU/	14760
http://www.semwebtech.org/mondial/10/country/GCA/	108890
http://www.semwebtech.org/mondial/10/country/IRL/	70280
http://www.semwebtech.org/mondial/10/country/WV/	389
http://www.semwebtech.org/mondial/10/country/KOS/	10887
http://www.semwebtech.org/mondial/10/country/GBJ/	117
http://www.semwebtech.org/mondial/10/country/MNTS/	102
http://www.semwebtech.org/mondial/10/country/CAYM/	262
http://www.semwebtech.org/mondial/10/country/A/	83850
http://www.semwebtech.org/mondial/10/country/GNB/	36120
http://www.semwebtech.org/mondial/10/country/MD/	33700
http://www.semwebtech.org/mondial/10/country/RM/	587041
http://www.semwebtech.org/mondial/10/country/MAL/	329750
http://www.semwebtech.org/mondial/10/country/CO/	1138910
http://www.semwebtech.org/mondial/10/country/GUAM/	541.3
http://www.semwebtech.org/mondial/10/country/BR/	8511965
http://www.semwebtech.org/mondial/10/country/FARX/	1400
http://www.semwebtech.org/mondial/10/country/USA/	9372610
http://www.semwebtech.org/mondial/10/country/MS/	2040
http://www.semwebtech.org/mondial/10/country/RN/	1267000
http://www.semwebtech.org/mondial/10/country/TT/	5130
http://www.semwebtech.org/mondial/10/country/VIRG/	352
http://www.semwebtech.org/mondial/10/country/JOR/	89213
http://www.semwebtech.org/mondial/10/country/RIM/	1030700
http://www.semwebtech.org/mondial/10/country/DJI/	22000
http://www.semwebtech.org/mondial/10/country/SME/	163270
http://www.semwebtech.org/mondial/10/country/ANG/	1246700
http://www.semwebtech.org/mondial/10/country/THA/	514000
http://www.semwebtech.org/mondial/10/country/BERM/	53.3
http://www.semwebtech.org/mondial/10/country/BI/	27830
http://www.semwebtech.org/mondial/10/country/WSA/	266000
http://www.semwebtech.org/mondial/10/country/MV/	300
http://www.semwebtech.org/mondial/10/country/ROU/	176220
http://www.semwebtech.org/mondial/10/country/IND/	3287590
http://www.semwebtech.org/mondial/10/country/SN/	196190
http://www.semwebtech.org/mondial/10/country/MW/	118480
http://www.semwebtech.org/mondial/10/country/HONX/	1092
http://www.semwebtech.org/mondial/10/country/NOK/	120540
http://www.semwebtech.org/mondial/10/country/RCA/	622980
http://www.semwebtech.org/mondial/10/country/RG/	245860
http://www.semwebtech.org/mondial/10/country/COOK/	240
http://www.semwebtech.org/mondial/10/country/SYR/	185180
http://www.semwebtech.org/mondial/10/country/ROK/	98480
http://www.semwebtech.org/mondial/10/country/NAM/	825418
http://www.semwebtech.org/mondial/10/country/CL/	65610
http://www.semwebtech.org/mondial/10/country/AG/	442
http://www.semwebtech.org/mondial/10/country/WAFU/	274
http://www.semwebtech.org/mondial/10/country/PR/	8870
http://www.semwebtech.org/mondial/10/country/DOM/	48730
http://www.semwebtech.org/mondial/10/country/UZB/	447400
http://www.semwebtech.org/mondial/10/country/ZW/	390580
http://www.semwebtech.org/mondial/10/country/NORF/	34.6
http://www.semwebtech.org/mondial/10/country/R/	17075200
http://www.semwebtech.org/mondial/10/country/BF/	274200
http://www.semwebtech.org/mondial/10/country/MART/	1128
http://www.semwebtech.org/mondial/10/country/BG/	110910
http://www.semwebtech.org/mondial/10/country/ET/	1001450
http://www.semwebtech.org/mondial/10/country/RSA/	1219912
http://www.semwebtech.org/mondial/10/country/AFG/	647500
http://www.semwebtech.org/mondial/10/country/AND/	450
http://www.semwebtech.org/mondial/10/country/AUS/	7686850
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	21065
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	7414
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	3666
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	1090
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	903358
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	14045
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	25330
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	12333
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	58643
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	129462
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	178711
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	8022
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	5156
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	151000
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	124000
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	16387
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	4857
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	4765
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	5363
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	2439
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	130060
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	8498
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	196244
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	237
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	340086
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	6620
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	87900
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	7544
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	4247
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	105829
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	5764
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	7062
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	7071
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	4932
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	220400
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	366500
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	6241
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	586528
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	35377
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	5087
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	4054
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	1583
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	5318
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	564692
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	488000
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	5789
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	6102
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	4417
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	1646900
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	8519
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	35751
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	5355
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	4466
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	21114
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	252
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	294207
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	187000
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	31177
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	1177500
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	64821
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	70280
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	463600
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	119743
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	170572
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	95848
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	496611
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	101800
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	199315
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	43696
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	331983
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	22445
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	151430
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	11265
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	2656
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	18178
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	3124
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	19108
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	97602
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	9188
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	676587
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	10140
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	45900
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	125920
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	146435
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	47613
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	9757
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	122057
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	4965
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	98311
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	15606
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	15407
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	23837
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	66040
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	25265
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	41311
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	44522
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	37040
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	70624
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	45843
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	20054
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	332
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	12640
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	32547
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	574
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	21760
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	44820
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	187500
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	148959
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	153300
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	26517
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	470
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	174000
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	26012
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	4452
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	8553
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	5432
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	5601
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	6674
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	6304
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	6713
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	503239
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	19241
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	213564
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	26969
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	6912
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	126386
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	48718
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	454
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	18901
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	21347
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	26677
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	76150
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	168966
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	79017
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	63669
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	37576
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	19399
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	28228
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	230
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	9415
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	5685
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	14036
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	9451
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	13297
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	114840
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	25711
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	17023
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	8153
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	25118
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	4105
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	3212
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	490
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	37623
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	12949
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	147826
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	300629
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	13851
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	664
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	204534
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	9157
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	17125
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	7054
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	39402
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	97491
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	35914
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	1221600
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	5831
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	850
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	3195
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	9215
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	13035
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	57377
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	1845
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	23562
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	300
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	5100
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	4200
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	25700
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	172400
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	120800
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	14100
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	17591
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	23547
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	854
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	60350
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	16710
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	35503
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	1393
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	13250
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	25212
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	22792
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	9467
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	49340
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	62272
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	98417
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	75334
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	22693
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	103478
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	122827
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	8699
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	79010
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	68775
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	67753
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	347
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	78778
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	40130
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	58698
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	79023
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	34270
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	24110
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	87342
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	31371
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	70314
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	2417
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	7270
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	39826
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	223023
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	77367
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	199049
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	55600
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	57091
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	103760
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	195800
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	26017
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	2034
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	19422
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	22014
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	16873
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	20496
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	13012
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	15885
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	22327
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	16579
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	23251
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	17046
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	21478
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	22513
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	20357
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	29620
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	5182
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	1877787
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	11683
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	7249
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	2264
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	3703
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	15489
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	14157
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	1483
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	8618
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	7341
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	11262
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	100212
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	653
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	282
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	133985
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	3336
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	4575
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	42223
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	93800
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	50567
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	29782
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	146219
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	87023
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	153564
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	240928
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	908607
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	25862
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	11979
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	3162
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	4439
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	30382
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	14231
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	12635
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	5703
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	6530
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	14472
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	8806
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	12013
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	8104
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	27815
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	28750
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	29827
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	144669
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	19854
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	15799
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	79716
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	19357
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	55673
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	6800
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	83908
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	737700
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	7447
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	8466
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	18155
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	19819
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	60291
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	21276
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	4816
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	21636
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	28245
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	10432
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	7753
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	49933
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	27216
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	33776
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	17982
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	6772
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	3496
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	4902
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	75480
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	7660
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	5887
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	6421
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	38823
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	16980
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	13606
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	27271
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	35170
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	34467
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	24971
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	46909
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	45711
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	37727
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	15195
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	24515
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	29581
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	31276
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	74108
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	17239
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	552329
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	1143793
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	474712
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	71377
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	370510
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	1356547
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	52939
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	588239
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	922509
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	640081
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	4262
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	6391
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	5581
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	178040
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	525
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	4463
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	6065
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	4429
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	63612
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	56439
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	12949
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	111797
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	10812
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	23948
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	53483
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	222236
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	132250
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	8883
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	1665
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	4372
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	236
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	42364
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	18310
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	4189
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	242
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	790
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	3809
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	2362
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	48250
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	7014
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	7198
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	16424
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	9662
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	14910
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	13285
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	307571
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	2208
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	44197
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	436200
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	16808
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	3921
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	6342
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	10139
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	91
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	42360
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	151562
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	27183
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	33313
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	28400
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	3083523
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	49800
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	113900
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	75176
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	5045
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	4358
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	3783
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	4208
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	8444
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	2545
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	6210
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	3637
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	5629
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	5935
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	335
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	8335
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	18810
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	3835
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	3808
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	9203
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	2415
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	2306
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	15549
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	11350
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	5285
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	27220
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	906
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	72520
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	74521
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	347190
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	205345
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	7096
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	38852
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	191791
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	44212
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	83743
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	50362
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	490
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	10486
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	491
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	135191
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	3702
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	88752
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	111
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	155707
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	22429
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	78438
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	160205
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	30
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	21081
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	94163
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	8249
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	154742
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	295658
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	69130
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	170302
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	59483
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	53920
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	496877
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	9965
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	403292
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	16997
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	3923
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	202700
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	20248
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	13892
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	68953
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	109002
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	34263
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	47191
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	63701
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	17300
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	25410
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	66090
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	29483
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	5421
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	71820
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	20848
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	25402
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	8456
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	9411
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	37323
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	8396
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	838
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	94394
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	11257
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	7194
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	33317
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	11300
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	27767
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	5801
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	10886
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	7178
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	7888
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	7600
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	29900
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	87100
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	71000
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	9365
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	24089
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	23862
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	4437
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	26110
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	493
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	20570
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	70384
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	13590
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	18398
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	15080
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	10762
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	3263
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	22993
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	9994
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	7858
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	17235
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	4360
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	8248
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	3242
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	1630
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	5024
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	5124
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	2330
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	4234
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	7781
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	3122
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	24057
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	7489
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	6849
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	5357
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	31328
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	13771
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	547
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	24889
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	6670
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	29445
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	7352
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	4824
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	16800
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	18218
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	11710
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	13987
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	29826
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	20187
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	17971
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	17845
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	15182
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	35558
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	22892
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	19946
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	6553
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	16072
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	5119
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	15074
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	5034
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	24075
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	685
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	24173
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	25122
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	17153
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	1294
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	88199
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	342239
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	146072
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	3388
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	6095
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	1403
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	276
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	64100
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	20950
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	526
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	50230
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	76500
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	5780
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	19919
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	82900
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	3862
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	22743
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	11526
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	368851
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	102410
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	22284
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	21910
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	11727
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	3587
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	5952
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	13902
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	5816
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	8323
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	11498
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	63620
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	3991
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	100800
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	16202
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	46077
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	13927
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	140268
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	23194
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	20500
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	15000
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	52400
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	50300
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	100200
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	76100
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	98340
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	46800
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	78781
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	8679
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	51740
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	17685
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	12900
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	4555
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	138288
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	9679
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	28824
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	19070
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	2412
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	1247689
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	672522
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	11671
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	149511
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	103887
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	76693
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	151990
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	153128
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	404240
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	58046
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	9921
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	39912
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	40361
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	29079
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	40049
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	32790
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	305
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	4473
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	866
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	172
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	14185
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	3798
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	7735
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	3507
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	15278
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	6339
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	4758
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	8479
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	6113
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	7780
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	9323
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	1876
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	7404
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	2187
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	4613
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	5165
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	12583
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	6408
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	4726
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	13782
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	6362
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	4146
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	4017
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	9188
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	4185
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	4465
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	7285
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	10621
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	7105
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	1898
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	13562
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	4977
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	5777
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	7113
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	11636
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	6707
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	3691
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	5678
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	9281
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	83456
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	2276
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	9644
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	5224
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	37
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	1076
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	172
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	238
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	1493
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	7105
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	1728
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	908
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	298
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	5959
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	517
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	803
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	990
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	2025
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	1670
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	2812
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	24600
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	25200
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	28600
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	100
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	633
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	16075
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	25499
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	4669
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	63827
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	55631
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	51524
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	118218
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	53588
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	370621
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	9033
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	19480
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	6900
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	16600
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	8663
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	38131
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	102600
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	8411
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	6592
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	14150
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	28200
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	9093
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	7619
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	40430
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	22195
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	22195
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	9114
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	357125
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	24857
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	10727
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	728
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	206232
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	21000
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	121531
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	3245
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	4657
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	105
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	240528
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	4369
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	151339
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	70880
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	31160
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	19186
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	63345
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	35892
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	197100
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	140914
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	49
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	721000
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	8067
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	2592
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	7365
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	11804
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	7491
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	64220
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	39612
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	93793
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	13124
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	26683
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	25142
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	23187
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	2568
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	84100
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	24700
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	363700
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	39600
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	18300
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	47721
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	98244
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	11217
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	28188
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	20735
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	78133
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	89651
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	143440
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	31581
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	69106
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	23871
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	79408
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	182700
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	113371
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	156906
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	49341
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	30296
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	20629
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	23921
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	72052
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	11800
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	183500
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	223924
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	48631
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	2225
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	10056
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	3314
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	35031
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	10276
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	122608
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	20133
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	85300
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	21327
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	3947
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	2395
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	95346
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	1570745
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	115883
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	6777
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	6227
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	7151
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	14718
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	40813
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	12753
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	23832
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	376962
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	158
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	752600
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	351300
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	36400
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	108494
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	37068
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	984179
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	68018
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	667799
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	55186
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	18198
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	133007
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	224686
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	12317
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	16942
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	19047
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	17589
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	24389
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	39557
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	18476
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	19323
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	9826
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	8842
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	4393
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	11289
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	2358
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	10587
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	11892
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	6814
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	4946
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	6490
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	1892
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	23334
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	3730
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	19616
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	8883
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	2297
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	1861
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	18500
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	5550
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	18032
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	6097
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	33060
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	97428
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	138500
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	87585
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	20794
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	6343
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	4145
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	6753
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	2052
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	4502
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	6808
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	9453
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	8973
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	100
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	73600
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	86800
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	66044
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	33955
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	44
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	25942
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	26600
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	13650
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	100
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	55800
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	38400
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	12265
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	125826
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	85283
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	21896
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	15438
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	5266
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	248209
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	105887
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	154708
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	333
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	327068
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	85366
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	1558
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	298164
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	50698
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	22131
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	32126
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	14800
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	19800
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	433
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	15200
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	64986
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	35200
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	1172
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	24800
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	1151
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	7950
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	28900
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	7100
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	11300
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	43300
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	40200
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	118631
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	319
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	57
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	283226
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	124800
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	97993
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	165642
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	710
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	196001
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	226019
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	2673
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	19414
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	7367
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	34289
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	21658
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	28461
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	94361
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	131171
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	29800
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	1729958
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	243943
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	144264
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	117249
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	72981
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	32800
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	18572
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	16787
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	46717
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	8201
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	97024
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	147307
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	38067
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	46914
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	31982
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	47799
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	57956
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	91592
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	50058
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	61841
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	38744
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	3133
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	34623
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	319036
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	22414
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	15101
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	4180
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	25192
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	7276
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	4917
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	15296
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	18623
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	18839
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	9375
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	27397
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	38482
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	9580
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	8805
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	24155
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	79210
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	11570
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	7010
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	19795
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	62825
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	9538
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	16401
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	3961
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	414
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	2601
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	7156
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	6795
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	4518
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	7560
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	11014
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	42012
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	4003
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	70550
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	18429
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	1615
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	42100
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	3963
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	12296
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	14042
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	28434
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	2247
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	5007
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	6065
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	10225
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	6675
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	66400
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	15386
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	6437
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	8871
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	6831
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	19336
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	36137
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	9500
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	80174
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	247455
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	109665
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	26492
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	28121
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	20202
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	198974
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	110800
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	23900
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	68000
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	165900
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	150100
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	767900
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	7237
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	97251
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	33844
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	6102
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	41308
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	2419
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	277620
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	102269
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	3420
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	2959
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	37945
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	15504
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	129285
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	107018
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	181785
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	21773
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	19069
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	39249
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	2761
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	33908
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	2080
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	4659
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	4967
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	6299
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	12102
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	4664
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	3739
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	73922
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	75539
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	12206
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	22623
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	44640
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	864
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	31923
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	104882
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	755
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	1100
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	34300
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	95500
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	143600
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	415900
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	61900
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	145700
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	55300
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	11312
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	5323
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	67800
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	307713
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	53400
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	2946
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	72066
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	22524
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	5426
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	496
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	5334
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	5748
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	5136
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	2933
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	4090
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	5081
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	2680
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	3418
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	1449
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	161
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	3144
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	2422
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	3785
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	2106
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	2982
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	2867
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	308252
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	155801
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	93704
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	89041
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	36778
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	36018
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	43344
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	11731
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	19368
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	16328
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	28294
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	118851
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	70697
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	37411
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	29137
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	180726
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	20367
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	95385
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	29127
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	15567
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	25009
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	23842
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	17800
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	51253
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	146
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	36848
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	15733
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	3625
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	39150
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	237576
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	39400
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	5122
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	13692
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	45651
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	794
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	2255
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	142814
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	4188
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	79883
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	157100
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	8374
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	13228
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	5315
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	5363
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	5391
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	73288
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	57924
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	71445
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	78599
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	42327
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	23818
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	23189
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	211754
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	177660
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	214045
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	92789
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	6300
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	24100
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	23200
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	43200
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	126049
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	2526574
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	2358
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	10603
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	10573
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	235002
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	33000
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	10495
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	6519
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	99633
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	31399
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	25319
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	43814
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	20895
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	2670
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	71999
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	71986
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	4960
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	5064
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	6608
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	3515
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	6747
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	5518
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	2808
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	4328
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	7393
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	18153
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	16184
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	13225
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	34300
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	210500
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	6200
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	82400
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	164800
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	224298
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	52796
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	152581
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	251529
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	11791
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	6971
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	3743
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	6167
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	14074
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	6097
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	28567
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	7134
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	15512
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	14456
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	7965
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	7685
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	15204
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	10072
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	8868
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	9950
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	17109
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	5473
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	4880
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	4569
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	9364
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	12015
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	7094
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	12796
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	1427
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	8253
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	4306
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	7606
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	4108
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	7904
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	25401
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	3309
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	6844
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	13157
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	20790
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	10917
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	21035
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	73631
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	821
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	1048
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	8096
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	13824
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	431500
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	42225
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	41634
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	3151
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	11034
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	12012
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	15099
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	19210
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	243
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	124450
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	6686
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	1664
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	179502
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	1485
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	20846
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	5625
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	24737
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	123451
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	4892
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	22356
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	5617
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	60982
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	7933
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	7273
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	2561
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	1587
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	19890
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	25020
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	100242
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	46530
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	30537
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	65268
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	25978
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	44
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	24885
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	33268
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	4140
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	72238
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	29308
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	88965
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	23188
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	85635
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	21831
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	20144
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	31903
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	26080
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	20051
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	24585
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	24588
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	20916
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	836
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	372889
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	76495
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	125754
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	5047
http://www.semwebtech.org/mondial/10/country/GB/province/London/	1572
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	14105
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	8573
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	89680
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	22905
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	31418
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	129825
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	196350
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	106798
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	20450
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	160600
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	587400
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	15100
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	48583
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	1348198
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	4991
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	29801
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	148827
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	203013
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	25809
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	25605
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	27375
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	8280
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	12414
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	32081
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	111898
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	16635
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	284332
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	62259
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	251470
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	2678
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	1477953
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	134771
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	77857
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	212818
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	248608
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	314161
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	18419
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	16172
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	891
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	419
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	74800
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	165590
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	16400
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	20800
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	7900
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	55300
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	27134
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	139700
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	472300
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	12300
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	3750
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	194300
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	1431
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	461400
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	26200
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	29084
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	750300
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	53600
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	144900
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	36266
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	170500
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	12500
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	34857
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	44100
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	60100
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	37300
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	76000
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	92600
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	178200
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	316900
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	8000
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	2339700
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	40579
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	31842
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	16396
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	15403
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	116437
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	16873
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	800808
http://www.semwebtech.org/mondial/10/island/Bintan/	1173
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	227495
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	29559
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	23253
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	94351
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	36600
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	10300
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	252900
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	23090
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	13600
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	1000
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	402
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	41796
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	155778
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	8545
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	8207
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	10602
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	5460
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	5145
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	21683
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	14130
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	165321
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	94078
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	139900
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	123100
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	143793
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	102279
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	32163
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	268431
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	34097
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	66500
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	268887
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	114
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	534800
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	3709
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	5475
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	4985
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	4715
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	3526
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	5498
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	6638
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	7754
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	6826
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	8696
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	5896
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	3864
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	30608
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	427982
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	148825
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	12998
http://www.semwebtech.org/mondial/10/country/USA/province/California/	403466
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	167000
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	12542
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	138887
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	22140
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	172119
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	64055
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	169100
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	136351
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	155488
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	102602
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	76748
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	21571
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	53219
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	203
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	45347
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	27207
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	43698
http://www.semwebtech.org/mondial/10/island/Ponape/	336
http://www.semwebtech.org/mondial/10/island/Skye/	1385
http://www.semwebtech.org/mondial/10/island/Mayotte/	374
http://www.semwebtech.org/mondial/10/island/Rugen/	926
http://www.semwebtech.org/mondial/10/island/Trinidad/	4827
http://www.semwebtech.org/mondial/10/island/Palawan/	11785
http://www.semwebtech.org/mondial/10/island/Ceram/	17100
http://www.semwebtech.org/mondial/10/island/Greenland/	2175600
http://www.semwebtech.org/mondial/10/island/Iceland/	102829
http://www.semwebtech.org/mondial/10/island/Kavaratti/	6
http://www.semwebtech.org/mondial/10/island/IsleofWight/	381
http://www.semwebtech.org/mondial/10/island/Streymoy/	373
http://www.semwebtech.org/mondial/10/island/PortoSanto/	42
http://www.semwebtech.org/mondial/10/island/Lefkas/	293
http://www.semwebtech.org/mondial/10/island/Olkhon/	730
http://www.semwebtech.org/mondial/10/island/IsleofMan/	588
http://www.semwebtech.org/mondial/10/island/Kiritimati/	388
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	270
http://www.semwebtech.org/mondial/10/island/Phuket/	576
http://www.semwebtech.org/mondial/10/island/Futuna/	64
http://www.semwebtech.org/mondial/10/island/Lolland/	1241
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	5500
http://www.semwebtech.org/mondial/10/island/Flores/	143
http://www.semwebtech.org/mondial/10/island/Langeland/	284
http://www.semwebtech.org/mondial/10/island/Linosa/	5
http://www.semwebtech.org/mondial/10/island/Ibiza/	572
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	104
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	53.3
http://www.semwebtech.org/mondial/10/island/Reunion/	2510
http://www.semwebtech.org/mondial/10/island/Fohr/	82
http://www.semwebtech.org/mondial/10/island/Montserrat/	102
http://www.semwebtech.org/mondial/10/island/Sumatra/	473000
http://www.semwebtech.org/mondial/10/island/LittleCayman/	20
http://www.semwebtech.org/mondial/10/island/NorthUist/	303
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	147
http://www.semwebtech.org/mondial/10/island/Samosir/	852
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	90650
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	196236
http://www.semwebtech.org/mondial/10/island/SouthUist/	320
http://www.semwebtech.org/mondial/10/island/Sokotra/	3579
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	375
http://www.semwebtech.org/mondial/10/island/St.Martin/	87
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	507451
http://www.semwebtech.org/mondial/10/island/Rhum/	104
http://www.semwebtech.org/mondial/10/island/Luzon/	108172
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	1885
http://www.semwebtech.org/mondial/10/island/Ameland/	57.6
http://www.semwebtech.org/mondial/10/island/Niihau/	178
http://www.semwebtech.org/mondial/10/island/Martinique/	1128
http://www.semwebtech.org/mondial/10/island/Mallorca/	3618
http://www.semwebtech.org/mondial/10/island/Panay/	12297
http://www.semwebtech.org/mondial/10/island/Madagaskar/	587041
http://www.semwebtech.org/mondial/10/island/Antigua/	281
http://www.semwebtech.org/mondial/10/island/Samos/	478
http://www.semwebtech.org/mondial/10/island/Fogo/	476
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	41214
http://www.semwebtech.org/mondial/10/island/Cebu/	5088
http://www.semwebtech.org/mondial/10/island/Barbados/	430
http://www.semwebtech.org/mondial/10/island/Grenada/	344
http://www.semwebtech.org/mondial/10/island/Sylt/	99
http://www.semwebtech.org/mondial/10/island/Menorca/	760
http://www.semwebtech.org/mondial/10/island/Rhodos/	1401
http://www.semwebtech.org/mondial/10/island/Ternate/	137
http://www.semwebtech.org/mondial/10/island/SaintLucia/	616
http://www.semwebtech.org/mondial/10/island/EastFalkland/	6605
http://www.semwebtech.org/mondial/10/island/Savaii/	1707
http://www.semwebtech.org/mondial/10/island/Tongatapu/	260
http://www.semwebtech.org/mondial/10/island/Taiwan/	35801
http://www.semwebtech.org/mondial/10/island/Gomera/	369
http://www.semwebtech.org/mondial/10/island/Samar/	13080
http://www.semwebtech.org/mondial/10/island/Kauai/	1433
http://www.semwebtech.org/mondial/10/island/Wangerooge/	7.9
http://www.semwebtech.org/mondial/10/island/Lipari/	37.5
http://www.semwebtech.org/mondial/10/island/Timor/	33850
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	5660
http://www.semwebtech.org/mondial/10/island/BanksIsland/	70028
http://www.semwebtech.org/mondial/10/island/Unalaska/	2721
http://www.semwebtech.org/mondial/10/island/Kefallinia/	689
http://www.semwebtech.org/mondial/10/island/Mindanao/	95581
http://www.semwebtech.org/mondial/10/island/Jura/	367
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	1660
http://www.semwebtech.org/mondial/10/island/Nevis/	93
http://www.semwebtech.org/mondial/10/island/Salina/	26.8
http://www.semwebtech.org/mondial/10/island/Labuan/	91
http://www.semwebtech.org/mondial/10/island/Lanzarote/	846
http://www.semwebtech.org/mondial/10/island/Westray/	47
http://www.semwebtech.org/mondial/10/island/Helgoland/	1.7
http://www.semwebtech.org/mondial/10/island/Arran/	430
http://www.semwebtech.org/mondial/10/island/Langeoog/	20
http://www.semwebtech.org/mondial/10/island/Maui/	1883
http://www.semwebtech.org/mondial/10/island/Okinawa/	2255
http://www.semwebtech.org/mondial/10/island/Benbecula/	82
http://www.semwebtech.org/mondial/10/island/Seeland/	7439
http://www.semwebtech.org/mondial/10/island/Nantucket/	125
http://www.semwebtech.org/mondial/10/island/Tiree/	78
http://www.semwebtech.org/mondial/10/island/Khark/	20.5
http://www.semwebtech.org/mondial/10/island/Koror/	8
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	212291
http://www.semwebtech.org/mondial/10/island/Hispaniola/	76192
http://www.semwebtech.org/mondial/10/island/Malta/	246
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	6.23
http://www.semwebtech.org/mondial/10/island/Gheschm/	1491
http://www.semwebtech.org/mondial/10/island/Usedom/	445
http://www.semwebtech.org/mondial/10/island/Mindoro/	10244
http://www.semwebtech.org/mondial/10/island/Ireland/	84421
http://www.semwebtech.org/mondial/10/island/Anglesey/	715
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	19162
http://www.semwebtech.org/mondial/10/island/Zakynthos/	406
http://www.semwebtech.org/mondial/10/island/Efate/	900
http://www.semwebtech.org/mondial/10/island/Fakaofo/	4
http://www.semwebtech.org/mondial/10/island/SaintVincent/	346
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	30
http://www.semwebtech.org/mondial/10/island/Guernsey/	194
http://www.semwebtech.org/mondial/10/island/Lampedusa/	20
http://www.semwebtech.org/mondial/10/island/Negros/	13328
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	21
http://www.semwebtech.org/mondial/10/island/Male/	2.74
http://www.semwebtech.org/mondial/10/island/Korfu/	593
http://www.semwebtech.org/mondial/10/island/Vulcano/	21.2
http://www.semwebtech.org/mondial/10/island/Kos/	287
http://www.semwebtech.org/mondial/10/island/Newfoundland/	108860
http://www.semwebtech.org/mondial/10/island/DevonIsland/	55247
http://www.semwebtech.org/mondial/10/island/Upolu/	1125
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	11665
http://www.semwebtech.org/mondial/10/island/Rarotonga/	67
http://www.semwebtech.org/mondial/10/island/Jersey/	117
http://www.semwebtech.org/mondial/10/island/Fehmarn/	185
http://www.semwebtech.org/mondial/10/island/Tasmania/	67800
http://www.semwebtech.org/mondial/10/island/Falster/	514
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	747
http://www.semwebtech.org/mondial/10/island/Bangka/	11942
http://www.semwebtech.org/mondial/10/island/Baltrum/	6.5
http://www.semwebtech.org/mondial/10/island/Chios/	843
http://www.semwebtech.org/mondial/10/island/Mykonos/	105
http://www.semwebtech.org/mondial/10/island/SantaMaria/	97
http://www.semwebtech.org/mondial/10/island/Isabela/	5436
http://www.semwebtech.org/mondial/10/island/Cuba/	105806
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	50
http://www.semwebtech.org/mondial/10/island/NewGuinea/	786000
http://www.semwebtech.org/mondial/10/island/Corvo/	17.5
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	848
http://www.semwebtech.org/mondial/10/island/Terceira/	400
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	40
http://www.semwebtech.org/mondial/10/island/Tutuila/	135
http://www.semwebtech.org/mondial/10/island/Lavan/	76
http://www.semwebtech.org/mondial/10/island/GreatBritain/	229850
http://www.semwebtech.org/mondial/10/island/Impalila/	18
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	970
http://www.semwebtech.org/mondial/10/island/Sansibar/	1658
http://www.semwebtech.org/mondial/10/island/Svalbard/	39044
http://www.semwebtech.org/mondial/10/island/Gozo/	67
http://www.semwebtech.org/mondial/10/island/Pitcairn/	4.5
http://www.semwebtech.org/mondial/10/island/EasterIsland/	163
http://www.semwebtech.org/mondial/10/island/Sachalin/	76400
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	589
http://www.semwebtech.org/mondial/10/island/Bioko/	2017
http://www.semwebtech.org/mondial/10/island/Bahrain/	620
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	205
http://www.semwebtech.org/mondial/10/island/Dominica/	746
http://www.semwebtech.org/mondial/10/island/Jeju/	1845
http://www.semwebtech.org/mondial/10/island/Molokai/	676
http://www.semwebtech.org/mondial/10/island/Ambon/	775
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	526
http://www.semwebtech.org/mondial/10/island/Java/	126650
http://www.semwebtech.org/mondial/10/island/Principe/	142
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	1.5
http://www.semwebtech.org/mondial/10/island/Mahe/	154
http://www.semwebtech.org/mondial/10/island/GranCanaria/	1560
http://www.semwebtech.org/mondial/10/island/Santiago/	991
http://www.semwebtech.org/mondial/10/island/Borneo/	743122
http://www.semwebtech.org/mondial/10/island/Norderney/	26.3
http://www.semwebtech.org/mondial/10/island/Paramuschir/	2042
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	33339
http://www.semwebtech.org/mondial/10/island/LongIsland/	3566
http://www.semwebtech.org/mondial/10/island/Pellworm/	37.4
http://www.semwebtech.org/mondial/10/island/Ikaria/	255
http://www.semwebtech.org/mondial/10/island/Guam/	541
http://www.semwebtech.org/mondial/10/island/Oeland/	1344
http://www.semwebtech.org/mondial/10/island/Ascension/	91
http://www.semwebtech.org/mondial/10/island/SaoTome/	859
http://www.semwebtech.org/mondial/10/island/Panarea/	3.4
http://www.semwebtech.org/mondial/10/island/Lesbos/	1636
http://www.semwebtech.org/mondial/10/island/Uvea/	90
http://www.semwebtech.org/mondial/10/island/Bali/	5561
http://www.semwebtech.org/mondial/10/island/Stromboli/	12.6
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	492
http://www.semwebtech.org/mondial/10/island/SaintHelena/	122
http://www.semwebtech.org/mondial/10/island/KoSamui/	229
http://www.semwebtech.org/mondial/10/island/Mauritius/	1860
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	31285
http://www.semwebtech.org/mondial/10/island/Nauru/	21
http://www.semwebtech.org/mondial/10/island/Dagoe/	965
http://www.semwebtech.org/mondial/10/island/Sicilia/	25462
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	34
http://www.semwebtech.org/mondial/10/island/Sardegna/	24090
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	1210
http://www.semwebtech.org/mondial/10/island/Hierro/	268
http://www.semwebtech.org/mondial/10/island/SaoJorge/	233.5
http://www.semwebtech.org/mondial/10/island/Mull/	910
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	16372
http://www.semwebtech.org/mondial/10/island/SaintPierre/	26
http://www.semwebtech.org/mondial/10/island/Jamaica/	10991
http://www.semwebtech.org/mondial/10/island/Curacao/	444
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	232
http://www.semwebtech.org/mondial/10/island/Terschelling/	88
http://www.semwebtech.org/mondial/10/island/Niue/	260
http://www.semwebtech.org/mondial/10/island/Tinian/	101
http://www.semwebtech.org/mondial/10/island/Bougainville/	8800
http://www.semwebtech.org/mondial/10/island/WestFalkland/	4532
http://www.semwebtech.org/mondial/10/island/NewProvidence/	207
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	114597
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	4405
http://www.semwebtech.org/mondial/10/island/Barbuda/	161
http://www.semwebtech.org/mondial/10/island/Halmahera/	18040
http://www.semwebtech.org/mondial/10/island/Bohol/	4117
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	151757
http://www.semwebtech.org/mondial/10/island/Aruba/	193
http://www.semwebtech.org/mondial/10/island/Amrum/	20.5
http://www.semwebtech.org/mondial/10/island/Rota/	85
http://www.semwebtech.org/mondial/10/island/SanAndres/	26
http://www.semwebtech.org/mondial/10/island/GrandCayman/	197
http://www.semwebtech.org/mondial/10/island/Kreta/	8331
http://www.semwebtech.org/mondial/10/island/Zhoushan/	502
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	194
http://www.semwebtech.org/mondial/10/island/Formentera/	83
http://www.semwebtech.org/mondial/10/island/Vlieland/	40
http://www.semwebtech.org/mondial/10/island/Anjouan/	424
http://www.semwebtech.org/mondial/10/island/Fongafale/	2.8
http://www.semwebtech.org/mondial/10/island/Islay/	619.6
http://www.semwebtech.org/mondial/10/island/Babelthuap/	8
http://www.semwebtech.org/mondial/10/island/Sumbawa/	15448
http://www.semwebtech.org/mondial/10/island/SaintThomas/	31
http://www.semwebtech.org/mondial/10/island/Singapore/	632.6
http://www.semwebtech.org/mondial/10/island/Lanai/	364
http://www.semwebtech.org/mondial/10/island/Madeira/	794
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	245
http://www.semwebtech.org/mondial/10/island/Faial/	172
http://www.semwebtech.org/mondial/10/island/Anguilla/	91
http://www.semwebtech.org/mondial/10/island/PuertoRico/	8870
http://www.semwebtech.org/mondial/10/island/Tobago/	301
http://www.semwebtech.org/mondial/10/island/Barra/	91
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	2020
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	5800
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	18.2
http://www.semwebtech.org/mondial/10/island/Honshu/	230500
http://www.semwebtech.org/mondial/10/island/Banaba/	6.29
http://www.semwebtech.org/mondial/10/island/SriLanka/	65610
http://www.semwebtech.org/mondial/10/island/Alicudi/	5.2
http://www.semwebtech.org/mondial/10/island/Bornholm/	588
http://www.semwebtech.org/mondial/10/island/Oesel/	2714
http://www.semwebtech.org/mondial/10/island/Manitoulin/	2766
http://www.semwebtech.org/mondial/10/island/Oahu/	1557
http://www.semwebtech.org/mondial/10/island/Pemba/	984
http://www.semwebtech.org/mondial/10/island/Gotland/	3140
http://www.semwebtech.org/mondial/10/island/MargitSziget/	1
http://www.semwebtech.org/mondial/10/island/GrandTurk/	14
http://www.semwebtech.org/mondial/10/island/Aland/	650
http://www.semwebtech.org/mondial/10/island/GrandComoro/	1148
http://www.semwebtech.org/mondial/10/island/Texel/	162
http://www.semwebtech.org/mondial/10/island/Hawaii/	10450
http://www.semwebtech.org/mondial/10/island/Tahiti/	1045
http://www.semwebtech.org/mondial/10/island/Juist/	16.4
http://www.semwebtech.org/mondial/10/island/Corse/	8680
http://www.semwebtech.org/mondial/10/island/Teneriffa/	2034
http://www.semwebtech.org/mondial/10/island/Graciosa/	61
http://www.semwebtech.org/mondial/10/island/Saipan/	115
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	2170
http://www.semwebtech.org/mondial/10/island/Syros/	84
http://www.semwebtech.org/mondial/10/island/Hoy/	143
http://www.semwebtech.org/mondial/10/island/Lombok/	4725
http://www.semwebtech.org/mondial/10/island/SaintKitts/	164
http://www.semwebtech.org/mondial/10/island/Tortola/	55
http://www.semwebtech.org/mondial/10/island/Pico/	442
http://www.semwebtech.org/mondial/10/island/Cyprus/	9251
http://www.semwebtech.org/mondial/10/island/LaPalma/	708
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	215
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	37
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	135
http://www.semwebtech.org/mondial/10/island/Hainan/	34380
http://www.semwebtech.org/mondial/10/island/VitiLevu/	10429
http://www.semwebtech.org/mondial/10/island/Filicudi/	9.5
http://www.semwebtech.org/mondial/10/island/Sulawesi/	189216
http://www.semwebtech.org/mondial/10/island/Shikoku/	18800
http://www.semwebtech.org/mondial/10/island/Borkum/	31
http://www.semwebtech.org/mondial/10/island/Leyte/	7368
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	5358
http://www.semwebtech.org/mondial/10/island/Batam/	415
http://www.semwebtech.org/mondial/10/island/Tarawa/	39
http://www.semwebtech.org/mondial/10/island/Mohilla/	290
http://www.semwebtech.org/mondial/10/island/Hokkaido/	83456
http://www.semwebtech.org/mondial/10/island/Fuenen/	2976
http://www.semwebtech.org/mondial/10/island/Majuro/	9.2
http://www.semwebtech.org/mondial/10/island/Kyushu/	35640
http://www.semwebtech.org/mondial/10/river/Guadiana/	67733
http://www.semwebtech.org/mondial/10/lake/Inari/	1040
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	57800
http://www.semwebtech.org/mondial/10/river/Jenissej/	2554482
http://www.semwebtech.org/mondial/10/river/Oranje/	973000
http://www.semwebtech.org/mondial/10/river/Uruguay/	297199
http://www.semwebtech.org/mondial/10/river/Theiss/	146500
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	32893
http://www.semwebtech.org/mondial/10/lake/Maelaren/	1140
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	5347
http://www.semwebtech.org/mondial/10/river/Schari/	548747
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	18404
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	31492
http://www.semwebtech.org/mondial/10/river/Araguaia/	384800
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	8200
http://www.semwebtech.org/mondial/10/lake/LakeErie/	25745
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	1243
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	17160
http://www.semwebtech.org/mondial/10/river/Dnepr/	531817
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	1030000
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	114
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	487
http://www.semwebtech.org/mondial/10/river/Irtysch/	1673470
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	6450
http://www.semwebtech.org/mondial/10/river/Ticino/	7228
http://www.semwebtech.org/mondial/10/river/Würm/	3100
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	368
http://www.semwebtech.org/mondial/10/river/Tobol/	426000
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	8502
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	113.7
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	273
http://www.semwebtech.org/mondial/10/river/Isar/	8370
http://www.semwebtech.org/mondial/10/river/Jangtse/	1722155
http://www.semwebtech.org/mondial/10/river/Po/	75000
http://www.semwebtech.org/mondial/10/river/Rhone/	100000
http://www.semwebtech.org/mondial/10/river/Mississippi/	2981076
http://www.semwebtech.org/mondial/10/lake/LakeToba/	1103
http://www.semwebtech.org/mondial/10/river/Loire/	117000
http://www.semwebtech.org/mondial/10/river/Niger/	2261763
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	24420
http://www.semwebtech.org/mondial/10/river/Leine/	6512
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	12900
http://www.semwebtech.org/mondial/10/river/Senegal/	337000
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	18428
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	320
http://www.semwebtech.org/mondial/10/river/Vuoksi/	52.4
http://www.semwebtech.org/mondial/10/river/Dnjestr/	72100
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	5770
http://www.semwebtech.org/mondial/10/river/Missouri/	1371010
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	11.3
http://www.semwebtech.org/mondial/10/river/Irawaddy/	413674
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	1578
http://www.semwebtech.org/mondial/10/river/Seine/	75000
http://www.semwebtech.org/mondial/10/river/Amudarja/	465000
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	370
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	10000
http://www.semwebtech.org/mondial/10/river/Katun/	60900
http://www.semwebtech.org/mondial/10/river/Kama/	507000
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	357052
http://www.semwebtech.org/mondial/10/river/March/	27633
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	216
http://www.semwebtech.org/mondial/10/lake/Thunersee/	48.3
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	165
http://www.semwebtech.org/mondial/10/river/Cuango/	263500
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	56.36
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	0.005
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	798
http://www.semwebtech.org/mondial/10/river/Ural/	244280
http://www.semwebtech.org/mondial/10/river/RioNegro/	720114
http://www.semwebtech.org/mondial/10/river/Adda/	7979
http://www.semwebtech.org/mondial/10/river/Saluen/	320000
http://www.semwebtech.org/mondial/10/river/Reuss/	3425
http://www.semwebtech.org/mondial/10/river/Weser/	41.094
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	263858
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	2800
http://www.semwebtech.org/mondial/10/river/Angara/	1039000
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	922
http://www.semwebtech.org/mondial/10/river/Maas/	34548
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	27046
http://www.semwebtech.org/mondial/10/river/Ucayali/	337519
http://www.semwebtech.org/mondial/10/lake/LopNor/	5000
http://www.semwebtech.org/mondial/10/river/Ebro/	83093
http://www.semwebtech.org/mondial/10/lake/LakePowell/	645
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	1130
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	2252
http://www.semwebtech.org/mondial/10/lake/Siljan/	290
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	30
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	57
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	3555
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	146
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	29.8
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	10582
http://www.semwebtech.org/mondial/10/lake/LakeTana/	3000
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	2325
http://www.semwebtech.org/mondial/10/river/Raab/	1020
http://www.semwebtech.org/mondial/10/river/Ganges/	1016104
http://www.semwebtech.org/mondial/10/river/Rhein/	198735
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	1685
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	981
http://www.semwebtech.org/mondial/10/lake/DeadSea/	41650
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	18960
http://www.semwebtech.org/mondial/10/lake/Poopo/	1340
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	500
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	5760
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	1285
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	9616
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	8372
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	82103
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	2650
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	497
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	59600
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	186
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	1453
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	1118
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	80
http://www.semwebtech.org/mondial/10/river/Mantaro/	15410
http://www.semwebtech.org/mondial/10/river/Drau/	11828
http://www.semwebtech.org/mondial/10/river/Piva/	1270
http://www.semwebtech.org/mondial/10/river/Ammer/	3100
http://www.semwebtech.org/mondial/10/river/Alz/	2197
http://www.semwebtech.org/mondial/10/river/RioGrande/	607965
http://www.semwebtech.org/mondial/10/river/Limmat/	2416
http://www.semwebtech.org/mondial/10/river/Save/	95419
http://www.semwebtech.org/mondial/10/river/Etsch/	12200
http://www.semwebtech.org/mondial/10/river/Tajo/	80600
http://www.semwebtech.org/mondial/10/river/Vaal/	973000
http://www.semwebtech.org/mondial/10/river/Kolyma/	526000
http://www.semwebtech.org/mondial/10/river/Hwangho/	752000
http://www.semwebtech.org/mondial/10/river/Lech/	3926
http://www.semwebtech.org/mondial/10/river/Dnister/	72100
http://www.semwebtech.org/mondial/10/river/WesternBug/	39400
http://www.semwebtech.org/mondial/10/river/Main/	27292
http://www.semwebtech.org/mondial/10/river/Indus/	980000
http://www.semwebtech.org/mondial/10/river/RioMamore/	24300
http://www.semwebtech.org/mondial/10/river/Tocantins/	749200
http://www.semwebtech.org/mondial/10/lake/LakeVan/	3740
http://www.semwebtech.org/mondial/10/lake/Bodensee/	538.5
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	675
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	88
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	5580
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	320
http://www.semwebtech.org/mondial/10/lake/Saimaa/	4370
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	4400
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	128
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	1800
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	1600
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	6.64
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	9500
http://www.semwebtech.org/mondial/10/lake/LochNess/	56
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	49
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	4848
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	14.4
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	1942
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	648
http://www.semwebtech.org/mondial/10/lake/Arresoe/	40.2
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	911
http://www.semwebtech.org/mondial/10/lake/LakeHume/	202
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	5470
http://www.semwebtech.org/mondial/10/lake/Vaettern/	1900
http://www.semwebtech.org/mondial/10/lake/Storuman/	173
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	5250
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	12000
http://www.semwebtech.org/mondial/10/lake/LacAssal/	54
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	386400
http://www.semwebtech.org/mondial/10/lake/Ammersee/	46.6
http://www.semwebtech.org/mondial/10/lake/CraterLake/	53.2
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	3.3
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	4400
http://www.semwebtech.org/mondial/10/lake/LacLeman/	581
http://www.semwebtech.org/mondial/10/lake/NamCo/	1855
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	145
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	0.4
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	928
http://www.semwebtech.org/mondial/10/lake/Balaton/	594
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	2155
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	18400
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	28568
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	367
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	80
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	6133
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	1035
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	104
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	770
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	31792
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	147
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	1050
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	800
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	472
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	175
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	368
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	1
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	4214
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	8157
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	6405
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	4560
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	29600
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	4583
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	1890
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	1720
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	13000
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	687
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	2500
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	6236
http://www.semwebtech.org/mondial/10/lake/ChadLake/	23000
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	337
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	1040
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	68870
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	5120
http://www.semwebtech.org/mondial/10/lake/Vaenern/	5648
http://www.semwebtech.org/mondial/10/lake/LochLomond/	71
http://www.semwebtech.org/mondial/10/lake/LakeMead/	640
http://www.semwebtech.org/mondial/10/river/Drina/	19926
http://www.semwebtech.org/mondial/10/river/Mosel/	28286
http://www.semwebtech.org/mondial/10/river/Olt/	24010
http://www.semwebtech.org/mondial/10/river/Colorado/	629100
http://www.semwebtech.org/mondial/10/river/Lena/	2306772
http://www.semwebtech.org/mondial/10/river/Inn/	25700
http://www.semwebtech.org/mondial/10/river/Zaire/	3700000
http://www.semwebtech.org/mondial/10/river/Donau/	795686
http://www.semwebtech.org/mondial/10/river/Garonne/	55000
http://www.semwebtech.org/mondial/10/river/Syrdarja/	782669
http://www.semwebtech.org/mondial/10/river/Salzach/	6700
http://www.semwebtech.org/mondial/10/river/Newa/	281000
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	668217
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	684000
http://www.semwebtech.org/mondial/10/river/Arkansas/	435122
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	1093442
http://www.semwebtech.org/mondial/10/river/Doubs/	4400
http://www.semwebtech.org/mondial/10/river/Ob/	2972497
http://www.semwebtech.org/mondial/10/river/Zambezi/	1332574
http://www.semwebtech.org/mondial/10/river/Argun/	164000
http://www.semwebtech.org/mondial/10/river/Amazonas/	7050000
http://www.semwebtech.org/mondial/10/river/Kemijoki/	51.127
http://www.semwebtech.org/mondial/10/river/Okavango/	721.258
http://www.semwebtech.org/mondial/10/river/Prypjat/	114300
http://www.semwebtech.org/mondial/10/river/Tigris/	375000
http://www.semwebtech.org/mondial/10/river/Oulujoki/	22.841
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	4964
http://www.semwebtech.org/mondial/10/river/Volga/	1410000
http://www.semwebtech.org/mondial/10/river/Atbara/	112000
http://www.semwebtech.org/mondial/10/river/Mur/	13824
http://www.semwebtech.org/mondial/10/river/Pibor/	10000
http://www.semwebtech.org/mondial/10/river/Don/	425600
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	146100
http://www.semwebtech.org/mondial/10/river/Sobat/	225000
http://www.semwebtech.org/mondial/10/river/Douro/	98400
http://www.semwebtech.org/mondial/10/river/Mekong/	795000
http://www.semwebtech.org/mondial/10/river/Weichsel/	194424
http://www.semwebtech.org/mondial/10/river/Limpopo/	413000
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	56978
http://www.semwebtech.org/mondial/10/river/Neckar/	14000
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	617812
http://www.semwebtech.org/mondial/10/river/Aller/	15744
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	13968
http://www.semwebtech.org/mondial/10/river/Breg/	291.2
http://www.semwebtech.org/mondial/10/river/Fulda/	6947
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	50180
http://www.semwebtech.org/mondial/10/river/Mincio/	2859
http://www.semwebtech.org/mondial/10/river/Aare/	17620
http://www.semwebtech.org/mondial/10/river/Moraca/	1600
http://www.semwebtech.org/mondial/10/river/Marne/	12800
http://www.semwebtech.org/mondial/10/river/Buna/	5187
http://www.semwebtech.org/mondial/10/river/Werra/	5496
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	886300
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	29992
http://www.semwebtech.org/mondial/10/river/Enns/	5940
http://www.semwebtech.org/mondial/10/river/Saar/	7431
http://www.semwebtech.org/mondial/10/river/Moldau/	28000
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	15469
http://www.semwebtech.org/mondial/10/river/Suchona/	50300
http://www.semwebtech.org/mondial/10/river/WesternMorava/	15849
http://www.semwebtech.org/mondial/10/river/Chatanga/	275000
http://www.semwebtech.org/mondial/10/river/Pruth/	27500
http://www.semwebtech.org/mondial/10/river/Oder/	118861
http://www.semwebtech.org/mondial/10/river/Paraguay/	1168540
http://www.semwebtech.org/mondial/10/river/Thames/	12935
http://www.semwebtech.org/mondial/10/river/Gambia/	69931
http://www.semwebtech.org/mondial/10/river/Isere/	11800
http://www.semwebtech.org/mondial/10/river/Iller/	2152
http://www.semwebtech.org/mondial/10/river/Amur/	1855000
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	23400
http://www.semwebtech.org/mondial/10/river/Parana/	2582672
http://www.semwebtech.org/mondial/10/river/Maranon/	382877
http://www.semwebtech.org/mondial/10/river/Shabelle/	336627
http://www.semwebtech.org/mondial/10/river/Morava/	37444
http://www.semwebtech.org/mondial/10/river/Waag/	10640
http://www.semwebtech.org/mondial/10/river/Luvua/	265300
http://www.semwebtech.org/mondial/10/river/Baro/	41400
http://www.semwebtech.org/mondial/10/river/Kura/	218906
http://www.semwebtech.org/mondial/10/river/Drin/	11756
http://www.semwebtech.org/mondial/10/river/Elbe/	148268
http://www.semwebtech.org/mondial/10/river/Nile/	3254853
http://www.semwebtech.org/mondial/10/river/Jubba/	497626
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	651334
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	1050111
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	5405
http://www.semwebtech.org/mondial/10/river/Arno/	8200
http://www.semwebtech.org/mondial/10/river/Selenge/	447000
http://www.semwebtech.org/mondial/10/river/OhioRiver/	490574
http://www.semwebtech.org/mondial/10/river/Brigach/	195
http://www.semwebtech.org/mondial/10/river/Thjorsa/	7530
\.


--
-- TOC entry 5884 (class 0 OID 93847)
-- Dependencies: 837
-- Data for Name: borders; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY borders ("Entity", "LargeArea") FROM stdin;
\.


--
-- TOC entry 5885 (class 0 OID 93850)
-- Dependencies: 838
-- Data for Name: capital; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY capital ("Subject", "City") FROM stdin;
http://www.semwebtech.org/mondial/10/country/SY/	http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/
http://www.semwebtech.org/mondial/10/country/CR/	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/
http://www.semwebtech.org/mondial/10/country/GUAD/	http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/
http://www.semwebtech.org/mondial/10/country/RO/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/
http://www.semwebtech.org/mondial/10/country/BHT/	http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/
http://www.semwebtech.org/mondial/10/country/GQ/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/
http://www.semwebtech.org/mondial/10/country/RB/	http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/
http://www.semwebtech.org/mondial/10/country/SPMI/	http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/
http://www.semwebtech.org/mondial/10/country/NIC/	http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/
http://www.semwebtech.org/mondial/10/country/SK/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/
http://www.semwebtech.org/mondial/10/country/G/	http://www.semwebtech.org/mondial/10/country/G/city/Libreville/
http://www.semwebtech.org/mondial/10/country/EAU/	http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/
http://www.semwebtech.org/mondial/10/country/MH/	http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/
http://www.semwebtech.org/mondial/10/country/AZ/	http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/
http://www.semwebtech.org/mondial/10/country/RP/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/
http://www.semwebtech.org/mondial/10/country/UAE/	http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/
http://www.semwebtech.org/mondial/10/country/NAU/	http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/
http://www.semwebtech.org/mondial/10/country/RC/	http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/
http://www.semwebtech.org/mondial/10/country/GR/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/
http://www.semwebtech.org/mondial/10/country/CUR/	http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/
http://www.semwebtech.org/mondial/10/country/V/	http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/
http://www.semwebtech.org/mondial/10/country/CAM/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/
http://www.semwebtech.org/mondial/10/country/H/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/
http://www.semwebtech.org/mondial/10/country/BY/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/
http://www.semwebtech.org/mondial/10/country/AMSA/	http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/
http://www.semwebtech.org/mondial/10/country/CDN/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/
http://www.semwebtech.org/mondial/10/country/PY/	http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/
http://www.semwebtech.org/mondial/10/country/VN/	http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/
http://www.semwebtech.org/mondial/10/country/WAN/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/
http://www.semwebtech.org/mondial/10/country/WL/	http://www.semwebtech.org/mondial/10/country/WL/city/Castries/
http://www.semwebtech.org/mondial/10/country/PL/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/
http://www.semwebtech.org/mondial/10/country/KGZ/	http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/
http://www.semwebtech.org/mondial/10/country/FALK/	http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/
http://www.semwebtech.org/mondial/10/country/KIR/	http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/
http://www.semwebtech.org/mondial/10/country/GBZ/	http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/
http://www.semwebtech.org/mondial/10/country/PK/	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/
http://www.semwebtech.org/mondial/10/country/ZRE/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/
http://www.semwebtech.org/mondial/10/country/TUV/	http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/
http://www.semwebtech.org/mondial/10/country/COM/	http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/
http://www.semwebtech.org/mondial/10/country/KWT/	http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/
http://www.semwebtech.org/mondial/10/country/TCH/	http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/
http://www.semwebtech.org/mondial/10/country/PAL/	http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/
http://www.semwebtech.org/mondial/10/country/CV/	http://www.semwebtech.org/mondial/10/country/CV/city/Praia/
http://www.semwebtech.org/mondial/10/country/NCA/	http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/
http://www.semwebtech.org/mondial/10/country/SGP/	http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/
http://www.semwebtech.org/mondial/10/country/GUY/	http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/
http://www.semwebtech.org/mondial/10/country/HCA/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/
http://www.semwebtech.org/mondial/10/country/YE/	http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/
http://www.semwebtech.org/mondial/10/country/IL/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/IRQ/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/
http://www.semwebtech.org/mondial/10/country/CH/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/
http://www.semwebtech.org/mondial/10/country/J/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/
http://www.semwebtech.org/mondial/10/country/FSM/	http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/
http://www.semwebtech.org/mondial/10/country/MK/	http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/
http://www.semwebtech.org/mondial/10/country/BRN/	http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/
http://www.semwebtech.org/mondial/10/country/SMAR/	http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/
http://www.semwebtech.org/mondial/10/country/CI/	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/
http://www.semwebtech.org/mondial/10/country/FJI/	http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/
http://www.semwebtech.org/mondial/10/country/BOL/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/RT/	http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/
http://www.semwebtech.org/mondial/10/country/LAO/	http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/
http://www.semwebtech.org/mondial/10/country/I/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/
http://www.semwebtech.org/mondial/10/country/HR/	http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/
http://www.semwebtech.org/mondial/10/country/LB/	http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/
http://www.semwebtech.org/mondial/10/country/BVIR/	http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/
http://www.semwebtech.org/mondial/10/country/ARU/	http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/
http://www.semwebtech.org/mondial/10/country/GH/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/
http://www.semwebtech.org/mondial/10/country/FGU/	http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/
http://www.semwebtech.org/mondial/10/country/PA/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/
http://www.semwebtech.org/mondial/10/country/Z/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/
http://www.semwebtech.org/mondial/10/country/RH/	http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/
http://www.semwebtech.org/mondial/10/country/SRB/	http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/
http://www.semwebtech.org/mondial/10/country/ETH/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/BZ/	http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/
http://www.semwebtech.org/mondial/10/country/TM/	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/
http://www.semwebtech.org/mondial/10/country/WAG/	http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/
http://www.semwebtech.org/mondial/10/country/GROX/	http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/
http://www.semwebtech.org/mondial/10/country/SD/	http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/
http://www.semwebtech.org/mondial/10/country/RI/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/
http://www.semwebtech.org/mondial/10/country/EC/	http://www.semwebtech.org/mondial/10/country/EC/city/Quito/
http://www.semwebtech.org/mondial/10/country/CY/	http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/
http://www.semwebtech.org/mondial/10/country/REUN/	http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/
http://www.semwebtech.org/mondial/10/country/K/	http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/
http://www.semwebtech.org/mondial/10/country/MYA/	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/SP/	http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/
http://www.semwebtech.org/mondial/10/country/GBG/	http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/
http://www.semwebtech.org/mondial/10/country/TL/	http://www.semwebtech.org/mondial/10/country/TL/city/Dili/
http://www.semwebtech.org/mondial/10/country/BIH/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/
http://www.semwebtech.org/mondial/10/country/CZ/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/
http://www.semwebtech.org/mondial/10/country/SLB/	http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/
http://www.semwebtech.org/mondial/10/country/ARM/	http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/
http://www.semwebtech.org/mondial/10/country/EAK/	http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/
http://www.semwebtech.org/mondial/10/country/SF/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/
http://www.semwebtech.org/mondial/10/country/PITC/	http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/
http://www.semwebtech.org/mondial/10/country/BEN/	http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/
http://www.semwebtech.org/mondial/10/country/ES/	http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/
http://www.semwebtech.org/mondial/10/country/N/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/
http://www.semwebtech.org/mondial/10/country/WEST/	http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/
http://www.semwebtech.org/mondial/10/country/PE/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/
http://www.semwebtech.org/mondial/10/country/LAR/	http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/
http://www.semwebtech.org/mondial/10/country/ER/	http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/
http://www.semwebtech.org/mondial/10/country/MEX/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/
http://www.semwebtech.org/mondial/10/country/RL/	http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/
http://www.semwebtech.org/mondial/10/country/BD/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/
http://www.semwebtech.org/mondial/10/country/MEL/	http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/
http://www.semwebtech.org/mondial/10/country/C/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/
http://www.semwebtech.org/mondial/10/country/TAD/	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/
http://www.semwebtech.org/mondial/10/country/KAZ/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/
http://www.semwebtech.org/mondial/10/country/MC/	http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/
http://www.semwebtech.org/mondial/10/country/SLO/	http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/
http://www.semwebtech.org/mondial/10/country/SVAX/	http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/
http://www.semwebtech.org/mondial/10/country/MA/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/
http://www.semwebtech.org/mondial/10/country/BDS/	http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/
http://www.semwebtech.org/mondial/10/country/BS/	http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/
http://www.semwebtech.org/mondial/10/country/LV/	http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/
http://www.semwebtech.org/mondial/10/country/AXA/	http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/
http://www.semwebtech.org/mondial/10/country/RCH/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/
http://www.semwebtech.org/mondial/10/country/Q/	http://www.semwebtech.org/mondial/10/country/Q/city/Doha/
http://www.semwebtech.org/mondial/10/country/D/	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/
http://www.semwebtech.org/mondial/10/country/RWA/	http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/
http://www.semwebtech.org/mondial/10/country/DZ/	http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/
http://www.semwebtech.org/mondial/10/country/NEP/	http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/
http://www.semwebtech.org/mondial/10/country/E/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/
http://www.semwebtech.org/mondial/10/country/TO/	http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/
http://www.semwebtech.org/mondial/10/country/L/	http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/
http://www.semwebtech.org/mondial/10/country/FPOL/	http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/
http://www.semwebtech.org/mondial/10/country/M/	http://www.semwebtech.org/mondial/10/country/M/city/Valletta/
http://www.semwebtech.org/mondial/10/country/SBAR/	http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/
http://www.semwebtech.org/mondial/10/country/BRU/	http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/
http://www.semwebtech.org/mondial/10/country/MAYO/	http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/
http://www.semwebtech.org/mondial/10/country/YV/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/
http://www.semwebtech.org/mondial/10/country/WAL/	http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/
http://www.semwebtech.org/mondial/10/country/CEU/	http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/
http://www.semwebtech.org/mondial/10/country/EW/	http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/
http://www.semwebtech.org/mondial/10/country/TUCA/	http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/
http://www.semwebtech.org/mondial/10/country/LT/	http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/
http://www.semwebtech.org/mondial/10/country/LS/	http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/
http://www.semwebtech.org/mondial/10/country/WD/	http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/
http://www.semwebtech.org/mondial/10/country/WS/	http://www.semwebtech.org/mondial/10/country/WS/city/Apia/
http://www.semwebtech.org/mondial/10/country/B/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/country/HELX/	http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/
http://www.semwebtech.org/mondial/10/country/RA/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/
http://www.semwebtech.org/mondial/10/country/MOC/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/
http://www.semwebtech.org/mondial/10/country/NLSM/	http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/
http://www.semwebtech.org/mondial/10/country/NZ/	http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/
http://www.semwebtech.org/mondial/10/country/JA/	http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/
http://www.semwebtech.org/mondial/10/country/TOK/	http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/
http://www.semwebtech.org/mondial/10/country/DK/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/
http://www.semwebtech.org/mondial/10/country/MACX/	http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/
http://www.semwebtech.org/mondial/10/country/PNG/	http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/
http://www.semwebtech.org/mondial/10/country/NL/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/
http://www.semwebtech.org/mondial/10/country/IR/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/
http://www.semwebtech.org/mondial/10/country/NIUE/	http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/
http://www.semwebtech.org/mondial/10/country/P/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/
http://www.semwebtech.org/mondial/10/country/SSD/	http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/
http://www.semwebtech.org/mondial/10/country/RSM/	http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/
http://www.semwebtech.org/mondial/10/country/UA/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/
http://www.semwebtech.org/mondial/10/country/STP/	http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/
http://www.semwebtech.org/mondial/10/country/WG/	http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/
http://www.semwebtech.org/mondial/10/country/TR/	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/
http://www.semwebtech.org/mondial/10/country/GBM/	http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/
http://www.semwebtech.org/mondial/10/country/IS/	http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/
http://www.semwebtech.org/mondial/10/country/CN/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/
http://www.semwebtech.org/mondial/10/country/MNE/	http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/
http://www.semwebtech.org/mondial/10/country/S/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/
http://www.semwebtech.org/mondial/10/country/KN/	http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/
http://www.semwebtech.org/mondial/10/country/NMIS/	http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/
http://www.semwebtech.org/mondial/10/country/GB/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/country/F/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/country/RMM/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/
http://www.semwebtech.org/mondial/10/country/XMAS/	http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/
http://www.semwebtech.org/mondial/10/country/AL/	http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/
http://www.semwebtech.org/mondial/10/country/SUD/	http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/
http://www.semwebtech.org/mondial/10/country/COCO/	http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/
http://www.semwebtech.org/mondial/10/country/EAT/	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/
http://www.semwebtech.org/mondial/10/country/MNG/	http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/
http://www.semwebtech.org/mondial/10/country/OM/	http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/
http://www.semwebtech.org/mondial/10/country/SA/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/
http://www.semwebtech.org/mondial/10/country/GE/	http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/
http://www.semwebtech.org/mondial/10/country/RCB/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/
http://www.semwebtech.org/mondial/10/country/FL/	http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/
http://www.semwebtech.org/mondial/10/country/TN/	http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/
http://www.semwebtech.org/mondial/10/country/VU/	http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/
http://www.semwebtech.org/mondial/10/country/GCA/	http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/
http://www.semwebtech.org/mondial/10/country/IRL/	http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/
http://www.semwebtech.org/mondial/10/country/WV/	http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/
http://www.semwebtech.org/mondial/10/country/KOS/	http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/
http://www.semwebtech.org/mondial/10/country/GBJ/	http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/
http://www.semwebtech.org/mondial/10/country/MNTS/	http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/
http://www.semwebtech.org/mondial/10/country/CAYM/	http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/
http://www.semwebtech.org/mondial/10/country/A/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/country/GNB/	http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/
http://www.semwebtech.org/mondial/10/country/MD/	http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/
http://www.semwebtech.org/mondial/10/country/RM/	http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/
http://www.semwebtech.org/mondial/10/country/MAL/	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/CO/	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/
http://www.semwebtech.org/mondial/10/country/GUAM/	http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/
http://www.semwebtech.org/mondial/10/country/BR/	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/
http://www.semwebtech.org/mondial/10/country/FARX/	http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/
http://www.semwebtech.org/mondial/10/country/USA/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/country/MS/	http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/
http://www.semwebtech.org/mondial/10/country/RN/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/
http://www.semwebtech.org/mondial/10/country/TT/	http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/
http://www.semwebtech.org/mondial/10/country/VIRG/	http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/
http://www.semwebtech.org/mondial/10/country/JOR/	http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/
http://www.semwebtech.org/mondial/10/country/RIM/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/
http://www.semwebtech.org/mondial/10/country/DJI/	http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/
http://www.semwebtech.org/mondial/10/country/SME/	http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/
http://www.semwebtech.org/mondial/10/country/ANG/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/
http://www.semwebtech.org/mondial/10/country/THA/	http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/
http://www.semwebtech.org/mondial/10/country/BERM/	http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/
http://www.semwebtech.org/mondial/10/country/BI/	http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/
http://www.semwebtech.org/mondial/10/country/WSA/	http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/
http://www.semwebtech.org/mondial/10/country/MV/	http://www.semwebtech.org/mondial/10/country/MV/city/Male/
http://www.semwebtech.org/mondial/10/country/ROU/	http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/
http://www.semwebtech.org/mondial/10/country/IND/	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/
http://www.semwebtech.org/mondial/10/country/SN/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/
http://www.semwebtech.org/mondial/10/country/MW/	http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/
http://www.semwebtech.org/mondial/10/country/HONX/	http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/
http://www.semwebtech.org/mondial/10/country/NOK/	http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/
http://www.semwebtech.org/mondial/10/country/RCA/	http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/
http://www.semwebtech.org/mondial/10/country/RG/	http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/
http://www.semwebtech.org/mondial/10/country/COOK/	http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/
http://www.semwebtech.org/mondial/10/country/SYR/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/
http://www.semwebtech.org/mondial/10/country/ROK/	http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/
http://www.semwebtech.org/mondial/10/country/NAM/	http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/
http://www.semwebtech.org/mondial/10/country/CL/	http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/
http://www.semwebtech.org/mondial/10/country/AG/	http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/
http://www.semwebtech.org/mondial/10/country/WAFU/	http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/
http://www.semwebtech.org/mondial/10/country/PR/	http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/DOM/	http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/
http://www.semwebtech.org/mondial/10/country/UZB/	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/
http://www.semwebtech.org/mondial/10/country/ZW/	http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/
http://www.semwebtech.org/mondial/10/country/NORF/	http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/
http://www.semwebtech.org/mondial/10/country/R/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/country/BF/	http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/
http://www.semwebtech.org/mondial/10/country/MART/	http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/
http://www.semwebtech.org/mondial/10/country/BG/	http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/
http://www.semwebtech.org/mondial/10/country/ET/	http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/
http://www.semwebtech.org/mondial/10/country/RSA/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/
http://www.semwebtech.org/mondial/10/country/AFG/	http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/
http://www.semwebtech.org/mondial/10/country/AND/	http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/
http://www.semwebtech.org/mondial/10/country/AUS/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/
http://www.semwebtech.org/mondial/10/country/GB/province/London/	http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/
http://www.semwebtech.org/mondial/10/country/USA/province/California/	http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/
\.


--
-- TOC entry 5886 (class 0 OID 93853)
-- Dependencies: 839
-- Data for Name: cityIn; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "cityIn" ("City", "AdministrativeArea") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	http://www.semwebtech.org/mondial/10/country/BHT/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/province/Madrid/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	http://www.semwebtech.org/mondial/10/country/V/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/province/Callao/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/province/Konya/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	http://www.semwebtech.org/mondial/10/country/SK/province/Košický/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/province/Lara/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/province/Limousin/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	http://www.semwebtech.org/mondial/10/country/SD/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	http://www.semwebtech.org/mondial/10/country/H/province/Békés/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/province/Moscow/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	http://www.semwebtech.org/mondial/10/country/ARM/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	http://www.semwebtech.org/mondial/10/country/RSM/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	http://www.semwebtech.org/mondial/10/country/RO/province/Arad/
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	http://www.semwebtech.org/mondial/10/country/CH/province/Zug/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	http://www.semwebtech.org/mondial/10/country/RO/province/Alba/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	http://www.semwebtech.org/mondial/10/country/CO/province/Meta/
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	http://www.semwebtech.org/mondial/10/country/AND/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	http://www.semwebtech.org/mondial/10/country/BR/province/Acre/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	http://www.semwebtech.org/mondial/10/country/D/province/Berlin/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	http://www.semwebtech.org/mondial/10/country/RA/province/Salta/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
\.


--
-- TOC entry 5887 (class 0 OID 93856)
-- Dependencies: 840
-- Data for Name: hasAccountNo; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "hasAccountNo" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 5888 (class 0 OID 93862)
-- Dependencies: 841
-- Data for Name: hasChild; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "hasChild" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 5889 (class 0 OID 93865)
-- Dependencies: 842
-- Data for Name: hasNickname; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "hasNickname" ("Person", "VALUE") FROM stdin;
\.


--
-- TOC entry 5890 (class 0 OID 93868)
-- Dependencies: 843
-- Data for Name: inv; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY inv (property, inverse) FROM stdin;
spokenInCountry	speakLanguage
speakLanguage	spokenInCountry
invfktprop	invfktprop_Inv
invfktprop_Inv	invfktprop
liveInInfo	onEthnicGroup
onEthnicGroup	liveInInfo
languageInfo	languageInfo-
languageInfo-	languageInfo
locatedOnIsland	locatedOnIsland_Inv
locatedOnIsland_Inv	locatedOnIsland
hasSource-	hasSource
hasSource	hasSource-
cityIn	hasCity
hasCity	cityIn
marriedWith	marriedWith
belongsToIslands_Inv	belongsToIslands
belongsToIslands	belongsToIslands_Inv
locatedInWater_Inv	locatedInWater
locatedInWater	locatedInWater_Inv
hasEstuary	hasEstuary-
hasEstuary-	hasEstuary
locatedIn_Inv	locatedIn
locatedIn	locatedIn_Inv
hasProvince	isProvinceOf
isProvinceOf	hasProvince
hasFather	hasFather_Inv
hasFather_Inv	hasFather
neighbor	neighbor
inMountains	inMountains_Inv
inMountains_Inv	inMountains
borders	borders_Inv
borders_Inv	borders
wasDependentOf_Inv	wasDependentOf
wasDependentOf	wasDependentOf_Inv
isInMembership	ofMember
ofMember	isInMembership
mergesWith	mergesWith
encompasses	encompassed
encompassed	encompasses
locatedAt_Inv	locatedAt
locatedAt	locatedAt_Inv
populationcount	populationcount_Inv
populationcount_Inv	populationcount
onLanguage	spokenInInfo
spokenInInfo	onLanguage
liveInCountry	belongToEthnicGroup
belongToEthnicGroup	liveInCountry
isMember	hasMember
hasMember	isMember
believeInReligion	believedInCountry
believedInCountry	believeInReligion
hasParent	hasChild
hasChild	hasParent
isCapitalOf	capital
capital	isCapitalOf
flowsThrough_Inv	flowsThrough
flowsThrough	flowsThrough_Inv
dependentOf_Inv	dependentOf
dependentOf	dependentOf_Inv
encompassedArea	encompassedByInfo
encompassedByInfo	encompassedArea
totUpartV11prop_Inv	totUpartV11prop
totUpartV11prop	totUpartV11prop_Inv
nmprop	nmprop_Inv
nmprop_Inv	nmprop
hasMother_Inv	hasMother
hasMother	hasMother_Inv
hasBorder	bordering
bordering	hasBorder
religionInfo-	religionInfo
religionInfo	religionInfo-
encompassesInfo	encompassedBy
encompassedBy	encompassesInfo
flowsInto_Inv	flowsInto
flowsInto	flowsInto_Inv
hasHeadq	hasHeadq_Inv
hasHeadq_Inv	hasHeadq
inOrganization	hasMembership
hasMembership	inOrganization
onReligion	followedInInfo
followedInInfo	onReligion
ethnicInfo-	ethnicInfo
ethnicInfo	ethnicInfo-
\.


--
-- TOC entry 5891 (class 0 OID 93871)
-- Dependencies: 844
-- Data for Name: locatedAt; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "locatedAt" ("City", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	http://www.semwebtech.org/mondial/10/river/MerrimackRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	http://www.semwebtech.org/mondial/10/river/Schilka/
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/river/Asahan/
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/river/Weser/
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/river/Oulujoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	http://www.semwebtech.org/mondial/10/river/Raab/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	http://www.semwebtech.org/mondial/10/river/Dnister/
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	http://www.semwebtech.org/mondial/10/river/YukonRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/lake/LacLeman/
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/river/Kymijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	http://www.semwebtech.org/mondial/10/river/Senegal/
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	http://www.semwebtech.org/mondial/10/river/Po/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	http://www.semwebtech.org/mondial/10/river/Lech/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	http://www.semwebtech.org/mondial/10/river/Mantaro/
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	http://www.semwebtech.org/mondial/10/river/Mur/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	http://www.semwebtech.org/mondial/10/river/Ubangi/
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	http://www.semwebtech.org/mondial/10/river/Ischim/
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/RioNegro/
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	http://www.semwebtech.org/mondial/10/river/Inn/
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	http://www.semwebtech.org/mondial/10/river/Kura/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	http://www.semwebtech.org/mondial/10/river/NorthernDwina/
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	http://www.semwebtech.org/mondial/10/river/Karun/
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuango/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	http://www.semwebtech.org/mondial/10/river/Kwa/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	http://www.semwebtech.org/mondial/10/river/Saar/
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	http://www.semwebtech.org/mondial/10/river/Theiss/
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/river/Gambia/
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	http://www.semwebtech.org/mondial/10/river/HudsonRiver/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	http://www.semwebtech.org/mondial/10/river/DetroitRiver/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	http://www.semwebtech.org/mondial/10/lake/LakeErie/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	http://www.semwebtech.org/mondial/10/river/WesternBug/
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	http://www.semwebtech.org/mondial/10/river/Ili/
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/lake/LakeOahe/
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	http://www.semwebtech.org/mondial/10/river/Angara/
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	http://www.semwebtech.org/mondial/10/river/Moraca/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	http://www.semwebtech.org/mondial/10/river/Paraguay/
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	http://www.semwebtech.org/mondial/10/river/WesternDwina/
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	http://www.semwebtech.org/mondial/10/river/SouthernMorava/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	http://www.semwebtech.org/mondial/10/river/Ucayali/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	http://www.semwebtech.org/mondial/10/river/Karasu/
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	http://www.semwebtech.org/mondial/10/river/Mekong/
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	http://www.semwebtech.org/mondial/10/river/RioMadeira/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	http://www.semwebtech.org/mondial/10/river/Saluen/
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	http://www.semwebtech.org/mondial/10/river/Pjandsh/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	http://www.semwebtech.org/mondial/10/lake/LakeSuperior/
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	http://www.semwebtech.org/mondial/10/river/Klaraelv/
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Bani/
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Iller/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/river/Douro/
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/river/Thames/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/lake/Maelaren/
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	http://www.semwebtech.org/mondial/10/lake/Saimaa/
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	http://www.semwebtech.org/mondial/10/river/Garonne/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	http://www.semwebtech.org/mondial/10/river/Tocantins/
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	http://www.semwebtech.org/mondial/10/river/Katun/
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	http://www.semwebtech.org/mondial/10/river/Baro/
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	http://www.semwebtech.org/mondial/10/lake/Kallavesi/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	http://www.semwebtech.org/mondial/10/river/Murat/
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	http://www.semwebtech.org/mondial/10/lake/Bodensee/
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	http://www.semwebtech.org/mondial/10/river/Schari/
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	http://www.semwebtech.org/mondial/10/river/Doubs/
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	http://www.semwebtech.org/mondial/10/river/Uruguay/
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	http://www.semwebtech.org/mondial/10/lake/LakeSkutari/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	http://www.semwebtech.org/mondial/10/river/Ebro/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/WhiteNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	http://www.semwebtech.org/mondial/10/river/Ural/
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	http://www.semwebtech.org/mondial/10/lake/LakeManagua/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	http://www.semwebtech.org/mondial/10/river/Amur/
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	http://www.semwebtech.org/mondial/10/river/Amudarja/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	http://www.semwebtech.org/mondial/10/river/Arno/
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	http://www.semwebtech.org/mondial/10/river/Guadiana/
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	http://www.semwebtech.org/mondial/10/river/Brahmaputra/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	http://www.semwebtech.org/mondial/10/river/Tiber/
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	http://www.semwebtech.org/mondial/10/river/Indus/
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Kemijoki/
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	http://www.semwebtech.org/mondial/10/river/Ounasjoki/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/lake/Zurichsee/
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	http://www.semwebtech.org/mondial/10/river/Limmat/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	http://www.semwebtech.org/mondial/10/river/Don/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	http://www.semwebtech.org/mondial/10/river/Kasai/
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	http://www.semwebtech.org/mondial/10/river/Marne/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	http://www.semwebtech.org/mondial/10/river/Jangtse/
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	http://www.semwebtech.org/mondial/10/river/Aller/
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	http://www.semwebtech.org/mondial/10/river/Amazonas/
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	http://www.semwebtech.org/mondial/10/river/Umeaelv/
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/lake/Vaenern/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	http://www.semwebtech.org/mondial/10/river/Ticino/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	http://www.semwebtech.org/mondial/10/river/Olt/
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	http://www.semwebtech.org/mondial/10/river/Elbe/
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/lake/MaleboPool/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	http://www.semwebtech.org/mondial/10/river/Leine/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	http://www.semwebtech.org/mondial/10/river/Lulua/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	http://www.semwebtech.org/mondial/10/river/Tajo/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	http://www.semwebtech.org/mondial/10/river/Weichsel/
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	http://www.semwebtech.org/mondial/10/river/Neckar/
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	http://www.semwebtech.org/mondial/10/river/Arkansas/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	http://www.semwebtech.org/mondial/10/river/Etsch/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	http://www.semwebtech.org/mondial/10/lake/CaspianSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/lake/LagunadeBay/
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	http://www.semwebtech.org/mondial/10/river/Sanga/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	http://www.semwebtech.org/mondial/10/river/Lukuga/
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Rhone/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	http://www.semwebtech.org/mondial/10/river/Saone/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	http://www.semwebtech.org/mondial/10/lake/LakeVictoria/
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	http://www.semwebtech.org/mondial/10/river/Salzach/
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	http://www.semwebtech.org/mondial/10/river/OhioRiver/
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/BlueNile/
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	http://www.semwebtech.org/mondial/10/river/TruckeeRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/river/Limpopo/
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	http://www.semwebtech.org/mondial/10/river/Oka/
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	http://www.semwebtech.org/mondial/10/lake/LakeKivu/
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	http://www.semwebtech.org/mondial/10/river/Seine/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	http://www.semwebtech.org/mondial/10/river/Lena/
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	http://www.semwebtech.org/mondial/10/river/Huallaga/
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/river/Goetaaelv/
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	http://www.semwebtech.org/mondial/10/lake/LakeOntario/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	http://www.semwebtech.org/mondial/10/river/Euphrat/
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	http://www.semwebtech.org/mondial/10/river/Hwangho/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	http://www.semwebtech.org/mondial/10/river/Tennessee/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	http://www.semwebtech.org/mondial/10/river/Aare/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	http://www.semwebtech.org/mondial/10/river/SchattalArab/
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	http://www.semwebtech.org/mondial/10/river/Isar/
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	http://www.semwebtech.org/mondial/10/river/Irawaddy/
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	http://www.semwebtech.org/mondial/10/river/Maas/
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	http://www.semwebtech.org/mondial/10/river/Guadalquivir/
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	http://www.semwebtech.org/mondial/10/river/Drau/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	http://www.semwebtech.org/mondial/10/river/Tobol/
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	http://www.semwebtech.org/mondial/10/river/Ganges/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	http://www.semwebtech.org/mondial/10/river/Isere/
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	http://www.semwebtech.org/mondial/10/river/Syrdarja/
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	http://www.semwebtech.org/mondial/10/river/Reuss/
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	http://www.semwebtech.org/mondial/10/river/Moldau/
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	http://www.semwebtech.org/mondial/10/river/Oder/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Benue/
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	http://www.semwebtech.org/mondial/10/river/Niger/
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	http://www.semwebtech.org/mondial/10/river/Pruth/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	http://www.semwebtech.org/mondial/10/river/Cuilo/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	http://www.semwebtech.org/mondial/10/river/Selenge/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	http://www.semwebtech.org/mondial/10/river/Volga/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	http://www.semwebtech.org/mondial/10/lake/LakeMichigan/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	http://www.semwebtech.org/mondial/10/river/Fulda/
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	http://www.semwebtech.org/mondial/10/river/Mosel/
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	http://www.semwebtech.org/mondial/10/river/Kama/
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	http://www.semwebtech.org/mondial/10/river/RioLerma/
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	http://www.semwebtech.org/mondial/10/river/Irtysch/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/March/
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	http://www.semwebtech.org/mondial/10/river/Jenissej/
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	http://www.semwebtech.org/mondial/10/lake/Paeijaenne/
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	http://www.semwebtech.org/mondial/10/river/Parana/
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	http://www.semwebtech.org/mondial/10/river/Dnepr/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Lualaba/
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	http://www.semwebtech.org/mondial/10/river/Zaire/
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	http://www.semwebtech.org/mondial/10/lake/Vaettern/
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	http://www.semwebtech.org/mondial/10/river/Nile/
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	http://www.semwebtech.org/mondial/10/river/Loire/
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	http://www.semwebtech.org/mondial/10/river/Tigris/
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Main/
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	http://www.semwebtech.org/mondial/10/river/Rhein/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	http://www.semwebtech.org/mondial/10/river/RioGrande/
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	http://www.semwebtech.org/mondial/10/river/Ob/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Missouri/
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	http://www.semwebtech.org/mondial/10/river/Mississippi/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	http://www.semwebtech.org/mondial/10/lake/OzeroOnega/
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	http://www.semwebtech.org/mondial/10/river/Orinoco/
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	http://www.semwebtech.org/mondial/10/river/RioMagdalena/
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
\.


--
-- TOC entry 5892 (class 0 OID 93874)
-- Dependencies: 845
-- Data for Name: locatedIn; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "locatedIn" ("Entity", "Area") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Evora/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/
http://www.semwebtech.org/mondial/10/river/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/source/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Inari/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GNB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Beja/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Leiria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/LB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SME/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Galicia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BEN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Braga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FGU/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GUY/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Algarve/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Central/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Setubal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Western/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/G/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Maine/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochNess/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/source/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Korab/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/estuary/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Sonora/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/estuary/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Piura/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/ES/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Ica/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/province/Darién/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/
http://www.semwebtech.org/mondial/10/river/Syrdarja/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/mountain/Brocken/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/source/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/estuary/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Oranje/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/river/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/source/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Heves/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/
http://www.semwebtech.org/mondial/10/river/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/river/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/source/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/mountain/Damavand/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/source/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/country/FSM/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/desert/Talak/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Van/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/
http://www.semwebtech.org/mondial/10/lake/LakeVan/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/lake/Maelaren/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/Halland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/lake/Bodensee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/source/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Schchara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illampu/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/country/TUV/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Schari/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Etna/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/source/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/estuary/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakePowell/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/source/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/lake/Arresoe/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/source/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Tambora/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/CH/province/Jura/
http://www.semwebtech.org/mondial/10/river/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/L/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/estuary/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Louga/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/desert/Ferlo/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/country/BERM/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Central/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/
http://www.semwebtech.org/mondial/10/river/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/lake/LakeHume/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeErie/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/source/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/estuary/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Örebro/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/
http://www.semwebtech.org/mondial/10/lake/Vaettern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/source/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/ER/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/estuary/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/source/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/lake/Storuman/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/
http://www.semwebtech.org/mondial/10/river/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Irazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/source/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/source/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Siljan/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/
http://www.semwebtech.org/mondial/10/source/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Prypjat/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/
http://www.semwebtech.org/mondial/10/river/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/estuary/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Marche/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Molise/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Murcia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GBZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MEL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TN/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CEU/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Liguria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Puglia/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GAZA/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Adana/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/country/MC/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/source/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/river/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Batman/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/
http://www.semwebtech.org/mondial/10/river/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/source/Argun/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/river/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/
http://www.semwebtech.org/mondial/10/desert/Tenere/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/estuary/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/source/Syrdarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/river/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Tyva/
http://www.semwebtech.org/mondial/10/source/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/river/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/desert/Negev/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/estuary/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/river/Drau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/mountain/Olympos/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Penza/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Saratov/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/river/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/N/province/Telemark/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	http://www.semwebtech.org/mondial/10/country/WSA/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Drau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	http://www.semwebtech.org/mondial/10/country/I/province/Campania/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/source/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/river/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/province/Oslo/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/source/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/desert/Thar/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/country/NCA/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Pibor/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Samara/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/estuary/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/estuary/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/source/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/source/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Ticino/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/
http://www.semwebtech.org/mondial/10/river/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/estuary/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/estuary/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/source/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuilo/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/source/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/Meru/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/estuary/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/source/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Gobi/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/estuary/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/river/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/source/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Braganca/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Douro/	http://www.semwebtech.org/mondial/10/country/P/province/Viseu/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/estuary/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Namib/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/LAO/
http://www.semwebtech.org/mondial/10/river/Mekong/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/source/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/country/TO/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/source/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/estuary/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/
http://www.semwebtech.org/mondial/10/river/Karasu/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/
http://www.semwebtech.org/mondial/10/river/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/estuary/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/KumTagh/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/estuary/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Amazonas/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Inn/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/country/STP/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Ganges/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/desert/Rigestan/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Kemijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/province/Komi/
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuilo/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/ZW/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/river/Limpopo/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/
http://www.semwebtech.org/mondial/10/source/Okavango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Østfold/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Akershus/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/
http://www.semwebtech.org/mondial/10/mountain/Olymp/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/source/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/river/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/estuary/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Douro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/
http://www.semwebtech.org/mondial/10/estuary/Naryn/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/source/Oulujoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/river/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/river/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Kailash/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/river/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/
http://www.semwebtech.org/mondial/10/river/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/K2/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/source/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/country/CY/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/country/PAL/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/province/Corse/
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lukenie/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/mountain/Tahan/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Zaire/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/estuary/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/mountain/Zhima/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/province/Asturias/
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lukuga/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/estuary/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/source/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/LakeToba/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/estuary/Jordan/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/source/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/source/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Merapi/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/estuary/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Jordan/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/
http://www.semwebtech.org/mondial/10/river/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Est/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/source/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/source/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Centre/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/river/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/river/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/country/VU/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/estuary/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/MA/
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/estuary/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/BI/
http://www.semwebtech.org/mondial/10/river/Ruzizi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/source/Oranje/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/
http://www.semwebtech.org/mondial/10/river/Niger/	http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/source/Theiss/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/country/NIUE/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/country/TOK/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/Petschora/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/source/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/estuary/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Uelle/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/source/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/estuary/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/
http://www.semwebtech.org/mondial/10/source/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/mountain/Pulog/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/source/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/UstUrt/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/
http://www.semwebtech.org/mondial/10/mountain/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/estuary/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/estuary/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/estuary/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/source/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/source/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Porto/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/country/GUAM/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/river/Naryn/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/WEST/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/
http://www.semwebtech.org/mondial/10/lake/DeadSea/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/estuary/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/Schari/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/source/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/
http://www.semwebtech.org/mondial/10/lake/Saimaa/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/
http://www.semwebtech.org/mondial/10/estuary/Garonne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/Mojave/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Niger/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/river/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	http://www.semwebtech.org/mondial/10/country/FPOL/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Mur/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/estuary/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/province/Florida/
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/source/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Troms/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nordland/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/country/FARX/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/RedCentre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/ROU/
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	http://www.semwebtech.org/mondial/10/country/LS/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/desert/Ryn/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Breg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Najran/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/source/Don/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/source/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Fulda/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/Poopo/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/estuary/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/source/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Hekla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Matam/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/
http://www.semwebtech.org/mondial/10/mountain/Joekul/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/
http://www.semwebtech.org/mondial/10/source/Urubamba/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/
http://www.semwebtech.org/mondial/10/river/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/
http://www.semwebtech.org/mondial/10/mountain/Athos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/source/Naryn/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Goa/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Makalu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/source/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Iwate/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Mie/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gumma/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Saitama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Chiba/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nara/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Aichi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Okayama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Osaka/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/country/J/province/Shiga/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/mountain/Karthala/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/country/FALK/
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Apure/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Orinoco/	http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/estuary/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Aller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Limmat/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/estuary/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/
http://www.semwebtech.org/mondial/10/river/Vuoksi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/source/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/source/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/source/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/source/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/estuary/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Dnjestr/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Western/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/NAM/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/Z/province/Southern/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/desert/Kalahari/	http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/
http://www.semwebtech.org/mondial/10/source/Tigris/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/estuary/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	http://www.semwebtech.org/mondial/10/country/RL/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/source/Inn/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Moraca/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/mountain/Elgon/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/source/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/desert/Darfur/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/
http://www.semwebtech.org/mondial/10/river/Benue/	http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/province/Fars/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/
http://www.semwebtech.org/mondial/10/river/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Pjandsh/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Marne/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Aare/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/estuary/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/SLO/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Save/	http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/river/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Murgab/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/river/Buna/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Rize/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/
http://www.semwebtech.org/mondial/10/river/Tajo/	http://www.semwebtech.org/mondial/10/country/P/province/Santarem/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/KWT/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/UAE/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/Q/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/OM/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/mountain/Illimani/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/WAN/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/
http://www.semwebtech.org/mondial/10/lake/ChadLake/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/source/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Alz/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/
http://www.semwebtech.org/mondial/10/source/Narew/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/source/Atbara/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Newa/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/
http://www.semwebtech.org/mondial/10/source/Kasai/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Washington/
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/source/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/desert/Owyhee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/
http://www.semwebtech.org/mondial/10/river/Irawaddy/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/estuary/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/source/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/country/M/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/source/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/source/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/
http://www.semwebtech.org/mondial/10/mountain/MtBona/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	http://www.semwebtech.org/mondial/10/country/FJI/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBG/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/Picardie/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/GBJ/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/source/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/source/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/estuary/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/RH/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CUR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SMAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NLSM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/SBAR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/VIRG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/JA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/DOM/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BZ/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/BVIR/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/PA/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/country/BDS/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Texas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/estuary/Okavango/	http://www.semwebtech.org/mondial/10/country/RB/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/estuary/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MAYO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COCO/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/XMAS/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/
http://www.semwebtech.org/mondial/10/river/Vaal/	http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/river/Bartang/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/
http://www.semwebtech.org/mondial/10/river/Seine/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/source/Ticino/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Amudarja/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Fesan/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Guadiana/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ili/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAK/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/BlackDrin/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Wales/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/IRL/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/country/GBM/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Semliki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Etsch/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/river/Enns/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	http://www.semwebtech.org/mondial/10/country/GCA/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Umbria/
http://www.semwebtech.org/mondial/10/source/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/estuary/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/source/Mosel/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/country/BS/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/
http://www.semwebtech.org/mondial/10/lake/Vaenern/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/estuary/Po/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/
http://www.semwebtech.org/mondial/10/river/Euphrat/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/estuary/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/JOR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/
http://www.semwebtech.org/mondial/10/source/Werra/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Mary/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/UZB/
http://www.semwebtech.org/mondial/10/desert/Karakum/	http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/country/CV/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/river/Kolyma/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/province/Puno/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/province/Saarland/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Saar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Moldau/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/estuary/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/MountApo/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/country/NAU/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/source/Swir/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LochLomond/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/ErgChech/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	http://www.semwebtech.org/mondial/10/country/CR/province/Limón/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Leuser/	http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/
http://www.semwebtech.org/mondial/10/desert/Nefud/	http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	http://www.semwebtech.org/mondial/10/country/REUN/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/
http://www.semwebtech.org/mondial/10/desert/Atacama/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/BRU/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/SGP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/HONX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Riau/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MACX/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/K/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/VN/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/estuary/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/river/Suchona/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Northern/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/Sanga/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/province/Magadan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/
http://www.semwebtech.org/mondial/10/estuary/Colorado/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/country/NORF/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Oita/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Omsk/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/
http://www.semwebtech.org/mondial/10/river/Ischim/	http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/KOS/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Kongur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altay/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Katun/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/desert/Ordos/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/country/WL/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/country/SLB/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Busira/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/country/AXA/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/
http://www.semwebtech.org/mondial/10/source/Glomma/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Kirov/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Perm/
http://www.semwebtech.org/mondial/10/river/Kama/	http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/
http://www.semwebtech.org/mondial/10/river/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/country/KN/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/Dnepr/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Dalaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Lualaba/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/
http://www.semwebtech.org/mondial/10/river/Hwangho/	http://www.semwebtech.org/mondial/10/country/CN/province/Henan/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/
http://www.semwebtech.org/mondial/10/source/RioMadeira/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/desert/Trarza/	http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Arkansas/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/estuary/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/March/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/river/Lech/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Muş/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/
http://www.semwebtech.org/mondial/10/river/Murat/	http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/estuary/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/
http://www.semwebtech.org/mondial/10/source/Narva/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/YukonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Chatanga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/source/Missouri/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	http://www.semwebtech.org/mondial/10/country/NIC/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Thunersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/
http://www.semwebtech.org/mondial/10/lake/LakeMead/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/
http://www.semwebtech.org/mondial/10/source/Tajo/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Pruth/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/IL/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/
http://www.semwebtech.org/mondial/10/source/Volga/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Banten/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/TL/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/estuary/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/
http://www.semwebtech.org/mondial/10/river/Cuango/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	http://www.semwebtech.org/mondial/10/country/P/province/Madeira/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/river/Dnister/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LT/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Skåne/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/WhiteNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/country/MH/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Araguaia/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/source/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Oder/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/desert/Tanami/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/country/PITC/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/country/EW/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/LV/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/WesternDwina/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/source/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/source/Lagen/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LacAssal/	http://www.semwebtech.org/mondial/10/country/DJI/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Paraguay/	http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/
http://www.semwebtech.org/mondial/10/mountain/Fako/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/PL/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/BY/province/Brest/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/estuary/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/
http://www.semwebtech.org/mondial/10/river/Lulua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/source/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/estuary/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/country/WAFU/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/
http://www.semwebtech.org/mondial/10/desert/Djourab/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/lake/Ammersee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/London/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/
http://www.semwebtech.org/mondial/10/river/Thames/	http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/province/Bali/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/river/Bomu/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/
http://www.semwebtech.org/mondial/10/source/Pibor/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/RG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/WAG/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/river/Gambia/	http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/
http://www.semwebtech.org/mondial/10/source/Oka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/
http://www.semwebtech.org/mondial/10/source/Ob/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/source/Garonne/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/
http://www.semwebtech.org/mondial/10/source/Sanaga/	http://www.semwebtech.org/mondial/10/country/CAM/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/river/Isere/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/
http://www.semwebtech.org/mondial/10/river/Asahan/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/country/AG/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/source/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Karelia/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/SVAX/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/source/Amudarja/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/river/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Main/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/province/Gotland/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/source/Salzach/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/country/TUCA/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/
http://www.semwebtech.org/mondial/10/source/Pruth/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Tambo/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/PK/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Indus/	http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/
http://www.semwebtech.org/mondial/10/source/Uruguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/
http://www.semwebtech.org/mondial/10/mountain/Ampato/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/province/Aland/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/Sobat/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/mountain/Tahat/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Silisili/	http://www.semwebtech.org/mondial/10/country/WS/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/source/Tobol/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/estuary/Luapula/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/country/BRN/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/river/Ural/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/estuary/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/country/COOK/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/province/Värmland/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/river/Klaraelv/	http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kochi/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Ehime/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	http://www.semwebtech.org/mondial/10/country/MK/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Sajama/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/
http://www.semwebtech.org/mondial/10/source/Drau/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Gifu/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	http://www.semwebtech.org/mondial/10/country/J/province/Nagano/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/country/SY/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/lake/CraterLake/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Amur/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Amur/	http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Holguín/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Granma/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/estuary/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Ammer/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Budapest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/MD/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Wien/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Pest/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Tolna/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Baranya/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/
http://www.semwebtech.org/mondial/10/river/Donau/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/estuary/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/estuary/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/PY/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/
http://www.semwebtech.org/mondial/10/river/Parana/	http://www.semwebtech.org/mondial/10/country/RA/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/
http://www.semwebtech.org/mondial/10/source/Tennessee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/
http://www.semwebtech.org/mondial/10/river/Saluen/	http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/country/SPMI/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Utah/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/source/Perene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/estuary/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/source/Piva/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Northern/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/BF/
http://www.semwebtech.org/mondial/10/river/Volta/	http://www.semwebtech.org/mondial/10/country/GH/province/Volta/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Tshuapa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/
http://www.semwebtech.org/mondial/10/river/Maranon/	http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/estuary/Isar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/country/ARU/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/
http://www.semwebtech.org/mondial/10/river/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/estuary/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/mountain/Pelee/	http://www.semwebtech.org/mondial/10/country/MART/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/country/GQ/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Indus/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Raab/	http://www.semwebtech.org/mondial/10/country/H/province/Vas/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Davao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/Colorado/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	http://www.semwebtech.org/mondial/10/country/EC/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Krym/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/province/Montana/
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/NEP/
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/source/Iller/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Shabelle/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/LAR/
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/Morava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/California/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	http://www.semwebtech.org/mondial/10/country/TCH/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/country/NZ/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Bremen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Genève/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/lake/LacLeman/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/
http://www.semwebtech.org/mondial/10/river/SchattalArab/	http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/estuary/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/province/Oppland/
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	http://www.semwebtech.org/mondial/10/country/N/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/country/NMIS/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	http://www.semwebtech.org/mondial/10/country/CH/province/Bern/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/
http://www.semwebtech.org/mondial/10/river/Waag/	http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Santander/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Huila/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/
http://www.semwebtech.org/mondial/10/source/Zambezi/	http://www.semwebtech.org/mondial/10/country/Z/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/
http://www.semwebtech.org/mondial/10/source/YukonRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/NamCo/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/province/Valais/
http://www.semwebtech.org/mondial/10/source/Rhone/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/source/Karun/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/source/Würm/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	http://www.semwebtech.org/mondial/10/country/RN/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/
http://www.semwebtech.org/mondial/10/river/RioLerma/	http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/estuary/Neckar/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/source/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	http://www.semwebtech.org/mondial/10/country/SK/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Zaire/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/
http://www.semwebtech.org/mondial/10/river/Angara/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/
http://www.semwebtech.org/mondial/10/source/Aruwimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/
http://www.semwebtech.org/mondial/10/source/Lena/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Shimane/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/NOK/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Niigata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukui/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Aomori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Akita/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Toyama/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/J/province/Tottori/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/country/CAYM/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/
http://www.semwebtech.org/mondial/10/estuary/Bani/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Semeru/	http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/river/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/country/WD/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/province/Uri/
http://www.semwebtech.org/mondial/10/source/Reuss/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/
http://www.semwebtech.org/mondial/10/source/WesternMorava/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/
http://www.semwebtech.org/mondial/10/river/Baro/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Kars/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/GE/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/river/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/river/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/
http://www.semwebtech.org/mondial/10/source/WesternBug/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/
http://www.semwebtech.org/mondial/10/source/Paraguay/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/province/Veneto/
http://www.semwebtech.org/mondial/10/source/Mincio/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/lake/LakeTana/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/RI/province/Papua/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/river/RioMamore/	http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/country/R/province/Sakha/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/
http://www.semwebtech.org/mondial/10/river/Elbe/	http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	http://www.semwebtech.org/mondial/10/country/YE/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/country/GUAD/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/
http://www.semwebtech.org/mondial/10/mountain/MtHood/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/province/Guarda/
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	http://www.semwebtech.org/mondial/10/country/AFG/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Namur/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Liège/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/province/Limburg/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Maas/	http://www.semwebtech.org/mondial/10/country/B/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/country/AMSA/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/province/Tirol/
http://www.semwebtech.org/mondial/10/source/Isar/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/mountain/Uluru/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/
http://www.semwebtech.org/mondial/10/source/Prypjat/	http://www.semwebtech.org/mondial/10/country/UA/
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/mountain/YuShan/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/Nile/	http://www.semwebtech.org/mondial/10/country/ET/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	http://www.semwebtech.org/mondial/10/country/BOL/
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	http://www.semwebtech.org/mondial/10/country/PNG/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Ganges/	http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/country/CDN/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Weser/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/estuary/Kura/	http://www.semwebtech.org/mondial/10/country/AZ/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/source/Loire/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Pará/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/
http://www.semwebtech.org/mondial/10/river/Tocantins/	http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	http://www.semwebtech.org/mondial/10/country/SSD/
http://www.semwebtech.org/mondial/10/estuary/Drin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	http://www.semwebtech.org/mondial/10/country/TT/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/country/KIR/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCB/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Ubangi/	http://www.semwebtech.org/mondial/10/country/RCA/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	http://www.semwebtech.org/mondial/10/country/GR/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/country/MV/
http://www.semwebtech.org/mondial/10/source/Tara/	http://www.semwebtech.org/mondial/10/country/MNE/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/country/GROX/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/SP/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/river/Jubba/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/mountain/Katla/	http://www.semwebtech.org/mondial/10/country/IS/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/FL/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/D/province/Hessen/
http://www.semwebtech.org/mondial/10/river/Rhein/	http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/
http://www.semwebtech.org/mondial/10/desert/Qaidam/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/country/P/province/Azores/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kasai/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/BIH/
http://www.semwebtech.org/mondial/10/estuary/Drina/	http://www.semwebtech.org/mondial/10/country/SRB/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/country/CL/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Lomami/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MW/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/
http://www.semwebtech.org/mondial/10/river/Chire/	http://www.semwebtech.org/mondial/10/country/MOC/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/
http://www.semwebtech.org/mondial/10/river/Ucayali/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/Assam/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	http://www.semwebtech.org/mondial/10/country/IND/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/
http://www.semwebtech.org/mondial/10/estuary/Saone/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/
http://www.semwebtech.org/mondial/10/source/RioGrande/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	http://www.semwebtech.org/mondial/10/country/TAD/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/country/HELX/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/province/Olt/
http://www.semwebtech.org/mondial/10/estuary/Olt/	http://www.semwebtech.org/mondial/10/country/RO/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/
http://www.semwebtech.org/mondial/10/source/WesternDwina/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	http://www.semwebtech.org/mondial/10/country/D/province/Bayern/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/country/NL/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/
http://www.semwebtech.org/mondial/10/source/Luvua/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	http://www.semwebtech.org/mondial/10/country/AL/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/country/THA/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/ROK/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/RC/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/J/province/Saga/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Somogy/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/lake/Balaton/	http://www.semwebtech.org/mondial/10/country/H/province/Fejér/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/
http://www.semwebtech.org/mondial/10/source/Adda/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Kwa/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/SN/
http://www.semwebtech.org/mondial/10/estuary/Senegal/	http://www.semwebtech.org/mondial/10/country/RIM/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/
http://www.semwebtech.org/mondial/10/source/RioNegro/	http://www.semwebtech.org/mondial/10/country/CO/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/SUD/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/
http://www.semwebtech.org/mondial/10/river/BlueNile/	http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/lake/LopNor/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	http://www.semwebtech.org/mondial/10/country/SF/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/province/Junín/
http://www.semwebtech.org/mondial/10/river/Ene/	http://www.semwebtech.org/mondial/10/country/PE/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/
http://www.semwebtech.org/mondial/10/source/Leine/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Musala/	http://www.semwebtech.org/mondial/10/country/BG/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/province/Alsace/
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	http://www.semwebtech.org/mondial/10/country/KGZ/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/country/WV/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/
http://www.semwebtech.org/mondial/10/source/Bani/	http://www.semwebtech.org/mondial/10/country/CI/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	http://www.semwebtech.org/mondial/10/country/MAL/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/province/Toscana/
http://www.semwebtech.org/mondial/10/river/Arno/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/
http://www.semwebtech.org/mondial/10/river/Ruki/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/country/I/province/Calabria/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/R/province/Buryat/
http://www.semwebtech.org/mondial/10/river/Selenge/	http://www.semwebtech.org/mondial/10/country/MNG/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Navarra/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Aragón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/
http://www.semwebtech.org/mondial/10/river/Ebro/	http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/
http://www.semwebtech.org/mondial/10/river/OhioRiver/	http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/RMM/
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	http://www.semwebtech.org/mondial/10/country/DZ/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	http://www.semwebtech.org/mondial/10/country/S/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/
http://www.semwebtech.org/mondial/10/mountain/Ararat/	http://www.semwebtech.org/mondial/10/country/TR/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	http://www.semwebtech.org/mondial/10/country/YV/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/
http://www.semwebtech.org/mondial/10/estuary/Doubs/	http://www.semwebtech.org/mondial/10/country/F/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/province/Qom/
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	http://www.semwebtech.org/mondial/10/country/IR/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/river/Akagera/	http://www.semwebtech.org/mondial/10/country/RWA/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/
http://www.semwebtech.org/mondial/10/estuary/Fimi/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	http://www.semwebtech.org/mondial/10/country/EAU/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/province/Lazio/
http://www.semwebtech.org/mondial/10/estuary/Tiber/	http://www.semwebtech.org/mondial/10/country/I/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/
http://www.semwebtech.org/mondial/10/river/Schilka/	http://www.semwebtech.org/mondial/10/country/R/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/country/COM/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/country/J/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/
http://www.semwebtech.org/mondial/10/estuary/Mosel/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	http://www.semwebtech.org/mondial/10/country/A/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/country/E/province/Canarias/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/
http://www.semwebtech.org/mondial/10/river/Brigach/	http://www.semwebtech.org/mondial/10/country/D/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/
http://www.semwebtech.org/mondial/10/source/Irtysch/	http://www.semwebtech.org/mondial/10/country/KAZ/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/province/Zala/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/HR/
http://www.semwebtech.org/mondial/10/estuary/Mur/	http://www.semwebtech.org/mondial/10/country/H/
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	http://www.semwebtech.org/mondial/10/country/MNTS/
http://www.semwebtech.org/mondial/10/river/Thjorsa/	http://www.semwebtech.org/mondial/10/country/IS/
\.


--
-- TOC entry 5893 (class 0 OID 93877)
-- Dependencies: 846
-- Data for Name: locatedInWater; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "locatedInWater" ("Island", "Water") FROM stdin;
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Iceland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Futuna/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Olkhon/	http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/
http://www.semwebtech.org/mondial/10/island/IsleofMan/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/
http://www.semwebtech.org/mondial/10/island/Phuket/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Principe/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Molokai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lolland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/IsleofWight/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Ceram/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Langeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Java/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/GreatBritain/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/LittleCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Singapore/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/NorthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Montserrat/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Trinidad/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Skye/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rugen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ponape/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lefkas/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Palawan/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Kavaratti/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Reunion/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Fongafale/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintThomas/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bintan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Samosir/	http://www.semwebtech.org/mondial/10/lake/LakeToba/
http://www.semwebtech.org/mondial/10/island/Kiritimati/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ambon/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Gozo/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Save/
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Mayotte/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Anglesey/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/PortoSanto/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Flores/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	http://www.semwebtech.org/mondial/10/river/Araguaia/
http://www.semwebtech.org/mondial/10/island/Ameland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Madagaskar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Mindoro/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Labuan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Streymoy/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/Cebu/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fohr/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Babelthuap/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Linosa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Antigua/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/EastFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Savaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Barra/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Krakatau/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Upolu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Korfu/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Jersey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/BishopRock/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fehmarn/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Tasmania/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumbawa/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Lavan/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Ibiza/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintPierre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/island/Jamaica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Curacao/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Gheschm/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/island/Newfoundland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/island/Ireland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mull/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Santiago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/island/Sokotra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Martin/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tongatapu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Islay/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hawaii/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/PuertoRico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Oeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Ascension/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaoTome/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Alicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Svalbard/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/island/SaoJorge/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Corse/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Impalila/	http://www.semwebtech.org/mondial/10/river/Zambezi/
http://www.semwebtech.org/mondial/10/island/Sansibar/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SouthUist/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Sylt/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Borneo/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Zakynthos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Tortola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/Sumatra/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/island/Cyprus/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Timor/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhum/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Panay/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Providenciales/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Helgoland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/VitiLevu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/BanksIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Tahiti/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Ternate/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Lampedusa/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Taiwan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tobago/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Efate/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Juist/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Niue/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fakaofo/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Sulawesi/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Guernsey/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Hispaniola/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Faial/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Lipari/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/island/Unalaska/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Guam/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Bangka/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Westray/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Wangerooge/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Filicudi/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Langeoog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Salina/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/Hierro/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Koror/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Terschelling/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Paramuschir/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Luzon/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kauai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Lombok/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Honshu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Arran/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/WestFalkland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Lanai/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Saipan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Teneriffa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nantucket/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Khark/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Mallorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Waag/
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tinian/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bougainville/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grenada/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/LaPalma/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Bornholm/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Malta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Martinique/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Madeira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/EasterIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintKitts/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Mauritius/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbados/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rhodos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/NewProvidence/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Menorca/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Negros/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Fogo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Niihau/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Batam/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Tarawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Nauru/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Dagoe/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Borkum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Kyushu/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Hainan/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/island/Sicilia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Samos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Gomera/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SaintLucia/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Anguilla/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Nevis/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Mohilla/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Samar/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Sardegna/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Panarea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Mindanao/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Hokkaido/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Jura/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kefallinia/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Fuenen/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Syros/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Majuro/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pitcairn/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Oesel/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Lesbos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Lanzarote/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Maui/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Usedom/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Manitoulin/	http://www.semwebtech.org/mondial/10/lake/LakeHuron/
http://www.semwebtech.org/mondial/10/island/Falster/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/Uvea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Bali/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/island/Norderney/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Oahu/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Pemba/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Barbuda/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Gotland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/MargitSziget/	http://www.semwebtech.org/mondial/10/river/Donau/
http://www.semwebtech.org/mondial/10/island/Chios/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/GrandTurk/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Aland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/island/GrandComoro/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Pellworm/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bahrain/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/island/Rarotonga/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SantaMaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Hoy/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Shikoku/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Jeju/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Mahe/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Cuba/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Baltrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Isabela/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vulcano/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/Halmahera/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Formentera/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/DevonIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Aruba/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Kos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Graciosa/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Bioko/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Amrum/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Mykonos/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/LongIsland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Rota/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/SanAndres/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Bohol/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/Corvo/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/GrandCayman/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Pico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Kreta/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Texel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Dominica/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/island/NewGuinea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Leyte/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tutuila/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Zhoushan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/Ikaria/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Benbecula/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Banaba/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Male/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/island/Greenland/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/island/Terceira/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Tiree/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/island/SriLanka/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/SaintHelena/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Vlieland/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/island/KoSamui/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/SaintVincent/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/island/Stromboli/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/island/Sachalin/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/island/Anjouan/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/island/Okinawa/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/island/GranCanaria/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/island/Seeland/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
\.


--
-- TOC entry 5894 (class 0 OID 93880)
-- Dependencies: 847
-- Data for Name: locatedOnIsland; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "locatedOnIsland" ("Entity", "Island") FROM stdin;
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	http://www.semwebtech.org/mondial/10/island/Babelthuap/
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	http://www.semwebtech.org/mondial/10/island/Antigua/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Mahe/
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	http://www.semwebtech.org/mondial/10/island/NorfolkIsland/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/GrandBermuda/
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	http://www.semwebtech.org/mondial/10/island/VitiLevu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	http://www.semwebtech.org/mondial/10/island/Dominica/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	http://www.semwebtech.org/mondial/10/island/Bangka/
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	http://www.semwebtech.org/mondial/10/island/SanAndres/
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	http://www.semwebtech.org/mondial/10/island/Martinique/
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	http://www.semwebtech.org/mondial/10/island/Majuro/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	http://www.semwebtech.org/mondial/10/island/Tahiti/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	http://www.semwebtech.org/mondial/10/island/Jeju/
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	http://www.semwebtech.org/mondial/10/island/SaintThomas/
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	http://www.semwebtech.org/mondial/10/island/Barbados/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	http://www.semwebtech.org/mondial/10/island/Batam/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	http://www.semwebtech.org/mondial/10/island/SaintVincent/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	http://www.semwebtech.org/mondial/10/island/BaffinIsland/
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	http://www.semwebtech.org/mondial/10/island/Tortola/
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	http://www.semwebtech.org/mondial/10/island/Grenada/
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	http://www.semwebtech.org/mondial/10/island/Fuenen/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	http://www.semwebtech.org/mondial/10/island/PulauPanjang/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	http://www.semwebtech.org/mondial/10/island/Bahrain/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	http://www.semwebtech.org/mondial/10/island/Negros/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	http://www.semwebtech.org/mondial/10/island/Phuket/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	http://www.semwebtech.org/mondial/10/island/OrkneyMainland/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	http://www.semwebtech.org/mondial/10/island/Sardegna/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	http://www.semwebtech.org/mondial/10/island/Labuan/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	http://www.semwebtech.org/mondial/10/island/SaintPierre/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	http://www.semwebtech.org/mondial/10/island/Mindoro/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	http://www.semwebtech.org/mondial/10/island/Panay/
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	http://www.semwebtech.org/mondial/10/island/Hokkaido/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	http://www.semwebtech.org/mondial/10/island/Mayotte/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	http://www.semwebtech.org/mondial/10/island/Hawaii/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	http://www.semwebtech.org/mondial/10/island/Sachalin/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	http://www.semwebtech.org/mondial/10/island/ChristmasIsland/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	http://www.semwebtech.org/mondial/10/island/Fongafale/
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	http://www.semwebtech.org/mondial/10/island/Anguilla/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	http://www.semwebtech.org/mondial/10/island/Bioko/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	http://www.semwebtech.org/mondial/10/island/Oahu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	http://www.semwebtech.org/mondial/10/island/Mauritius/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	http://www.semwebtech.org/mondial/10/island/Seeland/
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	http://www.semwebtech.org/mondial/10/island/GrandComoro/
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	http://www.semwebtech.org/mondial/10/island/Gozo/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	http://www.semwebtech.org/mondial/10/island/Curacao/
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	http://www.semwebtech.org/mondial/10/island/Fakaofo/
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	http://www.semwebtech.org/mondial/10/island/Santiago/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	http://www.semwebtech.org/mondial/10/island/Cebu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	http://www.semwebtech.org/mondial/10/island/EastFalkland/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	http://www.semwebtech.org/mondial/10/island/NewProvidence/
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	http://www.semwebtech.org/mondial/10/island/Bali/
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	http://www.semwebtech.org/mondial/10/island/Saipan/
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	http://www.semwebtech.org/mondial/10/island/SaintHelena/
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	http://www.semwebtech.org/mondial/10/island/Svalbard/
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	http://www.semwebtech.org/mondial/10/island/SaoTome/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	http://www.semwebtech.org/mondial/10/island/Aruba/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	http://www.semwebtech.org/mondial/10/island/Guam/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	http://www.semwebtech.org/mondial/10/island/Kreta/
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	http://www.semwebtech.org/mondial/10/island/Male/
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	http://www.semwebtech.org/mondial/10/island/GrandCayman/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	http://www.semwebtech.org/mondial/10/island/Rhodos/
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	http://www.semwebtech.org/mondial/10/island/Singapore/
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	http://www.semwebtech.org/mondial/10/island/Guadalcanal/
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	http://www.semwebtech.org/mondial/10/island/Leyte/
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	http://www.semwebtech.org/mondial/10/island/Tasmania/
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	http://www.semwebtech.org/mondial/10/island/Upolu/
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	http://www.semwebtech.org/mondial/10/island/Cyprus/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	http://www.semwebtech.org/mondial/10/island/Nauru/
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	http://www.semwebtech.org/mondial/10/island/Zhoushan/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	http://www.semwebtech.org/mondial/10/island/SaoMiguel/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	http://www.semwebtech.org/mondial/10/island/Timor/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	http://www.semwebtech.org/mondial/10/island/Malta/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	http://www.semwebtech.org/mondial/10/island/GranCanaria/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	http://www.semwebtech.org/mondial/10/island/GrandeTerre/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	http://www.semwebtech.org/mondial/10/island/Rarotonga/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	http://www.semwebtech.org/mondial/10/island/Sansibar/
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	http://www.semwebtech.org/mondial/10/island/Korfu/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	http://www.semwebtech.org/mondial/10/island/St.Barthelemy/
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	http://www.semwebtech.org/mondial/10/island/Uvea/
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	http://www.semwebtech.org/mondial/10/island/GrandTurk/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	http://www.semwebtech.org/mondial/10/island/Tutuila/
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	http://www.semwebtech.org/mondial/10/island/Okinawa/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	http://www.semwebtech.org/mondial/10/island/Lombok/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	http://www.semwebtech.org/mondial/10/island/Teneriffa/
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	http://www.semwebtech.org/mondial/10/island/Shikoku/
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	http://www.semwebtech.org/mondial/10/island/IsleofMan/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	http://www.semwebtech.org/mondial/10/island/Syros/
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	http://www.semwebtech.org/mondial/10/island/ShetlandMainland/
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	http://www.semwebtech.org/mondial/10/island/Corse/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	http://www.semwebtech.org/mondial/10/island/Mallorca/
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	http://www.semwebtech.org/mondial/10/island/SaintLucia/
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	http://www.semwebtech.org/mondial/10/island/NewGuinea/
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	http://www.semwebtech.org/mondial/10/island/SaintKitts/
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	http://www.semwebtech.org/mondial/10/island/Pitcairn/
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	http://www.semwebtech.org/mondial/10/island/Sicilia/
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	http://www.semwebtech.org/mondial/10/island/Reunion/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	http://www.semwebtech.org/mondial/10/island/Greenland/
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	http://www.semwebtech.org/mondial/10/island/VancouverIsland/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	http://www.semwebtech.org/mondial/10/island/Tongatapu/
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	http://www.semwebtech.org/mondial/10/island/Newfoundland/
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	http://www.semwebtech.org/mondial/10/island/Ternate/
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	http://www.semwebtech.org/mondial/10/island/Trinidad/
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	http://www.semwebtech.org/mondial/10/island/Mindanao/
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	http://www.semwebtech.org/mondial/10/island/Kyushu/
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	http://www.semwebtech.org/mondial/10/island/Ambon/
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	http://www.semwebtech.org/mondial/10/island/Basse-Terre/
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	http://www.semwebtech.org/mondial/10/island/Jersey/
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	http://www.semwebtech.org/mondial/10/island/Jamaica/
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	http://www.semwebtech.org/mondial/10/island/Kavaratti/
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	http://www.semwebtech.org/mondial/10/island/Iceland/
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	http://www.semwebtech.org/mondial/10/island/Tarawa/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	http://www.semwebtech.org/mondial/10/island/Niue/
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	http://www.semwebtech.org/mondial/10/island/PuertoRico/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	http://www.semwebtech.org/mondial/10/island/Hainan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	http://www.semwebtech.org/mondial/10/island/SriLanka/
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	http://www.semwebtech.org/mondial/10/island/Efate/
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	http://www.semwebtech.org/mondial/10/island/Pemba/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	http://www.semwebtech.org/mondial/10/island/Madagaskar/
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/Montserrat/
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	http://www.semwebtech.org/mondial/10/island/Cuba/
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	http://www.semwebtech.org/mondial/10/island/St.Martin/
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	http://www.semwebtech.org/mondial/10/island/Borneo/
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	http://www.semwebtech.org/mondial/10/island/Ponape/
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	http://www.semwebtech.org/mondial/10/island/Ireland/
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	http://www.semwebtech.org/mondial/10/island/Guernsey/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	http://www.semwebtech.org/mondial/10/island/Bintan/
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	http://www.semwebtech.org/mondial/10/island/Taiwan/
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	http://www.semwebtech.org/mondial/10/island/Lesbos/
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	http://www.semwebtech.org/mondial/10/island/Java/
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	http://www.semwebtech.org/mondial/10/island/Streymoy/
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	http://www.semwebtech.org/mondial/10/island/Hispaniola/
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	http://www.semwebtech.org/mondial/10/island/Sulawesi/
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	http://www.semwebtech.org/mondial/10/island/GreatBritain/
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	http://www.semwebtech.org/mondial/10/island/Sumatra/
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	http://www.semwebtech.org/mondial/10/island/Koror/
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	http://www.semwebtech.org/mondial/10/island/Honshu/
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	http://www.semwebtech.org/mondial/10/island/Luzon/
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	http://www.semwebtech.org/mondial/10/island/Madeira/
\.


--
-- TOC entry 5895 (class 0 OID 93883)
-- Dependencies: 848
-- Data for Name: marriedWith; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "marriedWith" ("Person1", "Person2") FROM stdin;
\.


--
-- TOC entry 5896 (class 0 OID 93886)
-- Dependencies: 849
-- Data for Name: md; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY md (class, property, range, tablename, lookupattr, inv, isview) FROM stdin;
Islands	latitude	DECIMAL	Islands	latitude	false	false
Islands	type	VARCHAR(199)	Islands	type	false	false
Islands	longitude	DECIMAL	Islands	longitude	false	false
Islands	elevation	DECIMAL	Islands	elevation	false	false
Islands	name	VARCHAR(199)	Islands	name	false	false
Organization	hasHeadq	VARCHAR(199)	Organization	hasHeadq	false	false
City	hasHeadq_Inv	VARCHAR(199)	Organization	hasHeadq	true	false
Organization	abbrev	VARCHAR(199)	Organization	abbrev	false	false
Organization	name	VARCHAR(199)	Organization	name	false	false
Organization	established	DATE	Organization	established	false	false
Water	name	VARCHAR(199)	Water	name	false	false
Language	name	VARCHAR(199)	Language	name	false	false
Island	belongsToIslands	VARCHAR(199)	Island	belongsToIslands	false	false
Islands	belongsToIslands_Inv	VARCHAR(199)	Island	belongsToIslands	true	false
Island	latitude	DECIMAL	Island	latitude	false	false
Island	name	VARCHAR(199)	Island	name	false	false
Island	longitude	DECIMAL	Island	longitude	false	false
Island	type	VARCHAR(199)	Island	type	false	false
Island	elevation	DECIMAL	Island	elevation	false	false
Country	gdpAgri	DECIMAL	Country	gdpAgri	false	false
Country	inflation	DECIMAL	Country	inflation	false	false
Country	populationGrowth	DECIMAL	Country	populationGrowth	false	false
Country	government	VARCHAR(199)	Country	government	false	false
Country	gdpServ	DECIMAL	Country	gdpServ	false	false
Country	gdpTotal	DECIMAL	Country	gdpTotal	false	false
Country	unemployment	DECIMAL	Country	unemployment	false	false
Country	independenceDate	DATE	Country	independenceDate	false	false
Country	dependentOf	VARCHAR(199)	Country	dependentOf	false	false
Country	dependentOf_Inv	VARCHAR(199)	Country	dependentOf	true	false
Country	infantMortality	DECIMAL	Country	infantMortality	false	false
Country	gdpInd	DECIMAL	Country	gdpInd	false	false
Country	carCode	VARCHAR(199)	Country	carCode	false	false
Country	wasDependentOf	VARCHAR(199)	Country	wasDependentOf	false	false
Organization	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	wasDependentOf_Inv	VARCHAR(199)	Country	wasDependentOf	true	false
Country	name	VARCHAR(199)	Country	name	false	false
Lake	type	VARCHAR(199)	Lake	type	false	false
Lake	longitude	DECIMAL	Lake	longitude	false	false
Lake	name	VARCHAR(199)	Water	name	false	false
Lake	latitude	DECIMAL	Lake	latitude	false	false
Lake	depth	DECIMAL	Lake	depth	false	false
Lake	elevation	DECIMAL	Lake	elevation	false	false
Lake	flowsInto	VARCHAR(199)	Lake	flowsInto	false	false
Sea	flowsInto_Inv	VARCHAR(199)	Lake	flowsInto	true	false
Lake	flowsInto_Inv	VARCHAR(199)	Lake	flowsInto	true	false
River	flowsInto_Inv	VARCHAR(199)	Lake	flowsInto	true	false
Water	flowsInto_Inv	VARCHAR(199)	Lake	flowsInto	true	false
Lake	flowsThrough_Inv	VARCHAR(199)	Lake	flowsThrough_Inv	false	false
River	flowsThrough	VARCHAR(199)	Lake	flowsThrough_Inv	true	false
Desert	type	VARCHAR(199)	Desert	type	false	false
Desert	latitude	DECIMAL	Desert	latitude	false	false
Desert	longitude	DECIMAL	Desert	longitude	false	false
Desert	name	VARCHAR(199)	Desert	name	false	false
Mountain	locatedOnIsland	VARCHAR(199)	Mountain	locatedOnIsland	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	Mountain	locatedOnIsland	true	false
Mountain	type	VARCHAR(199)	Mountain	type	false	false
Mountain	lastEruption	DATE	Mountain	lastEruption	false	false
Mountain	inMountains	VARCHAR(199)	Mountain	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Mountain	inMountains	true	false
Mountain	name	VARCHAR(199)	Mountain	name	false	false
Mountain	elevation	DECIMAL	Mountain	elevation	false	false
Mountain	longitude	DECIMAL	Mountain	longitude	false	false
Mountain	latitude	DECIMAL	Mountain	latitude	false	false
Female	onlyfemaleprop	DECIMAL	Female	onlyfemaleprop	false	false
Female	hasMother	VARCHAR(199)	Female	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Female	hasMother	true	false
Female	hasFather	VARCHAR(199)	Female	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Female	hasFather	true	false
Border	length	DECIMAL	Border	length	false	false
Continent	name	VARCHAR(199)	Continent	name	false	false
Mountains	name	VARCHAR(199)	Mountains	name	false	false
Mountains	latitude	DECIMAL	Mountains	latitude	false	false
Mountains	elevation	DECIMAL	Mountains	elevation	false	false
Mountains	type	VARCHAR(199)	Mountains	type	false	false
Mountains	longitude	DECIMAL	Mountains	longitude	false	false
Province	name	VARCHAR(199)	Province	name	false	false
Country	population	DECIMAL	population	VALUE	false	false
Island	population	DECIMAL	population	VALUE	false	false
Mountains	area	DECIMAL	area	VALUE	false	false
Desert	area	DECIMAL	area	VALUE	false	false
Islands	area	DECIMAL	area	VALUE	false	false
Continent	area	DECIMAL	area	VALUE	false	false
Country	area	DECIMAL	area	VALUE	false	false
Island	area	DECIMAL	area	VALUE	false	false
Water	area	DECIMAL	area	VALUE	false	false
Country	capital	VARCHAR(199)	capital	City	false	false
City	isCapitalOf	VARCHAR(199)	capital	Subject	false	false
Province	capital	VARCHAR(199)	capital	City	false	false
Province	isProvinceOf	VARCHAR(199)	Province	isProvinceOf	false	false
Country	hasProvince	VARCHAR(199)	Province	isProvinceOf	true	false
Source	inMountains	VARCHAR(199)	Source	inMountains	false	false
Mountains	inMountains_Inv	VARCHAR(199)	Source	inMountains	true	false
Source	longitude	DECIMAL	Source	longitude	false	false
Source	elevation	DECIMAL	Source	elevation	false	false
Source	latitude	DECIMAL	Source	latitude	false	false
Sea	type	VARCHAR(199)	Sea	type	false	false
Sea	depth	DECIMAL	Sea	depth	false	false
Sea	name	VARCHAR(199)	Water	name	false	false
EthnicProportion	ethnicInfo-	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	false
Country	ethnicInfo	VARCHAR(199)	EthnicProportion	ethnicInfo-	true	false
EthnicProportion	onEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	false
EthnicGroup	liveInInfo	VARCHAR(199)	EthnicProportion	onEthnicGroup	true	false
EthnicProportion	percent	DECIMAL	EthnicProportion	percent	false	false
Encompassed	percent	DECIMAL	Encompassed	percent	false	false
Encompassed	encompassedArea	VARCHAR(199)	Encompassed	encompassedArea	false	false
Country	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Province	encompassedByInfo	VARCHAR(199)	Encompassed	encompassedArea	true	false
Encompassed	encompassedBy	VARCHAR(199)	Encompassed	encompassedBy	false	false
Continent	encompassesInfo	VARCHAR(199)	Encompassed	encompassedBy	true	false
BelievedBy	percent	DECIMAL	BelievedBy	percent	false	false
BelievedBy	religionInfo-	VARCHAR(199)	BelievedBy	religionInfo-	false	false
Country	religionInfo	VARCHAR(199)	BelievedBy	religionInfo-	true	false
BelievedBy	onReligion	VARCHAR(199)	BelievedBy	onReligion	false	false
Religion	followedInInfo	VARCHAR(199)	BelievedBy	onReligion	true	false
Y2	invfktprop_Inv	VARCHAR(199)	Y2	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y2	invfktprop_Inv	true	false
River	hasSource	VARCHAR(199)	River	hasSource	false	false
Source	hasSource-	VARCHAR(199)	River	hasSource	true	false
River	name	VARCHAR(199)	Water	name	false	false
River	hasEstuary	VARCHAR(199)	River	hasEstuary	false	false
Estuary	hasEstuary-	VARCHAR(199)	River	hasEstuary	true	false
River	length	DECIMAL	River	length	false	false
River	flowsInto	VARCHAR(199)	River	flowsInto	false	false
Sea	flowsInto_Inv	VARCHAR(199)	River	flowsInto	true	false
Lake	flowsInto_Inv	VARCHAR(199)	River	flowsInto	true	false
River	flowsInto_Inv	VARCHAR(199)	River	flowsInto	true	false
Water	flowsInto_Inv	VARCHAR(199)	River	flowsInto	true	false
Membership	ofMember	VARCHAR(199)	Membership	ofMember	false	false
Country	isInMembership	VARCHAR(199)	Membership	ofMember	true	false
Membership	inOrganization	VARCHAR(199)	Membership	inOrganization	false	false
Organization	hasMembership	VARCHAR(199)	Membership	inOrganization	true	false
Membership	type	VARCHAR(199)	Membership	type	false	false
Male	hasMother	VARCHAR(199)	Male	hasMother	false	false
Female	hasMother_Inv	VARCHAR(199)	Male	hasMother	true	false
Male	hasFather	VARCHAR(199)	Male	hasFather	false	false
Male	hasFather_Inv	VARCHAR(199)	Male	hasFather	true	false
SpokenBy	percent	DECIMAL	SpokenBy	percent	false	false
SpokenBy	languageInfo-	VARCHAR(199)	SpokenBy	languageInfo-	false	false
Country	languageInfo	VARCHAR(199)	SpokenBy	languageInfo-	true	false
SpokenBy	onLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	false
Language	spokenInInfo	VARCHAR(199)	SpokenBy	onLanguage	true	false
EthnicGroup	name	VARCHAR(199)	EthnicGroup	name	false	false
X1	nmprop	VARCHAR(199)	X1	nmprop	false	false
Y1	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
Y2	nmprop_Inv	VARCHAR(199)	X1	nmprop	true	false
City	name	VARCHAR(199)	City	name	false	false
City	elevation	DECIMAL	City	elevation	false	false
City	longitude	DECIMAL	City	longitude	false	false
City	latitude	DECIMAL	City	latitude	false	false
U	totUpartV11prop	VARCHAR(199)	U	totUpartV11prop	false	false
V	totUpartV11prop_Inv	VARCHAR(199)	U	totUpartV11prop	true	false
Estuary	longitude	DECIMAL	Estuary	longitude	false	false
Estuary	elevation	DECIMAL	Estuary	elevation	false	false
Estuary	latitude	DECIMAL	Estuary	latitude	false	false
Religion	name	VARCHAR(199)	Religion	name	false	false
Y1	invfktprop_Inv	VARCHAR(199)	Y1	invfktprop_Inv	false	false
X1	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
X2	invfktprop	VARCHAR(199)	Y1	invfktprop_Inv	true	false
Male	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
ANY	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
Female	hasNickname	VARCHAR(199)	hasNickname	VALUE	false	false
City	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
ANY	locatedAt	VARCHAR(199)	locatedAt	Water	false	false
X2	nmprop	VARCHAR(199)	nmprop	Y	false	false
Sea	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea2	false	false
City	locatedOnIsland	VARCHAR(199)	locatedOnIsland	Island	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person2	false	false
Sea	borders	VARCHAR(199)	borders	LargeArea	false	false
City	population	DECIMAL	population	VALUE	false	false
Province	area	DECIMAL	area	VALUE	false	false
Sea	area	DECIMAL	area	VALUE	false	false
River	area	DECIMAL	area	VALUE	false	false
ANY	borders	VARCHAR(199)	borders	LargeArea	false	false
Continent	borders	VARCHAR(199)	borders	LargeArea	false	false
Water	borders	VARCHAR(199)	borders	LargeArea	false	false
Country	borders	VARCHAR(199)	borders	LargeArea	false	false
Province	borders	VARCHAR(199)	borders	LargeArea	false	false
City	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
ANY	cityIn	VARCHAR(199)	cityIn	AdministrativeArea	false	false
Country	othername	VARCHAR(199)	othername	VALUE	false	false
ANY	othername	VARCHAR(199)	othername	VALUE	false	false
EthnicGroup	othername	VARCHAR(199)	othername	VALUE	false	false
City	othername	VARCHAR(199)	othername	VALUE	false	false
Mountains	othername	VARCHAR(199)	othername	VALUE	false	false
Province	othername	VARCHAR(199)	othername	VALUE	false	false
Continent	othername	VARCHAR(199)	othername	VALUE	false	false
Organization	othername	VARCHAR(199)	othername	VALUE	false	false
Islands	othername	VARCHAR(199)	othername	VALUE	false	false
Lake	othername	VARCHAR(199)	othername	VALUE	false	false
Island	othername	VARCHAR(199)	othername	VALUE	false	false
Language	othername	VARCHAR(199)	othername	VALUE	false	false
Sea	othername	VARCHAR(199)	othername	VALUE	false	false
Religion	othername	VARCHAR(199)	othername	VALUE	false	false
Mountain	othername	VARCHAR(199)	othername	VALUE	false	false
River	othername	VARCHAR(199)	othername	VALUE	false	false
Desert	othername	VARCHAR(199)	othername	VALUE	false	false
Water	othername	VARCHAR(199)	othername	VALUE	false	false
Water	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
ANY	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Islands	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
City	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Lake	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Estuary	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
River	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountains	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Mountain	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Source	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Sea	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Desert	locatedIn	VARCHAR(199)	locatedIn	Area	false	false
Island	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
ANY	locatedInWater	VARCHAR(199)	locatedInWater	Water	false	false
Female	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
ANY	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Male	hasAccountNo	DECIMAL	hasAccountNo	VALUE	false	false
Female	hasChild	VARCHAR(199)	hasChild	Person2	false	false
ANY	hasChild	VARCHAR(199)	hasChild	Person2	false	false
Male	hasChild	VARCHAR(199)	hasChild	Person2	false	false
River	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
ANY	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Lake	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Water	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Sea	locatedAt_Inv	VARCHAR(199)	locatedAt	City	false	false
Y1	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Y2	nmprop_Inv	VARCHAR(199)	nmprop	X	false	false
Sea	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
ANY	mergesWith	VARCHAR(199)	mergesWith	Sea1	false	false
Island	locatedOnIsland_Inv	VARCHAR(199)	locatedOnIsland	Entity	false	false
Female	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
ANY	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
Male	marriedWith	VARCHAR(199)	marriedWith	Person1	false	false
Continent	borders_Inv	VARCHAR(199)	borders	Entity	false	false
ANY	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Sea	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Province	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Water	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Country	borders_Inv	VARCHAR(199)	borders	Entity	false	false
Province	hasCity	VARCHAR(199)	cityIn	City	false	false
ANY	hasCity	VARCHAR(199)	cityIn	City	false	false
Country	hasCity	VARCHAR(199)	cityIn	City	false	false
Sea	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
ANY	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
City	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Desert	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Lake	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Islands	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Continent	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Mountains	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Country	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Water	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Island	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Province	locatedIn_Inv	VARCHAR(199)	locatedIn	Entity	false	false
Lake	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
ANY	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Sea	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
River	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Water	locatedInWater_Inv	VARCHAR(199)	locatedInWater	Island	false	false
Female	hasParent	VARCHAR(199)	hasChild	Person1	false	false
ANY	hasParent	VARCHAR(199)	hasChild	Person1	false	false
Male	hasParent	VARCHAR(199)	hasChild	Person1	false	false
Province	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
Continent	encompasses	VARCHAR(199)	Encompassed	encompassedArea	false	true
Country	speakLanguage	VARCHAR(199)	SpokenBy	onLanguage	false	true
Language	spokenInCountry	VARCHAR(199)	SpokenBy	languageInfo-	false	true
Country	isMember	VARCHAR(199)	Membership	inOrganization	false	true
Organization	hasMember	VARCHAR(199)	Membership	ofMember	false	true
Country	encompassed	VARCHAR(199)	Encompassed	encompassedBy	false	true
EthnicGroup	liveInCountry	VARCHAR(199)	EthnicProportion	ethnicInfo-	false	true
Country	belongToEthnicGroup	VARCHAR(199)	EthnicProportion	onEthnicGroup	false	true
Country	believeInReligion	VARCHAR(199)	BelievedBy	onReligion	false	true
Religion	believedInCountry	VARCHAR(199)	BelievedBy	religionInfo-	false	true
Border	bordering	VARCHAR(199)	Border	Country1	false	false
Country	hasBorder	VARCHAR(199)	Border	Country1	true	false
Border	bordering	VARCHAR(199)	Border	Country2	false	false
Country	hasBorder	VARCHAR(199)	Border	Country2	true	false
Country	neighbor	VARCHAR(199)	Border	Country1	false	true
Country	neighbor	VARCHAR(199)	Border	Country2	false	true
Volcano	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
Mountain	rdftype	VARCHAR(199)	Mountain	rdftype	false	false
Islands	population	DECIMAL	population	VALUE	false	false
Province	population	DECIMAL	population	VALUE	false	false
ANY	population	DECIMAL	population	VALUE	false	false
Lake	area	DECIMAL	area	VALUE	false	false
ANY	area	DECIMAL	area	VALUE	false	false
ANY	capital	VARCHAR(199)	capital	City	false	false
\.


--
-- TOC entry 5897 (class 0 OID 93889)
-- Dependencies: 850
-- Data for Name: mdlastchanged; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY mdlastchanged (at) FROM stdin;
\.


--
-- TOC entry 5898 (class 0 OID 93892)
-- Dependencies: 851
-- Data for Name: mergesWith; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY "mergesWith" ("Sea1", "Sea2") FROM stdin;
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	http://www.semwebtech.org/mondial/10/sea/IrishSea/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/PersianGulf/
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/BalticSea/
http://www.semwebtech.org/mondial/10/sea/Kattegat/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/RedSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/YellowSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/
http://www.semwebtech.org/mondial/10/sea/BeringSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/Skagerrak/
http://www.semwebtech.org/mondial/10/sea/NorthSea/	http://www.semwebtech.org/mondial/10/sea/TheChannel/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/RedSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SuluSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/BeringSea/
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/BandaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	http://www.semwebtech.org/mondial/10/sea/GreenlandSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/MarmaraSea/
http://www.semwebtech.org/mondial/10/sea/BlackSea/	http://www.semwebtech.org/mondial/10/sea/SeaofAzov/
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	http://www.semwebtech.org/mondial/10/sea/GulfofOman/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/TheChannel/	http://www.semwebtech.org/mondial/10/sea/NorthSea/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/GulfofMexico/
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofAden/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/ArabianSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/GulfofBengal/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	http://www.semwebtech.org/mondial/10/sea/AndamanSea/
http://www.semwebtech.org/mondial/10/sea/IrishSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/IndianOcean/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/SulawesiSea/
http://www.semwebtech.org/mondial/10/sea/JavaSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/BalticSea/	http://www.semwebtech.org/mondial/10/sea/Kattegat/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	http://www.semwebtech.org/mondial/10/sea/HudsonBay/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/KaraSea/	http://www.semwebtech.org/mondial/10/sea/BarentsSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/KaraSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/NorwegianSea/
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/LabradorSea/
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	http://www.semwebtech.org/mondial/10/sea/ArcticOcean/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/BandaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/JavaSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/SuluSea/
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	http://www.semwebtech.org/mondial/10/sea/BlackSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/EastChinaSea/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/PacificOcean/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/YellowSea/
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	http://www.semwebtech.org/mondial/10/sea/SeaofJapan/
\.


--
-- TOC entry 5899 (class 0 OID 93895)
-- Dependencies: 852
-- Data for Name: nmj; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY nmj (class, tablename, lookupattr, fkjoinattr) FROM stdin;
Male	hasNickname	VALUE	Person
Female	hasNickname	VALUE	Person
City	locatedAt	Water	City
X2	nmprop	Y	X
Sea	mergesWith	Sea2	Sea1
City	locatedOnIsland	Island	Entity
Male	marriedWith	Person2	Person1
Female	marriedWith	Person2	Person1
Sea	borders	LargeArea	Entity
Continent	borders	LargeArea	Entity
Water	borders	LargeArea	Entity
Country	borders	LargeArea	Entity
Province	borders	LargeArea	Entity
City	cityIn	AdministrativeArea	City
Country	othername	VALUE	Entity
EthnicGroup	othername	VALUE	Entity
City	othername	VALUE	Entity
Mountains	othername	VALUE	Entity
Province	othername	VALUE	Entity
Continent	othername	VALUE	Entity
Organization	othername	VALUE	Entity
Islands	othername	VALUE	Entity
Lake	othername	VALUE	Entity
Island	othername	VALUE	Entity
Language	othername	VALUE	Entity
Sea	othername	VALUE	Entity
Religion	othername	VALUE	Entity
Mountain	othername	VALUE	Entity
River	othername	VALUE	Entity
Desert	othername	VALUE	Entity
Water	othername	VALUE	Entity
Water	locatedIn	Area	Entity
Islands	locatedIn	Area	Entity
City	locatedIn	Area	Entity
Lake	locatedIn	Area	Entity
Estuary	locatedIn	Area	Entity
River	locatedIn	Area	Entity
Mountains	locatedIn	Area	Entity
Mountain	locatedIn	Area	Entity
Island	locatedIn	Area	Entity
Source	locatedIn	Area	Entity
Sea	locatedIn	Area	Entity
Desert	locatedIn	Area	Entity
Island	locatedInWater	Water	Island
Female	hasAccountNo	VALUE	Person
Male	hasAccountNo	VALUE	Person
Female	hasChild	Person2	Person1
Male	hasChild	Person2	Person1
River	locatedAt	City	Water
Lake	locatedAt	City	Water
Water	locatedAt	City	Water
Sea	locatedAt	City	Water
Y1	nmprop	X	Y
Y2	nmprop	X	Y
Sea	mergesWith	Sea1	Sea2
Sea	mergesWith	Sea1	Sea2
Island	locatedOnIsland	Entity	Island
Female	marriedWith	Person1	Person2
Male	marriedWith	Person1	Person2
Male	marriedWith	Person1	Person2
Female	marriedWith	Person1	Person2
Continent	borders	Entity	LargeArea
Sea	borders	Entity	LargeArea
Province	borders	Entity	LargeArea
Water	borders	Entity	LargeArea
Country	borders	Entity	LargeArea
Province	cityIn	City	AdministrativeArea
Country	cityIn	City	AdministrativeArea
Sea	locatedIn	Entity	Area
City	locatedIn	Entity	Area
Desert	locatedIn	Entity	Area
Lake	locatedIn	Entity	Area
Islands	locatedIn	Entity	Area
Continent	locatedIn	Entity	Area
Mountains	locatedIn	Entity	Area
Country	locatedIn	Entity	Area
Water	locatedIn	Entity	Area
Island	locatedIn	Entity	Area
Province	locatedIn	Entity	Area
Lake	locatedInWater	Island	Water
Sea	locatedInWater	Island	Water
River	locatedInWater	Island	Water
Water	locatedInWater	Island	Water
Female	hasChild	Person1	Person2
Male	hasChild	Person1	Person2
Province	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Country	SpokenBy	onLanguage	languageInfo-
Language	SpokenBy	languageInfo-	onLanguage
Country	Membership	inOrganization	ofMember
Organization	Membership	ofMember	inOrganization
Continent	Encompassed	encompassedArea	encompassedBy
Country	Encompassed	encompassedBy	encompassedArea
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
Organization	Membership	ofMember	inOrganization
Country	Membership	inOrganization	ofMember
Country	Encompassed	encompassedBy	encompassedArea
Continent	Encompassed	encompassedArea	encompassedBy
Country	BelievedBy	onReligion	religionInfo-
Religion	BelievedBy	religionInfo-	onReligion
Language	SpokenBy	languageInfo-	onLanguage
Country	SpokenBy	onLanguage	languageInfo-
Country	EthnicProportion	onEthnicGroup	ethnicInfo-
EthnicGroup	EthnicProportion	ethnicInfo-	onEthnicGroup
Continent	Encompassed	encompassedArea	encompassedBy
Province	Encompassed	encompassedBy	encompassedArea
Religion	BelievedBy	religionInfo-	onReligion
Country	BelievedBy	onReligion	religionInfo-
Country	Border	Country1	Country2
Country	Border	Country2	Country1
all	population	VALUE	Subject
Islands	population	VALUE	Subject
Province	population	VALUE	Subject
Country	population	VALUE	Subject
Island	population	VALUE	Subject
City	population	VALUE	Subject
all	area	VALUE	Subject
Mountains	area	VALUE	Subject
Desert	area	VALUE	Subject
Islands	area	VALUE	Subject
Continent	area	VALUE	Subject
Country	area	VALUE	Subject
Province	area	VALUE	Subject
Island	area	VALUE	Subject
Water	area	VALUE	Subject
Lake	area	VALUE	Subject
Sea	area	VALUE	Subject
River	area	VALUE	Subject
Country	capital	City	Subject
City	capital	Subject	City
Province	capital	City	Subject
City	capital	Subject	City
all	capital	City	Subject
all	capital	Subject	City
\.


--
-- TOC entry 5900 (class 0 OID 93898)
-- Dependencies: 853
-- Data for Name: nmprop; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY nmprop ("X", "Y") FROM stdin;
\.


--
-- TOC entry 5901 (class 0 OID 93901)
-- Dependencies: 854
-- Data for Name: nmtables; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY nmtables (tablename) FROM stdin;
hasNickname
mergesWith
locatedOnIsland
locatedIn
locatedAt
marriedWith
borders
locatedInWater
nmprop
hasAccountNo
hasChild
cityIn
othername
Encompassed
Encompassed
SpokenBy
SpokenBy
Membership
Membership
Encompassed
Encompassed
EthnicProportion
EthnicProportion
Membership
Membership
Encompassed
Encompassed
BelievedBy
BelievedBy
SpokenBy
SpokenBy
EthnicProportion
EthnicProportion
Encompassed
Encompassed
BelievedBy
BelievedBy
Border
population
area
capital
\.


--
-- TOC entry 5902 (class 0 OID 93904)
-- Dependencies: 855
-- Data for Name: ocdict; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY ocdict (uri, class) FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	Province
-60ed8313:150849567c0:4402	EthnicProportion
-60ed8313:150849567c0:1fd4	Membership
-60ed8313:150849567c0:2373	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	City
-60ed8313:150849567c0:1f30	Membership
-60ed8313:150849567c0:2707	Membership
http://www.semwebtech.org/mondial/10/island/Iceland/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	City
-60ed8313:150849567c0:2d39	Membership
-60ed8313:150849567c0:3bce	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Gagauz/	EthnicGroup
-60ed8313:150849567c0:2967	Membership
-60ed8313:150849567c0:3b2a	Membership
-60ed8313:150849567c0:37fc	Membership
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	City
-60ed8313:150849567c0:1a9b	Membership
-60ed8313:150849567c0:2f99	Membership
-60ed8313:150849567c0:26b3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	City
-60ed8313:150849567c0:1e2f	Membership
-60ed8313:150849567c0:2ce5	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/city/Braganca/	City
-60ed8313:150849567c0:3d8a	Membership
-60ed8313:150849567c0:3084	Membership
-60ed8313:150849567c0:2c41	Membership
http://www.semwebtech.org/mondial/10/desert/GrandErgOuest/	Desert
http://www.semwebtech.org/mondial/10/mountain/MtWhitney/	Mountain
-60ed8313:150849567c0:3418	Membership
-60ed8313:150849567c0:42ad	BelievedBy
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	City
-60ed8313:150849567c0:1ddb	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandingo/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	City
-60ed8313:150849567c0:217a	Membership
-60ed8313:150849567c0:3678	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	Province
-60ed8313:150849567c0:250e	Membership
-60ed8313:150849567c0:33c4	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	City
-60ed8313:150849567c0:3320	Membership
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	City
-60ed8313:150849567c0:16c9	Encompassed
-60ed8313:150849567c0:276e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bengali/	EthnicGroup
-60ed8313:150849567c0:4129	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	City
-60ed8313:150849567c0:24ba	Membership
-60ed8313:150849567c0:39b8	Membership
-60ed8313:150849567c0:3580	Membership
http://www.semwebtech.org/mondial/10/river/Guadiana/	River
-60ed8313:150849567c0:1c57	Membership
-60ed8313:150849567c0:2aec	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	City
-60ed8313:150849567c0:3914	Membership
-60ed8313:150849567c0:4389	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	City
-60ed8313:150849567c0:1885	Border
-60ed8313:150849567c0:3f46	Membership
-60ed8313:150849567c0:321f	Membership
-60ed8313:150849567c0:40d5	SpokenBy
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	Province
-60ed8313:150849567c0:4031	SpokenBy
-60ed8313:150849567c0:38c0	Membership
-60ed8313:150849567c0:347f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	City
-60ed8313:150849567c0:3ef2	Membership
-60ed8313:150849567c0:31cb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	City
-60ed8313:150849567c0:2336	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	City
-60ed8313:150849567c0:4291	BelievedBy
http://www.semwebtech.org/mondial/10/island/Futuna/	Island
-60ed8313:150849567c0:2596	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/LaGuaira/	City
-60ed8313:150849567c0:22e2	Membership
-60ed8313:150849567c0:37bf	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	Province
-60ed8313:150849567c0:1a5e	Membership
http://www.semwebtech.org/mondial/10/source/Goetaaelv/	Source
-60ed8313:150849567c0:371b	Membership
http://www.semwebtech.org/mondial/10/river/Mantaro/	River
http://www.semwebtech.org/mondial/10/organization/OECD/	Organization
-60ed8313:150849567c0:2ca8	Membership
-60ed8313:150849567c0:3d4d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/city/Silvassa/	City
-60ed8313:150849567c0:3047	Membership
-60ed8313:150849567c0:2c04	Membership
-60ed8313:150849567c0:28d6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	City
-60ed8313:150849567c0:397b	Membership
-60ed8313:150849567c0:2832	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	Province
-60ed8313:150849567c0:2e64	Membership
-60ed8313:150849567c0:213d	Membership
-60ed8313:150849567c0:19cc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	City
-60ed8313:150849567c0:2bb0	Membership
-60ed8313:150849567c0:442c	EthnicProportion
-60ed8313:150849567c0:1ffe	Membership
http://www.semwebtech.org/mondial/10/estuary/MerrimackRiver/	Estuary
-60ed8313:150849567c0:239d	Membership
-60ed8313:150849567c0:1f5a	Membership
http://www.semwebtech.org/mondial/10/source/Jubba/	Source
-60ed8313:150849567c0:35e7	Membership
-60ed8313:150849567c0:3543	Membership
-60ed8313:150849567c0:2aaf	Membership
http://www.semwebtech.org/mondial/10/source/Huallaga/	Source
-60ed8313:150849567c0:3b75	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	City
-60ed8313:150849567c0:2a0b	Membership
-60ed8313:150849567c0:1848	Border
-60ed8313:150849567c0:26dd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	City
-60ed8313:150849567c0:3f09	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	City
http://www.semwebtech.org/mondial/10/mountains/Grampians/	Mountains
http://www.semwebtech.org/mondial/10/desert/SimpsonDesert/	Desert
-60ed8313:150849567c0:1bc6	Membership
-60ed8313:150849567c0:2c6b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	City
http://www.semwebtech.org/mondial/10/lake/Inari/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/city/Abha/	City
-60ed8313:150849567c0:42f8	BelievedBy
-60ed8313:150849567c0:17f4	Border
-60ed8313:150849567c0:1b22	Membership
-60ed8313:150849567c0:3eb5	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/city/Huambo/	City
-60ed8313:150849567c0:4254	BelievedBy
-60ed8313:150849567c0:1750	Encompassed
http://www.semwebtech.org/mondial/10/source/Rhein/	Source
-60ed8313:150849567c0:3e11	Membership
-60ed8313:150849567c0:1d82	Membership
-60ed8313:150849567c0:33ee	Membership
-60ed8313:150849567c0:2559	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	City
-60ed8313:150849567c0:2fab	Membership
-60ed8313:150849567c0:22a5	Membership
-60ed8313:150849567c0:334a	Membership
-60ed8313:150849567c0:2201	Membership
http://www.semwebtech.org/mondial/10/sea/AtlanticOcean/	Sea
-60ed8313:150849567c0:2461	Membership
-60ed8313:150849567c0:393e	Membership
-60ed8313:150849567c0:2a93	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	City
-60ed8313:150849567c0:40ff	SpokenBy
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	City
-60ed8313:150849567c0:2e27	Membership
http://www.semwebtech.org/mondial/10/lake/LochNess/	Lake
-60ed8313:150849567c0:3cbc	Membership
-60ed8313:150849567c0:405b	SpokenBy
-60ed8313:150849567c0:38ea	Membership
http://www.semwebtech.org/mondial/10/islands/Seychelles/	Islands
-60ed8313:150849567c0:27a1	Membership
http://www.semwebtech.org/mondial/10/source/Po/	Source
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/city/Bitlis/	City
-60ed8313:150849567c0:1f1d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	City
-60ed8313:150849567c0:2dd3	Membership
-60ed8313:150849567c0:20ac	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	City
-60ed8313:150849567c0:3172	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	Province
-60ed8313:150849567c0:3506	Membership
-60ed8313:150849567c0:3b38	Membership
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	City
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	City
-60ed8313:150849567c0:3766	Membership
http://www.semwebtech.org/mondial/10/islands/CaymanIslands/	Islands
http://www.semwebtech.org/mondial/10/ethnicgroup/Monegasque/	EthnicGroup
-60ed8313:150849567c0:3d98	Membership
-60ed8313:150849567c0:34b2	Membership
-60ed8313:150849567c0:2c2e	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	City
-60ed8313:150849567c0:3ae4	Membership
http://www.semwebtech.org/mondial/10/country/NORF/city/Kingston/	City
-60ed8313:150849567c0:17b7	Encompassed
-60ed8313:150849567c0:285c	Membership
-60ed8313:150849567c0:4217	BelievedBy
-60ed8313:150849567c0:3a40	Membership
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	Province
-60ed8313:150849567c0:1de9	Membership
-60ed8313:150849567c0:1713	Encompassed
-60ed8313:150849567c0:2e8e	Membership
-60ed8313:150849567c0:2188	Membership
-60ed8313:150849567c0:1d45	Membership
-60ed8313:150849567c0:2bda	Membership
http://www.semwebtech.org/mondial/10/island/Olkhon/	Island
-60ed8313:150849567c0:4477	EthnicProportion
-60ed8313:150849567c0:1973	Membership
-60ed8313:150849567c0:330d	Membership
-60ed8313:150849567c0:41c3	BelievedBy
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	Province
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	City
http://www.semwebtech.org/mondial/10/mountain/PicoDuarte/	Mountain
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	City
-60ed8313:150849567c0:1cf1	Membership
-60ed8313:150849567c0:24c8	Membership
http://www.semwebtech.org/mondial/10/country/SK/	Country
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	City
-60ed8313:150849567c0:2090	Membership
-60ed8313:150849567c0:356d	Membership
-60ed8313:150849567c0:3fe0	Membership
-60ed8313:150849567c0:2424	Membership
-60ed8313:150849567c0:3b9f	Membership
http://www.semwebtech.org/mondial/10/estuary/Dnjestr/	Estuary
-60ed8313:150849567c0:2a56	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/city/Agboville/	City
http://www.semwebtech.org/mondial/10/mountain/Korab/	Mountain
-60ed8313:150849567c0:2684	Membership
-60ed8313:150849567c0:401e	SpokenBy
-60ed8313:150849567c0:23d0	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	Province
-60ed8313:150849567c0:38ad	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	City
-60ed8313:150849567c0:1b4c	Membership
-60ed8313:150849567c0:3edf	Membership
-60ed8313:150849567c0:31d9	Membership
-60ed8313:150849567c0:427e	BelievedBy
-60ed8313:150849567c0:177a	Encompassed
-60ed8313:150849567c0:3e3b	Membership
-60ed8313:150849567c0:3135	Membership
-60ed8313:150849567c0:29c4	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	City
-60ed8313:150849567c0:2ff6	Membership
-60ed8313:150849567c0:2920	Membership
-60ed8313:150849567c0:22cf	Membership
-60ed8313:150849567c0:3395	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	City
-60ed8313:150849567c0:2f52	Membership
-60ed8313:150849567c0:222b	Membership
-60ed8313:150849567c0:3729	Membership
-60ed8313:150849567c0:30e1	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	City
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	City
-60ed8313:150849567c0:451a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	Province
-60ed8313:150849567c0:3aa7	Membership
-60ed8313:150849567c0:248b	Membership
-60ed8313:150849567c0:3989	Membership
http://www.semwebtech.org/mondial/10/source/Chire/	Source
-60ed8313:150849567c0:281f	Membership
-60ed8313:150849567c0:3a03	Membership
-60ed8313:150849567c0:36d5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	City
-60ed8313:150849567c0:3631	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	Province
-60ed8313:150849567c0:1d08	Membership
http://www.semwebtech.org/mondial/10/mountain/GrosserArber/	Mountain
-60ed8313:150849567c0:3c63	Membership
-60ed8313:150849567c0:1936	Membership
http://www.semwebtech.org/mondial/10/estuary/Argun/	Estuary
-60ed8313:150849567c0:27cb	Membership
-60ed8313:150849567c0:3891	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	City
http://www.semwebtech.org/mondial/10/lake/LakeMichigan/	Lake
-60ed8313:150849567c0:1f68	Membership
-60ed8313:150849567c0:2dfd	Membership
-60ed8313:150849567c0:20f7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	City
-60ed8313:150849567c0:319c	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/city/Saurimo/	City
-60ed8313:150849567c0:1cb4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	City
-60ed8313:150849567c0:2053	Membership
-60ed8313:150849567c0:43e6	EthnicProportion
-60ed8313:150849567c0:18e2	Border
-60ed8313:150849567c0:1c10	Membership
-60ed8313:150849567c0:3fa3	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	City
-60ed8313:150849567c0:4342	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	City
-60ed8313:150849567c0:2a19	Membership
http://www.semwebtech.org/mondial/10/river/Garonne/	River
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	City
-60ed8313:150849567c0:1e70	Membership
http://www.semwebtech.org/mondial/10/island/IsleofMan/	Island
-60ed8313:150849567c0:2647	Membership
-60ed8313:150849567c0:34dc	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	City
-60ed8313:150849567c0:2c79	Membership
-60ed8313:150849567c0:1b0f	Membership
-60ed8313:150849567c0:3a6a	Membership
-60ed8313:150849567c0:173d	Encompassed
-60ed8313:150849567c0:25f3	Membership
-60ed8313:150849567c0:1d6f	Membership
-60ed8313:150849567c0:199d	Membership
-60ed8313:150849567c0:1abb	Membership
-60ed8313:150849567c0:2fb9	Membership
-60ed8313:150849567c0:2b81	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	City
-60ed8313:150849567c0:3358	Membership
-60ed8313:150849567c0:41ed	BelievedBy
-60ed8313:150849567c0:2f15	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	City
-60ed8313:150849567c0:3daa	Membership
-60ed8313:150849567c0:30a4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Balbi/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Syrdarja/	Estuary
-60ed8313:150849567c0:3000	Membership
http://www.semwebtech.org/mondial/10/estuary/Oranje/	Estuary
-60ed8313:150849567c0:244e	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	City
-60ed8313:150849567c0:2ec1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	City
-60ed8313:150849567c0:3260	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	City
-60ed8313:150849567c0:4069	SpokenBy
-60ed8313:150849567c0:3c26	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	Province
-60ed8313:150849567c0:38f8	Membership
-60ed8313:150849567c0:23fa	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	City
-60ed8313:150849567c0:1b97	Membership
-60ed8313:150849567c0:3854	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	Province
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	Province
-60ed8313:150849567c0:3e86	Membership
-60ed8313:150849567c0:35a0	Membership
-60ed8313:150849567c0:315f	Membership
http://www.semwebtech.org/mondial/10/country/BHT/	Country
-60ed8313:150849567c0:2d1c	Membership
-60ed8313:150849567c0:29ee	Membership
-60ed8313:150849567c0:3bd2	Membership
-60ed8313:150849567c0:2016	Membership
-60ed8313:150849567c0:43a9	EthnicProportion
-60ed8313:150849567c0:18a5	Border
-60ed8313:150849567c0:294a	Membership
-60ed8313:150849567c0:4305	BelievedBy
-60ed8313:150849567c0:1ed7	Membership
-60ed8313:150849567c0:1801	Border
-60ed8313:150849567c0:2f7c	Membership
-60ed8313:150849567c0:2276	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	Province
http://www.semwebtech.org/mondial/10/island/IsladaOmetepe/	Island
-60ed8313:150849567c0:1e33	Membership
http://www.semwebtech.org/mondial/10/island/Phuket/	Island
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	Province
-60ed8313:150849567c0:4565	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/city/Zug/	City
-60ed8313:150849567c0:42b1	BelievedBy
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	City
-60ed8313:150849567c0:3a2d	Membership
-60ed8313:150849567c0:36ff	Membership
-60ed8313:150849567c0:25b6	Membership
-60ed8313:150849567c0:365b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	Province
http://www.semwebtech.org/mondial/10/estuary/SaintMarysRiver/	Estuary
http://www.semwebtech.org/mondial/10/mountains/SierraParima/	Mountains
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	Province
-60ed8313:150849567c0:3c8d	Membership
-60ed8313:150849567c0:2be8	Membership
-60ed8313:150849567c0:2512	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	Province
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	City
-60ed8313:150849567c0:2b44	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	City
-60ed8313:150849567c0:2772	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	City
-60ed8313:150849567c0:410c	BelievedBy
-60ed8313:150849567c0:1cde	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	City
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	City
-60ed8313:150849567c0:207d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	Province
http://www.semwebtech.org/mondial/10/organization/FATF/	Organization
-60ed8313:150849567c0:1c3a	Membership
-60ed8313:150849567c0:2af0	Membership
-60ed8313:150849567c0:3fcd	Membership
-60ed8313:150849567c0:32c7	Membership
-60ed8313:150849567c0:436c	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Tay/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	City
-60ed8313:150849567c0:3223	Membership
-60ed8313:150849567c0:1e9a	Membership
http://www.semwebtech.org/mondial/10/estuary/Theiss/	Estuary
http://www.semwebtech.org/mondial/10/island/Principe/	Island
-60ed8313:150849567c0:23bd	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	City
-60ed8313:150849567c0:3483	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	City
http://www.semwebtech.org/mondial/10/country/VIRG/	Country
-60ed8313:150849567c0:3817	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	City
-60ed8313:150849567c0:1788	Encompassed
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	City
-60ed8313:150849567c0:3e49	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	Province
-60ed8313:150849567c0:290d	Membership
-60ed8313:150849567c0:37c3	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	Province
http://www.semwebtech.org/mondial/10/organization/BDEAC/	Organization
-60ed8313:150849567c0:1a62	Membership
-60ed8313:150849567c0:2f3f	Membership
-60ed8313:150849567c0:3df5	Membership
-60ed8313:150849567c0:2239	Membership
-60ed8313:150849567c0:30ce	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	Province
-60ed8313:150849567c0:4194	BelievedBy
-60ed8313:150849567c0:3d51	Membership
-60ed8313:150849567c0:302a	Membership
-60ed8313:150849567c0:4528	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	Province
-60ed8313:150849567c0:2499	Membership
http://www.semwebtech.org/mondial/10/estuary/Don/	Estuary
-60ed8313:150849567c0:2eeb	Membership
-60ed8313:150849567c0:21e5	Membership
http://www.semwebtech.org/mondial/10/desert/Sonora/	Desert
-60ed8313:150849567c0:328a	Membership
-60ed8313:150849567c0:1da2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	City
-60ed8313:150849567c0:2141	Membership
-60ed8313:150849567c0:361e	Membership
-60ed8313:150849567c0:44d4	EthnicProportion
-60ed8313:150849567c0:19d0	Membership
-60ed8313:150849567c0:4430	EthnicProportion
-60ed8313:150849567c0:2b07	Membership
-60ed8313:150849567c0:27d9	Membership
-60ed8313:150849567c0:387e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	City
-60ed8313:150849567c0:2735	Membership
-60ed8313:150849567c0:35ca	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	Province
http://www.semwebtech.org/mondial/10/sea/GulfofOman/	Sea
-60ed8313:150849567c0:2d67	Membership
-60ed8313:150849567c0:3bfc	Membership
-60ed8313:150849567c0:2ab3	Membership
-60ed8313:150849567c0:18cf	Border
-60ed8313:150849567c0:2995	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	City
-60ed8313:150849567c0:432f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	Province
-60ed8313:150849567c0:182b	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	City
-60ed8313:150849567c0:26e1	Membership
-60ed8313:150849567c0:1e5d	Membership
-60ed8313:150849567c0:458f	EthnicProportion
-60ed8313:150849567c0:3446	Membership
-60ed8313:150849567c0:42db	BelievedBy
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	City
-60ed8313:150849567c0:3a78	Membership
-60ed8313:150849567c0:253c	Membership
-60ed8313:150849567c0:33f2	Membership
-60ed8313:150849567c0:1ac9	Membership
-60ed8313:150849567c0:2b6e	Membership
-60ed8313:150849567c0:16f7	Encompassed
-60ed8313:150849567c0:1a25	Membership
-60ed8313:150849567c0:3db8	Membership
-60ed8313:150849567c0:279c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/city/Hakkari/	City
-60ed8313:150849567c0:4157	BelievedBy
-60ed8313:150849567c0:3d14	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	City
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	City
-60ed8313:150849567c0:39e6	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	Province
-60ed8313:150849567c0:1c85	Membership
-60ed8313:150849567c0:3942	Membership
http://www.semwebtech.org/mondial/10/organization/IFC/	Organization
http://www.semwebtech.org/mondial/10/ethnicgroup/Austrian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	City
http://www.semwebtech.org/mondial/10/country/GUAD/	Country
-60ed8313:150849567c0:2eae	Membership
-60ed8313:150849567c0:3f74	Membership
-60ed8313:150849567c0:21a8	Membership
-60ed8313:150849567c0:324d	Membership
-60ed8313:150849567c0:2e0a	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/city/Nacaome/	City
-60ed8313:150849567c0:3cc0	Membership
-60ed8313:150849567c0:2104	Membership
http://www.semwebtech.org/mondial/10/country/RO/	Country
-60ed8313:150849567c0:1fc5	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	Province
-60ed8313:150849567c0:2364	Membership
http://www.semwebtech.org/mondial/10/estuary/Missouri/	Estuary
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	City
-60ed8313:150849567c0:1f21	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	City
-60ed8313:150849567c0:20b0	Membership
-60ed8313:150849567c0:3bbf	Membership
http://www.semwebtech.org/mondial/10/continent/Africa/	Continent
-60ed8313:150849567c0:2958	Membership
-60ed8313:150849567c0:3b1b	Membership
-60ed8313:150849567c0:37ed	Membership
http://www.semwebtech.org/mondial/10/country/MACX/city/Macao/	City
-60ed8313:150849567c0:1a8c	Membership
-60ed8313:150849567c0:26a4	Membership
-60ed8313:150849567c0:2cd6	Membership
-60ed8313:150849567c0:2600	Membership
-60ed8313:150849567c0:3d7b	Membership
-60ed8313:150849567c0:3075	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	Province
-60ed8313:150849567c0:2c32	Membership
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	City
-60ed8313:150849567c0:3409	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	City
-60ed8313:150849567c0:2860	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	City
-60ed8313:150849567c0:1dcc	Membership
-60ed8313:150849567c0:2e92	Membership
-60ed8313:150849567c0:216b	Membership
-60ed8313:150849567c0:3669	Membership
-60ed8313:150849567c0:44fe	EthnicProportion
-60ed8313:150849567c0:19fa	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	City
-60ed8313:150849567c0:33b5	Membership
-60ed8313:150849567c0:445a	EthnicProportion
-60ed8313:150849567c0:3311	Membership
http://www.semwebtech.org/mondial/10/mountain/PuydeSancy/	Mountain
-60ed8313:150849567c0:275f	Membership
-60ed8313:150849567c0:24ab	Membership
http://www.semwebtech.org/mondial/10/organization/G-11/	Organization
-60ed8313:150849567c0:39a9	Membership
-60ed8313:150849567c0:3571	Membership
http://www.semwebtech.org/mondial/10/estuary/Pjandsh/	Estuary
-60ed8313:150849567c0:1c48	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	Province
-60ed8313:150849567c0:2add	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	City
-60ed8313:150849567c0:3905	Membership
-60ed8313:150849567c0:1876	Border
-60ed8313:150849567c0:3f37	Membership
-60ed8313:150849567c0:40c6	SpokenBy
http://www.semwebtech.org/mondial/10/sea/PacificOcean/	Sea
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleradeTalamanca/	Mountains
-60ed8313:150849567c0:4022	SpokenBy
-60ed8313:150849567c0:1bf4	Membership
-60ed8313:150849567c0:38b1	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	City
-60ed8313:150849567c0:1b50	Membership
-60ed8313:150849567c0:3ee3	Membership
-60ed8313:150849567c0:2327	Membership
-60ed8313:150849567c0:31bc	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	City
-60ed8313:150849567c0:4282	BelievedBy
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldavian-Romanian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	City
-60ed8313:150849567c0:2587	Membership
http://www.semwebtech.org/mondial/10/mountain/MtFairweather/	Mountain
-60ed8313:150849567c0:22d3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	City
-60ed8313:150849567c0:1a4f	Membership
-60ed8313:150849567c0:370c	Membership
http://www.semwebtech.org/mondial/10/religion/Presbyterian/	Religion
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	Province
-60ed8313:150849567c0:3d3e	Membership
-60ed8313:150849567c0:3038	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	Province
-60ed8313:150849567c0:28c7	Membership
-60ed8313:150849567c0:396c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	City
-60ed8313:150849567c0:2ef9	Membership
-60ed8313:150849567c0:2823	Membership
-60ed8313:150849567c0:3f9e	Membership
-60ed8313:150849567c0:3298	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	City
-60ed8313:150849567c0:2e55	Membership
-60ed8313:150849567c0:3cea	Membership
-60ed8313:150849567c0:212e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	City
-60ed8313:150849567c0:19bd	Membership
http://www.semwebtech.org/mondial/10/mountains/Azbine/	Mountains
-60ed8313:150849567c0:2ba1	Membership
-60ed8313:150849567c0:441d	EthnicProportion
-60ed8313:150849567c0:1fef	Membership
-60ed8313:150849567c0:238e	Membership
-60ed8313:150849567c0:1f4b	Membership
-60ed8313:150849567c0:35d8	Membership
-60ed8313:150849567c0:20da	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	Province
http://www.semwebtech.org/mondial/10/island/Molokai/	Island
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	Province
-60ed8313:150849567c0:3534	Membership
http://www.semwebtech.org/mondial/10/lake/LakeBosumtwi/	Lake
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	Province
-60ed8313:150849567c0:3b66	Membership
-60ed8313:150849567c0:1839	Border
-60ed8313:150849567c0:26ce	Membership
-60ed8313:150849567c0:3794	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	City
-60ed8313:150849567c0:34e0	Membership
-60ed8313:150849567c0:262a	Membership
-60ed8313:150849567c0:309f	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	City
-60ed8313:150849567c0:1bb7	Membership
-60ed8313:150849567c0:2c5c	Membership
-60ed8313:150849567c0:42e9	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	Province
-60ed8313:150849567c0:17e5	Border
-60ed8313:150849567c0:1b13	Membership
-60ed8313:150849567c0:288a	Membership
-60ed8313:150849567c0:3ea6	Membership
http://www.semwebtech.org/mondial/10/country/BERM/city/Hamilton/	City
-60ed8313:150849567c0:4245	BelievedBy
-60ed8313:150849567c0:1741	Encompassed
-60ed8313:150849567c0:3e02	Membership
-60ed8313:150849567c0:1d73	Membership
-60ed8313:150849567c0:33df	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	City
-60ed8313:150849567c0:333b	Membership
-60ed8313:150849567c0:41f1	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	City
-60ed8313:150849567c0:24f6	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/city/MbanzaCongo/	City
-60ed8313:150849567c0:359b	Membership
http://www.semwebtech.org/mondial/10/mountains/Sinai/	Mountains
-60ed8313:150849567c0:2452	Membership
-60ed8313:150849567c0:392f	Membership
http://www.semwebtech.org/mondial/10/river/Syrdarja/	River
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	City
http://www.semwebtech.org/mondial/10/island/Lolland/	Island
-60ed8313:150849567c0:2a84	Membership
-60ed8313:150849567c0:2e18	Membership
-60ed8313:150849567c0:3cad	Membership
http://www.semwebtech.org/mondial/10/country/SPMI/	Country
-60ed8313:150849567c0:404c	SpokenBy
-60ed8313:150849567c0:38db	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Songhai/	EthnicGroup
-60ed8313:150849567c0:1b7a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	Province
-60ed8313:150849567c0:1f0e	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	Province
-60ed8313:150849567c0:2dc4	Membership
-60ed8313:150849567c0:3163	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNipigon/	Lake
-60ed8313:150849567c0:2d20	Membership
-60ed8313:150849567c0:29f2	Membership
-60ed8313:150849567c0:22fd	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	City
-60ed8313:150849567c0:3b29	Membership
http://www.semwebtech.org/mondial/10/river/Jenissej/	River
http://www.semwebtech.org/mondial/10/desert/Mujunkum/	Desert
-60ed8313:150849567c0:1eba	Membership
-60ed8313:150849567c0:2f80	Membership
-60ed8313:150849567c0:3757	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	City
http://www.semwebtech.org/mondial/10/language/Pitkern/	Language
-60ed8313:150849567c0:3d89	Membership
-60ed8313:150849567c0:34a3	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	City
http://www.semwebtech.org/mondial/10/mountain/Brocken/	Mountain
-60ed8313:150849567c0:2c1f	Membership
-60ed8313:150849567c0:3ad5	Membership
-60ed8313:150849567c0:17a8	Encompassed
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	City
-60ed8313:150849567c0:284d	Membership
-60ed8313:150849567c0:3a31	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Romansch/	EthnicGroup
-60ed8313:150849567c0:4208	BelievedBy
-60ed8313:150849567c0:2e7f	Membership
-60ed8313:150849567c0:1704	Encompassed
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	City
-60ed8313:150849567c0:2179	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	City
-60ed8313:150849567c0:1d36	Membership
-60ed8313:150849567c0:2bcb	Membership
-60ed8313:150849567c0:3c91	Membership
-60ed8313:150849567c0:4468	EthnicProportion
http://www.semwebtech.org/mondial/10/island/IsleofWight/	Island
-60ed8313:150849567c0:1964	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	City
-60ed8313:150849567c0:41b4	BelievedBy
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	City
-60ed8313:150849567c0:1f96	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	Province
-60ed8313:150849567c0:4110	BelievedBy
-60ed8313:150849567c0:1ce2	Membership
http://www.semwebtech.org/mondial/10/estuary/WesternDwina/	Estuary
-60ed8313:150849567c0:24b9	Membership
-60ed8313:150849567c0:2081	Membership
-60ed8313:150849567c0:355e	Membership
http://www.semwebtech.org/mondial/10/river/Salzach/	River
-60ed8313:150849567c0:3fd1	Membership
-60ed8313:150849567c0:2415	Membership
-60ed8313:150849567c0:32aa	Membership
-60ed8313:150849567c0:4370	EthnicProportion
-60ed8313:150849567c0:2a47	Membership
http://www.semwebtech.org/mondial/10/mountain/Rinjani/	Mountain
http://www.semwebtech.org/mondial/10/source/Waag/	Source
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	Province
-60ed8313:150849567c0:2675	Membership
-60ed8313:150849567c0:400f	SpokenBy
http://www.semwebtech.org/mondial/10/island/Ceram/	Island
http://www.semwebtech.org/mondial/10/island/Langeland/	Island
http://www.semwebtech.org/mondial/10/language/Gagauz/	Language
-60ed8313:150849567c0:23c1	Membership
http://www.semwebtech.org/mondial/10/estuary/Sanga/	Estuary
-60ed8313:150849567c0:1b3d	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	City
-60ed8313:150849567c0:426f	BelievedBy
http://www.semwebtech.org/mondial/10/organization/CIS/	Organization
-60ed8313:150849567c0:176b	Encompassed
-60ed8313:150849567c0:3e2c	Membership
http://www.semwebtech.org/mondial/10/organization/FZ/	Organization
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	City
-60ed8313:150849567c0:3126	Membership
-60ed8313:150849567c0:1d9d	Membership
-60ed8313:150849567c0:29b5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	City
-60ed8313:150849567c0:2fe7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	City
-60ed8313:150849567c0:2911	Membership
-60ed8313:150849567c0:3386	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	City
-60ed8313:150849567c0:2f43	Membership
-60ed8313:150849567c0:221c	Membership
-60ed8313:150849567c0:30d2	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	Province
-60ed8313:150849567c0:450b	EthnicProportion
-60ed8313:150849567c0:247c	Membership
-60ed8313:150849567c0:36c6	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	Province
http://www.semwebtech.org/mondial/10/island/Java/	Island
http://www.semwebtech.org/mondial/10/river/Oranje/	River
-60ed8313:150849567c0:3cf8	Membership
-60ed8313:150849567c0:3622	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	City
-60ed8313:150849567c0:4097	SpokenBy
http://www.semwebtech.org/mondial/10/river/Uruguay/	River
-60ed8313:150849567c0:3c54	Membership
-60ed8313:150849567c0:1927	Membership
-60ed8313:150849567c0:27bc	Membership
-60ed8313:150849567c0:3882	Membership
-60ed8313:150849567c0:1f59	Membership
-60ed8313:150849567c0:2dee	Membership
http://www.semwebtech.org/mondial/10/country/OM/	Country
-60ed8313:150849567c0:20e8	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Latvian/	EthnicGroup
-60ed8313:150849567c0:318d	Membership
-60ed8313:150849567c0:1ca5	Membership
-60ed8313:150849567c0:2d4a	Membership
-60ed8313:150849567c0:2044	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	City
-60ed8313:150849567c0:43d7	EthnicProportion
-60ed8313:150849567c0:18d3	Border
-60ed8313:150849567c0:1c01	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	Province
-60ed8313:150849567c0:4333	EthnicProportion
-60ed8313:150849567c0:1e61	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	City
http://www.semwebtech.org/mondial/10/country/SY/	Country
-60ed8313:150849567c0:2638	Membership
-60ed8313:150849567c0:34cd	Membership
-60ed8313:150849567c0:4593	EthnicProportion
-60ed8313:150849567c0:3aff	Membership
-60ed8313:150849567c0:2898	Membership
-60ed8313:150849567c0:3a5b	Membership
-60ed8313:150849567c0:172e	Encompassed
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	City
-60ed8313:150849567c0:25e4	Membership
http://www.semwebtech.org/mondial/10/source/Fulda/	Source
-60ed8313:150849567c0:2540	Membership
-60ed8313:150849567c0:198e	Membership
-60ed8313:150849567c0:1aac	Membership
-60ed8313:150849567c0:2b72	Membership
-60ed8313:150849567c0:3349	Membership
-60ed8313:150849567c0:41de	BelievedBy
-60ed8313:150849567c0:16da	Encompassed
-60ed8313:150849567c0:2f06	Membership
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	City
-60ed8313:150849567c0:413a	BelievedBy
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	Province
-60ed8313:150849567c0:3ffb	SpokenBy
-60ed8313:150849567c0:243f	Membership
-60ed8313:150849567c0:32f5	Membership
-60ed8313:150849567c0:439a	EthnicProportion
-60ed8313:150849567c0:2eb2	Membership
-60ed8313:150849567c0:3251	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	City
-60ed8313:150849567c0:269f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Celt/	EthnicGroup
-60ed8313:150849567c0:3c17	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/city/SanAndres/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/city/Chur/	City
-60ed8313:150849567c0:23eb	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	Province
-60ed8313:150849567c0:38e9	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	City
-60ed8313:150849567c0:1b88	Membership
http://www.semwebtech.org/mondial/10/river/Theiss/	River
-60ed8313:150849567c0:3845	Membership
-60ed8313:150849567c0:3e77	Membership
http://www.semwebtech.org/mondial/10/desert/ErgIgidi/	Desert
-60ed8313:150849567c0:2d0d	Membership
-60ed8313:150849567c0:29df	Membership
-60ed8313:150849567c0:3bc3	Membership
-60ed8313:150849567c0:2007	Membership
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	City
-60ed8313:150849567c0:293b	Membership
-60ed8313:150849567c0:37f1	Membership
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	City
-60ed8313:150849567c0:1ec8	Membership
-60ed8313:150849567c0:1a90	Membership
-60ed8313:150849567c0:2f6d	Membership
http://www.semwebtech.org/mondial/10/island/GreatBritain/	Island
-60ed8313:150849567c0:2267	Membership
-60ed8313:150849567c0:30fc	Membership
-60ed8313:150849567c0:1e24	Membership
-60ed8313:150849567c0:4556	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Arabic/	EthnicGroup
-60ed8313:150849567c0:42a2	BelievedBy
-60ed8313:150849567c0:3a1e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	City
-60ed8313:150849567c0:1dd0	Membership
-60ed8313:150849567c0:25a7	Membership
-60ed8313:150849567c0:364c	Membership
-60ed8313:150849567c0:2bd9	Membership
-60ed8313:150849567c0:2503	Membership
-60ed8313:150849567c0:3c7e	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	Province
http://www.semwebtech.org/mondial/10/island/ShetlandMainland/	Island
-60ed8313:150849567c0:2b35	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	City
http://www.semwebtech.org/mondial/10/island/LittleCayman/	Island
http://www.semwebtech.org/mondial/10/lake/LakeTanganjika/	Lake
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	City
-60ed8313:150849567c0:2763	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	City
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	City
-60ed8313:150849567c0:1ccf	Membership
http://www.semwebtech.org/mondial/10/river/Newa/	River
-60ed8313:150849567c0:2d95	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	Province
-60ed8313:150849567c0:206e	Membership
http://www.semwebtech.org/mondial/10/sea/ArcticOcean/	Sea
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	City
-60ed8313:150849567c0:18fd	Border
-60ed8313:150849567c0:1c2b	Membership
-60ed8313:150849567c0:2ae1	Membership
-60ed8313:150849567c0:3fbe	Membership
-60ed8313:150849567c0:32b8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	City
-60ed8313:150849567c0:435d	EthnicProportion
-60ed8313:150849567c0:3f1a	Membership
-60ed8313:150849567c0:3214	Membership
-60ed8313:150849567c0:1e8b	Membership
http://www.semwebtech.org/mondial/10/mountains/Hawaii/	Mountains
-60ed8313:150849567c0:23ae	Membership
-60ed8313:150849567c0:3474	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	Province
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	City
-60ed8313:150849567c0:230a	Membership
-60ed8313:150849567c0:3808	Membership
-60ed8313:150849567c0:31c0	Membership
-60ed8313:150849567c0:1779	Encompassed
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	City
-60ed8313:150849567c0:256a	Membership
-60ed8313:150849567c0:1af7	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	City
-60ed8313:150849567c0:2b9c	Membership
http://www.semwebtech.org/mondial/10/river/Swir/	River
-60ed8313:150849567c0:37b4	Membership
-60ed8313:150849567c0:1a53	Membership
-60ed8313:150849567c0:3de6	Membership
-60ed8313:150849567c0:3710	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	City
-60ed8313:150849567c0:30bf	Membership
-60ed8313:150849567c0:4185	BelievedBy
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/city/Tunceli/	City
-60ed8313:150849567c0:3d42	Membership
-60ed8313:150849567c0:301b	Membership
-60ed8313:150849567c0:4519	EthnicProportion
-60ed8313:150849567c0:3970	Membership
-60ed8313:150849567c0:28aa	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	City
http://www.semwebtech.org/mondial/10/country/RMM/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	City
-60ed8313:150849567c0:2edc	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	City
-60ed8313:150849567c0:21d6	Membership
-60ed8313:150849567c0:327b	Membership
-60ed8313:150849567c0:2132	Membership
-60ed8313:150849567c0:360f	Membership
-60ed8313:150849567c0:44c5	EthnicProportion
-60ed8313:150849567c0:19c1	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	Province
-60ed8313:150849567c0:4421	EthnicProportion
-60ed8313:150849567c0:1ff3	Membership
-60ed8313:150849567c0:2392	Membership
-60ed8313:150849567c0:386f	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	City
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	City
-60ed8313:150849567c0:2726	Membership
-60ed8313:150849567c0:35bb	Membership
-60ed8313:150849567c0:2d58	Membership
-60ed8313:150849567c0:3bed	Membership
http://www.semwebtech.org/mondial/10/estuary/Mincio/	Estuary
-60ed8313:150849567c0:2aa4	Membership
-60ed8313:150849567c0:2986	Membership
-60ed8313:150849567c0:2a00	Membership
-60ed8313:150849567c0:181c	Border
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	Province
-60ed8313:150849567c0:26d2	Membership
-60ed8313:150849567c0:1e4e	Membership
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/city/Owando/	City
http://www.semwebtech.org/mondial/10/country/FPOL/city/Papeete/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	Province
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	City
-60ed8313:150849567c0:2c60	Membership
-60ed8313:150849567c0:3437	Membership
-60ed8313:150849567c0:42cc	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	City
-60ed8313:150849567c0:3a69	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	City
-60ed8313:150849567c0:1dfa	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Bakongo/	EthnicGroup
-60ed8313:150849567c0:3697	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serb/	EthnicGroup
-60ed8313:150849567c0:252d	Membership
-60ed8313:150849567c0:33e3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	City
-60ed8313:150849567c0:2fa0	Membership
-60ed8313:150849567c0:2b5f	Membership
http://www.semwebtech.org/mondial/10/island/Singapore/	Island
-60ed8313:150849567c0:16e8	Encompassed
-60ed8313:150849567c0:1a16	Membership
-60ed8313:150849567c0:278d	Membership
-60ed8313:150849567c0:3da9	Membership
-60ed8313:150849567c0:4148	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	City
-60ed8313:150849567c0:3d05	Membership
http://www.semwebtech.org/mondial/10/organization/SAARC/	Organization
-60ed8313:150849567c0:39d7	Membership
http://www.semwebtech.org/mondial/10/island/NorthUist/	Island
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	City
http://www.semwebtech.org/mondial/10/organization/CAEU/	Organization
-60ed8313:150849567c0:1c76	Membership
-60ed8313:150849567c0:3933	Membership
http://www.semwebtech.org/mondial/10/country/HELX/	Country
-60ed8313:150849567c0:3f65	Membership
http://www.semwebtech.org/mondial/10/country/MACX/	Country
-60ed8313:150849567c0:323e	Membership
-60ed8313:150849567c0:40f4	SpokenBy
-60ed8313:150849567c0:3cb1	Membership
http://www.semwebtech.org/mondial/10/island/Montserrat/	Island
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	Province
-60ed8313:150849567c0:4050	SpokenBy
-60ed8313:150849567c0:23f9	Membership
-60ed8313:150849567c0:349e	Membership
-60ed8313:150849567c0:1fb6	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	City
-60ed8313:150849567c0:2355	Membership
-60ed8313:150849567c0:31ea	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Province
-60ed8313:150849567c0:1f12	Membership
-60ed8313:150849567c0:20a1	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/city/Alexandria/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	Province
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	Province
-60ed8313:150849567c0:2949	Membership
-60ed8313:150849567c0:3b0c	Membership
-60ed8313:150849567c0:37de	Membership
http://www.semwebtech.org/mondial/10/country/AL/	Country
-60ed8313:150849567c0:1a7d	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	City
-60ed8313:150849567c0:373a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	City
http://www.semwebtech.org/mondial/10/country/NIC/	Country
http://www.semwebtech.org/mondial/10/mountains/CrimeanMountains/	Mountains
-60ed8313:150849567c0:2cc7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	City
-60ed8313:150849567c0:3d6c	Membership
http://www.semwebtech.org/mondial/10/country/CR/	Country
-60ed8313:150849567c0:3066	Membership
-60ed8313:150849567c0:2c23	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	Province
-60ed8313:150849567c0:28f5	Membership
-60ed8313:150849567c0:399a	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	City
-60ed8313:150849567c0:2851	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	City
-60ed8313:150849567c0:1dbd	Membership
-60ed8313:150849567c0:2e83	Membership
-60ed8313:150849567c0:215c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	City
-60ed8313:150849567c0:44ef	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Mississippi/	Source
-60ed8313:150849567c0:19eb	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	City
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	City
http://www.semwebtech.org/mondial/10/mountain/Tubkhal/	Mountain
-60ed8313:150849567c0:33a6	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	City
-60ed8313:150849567c0:444b	EthnicProportion
-60ed8313:150849567c0:3302	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	City
-60ed8313:150849567c0:3562	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	City
-60ed8313:150849567c0:1c39	Membership
-60ed8313:150849567c0:2ace	Membership
-60ed8313:150849567c0:3b94	Membership
http://www.semwebtech.org/mondial/10/estuary/Irawaddy/	Estuary
-60ed8313:150849567c0:1867	Border
-60ed8313:150849567c0:2a2a	Membership
-60ed8313:150849567c0:26fc	Membership
-60ed8313:150849567c0:3f28	Membership
-60ed8313:150849567c0:40b7	SpokenBy
-60ed8313:150849567c0:1e99	Membership
http://www.semwebtech.org/mondial/10/islands/ElliceIslands/	Islands
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	Province
-60ed8313:150849567c0:4013	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/Corse/	Mountains
-60ed8313:150849567c0:1be5	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/city/SanFelipe/	City
-60ed8313:150849567c0:2c8a	Membership
http://www.semwebtech.org/mondial/10/estuary/Breg/	Estuary
-60ed8313:150849567c0:38a2	Membership
http://www.semwebtech.org/mondial/10/organization/BSEC/	Organization
http://www.semwebtech.org/mondial/10/organization/EAPC/	Organization
-60ed8313:150849567c0:1b41	Membership
-60ed8313:150849567c0:3ed4	Membership
-60ed8313:150849567c0:2318	Membership
-60ed8313:150849567c0:31ad	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	City
-60ed8313:150849567c0:4273	BelievedBy
-60ed8313:150849567c0:3e30	Membership
-60ed8313:150849567c0:2578	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	City
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	City
-60ed8313:150849567c0:2fca	Membership
-60ed8313:150849567c0:22c4	Membership
http://www.semwebtech.org/mondial/10/mountain/Damavand/	Mountain
-60ed8313:150849567c0:2220	Membership
http://www.semwebtech.org/mondial/10/organization/ADB/	Organization
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	Province
-60ed8313:150849567c0:3d2f	Membership
-60ed8313:150849567c0:3029	Membership
http://www.semwebtech.org/mondial/10/island/Trinidad/	Island
-60ed8313:150849567c0:28b8	Membership
-60ed8313:150849567c0:2480	Membership
-60ed8313:150849567c0:395d	Membership
-60ed8313:150849567c0:3f8f	Membership
-60ed8313:150849567c0:2814	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/city/Guelmim/	City
-60ed8313:150849567c0:3289	Membership
-60ed8313:150849567c0:2e46	Membership
-60ed8313:150849567c0:3cdb	Membership
-60ed8313:150849567c0:211f	Membership
-60ed8313:150849567c0:407a	SpokenBy
-60ed8313:150849567c0:19ae	Membership
-60ed8313:150849567c0:440e	EthnicProportion
-60ed8313:150849567c0:190a	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	City
-60ed8313:150849567c0:27c0	Membership
-60ed8313:150849567c0:237f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	City
-60ed8313:150849567c0:1f3c	Membership
-60ed8313:150849567c0:2df2	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	City
-60ed8313:150849567c0:20cb	Membership
-60ed8313:150849567c0:35c9	Membership
-60ed8313:150849567c0:3191	Membership
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/city/Hermansverk/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/city/Sion/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	City
-60ed8313:150849567c0:3525	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	City
-60ed8313:150849567c0:43ba	EthnicProportion
-60ed8313:150849567c0:3b57	Membership
-60ed8313:150849567c0:26bf	Membership
-60ed8313:150849567c0:3785	Membership
-60ed8313:150849567c0:261b	Membership
-60ed8313:150849567c0:34d1	Membership
-60ed8313:150849567c0:1ba8	Membership
-60ed8313:150849567c0:2c4d	Membership
-60ed8313:150849567c0:17d6	Border
-60ed8313:150849567c0:1b04	Membership
-60ed8313:150849567c0:287b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	City
-60ed8313:150849567c0:4236	BelievedBy
-60ed8313:150849567c0:1732	Encompassed
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	City
-60ed8313:150849567c0:1d64	Membership
-60ed8313:150849567c0:4496	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Dnepr/	Estuary
-60ed8313:150849567c0:1992	Membership
-60ed8313:150849567c0:1ab0	Membership
-60ed8313:150849567c0:332c	Membership
-60ed8313:150849567c0:41e2	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	City
-60ed8313:150849567c0:24e7	Membership
-60ed8313:150849567c0:358c	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	City
-60ed8313:150849567c0:2443	Membership
-60ed8313:150849567c0:2a75	Membership
http://www.semwebtech.org/mondial/10/island/Skye/	Island
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	City
-60ed8313:150849567c0:2e09	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	City
-60ed8313:150849567c0:403d	SpokenBy
-60ed8313:150849567c0:38cc	Membership
-60ed8313:150849567c0:1b6b	Membership
-60ed8313:150849567c0:3efe	Membership
-60ed8313:150849567c0:31f8	Membership
-60ed8313:150849567c0:429d	BelievedBy
-60ed8313:150849567c0:2db5	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/city/Tripoli/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	City
-60ed8313:150849567c0:3e5a	Membership
-60ed8313:150849567c0:3154	Membership
-60ed8313:150849567c0:2d11	Membership
-60ed8313:150849567c0:29e3	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	City
-60ed8313:150849567c0:22ee	Membership
-60ed8313:150849567c0:1eab	Membership
-60ed8313:150849567c0:2f71	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	City
http://www.semwebtech.org/mondial/10/island/Rugen/	Island
-60ed8313:150849567c0:224a	Membership
-60ed8313:150849567c0:3748	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	City
-60ed8313:150849567c0:3ac6	Membership
-60ed8313:150849567c0:283e	Membership
-60ed8313:150849567c0:3a22	Membership
-60ed8313:150849567c0:36f4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	City
http://www.semwebtech.org/mondial/10/religion/Baptist/	Religion
-60ed8313:150849567c0:3650	Membership
-60ed8313:150849567c0:19f9	Membership
-60ed8313:150849567c0:1d27	Membership
-60ed8313:150849567c0:2bbc	Membership
http://www.semwebtech.org/mondial/10/organization/ECOWAS/	Organization
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	City
-60ed8313:150849567c0:3c82	Membership
-60ed8313:150849567c0:4459	EthnicProportion
http://www.semwebtech.org/mondial/10/country/EAT/	Country
-60ed8313:150849567c0:1955	Membership
-60ed8313:150849567c0:27ea	Membership
-60ed8313:150849567c0:41a5	BelievedBy
-60ed8313:150849567c0:1f87	Membership
http://www.semwebtech.org/mondial/10/source/Jangtse/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	City
-60ed8313:150849567c0:4101	SpokenBy
-60ed8313:150849567c0:1cd3	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	City
-60ed8313:150849567c0:2072	Membership
-60ed8313:150849567c0:354f	Membership
-60ed8313:150849567c0:3fc2	Membership
-60ed8313:150849567c0:2406	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Province
-60ed8313:150849567c0:4361	EthnicProportion
-60ed8313:150849567c0:2a38	Membership
http://www.semwebtech.org/mondial/10/country/MOC/	Country
http://www.semwebtech.org/mondial/10/source/Ischim/	Source
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	Province
-60ed8313:150849567c0:2666	Membership
-60ed8313:150849567c0:34fb	Membership
-60ed8313:150849567c0:2c98	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	Province
-60ed8313:150849567c0:23b2	Membership
-60ed8313:150849567c0:1b2e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	City
-60ed8313:150849567c0:175c	Encompassed
-60ed8313:150849567c0:3e1d	Membership
http://www.semwebtech.org/mondial/10/river/Kasai/	River
-60ed8313:150849567c0:3117	Membership
-60ed8313:150849567c0:1d8e	Membership
http://www.semwebtech.org/mondial/10/islands/NewCaledonia/	Islands
-60ed8313:150849567c0:29a6	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	Province
http://www.semwebtech.org/mondial/10/river/Drina/	River
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	City
-60ed8313:150849567c0:1ada	Membership
-60ed8313:150849567c0:2fd8	Membership
-60ed8313:150849567c0:2902	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoLoum/	EthnicGroup
-60ed8313:150849567c0:3377	Membership
-60ed8313:150849567c0:2f34	Membership
-60ed8313:150849567c0:220d	Membership
-60ed8313:150849567c0:30c3	Membership
http://www.semwebtech.org/mondial/10/island/Ponape/	Island
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	City
-60ed8313:150849567c0:246d	Membership
http://www.semwebtech.org/mondial/10/mountain/Asahi-Dake/	Mountain
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	City
-60ed8313:150849567c0:2ee0	Membership
-60ed8313:150849567c0:2a9f	Membership
-60ed8313:150849567c0:36b7	Membership
-60ed8313:150849567c0:3ce9	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	City
-60ed8313:150849567c0:3613	Membership
-60ed8313:150849567c0:4088	SpokenBy
-60ed8313:150849567c0:3c45	Membership
-60ed8313:150849567c0:1918	Membership
-60ed8313:150849567c0:27ad	Membership
-60ed8313:150849567c0:3873	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	City
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	City
-60ed8313:150849567c0:2ddf	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/city/Szekszárd/	City
-60ed8313:150849567c0:20d9	Membership
-60ed8313:150849567c0:317e	Membership
-60ed8313:150849567c0:2d3b	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	Province
-60ed8313:150849567c0:3bf1	Membership
-60ed8313:150849567c0:2035	Membership
-60ed8313:150849567c0:43c8	EthnicProportion
-60ed8313:150849567c0:18c4	Border
http://www.semwebtech.org/mondial/10/religion/ChurchofGod/	Religion
http://www.semwebtech.org/mondial/10/language/Brahui/	Language
-60ed8313:150849567c0:4324	BelievedBy
-60ed8313:150849567c0:1ef6	Membership
-60ed8313:150849567c0:1820	Border
-60ed8313:150849567c0:2f9b	Membership
-60ed8313:150849567c0:2295	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	Province
-60ed8313:150849567c0:1e52	Membership
-60ed8313:150849567c0:2629	Membership
-60ed8313:150849567c0:34be	Membership
-60ed8313:150849567c0:4584	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	City
-60ed8313:150849567c0:341a	Membership
-60ed8313:150849567c0:42d0	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	Province
-60ed8313:150849567c0:2889	Membership
-60ed8313:150849567c0:3a4c	Membership
-60ed8313:150849567c0:171f	Encompassed
-60ed8313:150849567c0:25d5	Membership
-60ed8313:150849567c0:367a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Kirklareli/	City
-60ed8313:150849567c0:2531	Membership
http://www.semwebtech.org/mondial/10/estuary/Schari/	Estuary
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	Province
-60ed8313:150849567c0:197f	Membership
-60ed8313:150849567c0:2b63	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	City
-60ed8313:150849567c0:41cf	BelievedBy
-60ed8313:150849567c0:16cb	Encompassed
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	City
-60ed8313:150849567c0:2791	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	Province
-60ed8313:150849567c0:412b	BelievedBy
-60ed8313:150849567c0:1cfd	Membership
http://www.semwebtech.org/mondial/10/islands/ScillyIslands/	Islands
-60ed8313:150849567c0:39ba	Membership
-60ed8313:150849567c0:209c	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	City
-60ed8313:150849567c0:3fec	Membership
http://www.semwebtech.org/mondial/10/island/Lefkas/	Island
-60ed8313:150849567c0:32e6	Membership
-60ed8313:150849567c0:438b	EthnicProportion
-60ed8313:150849567c0:2ea3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	Province
-60ed8313:150849567c0:3242	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	City
-60ed8313:150849567c0:3c08	Membership
-60ed8313:150849567c0:23dc	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	City
-60ed8313:150849567c0:1b79	Membership
-60ed8313:150849567c0:3836	Membership
http://www.semwebtech.org/mondial/10/lake/LagunadeGallocanta/	Lake
http://www.semwebtech.org/mondial/10/mountains/JabalLubnan/	Mountains
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	Province
-60ed8313:150849567c0:3e68	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	City
-60ed8313:150849567c0:3bb4	Membership
-60ed8313:150849567c0:292c	Membership
-60ed8313:150849567c0:3b10	Membership
-60ed8313:150849567c0:37e2	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	City
-60ed8313:150849567c0:1eb9	Membership
-60ed8313:150849567c0:1a81	Membership
-60ed8313:150849567c0:2f5e	Membership
-60ed8313:150849567c0:2258	Membership
-60ed8313:150849567c0:30ed	Membership
-60ed8313:150849567c0:1e15	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	Province
-60ed8313:150849567c0:2caa	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	Province
-60ed8313:150849567c0:3d70	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	City
-60ed8313:150849567c0:4547	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RB/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	City
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	City
http://www.semwebtech.org/mondial/10/source/Fimi/	Source
http://www.semwebtech.org/mondial/10/organization/Entente/	Organization
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	City
http://www.semwebtech.org/mondial/10/religion/Hindu/	Religion
-60ed8313:150849567c0:3a0f	Membership
-60ed8313:150849567c0:1dc1	Membership
-60ed8313:150849567c0:2160	Membership
-60ed8313:150849567c0:363d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nauruan/	EthnicGroup
-60ed8313:150849567c0:44f3	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Palawan/	Island
-60ed8313:150849567c0:3c6f	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	City
http://www.semwebtech.org/mondial/10/river/Saone/	River
-60ed8313:150849567c0:2b26	Membership
http://www.semwebtech.org/mondial/10/country/VN/	Country
-60ed8313:150849567c0:27f8	Membership
-60ed8313:150849567c0:389d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	City
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	City
-60ed8313:150849567c0:2754	Membership
http://www.semwebtech.org/mondial/10/mountain/Matterhorn/	Mountain
-60ed8313:150849567c0:2d86	Membership
-60ed8313:150849567c0:24a0	Membership
-60ed8313:150849567c0:205f	Membership
-60ed8313:150849567c0:18ee	Border
-60ed8313:150849567c0:1c1c	Membership
-60ed8313:150849567c0:2ad2	Membership
-60ed8313:150849567c0:3faf	Membership
-60ed8313:150849567c0:32a9	Membership
-60ed8313:150849567c0:434e	EthnicProportion
-60ed8313:150849567c0:184a	Border
http://www.semwebtech.org/mondial/10/mountain/PikMoskva/	Mountain
-60ed8313:150849567c0:3f0b	Membership
-60ed8313:150849567c0:3205	Membership
-60ed8313:150849567c0:1e7c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	Province
-60ed8313:150849567c0:3465	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	City
-60ed8313:150849567c0:42fa	BelievedBy
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	City
-60ed8313:150849567c0:3a97	Membership
-60ed8313:150849567c0:31b1	Membership
http://www.semwebtech.org/mondial/10/island/Kavaratti/	Island
-60ed8313:150849567c0:25ff	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/city/Odienne/	City
http://www.semwebtech.org/mondial/10/country/ANG/	Country
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	Province
-60ed8313:150849567c0:255b	Membership
-60ed8313:150849567c0:1ae8	Membership
http://www.semwebtech.org/mondial/10/desert/Talak/	Desert
-60ed8313:150849567c0:2b8d	Membership
-60ed8313:150849567c0:37a5	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	City
-60ed8313:150849567c0:1a44	Membership
-60ed8313:150849567c0:3dd7	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	City
-60ed8313:150849567c0:3701	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	City
-60ed8313:150849567c0:4176	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	City
-60ed8313:150849567c0:3d33	Membership
-60ed8313:150849567c0:300c	Membership
http://www.semwebtech.org/mondial/10/country/G/	Country
-60ed8313:150849567c0:3961	Membership
http://www.semwebtech.org/mondial/10/lake/LakeVan/	Lake
-60ed8313:150849567c0:3f93	Membership
-60ed8313:150849567c0:2ecd	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	Province
-60ed8313:150849567c0:21c7	Membership
-60ed8313:150849567c0:326c	Membership
-60ed8313:150849567c0:2123	Membership
-60ed8313:150849567c0:44b6	EthnicProportion
-60ed8313:150849567c0:19b2	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	Province
-60ed8313:150849567c0:4412	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/Maelaren/	Lake
-60ed8313:150849567c0:1fe4	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	Province
-60ed8313:150849567c0:2383	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	Province
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	City
-60ed8313:150849567c0:1f40	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Alemannic/	EthnicGroup
-60ed8313:150849567c0:2717	Membership
-60ed8313:150849567c0:35ac	Membership
http://www.semwebtech.org/mondial/10/source/ConnecticutRiver/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	City
http://www.semwebtech.org/mondial/10/sea/Kattegat/	Sea
-60ed8313:150849567c0:2d49	Membership
-60ed8313:150849567c0:3bde	Membership
-60ed8313:150849567c0:2977	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	City
-60ed8313:150849567c0:3b3a	Membership
-60ed8313:150849567c0:180d	Border
-60ed8313:150849567c0:26c3	Membership
-60ed8313:150849567c0:1e3f	Membership
-60ed8313:150849567c0:2cf5	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	City
-60ed8313:150849567c0:3d9a	Membership
-60ed8313:150849567c0:3094	Membership
http://www.semwebtech.org/mondial/10/river/ColumbiaRiver/	River
-60ed8313:150849567c0:2c51	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	City
-60ed8313:150849567c0:3428	Membership
-60ed8313:150849567c0:42bd	BelievedBy
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	City
-60ed8313:150849567c0:1deb	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	Province
-60ed8313:150849567c0:218a	Membership
-60ed8313:150849567c0:3688	Membership
-60ed8313:150849567c0:251e	Membership
-60ed8313:150849567c0:33d4	Membership
-60ed8313:150849567c0:3330	Membership
http://www.semwebtech.org/mondial/10/source/Alz/	Source
-60ed8313:150849567c0:16d9	Encompassed
-60ed8313:150849567c0:1a07	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	City
-60ed8313:150849567c0:277e	Membership
-60ed8313:150849567c0:4139	BelievedBy
-60ed8313:150849567c0:24ca	Membership
-60ed8313:150849567c0:39c8	Membership
-60ed8313:150849567c0:3590	Membership
-60ed8313:150849567c0:1c67	Membership
-60ed8313:150849567c0:2afc	Membership
-60ed8313:150849567c0:3924	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	City
-60ed8313:150849567c0:4399	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Glittertind/	Mountain
-60ed8313:150849567c0:1895	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	City
http://www.semwebtech.org/mondial/10/language/English/	Language
-60ed8313:150849567c0:3f56	Membership
-60ed8313:150849567c0:322f	Membership
-60ed8313:150849567c0:40e5	SpokenBy
-60ed8313:150849567c0:3ca2	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	City
-60ed8313:150849567c0:4041	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/StraitsofMackinac/	Estuary
-60ed8313:150849567c0:38d0	Membership
-60ed8313:150849567c0:348f	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	City
-60ed8313:150849567c0:1fa7	Membership
-60ed8313:150849567c0:2346	Membership
-60ed8313:150849567c0:31db	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	Province
-60ed8313:150849567c0:1f03	Membership
http://www.semwebtech.org/mondial/10/island/TristanDaCunha/	Island
http://www.semwebtech.org/mondial/10/country/MNG/	Country
http://www.semwebtech.org/mondial/10/lake/Bodensee/	Lake
-60ed8313:150849567c0:22f2	Membership
-60ed8313:150849567c0:37cf	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	City
-60ed8313:150849567c0:1a6e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	City
http://www.semwebtech.org/mondial/10/estuary/Inn/	Estuary
-60ed8313:150849567c0:372b	Membership
-60ed8313:150849567c0:2cb8	Membership
-60ed8313:150849567c0:3d5d	Membership
http://www.semwebtech.org/mondial/10/river/NiagaraRiver/	River
-60ed8313:150849567c0:3057	Membership
http://www.semwebtech.org/mondial/10/source/Limpopo/	Source
-60ed8313:150849567c0:2c14	Membership
-60ed8313:150849567c0:28e6	Membership
-60ed8313:150849567c0:398b	Membership
-60ed8313:150849567c0:2842	Membership
-60ed8313:150849567c0:1dae	Membership
-60ed8313:150849567c0:2e74	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	City
-60ed8313:150849567c0:214d	Membership
-60ed8313:150849567c0:19dc	Membership
-60ed8313:150849567c0:1d0a	Membership
-60ed8313:150849567c0:2bc0	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/city/Tambacounda/	City
-60ed8313:150849567c0:443c	EthnicProportion
-60ed8313:150849567c0:1f6a	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	Province
-60ed8313:150849567c0:35f7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dutch/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	Province
-60ed8313:150849567c0:3553	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	City
-60ed8313:150849567c0:2abf	Membership
http://www.semwebtech.org/mondial/10/language/Slovene/	Language
-60ed8313:150849567c0:3b85	Membership
-60ed8313:150849567c0:2a1b	Membership
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	City
-60ed8313:150849567c0:1858	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	City
-60ed8313:150849567c0:26ed	Membership
-60ed8313:150849567c0:3f19	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	City
-60ed8313:150849567c0:40a8	SpokenBy
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	City
-60ed8313:150849567c0:4004	SpokenBy
-60ed8313:150849567c0:1bd6	Membership
http://www.semwebtech.org/mondial/10/mountain/Schchara/	Mountain
-60ed8313:150849567c0:2c7b	Membership
http://www.semwebtech.org/mondial/10/islands/InnerHebrides/	Islands
-60ed8313:150849567c0:1b32	Membership
-60ed8313:150849567c0:3ec5	Membership
-60ed8313:150849567c0:2309	Membership
http://www.semwebtech.org/mondial/10/estuary/Lomami/	Estuary
-60ed8313:150849567c0:4264	BelievedBy
-60ed8313:150849567c0:1760	Encompassed
-60ed8313:150849567c0:3e21	Membership
-60ed8313:150849567c0:1d92	Membership
-60ed8313:150849567c0:2569	Membership
-60ed8313:150849567c0:33fe	Membership
http://www.semwebtech.org/mondial/10/lake/KentuckyLake/	Lake
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	City
http://www.semwebtech.org/mondial/10/language/Arabic/	Language
-60ed8313:150849567c0:2fbb	Membership
http://www.semwebtech.org/mondial/10/mountain/GunungBinaiya/	Mountain
-60ed8313:150849567c0:22b5	Membership
http://www.semwebtech.org/mondial/10/river/Arkansas/	River
-60ed8313:150849567c0:335a	Membership
http://www.semwebtech.org/mondial/10/mountains/AleutianRange/	Mountains
http://www.semwebtech.org/mondial/10/religion/ArmenianApostolic/	Religion
http://www.semwebtech.org/mondial/10/organization/BA/	Organization
-60ed8313:150849567c0:2211	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/city/Impfondo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	City
-60ed8313:150849567c0:4500	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	Province
http://www.semwebtech.org/mondial/10/river/NelsonRiver/	River
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	City
-60ed8313:150849567c0:28a9	Membership
-60ed8313:150849567c0:2471	Membership
-60ed8313:150849567c0:394e	Membership
http://www.semwebtech.org/mondial/10/country/AZ/	Country
-60ed8313:150849567c0:2805	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/city/Atar/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	Province
-60ed8313:150849567c0:2e37	Membership
-60ed8313:150849567c0:3ccc	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	Province
-60ed8313:150849567c0:406b	SpokenBy
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	City
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	City
-60ed8313:150849567c0:38fa	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	City
-60ed8313:150849567c0:27b1	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	City
-60ed8313:150849567c0:1f2d	Membership
-60ed8313:150849567c0:2de3	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	Province
-60ed8313:150849567c0:20bc	Membership
-60ed8313:150849567c0:3182	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	City
-60ed8313:150849567c0:3516	Membership
-60ed8313:150849567c0:43ab	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Reunion/	Island
-60ed8313:150849567c0:3b48	Membership
http://www.semwebtech.org/mondial/10/mountain/Illampu/	Mountain
-60ed8313:150849567c0:3776	Membership
-60ed8313:150849567c0:260c	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	City
-60ed8313:150849567c0:34c2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	City
-60ed8313:150849567c0:2c3e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	City
-60ed8313:150849567c0:3af4	Membership
http://www.semwebtech.org/mondial/10/lake/LakeSeseSeko-Albertsee/	Lake
http://www.semwebtech.org/mondial/10/estuary/Bartang/	Estuary
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Viborg/	City
-60ed8313:150849567c0:17c7	Border
-60ed8313:150849567c0:286c	Membership
-60ed8313:150849567c0:3a50	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	Province
-60ed8313:150849567c0:4227	BelievedBy
-60ed8313:150849567c0:1df9	Membership
-60ed8313:150849567c0:1723	Encompassed
-60ed8313:150849567c0:2e9e	Membership
-60ed8313:150849567c0:2198	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	City
-60ed8313:150849567c0:1d55	Membership
-60ed8313:150849567c0:2bea	Membership
-60ed8313:150849567c0:4487	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/LakeManicouagan/	Lake
-60ed8313:150849567c0:1983	Membership
-60ed8313:150849567c0:1aa1	Membership
-60ed8313:150849567c0:331d	Membership
-60ed8313:150849567c0:41d3	BelievedBy
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	City
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	City
-60ed8313:150849567c0:24d8	Membership
-60ed8313:150849567c0:357d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	City
-60ed8313:150849567c0:3ff0	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	City
-60ed8313:150849567c0:2434	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	Province
-60ed8313:150849567c0:2a66	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	City
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	City
-60ed8313:150849567c0:2694	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	City
http://www.semwebtech.org/mondial/10/desert/TaklaMakan/	Desert
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	City
-60ed8313:150849567c0:402e	SpokenBy
-60ed8313:150849567c0:23e0	Membership
-60ed8313:150849567c0:38bd	Membership
-60ed8313:150849567c0:1b5c	Membership
-60ed8313:150849567c0:3eef	Membership
-60ed8313:150849567c0:31e9	Membership
-60ed8313:150849567c0:428e	BelievedBy
-60ed8313:150849567c0:2da6	Membership
-60ed8313:150849567c0:178a	Encompassed
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	City
http://www.semwebtech.org/mondial/10/island/Fongafale/	Island
-60ed8313:150849567c0:3e4b	Membership
-60ed8313:150849567c0:3145	Membership
-60ed8313:150849567c0:2d02	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	Province
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	City
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/city/Chichica/	City
-60ed8313:150849567c0:29d4	Membership
http://www.semwebtech.org/mondial/10/religion/Catholic/	Religion
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	City
-60ed8313:150849567c0:2930	Membership
-60ed8313:150849567c0:22df	Membership
-60ed8313:150849567c0:2f62	Membership
http://www.semwebtech.org/mondial/10/island/SaintThomas/	Island
-60ed8313:150849567c0:223b	Membership
-60ed8313:150849567c0:3739	Membership
-60ed8313:150849567c0:30f1	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	Province
-60ed8313:150849567c0:452a	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Amudarja/	Estuary
-60ed8313:150849567c0:3ab7	Membership
-60ed8313:150849567c0:249b	Membership
-60ed8313:150849567c0:3999	Membership
-60ed8313:150849567c0:282f	Membership
-60ed8313:150849567c0:3a13	Membership
-60ed8313:150849567c0:36e5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	City
-60ed8313:150849567c0:3641	Membership
http://www.semwebtech.org/mondial/10/desert/GrandErgEst/	Desert
-60ed8313:150849567c0:1d18	Membership
-60ed8313:150849567c0:2bad	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	Province
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	Province
-60ed8313:150849567c0:3c73	Membership
-60ed8313:150849567c0:1946	Membership
-60ed8313:150849567c0:27db	Membership
-60ed8313:150849567c0:1f78	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoRocarre/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	City
-60ed8313:150849567c0:1cc4	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	Province
-60ed8313:150849567c0:2063	Membership
-60ed8313:150849567c0:43f6	EthnicProportion
-60ed8313:150849567c0:18f2	Border
-60ed8313:150849567c0:1c20	Membership
http://www.semwebtech.org/mondial/10/island/MalyZitnyOstrov/	Island
-60ed8313:150849567c0:3fb3	Membership
-60ed8313:150849567c0:4352	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	City
-60ed8313:150849567c0:2a29	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	City
-60ed8313:150849567c0:1e80	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	City
-60ed8313:150849567c0:2657	Membership
-60ed8313:150849567c0:34ec	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	City
-60ed8313:150849567c0:2c89	Membership
-60ed8313:150849567c0:23a3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	City
-60ed8313:150849567c0:1b1f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	City
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	Province
-60ed8313:150849567c0:3a7a	Membership
-60ed8313:150849567c0:174d	Encompassed
-60ed8313:150849567c0:3e0e	Membership
-60ed8313:150849567c0:3108	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	City
-60ed8313:150849567c0:1d7f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	Province
-60ed8313:150849567c0:1acb	Membership
-60ed8313:150849567c0:2fc9	Membership
-60ed8313:150849567c0:2b91	Membership
-60ed8313:150849567c0:3368	Membership
-60ed8313:150849567c0:41fd	BelievedBy
http://www.semwebtech.org/mondial/10/river/Schari/	River
-60ed8313:150849567c0:2f25	Membership
-60ed8313:150849567c0:3dba	Membership
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	City
-60ed8313:150849567c0:30b4	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Province
-60ed8313:150849567c0:3ba5	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	City
-60ed8313:150849567c0:3010	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Province
http://www.semwebtech.org/mondial/10/mountain/Etna/	Mountain
-60ed8313:150849567c0:245e	Membership
-60ed8313:150849567c0:2ed1	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	City
-60ed8313:150849567c0:36a8	Membership
-60ed8313:150849567c0:21aa	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	City
-60ed8313:150849567c0:3270	Membership
-60ed8313:150849567c0:3604	Membership
http://www.semwebtech.org/mondial/10/source/SchattalArab/	Source
-60ed8313:150849567c0:4079	SpokenBy
-60ed8313:150849567c0:3c36	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	City
-60ed8313:150849567c0:1909	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	City
-60ed8313:150849567c0:3864	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	Province
-60ed8313:150849567c0:3e96	Membership
-60ed8313:150849567c0:35b0	Membership
-60ed8313:150849567c0:316f	Membership
-60ed8313:150849567c0:2d2c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	City
-60ed8313:150849567c0:29fe	Membership
-60ed8313:150849567c0:3be2	Membership
-60ed8313:150849567c0:2026	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/city/Uyo/	City
-60ed8313:150849567c0:43b9	EthnicProportion
-60ed8313:150849567c0:18b5	Border
http://www.semwebtech.org/mondial/10/estuary/Volga/	Estuary
-60ed8313:150849567c0:295a	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	Province
-60ed8313:150849567c0:4315	BelievedBy
-60ed8313:150849567c0:2f8c	Membership
-60ed8313:150849567c0:1ee7	Membership
-60ed8313:150849567c0:1811	Border
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	City
-60ed8313:150849567c0:2286	Membership
-60ed8313:150849567c0:1e43	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	City
-60ed8313:150849567c0:34af	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	Province
-60ed8313:150849567c0:4575	EthnicProportion
-60ed8313:150849567c0:340b	Membership
-60ed8313:150849567c0:42c1	BelievedBy
-60ed8313:150849567c0:3a3d	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	City
http://www.semwebtech.org/mondial/10/mountains/PennyHighlands/	Mountains
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	City
-60ed8313:150849567c0:25c6	Membership
-60ed8313:150849567c0:366b	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	Province
http://www.semwebtech.org/mondial/10/source/DetroitRiver/	Source
-60ed8313:150849567c0:2bf8	Membership
-60ed8313:150849567c0:2522	Membership
-60ed8313:150849567c0:3c9d	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	City
-60ed8313:150849567c0:2b54	Membership
-60ed8313:150849567c0:2782	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	City
-60ed8313:150849567c0:411c	BelievedBy
-60ed8313:150849567c0:1cee	Membership
-60ed8313:150849567c0:39ab	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	Province
-60ed8313:150849567c0:208d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	City
-60ed8313:150849567c0:1c4a	Membership
-60ed8313:150849567c0:3fdd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	City
-60ed8313:150849567c0:32d7	Membership
-60ed8313:150849567c0:437c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	Province
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	Province
-60ed8313:150849567c0:3233	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	City
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Scandinavian/	EthnicGroup
-60ed8313:150849567c0:23cd	Membership
-60ed8313:150849567c0:3493	Membership
http://www.semwebtech.org/mondial/10/religion/CaoDai/	Religion
-60ed8313:150849567c0:3827	Membership
-60ed8313:150849567c0:1798	Encompassed
-60ed8313:150849567c0:3e59	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	City
-60ed8313:150849567c0:291d	Membership
-60ed8313:150849567c0:3b01	Membership
-60ed8313:150849567c0:37d3	Membership
-60ed8313:150849567c0:1a72	Membership
-60ed8313:150849567c0:2f4f	Membership
-60ed8313:150849567c0:2249	Membership
-60ed8313:150849567c0:30de	Membership
-60ed8313:150849567c0:1e06	Membership
http://www.semwebtech.org/mondial/10/lake/LakePowell/	Lake
-60ed8313:150849567c0:3d61	Membership
-60ed8313:150849567c0:303a	Membership
-60ed8313:150849567c0:4538	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Umeaelv/	Source
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	Province
-60ed8313:150849567c0:2efb	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	City
-60ed8313:150849567c0:21f5	Membership
-60ed8313:150849567c0:329a	Membership
-60ed8313:150849567c0:1db2	Membership
-60ed8313:150849567c0:2151	Membership
-60ed8313:150849567c0:362e	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	Province
-60ed8313:150849567c0:44e4	EthnicProportion
-60ed8313:150849567c0:19e0	Membership
http://www.semwebtech.org/mondial/10/river/Manicouagan/	River
http://www.semwebtech.org/mondial/10/source/RioMagdalena/	Source
-60ed8313:150849567c0:4440	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/Arresoe/	Lake
-60ed8313:150849567c0:2b17	Membership
-60ed8313:150849567c0:27e9	Membership
-60ed8313:150849567c0:388e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Roma/	EthnicGroup
-60ed8313:150849567c0:2745	Membership
-60ed8313:150849567c0:35da	Membership
-60ed8313:150849567c0:2d77	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	Province
-60ed8313:150849567c0:18df	Border
-60ed8313:150849567c0:1c0d	Membership
-60ed8313:150849567c0:2ac3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	City
-60ed8313:150849567c0:433f	EthnicProportion
-60ed8313:150849567c0:183b	Border
-60ed8313:150849567c0:26f1	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	City
-60ed8313:150849567c0:1e6d	Membership
-60ed8313:150849567c0:459f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	Province
http://www.semwebtech.org/mondial/10/islands/OuterHebrides/	Islands
http://www.semwebtech.org/mondial/10/country/GQ/	Country
-60ed8313:150849567c0:3456	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	City
-60ed8313:150849567c0:42eb	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Himalaya/	Mountains
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	City
-60ed8313:150849567c0:3a88	Membership
-60ed8313:150849567c0:31a2	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	City
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	City
-60ed8313:150849567c0:254c	Membership
http://www.semwebtech.org/mondial/10/island/SanClementeIsland/	Island
-60ed8313:150849567c0:1ad9	Membership
-60ed8313:150849567c0:2b7e	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	City
-60ed8313:150849567c0:1a35	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	City
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	Province
-60ed8313:150849567c0:3dc8	Membership
-60ed8313:150849567c0:4167	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/NevadodeToluca/	Mountain
-60ed8313:150849567c0:3d24	Membership
-60ed8313:150849567c0:39f6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	City
-60ed8313:150849567c0:1c95	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	City
-60ed8313:150849567c0:3952	Membership
http://www.semwebtech.org/mondial/10/mountains/Karakorum/	Mountains
-60ed8313:150849567c0:3f84	Membership
-60ed8313:150849567c0:2ebe	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	City
-60ed8313:150849567c0:21b8	Membership
http://www.semwebtech.org/mondial/10/river/Paatsjoki/	River
-60ed8313:150849567c0:325d	Membership
http://www.semwebtech.org/mondial/10/mountain/Popocatepetl/	Mountain
-60ed8313:150849567c0:2e1a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	City
-60ed8313:150849567c0:3cd0	Membership
-60ed8313:150849567c0:2114	Membership
-60ed8313:150849567c0:44a7	EthnicProportion
-60ed8313:150849567c0:19a3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	City
http://www.semwebtech.org/mondial/10/country/RP/	Country
-60ed8313:150849567c0:4403	EthnicProportion
-60ed8313:150849567c0:1fd5	Membership
-60ed8313:150849567c0:2374	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bounty/	EthnicGroup
-60ed8313:150849567c0:1f31	Membership
-60ed8313:150849567c0:2708	Membership
-60ed8313:150849567c0:20c0	Membership
-60ed8313:150849567c0:3bcf	Membership
-60ed8313:150849567c0:2968	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	City
-60ed8313:150849567c0:3b2b	Membership
-60ed8313:150849567c0:37fd	Membership
-60ed8313:150849567c0:1a9c	Membership
-60ed8313:150849567c0:26b4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	City
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	City
-60ed8313:150849567c0:2ce6	Membership
-60ed8313:150849567c0:2610	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	City
-60ed8313:150849567c0:3d8b	Membership
-60ed8313:150849567c0:3085	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mboum/	EthnicGroup
-60ed8313:150849567c0:2c42	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	Province
http://www.semwebtech.org/mondial/10/island/Bintan/	Island
-60ed8313:150849567c0:3419	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKeban/	Lake
-60ed8313:150849567c0:42ae	BelievedBy
-60ed8313:150849567c0:17aa	Encompassed
http://www.semwebtech.org/mondial/10/religion/RomanCatholic/	Religion
-60ed8313:150849567c0:2870	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	City
-60ed8313:150849567c0:420a	BelievedBy
-60ed8313:150849567c0:1ddc	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	City
-60ed8313:150849567c0:217b	Membership
-60ed8313:150849567c0:3679	Membership
-60ed8313:150849567c0:250f	Membership
-60ed8313:150849567c0:33c5	Membership
-60ed8313:150849567c0:446a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/THA/	Country
-60ed8313:150849567c0:3321	Membership
http://www.semwebtech.org/mondial/10/country/WAN/	Country
-60ed8313:150849567c0:276f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	City
-60ed8313:150849567c0:24bb	Membership
-60ed8313:150849567c0:39b9	Membership
-60ed8313:150849567c0:3581	Membership
-60ed8313:150849567c0:1c58	Membership
-60ed8313:150849567c0:2aed	Membership
http://www.semwebtech.org/mondial/10/source/Benue/	Source
-60ed8313:150849567c0:3915	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Black/	EthnicGroup
-60ed8313:150849567c0:3f47	Membership
-60ed8313:150849567c0:1886	Border
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	Province
http://www.semwebtech.org/mondial/10/country/DJI/	Country
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	City
-60ed8313:150849567c0:40d6	SpokenBy
-60ed8313:150849567c0:4032	SpokenBy
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	City
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	Province
-60ed8313:150849567c0:38c1	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	Province
-60ed8313:150849567c0:1b60	Membership
-60ed8313:150849567c0:3ef3	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	City
-60ed8313:150849567c0:2337	Membership
-60ed8313:150849567c0:31cc	Membership
-60ed8313:150849567c0:4292	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/JabalKatrina/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/Mestizo/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	City
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	City
-60ed8313:150849567c0:2597	Membership
-60ed8313:150849567c0:22e3	Membership
-60ed8313:150849567c0:1ea0	Membership
-60ed8313:150849567c0:1a5f	Membership
-60ed8313:150849567c0:371c	Membership
http://www.semwebtech.org/mondial/10/source/Marne/	Source
-60ed8313:150849567c0:2ca9	Membership
-60ed8313:150849567c0:3d4e	Membership
-60ed8313:150849567c0:3048	Membership
-60ed8313:150849567c0:2c05	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	City
-60ed8313:150849567c0:28d7	Membership
-60ed8313:150849567c0:397c	Membership
-60ed8313:150849567c0:2833	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Czech/	EthnicGroup
-60ed8313:150849567c0:3cfa	Membership
-60ed8313:150849567c0:2e65	Membership
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	Province
-60ed8313:150849567c0:213e	Membership
-60ed8313:150849567c0:19cd	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	Province
-60ed8313:150849567c0:2bb1	Membership
-60ed8313:150849567c0:442d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	Province
-60ed8313:150849567c0:1fff	Membership
-60ed8313:150849567c0:239e	Membership
http://www.semwebtech.org/mondial/10/mountain/Tambora/	Mountain
-60ed8313:150849567c0:1f5b	Membership
-60ed8313:150849567c0:35e8	Membership
-60ed8313:150849567c0:20ea	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	Province
http://www.semwebtech.org/mondial/10/language/Punjabi/	Language
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	Province
-60ed8313:150849567c0:3544	Membership
http://www.semwebtech.org/mondial/10/river/Doubs/	River
-60ed8313:150849567c0:3b76	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	Province
-60ed8313:150849567c0:1849	Border
-60ed8313:150849567c0:2a0c	Membership
-60ed8313:150849567c0:26de	Membership
http://www.semwebtech.org/mondial/10/country/UAE/	Country
http://www.semwebtech.org/mondial/10/island/Samosir/	Island
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	City
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	Province
-60ed8313:150849567c0:263a	Membership
http://www.semwebtech.org/mondial/10/mountains/Karpaten/	Mountains
-60ed8313:150849567c0:34f0	Membership
-60ed8313:150849567c0:1bc7	Membership
-60ed8313:150849567c0:2c6c	Membership
-60ed8313:150849567c0:42f9	BelievedBy
-60ed8313:150849567c0:17f5	Border
-60ed8313:150849567c0:1b23	Membership
-60ed8313:150849567c0:289a	Membership
-60ed8313:150849567c0:3eb6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Creole/	EthnicGroup
-60ed8313:150849567c0:4255	BelievedBy
-60ed8313:150849567c0:1751	Encompassed
-60ed8313:150849567c0:3e12	Membership
-60ed8313:150849567c0:1d83	Membership
-60ed8313:150849567c0:33ef	Membership
-60ed8313:150849567c0:2fac	Membership
-60ed8313:150849567c0:334b	Membership
-60ed8313:150849567c0:22a6	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	City
http://www.semwebtech.org/mondial/10/island/Kiritimati/	Island
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/city/Zalau/	City
-60ed8313:150849567c0:2202	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	City
-60ed8313:150849567c0:2462	Membership
-60ed8313:150849567c0:393f	Membership
-60ed8313:150849567c0:2a94	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	City
http://www.semwebtech.org/mondial/10/organization/OECS/	Organization
http://www.semwebtech.org/mondial/10/lake/OzeroBaikal/	Lake
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	Province
-60ed8313:150849567c0:2e28	Membership
-60ed8313:150849567c0:3cbd	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	City
-60ed8313:150849567c0:405c	SpokenBy
-60ed8313:150849567c0:38eb	Membership
-60ed8313:150849567c0:1b8a	Membership
http://www.semwebtech.org/mondial/10/island/Ambon/	Island
-60ed8313:150849567c0:27a2	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	City
-60ed8313:150849567c0:1f1e	Membership
-60ed8313:150849567c0:2dd4	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	City
http://www.semwebtech.org/mondial/10/lake/LakeChamplain/	Lake
-60ed8313:150849567c0:20ad	Membership
-60ed8313:150849567c0:3173	Membership
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	City
-60ed8313:150849567c0:2d30	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	City
http://www.semwebtech.org/mondial/10/river/Tiber/	River
-60ed8313:150849567c0:3507	Membership
-60ed8313:150849567c0:3b39	Membership
http://www.semwebtech.org/mondial/10/country/BERM/	Country
-60ed8313:150849567c0:1eca	Membership
-60ed8313:150849567c0:2f90	Membership
-60ed8313:150849567c0:3767	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	City
http://www.semwebtech.org/mondial/10/lake/KremenchukReservoir/	Lake
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	City
-60ed8313:150849567c0:3d99	Membership
-60ed8313:150849567c0:34b3	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	Province
-60ed8313:150849567c0:2c2f	Membership
http://www.semwebtech.org/mondial/10/organization/ICAO/	Organization
-60ed8313:150849567c0:3ae5	Membership
-60ed8313:150849567c0:17b8	Encompassed
-60ed8313:150849567c0:285d	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	City
-60ed8313:150849567c0:3a41	Membership
-60ed8313:150849567c0:4218	BelievedBy
-60ed8313:150849567c0:1714	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	City
-60ed8313:150849567c0:2e8f	Membership
-60ed8313:150849567c0:2189	Membership
-60ed8313:150849567c0:1d46	Membership
-60ed8313:150849567c0:2bdb	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	Province
-60ed8313:150849567c0:4478	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	City
-60ed8313:150849567c0:1974	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	City
-60ed8313:150849567c0:330e	Membership
-60ed8313:150849567c0:41c4	BelievedBy
http://www.semwebtech.org/mondial/10/island/VanuaLevu/	Island
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	City
-60ed8313:150849567c0:4120	BelievedBy
http://www.semwebtech.org/mondial/10/river/Mosel/	River
-60ed8313:150849567c0:1cf2	Membership
http://www.semwebtech.org/mondial/10/estuary/Lagen/	Estuary
-60ed8313:150849567c0:24c9	Membership
-60ed8313:150849567c0:2091	Membership
-60ed8313:150849567c0:356e	Membership
-60ed8313:150849567c0:3fe1	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	City
-60ed8313:150849567c0:2425	Membership
-60ed8313:150849567c0:32ba	Membership
-60ed8313:150849567c0:4380	EthnicProportion
-60ed8313:150849567c0:2a57	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	City
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	City
-60ed8313:150849567c0:2685	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	City
-60ed8313:150849567c0:401f	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Tennessee/	Estuary
-60ed8313:150849567c0:23d1	Membership
-60ed8313:150849567c0:38ae	Membership
http://www.semwebtech.org/mondial/10/country/BI/	Country
-60ed8313:150849567c0:1b4d	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	City
-60ed8313:150849567c0:380a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/city/Sinop/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	City
http://www.semwebtech.org/mondial/10/mountain/BroadPeak/	Mountain
-60ed8313:150849567c0:427f	BelievedBy
-60ed8313:150849567c0:177b	Encompassed
-60ed8313:150849567c0:3e3c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	City
-60ed8313:150849567c0:3136	Membership
-60ed8313:150849567c0:29c5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	Province
-60ed8313:150849567c0:2ff7	Membership
-60ed8313:150849567c0:2921	Membership
-60ed8313:150849567c0:3396	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kamba/	EthnicGroup
-60ed8313:150849567c0:2f53	Membership
-60ed8313:150849567c0:222c	Membership
-60ed8313:150849567c0:30e2	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	Province
http://www.semwebtech.org/mondial/10/mountain/Kilimanjaro/	Mountain
-60ed8313:150849567c0:451b	EthnicProportion
-60ed8313:150849567c0:248c	Membership
-60ed8313:150849567c0:3aa8	Membership
-60ed8313:150849567c0:3a04	Membership
-60ed8313:150849567c0:36d6	Membership
http://www.semwebtech.org/mondial/10/country/BVIR/city/RoadTown/	City
-60ed8313:150849567c0:3632	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	Province
-60ed8313:150849567c0:1d09	Membership
http://www.semwebtech.org/mondial/10/country/MH/	Country
-60ed8313:150849567c0:3c64	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baganda/	EthnicGroup
http://www.semwebtech.org/mondial/10/desert/Ferlo/	Desert
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	City
-60ed8313:150849567c0:1937	Membership
-60ed8313:150849567c0:27cc	Membership
-60ed8313:150849567c0:3892	Membership
-60ed8313:150849567c0:1f69	Membership
-60ed8313:150849567c0:2dfe	Membership
http://www.semwebtech.org/mondial/10/river/Ob/	River
-60ed8313:150849567c0:20f8	Membership
-60ed8313:150849567c0:319d	Membership
-60ed8313:150849567c0:1cb5	Membership
-60ed8313:150849567c0:2d5a	Membership
-60ed8313:150849567c0:2054	Membership
-60ed8313:150849567c0:43e7	EthnicProportion
-60ed8313:150849567c0:18e3	Border
-60ed8313:150849567c0:1c11	Membership
-60ed8313:150849567c0:3fa4	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	City
-60ed8313:150849567c0:4343	EthnicProportion
-60ed8313:150849567c0:3f00	Membership
-60ed8313:150849567c0:1e71	Membership
-60ed8313:150849567c0:2648	Membership
-60ed8313:150849567c0:34dd	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	Province
-60ed8313:150849567c0:3a6b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/GilakiMazandarani/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	Province
-60ed8313:150849567c0:173e	Encompassed
-60ed8313:150849567c0:25f4	Membership
http://www.semwebtech.org/mondial/10/estuary/SaintLawrenceRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Malinke/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	City
http://www.semwebtech.org/mondial/10/estuary/VictoriaNile/	Estuary
-60ed8313:150849567c0:2550	Membership
http://www.semwebtech.org/mondial/10/estuary/Vaesterdalaelv/	Estuary
-60ed8313:150849567c0:199e	Membership
-60ed8313:150849567c0:1abc	Membership
-60ed8313:150849567c0:2b82	Membership
-60ed8313:150849567c0:3359	Membership
-60ed8313:150849567c0:41ee	BelievedBy
-60ed8313:150849567c0:16ea	Encompassed
-60ed8313:150849567c0:2f16	Membership
-60ed8313:150849567c0:3dab	Membership
-60ed8313:150849567c0:30a5	Membership
http://www.semwebtech.org/mondial/10/mountain/GuadalupePeak/	Mountain
-60ed8313:150849567c0:414a	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	City
-60ed8313:150849567c0:3001	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	City
-60ed8313:150849567c0:244f	Membership
http://www.semwebtech.org/mondial/10/mountain/AsoRock/	Mountain
-60ed8313:150849567c0:2ec2	Membership
-60ed8313:150849567c0:3261	Membership
http://www.semwebtech.org/mondial/10/mountain/Sabalan/	Mountain
-60ed8313:150849567c0:3c27	Membership
-60ed8313:150849567c0:23fb	Membership
-60ed8313:150849567c0:38f9	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	City
-60ed8313:150849567c0:1b98	Membership
-60ed8313:150849567c0:3855	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	Province
-60ed8313:150849567c0:3e87	Membership
-60ed8313:150849567c0:35a1	Membership
-60ed8313:150849567c0:3bd3	Membership
-60ed8313:150849567c0:2d1d	Membership
-60ed8313:150849567c0:29ef	Membership
http://www.semwebtech.org/mondial/10/country/GBZ/	Country
-60ed8313:150849567c0:2017	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	Province
-60ed8313:150849567c0:18a6	Border
-60ed8313:150849567c0:294b	Membership
-60ed8313:150849567c0:4306	BelievedBy
-60ed8313:150849567c0:1ed8	Membership
-60ed8313:150849567c0:1802	Border
-60ed8313:150849567c0:2f7d	Membership
-60ed8313:150849567c0:2277	Membership
http://www.semwebtech.org/mondial/10/river/Araguaia/	River
-60ed8313:150849567c0:1e34	Membership
-60ed8313:150849567c0:4566	EthnicProportion
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	City
http://www.semwebtech.org/mondial/10/mountains/Troodos/	Mountains
-60ed8313:150849567c0:42b2	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LagunadeBay/	Lake
-60ed8313:150849567c0:3a2e	Membership
-60ed8313:150849567c0:1de0	Membership
-60ed8313:150849567c0:25b7	Membership
-60ed8313:150849567c0:365c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	Province
http://www.semwebtech.org/mondial/10/mountain/MontePissis/	Mountain
-60ed8313:150849567c0:2be9	Membership
-60ed8313:150849567c0:2513	Membership
-60ed8313:150849567c0:3c8e	Membership
-60ed8313:150849567c0:2b45	Membership
-60ed8313:150849567c0:2773	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	Province
-60ed8313:150849567c0:410d	BelievedBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	City
-60ed8313:150849567c0:1cdf	Membership
-60ed8313:150849567c0:207e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	City
-60ed8313:150849567c0:1c3b	Membership
-60ed8313:150849567c0:2af1	Membership
-60ed8313:150849567c0:3fce	Membership
-60ed8313:150849567c0:32c8	Membership
-60ed8313:150849567c0:436d	EthnicProportion
-60ed8313:150849567c0:3f2a	Membership
-60ed8313:150849567c0:3224	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	City
-60ed8313:150849567c0:1e9b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	City
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	City
http://www.semwebtech.org/mondial/10/organization/CPLP/	Organization
-60ed8313:150849567c0:23be	Membership
-60ed8313:150849567c0:3484	Membership
-60ed8313:150849567c0:231a	Membership
-60ed8313:150849567c0:3818	Membership
-60ed8313:150849567c0:31d0	Membership
-60ed8313:150849567c0:1789	Encompassed
-60ed8313:150849567c0:257a	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	City
-60ed8313:150849567c0:290e	Membership
-60ed8313:150849567c0:37c4	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	City
-60ed8313:150849567c0:1a63	Membership
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	City
http://www.semwebtech.org/mondial/10/lake/Zurichsee/	Lake
-60ed8313:150849567c0:3df6	Membership
-60ed8313:150849567c0:3720	Membership
-60ed8313:150849567c0:30cf	Membership
-60ed8313:150849567c0:4195	BelievedBy
-60ed8313:150849567c0:4529	EthnicProportion
-60ed8313:150849567c0:3d52	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	City
-60ed8313:150849567c0:302b	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	Province
-60ed8313:150849567c0:28ba	Membership
-60ed8313:150849567c0:3980	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	City
-60ed8313:150849567c0:2eec	Membership
http://www.semwebtech.org/mondial/10/island/Gozo/	Island
-60ed8313:150849567c0:21e6	Membership
-60ed8313:150849567c0:328b	Membership
-60ed8313:150849567c0:1da3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	City
-60ed8313:150849567c0:2142	Membership
-60ed8313:150849567c0:361f	Membership
-60ed8313:150849567c0:44d5	EthnicProportion
-60ed8313:150849567c0:19d1	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	Province
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	Province
-60ed8313:150849567c0:4431	EthnicProportion
-60ed8313:150849567c0:2b08	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	City
-60ed8313:150849567c0:387f	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Province
-60ed8313:150849567c0:2736	Membership
http://www.semwebtech.org/mondial/10/organization/EIB/	Organization
-60ed8313:150849567c0:35cb	Membership
http://www.semwebtech.org/mondial/10/estuary/JoekulsaaFjoellum/	Estuary
-60ed8313:150849567c0:2d68	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	City
-60ed8313:150849567c0:3bfd	Membership
http://www.semwebtech.org/mondial/10/estuary/Pibor/	Estuary
-60ed8313:150849567c0:2ab4	Membership
-60ed8313:150849567c0:2996	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	City
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	City
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/CrimeanTatar/	EthnicGroup
-60ed8313:150849567c0:2a10	Membership
-60ed8313:150849567c0:182c	Border
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	City
-60ed8313:150849567c0:26e2	Membership
http://www.semwebtech.org/mondial/10/island/GrandBermuda/	Island
-60ed8313:150849567c0:1e5e	Membership
http://www.semwebtech.org/mondial/10/source/Lukenie/	Source
-60ed8313:150849567c0:1baa	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	Province
-60ed8313:150849567c0:2c70	Membership
-60ed8313:150849567c0:3447	Membership
-60ed8313:150849567c0:42dc	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	City
-60ed8313:150849567c0:3a79	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMaiNdombe/	Lake
-60ed8313:150849567c0:253d	Membership
-60ed8313:150849567c0:33f3	Membership
-60ed8313:150849567c0:2fb0	Membership
-60ed8313:150849567c0:2b6f	Membership
-60ed8313:150849567c0:16f8	Encompassed
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	City
http://www.semwebtech.org/mondial/10/organization/PFP/	Organization
-60ed8313:150849567c0:1a26	Membership
-60ed8313:150849567c0:279d	Membership
-60ed8313:150849567c0:3db9	Membership
http://www.semwebtech.org/mondial/10/island/VelikiRatnoOstrvo/	Island
-60ed8313:150849567c0:4158	BelievedBy
-60ed8313:150849567c0:3d15	Membership
-60ed8313:150849567c0:39e7	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	City
-60ed8313:150849567c0:1c86	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/city/Namibe/	City
-60ed8313:150849567c0:3943	Membership
-60ed8313:150849567c0:3f75	Membership
-60ed8313:150849567c0:2eaf	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	City
-60ed8313:150849567c0:21a9	Membership
-60ed8313:150849567c0:324e	Membership
-60ed8313:150849567c0:2e0b	Membership
-60ed8313:150849567c0:3cc1	Membership
-60ed8313:150849567c0:2105	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	City
-60ed8313:150849567c0:4060	SpokenBy
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	City
-60ed8313:150849567c0:1fc6	Membership
-60ed8313:150849567c0:2365	Membership
-60ed8313:150849567c0:31fa	Membership
-60ed8313:150849567c0:1f22	Membership
http://www.semwebtech.org/mondial/10/country/CDN/	Country
-60ed8313:150849567c0:20b1	Membership
http://www.semwebtech.org/mondial/10/river/Zambezi/	River
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	Province
-60ed8313:150849567c0:43a0	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	City
-60ed8313:150849567c0:2959	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	Province
-60ed8313:150849567c0:3b1c	Membership
-60ed8313:150849567c0:37ee	Membership
-60ed8313:150849567c0:1a8d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	City
-60ed8313:150849567c0:26a5	Membership
-60ed8313:150849567c0:374a	Membership
-60ed8313:150849567c0:3d7c	Membership
-60ed8313:150849567c0:2cd7	Membership
-60ed8313:150849567c0:2601	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	City
-60ed8313:150849567c0:3076	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	Province
-60ed8313:150849567c0:2c33	Membership
http://www.semwebtech.org/mondial/10/estuary/Save/	Estuary
http://www.semwebtech.org/mondial/10/country/SME/	Country
-60ed8313:150849567c0:2861	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	City
-60ed8313:150849567c0:1dcd	Membership
-60ed8313:150849567c0:2e93	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	City
-60ed8313:150849567c0:216c	Membership
-60ed8313:150849567c0:44ff	EthnicProportion
-60ed8313:150849567c0:19fb	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	City
http://www.semwebtech.org/mondial/10/lake/LakeHume/	Lake
-60ed8313:150849567c0:33b6	Membership
-60ed8313:150849567c0:445b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	Province
-60ed8313:150849567c0:3312	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	City
http://www.semwebtech.org/mondial/10/country/COM/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	City
-60ed8313:150849567c0:24ac	Membership
-60ed8313:150849567c0:3572	Membership
-60ed8313:150849567c0:1c49	Membership
-60ed8313:150849567c0:2ade	Membership
-60ed8313:150849567c0:3906	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	Province
-60ed8313:150849567c0:1877	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	City
-60ed8313:150849567c0:2a3a	Membership
-60ed8313:150849567c0:3f38	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Spanish/	EthnicGroup
-60ed8313:150849567c0:40c7	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	City
-60ed8313:150849567c0:4023	SpokenBy
-60ed8313:150849567c0:1bf5	Membership
-60ed8313:150849567c0:2c9a	Membership
-60ed8313:150849567c0:38b2	Membership
-60ed8313:150849567c0:1b51	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	City
-60ed8313:150849567c0:3ee4	Membership
-60ed8313:150849567c0:2328	Membership
-60ed8313:150849567c0:31bd	Membership
http://www.semwebtech.org/mondial/10/language/Futunian/	Language
-60ed8313:150849567c0:4283	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/Vogesen/	Mountains
http://www.semwebtech.org/mondial/10/river/Argun/	River
-60ed8313:150849567c0:3e40	Membership
-60ed8313:150849567c0:2588	Membership
http://www.semwebtech.org/mondial/10/lake/LakeErie/	Lake
-60ed8313:150849567c0:2fda	Membership
-60ed8313:150849567c0:22d4	Membership
-60ed8313:150849567c0:2230	Membership
-60ed8313:150849567c0:370d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fulani/	EthnicGroup
-60ed8313:150849567c0:3d3f	Membership
http://www.semwebtech.org/mondial/10/source/MurrumbidgeeRiver/	Source
-60ed8313:150849567c0:3039	Membership
http://www.semwebtech.org/mondial/10/source/Apurimac/	Source
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	City
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	Province
-60ed8313:150849567c0:28c8	Membership
-60ed8313:150849567c0:2490	Membership
-60ed8313:150849567c0:396d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	City
http://www.semwebtech.org/mondial/10/estuary/Amazonas/	Estuary
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	City
-60ed8313:150849567c0:2824	Membership
-60ed8313:150849567c0:3f9f	Membership
-60ed8313:150849567c0:3299	Membership
-60ed8313:150849567c0:230b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	City
-60ed8313:150849567c0:2e56	Membership
-60ed8313:150849567c0:3ceb	Membership
-60ed8313:150849567c0:212f	Membership
-60ed8313:150849567c0:408a	SpokenBy
-60ed8313:150849567c0:2ba2	Membership
-60ed8313:150849567c0:19be	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Asaba/	City
-60ed8313:150849567c0:441e	EthnicProportion
-60ed8313:150849567c0:191a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	City
-60ed8313:150849567c0:27d0	Membership
-60ed8313:150849567c0:238f	Membership
-60ed8313:150849567c0:1f4c	Membership
http://www.semwebtech.org/mondial/10/island/Mayotte/	Island
-60ed8313:150849567c0:20db	Membership
-60ed8313:150849567c0:35d9	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	Province
http://www.semwebtech.org/mondial/10/estuary/MackenzieRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/CaribIndians/	EthnicGroup
-60ed8313:150849567c0:3535	Membership
-60ed8313:150849567c0:43ca	EthnicProportion
-60ed8313:150849567c0:3b67	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	City
http://www.semwebtech.org/mondial/10/estuary/Buna/	Estuary
-60ed8313:150849567c0:26cf	Membership
-60ed8313:150849567c0:3795	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	City
-60ed8313:150849567c0:262b	Membership
-60ed8313:150849567c0:34e1	Membership
http://www.semwebtech.org/mondial/10/source/Breg/	Source
-60ed8313:150849567c0:1bb8	Membership
http://www.semwebtech.org/mondial/10/mountain/MtAdams/	Mountain
-60ed8313:150849567c0:2c5d	Membership
-60ed8313:150849567c0:17e6	Border
-60ed8313:150849567c0:1b14	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	City
-60ed8313:150849567c0:288b	Membership
-60ed8313:150849567c0:3ea7	Membership
-60ed8313:150849567c0:4246	BelievedBy
-60ed8313:150849567c0:1742	Encompassed
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	City
-60ed8313:150849567c0:3e03	Membership
-60ed8313:150849567c0:1d74	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	City
-60ed8313:150849567c0:1ac0	Membership
http://www.semwebtech.org/mondial/10/island/Anglesey/	Island
-60ed8313:150849567c0:333c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	Province
-60ed8313:150849567c0:41f2	BelievedBy
http://www.semwebtech.org/mondial/10/islands/Malta/	Islands
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	Province
-60ed8313:150849567c0:24f7	Membership
-60ed8313:150849567c0:359c	Membership
http://www.semwebtech.org/mondial/10/estuary/Tajo/	Estuary
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	Province
-60ed8313:150849567c0:2453	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	City
-60ed8313:150849567c0:2a85	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	City
http://www.semwebtech.org/mondial/10/island/PortoSanto/	Island
-60ed8313:150849567c0:2e19	Membership
-60ed8313:150849567c0:3cae	Membership
-60ed8313:150849567c0:404d	SpokenBy
-60ed8313:150849567c0:3c0a	Membership
-60ed8313:150849567c0:38dc	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Province
-60ed8313:150849567c0:1b7b	Membership
-60ed8313:150849567c0:1f0f	Membership
-60ed8313:150849567c0:2dc5	Membership
-60ed8313:150849567c0:3e6a	Membership
http://www.semwebtech.org/mondial/10/source/Mekong/	Source
-60ed8313:150849567c0:3164	Membership
-60ed8313:150849567c0:2d21	Membership
-60ed8313:150849567c0:29f3	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	City
-60ed8313:150849567c0:22fe	Membership
http://www.semwebtech.org/mondial/10/estuary/AlleghenyRiver/	Estuary
http://www.semwebtech.org/mondial/10/source/BlueNile/	Source
-60ed8313:150849567c0:1ebb	Membership
-60ed8313:150849567c0:2f81	Membership
-60ed8313:150849567c0:225a	Membership
-60ed8313:150849567c0:3758	Membership
-60ed8313:150849567c0:34a4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kalenjin/	EthnicGroup
-60ed8313:150849567c0:3ad6	Membership
-60ed8313:150849567c0:3400	Membership
-60ed8313:150849567c0:17a9	Encompassed
-60ed8313:150849567c0:284e	Membership
-60ed8313:150849567c0:3a32	Membership
-60ed8313:150849567c0:4209	BelievedBy
-60ed8313:150849567c0:1705	Encompassed
-60ed8313:150849567c0:3660	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	Province
-60ed8313:150849567c0:1d37	Membership
-60ed8313:150849567c0:2bcc	Membership
http://www.semwebtech.org/mondial/10/language/Estonian/	Language
-60ed8313:150849567c0:3c92	Membership
http://www.semwebtech.org/mondial/10/organization/EAS/	Organization
-60ed8313:150849567c0:4469	EthnicProportion
http://www.semwebtech.org/mondial/10/country/EAU/	Country
-60ed8313:150849567c0:1965	Membership
-60ed8313:150849567c0:27fa	Membership
-60ed8313:150849567c0:41b5	BelievedBy
-60ed8313:150849567c0:1f97	Membership
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	City
-60ed8313:150849567c0:4111	BelievedBy
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	City
-60ed8313:150849567c0:1ce3	Membership
http://www.semwebtech.org/mondial/10/lake/LakeUrmia/	Lake
-60ed8313:150849567c0:39a0	Membership
-60ed8313:150849567c0:2082	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	City
-60ed8313:150849567c0:355f	Membership
-60ed8313:150849567c0:3fd2	Membership
-60ed8313:150849567c0:2416	Membership
-60ed8313:150849567c0:32ab	Membership
-60ed8313:150849567c0:4371	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	Province
-60ed8313:150849567c0:2a48	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	City
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	City
-60ed8313:150849567c0:2676	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	Province
-60ed8313:150849567c0:23c2	Membership
http://www.semwebtech.org/mondial/10/islands/LipariIslands/	Islands
-60ed8313:150849567c0:1b3e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	City
-60ed8313:150849567c0:176c	Encompassed
http://www.semwebtech.org/mondial/10/island/Flores/	Island
-60ed8313:150849567c0:3e2d	Membership
-60ed8313:150849567c0:3127	Membership
-60ed8313:150849567c0:1d9e	Membership
-60ed8313:150849567c0:29b6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	City
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbs/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	Province
-60ed8313:150849567c0:1aea	Membership
-60ed8313:150849567c0:2fe8	Membership
-60ed8313:150849567c0:2912	Membership
-60ed8313:150849567c0:3387	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	City
http://www.semwebtech.org/mondial/10/islands/BermudaIslands/	Islands
-60ed8313:150849567c0:2f44	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	City
-60ed8313:150849567c0:221d	Membership
-60ed8313:150849567c0:30d3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	City
http://www.semwebtech.org/mondial/10/island/IlhadoBananal/	Island
-60ed8313:150849567c0:450c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	Province
-60ed8313:150849567c0:247d	Membership
-60ed8313:150849567c0:2ef0	Membership
-60ed8313:150849567c0:36c7	Membership
-60ed8313:150849567c0:3cf9	Membership
-60ed8313:150849567c0:3623	Membership
-60ed8313:150849567c0:4098	SpokenBy
-60ed8313:150849567c0:3c55	Membership
-60ed8313:150849567c0:1928	Membership
http://www.semwebtech.org/mondial/10/mountain/Dhaulagiri/	Mountain
-60ed8313:150849567c0:27bd	Membership
-60ed8313:150849567c0:3883	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	City
-60ed8313:150849567c0:2def	Membership
-60ed8313:150849567c0:20e9	Membership
-60ed8313:150849567c0:318e	Membership
-60ed8313:150849567c0:1ca6	Membership
-60ed8313:150849567c0:2d4b	Membership
-60ed8313:150849567c0:2045	Membership
-60ed8313:150849567c0:43d8	EthnicProportion
-60ed8313:150849567c0:18d4	Border
-60ed8313:150849567c0:1c02	Membership
http://www.semwebtech.org/mondial/10/country/NAU/	Country
-60ed8313:150849567c0:4334	EthnicProportion
-60ed8313:150849567c0:1830	Border
http://www.semwebtech.org/mondial/10/estuary/Kemijoki/	Estuary
-60ed8313:150849567c0:1e62	Membership
-60ed8313:150849567c0:2639	Membership
-60ed8313:150849567c0:34ce	Membership
-60ed8313:150849567c0:4594	EthnicProportion
-60ed8313:150849567c0:342a	Membership
-60ed8313:150849567c0:42e0	BelievedBy
-60ed8313:150849567c0:2899	Membership
-60ed8313:150849567c0:3a5c	Membership
http://www.semwebtech.org/mondial/10/estuary/Guadalquivir/	Estuary
-60ed8313:150849567c0:172f	Encompassed
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	City
-60ed8313:150849567c0:25e5	Membership
http://www.semwebtech.org/mondial/10/island/Ameland/	Island
-60ed8313:150849567c0:368a	Membership
-60ed8313:150849567c0:2541	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	Province
http://www.semwebtech.org/mondial/10/organization/COMESA/	Organization
-60ed8313:150849567c0:198f	Membership
-60ed8313:150849567c0:1aad	Membership
-60ed8313:150849567c0:2b73	Membership
-60ed8313:150849567c0:41df	BelievedBy
-60ed8313:150849567c0:2f07	Membership
-60ed8313:150849567c0:16db	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	City
-60ed8313:150849567c0:413b	BelievedBy
-60ed8313:150849567c0:39ca	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	Province
-60ed8313:150849567c0:3ffc	SpokenBy
-60ed8313:150849567c0:32f6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	City
-60ed8313:150849567c0:439b	EthnicProportion
-60ed8313:150849567c0:2eb3	Membership
-60ed8313:150849567c0:3252	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	Province
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	Province
-60ed8313:150849567c0:23ec	Membership
-60ed8313:150849567c0:3c18	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	Province
-60ed8313:150849567c0:1b89	Membership
http://www.semwebtech.org/mondial/10/island/Madagaskar/	Island
-60ed8313:150849567c0:3846	Membership
-60ed8313:150849567c0:3e78	Membership
http://www.semwebtech.org/mondial/10/island/Mindoro/	Island
-60ed8313:150849567c0:3bc4	Membership
-60ed8313:150849567c0:2d0e	Membership
http://www.semwebtech.org/mondial/10/country/MV/	Country
-60ed8313:150849567c0:2008	Membership
http://www.semwebtech.org/mondial/10/islands/Kyklades/	Islands
http://www.semwebtech.org/mondial/10/island/BaffinIsland/	Island
-60ed8313:150849567c0:3b20	Membership
-60ed8313:150849567c0:293c	Membership
http://www.semwebtech.org/mondial/10/country/COCO/city/WestIsland/	City
-60ed8313:150849567c0:37f2	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	Province
-60ed8313:150849567c0:1ec9	Membership
-60ed8313:150849567c0:1a91	Membership
-60ed8313:150849567c0:2f6e	Membership
http://www.semwebtech.org/mondial/10/language/Creole/	Language
-60ed8313:150849567c0:2268	Membership
-60ed8313:150849567c0:30fd	Membership
-60ed8313:150849567c0:1e25	Membership
-60ed8313:150849567c0:2cba	Membership
-60ed8313:150849567c0:3d80	Membership
-60ed8313:150849567c0:4557	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RC/	Country
-60ed8313:150849567c0:42a3	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	City
-60ed8313:150849567c0:3a1f	Membership
-60ed8313:150849567c0:1dd1	Membership
-60ed8313:150849567c0:25a8	Membership
-60ed8313:150849567c0:2170	Membership
-60ed8313:150849567c0:364d	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	Province
http://www.semwebtech.org/mondial/10/religion/Sikh/	Religion
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	City
-60ed8313:150849567c0:2504	Membership
-60ed8313:150849567c0:3c7f	Membership
http://www.semwebtech.org/mondial/10/river/Aruwimi/	River
-60ed8313:150849567c0:2b36	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	City
-60ed8313:150849567c0:2764	Membership
http://www.semwebtech.org/mondial/10/estuary/Cuilo/	Estuary
-60ed8313:150849567c0:2d96	Membership
-60ed8313:150849567c0:24b0	Membership
-60ed8313:150849567c0:206f	Membership
http://www.semwebtech.org/mondial/10/source/Gambia/	Source
-60ed8313:150849567c0:2ae2	Membership
-60ed8313:150849567c0:18fe	Border
-60ed8313:150849567c0:1c2c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	City
http://www.semwebtech.org/mondial/10/organization/IPU/	Organization
-60ed8313:150849567c0:3fbf	Membership
-60ed8313:150849567c0:32b9	Membership
-60ed8313:150849567c0:435e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	City
-60ed8313:150849567c0:185a	Border
http://www.semwebtech.org/mondial/10/language/Serbo-Croatian/	Language
-60ed8313:150849567c0:3f1b	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	Province
-60ed8313:150849567c0:3215	Membership
-60ed8313:150849567c0:40aa	SpokenBy
-60ed8313:150849567c0:1e8c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	Province
http://www.semwebtech.org/mondial/10/island/Labuan/	Island
-60ed8313:150849567c0:23af	Membership
-60ed8313:150849567c0:3475	Membership
-60ed8313:150849567c0:3809	Membership
-60ed8313:150849567c0:31c1	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	City
-60ed8313:150849567c0:256b	Membership
http://www.semwebtech.org/mondial/10/island/Streymoy/	Island
-60ed8313:150849567c0:1af8	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	City
-60ed8313:150849567c0:2b9d	Membership
-60ed8313:150849567c0:37b5	Membership
http://www.semwebtech.org/mondial/10/lake/Vaettern/	Lake
-60ed8313:150849567c0:1a54	Membership
http://www.semwebtech.org/mondial/10/source/Karasu/	Source
-60ed8313:150849567c0:3de7	Membership
-60ed8313:150849567c0:3711	Membership
-60ed8313:150849567c0:4186	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	Province
-60ed8313:150849567c0:3d43	Membership
-60ed8313:150849567c0:301c	Membership
http://www.semwebtech.org/mondial/10/country/H/	Country
-60ed8313:150849567c0:28ab	Membership
-60ed8313:150849567c0:3971	Membership
http://www.semwebtech.org/mondial/10/sea/RedSea/	Sea
-60ed8313:150849567c0:2edd	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	City
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	Province
-60ed8313:150849567c0:21d7	Membership
-60ed8313:150849567c0:327c	Membership
http://www.semwebtech.org/mondial/10/river/Amazonas/	River
http://www.semwebtech.org/mondial/10/organization/G-77/	Organization
-60ed8313:150849567c0:2133	Membership
-60ed8313:150849567c0:44c6	EthnicProportion
-60ed8313:150849567c0:19c2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	Province
-60ed8313:150849567c0:4422	EthnicProportion
-60ed8313:150849567c0:1ff4	Membership
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	City
-60ed8313:150849567c0:2393	Membership
-60ed8313:150849567c0:1f50	Membership
-60ed8313:150849567c0:2727	Membership
-60ed8313:150849567c0:35bc	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	Province
-60ed8313:150849567c0:2d59	Membership
-60ed8313:150849567c0:3bee	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	Province
http://www.semwebtech.org/mondial/10/mountain/BlueMountainPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	City
-60ed8313:150849567c0:2aa5	Membership
-60ed8313:150849567c0:2987	Membership
-60ed8313:150849567c0:3b4a	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	City
http://www.semwebtech.org/mondial/10/island/Aust-Vagoey/	Island
-60ed8313:150849567c0:181d	Border
-60ed8313:150849567c0:2a01	Membership
-60ed8313:150849567c0:26d3	Membership
-60ed8313:150849567c0:1e4f	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	Province
-60ed8313:150849567c0:2c61	Membership
-60ed8313:150849567c0:3438	Membership
-60ed8313:150849567c0:42cd	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	Province
-60ed8313:150849567c0:1dfb	Membership
-60ed8313:150849567c0:219a	Membership
-60ed8313:150849567c0:3698	Membership
-60ed8313:150849567c0:33e4	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	City
-60ed8313:150849567c0:252e	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	City
-60ed8313:150849567c0:2fa1	Membership
-60ed8313:150849567c0:3340	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	City
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Asian/	EthnicGroup
-60ed8313:150849567c0:16e9	Encompassed
-60ed8313:150849567c0:1a17	Membership
-60ed8313:150849567c0:278e	Membership
-60ed8313:150849567c0:4149	BelievedBy
http://www.semwebtech.org/mondial/10/river/SaintMarysRiver/	River
-60ed8313:150849567c0:3d06	Membership
-60ed8313:150849567c0:24da	Membership
-60ed8313:150849567c0:39d8	Membership
http://www.semwebtech.org/mondial/10/island/Cebu/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	Province
-60ed8313:150849567c0:1c77	Membership
-60ed8313:150849567c0:3934	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	City
http://www.semwebtech.org/mondial/10/mountain/PicodeSaoTome/	Mountain
-60ed8313:150849567c0:3f66	Membership
-60ed8313:150849567c0:323f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	City
-60ed8313:150849567c0:40f5	SpokenBy
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	City
-60ed8313:150849567c0:3cb2	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	Province
-60ed8313:150849567c0:4051	SpokenBy
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	Province
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	Province
-60ed8313:150849567c0:38e0	Membership
-60ed8313:150849567c0:349f	Membership
-60ed8313:150849567c0:1fb7	Membership
-60ed8313:150849567c0:2356	Membership
-60ed8313:150849567c0:31eb	Membership
-60ed8313:150849567c0:1f13	Membership
-60ed8313:150849567c0:20a2	Membership
http://www.semwebtech.org/mondial/10/estuary/Ili/	Estuary
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	City
http://www.semwebtech.org/mondial/10/source/Petschora/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	Province
-60ed8313:150849567c0:3b0d	Membership
-60ed8313:150849567c0:37df	Membership
http://www.semwebtech.org/mondial/10/desert/GreatVictoriaDesert/	Desert
-60ed8313:150849567c0:1a7e	Membership
http://www.semwebtech.org/mondial/10/lake/Storuman/	Lake
-60ed8313:150849567c0:373b	Membership
-60ed8313:150849567c0:2cc8	Membership
-60ed8313:150849567c0:3d6d	Membership
-60ed8313:150849567c0:3067	Membership
-60ed8313:150849567c0:2c24	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	City
-60ed8313:150849567c0:28f6	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKainji/	Lake
-60ed8313:150849567c0:399b	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Odin/	Mountain
http://www.semwebtech.org/mondial/10/lake/LakeNasser/	Lake
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	Province
-60ed8313:150849567c0:2852	Membership
-60ed8313:150849567c0:1dbe	Membership
http://www.semwebtech.org/mondial/10/river/Sanga/	River
-60ed8313:150849567c0:2e84	Membership
-60ed8313:150849567c0:215d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	City
-60ed8313:150849567c0:19ec	Membership
-60ed8313:150849567c0:1d1a	Membership
-60ed8313:150849567c0:2bd0	Membership
-60ed8313:150849567c0:33a7	Membership
-60ed8313:150849567c0:444c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	City
-60ed8313:150849567c0:3303	Membership
-60ed8313:150849567c0:1f7a	Membership
-60ed8313:150849567c0:3563	Membership
http://www.semwebtech.org/mondial/10/estuary/Sobat/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	Province
-60ed8313:150849567c0:2acf	Membership
-60ed8313:150849567c0:3b95	Membership
-60ed8313:150849567c0:3f29	Membership
-60ed8313:150849567c0:1868	Border
-60ed8313:150849567c0:2a2b	Membership
-60ed8313:150849567c0:26fd	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	Province
-60ed8313:150849567c0:40b8	SpokenBy
-60ed8313:150849567c0:4014	SpokenBy
-60ed8313:150849567c0:1be6	Membership
http://www.semwebtech.org/mondial/10/religion/Jains/	Religion
-60ed8313:150849567c0:2c8b	Membership
http://www.semwebtech.org/mondial/10/river/BlackDrin/	River
-60ed8313:150849567c0:38a3	Membership
-60ed8313:150849567c0:1b42	Membership
-60ed8313:150849567c0:3ed5	Membership
-60ed8313:150849567c0:2319	Membership
-60ed8313:150849567c0:31ae	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	City
-60ed8313:150849567c0:4274	BelievedBy
-60ed8313:150849567c0:1770	Encompassed
http://www.semwebtech.org/mondial/10/country/KIR/	Country
-60ed8313:150849567c0:3e31	Membership
-60ed8313:150849567c0:310a	Membership
-60ed8313:150849567c0:2579	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	City
-60ed8313:150849567c0:336a	Membership
-60ed8313:150849567c0:2fcb	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	City
-60ed8313:150849567c0:22c5	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	City
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	City
-60ed8313:150849567c0:2221	Membership
-60ed8313:150849567c0:4510	EthnicProportion
-60ed8313:150849567c0:395e	Membership
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	Province
-60ed8313:150849567c0:28b9	Membership
-60ed8313:150849567c0:2481	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	City
-60ed8313:150849567c0:2815	Membership
-60ed8313:150849567c0:36aa	Membership
http://www.semwebtech.org/mondial/10/islands/CapeVerdes/	Islands
-60ed8313:150849567c0:2e47	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	City
http://www.semwebtech.org/mondial/10/mountain/MaunaLoa/	Mountain
-60ed8313:150849567c0:3cdc	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	City
-60ed8313:150849567c0:407b	SpokenBy
-60ed8313:150849567c0:19af	Membership
-60ed8313:150849567c0:440f	EthnicProportion
-60ed8313:150849567c0:190b	Membership
-60ed8313:150849567c0:27c1	Membership
-60ed8313:150849567c0:1f3d	Membership
-60ed8313:150849567c0:2df3	Membership
http://www.semwebtech.org/mondial/10/island/Fohr/	Island
-60ed8313:150849567c0:20cc	Membership
-60ed8313:150849567c0:3192	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	City
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	Province
-60ed8313:150849567c0:3526	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	City
-60ed8313:150849567c0:43bb	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Irazu/	Mountain
-60ed8313:150849567c0:3b58	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/city/AlbaIulia/	City
-60ed8313:150849567c0:3786	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/city/VilaReal/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Irish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	City
http://www.semwebtech.org/mondial/10/river/Kemijoki/	River
-60ed8313:150849567c0:261c	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	Province
-60ed8313:150849567c0:34d2	Membership
-60ed8313:150849567c0:1ba9	Membership
-60ed8313:150849567c0:2c4e	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	City
-60ed8313:150849567c0:17d7	Border
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	City
-60ed8313:150849567c0:1b05	Membership
-60ed8313:150849567c0:287c	Membership
-60ed8313:150849567c0:3a60	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	Province
-60ed8313:150849567c0:4237	BelievedBy
-60ed8313:150849567c0:1733	Encompassed
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	Province
-60ed8313:150849567c0:1d65	Membership
-60ed8313:150849567c0:2bfa	Membership
-60ed8313:150849567c0:4497	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	City
-60ed8313:150849567c0:1993	Membership
-60ed8313:150849567c0:1ab1	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	Province
-60ed8313:150849567c0:332d	Membership
-60ed8313:150849567c0:41e3	BelievedBy
-60ed8313:150849567c0:3da0	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/city/Guliston/	City
-60ed8313:150849567c0:24e8	Membership
-60ed8313:150849567c0:358d	Membership
-60ed8313:150849567c0:2444	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	Province
-60ed8313:150849567c0:2a76	Membership
http://www.semwebtech.org/mondial/10/source/Asahan/	Source
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	Province
-60ed8313:150849567c0:403e	SpokenBy
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	City
-60ed8313:150849567c0:23f0	Membership
-60ed8313:150849567c0:38cd	Membership
-60ed8313:150849567c0:1b6c	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	Province
-60ed8313:150849567c0:3eff	Membership
-60ed8313:150849567c0:31f9	Membership
-60ed8313:150849567c0:429e	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Tobol/	Estuary
-60ed8313:150849567c0:179a	Encompassed
-60ed8313:150849567c0:2db6	Membership
-60ed8313:150849567c0:3e5b	Membership
-60ed8313:150849567c0:3155	Membership
http://www.semwebtech.org/mondial/10/source/Seine/	Source
-60ed8313:150849567c0:2d12	Membership
-60ed8313:150849567c0:29e4	Membership
http://www.semwebtech.org/mondial/10/mountains/WestGhats/	Mountains
-60ed8313:150849567c0:2940	Membership
-60ed8313:150849567c0:22ef	Membership
-60ed8313:150849567c0:1eac	Membership
-60ed8313:150849567c0:2f72	Membership
-60ed8313:150849567c0:224b	Membership
-60ed8313:150849567c0:3749	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	City
-60ed8313:150849567c0:453a	EthnicProportion
-60ed8313:150849567c0:3ac7	Membership
http://www.semwebtech.org/mondial/10/source/Brahmaputra/	Source
-60ed8313:150849567c0:283f	Membership
-60ed8313:150849567c0:3a23	Membership
-60ed8313:150849567c0:36f5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	City
-60ed8313:150849567c0:3651	Membership
-60ed8313:150849567c0:1d28	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	City
-60ed8313:150849567c0:2bbd	Membership
http://www.semwebtech.org/mondial/10/country/GBM/	Country
-60ed8313:150849567c0:3c83	Membership
http://www.semwebtech.org/mondial/10/estuary/Tigris/	Estuary
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	City
-60ed8313:150849567c0:1956	Membership
-60ed8313:150849567c0:27eb	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/city/Sorø/	City
-60ed8313:150849567c0:41a6	BelievedBy
-60ed8313:150849567c0:1f88	Membership
http://www.semwebtech.org/mondial/10/mountains/Madeira/	Mountains
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	Province
http://www.semwebtech.org/mondial/10/mountains/SierraNevadadeSantaMarta/	Mountains
-60ed8313:150849567c0:4102	SpokenBy
-60ed8313:150849567c0:1cd4	Membership
http://www.semwebtech.org/mondial/10/lake/MakarikariSaltPan/	Lake
-60ed8313:150849567c0:2073	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	Province
-60ed8313:150849567c0:1c30	Membership
-60ed8313:150849567c0:3fc3	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	City
-60ed8313:150849567c0:2407	Membership
-60ed8313:150849567c0:4362	EthnicProportion
-60ed8313:150849567c0:2a39	Membership
-60ed8313:150849567c0:1e90	Membership
-60ed8313:150849567c0:2667	Membership
-60ed8313:150849567c0:34fc	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	City
-60ed8313:150849567c0:2c99	Membership
-60ed8313:150849567c0:23b3	Membership
-60ed8313:150849567c0:1b2f	Membership
-60ed8313:150849567c0:3a8a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Montenegrin/	EthnicGroup
-60ed8313:150849567c0:175d	Encompassed
-60ed8313:150849567c0:3e1e	Membership
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	City
-60ed8313:150849567c0:3118	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	City
-60ed8313:150849567c0:1d8f	Membership
-60ed8313:150849567c0:29a7	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	City
http://www.semwebtech.org/mondial/10/mountains/Kamchatka/	Mountains
http://www.semwebtech.org/mondial/10/desert/GibsonDesert/	Desert
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	City
-60ed8313:150849567c0:1adb	Membership
-60ed8313:150849567c0:2fd9	Membership
-60ed8313:150849567c0:2903	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	City
-60ed8313:150849567c0:3378	Membership
http://www.semwebtech.org/mondial/10/estuary/SchattalArab/	Estuary
http://www.semwebtech.org/mondial/10/islands/WallisIslands/	Islands
-60ed8313:150849567c0:3dca	Membership
-60ed8313:150849567c0:2f35	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	City
-60ed8313:150849567c0:220e	Membership
-60ed8313:150849567c0:30c4	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mossi/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/MurrayRiver/	Source
-60ed8313:150849567c0:3020	Membership
http://www.semwebtech.org/mondial/10/estuary/SouthernMorava/	Estuary
-60ed8313:150849567c0:246e	Membership
http://www.semwebtech.org/mondial/10/lake/Siljan/	Lake
-60ed8313:150849567c0:36b8	Membership
-60ed8313:150849567c0:2ee1	Membership
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	City
-60ed8313:150849567c0:21ba	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	City
-60ed8313:150849567c0:3280	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	Province
-60ed8313:150849567c0:3614	Membership
-60ed8313:150849567c0:4089	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	City
http://www.semwebtech.org/mondial/10/river/Okavango/	River
-60ed8313:150849567c0:3c46	Membership
-60ed8313:150849567c0:1919	Membership
-60ed8313:150849567c0:27ae	Membership
-60ed8313:150849567c0:3874	Membership
http://www.semwebtech.org/mondial/10/country/JOR/	Country
-60ed8313:150849567c0:270a	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	Province
-60ed8313:150849567c0:35c0	Membership
-60ed8313:150849567c0:317f	Membership
-60ed8313:150849567c0:2d3c	Membership
-60ed8313:150849567c0:3bf2	Membership
-60ed8313:150849567c0:2036	Membership
-60ed8313:150849567c0:43c9	EthnicProportion
-60ed8313:150849567c0:18c5	Border
-60ed8313:150849567c0:296a	Membership
-60ed8313:150849567c0:4325	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/DetroitRiver/	Estuary
-60ed8313:150849567c0:1821	Border
-60ed8313:150849567c0:1ef7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	Province
-60ed8313:150849567c0:2f9c	Membership
http://www.semwebtech.org/mondial/10/source/Doubs/	Source
-60ed8313:150849567c0:2296	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/ArabIranian/	EthnicGroup
-60ed8313:150849567c0:1e53	Membership
-60ed8313:150849567c0:34bf	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	City
-60ed8313:150849567c0:4585	EthnicProportion
-60ed8313:150849567c0:341b	Membership
-60ed8313:150849567c0:42d1	BelievedBy
-60ed8313:150849567c0:3a4d	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	City
-60ed8313:150849567c0:25d6	Membership
-60ed8313:150849567c0:367b	Membership
-60ed8313:150849567c0:2532	Membership
-60ed8313:150849567c0:2b64	Membership
http://www.semwebtech.org/mondial/10/lake/KoliSarez/	Lake
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/city/Fatick/	City
-60ed8313:150849567c0:16cc	Encompassed
-60ed8313:150849567c0:2792	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroAral/	Lake
-60ed8313:150849567c0:412c	BelievedBy
-60ed8313:150849567c0:1cfe	Membership
http://www.semwebtech.org/mondial/10/estuary/Lualaba/	Estuary
-60ed8313:150849567c0:39bb	Membership
-60ed8313:150849567c0:209d	Membership
-60ed8313:150849567c0:1c5a	Membership
-60ed8313:150849567c0:3fed	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	City
-60ed8313:150849567c0:32e7	Membership
-60ed8313:150849567c0:438c	EthnicProportion
-60ed8313:150849567c0:2ea4	Membership
http://www.semwebtech.org/mondial/10/estuary/Hwangho/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	Province
-60ed8313:150849567c0:3243	Membership
-60ed8313:150849567c0:2e00	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	City
-60ed8313:150849567c0:23dd	Membership
-60ed8313:150849567c0:3c09	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	Province
-60ed8313:150849567c0:3837	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	Province
-60ed8313:150849567c0:3e69	Membership
-60ed8313:150849567c0:3bb5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	City
-60ed8313:150849567c0:292d	Membership
-60ed8313:150849567c0:3b11	Membership
-60ed8313:150849567c0:37e3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	City
-60ed8313:150849567c0:1a82	Membership
-60ed8313:150849567c0:2f5f	Membership
-60ed8313:150849567c0:2259	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMagdalena/	Estuary
-60ed8313:150849567c0:30ee	Membership
http://www.semwebtech.org/mondial/10/river/Prypjat/	River
-60ed8313:150849567c0:1e16	Membership
-60ed8313:150849567c0:2cab	Membership
-60ed8313:150849567c0:3d71	Membership
-60ed8313:150849567c0:304a	Membership
-60ed8313:150849567c0:4548	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/EtoschaSaltPan/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	Province
http://www.semwebtech.org/mondial/10/lake/LakeJindabyne/	Lake
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	City
-60ed8313:150849567c0:1dc2	Membership
-60ed8313:150849567c0:2161	Membership
-60ed8313:150849567c0:363e	Membership
-60ed8313:150849567c0:44f4	EthnicProportion
-60ed8313:150849567c0:19f0	Membership
-60ed8313:150849567c0:4450	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	City
-60ed8313:150849567c0:2b27	Membership
-60ed8313:150849567c0:27f9	Membership
-60ed8313:150849567c0:389e	Membership
http://www.semwebtech.org/mondial/10/estuary/Irtysch/	Estuary
http://www.semwebtech.org/mondial/10/country/GNB/city/Bissau/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	City
-60ed8313:150849567c0:2755	Membership
http://www.semwebtech.org/mondial/10/estuary/Douro/	Estuary
-60ed8313:150849567c0:35ea	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	City
http://www.semwebtech.org/mondial/10/language/Albanian/	Language
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	Province
-60ed8313:150849567c0:2d87	Membership
-60ed8313:150849567c0:24a1	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	City
-60ed8313:150849567c0:18ef	Border
-60ed8313:150849567c0:1c1d	Membership
-60ed8313:150849567c0:2ad3	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/city/Cabinda/	City
-60ed8313:150849567c0:434f	EthnicProportion
-60ed8313:150849567c0:184b	Border
-60ed8313:150849567c0:3f0c	Membership
-60ed8313:150849567c0:3206	Membership
-60ed8313:150849567c0:1e7d	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	City
http://www.semwebtech.org/mondial/10/country/GR/	Country
-60ed8313:150849567c0:3466	Membership
-60ed8313:150849567c0:42fb	BelievedBy
-60ed8313:150849567c0:3a98	Membership
http://www.semwebtech.org/mondial/10/organization/NAM/	Organization
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/city/Geita/	City
-60ed8313:150849567c0:31b2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	Province
http://www.semwebtech.org/mondial/10/mountain/MtColumbia/	Mountain
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/city/Abakaliki/	City
-60ed8313:150849567c0:255c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	City
-60ed8313:150849567c0:1ae9	Membership
http://www.semwebtech.org/mondial/10/estuary/Oulujoki/	Estuary
-60ed8313:150849567c0:2b8e	Membership
-60ed8313:150849567c0:37a6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	City
-60ed8313:150849567c0:1a45	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	City
-60ed8313:150849567c0:3dd8	Membership
-60ed8313:150849567c0:3702	Membership
-60ed8313:150849567c0:4177	BelievedBy
-60ed8313:150849567c0:3d34	Membership
-60ed8313:150849567c0:300d	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	City
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	Province
-60ed8313:150849567c0:3962	Membership
http://www.semwebtech.org/mondial/10/country/CUR/	Country
-60ed8313:150849567c0:3f94	Membership
-60ed8313:150849567c0:2ece	Membership
http://www.semwebtech.org/mondial/10/country/PK/	Country
-60ed8313:150849567c0:21c8	Membership
-60ed8313:150849567c0:326d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	City
-60ed8313:150849567c0:2e2a	Membership
-60ed8313:150849567c0:3ce0	Membership
-60ed8313:150849567c0:2124	Membership
-60ed8313:150849567c0:44b7	EthnicProportion
-60ed8313:150849567c0:19b3	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	City
http://www.semwebtech.org/mondial/10/island/Babelthuap/	Island
-60ed8313:150849567c0:4413	EthnicProportion
-60ed8313:150849567c0:1fe5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	City
-60ed8313:150849567c0:2384	Membership
http://www.semwebtech.org/mondial/10/river/Dnepr/	River
-60ed8313:150849567c0:1f41	Membership
-60ed8313:150849567c0:35ad	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	Province
-60ed8313:150849567c0:2718	Membership
-60ed8313:150849567c0:20d0	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	City
http://www.semwebtech.org/mondial/10/estuary/Tocantins/	Estuary
-60ed8313:150849567c0:3bdf	Membership
http://www.semwebtech.org/mondial/10/organization/BCIE/	Organization
http://www.semwebtech.org/mondial/10/mountains/Amhara/	Mountains
-60ed8313:150849567c0:2978	Membership
-60ed8313:150849567c0:3b3b	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	Province
-60ed8313:150849567c0:180e	Border
-60ed8313:150849567c0:26c4	Membership
-60ed8313:150849567c0:3d9b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	Province
-60ed8313:150849567c0:2cf6	Membership
-60ed8313:150849567c0:2620	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	City
-60ed8313:150849567c0:3095	Membership
-60ed8313:150849567c0:2c52	Membership
-60ed8313:150849567c0:3429	Membership
-60ed8313:150849567c0:42be	BelievedBy
-60ed8313:150849567c0:17ba	Encompassed
http://www.semwebtech.org/mondial/10/country/FALK/	Country
-60ed8313:150849567c0:2880	Membership
-60ed8313:150849567c0:421a	BelievedBy
-60ed8313:150849567c0:1dec	Membership
-60ed8313:150849567c0:3689	Membership
-60ed8313:150849567c0:218b	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	City
-60ed8313:150849567c0:251f	Membership
-60ed8313:150849567c0:33d5	Membership
-60ed8313:150849567c0:447a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	Province
-60ed8313:150849567c0:3331	Membership
-60ed8313:150849567c0:1a08	Membership
-60ed8313:150849567c0:277f	Membership
http://www.semwebtech.org/mondial/10/estuary/Vaal/	Estuary
http://www.semwebtech.org/mondial/10/sea/MediterraneanSea/	Sea
-60ed8313:150849567c0:24cb	Membership
-60ed8313:150849567c0:39c9	Membership
-60ed8313:150849567c0:3591	Membership
-60ed8313:150849567c0:1c68	Membership
-60ed8313:150849567c0:2afd	Membership
http://www.semwebtech.org/mondial/10/river/TruckeeRiver/	River
-60ed8313:150849567c0:3925	Membership
-60ed8313:150849567c0:1896	Border
http://www.semwebtech.org/mondial/10/island/Linosa/	Island
-60ed8313:150849567c0:3f57	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	City
-60ed8313:150849567c0:40e6	SpokenBy
-60ed8313:150849567c0:3ca3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	City
-60ed8313:150849567c0:4042	SpokenBy
http://www.semwebtech.org/mondial/10/country/V/	Country
-60ed8313:150849567c0:38d1	Membership
-60ed8313:150849567c0:1fa8	Membership
-60ed8313:150849567c0:1b70	Membership
-60ed8313:150849567c0:2347	Membership
-60ed8313:150849567c0:31dc	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/city/Anau/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	City
-60ed8313:150849567c0:1f04	Membership
http://www.semwebtech.org/mondial/10/island/Antigua/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/city/LaEsperanza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	City
-60ed8313:150849567c0:22f3	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	Province
http://www.semwebtech.org/mondial/10/organization/ASEAN/	Organization
-60ed8313:150849567c0:1eb0	Membership
-60ed8313:150849567c0:1a6f	Membership
-60ed8313:150849567c0:372c	Membership
-60ed8313:150849567c0:2cb9	Membership
-60ed8313:150849567c0:3d5e	Membership
-60ed8313:150849567c0:3058	Membership
-60ed8313:150849567c0:3aaa	Membership
-60ed8313:150849567c0:2c15	Membership
-60ed8313:150849567c0:28e7	Membership
-60ed8313:150849567c0:398c	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/city/Bilecik/	City
-60ed8313:150849567c0:2843	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	Province
-60ed8313:150849567c0:1daf	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	City
-60ed8313:150849567c0:2e75	Membership
-60ed8313:150849567c0:214e	Membership
-60ed8313:150849567c0:2bc1	Membership
-60ed8313:150849567c0:19dd	Membership
-60ed8313:150849567c0:1d0b	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	City
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	City
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/city/SanJosédelasLajas/	City
http://www.semwebtech.org/mondial/10/country/WSA/	Country
http://www.semwebtech.org/mondial/10/island/EastFalkland/	Island
-60ed8313:150849567c0:443d	EthnicProportion
-60ed8313:150849567c0:1f6b	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	Province
-60ed8313:150849567c0:20fa	Membership
-60ed8313:150849567c0:35f8	Membership
-60ed8313:150849567c0:3554	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	City
http://www.semwebtech.org/mondial/10/lake/LagodiBracciano/	Lake
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	City
-60ed8313:150849567c0:3b86	Membership
-60ed8313:150849567c0:32a0	Membership
-60ed8313:150849567c0:1859	Border
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	City
-60ed8313:150849567c0:2a1c	Membership
-60ed8313:150849567c0:26ee	Membership
http://www.semwebtech.org/mondial/10/source/Aare/	Source
-60ed8313:150849567c0:40a9	SpokenBy
-60ed8313:150849567c0:264a	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	City
-60ed8313:150849567c0:4005	SpokenBy
-60ed8313:150849567c0:1bd7	Membership
-60ed8313:150849567c0:2c7c	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	Province
http://www.semwebtech.org/mondial/10/organization/WIPO/	Organization
-60ed8313:150849567c0:1b33	Membership
-60ed8313:150849567c0:3ec6	Membership
-60ed8313:150849567c0:4265	BelievedBy
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	City
-60ed8313:150849567c0:1761	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Ammer/	Estuary
-60ed8313:150849567c0:3e22	Membership
-60ed8313:150849567c0:1d93	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	City
-60ed8313:150849567c0:33ff	Membership
-60ed8313:150849567c0:2fbc	Membership
-60ed8313:150849567c0:22b6	Membership
-60ed8313:150849567c0:335b	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	City
-60ed8313:150849567c0:2212	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	City
-60ed8313:150849567c0:4501	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Shan/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Semliki/	River
-60ed8313:150849567c0:2472	Membership
-60ed8313:150849567c0:394f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	City
-60ed8313:150849567c0:2806	Membership
-60ed8313:150849567c0:2e38	Membership
-60ed8313:150849567c0:3ccd	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	City
-60ed8313:150849567c0:406c	SpokenBy
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	City
-60ed8313:150849567c0:38fb	Membership
-60ed8313:150849567c0:1b9a	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	City
-60ed8313:150849567c0:27b2	Membership
-60ed8313:150849567c0:1f2e	Membership
-60ed8313:150849567c0:2de4	Membership
-60ed8313:150849567c0:20bd	Membership
-60ed8313:150849567c0:3183	Membership
-60ed8313:150849567c0:2d40	Membership
-60ed8313:150849567c0:3517	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	City
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	City
-60ed8313:150849567c0:43ac	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	City
http://www.semwebtech.org/mondial/10/organization/PCA/	Organization
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	City
-60ed8313:150849567c0:3b49	Membership
-60ed8313:150849567c0:1eda	Membership
-60ed8313:150849567c0:3777	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	City
-60ed8313:150849567c0:260d	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManagua/	Lake
-60ed8313:150849567c0:34c3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	City
http://www.semwebtech.org/mondial/10/mountain/Tupungato/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	Province
-60ed8313:150849567c0:2c3f	Membership
-60ed8313:150849567c0:3af5	Membership
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	City
-60ed8313:150849567c0:17c8	Border
http://www.semwebtech.org/mondial/10/estuary/Chatanga/	Estuary
-60ed8313:150849567c0:286d	Membership
-60ed8313:150849567c0:3a51	Membership
-60ed8313:150849567c0:4228	BelievedBy
-60ed8313:150849567c0:2e9f	Membership
-60ed8313:150849567c0:1724	Encompassed
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	City
-60ed8313:150849567c0:2199	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	City
-60ed8313:150849567c0:1d56	Membership
-60ed8313:150849567c0:2beb	Membership
http://www.semwebtech.org/mondial/10/country/KGZ/	Country
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/city/Nema/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Fleming/	EthnicGroup
-60ed8313:150849567c0:4488	EthnicProportion
-60ed8313:150849567c0:1984	Membership
-60ed8313:150849567c0:1aa2	Membership
-60ed8313:150849567c0:41d4	BelievedBy
-60ed8313:150849567c0:331e	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	City
http://www.semwebtech.org/mondial/10/mountain/Annapurna/	Mountain
-60ed8313:150849567c0:16d0	Encompassed
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	City
http://www.semwebtech.org/mondial/10/river/Tigris/	River
-60ed8313:150849567c0:4130	BelievedBy
-60ed8313:150849567c0:24d9	Membership
-60ed8313:150849567c0:357e	Membership
-60ed8313:150849567c0:3ff1	SpokenBy
-60ed8313:150849567c0:2435	Membership
-60ed8313:150849567c0:4390	EthnicProportion
-60ed8313:150849567c0:32ca	Membership
http://www.semwebtech.org/mondial/10/lake/LakeManitou/	Lake
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	City
http://www.semwebtech.org/mondial/10/organization/CEI/	Organization
-60ed8313:150849567c0:2a67	Membership
-60ed8313:150849567c0:2695	Membership
-60ed8313:150849567c0:402f	SpokenBy
-60ed8313:150849567c0:23e1	Membership
-60ed8313:150849567c0:38be	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	Province
-60ed8313:150849567c0:1b5d	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	Province
-60ed8313:150849567c0:381a	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	Province
-60ed8313:150849567c0:428f	BelievedBy
-60ed8313:150849567c0:178b	Encompassed
-60ed8313:150849567c0:2da7	Membership
-60ed8313:150849567c0:3e4c	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	Province
-60ed8313:150849567c0:3146	Membership
-60ed8313:150849567c0:2d03	Membership
-60ed8313:150849567c0:29d5	Membership
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	City
-60ed8313:150849567c0:2931	Membership
-60ed8313:150849567c0:2f63	Membership
-60ed8313:150849567c0:223c	Membership
-60ed8313:150849567c0:30f2	Membership
-60ed8313:150849567c0:452b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	Province
-60ed8313:150849567c0:249c	Membership
-60ed8313:150849567c0:3ab8	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	City
http://www.semwebtech.org/mondial/10/islands/FaroeIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	City
-60ed8313:150849567c0:3a14	Membership
-60ed8313:150849567c0:36e6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	City
-60ed8313:150849567c0:3642	Membership
http://www.semwebtech.org/mondial/10/organization/ICC/	Organization
-60ed8313:150849567c0:1d19	Membership
-60ed8313:150849567c0:2bae	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	Province
-60ed8313:150849567c0:3c74	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	Province
http://www.semwebtech.org/mondial/10/island/Savaii/	Island
-60ed8313:150849567c0:1947	Membership
-60ed8313:150849567c0:2b0a	Membership
-60ed8313:150849567c0:27dc	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	City
-60ed8313:150849567c0:1f79	Membership
-60ed8313:150849567c0:1cc5	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	City
-60ed8313:150849567c0:2d6a	Membership
http://www.semwebtech.org/mondial/10/language/Garifuna/	Language
-60ed8313:150849567c0:2064	Membership
-60ed8313:150849567c0:43f7	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/LakeNgami/	Lake
-60ed8313:150849567c0:18f3	Border
-60ed8313:150849567c0:1c21	Membership
-60ed8313:150849567c0:3fb4	Membership
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	City
http://www.semwebtech.org/mondial/10/mountain/MtMarcy/	Mountain
-60ed8313:150849567c0:4353	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	City
-60ed8313:150849567c0:3f10	Membership
-60ed8313:150849567c0:1e81	Membership
-60ed8313:150849567c0:2658	Membership
-60ed8313:150849567c0:34ed	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	City
-60ed8313:150849567c0:23a4	Membership
-60ed8313:150849567c0:2300	Membership
-60ed8313:150849567c0:3a7b	Membership
-60ed8313:150849567c0:174e	Encompassed
-60ed8313:150849567c0:3e0f	Membership
-60ed8313:150849567c0:3109	Membership
http://www.semwebtech.org/mondial/10/country/IND/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	City
-60ed8313:150849567c0:2560	Membership
http://www.semwebtech.org/mondial/10/source/Argun/	Source
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	City
-60ed8313:150849567c0:1acc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	Province
-60ed8313:150849567c0:2b92	Membership
-60ed8313:150849567c0:3369	Membership
-60ed8313:150849567c0:41fe	BelievedBy
-60ed8313:150849567c0:16fa	Encompassed
-60ed8313:150849567c0:2f26	Membership
-60ed8313:150849567c0:3dbb	Membership
http://www.semwebtech.org/mondial/10/river/Oulujoki/	River
-60ed8313:150849567c0:30b5	Membership
-60ed8313:150849567c0:415a	BelievedBy
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	City
-60ed8313:150849567c0:3011	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	City
-60ed8313:150849567c0:28a0	Membership
-60ed8313:150849567c0:245f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	City
-60ed8313:150849567c0:2ed2	Membership
-60ed8313:150849567c0:21ab	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	City
-60ed8313:150849567c0:36a9	Membership
-60ed8313:150849567c0:3271	Membership
-60ed8313:150849567c0:3605	Membership
http://www.semwebtech.org/mondial/10/desert/Tenere/	Desert
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	City
-60ed8313:150849567c0:3c37	Membership
http://www.semwebtech.org/mondial/10/source/MackenzieRiver/	Source
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	City
-60ed8313:150849567c0:3865	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EastIndian/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Enns/	Estuary
-60ed8313:150849567c0:3e97	Membership
-60ed8313:150849567c0:35b1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/city/Aarau/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	City
-60ed8313:150849567c0:2d2d	Membership
-60ed8313:150849567c0:29ff	Membership
-60ed8313:150849567c0:3be3	Membership
-60ed8313:150849567c0:2027	Membership
-60ed8313:150849567c0:18b6	Border
-60ed8313:150849567c0:295b	Membership
http://www.semwebtech.org/mondial/10/organization/GUAM/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	City
-60ed8313:150849567c0:4316	BelievedBy
-60ed8313:150849567c0:1ee8	Membership
-60ed8313:150849567c0:1812	Border
-60ed8313:150849567c0:2f8d	Membership
-60ed8313:150849567c0:2287	Membership
-60ed8313:150849567c0:1e44	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	City
-60ed8313:150849567c0:4576	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkish/	EthnicGroup
-60ed8313:150849567c0:340c	Membership
-60ed8313:150849567c0:42c2	BelievedBy
-60ed8313:150849567c0:3a3e	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	City
-60ed8313:150849567c0:1df0	Membership
-60ed8313:150849567c0:25c7	Membership
-60ed8313:150849567c0:366c	Membership
-60ed8313:150849567c0:2bf9	Membership
-60ed8313:150849567c0:2523	Membership
-60ed8313:150849567c0:3c9e	Membership
http://www.semwebtech.org/mondial/10/organization/UNOCI/	Organization
-60ed8313:150849567c0:2b55	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	City
-60ed8313:150849567c0:2783	Membership
-60ed8313:150849567c0:411d	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	Province
-60ed8313:150849567c0:1cef	Membership
http://www.semwebtech.org/mondial/10/source/Syrdarja/	Source
-60ed8313:150849567c0:39ac	Membership
-60ed8313:150849567c0:208e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	City
-60ed8313:150849567c0:1c4b	Membership
-60ed8313:150849567c0:3fde	Membership
-60ed8313:150849567c0:32d8	Membership
-60ed8313:150849567c0:437d	EthnicProportion
-60ed8313:150849567c0:3f3a	Membership
-60ed8313:150849567c0:3234	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	Province
http://www.semwebtech.org/mondial/10/river/Olt/	River
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	Province
-60ed8313:150849567c0:23ce	Membership
-60ed8313:150849567c0:3494	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/city/Kedougou/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	Province
-60ed8313:150849567c0:232a	Membership
-60ed8313:150849567c0:3828	Membership
-60ed8313:150849567c0:31e0	Membership
-60ed8313:150849567c0:1799	Encompassed
http://www.semwebtech.org/mondial/10/source/Jenissej/	Source
-60ed8313:150849567c0:258a	Membership
-60ed8313:150849567c0:3ba6	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	City
http://www.semwebtech.org/mondial/10/river/Petschora/	River
-60ed8313:150849567c0:3b02	Membership
-60ed8313:150849567c0:291e	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/	Country
-60ed8313:150849567c0:37d4	Membership
-60ed8313:150849567c0:1a73	Membership
-60ed8313:150849567c0:3730	Membership
-60ed8313:150849567c0:30df	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/city/Touba/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	City
-60ed8313:150849567c0:1e07	Membership
-60ed8313:150849567c0:3d62	Membership
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	City
-60ed8313:150849567c0:303b	Membership
-60ed8313:150849567c0:4539	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/Negev/	Desert
-60ed8313:150849567c0:28ca	Membership
-60ed8313:150849567c0:39b0	Membership
http://www.semwebtech.org/mondial/10/river/SaintLawrenceRiver/	River
-60ed8313:150849567c0:3990	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bhote/	EthnicGroup
http://www.semwebtech.org/mondial/10/sea/YellowSea/	Sea
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	Province
-60ed8313:150849567c0:2efc	Membership
-60ed8313:150849567c0:21f6	Membership
http://www.semwebtech.org/mondial/10/lake/LakeNyos/	Lake
-60ed8313:150849567c0:329b	Membership
-60ed8313:150849567c0:1db3	Membership
http://www.semwebtech.org/mondial/10/country/ROU/	Country
-60ed8313:150849567c0:2152	Membership
-60ed8313:150849567c0:362f	Membership
-60ed8313:150849567c0:44e5	EthnicProportion
-60ed8313:150849567c0:19e1	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	City
-60ed8313:150849567c0:4441	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Atbara/	Estuary
http://www.semwebtech.org/mondial/10/river/Drau/	River
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	City
-60ed8313:150849567c0:2b18	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	City
-60ed8313:150849567c0:388f	Membership
-60ed8313:150849567c0:2746	Membership
-60ed8313:150849567c0:35db	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	Province
-60ed8313:150849567c0:2d78	Membership
http://www.semwebtech.org/mondial/10/desert/ArabianDesert/	Desert
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	Province
-60ed8313:150849567c0:1c0e	Membership
-60ed8313:150849567c0:2ac4	Membership
http://www.semwebtech.org/mondial/10/island/Barra/	Island
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	City
-60ed8313:150849567c0:183c	Border
-60ed8313:150849567c0:2a20	Membership
-60ed8313:150849567c0:26f2	Membership
-60ed8313:150849567c0:1e6e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	City
-60ed8313:150849567c0:1bba	Membership
-60ed8313:150849567c0:2c80	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Christian/	EthnicGroup
-60ed8313:150849567c0:3457	Membership
-60ed8313:150849567c0:42ec	BelievedBy
http://www.semwebtech.org/mondial/10/organization/UNRWA/	Organization
-60ed8313:150849567c0:3a89	Membership
-60ed8313:150849567c0:31a3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleraVolcanica/	Mountains
-60ed8313:150849567c0:254d	Membership
http://www.semwebtech.org/mondial/10/island/Krakatau/	Island
-60ed8313:150849567c0:2fc0	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	City
-60ed8313:150849567c0:2b7f	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	City
http://www.semwebtech.org/mondial/10/mountain/Zugspitze/	Mountain
-60ed8313:150849567c0:1a36	Membership
-60ed8313:150849567c0:3dc9	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	City
-60ed8313:150849567c0:4168	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Fula/	EthnicGroup
-60ed8313:150849567c0:3d25	Membership
-60ed8313:150849567c0:39f7	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	Province
-60ed8313:150849567c0:1c96	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	Province
-60ed8313:150849567c0:3953	Membership
http://www.semwebtech.org/mondial/10/sea/BeringSea/	Sea
-60ed8313:150849567c0:3f85	Membership
-60ed8313:150849567c0:2ebf	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	Province
-60ed8313:150849567c0:21b9	Membership
-60ed8313:150849567c0:325e	Membership
-60ed8313:150849567c0:2e1b	Membership
-60ed8313:150849567c0:3cd1	Membership
-60ed8313:150849567c0:2115	Membership
-60ed8313:150849567c0:44a8	EthnicProportion
-60ed8313:150849567c0:4070	SpokenBy
-60ed8313:150849567c0:19a4	Membership
-60ed8313:150849567c0:4404	EthnicProportion
-60ed8313:150849567c0:1fd6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	Province
-60ed8313:150849567c0:1900	Border
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	City
-60ed8313:150849567c0:2375	Membership
-60ed8313:150849567c0:1f32	Membership
-60ed8313:150849567c0:2709	Membership
-60ed8313:150849567c0:20c1	Membership
http://www.semwebtech.org/mondial/10/island/Upolu/	Island
http://www.semwebtech.org/mondial/10/mountain/Olympos/	Mountain
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	City
-60ed8313:150849567c0:43b0	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Newa/	Source
-60ed8313:150849567c0:2969	Membership
-60ed8313:150849567c0:3b2c	Membership
-60ed8313:150849567c0:37fe	Membership
-60ed8313:150849567c0:1a9d	Membership
-60ed8313:150849567c0:26b5	Membership
-60ed8313:150849567c0:375a	Membership
-60ed8313:150849567c0:3d8c	Membership
-60ed8313:150849567c0:2ce7	Membership
-60ed8313:150849567c0:2611	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	City
-60ed8313:150849567c0:3086	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	City
-60ed8313:150849567c0:2c43	Membership
-60ed8313:150849567c0:42af	BelievedBy
-60ed8313:150849567c0:17ab	Encompassed
-60ed8313:150849567c0:2871	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	City
-60ed8313:150849567c0:420b	BelievedBy
-60ed8313:150849567c0:1ddd	Membership
-60ed8313:150849567c0:217c	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	Province
-60ed8313:150849567c0:33c6	Membership
-60ed8313:150849567c0:446b	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/GreatBearLake/	Lake
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/city/Leticia/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	City
-60ed8313:150849567c0:3322	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	City
-60ed8313:150849567c0:24bc	Membership
http://www.semwebtech.org/mondial/10/island/Korfu/	Island
-60ed8313:150849567c0:3582	Membership
-60ed8313:150849567c0:1c59	Membership
http://www.semwebtech.org/mondial/10/religion/Taoist/	Religion
-60ed8313:150849567c0:2aee	Membership
-60ed8313:150849567c0:3916	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	City
-60ed8313:150849567c0:2a4a	Membership
-60ed8313:150849567c0:1887	Border
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Itaituba/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/city/Bariadi/	City
-60ed8313:150849567c0:3f48	Membership
-60ed8313:150849567c0:40d7	SpokenBy
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Viet-Kinh/	EthnicGroup
-60ed8313:150849567c0:4033	SpokenBy
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	City
-60ed8313:150849567c0:38c2	Membership
-60ed8313:150849567c0:1b61	Membership
-60ed8313:150849567c0:3ef4	Membership
http://www.semwebtech.org/mondial/10/country/PY/	Country
-60ed8313:150849567c0:2338	Membership
-60ed8313:150849567c0:31cd	Membership
-60ed8313:150849567c0:4293	BelievedBy
-60ed8313:150849567c0:3e50	Membership
http://www.semwebtech.org/mondial/10/religion/Episcopalian/	Religion
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	City
-60ed8313:150849567c0:2598	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	City
-60ed8313:150849567c0:2fea	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	City
-60ed8313:150849567c0:22e4	Membership
-60ed8313:150849567c0:1ea1	Membership
http://www.semwebtech.org/mondial/10/river/Kwa/	River
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	City
-60ed8313:150849567c0:2240	Membership
-60ed8313:150849567c0:371d	Membership
http://www.semwebtech.org/mondial/10/mountain/Aconcagua/	Mountain
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	Province
http://www.semwebtech.org/mondial/10/organization/IMF/	Organization
-60ed8313:150849567c0:3d4f	Membership
http://www.semwebtech.org/mondial/10/source/Save/	Source
-60ed8313:150849567c0:3049	Membership
-60ed8313:150849567c0:2c06	Membership
http://www.semwebtech.org/mondial/10/country/WL/	Country
-60ed8313:150849567c0:28d8	Membership
http://www.semwebtech.org/mondial/10/islands/Tokelau/	Islands
-60ed8313:150849567c0:397d	Membership
http://www.semwebtech.org/mondial/10/mountain/Tsiafajavona/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	City
-60ed8313:150849567c0:2834	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	City
-60ed8313:150849567c0:2e66	Membership
-60ed8313:150849567c0:3cfb	Membership
-60ed8313:150849567c0:213f	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	Province
-60ed8313:150849567c0:409a	SpokenBy
-60ed8313:150849567c0:19ce	Membership
-60ed8313:150849567c0:2bb2	Membership
-60ed8313:150849567c0:442e	EthnicProportion
-60ed8313:150849567c0:192a	Membership
-60ed8313:150849567c0:27e0	Membership
-60ed8313:150849567c0:239f	Membership
-60ed8313:150849567c0:1f5c	Membership
-60ed8313:150849567c0:35e9	Membership
-60ed8313:150849567c0:20eb	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BerberArab/	EthnicGroup
-60ed8313:150849567c0:3545	Membership
-60ed8313:150849567c0:43da	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	City
-60ed8313:150849567c0:3b77	Membership
-60ed8313:150849567c0:2a0d	Membership
-60ed8313:150849567c0:26df	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/city/Loikaw/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	City
-60ed8313:150849567c0:263b	Membership
-60ed8313:150849567c0:34f1	Membership
http://www.semwebtech.org/mondial/10/mountain/Mulhacen/	Mountain
-60ed8313:150849567c0:1bc8	Membership
http://www.semwebtech.org/mondial/10/language/Maori/	Language
-60ed8313:150849567c0:2c6d	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	Province
-60ed8313:150849567c0:17f6	Border
-60ed8313:150849567c0:1b24	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	City
-60ed8313:150849567c0:289b	Membership
-60ed8313:150849567c0:3eb7	Membership
-60ed8313:150849567c0:4256	BelievedBy
http://www.semwebtech.org/mondial/10/river/WhiteDrin/	River
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	City
-60ed8313:150849567c0:1752	Encompassed
-60ed8313:150849567c0:3e13	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	City
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	City
http://www.semwebtech.org/mondial/10/estuary/Dnister/	Estuary
-60ed8313:150849567c0:1d84	Membership
-60ed8313:150849567c0:1ad0	Membership
-60ed8313:150849567c0:2fad	Membership
-60ed8313:150849567c0:22a7	Membership
-60ed8313:150849567c0:334c	Membership
-60ed8313:150849567c0:2203	Membership
http://www.semwebtech.org/mondial/10/river/Volga/	River
-60ed8313:150849567c0:2463	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	City
-60ed8313:150849567c0:2a95	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	City
-60ed8313:150849567c0:2e29	Membership
-60ed8313:150849567c0:3cbe	Membership
-60ed8313:150849567c0:405d	SpokenBy
-60ed8313:150849567c0:3c1a	Membership
-60ed8313:150849567c0:38ec	Membership
-60ed8313:150849567c0:1b8b	Membership
-60ed8313:150849567c0:27a3	Membership
-60ed8313:150849567c0:1f1f	Membership
-60ed8313:150849567c0:2dd5	Membership
-60ed8313:150849567c0:3e7a	Membership
-60ed8313:150849567c0:20ae	Membership
-60ed8313:150849567c0:3174	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	City
-60ed8313:150849567c0:2d31	Membership
-60ed8313:150849567c0:200a	Membership
-60ed8313:150849567c0:3508	Membership
http://www.semwebtech.org/mondial/10/lake/LakeKariba/	Lake
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	Province
http://www.semwebtech.org/mondial/10/source/Buna/	Source
-60ed8313:150849567c0:1ecb	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	City
-60ed8313:150849567c0:2f91	Membership
-60ed8313:150849567c0:226a	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	City
-60ed8313:150849567c0:3768	Membership
http://www.semwebtech.org/mondial/10/source/Parana/	Source
-60ed8313:150849567c0:34b4	Membership
-60ed8313:150849567c0:3ae6	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	City
-60ed8313:150849567c0:3410	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	City
-60ed8313:150849567c0:17b9	Encompassed
-60ed8313:150849567c0:285e	Membership
-60ed8313:150849567c0:3a42	Membership
-60ed8313:150849567c0:4219	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	City
-60ed8313:150849567c0:1715	Encompassed
-60ed8313:150849567c0:25aa	Membership
-60ed8313:150849567c0:3670	Membership
-60ed8313:150849567c0:1d47	Membership
-60ed8313:150849567c0:4479	EthnicProportion
-60ed8313:150849567c0:2bdc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	Province
-60ed8313:150849567c0:1975	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Western/city/Mongu/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	City
-60ed8313:150849567c0:330f	Membership
-60ed8313:150849567c0:41c5	BelievedBy
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	Province
-60ed8313:150849567c0:4121	BelievedBy
-60ed8313:150849567c0:1cf3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/White/	EthnicGroup
-60ed8313:150849567c0:2092	Membership
-60ed8313:150849567c0:356f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	City
-60ed8313:150849567c0:3fe2	Membership
-60ed8313:150849567c0:2426	Membership
-60ed8313:150849567c0:32bb	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	City
-60ed8313:150849567c0:4381	EthnicProportion
-60ed8313:150849567c0:2a58	Membership
-60ed8313:150849567c0:2686	Membership
-60ed8313:150849567c0:23d2	Membership
-60ed8313:150849567c0:38af	Membership
http://www.semwebtech.org/mondial/10/source/Saluen/	Source
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	City
-60ed8313:150849567c0:1b4e	Membership
http://www.semwebtech.org/mondial/10/sea/NorthSea/	Sea
-60ed8313:150849567c0:380b	Membership
-60ed8313:150849567c0:177c	Encompassed
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	City
-60ed8313:150849567c0:3e3d	Membership
-60ed8313:150849567c0:3137	Membership
-60ed8313:150849567c0:29c6	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	City
http://www.semwebtech.org/mondial/10/estuary/Saar/	Estuary
-60ed8313:150849567c0:1afa	Membership
-60ed8313:150849567c0:2ff8	Membership
-60ed8313:150849567c0:2922	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	City
-60ed8313:150849567c0:3397	Membership
-60ed8313:150849567c0:2f54	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	City
-60ed8313:150849567c0:222d	Membership
-60ed8313:150849567c0:30e3	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	City
-60ed8313:150849567c0:2ca0	Membership
http://www.semwebtech.org/mondial/10/language/French/	Language
-60ed8313:150849567c0:451c	EthnicProportion
http://www.semwebtech.org/mondial/10/island/EllesmereIsland/	Island
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	City
-60ed8313:150849567c0:248d	Membership
-60ed8313:150849567c0:3aa9	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	City
-60ed8313:150849567c0:3a05	Membership
-60ed8313:150849567c0:36d7	Membership
-60ed8313:150849567c0:3633	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	City
http://www.semwebtech.org/mondial/10/mountain/Schneekoppe/	Mountain
-60ed8313:150849567c0:3c65	Membership
http://www.semwebtech.org/mondial/10/desert/Saguiael-Hamra/	Desert
-60ed8313:150849567c0:1938	Membership
-60ed8313:150849567c0:27cd	Membership
-60ed8313:150849567c0:3893	Membership
-60ed8313:150849567c0:2dff	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	City
-60ed8313:150849567c0:20f9	Membership
-60ed8313:150849567c0:319e	Membership
-60ed8313:150849567c0:1cb6	Membership
-60ed8313:150849567c0:2d5b	Membership
http://www.semwebtech.org/mondial/10/organization/OPCW/	Organization
-60ed8313:150849567c0:2055	Membership
-60ed8313:150849567c0:43e8	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/SCO/	Organization
-60ed8313:150849567c0:18e4	Border
-60ed8313:150849567c0:1c12	Membership
-60ed8313:150849567c0:3fa5	Membership
http://www.semwebtech.org/mondial/10/country/CAM/	Country
-60ed8313:150849567c0:4344	EthnicProportion
-60ed8313:150849567c0:1840	Border
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	City
-60ed8313:150849567c0:3f01	Membership
-60ed8313:150849567c0:1e72	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	City
-60ed8313:150849567c0:2649	Membership
-60ed8313:150849567c0:34de	Membership
http://www.semwebtech.org/mondial/10/river/Piva/	River
-60ed8313:150849567c0:343a	Membership
-60ed8313:150849567c0:42f0	BelievedBy
http://www.semwebtech.org/mondial/10/island/Jersey/	Island
-60ed8313:150849567c0:3a6c	Membership
-60ed8313:150849567c0:173f	Encompassed
-60ed8313:150849567c0:25f5	Membership
-60ed8313:150849567c0:369a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	Province
-60ed8313:150849567c0:2551	Membership
-60ed8313:150849567c0:199f	Membership
-60ed8313:150849567c0:1abd	Membership
-60ed8313:150849567c0:2b83	Membership
-60ed8313:150849567c0:41ef	BelievedBy
-60ed8313:150849567c0:16eb	Encompassed
-60ed8313:150849567c0:2f17	Membership
-60ed8313:150849567c0:3dac	Membership
-60ed8313:150849567c0:30a6	Membership
-60ed8313:150849567c0:414b	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Paraguay/	Estuary
-60ed8313:150849567c0:39da	Membership
-60ed8313:150849567c0:3002	Membership
http://www.semwebtech.org/mondial/10/country/GE/	Country
-60ed8313:150849567c0:2ec3	Membership
-60ed8313:150849567c0:3262	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	City
http://www.semwebtech.org/mondial/10/country/KWT/	Country
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Jammu/	City
-60ed8313:150849567c0:23fc	Membership
-60ed8313:150849567c0:3c28	Membership
-60ed8313:150849567c0:1b99	Membership
-60ed8313:150849567c0:3856	Membership
-60ed8313:150849567c0:3e88	Membership
-60ed8313:150849567c0:35a2	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	Province
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	City
-60ed8313:150849567c0:3bd4	Membership
-60ed8313:150849567c0:2d1e	Membership
http://www.semwebtech.org/mondial/10/country/MW/	Country
-60ed8313:150849567c0:2018	Membership
-60ed8313:150849567c0:18a7	Border
-60ed8313:150849567c0:294c	Membership
-60ed8313:150849567c0:3b30	Membership
-60ed8313:150849567c0:4307	BelievedBy
-60ed8313:150849567c0:1ed9	Membership
-60ed8313:150849567c0:1803	Border
-60ed8313:150849567c0:2f7e	Membership
-60ed8313:150849567c0:2278	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	City
http://www.semwebtech.org/mondial/10/country/AMSA/	Country
-60ed8313:150849567c0:1e35	Membership
-60ed8313:150849567c0:2cca	Membership
-60ed8313:150849567c0:3d90	Membership
-60ed8313:150849567c0:4567	EthnicProportion
-60ed8313:150849567c0:42b3	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	Province
-60ed8313:150849567c0:3a2f	Membership
-60ed8313:150849567c0:1de1	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	City
-60ed8313:150849567c0:25b8	Membership
-60ed8313:150849567c0:2180	Membership
-60ed8313:150849567c0:365d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	City
http://www.semwebtech.org/mondial/10/islands/PolynesianIslands/	Islands
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	City
-60ed8313:150849567c0:2514	Membership
-60ed8313:150849567c0:3c8f	Membership
-60ed8313:150849567c0:2b46	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Pakistani/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	City
-60ed8313:150849567c0:2774	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serbian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	City
-60ed8313:150849567c0:410e	BelievedBy
http://www.semwebtech.org/mondial/10/river/Atbara/	River
-60ed8313:150849567c0:24c0	Membership
-60ed8313:150849567c0:207f	Membership
http://www.semwebtech.org/mondial/10/island/BishopRock/	Island
http://www.semwebtech.org/mondial/10/estuary/Drau/	Estuary
-60ed8313:150849567c0:1c3c	Membership
-60ed8313:150849567c0:2af2	Membership
http://www.semwebtech.org/mondial/10/country/TCH/	Country
-60ed8313:150849567c0:3fcf	Membership
-60ed8313:150849567c0:32c9	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	City
-60ed8313:150849567c0:436e	EthnicProportion
-60ed8313:150849567c0:186a	Border
-60ed8313:150849567c0:3f2b	Membership
-60ed8313:150849567c0:3225	Membership
-60ed8313:150849567c0:40ba	SpokenBy
-60ed8313:150849567c0:1e9c	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	Province
-60ed8313:150849567c0:23bf	Membership
-60ed8313:150849567c0:3485	Membership
-60ed8313:150849567c0:231b	Membership
-60ed8313:150849567c0:3819	Membership
-60ed8313:150849567c0:31d1	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/city/Gumushane/	City
-60ed8313:150849567c0:257b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	City
-60ed8313:150849567c0:290f	Membership
-60ed8313:150849567c0:37c5	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	City
-60ed8313:150849567c0:1a64	Membership
-60ed8313:150849567c0:3df7	Membership
-60ed8313:150849567c0:3721	Membership
-60ed8313:150849567c0:4196	BelievedBy
-60ed8313:150849567c0:3d53	Membership
http://www.semwebtech.org/mondial/10/country/ARU/	Country
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	City
-60ed8313:150849567c0:302c	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	City
http://www.semwebtech.org/mondial/10/country/I/	Country
-60ed8313:150849567c0:28bb	Membership
-60ed8313:150849567c0:3981	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	Province
-60ed8313:150849567c0:2eed	Membership
-60ed8313:150849567c0:21e7	Membership
-60ed8313:150849567c0:328c	Membership
-60ed8313:150849567c0:1da4	Membership
-60ed8313:150849567c0:2143	Membership
-60ed8313:150849567c0:44d6	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/LagodiBolsena/	Lake
-60ed8313:150849567c0:19d2	Membership
-60ed8313:150849567c0:1d00	Membership
http://www.semwebtech.org/mondial/10/mountain/Vesuv/	Mountain
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	Province
-60ed8313:150849567c0:4432	EthnicProportion
-60ed8313:150849567c0:2b09	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	City
-60ed8313:150849567c0:1f60	Membership
-60ed8313:150849567c0:2737	Membership
-60ed8313:150849567c0:35cc	Membership
http://www.semwebtech.org/mondial/10/islands/MarianaIslands/	Islands
http://www.semwebtech.org/mondial/10/island/Fehmarn/	Island
-60ed8313:150849567c0:2d69	Membership
-60ed8313:150849567c0:3bfe	Membership
-60ed8313:150849567c0:2ab5	Membership
-60ed8313:150849567c0:2997	Membership
-60ed8313:150849567c0:3b5a	Membership
-60ed8313:150849567c0:182d	Border
-60ed8313:150849567c0:2a11	Membership
-60ed8313:150849567c0:26e3	Membership
http://www.semwebtech.org/mondial/10/mountain/MtWaddington/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	City
http://www.semwebtech.org/mondial/10/source/Lukuga/	Source
-60ed8313:150849567c0:1e5f	Membership
http://www.semwebtech.org/mondial/10/mountain/Ausangate/	Mountain
-60ed8313:150849567c0:1bab	Membership
-60ed8313:150849567c0:2c71	Membership
http://www.semwebtech.org/mondial/10/lake/ChickamaugaLake/	Lake
-60ed8313:150849567c0:3448	Membership
-60ed8313:150849567c0:42dd	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	Province
-60ed8313:150849567c0:253e	Membership
-60ed8313:150849567c0:33f4	Membership
http://www.semwebtech.org/mondial/10/lake/PyramidLake/	Lake
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/city/Pondicherry/	City
-60ed8313:150849567c0:2fb1	Membership
-60ed8313:150849567c0:3350	Membership
http://www.semwebtech.org/mondial/10/source/SouthernMorava/	Source
-60ed8313:150849567c0:16f9	Encompassed
-60ed8313:150849567c0:1a27	Membership
-60ed8313:150849567c0:279e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kimbundu/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Katun/	Source
-60ed8313:150849567c0:4159	BelievedBy
-60ed8313:150849567c0:3d16	Membership
-60ed8313:150849567c0:24ea	Membership
-60ed8313:150849567c0:39e8	Membership
-60ed8313:150849567c0:1c87	Membership
http://www.semwebtech.org/mondial/10/organization/AfDB/	Organization
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	City
-60ed8313:150849567c0:3944	Membership
-60ed8313:150849567c0:3f76	Membership
-60ed8313:150849567c0:324f	Membership
-60ed8313:150849567c0:2e0c	Membership
-60ed8313:150849567c0:3cc2	Membership
-60ed8313:150849567c0:2106	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	City
-60ed8313:150849567c0:4061	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/ThueringerWald/	Mountains
-60ed8313:150849567c0:38f0	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	Province
-60ed8313:150849567c0:1fc7	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	City
-60ed8313:150849567c0:2366	Membership
-60ed8313:150849567c0:31fb	Membership
-60ed8313:150849567c0:1f23	Membership
-60ed8313:150849567c0:20b2	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	City
-60ed8313:150849567c0:43a1	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Lagen/	River
-60ed8313:150849567c0:3b1d	Membership
-60ed8313:150849567c0:37ef	Membership
-60ed8313:150849567c0:1a8e	Membership
-60ed8313:150849567c0:26a6	Membership
-60ed8313:150849567c0:374b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	City
-60ed8313:150849567c0:3d7d	Membership
-60ed8313:150849567c0:3077	Membership
-60ed8313:150849567c0:2cd8	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	City
-60ed8313:150849567c0:2602	Membership
http://www.semwebtech.org/mondial/10/country/HCA/	Country
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	City
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	City
-60ed8313:150849567c0:2c34	Membership
-60ed8313:150849567c0:39a1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Mauritian/	EthnicGroup
-60ed8313:150849567c0:2862	Membership
-60ed8313:150849567c0:2e94	Membership
-60ed8313:150849567c0:1dce	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	Province
-60ed8313:150849567c0:216d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	City
http://www.semwebtech.org/mondial/10/sea/Skagerrak/	Sea
-60ed8313:150849567c0:1d2a	Membership
-60ed8313:150849567c0:19fc	Membership
-60ed8313:150849567c0:2be0	Membership
-60ed8313:150849567c0:33b7	Membership
-60ed8313:150849567c0:445c	EthnicProportion
-60ed8313:150849567c0:3313	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	City
-60ed8313:150849567c0:1f8a	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	Province
http://www.semwebtech.org/mondial/10/organization/AFESD/	Organization
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	City
-60ed8313:150849567c0:24ad	Membership
-60ed8313:150849567c0:3573	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	City
-60ed8313:150849567c0:2adf	Membership
-60ed8313:150849567c0:3907	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/MediterraneanNordic/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	City
-60ed8313:150849567c0:1878	Border
-60ed8313:150849567c0:2a3b	Membership
-60ed8313:150849567c0:3f39	Membership
http://www.semwebtech.org/mondial/10/islands/MarshallIslands/	Islands
-60ed8313:150849567c0:40c8	SpokenBy
-60ed8313:150849567c0:4024	SpokenBy
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/city/Labuan/	City
http://www.semwebtech.org/mondial/10/organization/PIF/	Organization
-60ed8313:150849567c0:1bf6	Membership
http://www.semwebtech.org/mondial/10/mountains/Kurdistan/	Mountains
-60ed8313:150849567c0:2c9b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	City
-60ed8313:150849567c0:38b3	Membership
-60ed8313:150849567c0:1b52	Membership
-60ed8313:150849567c0:3ee5	Membership
-60ed8313:150849567c0:2329	Membership
-60ed8313:150849567c0:31be	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Province
-60ed8313:150849567c0:4284	BelievedBy
-60ed8313:150849567c0:1780	Encompassed
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	City
-60ed8313:150849567c0:3e41	Membership
-60ed8313:150849567c0:311a	Membership
http://www.semwebtech.org/mondial/10/river/Mur/	River
http://www.semwebtech.org/mondial/10/country/NCA/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	City
-60ed8313:150849567c0:2589	Membership
-60ed8313:150849567c0:2fdb	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	City
http://www.semwebtech.org/mondial/10/organization/OAPEC/	Organization
-60ed8313:150849567c0:22d5	Membership
-60ed8313:150849567c0:337a	Membership
http://www.semwebtech.org/mondial/10/islands/AndamanIslands/	Islands
-60ed8313:150849567c0:2231	Membership
-60ed8313:150849567c0:370e	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/city/Ewo/	City
-60ed8313:150849567c0:4520	EthnicProportion
-60ed8313:150849567c0:28c9	Membership
-60ed8313:150849567c0:2491	Membership
-60ed8313:150849567c0:396e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Wallisian/	EthnicGroup
-60ed8313:150849567c0:2825	Membership
-60ed8313:150849567c0:36ba	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	City
-60ed8313:150849567c0:2e57	Membership
-60ed8313:150849567c0:3cec	Membership
-60ed8313:150849567c0:408b	SpokenBy
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	Province
-60ed8313:150849567c0:19bf	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Estonian/	EthnicGroup
-60ed8313:150849567c0:2ba3	Membership
http://www.semwebtech.org/mondial/10/language/PhilipineLanguage/	Language
-60ed8313:150849567c0:441f	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Ticino/	Estuary
-60ed8313:150849567c0:191b	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	City
-60ed8313:150849567c0:27d1	Membership
-60ed8313:150849567c0:1f4d	Membership
-60ed8313:150849567c0:20dc	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	City
-60ed8313:150849567c0:3536	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	Province
-60ed8313:150849567c0:43cb	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Tasmania/	Island
http://www.semwebtech.org/mondial/10/source/Irawaddy/	Source
-60ed8313:150849567c0:3b68	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	City
-60ed8313:150849567c0:3796	Membership
http://www.semwebtech.org/mondial/10/river/Colorado/	River
-60ed8313:150849567c0:262c	Membership
-60ed8313:150849567c0:34e2	Membership
-60ed8313:150849567c0:1bb9	Membership
-60ed8313:150849567c0:2c5e	Membership
-60ed8313:150849567c0:17e7	Border
-60ed8313:150849567c0:1b15	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	City
-60ed8313:150849567c0:288c	Membership
-60ed8313:150849567c0:3ea8	Membership
-60ed8313:150849567c0:3a70	Membership
-60ed8313:150849567c0:4247	BelievedBy
-60ed8313:150849567c0:1743	Encompassed
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	Province
-60ed8313:150849567c0:3e04	Membership
-60ed8313:150849567c0:1d75	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	City
-60ed8313:150849567c0:1ac1	Membership
-60ed8313:150849567c0:333d	Membership
-60ed8313:150849567c0:41f3	BelievedBy
-60ed8313:150849567c0:3db0	Membership
http://www.semwebtech.org/mondial/10/country/SN/	Country
-60ed8313:150849567c0:24f8	Membership
-60ed8313:150849567c0:359d	Membership
http://www.semwebtech.org/mondial/10/source/WhiteNile/	Source
-60ed8313:150849567c0:2454	Membership
-60ed8313:150849567c0:2a86	Membership
-60ed8313:150849567c0:21a0	Membership
http://www.semwebtech.org/mondial/10/source/Ene/	Source
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Byelorussian/	EthnicGroup
-60ed8313:150849567c0:3caf	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	City
-60ed8313:150849567c0:404e	SpokenBy
-60ed8313:150849567c0:3c0b	Membership
-60ed8313:150849567c0:38dd	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/city/Akjoujt/	City
-60ed8313:150849567c0:1b7c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	Province
-60ed8313:150849567c0:2dc6	Membership
-60ed8313:150849567c0:3e6b	Membership
-60ed8313:150849567c0:3165	Membership
-60ed8313:150849567c0:2d22	Membership
-60ed8313:150849567c0:29f4	Membership
http://www.semwebtech.org/mondial/10/island/Schiermonnikoog/	Island
http://www.semwebtech.org/mondial/10/desert/Thar/	Desert
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	City
-60ed8313:150849567c0:2950	Membership
-60ed8313:150849567c0:22ff	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	Province
-60ed8313:150849567c0:1ebc	Membership
-60ed8313:150849567c0:2f82	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	Province
-60ed8313:150849567c0:225b	Membership
-60ed8313:150849567c0:3759	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	City
-60ed8313:150849567c0:34a5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthernIrish/	EthnicGroup
-60ed8313:150849567c0:454a	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/OzeroPskovskoje/	Lake
-60ed8313:150849567c0:3ad7	Membership
-60ed8313:150849567c0:3401	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	City
-60ed8313:150849567c0:284f	Membership
-60ed8313:150849567c0:3a33	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	City
-60ed8313:150849567c0:1706	Encompassed
http://www.semwebtech.org/mondial/10/organization/G-20/	Organization
-60ed8313:150849567c0:3661	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	City
http://www.semwebtech.org/mondial/10/language/Quechua/	Language
-60ed8313:150849567c0:1d38	Membership
http://www.semwebtech.org/mondial/10/mountain/Jostedalsbre/	Mountain
-60ed8313:150849567c0:2bcd	Membership
-60ed8313:150849567c0:3c93	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Finn/	EthnicGroup
-60ed8313:150849567c0:1966	Membership
-60ed8313:150849567c0:27fb	Membership
-60ed8313:150849567c0:41b6	BelievedBy
http://www.semwebtech.org/mondial/10/mountains/WaldaiHills/	Mountains
-60ed8313:150849567c0:1f98	Membership
http://www.semwebtech.org/mondial/10/estuary/HudsonRiver/	Estuary
-60ed8313:150849567c0:4112	BelievedBy
-60ed8313:150849567c0:1ce4	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	Province
-60ed8313:150849567c0:2083	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	Province
-60ed8313:150849567c0:1c40	Membership
-60ed8313:150849567c0:3fd3	Membership
-60ed8313:150849567c0:2417	Membership
-60ed8313:150849567c0:32ac	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruwenzori/	Mountain
-60ed8313:150849567c0:4372	EthnicProportion
-60ed8313:150849567c0:2a49	Membership
-60ed8313:150849567c0:2677	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	City
-60ed8313:150849567c0:23c3	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	City
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	City
-60ed8313:150849567c0:1b3f	Membership
http://www.semwebtech.org/mondial/10/island/Sumbawa/	Island
http://www.semwebtech.org/mondial/10/island/Lavan/	Island
-60ed8313:150849567c0:3a9a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	City
-60ed8313:150849567c0:176d	Encompassed
-60ed8313:150849567c0:3e2e	Membership
-60ed8313:150849567c0:3128	Membership
-60ed8313:150849567c0:1d9f	Membership
-60ed8313:150849567c0:29b7	Membership
http://www.semwebtech.org/mondial/10/island/Ibiza/	Island
-60ed8313:150849567c0:1aeb	Membership
-60ed8313:150849567c0:2fe9	Membership
-60ed8313:150849567c0:2913	Membership
-60ed8313:150849567c0:3388	Membership
http://www.semwebtech.org/mondial/10/island/GrandeTerre/	Island
http://www.semwebtech.org/mondial/10/river/Pibor/	River
-60ed8313:150849567c0:2f45	Membership
-60ed8313:150849567c0:3dda	Membership
-60ed8313:150849567c0:221e	Membership
-60ed8313:150849567c0:30d4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	Province
-60ed8313:150849567c0:3030	Membership
-60ed8313:150849567c0:450d	EthnicProportion
-60ed8313:150849567c0:247e	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	City
-60ed8313:150849567c0:2ef1	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	City
-60ed8313:150849567c0:21ca	Membership
-60ed8313:150849567c0:36c8	Membership
-60ed8313:150849567c0:3290	Membership
-60ed8313:150849567c0:3624	Membership
-60ed8313:150849567c0:4099	SpokenBy
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	City
-60ed8313:150849567c0:3c56	Membership
-60ed8313:150849567c0:1929	Membership
-60ed8313:150849567c0:27be	Membership
-60ed8313:150849567c0:3884	Membership
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	City
-60ed8313:150849567c0:271a	Membership
http://www.semwebtech.org/mondial/10/religion/ChristianCongregationalist/	Religion
-60ed8313:150849567c0:35d0	Membership
-60ed8313:150849567c0:318f	Membership
http://www.semwebtech.org/mondial/10/estuary/RioGrande/	Estuary
-60ed8313:150849567c0:1ca7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	City
-60ed8313:150849567c0:2d4c	Membership
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	City
-60ed8313:150849567c0:2046	Membership
-60ed8313:150849567c0:43d9	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	City
-60ed8313:150849567c0:1c03	Membership
-60ed8313:150849567c0:18d5	Border
-60ed8313:150849567c0:297a	Membership
-60ed8313:150849567c0:4335	EthnicProportion
-60ed8313:150849567c0:1831	Border
http://www.semwebtech.org/mondial/10/river/Irtysch/	River
-60ed8313:150849567c0:1e63	Membership
http://www.semwebtech.org/mondial/10/island/SaintPierre/	Island
http://www.semwebtech.org/mondial/10/lake/LagodiComo/	Lake
-60ed8313:150849567c0:34cf	Membership
-60ed8313:150849567c0:4595	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	City
-60ed8313:150849567c0:342b	Membership
-60ed8313:150849567c0:42e1	BelievedBy
http://www.semwebtech.org/mondial/10/lake/KuybyshevReservoir/	Lake
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/city/Guiglo/	City
-60ed8313:150849567c0:3a5d	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	Province
http://www.semwebtech.org/mondial/10/estuary/Oesterdalaelv/	Estuary
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	Province
-60ed8313:150849567c0:25e6	Membership
-60ed8313:150849567c0:368b	Membership
http://www.semwebtech.org/mondial/10/estuary/Rhone/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	City
-60ed8313:150849567c0:2542	Membership
-60ed8313:150849567c0:1aae	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	City
-60ed8313:150849567c0:2b74	Membership
-60ed8313:150849567c0:16dc	Encompassed
-60ed8313:150849567c0:1a0a	Membership
-60ed8313:150849567c0:2f08	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	City
http://www.semwebtech.org/mondial/10/mountain/Moldoveanu/	Mountain
-60ed8313:150849567c0:413c	BelievedBy
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	Province
-60ed8313:150849567c0:39cb	Membership
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Tatar/	EthnicGroup
-60ed8313:150849567c0:1c6a	Membership
-60ed8313:150849567c0:3ffd	SpokenBy
-60ed8313:150849567c0:32f7	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	City
-60ed8313:150849567c0:439c	EthnicProportion
-60ed8313:150849567c0:2eb4	Membership
-60ed8313:150849567c0:3253	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	City
-60ed8313:150849567c0:2e10	Membership
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	City
-60ed8313:150849567c0:23ed	Membership
-60ed8313:150849567c0:3c19	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	City
-60ed8313:150849567c0:1faa	Membership
-60ed8313:150849567c0:3847	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	City
http://www.semwebtech.org/mondial/10/estuary/Karun/	Estuary
-60ed8313:150849567c0:3e79	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indonesian/	EthnicGroup
-60ed8313:150849567c0:2d0f	Membership
-60ed8313:150849567c0:3bc5	Membership
-60ed8313:150849567c0:2009	Membership
-60ed8313:150849567c0:293d	Membership
-60ed8313:150849567c0:3b21	Membership
-60ed8313:150849567c0:37f3	Membership
-60ed8313:150849567c0:2f6f	Membership
-60ed8313:150849567c0:1a92	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	City
-60ed8313:150849567c0:2269	Membership
-60ed8313:150849567c0:30fe	Membership
-60ed8313:150849567c0:1e26	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Karen/	EthnicGroup
-60ed8313:150849567c0:2cbb	Membership
-60ed8313:150849567c0:3d81	Membership
-60ed8313:150849567c0:305a	Membership
-60ed8313:150849567c0:4558	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	City
http://www.semwebtech.org/mondial/10/islands/OstfriesischeInseln/	Islands
-60ed8313:150849567c0:42a4	BelievedBy
-60ed8313:150849567c0:17a0	Encompassed
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	City
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	City
-60ed8313:150849567c0:4200	BelievedBy
-60ed8313:150849567c0:1dd2	Membership
-60ed8313:150849567c0:25a9	Membership
http://www.semwebtech.org/mondial/10/organization/AG/	Organization
-60ed8313:150849567c0:2171	Membership
-60ed8313:150849567c0:364e	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	City
-60ed8313:150849567c0:2505	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	Province
-60ed8313:150849567c0:4460	EthnicProportion
-60ed8313:150849567c0:2b37	Membership
http://www.semwebtech.org/mondial/10/mountains/GreatDividingRange/	Mountains
-60ed8313:150849567c0:2765	Membership
http://www.semwebtech.org/mondial/10/mountains/AlaskaRange/	Mountains
-60ed8313:150849567c0:35fa	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	City
-60ed8313:150849567c0:2d97	Membership
-60ed8313:150849567c0:24b1	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	City
-60ed8313:150849567c0:1c2d	Membership
-60ed8313:150849567c0:18ff	Border
-60ed8313:150849567c0:2ae3	Membership
http://www.semwebtech.org/mondial/10/desert/ErgRebiana/	Desert
-60ed8313:150849567c0:435f	EthnicProportion
-60ed8313:150849567c0:185b	Border
-60ed8313:150849567c0:3f1c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	City
-60ed8313:150849567c0:3216	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	Province
-60ed8313:150849567c0:40ab	SpokenBy
-60ed8313:150849567c0:1e8d	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodelHuila/	Mountain
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	Province
-60ed8313:150849567c0:3476	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	City
-60ed8313:150849567c0:230c	Membership
-60ed8313:150849567c0:31c2	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	Province
-60ed8313:150849567c0:256c	Membership
-60ed8313:150849567c0:1af9	Membership
-60ed8313:150849567c0:2b9e	Membership
-60ed8313:150849567c0:37b6	Membership
-60ed8313:150849567c0:1a55	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	City
-60ed8313:150849567c0:3de8	Membership
-60ed8313:150849567c0:3712	Membership
-60ed8313:150849567c0:4187	BelievedBy
-60ed8313:150849567c0:3d44	Membership
-60ed8313:150849567c0:301d	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	City
-60ed8313:150849567c0:28ac	Membership
-60ed8313:150849567c0:3972	Membership
-60ed8313:150849567c0:2ede	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	Province
http://www.semwebtech.org/mondial/10/country/PL/	Country
-60ed8313:150849567c0:21d8	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	City
-60ed8313:150849567c0:327d	Membership
-60ed8313:150849567c0:2e3a	Membership
-60ed8313:150849567c0:3cf0	Membership
-60ed8313:150849567c0:2134	Membership
-60ed8313:150849567c0:44c7	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	Province
-60ed8313:150849567c0:19c3	Membership
-60ed8313:150849567c0:4423	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	Province
-60ed8313:150849567c0:1ff5	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/city/Nagano/	City
-60ed8313:150849567c0:2394	Membership
-60ed8313:150849567c0:1f51	Membership
-60ed8313:150849567c0:35bd	Membership
-60ed8313:150849567c0:2728	Membership
-60ed8313:150849567c0:20e0	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/city/PuertoAyacucho/	City
http://www.semwebtech.org/mondial/10/country/FSM/	Country
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	City
-60ed8313:150849567c0:3bef	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	City
-60ed8313:150849567c0:2aa6	Membership
-60ed8313:150849567c0:2988	Membership
-60ed8313:150849567c0:3b4b	Membership
-60ed8313:150849567c0:181e	Border
-60ed8313:150849567c0:2a02	Membership
-60ed8313:150849567c0:26d4	Membership
http://www.semwebtech.org/mondial/10/country/YE/	Country
-60ed8313:150849567c0:2630	Membership
-60ed8313:150849567c0:2c62	Membership
-60ed8313:150849567c0:3439	Membership
-60ed8313:150849567c0:42ce	BelievedBy
-60ed8313:150849567c0:17ca	Border
-60ed8313:150849567c0:2890	Membership
-60ed8313:150849567c0:422a	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	Province
-60ed8313:150849567c0:1dfc	Membership
-60ed8313:150849567c0:219b	Membership
-60ed8313:150849567c0:3699	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	City
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	Province
-60ed8313:150849567c0:33e5	Membership
-60ed8313:150849567c0:252f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	City
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	City
-60ed8313:150849567c0:448a	EthnicProportion
-60ed8313:150849567c0:2fa2	Membership
-60ed8313:150849567c0:3341	Membership
http://www.semwebtech.org/mondial/10/religion/Mormon/	Religion
-60ed8313:150849567c0:1a18	Membership
http://www.semwebtech.org/mondial/10/island/SouthamptonIsland/	Island
-60ed8313:150849567c0:278f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	City
http://www.semwebtech.org/mondial/10/source/March/	Source
-60ed8313:150849567c0:3d07	Membership
-60ed8313:150849567c0:24db	Membership
-60ed8313:150849567c0:39d9	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	City
-60ed8313:150849567c0:1c78	Membership
-60ed8313:150849567c0:3935	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	Province
-60ed8313:150849567c0:3f67	Membership
-60ed8313:150849567c0:40f6	SpokenBy
-60ed8313:150849567c0:3cb3	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	City
-60ed8313:150849567c0:3cdd	Membership
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	City
-60ed8313:150849567c0:4052	SpokenBy
-60ed8313:150849567c0:38e1	Membership
-60ed8313:150849567c0:1fb8	Membership
-60ed8313:150849567c0:1b80	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	City
-60ed8313:150849567c0:2357	Membership
-60ed8313:150849567c0:31ec	Membership
-60ed8313:150849567c0:1f14	Membership
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	City
-60ed8313:150849567c0:20a3	Membership
http://www.semwebtech.org/mondial/10/source/Jordan/	Source
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	City
http://www.semwebtech.org/mondial/10/estuary/Limpopo/	Estuary
-60ed8313:150849567c0:3b0e	Membership
-60ed8313:150849567c0:1ec0	Membership
-60ed8313:150849567c0:1a7f	Membership
-60ed8313:150849567c0:373c	Membership
http://www.semwebtech.org/mondial/10/island/Jamaica/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Sino-Mauritian/	EthnicGroup
-60ed8313:150849567c0:2cc9	Membership
-60ed8313:150849567c0:3d6e	Membership
-60ed8313:150849567c0:3068	Membership
http://www.semwebtech.org/mondial/10/mountains/Lebanon/	Mountains
-60ed8313:150849567c0:2c25	Membership
-60ed8313:150849567c0:28f7	Membership
-60ed8313:150849567c0:3aba	Membership
-60ed8313:150849567c0:399c	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	Province
-60ed8313:150849567c0:2853	Membership
-60ed8313:150849567c0:1dbf	Membership
-60ed8313:150849567c0:2e85	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	Province
-60ed8313:150849567c0:215e	Membership
http://www.semwebtech.org/mondial/10/lake/KakhovkaReservoir/	Lake
-60ed8313:150849567c0:1d1b	Membership
-60ed8313:150849567c0:19ed	Membership
-60ed8313:150849567c0:2bd1	Membership
-60ed8313:150849567c0:33a8	Membership
-60ed8313:150849567c0:444d	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Vaal/	Source
-60ed8313:150849567c0:3304	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	City
-60ed8313:150849567c0:1f7b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	Province
http://www.semwebtech.org/mondial/10/river/Ticino/	River
-60ed8313:150849567c0:3564	Membership
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	City
http://www.semwebtech.org/mondial/10/river/Don/	River
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	City
-60ed8313:150849567c0:3b96	Membership
-60ed8313:150849567c0:32b0	Membership
-60ed8313:150849567c0:2a2c	Membership
-60ed8313:150849567c0:1869	Border
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/city/Viseu/	City
-60ed8313:150849567c0:26fe	Membership
-60ed8313:150849567c0:40b9	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Kama/	Estuary
-60ed8313:150849567c0:265a	Membership
-60ed8313:150849567c0:4015	SpokenBy
-60ed8313:150849567c0:1be7	Membership
-60ed8313:150849567c0:2c8c	Membership
http://www.semwebtech.org/mondial/10/organization/MONUSCO/	Organization
-60ed8313:150849567c0:38a4	Membership
-60ed8313:150849567c0:1b43	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	City
-60ed8313:150849567c0:3ed6	Membership
-60ed8313:150849567c0:3800	Membership
-60ed8313:150849567c0:31af	Membership
-60ed8313:150849567c0:4275	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Zaire/	Estuary
-60ed8313:150849567c0:1771	Encompassed
-60ed8313:150849567c0:3e32	Membership
-60ed8313:150849567c0:310b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	Province
http://www.semwebtech.org/mondial/10/language/Chinese/	Language
-60ed8313:150849567c0:2fcc	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	City
-60ed8313:150849567c0:22c6	Membership
-60ed8313:150849567c0:336b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	City
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	City
-60ed8313:150849567c0:2222	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/city/Trujillo/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	City
-60ed8313:150849567c0:4511	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	City
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	Province
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	City
-60ed8313:150849567c0:2482	Membership
-60ed8313:150849567c0:395f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/city/Wakayama/	City
-60ed8313:150849567c0:2816	Membership
-60ed8313:150849567c0:36ab	Membership
http://www.semwebtech.org/mondial/10/estuary/Ounasjoki/	Estuary
-60ed8313:150849567c0:2e48	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	Province
-60ed8313:150849567c0:407c	SpokenBy
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	City
http://www.semwebtech.org/mondial/10/language/Belorussian/	Language
-60ed8313:150849567c0:190c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	City
-60ed8313:150849567c0:27c2	Membership
http://www.semwebtech.org/mondial/10/island/Curacao/	Island
http://www.semwebtech.org/mondial/10/island/NowajaSemlja/	Island
-60ed8313:150849567c0:1f3e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	Province
-60ed8313:150849567c0:2df4	Membership
-60ed8313:150849567c0:20cd	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	City
-60ed8313:150849567c0:3193	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	City
-60ed8313:150849567c0:2d50	Membership
-60ed8313:150849567c0:3527	Membership
-60ed8313:150849567c0:43bc	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	City
-60ed8313:150849567c0:3b59	Membership
-60ed8313:150849567c0:1eea	Membership
-60ed8313:150849567c0:3787	Membership
-60ed8313:150849567c0:261d	Membership
-60ed8313:150849567c0:34d3	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	City
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	City
-60ed8313:150849567c0:2c4f	Membership
http://www.semwebtech.org/mondial/10/island/Gheschm/	Island
-60ed8313:150849567c0:1b06	Membership
-60ed8313:150849567c0:17d8	Border
-60ed8313:150849567c0:287d	Membership
-60ed8313:150849567c0:3a61	Membership
-60ed8313:150849567c0:4238	BelievedBy
-60ed8313:150849567c0:1734	Encompassed
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	City
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	City
-60ed8313:150849567c0:1d66	Membership
-60ed8313:150849567c0:4498	EthnicProportion
-60ed8313:150849567c0:2bfb	Membership
http://www.semwebtech.org/mondial/10/mountain/GranSasso/	Mountain
http://www.semwebtech.org/mondial/10/source/Murat/	Source
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	City
-60ed8313:150849567c0:1ab2	Membership
-60ed8313:150849567c0:1994	Membership
-60ed8313:150849567c0:332e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	City
-60ed8313:150849567c0:41e4	BelievedBy
-60ed8313:150849567c0:16e0	Encompassed
-60ed8313:150849567c0:3da1	Membership
-60ed8313:150849567c0:4140	BelievedBy
-60ed8313:150849567c0:24e9	Membership
-60ed8313:150849567c0:358e	Membership
-60ed8313:150849567c0:2445	Membership
-60ed8313:150849567c0:32da	Membership
http://www.semwebtech.org/mondial/10/country/SGP/	Country
-60ed8313:150849567c0:2a77	Membership
-60ed8313:150849567c0:403f	SpokenBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	Province
-60ed8313:150849567c0:23f1	Membership
-60ed8313:150849567c0:38ce	Membership
-60ed8313:150849567c0:1b6d	Membership
-60ed8313:150849567c0:382a	Membership
-60ed8313:150849567c0:429f	BelievedBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	Province
-60ed8313:150849567c0:179b	Encompassed
-60ed8313:150849567c0:2db7	Membership
-60ed8313:150849567c0:3e5c	Membership
-60ed8313:150849567c0:3156	Membership
-60ed8313:150849567c0:2d13	Membership
-60ed8313:150849567c0:29e5	Membership
http://www.semwebtech.org/mondial/10/river/SaskatchewanRiver/	River
-60ed8313:150849567c0:2941	Membership
-60ed8313:150849567c0:1ead	Membership
-60ed8313:150849567c0:2f73	Membership
-60ed8313:150849567c0:224c	Membership
http://www.semwebtech.org/mondial/10/river/Cuilo/	River
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	City
-60ed8313:150849567c0:453b	EthnicProportion
-60ed8313:150849567c0:3ac8	Membership
-60ed8313:150849567c0:3a24	Membership
-60ed8313:150849567c0:36f6	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	Province
-60ed8313:150849567c0:3652	Membership
-60ed8313:150849567c0:1d29	Membership
-60ed8313:150849567c0:2bbe	Membership
-60ed8313:150849567c0:3c84	Membership
-60ed8313:150849567c0:2b1a	Membership
-60ed8313:150849567c0:1957	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	City
-60ed8313:150849567c0:27ec	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	City
-60ed8313:150849567c0:41a7	BelievedBy
-60ed8313:150849567c0:1f89	Membership
-60ed8313:150849567c0:4103	SpokenBy
-60ed8313:150849567c0:1cd5	Membership
-60ed8313:150849567c0:2d7a	Membership
http://www.semwebtech.org/mondial/10/source/Ruzizi/	Source
-60ed8313:150849567c0:2074	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/city/Yenagoa/	City
http://www.semwebtech.org/mondial/10/estuary/Uelle/	Estuary
-60ed8313:150849567c0:1c31	Membership
-60ed8313:150849567c0:3fc4	Membership
-60ed8313:150849567c0:2408	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	City
-60ed8313:150849567c0:4363	EthnicProportion
-60ed8313:150849567c0:3f20	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Nung/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Newfoundland/	Island
-60ed8313:150849567c0:1e91	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	City
-60ed8313:150849567c0:2668	Membership
-60ed8313:150849567c0:34fd	Membership
-60ed8313:150849567c0:23b4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Ovimbundu/	EthnicGroup
-60ed8313:150849567c0:2310	Membership
-60ed8313:150849567c0:3a8b	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	City
-60ed8313:150849567c0:175e	Encompassed
-60ed8313:150849567c0:3e1f	Membership
-60ed8313:150849567c0:3119	Membership
-60ed8313:150849567c0:29a8	Membership
-60ed8313:150849567c0:2570	Membership
-60ed8313:150849567c0:1adc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	City
-60ed8313:150849567c0:2904	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	Province
-60ed8313:150849567c0:3379	Membership
-60ed8313:150849567c0:2f36	Membership
-60ed8313:150849567c0:3dcb	Membership
-60ed8313:150849567c0:220f	Membership
-60ed8313:150849567c0:30c5	Membership
http://www.semwebtech.org/mondial/10/river/Würm/	River
-60ed8313:150849567c0:416a	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/	Country
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	Province
-60ed8313:150849567c0:3021	Membership
http://www.semwebtech.org/mondial/10/religion/Druze/	Religion
http://www.semwebtech.org/mondial/10/mountain/Meru/	Mountain
-60ed8313:150849567c0:28b0	Membership
-60ed8313:150849567c0:246f	Membership
http://www.semwebtech.org/mondial/10/mountain/DjebelAures/	Mountain
-60ed8313:150849567c0:2ee2	Membership
http://www.semwebtech.org/mondial/10/organization/ITU/	Organization
-60ed8313:150849567c0:21bb	Membership
-60ed8313:150849567c0:36b9	Membership
-60ed8313:150849567c0:3281	Membership
-60ed8313:150849567c0:3615	Membership
-60ed8313:150849567c0:44aa	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/GulfofAden/	Sea
-60ed8313:150849567c0:3c47	Membership
-60ed8313:150849567c0:27af	Membership
-60ed8313:150849567c0:3875	Membership
http://www.semwebtech.org/mondial/10/estuary/Mekong/	Estuary
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	City
-60ed8313:150849567c0:270b	Membership
-60ed8313:150849567c0:35c1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Albanian/	EthnicGroup
-60ed8313:150849567c0:3bf3	Membership
-60ed8313:150849567c0:2d3d	Membership
http://www.semwebtech.org/mondial/10/organization/ARF/	Organization
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	City
-60ed8313:150849567c0:2037	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	City
-60ed8313:150849567c0:18c6	Border
-60ed8313:150849567c0:296b	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	City
-60ed8313:150849567c0:4326	BelievedBy
-60ed8313:150849567c0:1ef8	Membership
-60ed8313:150849567c0:1822	Border
-60ed8313:150849567c0:2f9d	Membership
-60ed8313:150849567c0:2297	Membership
-60ed8313:150849567c0:1e54	Membership
-60ed8313:150849567c0:4586	EthnicProportion
-60ed8313:150849567c0:1ba0	Membership
http://www.semwebtech.org/mondial/10/desert/SturtDesert/	Desert
-60ed8313:150849567c0:341c	Membership
-60ed8313:150849567c0:42d2	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	City
http://www.semwebtech.org/mondial/10/religion/Yezidi/	Religion
-60ed8313:150849567c0:3a4e	Membership
http://www.semwebtech.org/mondial/10/island/Ireland/	Island
-60ed8313:150849567c0:25d7	Membership
-60ed8313:150849567c0:367c	Membership
-60ed8313:150849567c0:2533	Membership
http://www.semwebtech.org/mondial/10/mountain/Haleakala/	Mountain
-60ed8313:150849567c0:2b65	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nara/city/Nara/	City
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	Province
-60ed8313:150849567c0:16cd	Encompassed
-60ed8313:150849567c0:2793	Membership
-60ed8313:150849567c0:412d	BelievedBy
-60ed8313:150849567c0:1cff	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	City
-60ed8313:150849567c0:39bc	Membership
-60ed8313:150849567c0:209e	Membership
-60ed8313:150849567c0:1c5b	Membership
-60ed8313:150849567c0:3fee	Membership
http://www.semwebtech.org/mondial/10/estuary/Lech/	Estuary
-60ed8313:150849567c0:32e8	Membership
-60ed8313:150849567c0:438d	EthnicProportion
-60ed8313:150849567c0:2ea5	Membership
-60ed8313:150849567c0:3f4a	Membership
-60ed8313:150849567c0:3244	Membership
-60ed8313:150849567c0:2e01	Membership
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	City
-60ed8313:150849567c0:23de	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	Province
-60ed8313:150849567c0:3838	Membership
-60ed8313:150849567c0:233a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	Province
-60ed8313:150849567c0:31f0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bantu/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Enns/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigraway/	EthnicGroup
-60ed8313:150849567c0:259a	Membership
-60ed8313:150849567c0:3bb6	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	City
http://www.semwebtech.org/mondial/10/lake/LakeSkutari/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	City
-60ed8313:150849567c0:292e	Membership
-60ed8313:150849567c0:3b12	Membership
-60ed8313:150849567c0:37e4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	City
http://www.semwebtech.org/mondial/10/river/Sobat/	River
-60ed8313:150849567c0:1a83	Membership
-60ed8313:150849567c0:3740	Membership
-60ed8313:150849567c0:30ef	Membership
-60ed8313:150849567c0:1e17	Membership
-60ed8313:150849567c0:2cac	Membership
-60ed8313:150849567c0:3d72	Membership
-60ed8313:150849567c0:304b	Membership
-60ed8313:150849567c0:4549	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	City
-60ed8313:150849567c0:28da	Membership
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	City
-60ed8313:150849567c0:1dc3	Membership
http://www.semwebtech.org/mondial/10/religion/JehovasWitnesses/	Religion
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	Province
-60ed8313:150849567c0:2162	Membership
-60ed8313:150849567c0:363f	Membership
-60ed8313:150849567c0:44f5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	Province
-60ed8313:150849567c0:19f1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	Province
-60ed8313:150849567c0:4451	EthnicProportion
-60ed8313:150849567c0:2b28	Membership
-60ed8313:150849567c0:389f	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	City
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Province
-60ed8313:150849567c0:2756	Membership
-60ed8313:150849567c0:35eb	Membership
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	City
-60ed8313:150849567c0:2d88	Membership
-60ed8313:150849567c0:24a2	Membership
http://www.semwebtech.org/mondial/10/mountain/Tamgak/	Mountain
http://www.semwebtech.org/mondial/10/mountain/PicodeAneto/	Mountain
-60ed8313:150849567c0:1c1e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoTheung/	EthnicGroup
-60ed8313:150849567c0:2ad4	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodelosNieves/	Mountain
-60ed8313:150849567c0:184c	Border
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	City
-60ed8313:150849567c0:2a30	Membership
-60ed8313:150849567c0:3f0d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	City
-60ed8313:150849567c0:3207	Membership
-60ed8313:150849567c0:1e7e	Membership
http://www.semwebtech.org/mondial/10/estuary/RioNegro/	Estuary
http://www.semwebtech.org/mondial/10/language/Amerindian/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	City
-60ed8313:150849567c0:1bca	Membership
-60ed8313:150849567c0:2c90	Membership
-60ed8313:150849567c0:3467	Membership
-60ed8313:150849567c0:42fc	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	City
-60ed8313:150849567c0:3a99	Membership
-60ed8313:150849567c0:31b3	Membership
-60ed8313:150849567c0:255d	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	City
-60ed8313:150849567c0:37a7	Membership
-60ed8313:150849567c0:2fd0	Membership
-60ed8313:150849567c0:2b8f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	City
-60ed8313:150849567c0:1a46	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	City
-60ed8313:150849567c0:3dd9	Membership
-60ed8313:150849567c0:3703	Membership
-60ed8313:150849567c0:4178	BelievedBy
-60ed8313:150849567c0:3d35	Membership
-60ed8313:150849567c0:300e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	City
-60ed8313:150849567c0:3963	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	City
-60ed8313:150849567c0:2ecf	Membership
-60ed8313:150849567c0:3f95	Membership
-60ed8313:150849567c0:21c9	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	City
-60ed8313:150849567c0:326e	Membership
-60ed8313:150849567c0:3ce1	Membership
-60ed8313:150849567c0:2e2b	Membership
http://www.semwebtech.org/mondial/10/organization/NATO/	Organization
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	City
-60ed8313:150849567c0:2125	Membership
-60ed8313:150849567c0:44b8	EthnicProportion
-60ed8313:150849567c0:4080	SpokenBy
-60ed8313:150849567c0:19b4	Membership
-60ed8313:150849567c0:4414	EthnicProportion
-60ed8313:150849567c0:1fe6	Membership
-60ed8313:150849567c0:1910	Membership
-60ed8313:150849567c0:2385	Membership
http://www.semwebtech.org/mondial/10/source/Selenge/	Source
-60ed8313:150849567c0:1f42	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	City
-60ed8313:150849567c0:2719	Membership
http://www.semwebtech.org/mondial/10/organization/AU/	Organization
-60ed8313:150849567c0:20d1	Membership
-60ed8313:150849567c0:35ae	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	City
-60ed8313:150849567c0:350a	Membership
-60ed8313:150849567c0:43c0	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Bulgarian/	Language
-60ed8313:150849567c0:2979	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	City
-60ed8313:150849567c0:3b3c	Membership
http://www.semwebtech.org/mondial/10/island/Mull/	Island
-60ed8313:150849567c0:180f	Border
-60ed8313:150849567c0:26c5	Membership
http://www.semwebtech.org/mondial/10/desert/Gobi/	Desert
-60ed8313:150849567c0:376a	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	City
-60ed8313:150849567c0:2cf7	Membership
-60ed8313:150849567c0:2621	Membership
-60ed8313:150849567c0:3d9c	Membership
-60ed8313:150849567c0:3096	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	City
-60ed8313:150849567c0:2c53	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	City
-60ed8313:150849567c0:42bf	BelievedBy
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	City
-60ed8313:150849567c0:17bb	Encompassed
-60ed8313:150849567c0:2881	Membership
http://www.semwebtech.org/mondial/10/source/Senegal/	Source
-60ed8313:150849567c0:421b	BelievedBy
-60ed8313:150849567c0:1ded	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	City
-60ed8313:150849567c0:218c	Membership
http://www.semwebtech.org/mondial/10/river/Tobol/	River
-60ed8313:150849567c0:33d6	Membership
-60ed8313:150849567c0:447b	EthnicProportion
-60ed8313:150849567c0:3332	Membership
-60ed8313:150849567c0:1a09	Membership
http://www.semwebtech.org/mondial/10/estuary/Gambia/	Estuary
-60ed8313:150849567c0:24cc	Membership
-60ed8313:150849567c0:3592	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	City
-60ed8313:150849567c0:1c69	Membership
-60ed8313:150849567c0:2afe	Membership
-60ed8313:150849567c0:3926	Membership
-60ed8313:150849567c0:1897	Border
-60ed8313:150849567c0:2a5a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	City
-60ed8313:150849567c0:3f58	Membership
-60ed8313:150849567c0:40e7	SpokenBy
-60ed8313:150849567c0:3ca4	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	City
-60ed8313:150849567c0:4043	SpokenBy
http://www.semwebtech.org/mondial/10/organization/UNMISS/	Organization
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	City
-60ed8313:150849567c0:3c00	Membership
-60ed8313:150849567c0:38d2	Membership
-60ed8313:150849567c0:1fa9	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	City
-60ed8313:150849567c0:1b71	Membership
-60ed8313:150849567c0:2348	Membership
-60ed8313:150849567c0:31dd	Membership
-60ed8313:150849567c0:1f05	Membership
-60ed8313:150849567c0:3e60	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/city/Otsu/	City
http://www.semwebtech.org/mondial/10/mountain/GunungAgung/	Mountain
http://www.semwebtech.org/mondial/10/country/SA/	Country
-60ed8313:150849567c0:2cb0	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	Province
http://www.semwebtech.org/mondial/10/mountain/MtMcKinley/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Klaraelv/	Estuary
-60ed8313:150849567c0:2ffa	Membership
http://www.semwebtech.org/mondial/10/estuary/Karasu/	Estuary
-60ed8313:150849567c0:22f4	Membership
-60ed8313:150849567c0:1eb1	Membership
http://www.semwebtech.org/mondial/10/mountain/MonteRosa/	Mountain
-60ed8313:150849567c0:2250	Membership
-60ed8313:150849567c0:372d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Americo-Liberians/	EthnicGroup
-60ed8313:150849567c0:3d5f	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Beja/city/Beja/	City
-60ed8313:150849567c0:3059	Membership
-60ed8313:150849567c0:2c16	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	City
-60ed8313:150849567c0:28e8	Membership
-60ed8313:150849567c0:3aab	Membership
-60ed8313:150849567c0:398d	Membership
http://www.semwebtech.org/mondial/10/organization/IOM/	Organization
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	City
-60ed8313:150849567c0:2844	Membership
http://www.semwebtech.org/mondial/10/river/Lena/	River
-60ed8313:150849567c0:2e76	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	Province
-60ed8313:150849567c0:214f	Membership
-60ed8313:150849567c0:1d0c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	City
-60ed8313:150849567c0:19de	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	City
-60ed8313:150849567c0:2bc2	Membership
-60ed8313:150849567c0:443e	EthnicProportion
-60ed8313:150849567c0:193a	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/city/Matam/	City
-60ed8313:150849567c0:27f0	Membership
-60ed8313:150849567c0:1f6c	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	City
-60ed8313:150849567c0:20fb	Membership
-60ed8313:150849567c0:35f9	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	Province
-60ed8313:150849567c0:3555	Membership
-60ed8313:150849567c0:43ea	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Akagera/	Source
http://www.semwebtech.org/mondial/10/country/GBZ/city/Gibraltar/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BasquesBretons/	EthnicGroup
-60ed8313:150849567c0:3b87	Membership
-60ed8313:150849567c0:32a1	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	Province
-60ed8313:150849567c0:2a1d	Membership
-60ed8313:150849567c0:26ef	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	City
-60ed8313:150849567c0:264b	Membership
-60ed8313:150849567c0:4006	SpokenBy
-60ed8313:150849567c0:1bd8	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	City
-60ed8313:150849567c0:2c7d	Membership
-60ed8313:150849567c0:1b34	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	City
-60ed8313:150849567c0:3ec7	Membership
-60ed8313:150849567c0:4266	BelievedBy
-60ed8313:150849567c0:1762	Encompassed
-60ed8313:150849567c0:3e23	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/city/Mansa/	City
-60ed8313:150849567c0:1d94	Membership
http://www.semwebtech.org/mondial/10/organization/WHO/	Organization
http://www.semwebtech.org/mondial/10/ethnicgroup/Franco-Mauritian/	EthnicGroup
-60ed8313:150849567c0:2fbd	Membership
-60ed8313:150849567c0:1ae0	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	City
-60ed8313:150849567c0:335c	Membership
-60ed8313:150849567c0:22b7	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	Province
http://www.semwebtech.org/mondial/10/organization/OAS/	Organization
-60ed8313:150849567c0:2213	Membership
-60ed8313:150849567c0:4502	EthnicProportion
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	City
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	City
-60ed8313:150849567c0:2473	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	City
-60ed8313:150849567c0:2807	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	Province
http://www.semwebtech.org/mondial/10/country/TUV/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	City
-60ed8313:150849567c0:2e39	Membership
-60ed8313:150849567c0:3b6a	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	City
-60ed8313:150849567c0:3cce	Membership
-60ed8313:150849567c0:406d	SpokenBy
-60ed8313:150849567c0:3c2a	Membership
-60ed8313:150849567c0:38fc	Membership
http://www.semwebtech.org/mondial/10/island/Santiago/	Island
-60ed8313:150849567c0:1b9b	Membership
-60ed8313:150849567c0:27b3	Membership
http://www.semwebtech.org/mondial/10/language/Korean/	Language
-60ed8313:150849567c0:1f2f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	City
-60ed8313:150849567c0:2de5	Membership
-60ed8313:150849567c0:3e8a	Membership
-60ed8313:150849567c0:20be	Membership
-60ed8313:150849567c0:3184	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Garifuna/	EthnicGroup
-60ed8313:150849567c0:2d41	Membership
-60ed8313:150849567c0:3518	Membership
-60ed8313:150849567c0:201a	Membership
http://www.semwebtech.org/mondial/10/country/HONX/	Country
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	Province
-60ed8313:150849567c0:43ad	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	City
-60ed8313:150849567c0:1edb	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	City
-60ed8313:150849567c0:227a	Membership
-60ed8313:150849567c0:3778	Membership
http://www.semwebtech.org/mondial/10/desert/Kysylkum/	Desert
-60ed8313:150849567c0:260e	Membership
-60ed8313:150849567c0:34c4	Membership
http://www.semwebtech.org/mondial/10/estuary/Goetaaelv/	Estuary
-60ed8313:150849567c0:3af6	Membership
-60ed8313:150849567c0:3420	Membership
-60ed8313:150849567c0:17c9	Border
-60ed8313:150849567c0:3a52	Membership
-60ed8313:150849567c0:286e	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	Province
http://www.semwebtech.org/mondial/10/lake/LakeEyasi/	Lake
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	City
-60ed8313:150849567c0:4229	BelievedBy
-60ed8313:150849567c0:1725	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	City
-60ed8313:150849567c0:25ba	Membership
-60ed8313:150849567c0:3680	Membership
-60ed8313:150849567c0:1d57	Membership
-60ed8313:150849567c0:2bec	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	City
-60ed8313:150849567c0:4489	EthnicProportion
-60ed8313:150849567c0:1aa3	Membership
-60ed8313:150849567c0:1985	Membership
-60ed8313:150849567c0:331f	Membership
-60ed8313:150849567c0:41d5	BelievedBy
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	City
-60ed8313:150849567c0:16d1	Encompassed
http://www.semwebtech.org/mondial/10/organization/UNMIL/	Organization
-60ed8313:150849567c0:4131	BelievedBy
-60ed8313:150849567c0:39c0	Membership
-60ed8313:150849567c0:357f	Membership
-60ed8313:150849567c0:3ff2	SpokenBy
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	Province
-60ed8313:150849567c0:2436	Membership
-60ed8313:150849567c0:32cb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	City
-60ed8313:150849567c0:4391	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	City
http://www.semwebtech.org/mondial/10/mountain/RasDaschanTerara/	Mountain
-60ed8313:150849567c0:2a68	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/city/Tulcea/	City
http://www.semwebtech.org/mondial/10/island/Sokotra/	Island
-60ed8313:150849567c0:2696	Membership
-60ed8313:150849567c0:23e2	Membership
-60ed8313:150849567c0:38bf	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Surinamese/	EthnicGroup
-60ed8313:150849567c0:1b5e	Membership
-60ed8313:150849567c0:381b	Membership
-60ed8313:150849567c0:178c	Encompassed
-60ed8313:150849567c0:2da8	Membership
-60ed8313:150849567c0:3e4d	Membership
-60ed8313:150849567c0:3147	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Iranian/	EthnicGroup
-60ed8313:150849567c0:2d04	Membership
-60ed8313:150849567c0:29d6	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	City
http://www.semwebtech.org/mondial/10/river/Douro/	River
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	Province
-60ed8313:150849567c0:2932	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/city/PuertoCarreno/	City
-60ed8313:150849567c0:2f64	Membership
http://www.semwebtech.org/mondial/10/country/PAL/	Country
-60ed8313:150849567c0:223d	Membership
-60ed8313:150849567c0:30f3	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	City
-60ed8313:150849567c0:452c	EthnicProportion
-60ed8313:150849567c0:3ab9	Membership
-60ed8313:150849567c0:249d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	City
http://www.semwebtech.org/mondial/10/island/St.Martin/	Island
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	City
-60ed8313:150849567c0:3a15	Membership
-60ed8313:150849567c0:36e7	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	City
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	City
-60ed8313:150849567c0:3643	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	Province
-60ed8313:150849567c0:2baf	Membership
http://www.semwebtech.org/mondial/10/language/Swedish/	Language
-60ed8313:150849567c0:3c75	Membership
http://www.semwebtech.org/mondial/10/estuary/Oka/	Estuary
-60ed8313:150849567c0:1948	Membership
-60ed8313:150849567c0:2b0b	Membership
-60ed8313:150849567c0:27dd	Membership
http://www.semwebtech.org/mondial/10/desert/Namib/	Desert
-60ed8313:150849567c0:1cc6	Membership
-60ed8313:150849567c0:2d6b	Membership
-60ed8313:150849567c0:2065	Membership
-60ed8313:150849567c0:43f8	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Mekong/	River
-60ed8313:150849567c0:1c22	Membership
-60ed8313:150849567c0:18f4	Border
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	City
-60ed8313:150849567c0:3fb5	Membership
-60ed8313:150849567c0:4354	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	City
-60ed8313:150849567c0:1850	Border
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	City
-60ed8313:150849567c0:3f11	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	City
-60ed8313:150849567c0:40a0	SpokenBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	City
-60ed8313:150849567c0:1e82	Membership
-60ed8313:150849567c0:2659	Membership
-60ed8313:150849567c0:34ee	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	Province
-60ed8313:150849567c0:23a5	Membership
http://www.semwebtech.org/mondial/10/source/NelsonRiver/	Source
-60ed8313:150849567c0:344a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/city/Slatina/	City
http://www.semwebtech.org/mondial/10/language/Portuguese/	Language
-60ed8313:150849567c0:2301	Membership
-60ed8313:150849567c0:3a7c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	Province
http://www.semwebtech.org/mondial/10/religion/UkrainianGreekCatholic/	Religion
http://www.semwebtech.org/mondial/10/mountains/AppalachianMountains/	Mountains
-60ed8313:150849567c0:174f	Encompassed
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	City
http://www.semwebtech.org/mondial/10/source/Saar/	Source
http://www.semwebtech.org/mondial/10/island/Tongatapu/	Island
-60ed8313:150849567c0:2561	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	Province
http://www.semwebtech.org/mondial/10/country/BY/	Country
-60ed8313:150849567c0:1acd	Membership
-60ed8313:150849567c0:2b93	Membership
-60ed8313:150849567c0:41ff	BelievedBy
-60ed8313:150849567c0:16fb	Encompassed
-60ed8313:150849567c0:2f27	Membership
-60ed8313:150849567c0:3dbc	Membership
-60ed8313:150849567c0:30b6	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/city/Moquegua/	City
-60ed8313:150849567c0:415b	BelievedBy
-60ed8313:150849567c0:39ea	Membership
-60ed8313:150849567c0:3012	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	City
-60ed8313:150849567c0:28a1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	City
-60ed8313:150849567c0:2ed3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	City
-60ed8313:150849567c0:21ac	Membership
-60ed8313:150849567c0:3272	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	Province
http://www.semwebtech.org/mondial/10/country/IL/	Country
-60ed8313:150849567c0:3606	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	City
-60ed8313:150849567c0:3c38	Membership
-60ed8313:150849567c0:3866	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	Province
-60ed8313:150849567c0:3e98	Membership
-60ed8313:150849567c0:35b2	Membership
http://www.semwebtech.org/mondial/10/country/SUD/	Country
-60ed8313:150849567c0:2d2e	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	City
-60ed8313:150849567c0:3be4	Membership
-60ed8313:150849567c0:2028	Membership
-60ed8313:150849567c0:183d	Border
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	Province
-60ed8313:150849567c0:18b7	Border
-60ed8313:150849567c0:295c	Membership
-60ed8313:150849567c0:3b40	Membership
-60ed8313:150849567c0:4317	BelievedBy
-60ed8313:150849567c0:1ee9	Membership
-60ed8313:150849567c0:1813	Border
-60ed8313:150849567c0:2f8e	Membership
-60ed8313:150849567c0:2288	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	City
-60ed8313:150849567c0:1e45	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	City
-60ed8313:150849567c0:2cda	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	Province
-60ed8313:150849567c0:4577	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Orinoco/	Source
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	Province
-60ed8313:150849567c0:340d	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/city/Hail/	City
-60ed8313:150849567c0:42c3	BelievedBy
-60ed8313:150849567c0:3a3f	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	Province
-60ed8313:150849567c0:1df1	Membership
-60ed8313:150849567c0:25c8	Membership
-60ed8313:150849567c0:2190	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	City
-60ed8313:150849567c0:366d	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	Province
-60ed8313:150849567c0:2524	Membership
-60ed8313:150849567c0:3c9f	Membership
-60ed8313:150849567c0:2b56	Membership
http://www.semwebtech.org/mondial/10/estuary/Loire/	Estuary
-60ed8313:150849567c0:2784	Membership
-60ed8313:150849567c0:411e	BelievedBy
-60ed8313:150849567c0:39ad	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	City
-60ed8313:150849567c0:24d0	Membership
-60ed8313:150849567c0:208f	Membership
-60ed8313:150849567c0:1c4c	Membership
-60ed8313:150849567c0:3fdf	Membership
-60ed8313:150849567c0:32d9	Membership
-60ed8313:150849567c0:437e	EthnicProportion
-60ed8313:150849567c0:187a	Border
-60ed8313:150849567c0:3f3b	Membership
-60ed8313:150849567c0:3235	Membership
-60ed8313:150849567c0:40ca	SpokenBy
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	Province
http://www.semwebtech.org/mondial/10/lake/LakeVolta/	Lake
-60ed8313:150849567c0:23cf	Membership
-60ed8313:150849567c0:3495	Membership
http://www.semwebtech.org/mondial/10/island/Islay/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	City
-60ed8313:150849567c0:232b	Membership
-60ed8313:150849567c0:3829	Membership
-60ed8313:150849567c0:31e1	Membership
http://www.semwebtech.org/mondial/10/lake/Vierwaldstattersee/	Lake
http://www.semwebtech.org/mondial/10/island/Hawaii/	Island
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Province
-60ed8313:150849567c0:258b	Membership
-60ed8313:150849567c0:3ba7	Membership
http://www.semwebtech.org/mondial/10/island/PuertoRico/	Island
-60ed8313:150849567c0:291f	Membership
-60ed8313:150849567c0:3b03	Membership
-60ed8313:150849567c0:37d5	Membership
-60ed8313:150849567c0:1a74	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	Province
-60ed8313:150849567c0:3731	Membership
-60ed8313:150849567c0:1e08	Membership
-60ed8313:150849567c0:3d63	Membership
-60ed8313:150849567c0:303c	Membership
http://www.semwebtech.org/mondial/10/country/J/	Country
-60ed8313:150849567c0:28cb	Membership
-60ed8313:150849567c0:3991	Membership
-60ed8313:150849567c0:2efd	Membership
-60ed8313:150849567c0:21f7	Membership
-60ed8313:150849567c0:329c	Membership
-60ed8313:150849567c0:1db4	Membership
-60ed8313:150849567c0:2153	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	City
-60ed8313:150849567c0:44e6	EthnicProportion
-60ed8313:150849567c0:1d10	Membership
-60ed8313:150849567c0:19e2	Membership
http://www.semwebtech.org/mondial/10/river/Ammer/	River
-60ed8313:150849567c0:4442	EthnicProportion
-60ed8313:150849567c0:2b19	Membership
http://www.semwebtech.org/mondial/10/river/Oesterdalaelv/	River
-60ed8313:150849567c0:1f70	Membership
http://www.semwebtech.org/mondial/10/river/Alz/	River
-60ed8313:150849567c0:2747	Membership
-60ed8313:150849567c0:35dc	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	Province
-60ed8313:150849567c0:2d79	Membership
http://www.semwebtech.org/mondial/10/estuary/Lukenie/	Estuary
http://www.semwebtech.org/mondial/10/mountain/JabalMarra/	Mountain
-60ed8313:150849567c0:1c0f	Membership
http://www.semwebtech.org/mondial/10/language/Finnish/	Language
-60ed8313:150849567c0:2ac5	Membership
-60ed8313:150849567c0:2a21	Membership
-60ed8313:150849567c0:26f3	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/city/Gangtok/	City
-60ed8313:150849567c0:1e6f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	City
http://www.semwebtech.org/mondial/10/source/Lulua/	Source
-60ed8313:150849567c0:1bbb	Membership
-60ed8313:150849567c0:2c81	Membership
-60ed8313:150849567c0:3458	Membership
-60ed8313:150849567c0:42ed	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	City
http://www.semwebtech.org/mondial/10/lake/ChewBahir/	Lake
-60ed8313:150849567c0:3eaa	Membership
-60ed8313:150849567c0:31a4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tutsi/	EthnicGroup
-60ed8313:150849567c0:3100	Membership
-60ed8313:150849567c0:254e	Membership
-60ed8313:150849567c0:2fc1	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	City
-60ed8313:150849567c0:3360	Membership
-60ed8313:150849567c0:1a37	Membership
-60ed8313:150849567c0:4169	BelievedBy
-60ed8313:150849567c0:3d26	Membership
-60ed8313:150849567c0:24fa	Membership
-60ed8313:150849567c0:39f8	Membership
-60ed8313:150849567c0:1c97	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	Province
-60ed8313:150849567c0:3954	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Colored/	EthnicGroup
-60ed8313:150849567c0:3f86	Membership
-60ed8313:150849567c0:36a0	Membership
-60ed8313:150849567c0:325f	Membership
-60ed8313:150849567c0:44a9	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Dychtau/	Mountain
-60ed8313:150849567c0:3cd2	Membership
-60ed8313:150849567c0:2e1c	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	City
-60ed8313:150849567c0:2116	Membership
-60ed8313:150849567c0:4071	SpokenBy
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	Province
-60ed8313:150849567c0:19a5	Membership
http://www.semwebtech.org/mondial/10/island/Oeland/	Island
-60ed8313:150849567c0:4405	EthnicProportion
-60ed8313:150849567c0:1fd7	Membership
-60ed8313:150849567c0:1901	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	Province
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	City
-60ed8313:150849567c0:2376	Membership
-60ed8313:150849567c0:1f33	Membership
-60ed8313:150849567c0:20c2	Membership
-60ed8313:150849567c0:43b1	EthnicProportion
-60ed8313:150849567c0:3b2d	Membership
-60ed8313:150849567c0:37ff	Membership
-60ed8313:150849567c0:1a9e	Membership
http://www.semwebtech.org/mondial/10/mountain/PitondesNeiges/	Mountain
-60ed8313:150849567c0:26b6	Membership
http://www.semwebtech.org/mondial/10/mountain/QueenMarysPeak/	Mountain
-60ed8313:150849567c0:375b	Membership
http://www.semwebtech.org/mondial/10/lake/LakePrespa/	Lake
http://www.semwebtech.org/mondial/10/estuary/DarlingRiver/	Estuary
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	City
http://www.semwebtech.org/mondial/10/river/Karasu/	River
-60ed8313:150849567c0:2ce8	Membership
-60ed8313:150849567c0:2612	Membership
-60ed8313:150849567c0:3d8d	Membership
-60ed8313:150849567c0:3087	Membership
-60ed8313:150849567c0:2c44	Membership
http://www.semwebtech.org/mondial/10/river/Weichsel/	River
http://www.semwebtech.org/mondial/10/estuary/Oder/	Estuary
-60ed8313:150849567c0:17ac	Encompassed
-60ed8313:150849567c0:2872	Membership
-60ed8313:150849567c0:420c	BelievedBy
-60ed8313:150849567c0:1dde	Membership
-60ed8313:150849567c0:217d	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	City
http://www.semwebtech.org/mondial/10/river/Isar/	River
-60ed8313:150849567c0:1d3a	Membership
-60ed8313:150849567c0:2bf0	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	City
http://www.semwebtech.org/mondial/10/island/Ascension/	Island
-60ed8313:150849567c0:33c7	Membership
-60ed8313:150849567c0:446c	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/NullarborPlain/	Desert
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	City
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	City
-60ed8313:150849567c0:3323	Membership
-60ed8313:150849567c0:1f9a	Membership
-60ed8313:150849567c0:24bd	Membership
-60ed8313:150849567c0:3583	Membership
-60ed8313:150849567c0:2aef	Membership
-60ed8313:150849567c0:3917	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	City
-60ed8313:150849567c0:1888	Border
-60ed8313:150849567c0:2a4b	Membership
-60ed8313:150849567c0:3f49	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	Province
-60ed8313:150849567c0:40d8	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Tshuapa/	Estuary
-60ed8313:150849567c0:4034	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	City
http://www.semwebtech.org/mondial/10/country/BVIR/	Country
-60ed8313:150849567c0:38c3	Membership
-60ed8313:150849567c0:1b62	Membership
-60ed8313:150849567c0:4294	BelievedBy
-60ed8313:150849567c0:3ef5	Membership
-60ed8313:150849567c0:2339	Membership
http://www.semwebtech.org/mondial/10/estuary/Niger/	Estuary
-60ed8313:150849567c0:31ce	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	Province
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	City
-60ed8313:150849567c0:1790	Encompassed
http://www.semwebtech.org/mondial/10/organization/OPEC/	Organization
-60ed8313:150849567c0:3e51	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/city/Neuchatel/	City
-60ed8313:150849567c0:312a	Membership
-60ed8313:150849567c0:2599	Membership
http://www.semwebtech.org/mondial/10/source/Manicouagan/	Source
http://www.semwebtech.org/mondial/10/organization/IFAD/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	City
-60ed8313:150849567c0:2feb	Membership
-60ed8313:150849567c0:22e5	Membership
-60ed8313:150849567c0:338a	Membership
-60ed8313:150849567c0:1ea2	Membership
-60ed8313:150849567c0:2241	Membership
-60ed8313:150849567c0:371e	Membership
http://www.semwebtech.org/mondial/10/language/Serbian/	Language
http://www.semwebtech.org/mondial/10/ethnicgroup/Euro-African/	EthnicGroup
-60ed8313:150849567c0:4530	EthnicProportion
-60ed8313:150849567c0:2c07	Membership
-60ed8313:150849567c0:28d9	Membership
-60ed8313:150849567c0:397e	Membership
http://www.semwebtech.org/mondial/10/desert/KumTagh/	Desert
-60ed8313:150849567c0:2835	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	Province
-60ed8313:150849567c0:36ca	Membership
-60ed8313:150849567c0:3cfc	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	City
-60ed8313:150849567c0:2e67	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	City
-60ed8313:150849567c0:409b	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	City
-60ed8313:150849567c0:19cf	Membership
-60ed8313:150849567c0:2bb3	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	Province
-60ed8313:150849567c0:442f	EthnicProportion
-60ed8313:150849567c0:192b	Membership
-60ed8313:150849567c0:27e1	Membership
-60ed8313:150849567c0:1f5d	Membership
-60ed8313:150849567c0:20ec	Membership
http://www.semwebtech.org/mondial/10/river/VictoriaNile/	River
http://www.semwebtech.org/mondial/10/river/Jangtse/	River
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/MBaka/	EthnicGroup
-60ed8313:150849567c0:3546	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	City
-60ed8313:150849567c0:43db	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	City
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	Province
-60ed8313:150849567c0:3b78	Membership
http://www.semwebtech.org/mondial/10/country/SRB/	Country
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	City
-60ed8313:150849567c0:2a0e	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/city/Diffa/	City
-60ed8313:150849567c0:263c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	City
-60ed8313:150849567c0:34f2	Membership
-60ed8313:150849567c0:1bc9	Membership
-60ed8313:150849567c0:2c6e	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	Province
http://www.semwebtech.org/mondial/10/estuary/Maranon/	Estuary
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	City
-60ed8313:150849567c0:1b25	Membership
-60ed8313:150849567c0:17f7	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/EquatorialBantu/	EthnicGroup
-60ed8313:150849567c0:289c	Membership
-60ed8313:150849567c0:3eb8	Membership
-60ed8313:150849567c0:3a80	Membership
-60ed8313:150849567c0:4257	BelievedBy
-60ed8313:150849567c0:1753	Encompassed
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/city/Schaffhausen/	City
-60ed8313:150849567c0:3e14	Membership
-60ed8313:150849567c0:1d85	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	City
-60ed8313:150849567c0:1ad1	Membership
-60ed8313:150849567c0:2fae	Membership
-60ed8313:150849567c0:22a8	Membership
-60ed8313:150849567c0:334d	Membership
http://www.semwebtech.org/mondial/10/estuary/Glomma/	Estuary
-60ed8313:150849567c0:2f0a	Membership
-60ed8313:150849567c0:3dc0	Membership
-60ed8313:150849567c0:2204	Membership
-60ed8313:150849567c0:3908	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	City
http://www.semwebtech.org/mondial/10/source/Amazonas/	Source
-60ed8313:150849567c0:2464	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	City
-60ed8313:150849567c0:2a96	Membership
-60ed8313:150849567c0:21b0	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	City
-60ed8313:150849567c0:3cbf	Membership
-60ed8313:150849567c0:405e	SpokenBy
-60ed8313:150849567c0:3c1b	Membership
-60ed8313:150849567c0:38ed	Membership
-60ed8313:150849567c0:1b8c	Membership
-60ed8313:150849567c0:27a4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	City
-60ed8313:150849567c0:3e7b	Membership
-60ed8313:150849567c0:2dd6	Membership
-60ed8313:150849567c0:2700	Membership
-60ed8313:150849567c0:20af	Membership
-60ed8313:150849567c0:3175	Membership
-60ed8313:150849567c0:2d32	Membership
-60ed8313:150849567c0:200b	Membership
-60ed8313:150849567c0:3509	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	City
-60ed8313:150849567c0:2960	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	City
-60ed8313:150849567c0:1ecc	Membership
-60ed8313:150849567c0:2f92	Membership
-60ed8313:150849567c0:226b	Membership
-60ed8313:150849567c0:3769	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Welaita/	EthnicGroup
http://www.semwebtech.org/mondial/10/religion/ChristianOrthodox/	Religion
-60ed8313:150849567c0:34b5	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	Province
-60ed8313:150849567c0:455a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	City
http://www.semwebtech.org/mondial/10/language/Bosnian/	Language
-60ed8313:150849567c0:3ae7	Membership
-60ed8313:150849567c0:3411	Membership
http://www.semwebtech.org/mondial/10/mountain/MountEverest/	Mountain
-60ed8313:150849567c0:285f	Membership
-60ed8313:150849567c0:3a43	Membership
-60ed8313:150849567c0:1716	Encompassed
-60ed8313:150849567c0:25ab	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	City
-60ed8313:150849567c0:3671	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sara/	EthnicGroup
-60ed8313:150849567c0:1d48	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	City
-60ed8313:150849567c0:2bdd	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	City
-60ed8313:150849567c0:1976	Membership
http://www.semwebtech.org/mondial/10/river/Inn/	River
-60ed8313:150849567c0:41c6	BelievedBy
-60ed8313:150849567c0:4122	BelievedBy
-60ed8313:150849567c0:1cf4	Membership
-60ed8313:150849567c0:39b1	Membership
-60ed8313:150849567c0:2093	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	City
-60ed8313:150849567c0:1c50	Membership
-60ed8313:150849567c0:3fe3	Membership
-60ed8313:150849567c0:2427	Membership
-60ed8313:150849567c0:32bc	Membership
-60ed8313:150849567c0:4382	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/PicodeAgulhasNegras/	Mountain
-60ed8313:150849567c0:2a59	Membership
http://www.semwebtech.org/mondial/10/estuary/RioMadeira/	Estuary
-60ed8313:150849567c0:2687	Membership
-60ed8313:150849567c0:23d3	Membership
-60ed8313:150849567c0:1b4f	Membership
-60ed8313:150849567c0:380c	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	City
-60ed8313:150849567c0:177d	Encompassed
-60ed8313:150849567c0:3e3e	Membership
-60ed8313:150849567c0:3138	Membership
-60ed8313:150849567c0:29c7	Membership
-60ed8313:150849567c0:2ff9	Membership
-60ed8313:150849567c0:1afb	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	City
-60ed8313:150849567c0:2923	Membership
-60ed8313:150849567c0:3398	Membership
-60ed8313:150849567c0:2f55	Membership
-60ed8313:150849567c0:3dea	Membership
-60ed8313:150849567c0:222e	Membership
-60ed8313:150849567c0:30e4	Membership
-60ed8313:150849567c0:2ca1	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	City
-60ed8313:150849567c0:3040	Membership
-60ed8313:150849567c0:451d	EthnicProportion
-60ed8313:150849567c0:248e	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	City
-60ed8313:150849567c0:3a06	Membership
-60ed8313:150849567c0:21da	Membership
-60ed8313:150849567c0:36d8	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	City
-60ed8313:150849567c0:3634	Membership
-60ed8313:150849567c0:3c66	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	City
http://www.semwebtech.org/mondial/10/island/SaoTome/	Island
-60ed8313:150849567c0:1939	Membership
-60ed8313:150849567c0:27ce	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	Province
-60ed8313:150849567c0:3894	Membership
http://www.semwebtech.org/mondial/10/source/Ganges/	Source
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	City
http://www.semwebtech.org/mondial/10/islands/TurksandCaicosIslands/	Islands
-60ed8313:150849567c0:272a	Membership
http://www.semwebtech.org/mondial/10/lake/Kallavesi/	Lake
-60ed8313:150849567c0:35e0	Membership
-60ed8313:150849567c0:319f	Membership
http://www.semwebtech.org/mondial/10/desert/Rigestan/	Desert
-60ed8313:150849567c0:1cb7	Membership
-60ed8313:150849567c0:2d5c	Membership
http://www.semwebtech.org/mondial/10/organization/CERN/	Organization
-60ed8313:150849567c0:43e9	EthnicProportion
-60ed8313:150849567c0:2056	Membership
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/city/Chipata/	City
-60ed8313:150849567c0:1c13	Membership
-60ed8313:150849567c0:18e5	Border
-60ed8313:150849567c0:298a	Membership
-60ed8313:150849567c0:3fa6	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	Province
-60ed8313:150849567c0:4345	EthnicProportion
-60ed8313:150849567c0:1841	Border
http://www.semwebtech.org/mondial/10/source/Dnjestr/	Source
-60ed8313:150849567c0:3f02	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	City
-60ed8313:150849567c0:1e73	Membership
-60ed8313:150849567c0:34df	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	City
-60ed8313:150849567c0:343b	Membership
-60ed8313:150849567c0:42f1	BelievedBy
-60ed8313:150849567c0:3a6d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	Province
-60ed8313:150849567c0:25f6	Membership
-60ed8313:150849567c0:369b	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Bandundu/	City
-60ed8313:150849567c0:2552	Membership
-60ed8313:150849567c0:1abe	Membership
-60ed8313:150849567c0:2b84	Membership
-60ed8313:150849567c0:1a1a	Membership
-60ed8313:150849567c0:16ec	Encompassed
-60ed8313:150849567c0:2f18	Membership
-60ed8313:150849567c0:3dad	Membership
-60ed8313:150849567c0:30a7	Membership
-60ed8313:150849567c0:414c	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/city/Mugla/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	City
-60ed8313:150849567c0:39db	Membership
-60ed8313:150849567c0:3003	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/city/CerrodePasco/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	City
-60ed8313:150849567c0:1c7a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	City
-60ed8313:150849567c0:2ec4	Membership
http://www.semwebtech.org/mondial/10/mountains/RockyMountains/	Mountains
-60ed8313:150849567c0:3263	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	City
http://www.semwebtech.org/mondial/10/mountain/Citlaltepetl-PicodeOrizaba-/	Mountain
-60ed8313:150849567c0:2e20	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/city/Imphal/	City
-60ed8313:150849567c0:23fd	Membership
-60ed8313:150849567c0:3c29	Membership
http://www.semwebtech.org/mondial/10/mountain/Grossglockner/	Mountain
-60ed8313:150849567c0:1fba	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	City
http://www.semwebtech.org/mondial/10/source/Isere/	Source
-60ed8313:150849567c0:3857	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	City
-60ed8313:150849567c0:3e89	Membership
-60ed8313:150849567c0:35a3	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/BocasdelToro/	City
http://www.semwebtech.org/mondial/10/mountain/PikPobeda/	Mountain
-60ed8313:150849567c0:3bd5	Membership
-60ed8313:150849567c0:2d1f	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	City
-60ed8313:150849567c0:2019	Membership
http://www.semwebtech.org/mondial/10/mountain/RoquedelosMuchachos/	Mountain
-60ed8313:150849567c0:18a8	Border
-60ed8313:150849567c0:294d	Membership
-60ed8313:150849567c0:3b31	Membership
-60ed8313:150849567c0:4308	BelievedBy
http://www.semwebtech.org/mondial/10/source/Kemijoki/	Source
-60ed8313:150849567c0:1804	Border
-60ed8313:150849567c0:2f7f	Membership
-60ed8313:150849567c0:2279	Membership
-60ed8313:150849567c0:1e36	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	City
-60ed8313:150849567c0:32c0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	City
-60ed8313:150849567c0:2ccb	Membership
-60ed8313:150849567c0:3d91	Membership
-60ed8313:150849567c0:306a	Membership
-60ed8313:150849567c0:4568	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/LagoJunin/	Lake
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternHamitic/	EthnicGroup
-60ed8313:150849567c0:42b4	BelievedBy
-60ed8313:150849567c0:17b0	Encompassed
-60ed8313:150849567c0:4210	BelievedBy
-60ed8313:150849567c0:1de2	Membership
-60ed8313:150849567c0:25b9	Membership
-60ed8313:150849567c0:2181	Membership
-60ed8313:150849567c0:365e	Membership
-60ed8313:150849567c0:2515	Membership
-60ed8313:150849567c0:33aa	Membership
-60ed8313:150849567c0:4470	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Narodnaja/	Mountain
-60ed8313:150849567c0:2b47	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	City
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	Province
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	Province
-60ed8313:150849567c0:2775	Membership
-60ed8313:150849567c0:410f	BelievedBy
-60ed8313:150849567c0:24c1	Membership
http://www.semwebtech.org/mondial/10/country/CH/	Country
-60ed8313:150849567c0:1c3d	Membership
-60ed8313:150849567c0:2af3	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	City
-60ed8313:150849567c0:436f	EthnicProportion
-60ed8313:150849567c0:186b	Border
-60ed8313:150849567c0:40bb	SpokenBy
-60ed8313:150849567c0:3f2c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	City
-60ed8313:150849567c0:3226	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	City
-60ed8313:150849567c0:1e9d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	City
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	City
-60ed8313:150849567c0:3486	Membership
-60ed8313:150849567c0:231c	Membership
-60ed8313:150849567c0:31d2	Membership
http://www.semwebtech.org/mondial/10/country/NOK/	Country
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	Province
http://www.semwebtech.org/mondial/10/mountains/BlackForest/	Mountains
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	City
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	City
-60ed8313:150849567c0:257c	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	City
http://www.semwebtech.org/mondial/10/continent/Asia/	Continent
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	City
-60ed8313:150849567c0:37c6	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	City
-60ed8313:150849567c0:1a65	Membership
-60ed8313:150849567c0:3df8	Membership
-60ed8313:150849567c0:3722	Membership
http://www.semwebtech.org/mondial/10/organization/IDA/	Organization
-60ed8313:150849567c0:4197	BelievedBy
-60ed8313:150849567c0:3d54	Membership
-60ed8313:150849567c0:302d	Membership
http://www.semwebtech.org/mondial/10/source/Cuilo/	Source
-60ed8313:150849567c0:3aa0	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	City
-60ed8313:150849567c0:28bc	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	City
-60ed8313:150849567c0:3982	Membership
http://www.semwebtech.org/mondial/10/island/Alicudi/	Island
http://www.semwebtech.org/mondial/10/river/Limpopo/	River
-60ed8313:150849567c0:2eee	Membership
-60ed8313:150849567c0:21e8	Membership
-60ed8313:150849567c0:328d	Membership
http://www.semwebtech.org/mondial/10/estuary/Bomu/	Estuary
-60ed8313:150849567c0:1da5	Membership
-60ed8313:150849567c0:2e4a	Membership
-60ed8313:150849567c0:2144	Membership
-60ed8313:150849567c0:44d7	EthnicProportion
-60ed8313:150849567c0:1d01	Membership
-60ed8313:150849567c0:19d3	Membership
-60ed8313:150849567c0:4433	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Svalbard/	Island
http://www.semwebtech.org/mondial/10/mountains/Harz/	Mountains
-60ed8313:150849567c0:1f61	Membership
-60ed8313:150849567c0:2738	Membership
-60ed8313:150849567c0:20f0	Membership
-60ed8313:150849567c0:35cd	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	City
-60ed8313:150849567c0:3bff	Membership
-60ed8313:150849567c0:2ab6	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	City
-60ed8313:150849567c0:2998	Membership
-60ed8313:150849567c0:3b5b	Membership
http://www.semwebtech.org/mondial/10/island/SaoJorge/	Island
-60ed8313:150849567c0:2a12	Membership
-60ed8313:150849567c0:182e	Border
-60ed8313:150849567c0:26e4	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/city/Asosa/	City
http://www.semwebtech.org/mondial/10/lake/OzeroLadoga/	Lake
-60ed8313:150849567c0:2640	Membership
-60ed8313:150849567c0:1bac	Membership
-60ed8313:150849567c0:2c72	Membership
-60ed8313:150849567c0:3449	Membership
-60ed8313:150849567c0:42de	BelievedBy
-60ed8313:150849567c0:17da	Border
http://www.semwebtech.org/mondial/10/language/Siraiki/	Language
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	City
-60ed8313:150849567c0:423a	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/CathkinPeak/	Mountain
http://www.semwebtech.org/mondial/10/religion/Seventh-DayAdventist/	Religion
-60ed8313:150849567c0:253f	Membership
-60ed8313:150849567c0:33f5	Membership
-60ed8313:150849567c0:449a	EthnicProportion
-60ed8313:150849567c0:2fb2	Membership
-60ed8313:150849567c0:3351	Membership
-60ed8313:150849567c0:1a28	Membership
-60ed8313:150849567c0:279f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	City
-60ed8313:150849567c0:3d17	Membership
http://www.semwebtech.org/mondial/10/organization/G-15/	Organization
-60ed8313:150849567c0:24eb	Membership
-60ed8313:150849567c0:39e9	Membership
-60ed8313:150849567c0:1c88	Membership
-60ed8313:150849567c0:3945	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	City
-60ed8313:150849567c0:3f77	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoCristobalColon/	Mountain
http://www.semwebtech.org/mondial/10/source/Okavango/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Madurese/	EthnicGroup
-60ed8313:150849567c0:2e0d	Membership
-60ed8313:150849567c0:3cc3	Membership
-60ed8313:150849567c0:2107	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Banda/	EthnicGroup
-60ed8313:150849567c0:4062	SpokenBy
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	City
-60ed8313:150849567c0:38f1	Membership
-60ed8313:150849567c0:1fc8	Membership
-60ed8313:150849567c0:1b90	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Wolof/	EthnicGroup
-60ed8313:150849567c0:2367	Membership
-60ed8313:150849567c0:31fc	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/PalestinianArab/	EthnicGroup
-60ed8313:150849567c0:1f24	Membership
-60ed8313:150849567c0:20b3	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	Province
-60ed8313:150849567c0:43a2	EthnicProportion
-60ed8313:150849567c0:3b1e	Membership
-60ed8313:150849567c0:1ed0	Membership
-60ed8313:150849567c0:1a8f	Membership
http://www.semwebtech.org/mondial/10/island/Corse/	Island
-60ed8313:150849567c0:26a7	Membership
-60ed8313:150849567c0:374c	Membership
-60ed8313:150849567c0:3d7e	Membership
-60ed8313:150849567c0:2cd9	Membership
-60ed8313:150849567c0:2603	Membership
http://www.semwebtech.org/mondial/10/organization/Caricom/	Organization
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	Province
-60ed8313:150849567c0:3078	Membership
-60ed8313:150849567c0:2c35	Membership
-60ed8313:150849567c0:3aca	Membership
-60ed8313:150849567c0:2863	Membership
http://www.semwebtech.org/mondial/10/estuary/Shabelle/	Estuary
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	City
-60ed8313:150849567c0:2e95	Membership
-60ed8313:150849567c0:1dcf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	City
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Hódmezővásárhely/	City
-60ed8313:150849567c0:216e	Membership
-60ed8313:150849567c0:1d2b	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	Province
-60ed8313:150849567c0:19fd	Membership
-60ed8313:150849567c0:2be1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Azerbaijani/	EthnicGroup
-60ed8313:150849567c0:33b8	Membership
-60ed8313:150849567c0:445d	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/MtRedoubt/	Mountain
-60ed8313:150849567c0:3314	Membership
-60ed8313:150849567c0:1f8b	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	City
-60ed8313:150849567c0:24ae	Membership
-60ed8313:150849567c0:3574	Membership
-60ed8313:150849567c0:240a	Membership
-60ed8313:150849567c0:1879	Border
-60ed8313:150849567c0:2a3c	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	Province
-60ed8313:150849567c0:40c9	SpokenBy
-60ed8313:150849567c0:266a	Membership
-60ed8313:150849567c0:4025	SpokenBy
http://www.semwebtech.org/mondial/10/mountains/CoastMountains/	Mountains
-60ed8313:150849567c0:2c9c	Membership
-60ed8313:150849567c0:1bf7	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	City
-60ed8313:150849567c0:38b4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	Province
-60ed8313:150849567c0:1b53	Membership
-60ed8313:150849567c0:3ee6	Membership
-60ed8313:150849567c0:3810	Membership
-60ed8313:150849567c0:31bf	Membership
-60ed8313:150849567c0:4285	BelievedBy
-60ed8313:150849567c0:1781	Encompassed
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	City
-60ed8313:150849567c0:3e42	Membership
-60ed8313:150849567c0:311b	Membership
-60ed8313:150849567c0:29aa	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	City
-60ed8313:150849567c0:2fdc	Membership
-60ed8313:150849567c0:22d6	Membership
-60ed8313:150849567c0:337b	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	City
-60ed8313:150849567c0:2232	Membership
-60ed8313:150849567c0:370f	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Lugbara/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Japanese/	Language
-60ed8313:150849567c0:4521	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Glomma/	River
-60ed8313:150849567c0:2492	Membership
-60ed8313:150849567c0:396f	Membership
http://www.semwebtech.org/mondial/10/mountains/Rhön/	Mountains
http://www.semwebtech.org/mondial/10/mountain/Olymp/	Mountain
http://www.semwebtech.org/mondial/10/estuary/RioSanJuan/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	City
-60ed8313:150849567c0:2826	Membership
-60ed8313:150849567c0:36bb	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	City
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	Province
-60ed8313:150849567c0:2e58	Membership
-60ed8313:150849567c0:3ced	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	City
-60ed8313:150849567c0:408c	SpokenBy
-60ed8313:150849567c0:2ba4	Membership
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	City
-60ed8313:150849567c0:191c	Membership
-60ed8313:150849567c0:2b00	Membership
-60ed8313:150849567c0:27d2	Membership
-60ed8313:150849567c0:1f4e	Membership
http://www.semwebtech.org/mondial/10/river/Guadalquivir/	River
-60ed8313:150849567c0:20dd	Membership
-60ed8313:150849567c0:2d60	Membership
-60ed8313:150849567c0:3537	Membership
-60ed8313:150849567c0:43cc	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Impalila/	Island
-60ed8313:150849567c0:3b69	Membership
http://www.semwebtech.org/mondial/10/source/Pjandsh/	Source
-60ed8313:150849567c0:1efa	Membership
http://www.semwebtech.org/mondial/10/source/Kama/	Source
-60ed8313:150849567c0:3797	Membership
-60ed8313:150849567c0:262d	Membership
-60ed8313:150849567c0:34e3	Membership
-60ed8313:150849567c0:2c5f	Membership
http://www.semwebtech.org/mondial/10/source/Tambo/	Source
-60ed8313:150849567c0:3ea9	Membership
-60ed8313:150849567c0:1b16	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	City
-60ed8313:150849567c0:17e8	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	City
-60ed8313:150849567c0:288d	Membership
-60ed8313:150849567c0:3a71	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	City
-60ed8313:150849567c0:4248	BelievedBy
-60ed8313:150849567c0:1744	Encompassed
-60ed8313:150849567c0:3e05	Membership
-60ed8313:150849567c0:1d76	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Nepalese/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Leine/	Estuary
-60ed8313:150849567c0:1ac2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	City
-60ed8313:150849567c0:333e	Membership
-60ed8313:150849567c0:41f4	BelievedBy
-60ed8313:150849567c0:16f0	Encompassed
-60ed8313:150849567c0:3db1	Membership
-60ed8313:150849567c0:4150	BelievedBy
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	City
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	City
-60ed8313:150849567c0:24f9	Membership
-60ed8313:150849567c0:359e	Membership
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	City
http://www.semwebtech.org/mondial/10/language/Basque/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	City
-60ed8313:150849567c0:2455	Membership
-60ed8313:150849567c0:32ea	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	Province
-60ed8313:150849567c0:2a87	Membership
-60ed8313:150849567c0:21a1	Membership
-60ed8313:150849567c0:404f	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/Hvannadalshnukur/	Mountain
-60ed8313:150849567c0:3c0c	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	City
-60ed8313:150849567c0:38de	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	City
-60ed8313:150849567c0:1b7d	Membership
-60ed8313:150849567c0:383a	Membership
-60ed8313:150849567c0:2dc7	Membership
-60ed8313:150849567c0:3e6c	Membership
-60ed8313:150849567c0:3166	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/city/Kochi/	City
-60ed8313:150849567c0:2d23	Membership
-60ed8313:150849567c0:29f5	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/city/Dutse/	City
-60ed8313:150849567c0:2951	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	City
-60ed8313:150849567c0:1ebd	Membership
-60ed8313:150849567c0:2f83	Membership
-60ed8313:150849567c0:225c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	City
-60ed8313:150849567c0:34a6	Membership
-60ed8313:150849567c0:454b	EthnicProportion
-60ed8313:150849567c0:3ad8	Membership
-60ed8313:150849567c0:3402	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	City
-60ed8313:150849567c0:3a34	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/city/Kolda/	City
-60ed8313:150849567c0:1707	Encompassed
-60ed8313:150849567c0:3662	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Danish/	EthnicGroup
-60ed8313:150849567c0:1d39	Membership
-60ed8313:150849567c0:2bce	Membership
http://www.semwebtech.org/mondial/10/country/MK/	Country
-60ed8313:150849567c0:3c94	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Province
-60ed8313:150849567c0:1967	Membership
-60ed8313:150849567c0:2b2a	Membership
-60ed8313:150849567c0:27fc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	Province
-60ed8313:150849567c0:41b7	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	Province
-60ed8313:150849567c0:1f99	Membership
-60ed8313:150849567c0:4113	BelievedBy
-60ed8313:150849567c0:1ce5	Membership
-60ed8313:150849567c0:2d8a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	Province
-60ed8313:150849567c0:39a2	Membership
-60ed8313:150849567c0:2084	Membership
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	Province
-60ed8313:150849567c0:1c41	Membership
-60ed8313:150849567c0:3fd4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	City
-60ed8313:150849567c0:2418	Membership
-60ed8313:150849567c0:32ad	Membership
-60ed8313:150849567c0:4373	EthnicProportion
-60ed8313:150849567c0:3f30	Membership
http://www.semwebtech.org/mondial/10/estuary/NelsonRiver/	Estuary
-60ed8313:150849567c0:2678	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	Province
-60ed8313:150849567c0:23c4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	City
-60ed8313:150849567c0:2320	Membership
-60ed8313:150849567c0:3a9b	Membership
-60ed8313:150849567c0:176e	Encompassed
-60ed8313:150849567c0:3e2f	Membership
-60ed8313:150849567c0:3129	Membership
-60ed8313:150849567c0:29b8	Membership
-60ed8313:150849567c0:2580	Membership
-60ed8313:150849567c0:1aec	Membership
-60ed8313:150849567c0:2914	Membership
-60ed8313:150849567c0:3389	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	City
-60ed8313:150849567c0:2f46	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	Province
-60ed8313:150849567c0:3ddb	Membership
-60ed8313:150849567c0:221f	Membership
-60ed8313:150849567c0:30d5	Membership
-60ed8313:150849567c0:417a	BelievedBy
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/city/Selibaby/	City
http://www.semwebtech.org/mondial/10/lake/Mjoesa-See/	Lake
-60ed8313:150849567c0:3031	Membership
-60ed8313:150849567c0:450e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	City
-60ed8313:150849567c0:28c0	Membership
-60ed8313:150849567c0:247f	Membership
http://www.semwebtech.org/mondial/10/river/Umeaelv/	River
-60ed8313:150849567c0:2ef2	Membership
-60ed8313:150849567c0:21cb	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/city/Aomori/	City
-60ed8313:150849567c0:36c9	Membership
-60ed8313:150849567c0:3291	Membership
-60ed8313:150849567c0:3625	Membership
-60ed8313:150849567c0:44ba	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	Province
-60ed8313:150849567c0:3c57	Membership
-60ed8313:150849567c0:27bf	Membership
-60ed8313:150849567c0:3885	Membership
http://www.semwebtech.org/mondial/10/island/Sansibar/	Island
-60ed8313:150849567c0:271b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	City
-60ed8313:150849567c0:35d1	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	City
-60ed8313:150849567c0:1ca8	Membership
-60ed8313:150849567c0:2d4d	Membership
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	City
-60ed8313:150849567c0:2047	Membership
-60ed8313:150849567c0:1c04	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	Province
-60ed8313:150849567c0:18d6	Border
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	City
-60ed8313:150849567c0:297b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	City
-60ed8313:150849567c0:4336	EthnicProportion
-60ed8313:150849567c0:1832	Border
http://www.semwebtech.org/mondial/10/estuary/Parana/	Estuary
-60ed8313:150849567c0:1e64	Membership
-60ed8313:150849567c0:4596	EthnicProportion
http://www.semwebtech.org/mondial/10/river/EucumbeneRiver/	River
-60ed8313:150849567c0:1bb0	Membership
-60ed8313:150849567c0:342c	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	City
-60ed8313:150849567c0:42e2	BelievedBy
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/city/Wete/	City
-60ed8313:150849567c0:3a5e	Membership
-60ed8313:150849567c0:25e7	Membership
-60ed8313:150849567c0:368c	Membership
-60ed8313:150849567c0:2543	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/city/Sumbe/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab-Berber/	EthnicGroup
-60ed8313:150849567c0:1aaf	Membership
http://www.semwebtech.org/mondial/10/island/SouthUist/	Island
-60ed8313:150849567c0:2b75	Membership
-60ed8313:150849567c0:1a0b	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	City
-60ed8313:150849567c0:16dd	Encompassed
-60ed8313:150849567c0:2f09	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kyrgyz/	EthnicGroup
-60ed8313:150849567c0:413d	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	City
http://www.semwebtech.org/mondial/10/island/SantaRosaIsland/	Island
-60ed8313:150849567c0:39cc	Membership
http://www.semwebtech.org/mondial/10/organization/OIC/	Organization
-60ed8313:150849567c0:1c6b	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/	Country
-60ed8313:150849567c0:3ffe	SpokenBy
-60ed8313:150849567c0:32f8	Membership
-60ed8313:150849567c0:439d	EthnicProportion
-60ed8313:150849567c0:2eb5	Membership
http://www.semwebtech.org/mondial/10/estuary/Tara/	Estuary
-60ed8313:150849567c0:3f5a	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	City
-60ed8313:150849567c0:3254	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	City
-60ed8313:150849567c0:2e11	Membership
http://www.semwebtech.org/mondial/10/language/Luxembourgish/	Language
http://www.semwebtech.org/mondial/10/estuary/Urubamba/	Estuary
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	City
-60ed8313:150849567c0:23ee	Membership
-60ed8313:150849567c0:1fab	Membership
http://www.semwebtech.org/mondial/10/island/Sylt/	Island
-60ed8313:150849567c0:234a	Membership
-60ed8313:150849567c0:3848	Membership
-60ed8313:150849567c0:3bc6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	Province
-60ed8313:150849567c0:293e	Membership
-60ed8313:150849567c0:3b22	Membership
-60ed8313:150849567c0:37f4	Membership
-60ed8313:150849567c0:1a93	Membership
-60ed8313:150849567c0:3750	Membership
-60ed8313:150849567c0:30ff	Membership
-60ed8313:150849567c0:1e27	Membership
-60ed8313:150849567c0:2cbc	Membership
-60ed8313:150849567c0:3d82	Membership
-60ed8313:150849567c0:305b	Membership
-60ed8313:150849567c0:4559	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Maori/	EthnicGroup
-60ed8313:150849567c0:28ea	Membership
-60ed8313:150849567c0:42a5	BelievedBy
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/city/Putrajaya/	City
-60ed8313:150849567c0:17a1	Encompassed
-60ed8313:150849567c0:4201	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	Province
-60ed8313:150849567c0:1dd3	Membership
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	City
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	City
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	Province
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	City
-60ed8313:150849567c0:2172	Membership
-60ed8313:150849567c0:364f	Membership
-60ed8313:150849567c0:2506	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/city/Bouafle/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	City
-60ed8313:150849567c0:4461	EthnicProportion
-60ed8313:150849567c0:2b38	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	City
-60ed8313:150849567c0:2766	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	City
http://www.semwebtech.org/mondial/10/estuary/Main/	Estuary
-60ed8313:150849567c0:35fb	Membership
-60ed8313:150849567c0:2d98	Membership
-60ed8313:150849567c0:24b2	Membership
http://www.semwebtech.org/mondial/10/source/Lech/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	City
-60ed8313:150849567c0:1c2e	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	City
-60ed8313:150849567c0:2ae4	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	City
http://www.semwebtech.org/mondial/10/religion/Methodist/	Religion
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	City
-60ed8313:150849567c0:185c	Border
-60ed8313:150849567c0:2a40	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	City
-60ed8313:150849567c0:3f1d	Membership
-60ed8313:150849567c0:40ac	SpokenBy
-60ed8313:150849567c0:3217	Membership
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	City
-60ed8313:150849567c0:1e8e	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	City
-60ed8313:150849567c0:1bda	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	City
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	City
-60ed8313:150849567c0:3477	Membership
-60ed8313:150849567c0:230d	Membership
-60ed8313:150849567c0:31c3	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	City
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	City
-60ed8313:150849567c0:256d	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	Province
-60ed8313:150849567c0:2fe0	Membership
-60ed8313:150849567c0:2b9f	Membership
-60ed8313:150849567c0:37b7	Membership
http://www.semwebtech.org/mondial/10/source/Douro/	Source
-60ed8313:150849567c0:1a56	Membership
-60ed8313:150849567c0:3de9	Membership
-60ed8313:150849567c0:3713	Membership
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	City
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	Province
-60ed8313:150849567c0:4188	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Polynesian/	EthnicGroup
-60ed8313:150849567c0:3d45	Membership
-60ed8313:150849567c0:301e	Membership
-60ed8313:150849567c0:28ad	Membership
-60ed8313:150849567c0:3973	Membership
-60ed8313:150849567c0:2edf	Membership
-60ed8313:150849567c0:21d9	Membership
-60ed8313:150849567c0:327e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	City
-60ed8313:150849567c0:44c8	EthnicProportion
-60ed8313:150849567c0:4090	SpokenBy
-60ed8313:150849567c0:3cf1	Membership
-60ed8313:150849567c0:2e3b	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	Province
-60ed8313:150849567c0:2135	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	City
-60ed8313:150849567c0:19c4	Membership
-60ed8313:150849567c0:4424	EthnicProportion
-60ed8313:150849567c0:1ff6	Membership
-60ed8313:150849567c0:1920	Membership
-60ed8313:150849567c0:2395	Membership
-60ed8313:150849567c0:1f52	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	Province
http://www.semwebtech.org/mondial/10/mountain/LaSoufriere/	Mountain
-60ed8313:150849567c0:2729	Membership
-60ed8313:150849567c0:20e1	Membership
-60ed8313:150849567c0:35be	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	City
-60ed8313:150849567c0:351a	Membership
-60ed8313:150849567c0:43d0	EthnicProportion
-60ed8313:150849567c0:2aa7	Membership
-60ed8313:150849567c0:2989	Membership
-60ed8313:150849567c0:3b4c	Membership
-60ed8313:150849567c0:181f	Border
-60ed8313:150849567c0:2a03	Membership
-60ed8313:150849567c0:26d5	Membership
-60ed8313:150849567c0:377a	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	Province
-60ed8313:150849567c0:2631	Membership
http://www.semwebtech.org/mondial/10/mountains/Cevennes/	Mountains
http://www.semwebtech.org/mondial/10/country/CV/	Country
http://www.semwebtech.org/mondial/10/estuary/Naryn/	Estuary
-60ed8313:150849567c0:2c63	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	City
http://www.semwebtech.org/mondial/10/estuary/RioLerma/	Estuary
-60ed8313:150849567c0:42cf	BelievedBy
-60ed8313:150849567c0:17cb	Border
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	City
-60ed8313:150849567c0:2891	Membership
-60ed8313:150849567c0:422b	BelievedBy
-60ed8313:150849567c0:1dfd	Membership
-60ed8313:150849567c0:219c	Membership
-60ed8313:150849567c0:33e6	Membership
-60ed8313:150849567c0:448b	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Oulujoki/	Source
-60ed8313:150849567c0:2fa3	Membership
-60ed8313:150849567c0:3342	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	City
-60ed8313:150849567c0:1a19	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	City
http://www.semwebtech.org/mondial/10/mountains/CordilleraCentral/	Mountains
-60ed8313:150849567c0:24dc	Membership
-60ed8313:150849567c0:3d08	Membership
-60ed8313:150849567c0:1c79	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	Province
-60ed8313:150849567c0:3936	Membership
-60ed8313:150849567c0:2a6a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	City
-60ed8313:150849567c0:3f68	Membership
-60ed8313:150849567c0:40f7	SpokenBy
-60ed8313:150849567c0:3cb4	Membership
-60ed8313:150849567c0:4053	SpokenBy
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/city/Caxito/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	Province
-60ed8313:150849567c0:3c10	Membership
-60ed8313:150849567c0:38e2	Membership
-60ed8313:150849567c0:1fb9	Membership
-60ed8313:150849567c0:1b81	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	City
http://www.semwebtech.org/mondial/10/river/Po/	River
-60ed8313:150849567c0:2358	Membership
-60ed8313:150849567c0:31ed	Membership
-60ed8313:150849567c0:1f15	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	City
-60ed8313:150849567c0:2daa	Membership
-60ed8313:150849567c0:3e70	Membership
-60ed8313:150849567c0:20a4	Membership
http://www.semwebtech.org/mondial/10/organization/UN/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	City
-60ed8313:150849567c0:2000	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	City
http://www.semwebtech.org/mondial/10/estuary/Kokemaeenjoki/	Estuary
http://www.semwebtech.org/mondial/10/river/Tennessee/	River
-60ed8313:150849567c0:3b0f	Membership
http://www.semwebtech.org/mondial/10/island/Borneo/	Island
-60ed8313:150849567c0:1ec1	Membership
-60ed8313:150849567c0:2260	Membership
-60ed8313:150849567c0:373d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	City
-60ed8313:150849567c0:3d6f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	City
-60ed8313:150849567c0:3069	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	City
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/city/Lucapa/	City
-60ed8313:150849567c0:2c26	Membership
-60ed8313:150849567c0:28f8	Membership
-60ed8313:150849567c0:3abb	Membership
-60ed8313:150849567c0:399d	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	Province
-60ed8313:150849567c0:2854	Membership
-60ed8313:150849567c0:2e86	Membership
-60ed8313:150849567c0:25a0	Membership
-60ed8313:150849567c0:215f	Membership
-60ed8313:150849567c0:1d1c	Membership
-60ed8313:150849567c0:19ee	Membership
-60ed8313:150849567c0:2bd2	Membership
-60ed8313:150849567c0:33a9	Membership
-60ed8313:150849567c0:444e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	City
-60ed8313:150849567c0:194a	Membership
http://www.semwebtech.org/mondial/10/desert/ColoradoPlateau/	Desert
-60ed8313:150849567c0:3305	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	City
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	Province
-60ed8313:150849567c0:1f7c	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/city/FlyingFishCove/	City
http://www.semwebtech.org/mondial/10/river/Luapula/	River
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	City
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/BlackMaur/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/GreatSlaveLake/	Lake
http://www.semwebtech.org/mondial/10/island/Zakynthos/	Island
-60ed8313:150849567c0:3565	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	City
-60ed8313:150849567c0:43fa	EthnicProportion
-60ed8313:150849567c0:3b97	Membership
-60ed8313:150849567c0:32b1	Membership
http://www.semwebtech.org/mondial/10/estuary/Lukuga/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	City
-60ed8313:150849567c0:2a2d	Membership
-60ed8313:150849567c0:26ff	Membership
http://www.semwebtech.org/mondial/10/language/Greek/	Language
-60ed8313:150849567c0:265b	Membership
http://www.semwebtech.org/mondial/10/island/Tortola/	Island
-60ed8313:150849567c0:4016	SpokenBy
http://www.semwebtech.org/mondial/10/lake/LakeIrazu/	Lake
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	City
-60ed8313:150849567c0:1be8	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	City
-60ed8313:150849567c0:2c8d	Membership
-60ed8313:150849567c0:38a5	Membership
-60ed8313:150849567c0:1b44	Membership
http://www.semwebtech.org/mondial/10/mountain/Kailash/	Mountain
-60ed8313:150849567c0:3ed7	Membership
-60ed8313:150849567c0:3801	Membership
-60ed8313:150849567c0:4276	BelievedBy
-60ed8313:150849567c0:1772	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	City
-60ed8313:150849567c0:3e33	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	City
-60ed8313:150849567c0:310c	Membership
-60ed8313:150849567c0:1af0	Membership
-60ed8313:150849567c0:2fcd	Membership
-60ed8313:150849567c0:22c7	Membership
-60ed8313:150849567c0:336c	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	Province
-60ed8313:150849567c0:2223	Membership
http://www.semwebtech.org/mondial/10/language/Hebrew/	Language
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	City
-60ed8313:150849567c0:4512	EthnicProportion
-60ed8313:150849567c0:2483	Membership
http://www.semwebtech.org/mondial/10/river/DetroitRiver/	River
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	City
-60ed8313:150849567c0:2817	Membership
-60ed8313:150849567c0:36ac	Membership
-60ed8313:150849567c0:2e49	Membership
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	City
-60ed8313:150849567c0:3cde	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	City
-60ed8313:150849567c0:407d	SpokenBy
-60ed8313:150849567c0:3c3a	Membership
-60ed8313:150849567c0:190d	Membership
http://www.semwebtech.org/mondial/10/river/Rhone/	River
-60ed8313:150849567c0:27c3	Membership
-60ed8313:150849567c0:1f3f	Membership
http://www.semwebtech.org/mondial/10/river/Bani/	River
-60ed8313:150849567c0:2df5	Membership
-60ed8313:150849567c0:3e9a	Membership
-60ed8313:150849567c0:20ce	Membership
-60ed8313:150849567c0:3194	Membership
http://www.semwebtech.org/mondial/10/organization/EBRD/	Organization
-60ed8313:150849567c0:2d51	Membership
-60ed8313:150849567c0:202a	Membership
-60ed8313:150849567c0:3528	Membership
-60ed8313:150849567c0:43bd	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Europeans/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/city/Resita/	City
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	City
-60ed8313:150849567c0:1eeb	Membership
-60ed8313:150849567c0:228a	Membership
-60ed8313:150849567c0:3788	Membership
-60ed8313:150849567c0:261e	Membership
-60ed8313:150849567c0:34d4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	City
-60ed8313:150849567c0:3430	Membership
-60ed8313:150849567c0:1b07	Membership
http://www.semwebtech.org/mondial/10/country/GUY/	Country
-60ed8313:150849567c0:17d9	Border
-60ed8313:150849567c0:287e	Membership
-60ed8313:150849567c0:3a62	Membership
-60ed8313:150849567c0:4239	BelievedBy
-60ed8313:150849567c0:1735	Encompassed
http://www.semwebtech.org/mondial/10/religion/UnitingChurchAustralia/	Religion
-60ed8313:150849567c0:25ca	Membership
-60ed8313:150849567c0:3690	Membership
http://www.semwebtech.org/mondial/10/river/Karun/	River
-60ed8313:150849567c0:1d67	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	City
-60ed8313:150849567c0:2bfc	Membership
http://www.semwebtech.org/mondial/10/mountain/K2/	Mountain
-60ed8313:150849567c0:4499	EthnicProportion
-60ed8313:150849567c0:1ab3	Membership
-60ed8313:150849567c0:1995	Membership
-60ed8313:150849567c0:332f	Membership
-60ed8313:150849567c0:41e5	BelievedBy
-60ed8313:150849567c0:16e1	Encompassed
-60ed8313:150849567c0:3da2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	City
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	Province
-60ed8313:150849567c0:4141	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Yezidi/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	Province
-60ed8313:150849567c0:39d0	Membership
-60ed8313:150849567c0:358f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/city/Shillong/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	Province
http://www.semwebtech.org/mondial/10/mountain/PuncakJaya/	Mountain
-60ed8313:150849567c0:2446	Membership
-60ed8313:150849567c0:32db	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	Province
-60ed8313:150849567c0:2a78	Membership
http://www.semwebtech.org/mondial/10/river/Urubamba/	River
-60ed8313:150849567c0:23f2	Membership
-60ed8313:150849567c0:38cf	Membership
http://www.semwebtech.org/mondial/10/sea/GulfofBengal/	Sea
-60ed8313:150849567c0:1b6e	Membership
http://www.semwebtech.org/mondial/10/mountain/Mawenzi/	Mountain
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	City
-60ed8313:150849567c0:382b	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	City
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	City
-60ed8313:150849567c0:179c	Encompassed
-60ed8313:150849567c0:2db8	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	City
-60ed8313:150849567c0:3e5d	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	Province
-60ed8313:150849567c0:3157	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	City
-60ed8313:150849567c0:2d14	Membership
-60ed8313:150849567c0:29e6	Membership
-60ed8313:150849567c0:2942	Membership
-60ed8313:150849567c0:1eae	Membership
-60ed8313:150849567c0:2f74	Membership
-60ed8313:150849567c0:224d	Membership
-60ed8313:150849567c0:1e0a	Membership
-60ed8313:150849567c0:2cc0	Membership
-60ed8313:150849567c0:453c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Lithuanian/	EthnicGroup
-60ed8313:150849567c0:3ac9	Membership
http://www.semwebtech.org/mondial/10/source/Chatanga/	Source
-60ed8313:150849567c0:3a25	Membership
-60ed8313:150849567c0:36f7	Membership
-60ed8313:150849567c0:3653	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	City
http://www.semwebtech.org/mondial/10/country/COCO/	Country
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	City
-60ed8313:150849567c0:2bbf	Membership
-60ed8313:150849567c0:3c85	Membership
-60ed8313:150849567c0:2b1b	Membership
-60ed8313:150849567c0:1958	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	City
-60ed8313:150849567c0:27ed	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Province
http://www.semwebtech.org/mondial/10/estuary/Aller/	Estuary
-60ed8313:150849567c0:41a8	BelievedBy
-60ed8313:150849567c0:4104	SpokenBy
-60ed8313:150849567c0:1cd6	Membership
-60ed8313:150849567c0:2d7b	Membership
-60ed8313:150849567c0:2075	Membership
http://www.semwebtech.org/mondial/10/mountain/Marmolata/	Mountain
http://www.semwebtech.org/mondial/10/island/Sumatra/	Island
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	City
-60ed8313:150849567c0:1c32	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	City
-60ed8313:150849567c0:3fc5	Membership
-60ed8313:150849567c0:2409	Membership
-60ed8313:150849567c0:4364	EthnicProportion
-60ed8313:150849567c0:1860	Border
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	Province
-60ed8313:150849567c0:3f21	Membership
http://www.semwebtech.org/mondial/10/language/Turkic/	Language
-60ed8313:150849567c0:40b0	SpokenBy
-60ed8313:150849567c0:1e92	Membership
-60ed8313:150849567c0:2669	Membership
-60ed8313:150849567c0:34fe	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	City
-60ed8313:150849567c0:23b5	Membership
-60ed8313:150849567c0:345a	Membership
-60ed8313:150849567c0:2311	Membership
-60ed8313:150849567c0:3a8c	Membership
http://www.semwebtech.org/mondial/10/island/Cyprus/	Island
http://www.semwebtech.org/mondial/10/sea/GulfofMexico/	Sea
-60ed8313:150849567c0:175f	Encompassed
-60ed8313:150849567c0:29a9	Membership
-60ed8313:150849567c0:2571	Membership
http://www.semwebtech.org/mondial/10/country/BZ/	Country
-60ed8313:150849567c0:1add	Membership
-60ed8313:150849567c0:2905	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	City
http://www.semwebtech.org/mondial/10/organization/EFTA/	Organization
-60ed8313:150849567c0:2f37	Membership
-60ed8313:150849567c0:3dcc	Membership
-60ed8313:150849567c0:30c6	Membership
http://www.semwebtech.org/mondial/10/sea/SuluSea/	Sea
-60ed8313:150849567c0:416b	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MonteCinto/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	City
-60ed8313:150849567c0:39fa	Membership
-60ed8313:150849567c0:3022	Membership
-60ed8313:150849567c0:28b1	Membership
-60ed8313:150849567c0:2ee3	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	Province
-60ed8313:150849567c0:21bc	Membership
-60ed8313:150849567c0:3282	Membership
-60ed8313:150849567c0:3616	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	Province
-60ed8313:150849567c0:44ab	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Amhara/	EthnicGroup
-60ed8313:150849567c0:3c48	Membership
http://www.semwebtech.org/mondial/10/island/ChristmasIsland/	Island
http://www.semwebtech.org/mondial/10/estuary/Ural/	Estuary
-60ed8313:150849567c0:3876	Membership
-60ed8313:150849567c0:270c	Membership
-60ed8313:150849567c0:35c2	Membership
http://www.semwebtech.org/mondial/10/source/Donau/	Source
-60ed8313:150849567c0:2d3e	Membership
-60ed8313:150849567c0:3bf4	Membership
-60ed8313:150849567c0:2038	Membership
-60ed8313:150849567c0:18c7	Border
-60ed8313:150849567c0:296c	Membership
-60ed8313:150849567c0:4327	BelievedBy
-60ed8313:150849567c0:3b50	Membership
-60ed8313:150849567c0:2f9e	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	City
-60ed8313:150849567c0:1ef9	Membership
-60ed8313:150849567c0:1823	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	City
-60ed8313:150849567c0:2298	Membership
http://www.semwebtech.org/mondial/10/estuary/ConnecticutRiver/	Estuary
-60ed8313:150849567c0:1e55	Membership
-60ed8313:150849567c0:2cea	Membership
-60ed8313:150849567c0:4587	EthnicProportion
-60ed8313:150849567c0:1ba1	Membership
http://www.semwebtech.org/mondial/10/river/Lukenie/	River
-60ed8313:150849567c0:341d	Membership
http://www.semwebtech.org/mondial/10/country/LAO/	Country
-60ed8313:150849567c0:42d3	BelievedBy
-60ed8313:150849567c0:3a4f	Membership
http://www.semwebtech.org/mondial/10/country/TL/	Country
-60ed8313:150849567c0:25d8	Membership
-60ed8313:150849567c0:367d	Membership
http://www.semwebtech.org/mondial/10/mountain/Tahan/	Mountain
-60ed8313:150849567c0:2534	Membership
-60ed8313:150849567c0:2b66	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	City
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	City
-60ed8313:150849567c0:16ce	Encompassed
http://www.semwebtech.org/mondial/10/country/TAD/	Country
-60ed8313:150849567c0:2794	Membership
-60ed8313:150849567c0:412e	BelievedBy
-60ed8313:150849567c0:39bd	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/city/Aboisso/	City
-60ed8313:150849567c0:24e0	Membership
-60ed8313:150849567c0:209f	Membership
-60ed8313:150849567c0:1c5c	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	City
-60ed8313:150849567c0:3fef	Membership
-60ed8313:150849567c0:32e9	Membership
-60ed8313:150849567c0:438e	EthnicProportion
-60ed8313:150849567c0:188a	Border
-60ed8313:150849567c0:2ea6	Membership
http://www.semwebtech.org/mondial/10/island/Timor/	Island
-60ed8313:150849567c0:3f4b	Membership
-60ed8313:150849567c0:3245	Membership
-60ed8313:150849567c0:40da	SpokenBy
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	City
-60ed8313:150849567c0:2e02	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/HanChinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	Province
-60ed8313:150849567c0:23df	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	City
-60ed8313:150849567c0:3839	Membership
-60ed8313:150849567c0:233b	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	City
-60ed8313:150849567c0:31f1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tamil/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	City
-60ed8313:150849567c0:259b	Membership
-60ed8313:150849567c0:3bb7	Membership
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	City
-60ed8313:150849567c0:292f	Membership
-60ed8313:150849567c0:3b13	Membership
-60ed8313:150849567c0:37e5	Membership
-60ed8313:150849567c0:1a84	Membership
-60ed8313:150849567c0:3741	Membership
-60ed8313:150849567c0:1e18	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	City
-60ed8313:150849567c0:2cad	Membership
-60ed8313:150849567c0:3d73	Membership
-60ed8313:150849567c0:304c	Membership
http://www.semwebtech.org/mondial/10/country/K/	Country
-60ed8313:150849567c0:28db	Membership
http://www.semwebtech.org/mondial/10/country/AXA/city/TheValley/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	City
-60ed8313:150849567c0:1dc4	Membership
-60ed8313:150849567c0:2163	Membership
-60ed8313:150849567c0:44f6	EthnicProportion
-60ed8313:150849567c0:1d20	Membership
-60ed8313:150849567c0:19f2	Membership
http://www.semwebtech.org/mondial/10/river/Zaire/	River
-60ed8313:150849567c0:4452	EthnicProportion
-60ed8313:150849567c0:2b29	Membership
-60ed8313:150849567c0:1f80	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraNegra/	Mountains
-60ed8313:150849567c0:2757	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	City
-60ed8313:150849567c0:35ec	Membership
http://www.semwebtech.org/mondial/10/estuary/Adda/	Estuary
-60ed8313:150849567c0:2d89	Membership
-60ed8313:150849567c0:24a3	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	Province
-60ed8313:150849567c0:1c1f	Membership
-60ed8313:150849567c0:2ad5	Membership
-60ed8313:150849567c0:3b7a	Membership
http://www.semwebtech.org/mondial/10/mountain/Zhima/	Mountain
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	Province
-60ed8313:150849567c0:184d	Border
-60ed8313:150849567c0:2a31	Membership
-60ed8313:150849567c0:3f0e	Membership
-60ed8313:150849567c0:3208	Membership
-60ed8313:150849567c0:1e7f	Membership
-60ed8313:150849567c0:1bcb	Membership
-60ed8313:150849567c0:2c91	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	City
http://www.semwebtech.org/mondial/10/country/J/province/Mie/city/Tsu/	City
-60ed8313:150849567c0:3468	Membership
http://www.semwebtech.org/mondial/10/country/RCA/	Country
-60ed8313:150849567c0:42fd	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	Province
-60ed8313:150849567c0:3eba	Membership
-60ed8313:150849567c0:31b4	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	City
-60ed8313:150849567c0:3110	Membership
-60ed8313:150849567c0:255e	Membership
-60ed8313:150849567c0:2fd1	Membership
-60ed8313:150849567c0:22aa	Membership
-60ed8313:150849567c0:37a8	Membership
-60ed8313:150849567c0:3370	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	Province
-60ed8313:150849567c0:1a47	Membership
-60ed8313:150849567c0:3704	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	Province
-60ed8313:150849567c0:4179	BelievedBy
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	City
http://www.semwebtech.org/mondial/10/language/Danish/	Language
-60ed8313:150849567c0:3d36	Membership
-60ed8313:150849567c0:300f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	City
-60ed8313:150849567c0:3964	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	Province
http://www.semwebtech.org/mondial/10/language/Montenegrin/	Language
http://www.semwebtech.org/mondial/10/mountains/Andes/	Mountains
-60ed8313:150849567c0:3f96	Membership
-60ed8313:150849567c0:36b0	Membership
-60ed8313:150849567c0:326f	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	City
http://www.semwebtech.org/mondial/10/organization/BIS/	Organization
-60ed8313:150849567c0:44b9	EthnicProportion
-60ed8313:150849567c0:2e2c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	City
-60ed8313:150849567c0:3ce2	Membership
-60ed8313:150849567c0:2126	Membership
-60ed8313:150849567c0:4081	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/city/Artvin/	City
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	City
-60ed8313:150849567c0:19b5	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	City
-60ed8313:150849567c0:4415	EthnicProportion
http://www.semwebtech.org/mondial/10/island/NorthCaicos/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/city/SanCarlos/	City
http://www.semwebtech.org/mondial/10/continent/Australia-Oceania/	Continent
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	City
-60ed8313:150849567c0:1fe7	Membership
-60ed8313:150849567c0:1911	Membership
-60ed8313:150849567c0:2386	Membership
-60ed8313:150849567c0:1f6d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	City
-60ed8313:150849567c0:1f43	Membership
-60ed8313:150849567c0:20d2	Membership
-60ed8313:150849567c0:35af	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	City
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	City
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	City
http://www.semwebtech.org/mondial/10/mountains/WrangellMountains/	Mountains
-60ed8313:150849567c0:350b	Membership
-60ed8313:150849567c0:43c1	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/Christian/	Religion
-60ed8313:150849567c0:3b3d	Membership
-60ed8313:150849567c0:26c6	Membership
-60ed8313:150849567c0:376b	Membership
-60ed8313:150849567c0:2cf8	Membership
-60ed8313:150849567c0:2622	Membership
-60ed8313:150849567c0:3d9d	Membership
-60ed8313:150849567c0:3097	Membership
http://www.semwebtech.org/mondial/10/country/BRN/	Country
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	City
-60ed8313:150849567c0:2c54	Membership
-60ed8313:150849567c0:17bc	Border
-60ed8313:150849567c0:2882	Membership
-60ed8313:150849567c0:421c	BelievedBy
-60ed8313:150849567c0:1dee	Membership
-60ed8313:150849567c0:218d	Membership
http://www.semwebtech.org/mondial/10/mountain/TorredeCerredo/	Mountain
-60ed8313:150849567c0:1d4a	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	City
-60ed8313:150849567c0:33d7	Membership
-60ed8313:150849567c0:447c	EthnicProportion
-60ed8313:150849567c0:3333	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	City
http://www.semwebtech.org/mondial/10/language/Dungun/	Language
-60ed8313:150849567c0:24cd	Membership
http://www.semwebtech.org/mondial/10/source/Volta/	Source
-60ed8313:150849567c0:3593	Membership
-60ed8313:150849567c0:2aff	Membership
-60ed8313:150849567c0:3927	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	City
-60ed8313:150849567c0:1898	Border
-60ed8313:150849567c0:2a5b	Membership
-60ed8313:150849567c0:3f59	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	City
-60ed8313:150849567c0:40e8	SpokenBy
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	City
-60ed8313:150849567c0:3ca5	Membership
-60ed8313:150849567c0:4044	SpokenBy
http://www.semwebtech.org/mondial/10/river/Lukuga/	River
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	City
-60ed8313:150849567c0:3c01	Membership
-60ed8313:150849567c0:38d3	Membership
-60ed8313:150849567c0:1b72	Membership
http://www.semwebtech.org/mondial/10/river/Huallaga/	River
http://www.semwebtech.org/mondial/10/river/Mississippi/	River
-60ed8313:150849567c0:2349	Membership
-60ed8313:150849567c0:31de	Membership
-60ed8313:150849567c0:1f06	Membership
-60ed8313:150849567c0:3e61	Membership
-60ed8313:150849567c0:313a	Membership
http://www.semwebtech.org/mondial/10/island/Rhum/	Island
-60ed8313:150849567c0:2ffb	Membership
-60ed8313:150849567c0:22f5	Membership
-60ed8313:150849567c0:339a	Membership
-60ed8313:150849567c0:1eb2	Membership
http://www.semwebtech.org/mondial/10/estuary/Amur/	Estuary
http://www.semwebtech.org/mondial/10/river/Uelle/	River
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	Province
-60ed8313:150849567c0:2251	Membership
-60ed8313:150849567c0:372e	Membership
http://www.semwebtech.org/mondial/10/island/Panay/	Island
-60ed8313:150849567c0:4540	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Oder/	Source
-60ed8313:150849567c0:2c17	Membership
-60ed8313:150849567c0:28e9	Membership
-60ed8313:150849567c0:3aac	Membership
-60ed8313:150849567c0:398e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	City
-60ed8313:150849567c0:2845	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	City
-60ed8313:150849567c0:36da	Membership
http://www.semwebtech.org/mondial/10/river/RioDesaguadero/	River
http://www.semwebtech.org/mondial/10/language/Kyrgyz/	Language
-60ed8313:150849567c0:2e77	Membership
http://www.semwebtech.org/mondial/10/mountain/Elbrus/	Mountain
-60ed8313:150849567c0:1d0d	Membership
-60ed8313:150849567c0:19df	Membership
-60ed8313:150849567c0:2bc3	Membership
http://www.semwebtech.org/mondial/10/lake/LakeToba/	Lake
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	City
-60ed8313:150849567c0:443f	EthnicProportion
-60ed8313:150849567c0:193b	Membership
-60ed8313:150849567c0:27f1	Membership
-60ed8313:150849567c0:20fc	Membership
-60ed8313:150849567c0:3556	Membership
-60ed8313:150849567c0:43eb	EthnicProportion
-60ed8313:150849567c0:3b88	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	City
-60ed8313:150849567c0:32a2	Membership
-60ed8313:150849567c0:2a1e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	Province
http://www.semwebtech.org/mondial/10/lake/LagodeSobradinho/	Lake
-60ed8313:150849567c0:264c	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	City
-60ed8313:150849567c0:4007	SpokenBy
-60ed8313:150849567c0:1bd9	Membership
-60ed8313:150849567c0:2c7e	Membership
http://www.semwebtech.org/mondial/10/lake/LagodeChapala/	Lake
-60ed8313:150849567c0:1b35	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	City
-60ed8313:150849567c0:3ec8	Membership
-60ed8313:150849567c0:3a90	Membership
-60ed8313:150849567c0:4267	BelievedBy
-60ed8313:150849567c0:1763	Encompassed
-60ed8313:150849567c0:3e24	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	City
-60ed8313:150849567c0:1d95	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	Province
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	City
-60ed8313:150849567c0:2fbe	Membership
-60ed8313:150849567c0:1ae1	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	City
-60ed8313:150849567c0:22b8	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/city/Sarnen/	City
-60ed8313:150849567c0:335d	Membership
-60ed8313:150849567c0:2f1a	Membership
-60ed8313:150849567c0:3dd0	Membership
-60ed8313:150849567c0:2214	Membership
http://www.semwebtech.org/mondial/10/country/SP/	Country
-60ed8313:150849567c0:4503	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/ErgOuarane/	Desert
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	City
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	Province
-60ed8313:150849567c0:2474	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	City
http://www.semwebtech.org/mondial/10/island/Providenciales/	Island
-60ed8313:150849567c0:2808	Membership
-60ed8313:150849567c0:21c0	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	City
-60ed8313:150849567c0:3ccf	Membership
-60ed8313:150849567c0:406e	SpokenBy
-60ed8313:150849567c0:3c2b	Membership
-60ed8313:150849567c0:38fd	Membership
-60ed8313:150849567c0:1b9c	Membership
-60ed8313:150849567c0:27b4	Membership
http://www.semwebtech.org/mondial/10/estuary/Jordan/	Estuary
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	City
-60ed8313:150849567c0:3e8b	Membership
-60ed8313:150849567c0:2de6	Membership
-60ed8313:150849567c0:2710	Membership
-60ed8313:150849567c0:20bf	Membership
-60ed8313:150849567c0:3185	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	City
-60ed8313:150849567c0:2d42	Membership
-60ed8313:150849567c0:3519	Membership
-60ed8313:150849567c0:201b	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	City
-60ed8313:150849567c0:43ae	EthnicProportion
-60ed8313:150849567c0:18aa	Border
-60ed8313:150849567c0:2970	Membership
-60ed8313:150849567c0:430a	BelievedBy
-60ed8313:150849567c0:1edc	Membership
http://www.semwebtech.org/mondial/10/estuary/Sanaga/	Estuary
-60ed8313:150849567c0:227b	Membership
-60ed8313:150849567c0:3779	Membership
-60ed8313:150849567c0:260f	Membership
-60ed8313:150849567c0:34c5	Membership
-60ed8313:150849567c0:456a	EthnicProportion
-60ed8313:150849567c0:3af7	Membership
-60ed8313:150849567c0:3421	Membership
-60ed8313:150849567c0:286f	Membership
-60ed8313:150849567c0:3a53	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	Province
-60ed8313:150849567c0:1726	Encompassed
http://www.semwebtech.org/mondial/10/river/Ili/	River
-60ed8313:150849567c0:25bb	Membership
-60ed8313:150849567c0:3681	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	Province
-60ed8313:150849567c0:1d58	Membership
-60ed8313:150849567c0:2bed	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	City
http://www.semwebtech.org/mondial/10/source/Limmat/	Source
-60ed8313:150849567c0:1aa4	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	City
-60ed8313:150849567c0:1986	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	City
-60ed8313:150849567c0:41d6	BelievedBy
-60ed8313:150849567c0:1a00	Membership
-60ed8313:150849567c0:16d2	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	Province
-60ed8313:150849567c0:4132	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	Province
-60ed8313:150849567c0:39c1	Membership
-60ed8313:150849567c0:1c60	Membership
-60ed8313:150849567c0:3ff3	SpokenBy
-60ed8313:150849567c0:2437	Membership
-60ed8313:150849567c0:32cc	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	Province
-60ed8313:150849567c0:4392	EthnicProportion
-60ed8313:150849567c0:2a69	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	City
-60ed8313:150849567c0:2697	Membership
http://www.semwebtech.org/mondial/10/mountain/Alpamayo/	Mountain
-60ed8313:150849567c0:23e3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	Province
-60ed8313:150849567c0:1fa0	Membership
-60ed8313:150849567c0:1b5f	Membership
-60ed8313:150849567c0:381c	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	City
-60ed8313:150849567c0:178d	Encompassed
-60ed8313:150849567c0:2da9	Membership
-60ed8313:150849567c0:3e4e	Membership
-60ed8313:150849567c0:3148	Membership
http://www.semwebtech.org/mondial/10/island/Helgoland/	Island
-60ed8313:150849567c0:2d05	Membership
-60ed8313:150849567c0:29d7	Membership
http://www.semwebtech.org/mondial/10/island/VitiLevu/	Island
http://www.semwebtech.org/mondial/10/island/BanksIsland/	Island
-60ed8313:150849567c0:2933	Membership
-60ed8313:150849567c0:3dfa	Membership
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	City
-60ed8313:150849567c0:2f65	Membership
-60ed8313:150849567c0:223e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	City
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	City
-60ed8313:150849567c0:30f4	Membership
-60ed8313:150849567c0:2cb1	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	City
http://www.semwebtech.org/mondial/10/island/Tahiti/	Island
-60ed8313:150849567c0:3050	Membership
-60ed8313:150849567c0:452d	EthnicProportion
-60ed8313:150849567c0:249e	Membership
http://www.semwebtech.org/mondial/10/source/Bartang/	Source
-60ed8313:150849567c0:3a16	Membership
-60ed8313:150849567c0:21ea	Membership
-60ed8313:150849567c0:36e8	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	Province
-60ed8313:150849567c0:3644	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	City
-60ed8313:150849567c0:3c76	Membership
-60ed8313:150849567c0:1949	Membership
-60ed8313:150849567c0:2b0c	Membership
-60ed8313:150849567c0:27de	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Gandhinagar/	City
-60ed8313:150849567c0:273a	Membership
-60ed8313:150849567c0:35f0	Membership
-60ed8313:150849567c0:1cc7	Membership
-60ed8313:150849567c0:2d6c	Membership
-60ed8313:150849567c0:2066	Membership
-60ed8313:150849567c0:43f9	EthnicProportion
-60ed8313:150849567c0:1c23	Membership
-60ed8313:150849567c0:18f5	Border
-60ed8313:150849567c0:299a	Membership
-60ed8313:150849567c0:3fb6	Membership
-60ed8313:150849567c0:4355	EthnicProportion
-60ed8313:150849567c0:1851	Border
-60ed8313:150849567c0:3f12	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	City
-60ed8313:150849567c0:40a1	SpokenBy
-60ed8313:150849567c0:1e83	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Uzbek/	EthnicGroup
-60ed8313:150849567c0:34ef	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	Province
http://www.semwebtech.org/mondial/10/organization/IBRD/	Organization
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	City
-60ed8313:150849567c0:23a6	Membership
-60ed8313:150849567c0:344b	Membership
-60ed8313:150849567c0:2302	Membership
-60ed8313:150849567c0:3a7d	Membership
http://www.semwebtech.org/mondial/10/country/BOL/	Country
http://www.semwebtech.org/mondial/10/mountain/Soufriere/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/Turkmen/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Vuoksi/	Source
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	City
-60ed8313:150849567c0:2562	Membership
-60ed8313:150849567c0:1ace	Membership
-60ed8313:150849567c0:2b94	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	City
-60ed8313:150849567c0:1a2a	Membership
-60ed8313:150849567c0:16fc	Encompassed
-60ed8313:150849567c0:2f28	Membership
-60ed8313:150849567c0:3dbd	Membership
-60ed8313:150849567c0:30b7	Membership
-60ed8313:150849567c0:415c	BelievedBy
-60ed8313:150849567c0:39eb	Membership
http://www.semwebtech.org/mondial/10/source/TruckeeRiver/	Source
-60ed8313:150849567c0:3013	Membership
-60ed8313:150849567c0:1c8a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	City
http://www.semwebtech.org/mondial/10/organization/LAIA/	Organization
-60ed8313:150849567c0:28a2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	City
-60ed8313:150849567c0:2ed4	Membership
-60ed8313:150849567c0:21ad	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	City
-60ed8313:150849567c0:3273	Membership
-60ed8313:150849567c0:2e30	Membership
-60ed8313:150849567c0:3607	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	City
-60ed8313:150849567c0:3c39	Membership
http://www.semwebtech.org/mondial/10/river/Neckar/	River
-60ed8313:150849567c0:1fca	Membership
-60ed8313:150849567c0:3867	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	City
-60ed8313:150849567c0:3e99	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	City
-60ed8313:150849567c0:35b3	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/city/Morioka/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	Province
-60ed8313:150849567c0:2d2f	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	City
-60ed8313:150849567c0:3be5	Membership
-60ed8313:150849567c0:2029	Membership
-60ed8313:150849567c0:18b8	Border
-60ed8313:150849567c0:295d	Membership
-60ed8313:150849567c0:3b41	Membership
-60ed8313:150849567c0:4318	BelievedBy
-60ed8313:150849567c0:2f8f	Membership
-60ed8313:150849567c0:1814	Border
http://www.semwebtech.org/mondial/10/organization/ICCt/	Organization
-60ed8313:150849567c0:2289	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	City
-60ed8313:150849567c0:1e46	Membership
-60ed8313:150849567c0:2cdb	Membership
-60ed8313:150849567c0:307a	Membership
-60ed8313:150849567c0:4578	EthnicProportion
-60ed8313:150849567c0:340e	Membership
-60ed8313:150849567c0:42c4	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	City
-60ed8313:150849567c0:17c0	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	City
-60ed8313:150849567c0:4220	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Merapi/	Mountain
-60ed8313:150849567c0:1df2	Membership
-60ed8313:150849567c0:25c9	Membership
http://www.semwebtech.org/mondial/10/organization/CDB/	Organization
-60ed8313:150849567c0:2191	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	City
-60ed8313:150849567c0:366e	Membership
-60ed8313:150849567c0:2525	Membership
-60ed8313:150849567c0:33ba	Membership
-60ed8313:150849567c0:4480	EthnicProportion
-60ed8313:150849567c0:2b57	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	City
http://www.semwebtech.org/mondial/10/estuary/Ruzizi/	Estuary
-60ed8313:150849567c0:2785	Membership
-60ed8313:150849567c0:411f	BelievedBy
http://www.semwebtech.org/mondial/10/organization/EU/	Organization
-60ed8313:150849567c0:24d1	Membership
-60ed8313:150849567c0:39ae	Membership
http://www.semwebtech.org/mondial/10/country/CI/	Country
-60ed8313:150849567c0:1c4d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	City
-60ed8313:150849567c0:390a	Membership
-60ed8313:150849567c0:437f	EthnicProportion
-60ed8313:150849567c0:187b	Border
-60ed8313:150849567c0:3f3c	Membership
-60ed8313:150849567c0:3236	Membership
-60ed8313:150849567c0:40cb	SpokenBy
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	City
http://www.semwebtech.org/mondial/10/mountains/Pyrenees/	Mountains
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	Province
-60ed8313:150849567c0:3496	Membership
-60ed8313:150849567c0:232c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	City
-60ed8313:150849567c0:31e2	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	City
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Dravidian/	EthnicGroup
-60ed8313:150849567c0:1f34	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	City
http://www.semwebtech.org/mondial/10/language/Hindko/	Language
-60ed8313:150849567c0:258c	Membership
-60ed8313:150849567c0:3ba8	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	Province
-60ed8313:150849567c0:3b04	Membership
http://www.semwebtech.org/mondial/10/country/LB/	Country
-60ed8313:150849567c0:37d6	Membership
http://www.semwebtech.org/mondial/10/mountain/Snoehetta/	Mountain
-60ed8313:150849567c0:1a75	Membership
-60ed8313:150849567c0:3732	Membership
http://www.semwebtech.org/mondial/10/organization/IDB/	Organization
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	City
-60ed8313:150849567c0:1e09	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	Province
-60ed8313:150849567c0:3d64	Membership
-60ed8313:150849567c0:303d	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	City
-60ed8313:150849567c0:3ab0	Membership
-60ed8313:150849567c0:28cc	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	Province
-60ed8313:150849567c0:3992	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	City
-60ed8313:150849567c0:2efe	Membership
-60ed8313:150849567c0:21f8	Membership
-60ed8313:150849567c0:329d	Membership
-60ed8313:150849567c0:1db5	Membership
-60ed8313:150849567c0:2e5a	Membership
-60ed8313:150849567c0:2154	Membership
-60ed8313:150849567c0:44e7	EthnicProportion
-60ed8313:150849567c0:1d11	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	City
-60ed8313:150849567c0:19e3	Membership
http://www.semwebtech.org/mondial/10/country/RT/	Country
-60ed8313:150849567c0:4443	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	City
-60ed8313:150849567c0:1f71	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	City
-60ed8313:150849567c0:2748	Membership
-60ed8313:150849567c0:35dd	Membership
http://www.semwebtech.org/mondial/10/estuary/Fulda/	Estuary
-60ed8313:150849567c0:2ac6	Membership
-60ed8313:150849567c0:3b6b	Membership
-60ed8313:150849567c0:2a22	Membership
-60ed8313:150849567c0:183e	Border
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	City
-60ed8313:150849567c0:26f4	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	Province
-60ed8313:150849567c0:2650	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/SouthAsian/	EthnicGroup
-60ed8313:150849567c0:1bbc	Membership
-60ed8313:150849567c0:2c82	Membership
-60ed8313:150849567c0:3459	Membership
-60ed8313:150849567c0:42ee	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/CerrodePunta/	Mountain
-60ed8313:150849567c0:17ea	Border
-60ed8313:150849567c0:3eab	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	Province
-60ed8313:150849567c0:31a5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese-Chinese/	EthnicGroup
-60ed8313:150849567c0:424a	BelievedBy
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	Province
-60ed8313:150849567c0:3101	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	City
-60ed8313:150849567c0:254f	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	Province
-60ed8313:150849567c0:2fc2	Membership
-60ed8313:150849567c0:3361	Membership
-60ed8313:150849567c0:1a38	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	City
-60ed8313:150849567c0:3d27	Membership
-60ed8313:150849567c0:24fb	Membership
-60ed8313:150849567c0:39f9	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	Province
-60ed8313:150849567c0:1c98	Membership
-60ed8313:150849567c0:3955	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	City
http://www.semwebtech.org/mondial/10/source/Bomu/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	City
-60ed8313:150849567c0:3f87	Membership
-60ed8313:150849567c0:36a1	Membership
-60ed8313:150849567c0:3cd3	Membership
-60ed8313:150849567c0:2e1d	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	Province
-60ed8313:150849567c0:2117	Membership
-60ed8313:150849567c0:4072	SpokenBy
-60ed8313:150849567c0:19a6	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	Province
-60ed8313:150849567c0:4406	EthnicProportion
-60ed8313:150849567c0:1fd8	Membership
-60ed8313:150849567c0:1902	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	Province
-60ed8313:150849567c0:2377	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	Province
http://www.semwebtech.org/mondial/10/lake/LakeNicaragua/	Lake
-60ed8313:150849567c0:20c3	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Batswana/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	Province
-60ed8313:150849567c0:43b2	EthnicProportion
-60ed8313:150849567c0:3b2e	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	City
-60ed8313:150849567c0:1ee0	Membership
-60ed8313:150849567c0:1a9f	Membership
-60ed8313:150849567c0:26b7	Membership
-60ed8313:150849567c0:375c	Membership
-60ed8313:150849567c0:2ce9	Membership
-60ed8313:150849567c0:2613	Membership
-60ed8313:150849567c0:3d8e	Membership
-60ed8313:150849567c0:3088	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	City
-60ed8313:150849567c0:2c45	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	City
-60ed8313:150849567c0:3ada	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	City
-60ed8313:150849567c0:17ad	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/European/	EthnicGroup
-60ed8313:150849567c0:2873	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hadiya/	EthnicGroup
-60ed8313:150849567c0:420d	BelievedBy
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	City
-60ed8313:150849567c0:1ddf	Membership
http://www.semwebtech.org/mondial/10/island/Ternate/	Island
-60ed8313:150849567c0:217e	Membership
-60ed8313:150849567c0:1d3b	Membership
-60ed8313:150849567c0:2bf1	Membership
-60ed8313:150849567c0:33c8	Membership
-60ed8313:150849567c0:446d	EthnicProportion
-60ed8313:150849567c0:3324	Membership
-60ed8313:150849567c0:1f9b	Membership
http://www.semwebtech.org/mondial/10/mountain/ChangbaiShan/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	City
-60ed8313:150849567c0:24be	Membership
-60ed8313:150849567c0:3584	Membership
http://www.semwebtech.org/mondial/10/island/Lampedusa/	Island
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	City
-60ed8313:150849567c0:241a	Membership
-60ed8313:150849567c0:3918	Membership
-60ed8313:150849567c0:32d0	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/city/CiriloGuainora/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	City
-60ed8313:150849567c0:1889	Border
-60ed8313:150849567c0:2a4c	Membership
-60ed8313:150849567c0:40d9	SpokenBy
-60ed8313:150849567c0:267a	Membership
-60ed8313:150849567c0:4035	SpokenBy
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	City
http://www.semwebtech.org/mondial/10/mountains/Atlas/	Mountains
-60ed8313:150849567c0:38c4	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	City
http://www.semwebtech.org/mondial/10/country/EAK/	Country
-60ed8313:150849567c0:1b63	Membership
-60ed8313:150849567c0:3ef6	Membership
-60ed8313:150849567c0:3820	Membership
-60ed8313:150849567c0:31cf	Membership
-60ed8313:150849567c0:4295	BelievedBy
-60ed8313:150849567c0:1791	Encompassed
-60ed8313:150849567c0:3e52	Membership
http://www.semwebtech.org/mondial/10/organization/ECO/	Organization
-60ed8313:150849567c0:312b	Membership
-60ed8313:150849567c0:29ba	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	City
-60ed8313:150849567c0:2fec	Membership
-60ed8313:150849567c0:22e6	Membership
-60ed8313:150849567c0:338b	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Province
-60ed8313:150849567c0:1ea3	Membership
-60ed8313:150849567c0:2242	Membership
-60ed8313:150849567c0:371f	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	Province
http://www.semwebtech.org/mondial/10/language/Azeri/	Language
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	Province
-60ed8313:150849567c0:4531	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	Province
-60ed8313:150849567c0:2c08	Membership
-60ed8313:150849567c0:397f	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	Province
-60ed8313:150849567c0:2836	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	Province
-60ed8313:150849567c0:36cb	Membership
-60ed8313:150849567c0:2e68	Membership
-60ed8313:150849567c0:3cfd	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	City
-60ed8313:150849567c0:409c	SpokenBy
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	Province
-60ed8313:150849567c0:2bb4	Membership
http://www.semwebtech.org/mondial/10/language/Kurdish/	Language
-60ed8313:150849567c0:192c	Membership
-60ed8313:150849567c0:2b10	Membership
-60ed8313:150849567c0:27e2	Membership
-60ed8313:150849567c0:1f5e	Membership
-60ed8313:150849567c0:20ed	Membership
-60ed8313:150849567c0:1caa	Membership
-60ed8313:150849567c0:2d70	Membership
-60ed8313:150849567c0:1e74	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	City
-60ed8313:150849567c0:3547	Membership
-60ed8313:150849567c0:43dc	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Jordan/	River
-60ed8313:150849567c0:3b79	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	City
-60ed8313:150849567c0:2a0f	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	City
-60ed8313:150849567c0:263d	Membership
-60ed8313:150849567c0:34f3	Membership
http://www.semwebtech.org/mondial/10/river/Sanaga/	River
-60ed8313:150849567c0:2c6f	Membership
http://www.semwebtech.org/mondial/10/source/RioMamore/	Source
-60ed8313:150849567c0:1b26	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	City
-60ed8313:150849567c0:17f8	Border
-60ed8313:150849567c0:289d	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	City
-60ed8313:150849567c0:3eb9	Membership
-60ed8313:150849567c0:3a81	Membership
-60ed8313:150849567c0:4258	BelievedBy
-60ed8313:150849567c0:1754	Encompassed
-60ed8313:150849567c0:3e15	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	City
-60ed8313:150849567c0:1d86	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	City
-60ed8313:150849567c0:1ad2	Membership
-60ed8313:150849567c0:2faf	Membership
-60ed8313:150849567c0:22a9	Membership
-60ed8313:150849567c0:334e	Membership
-60ed8313:150849567c0:2f0b	Membership
-60ed8313:150849567c0:3dc1	Membership
-60ed8313:150849567c0:2205	Membership
http://www.semwebtech.org/mondial/10/language/Slovenian/	Language
-60ed8313:150849567c0:4160	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Mt.Babel/	Mountain
http://www.semwebtech.org/mondial/10/source/Euphrat/	Source
-60ed8313:150849567c0:32fa	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	City
-60ed8313:150849567c0:2465	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	City
-60ed8313:150849567c0:2a97	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	City
-60ed8313:150849567c0:21b1	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	Province
-60ed8313:150849567c0:44a0	EthnicProportion
-60ed8313:150849567c0:405f	SpokenBy
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	Province
http://www.semwebtech.org/mondial/10/island/Taiwan/	Island
-60ed8313:150849567c0:3c1c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	City
-60ed8313:150849567c0:38ee	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/city/Jalingo/	City
-60ed8313:150849567c0:1b8d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	City
-60ed8313:150849567c0:27a5	Membership
-60ed8313:150849567c0:384a	Membership
-60ed8313:150849567c0:2dd7	Membership
-60ed8313:150849567c0:2701	Membership
-60ed8313:150849567c0:3e7c	Membership
-60ed8313:150849567c0:3176	Membership
http://www.semwebtech.org/mondial/10/river/Loire/	River
-60ed8313:150849567c0:2d33	Membership
-60ed8313:150849567c0:200c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	Province
http://www.semwebtech.org/mondial/10/river/Kymijoki/	River
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	City
-60ed8313:150849567c0:2961	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Twa/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Tobago/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	Province
-60ed8313:150849567c0:1ecd	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	City
-60ed8313:150849567c0:2f93	Membership
-60ed8313:150849567c0:226c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mixed/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	Province
-60ed8313:150849567c0:34b6	Membership
-60ed8313:150849567c0:455b	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovak/	EthnicGroup
-60ed8313:150849567c0:3ae8	Membership
-60ed8313:150849567c0:3412	Membership
http://www.semwebtech.org/mondial/10/lake/LakeTurkana/	Lake
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	Province
-60ed8313:150849567c0:3a44	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	Province
-60ed8313:150849567c0:25ac	Membership
-60ed8313:150849567c0:1717	Encompassed
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	Province
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	City
http://www.semwebtech.org/mondial/10/organization/NEA/	Organization
-60ed8313:150849567c0:3672	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Burman/	EthnicGroup
-60ed8313:150849567c0:1d49	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	City
-60ed8313:150849567c0:2bde	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	City
-60ed8313:150849567c0:1977	Membership
-60ed8313:150849567c0:2b3a	Membership
http://www.semwebtech.org/mondial/10/island/Efate/	Island
-60ed8313:150849567c0:41c7	BelievedBy
-60ed8313:150849567c0:16c3	Encompassed
-60ed8313:150849567c0:4123	BelievedBy
-60ed8313:150849567c0:1cf5	Membership
-60ed8313:150849567c0:2d9a	Membership
-60ed8313:150849567c0:39b2	Membership
-60ed8313:150849567c0:2094	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	Province
-60ed8313:150849567c0:1c51	Membership
-60ed8313:150849567c0:4383	EthnicProportion
-60ed8313:150849567c0:3fe4	Membership
-60ed8313:150849567c0:2428	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	City
-60ed8313:150849567c0:32bd	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	City
-60ed8313:150849567c0:3f40	Membership
http://www.semwebtech.org/mondial/10/estuary/Raab/	Estuary
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	City
-60ed8313:150849567c0:2688	Membership
-60ed8313:150849567c0:23d4	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	Province
-60ed8313:150849567c0:2330	Membership
-60ed8313:150849567c0:380d	Membership
http://www.semwebtech.org/mondial/10/country/GROX/	Country
-60ed8313:150849567c0:177e	Encompassed
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	Province
-60ed8313:150849567c0:3e3f	Membership
-60ed8313:150849567c0:3139	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	Province
-60ed8313:150849567c0:29c8	Membership
-60ed8313:150849567c0:2590	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	Province
-60ed8313:150849567c0:1afc	Membership
-60ed8313:150849567c0:2924	Membership
-60ed8313:150849567c0:3399	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	City
-60ed8313:150849567c0:2f56	Membership
-60ed8313:150849567c0:3deb	Membership
-60ed8313:150849567c0:222f	Membership
-60ed8313:150849567c0:30e5	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	Province
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	City
-60ed8313:150849567c0:418a	BelievedBy
-60ed8313:150849567c0:2ca2	Membership
-60ed8313:150849567c0:451e	EthnicProportion
http://www.semwebtech.org/mondial/10/desert/HamadaduDraa/	Desert
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	Province
-60ed8313:150849567c0:3041	Membership
http://www.semwebtech.org/mondial/10/estuary/Ob/	Estuary
-60ed8313:150849567c0:28d0	Membership
-60ed8313:150849567c0:248f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	City
-60ed8313:150849567c0:3a07	Membership
-60ed8313:150849567c0:21db	Membership
-60ed8313:150849567c0:36d9	Membership
-60ed8313:150849567c0:3635	Membership
-60ed8313:150849567c0:44ca	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Moraca/	Source
-60ed8313:150849567c0:3c67	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Bogong/	Mountain
-60ed8313:150849567c0:27cf	Membership
-60ed8313:150849567c0:3895	Membership
-60ed8313:150849567c0:272b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	City
-60ed8313:150849567c0:35e1	Membership
-60ed8313:150849567c0:1cb8	Membership
-60ed8313:150849567c0:2d5d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	City
-60ed8313:150849567c0:2057	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	City
-60ed8313:150849567c0:1c14	Membership
-60ed8313:150849567c0:18e6	Border
-60ed8313:150849567c0:298b	Membership
-60ed8313:150849567c0:3fa7	Membership
http://www.semwebtech.org/mondial/10/mountains/Altai/	Mountains
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	City
-60ed8313:150849567c0:4346	EthnicProportion
-60ed8313:150849567c0:1842	Border
-60ed8313:150849567c0:3f03	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/NorthwesternBantu/	EthnicGroup
-60ed8313:150849567c0:1bc0	Membership
-60ed8313:150849567c0:343c	Membership
-60ed8313:150849567c0:42f2	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	City
-60ed8313:150849567c0:3a6e	Membership
-60ed8313:150849567c0:25f7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kgalagadi/	EthnicGroup
-60ed8313:150849567c0:369c	Membership
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	City
-60ed8313:150849567c0:2553	Membership
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	City
-60ed8313:150849567c0:1abf	Membership
-60ed8313:150849567c0:2b85	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	Province
-60ed8313:150849567c0:1a1b	Membership
-60ed8313:150849567c0:16ed	Encompassed
-60ed8313:150849567c0:2f19	Membership
-60ed8313:150849567c0:3dae	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	City
-60ed8313:150849567c0:30a8	Membership
-60ed8313:150849567c0:414d	BelievedBy
-60ed8313:150849567c0:3d0a	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	Province
-60ed8313:150849567c0:39dc	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Toucouleur/	EthnicGroup
-60ed8313:150849567c0:3004	Membership
-60ed8313:150849567c0:1c7b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	Province
http://www.semwebtech.org/mondial/10/river/Ruzizi/	River
-60ed8313:150849567c0:2ec5	Membership
-60ed8313:150849567c0:3f6a	Membership
-60ed8313:150849567c0:3264	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/city/Mito/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	City
-60ed8313:150849567c0:2e21	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	City
-60ed8313:150849567c0:23fe	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	City
http://www.semwebtech.org/mondial/10/source/Oranje/	Source
-60ed8313:150849567c0:1fbb	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/city/Aleg/	City
-60ed8313:150849567c0:235a	Membership
-60ed8313:150849567c0:3858	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/L-Aquila/	City
-60ed8313:150849567c0:35a4	Membership
http://www.semwebtech.org/mondial/10/mountain/Tarrekaise/	Mountain
-60ed8313:150849567c0:3bd6	Membership
-60ed8313:150849567c0:3500	Membership
http://www.semwebtech.org/mondial/10/sea/EastSibirianSea/	Sea
-60ed8313:150849567c0:18a9	Border
-60ed8313:150849567c0:294e	Membership
-60ed8313:150849567c0:3b32	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	Province
-60ed8313:150849567c0:4309	BelievedBy
-60ed8313:150849567c0:1805	Border
-60ed8313:150849567c0:3760	Membership
-60ed8313:150849567c0:1e37	Membership
http://www.semwebtech.org/mondial/10/country/BIH/	Country
-60ed8313:150849567c0:2ccc	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baoule/	EthnicGroup
-60ed8313:150849567c0:3d92	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	City
-60ed8313:150849567c0:306b	Membership
-60ed8313:150849567c0:4569	EthnicProportion
-60ed8313:150849567c0:28fa	Membership
-60ed8313:150849567c0:42b5	BelievedBy
-60ed8313:150849567c0:17b1	Encompassed
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	City
-60ed8313:150849567c0:4211	BelievedBy
-60ed8313:150849567c0:1de3	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	City
-60ed8313:150849567c0:2182	Membership
-60ed8313:150849567c0:365f	Membership
http://www.semwebtech.org/mondial/10/island/Juist/	Island
-60ed8313:150849567c0:2516	Membership
http://www.semwebtech.org/mondial/10/river/Niger/	River
-60ed8313:150849567c0:33ab	Membership
-60ed8313:150849567c0:4471	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/OzeroTaimyr/	Lake
-60ed8313:150849567c0:2b48	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	City
-60ed8313:150849567c0:2776	Membership
-60ed8313:150849567c0:24c2	Membership
-60ed8313:150849567c0:1c3e	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	City
-60ed8313:150849567c0:2af4	Membership
-60ed8313:150849567c0:186c	Border
-60ed8313:150849567c0:3f2d	Membership
-60ed8313:150849567c0:2a50	Membership
-60ed8313:150849567c0:3227	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	City
-60ed8313:150849567c0:2827	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	Province
-60ed8313:150849567c0:40bc	SpokenBy
-60ed8313:150849567c0:1e9e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	Province
http://www.semwebtech.org/mondial/10/estuary/Narew/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	City
-60ed8313:150849567c0:1bea	Membership
-60ed8313:150849567c0:3487	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Djerma/	EthnicGroup
-60ed8313:150849567c0:231d	Membership
-60ed8313:150849567c0:31d3	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	Province
http://www.semwebtech.org/mondial/10/source/Theiss/	Source
-60ed8313:150849567c0:257d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Fijian/	EthnicGroup
-60ed8313:150849567c0:2ff0	Membership
-60ed8313:150849567c0:37c7	Membership
-60ed8313:150849567c0:1a66	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	City
-60ed8313:150849567c0:3df9	Membership
-60ed8313:150849567c0:3723	Membership
-60ed8313:150849567c0:4198	BelievedBy
-60ed8313:150849567c0:3d55	Membership
-60ed8313:150849567c0:302e	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	City
-60ed8313:150849567c0:28bd	Membership
-60ed8313:150849567c0:3aa1	Membership
-60ed8313:150849567c0:3983	Membership
-60ed8313:150849567c0:2eef	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	City
-60ed8313:150849567c0:21e9	Membership
-60ed8313:150849567c0:328e	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	Province
-60ed8313:150849567c0:1da6	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMalawi/	Lake
-60ed8313:150849567c0:2e4b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	City
-60ed8313:150849567c0:2145	Membership
-60ed8313:150849567c0:44d8	EthnicProportion
-60ed8313:150849567c0:1d02	Membership
-60ed8313:150849567c0:19d4	Membership
-60ed8313:150849567c0:4434	EthnicProportion
-60ed8313:150849567c0:1930	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	City
http://www.semwebtech.org/mondial/10/source/Main/	Source
-60ed8313:150849567c0:1f62	Membership
-60ed8313:150849567c0:2739	Membership
-60ed8313:150849567c0:20f1	Membership
-60ed8313:150849567c0:35ce	Membership
http://www.semwebtech.org/mondial/10/mountain/KljutschewskajaSopka/	Mountain
-60ed8313:150849567c0:352a	Membership
-60ed8313:150849567c0:43e0	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Kebnekaise/	Mountain
-60ed8313:150849567c0:2ab7	Membership
-60ed8313:150849567c0:2999	Membership
-60ed8313:150849567c0:3b5c	Membership
-60ed8313:150849567c0:182f	Border
-60ed8313:150849567c0:2a13	Membership
-60ed8313:150849567c0:26e5	Membership
-60ed8313:150849567c0:378a	Membership
http://www.semwebtech.org/mondial/10/country/COOK/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	City
-60ed8313:150849567c0:2641	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	City
-60ed8313:150849567c0:1bad	Membership
-60ed8313:150849567c0:2c73	Membership
-60ed8313:150849567c0:42df	BelievedBy
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	City
-60ed8313:150849567c0:17db	Border
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	City
-60ed8313:150849567c0:423b	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	City
http://www.semwebtech.org/mondial/10/island/SantaCruzIsland/	Island
http://www.semwebtech.org/mondial/10/desert/GreatSaltLakeDesert/	Desert
-60ed8313:150849567c0:33f6	Membership
-60ed8313:150849567c0:449b	EthnicProportion
-60ed8313:150849567c0:2fb3	Membership
http://www.semwebtech.org/mondial/10/lake/LakeWinnipeg/	Lake
-60ed8313:150849567c0:3352	Membership
-60ed8313:150849567c0:1a29	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Japanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	City
-60ed8313:150849567c0:24ec	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	City
-60ed8313:150849567c0:3d18	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	City
-60ed8313:150849567c0:1c89	Membership
-60ed8313:150849567c0:3946	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	City
-60ed8313:150849567c0:2a7a	Membership
-60ed8313:150849567c0:3f78	Membership
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	City
http://www.semwebtech.org/mondial/10/island/Fakaofo/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	City
-60ed8313:150849567c0:2e0e	Membership
-60ed8313:150849567c0:3cc4	Membership
-60ed8313:150849567c0:2108	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	City
-60ed8313:150849567c0:4063	SpokenBy
http://www.semwebtech.org/mondial/10/island/Niue/	Island
-60ed8313:150849567c0:3c20	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	City
-60ed8313:150849567c0:38f2	Membership
-60ed8313:150849567c0:1fc9	Membership
-60ed8313:150849567c0:1b91	Membership
-60ed8313:150849567c0:2368	Membership
-60ed8313:150849567c0:31fd	Membership
-60ed8313:150849567c0:1f25	Membership
-60ed8313:150849567c0:3e80	Membership
-60ed8313:150849567c0:2dba	Membership
-60ed8313:150849567c0:20b4	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	City
-60ed8313:150849567c0:2010	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	City
-60ed8313:150849567c0:43a3	EthnicProportion
-60ed8313:150849567c0:3b1f	Membership
-60ed8313:150849567c0:1ed1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	City
-60ed8313:150849567c0:26a8	Membership
-60ed8313:150849567c0:2270	Membership
-60ed8313:150849567c0:374d	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	City
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/city/Artemisa/	City
-60ed8313:150849567c0:2604	Membership
-60ed8313:150849567c0:3d7f	Membership
-60ed8313:150849567c0:3079	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	City
-60ed8313:150849567c0:2c36	Membership
-60ed8313:150849567c0:3acb	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	City
-60ed8313:150849567c0:2864	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	Province
-60ed8313:150849567c0:2e96	Membership
-60ed8313:150849567c0:25b0	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	City
-60ed8313:150849567c0:216f	Membership
-60ed8313:150849567c0:1d2c	Membership
-60ed8313:150849567c0:19fe	Membership
-60ed8313:150849567c0:2be2	Membership
-60ed8313:150849567c0:33b9	Membership
-60ed8313:150849567c0:445e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	City
-60ed8313:150849567c0:195a	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	City
-60ed8313:150849567c0:3315	Membership
-60ed8313:150849567c0:41aa	BelievedBy
-60ed8313:150849567c0:1f8c	Membership
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	City
-60ed8313:150849567c0:24af	Membership
-60ed8313:150849567c0:3575	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	Province
-60ed8313:150849567c0:3909	Membership
-60ed8313:150849567c0:240b	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	City
-60ed8313:150849567c0:32c1	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	City
-60ed8313:150849567c0:2a3d	Membership
http://www.semwebtech.org/mondial/10/mountain/BarredesEcrins/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	City
-60ed8313:150849567c0:266b	Membership
-60ed8313:150849567c0:4026	SpokenBy
-60ed8313:150849567c0:1bf8	Membership
-60ed8313:150849567c0:2c9d	Membership
-60ed8313:150849567c0:38b5	Membership
-60ed8313:150849567c0:1b54	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	City
-60ed8313:150849567c0:3ee7	Membership
-60ed8313:150849567c0:3811	Membership
-60ed8313:150849567c0:4286	BelievedBy
-60ed8313:150849567c0:1782	Encompassed
-60ed8313:150849567c0:3e43	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Yuscaran/	City
-60ed8313:150849567c0:311c	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	City
-60ed8313:150849567c0:29ab	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	Province
-60ed8313:150849567c0:2fdd	Membership
-60ed8313:150849567c0:22d7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	City
-60ed8313:150849567c0:337c	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	Province
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	Province
-60ed8313:150849567c0:2233	Membership
http://www.semwebtech.org/mondial/10/country/AXA/	Country
-60ed8313:150849567c0:4522	EthnicProportion
-60ed8313:150849567c0:2493	Membership
-60ed8313:150849567c0:36bc	Membership
http://www.semwebtech.org/mondial/10/organization/APEC/	Organization
-60ed8313:150849567c0:2e59	Membership
-60ed8313:150849567c0:3cee	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Swede/	EthnicGroup
-60ed8313:150849567c0:408d	SpokenBy
-60ed8313:150849567c0:2ba5	Membership
-60ed8313:150849567c0:3c4a	Membership
-60ed8313:150849567c0:2b01	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	Province
-60ed8313:150849567c0:191d	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	Province
-60ed8313:150849567c0:27d3	Membership
-60ed8313:150849567c0:1f4f	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	Province
-60ed8313:150849567c0:20de	Membership
-60ed8313:150849567c0:2d61	Membership
-60ed8313:150849567c0:203a	Membership
-60ed8313:150849567c0:3538	Membership
-60ed8313:150849567c0:43cd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	City
-60ed8313:150849567c0:1efb	Membership
http://www.semwebtech.org/mondial/10/estuary/Petschora/	Estuary
http://www.semwebtech.org/mondial/10/source/Murgab/	Source
-60ed8313:150849567c0:229a	Membership
-60ed8313:150849567c0:3798	Membership
http://www.semwebtech.org/mondial/10/island/CaymanBrac/	Island
-60ed8313:150849567c0:262e	Membership
-60ed8313:150849567c0:34e4	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	Province
http://www.semwebtech.org/mondial/10/language/ChineseLanguage/	Language
-60ed8313:150849567c0:3440	Membership
-60ed8313:150849567c0:1b17	Membership
-60ed8313:150849567c0:17e9	Border
-60ed8313:150849567c0:288e	Membership
-60ed8313:150849567c0:3a72	Membership
http://www.semwebtech.org/mondial/10/desert/ErgMaqteir/	Desert
-60ed8313:150849567c0:4249	BelievedBy
-60ed8313:150849567c0:1745	Encompassed
-60ed8313:150849567c0:25da	Membership
-60ed8313:150849567c0:3e06	Membership
-60ed8313:150849567c0:1d77	Membership
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	City
-60ed8313:150849567c0:1ac3	Membership
http://www.semwebtech.org/mondial/10/island/Sulawesi/	Island
-60ed8313:150849567c0:333f	Membership
-60ed8313:150849567c0:41f5	BelievedBy
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	City
-60ed8313:150849567c0:16f1	Encompassed
-60ed8313:150849567c0:3db2	Membership
-60ed8313:150849567c0:4151	BelievedBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	City
-60ed8313:150849567c0:39e0	Membership
-60ed8313:150849567c0:359f	Membership
-60ed8313:150849567c0:2456	Membership
-60ed8313:150849567c0:32eb	Membership
-60ed8313:150849567c0:2a88	Membership
-60ed8313:150849567c0:21a2	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	City
http://www.semwebtech.org/mondial/10/island/VictoriaIsland/	Island
-60ed8313:150849567c0:3c0d	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	Province
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	City
-60ed8313:150849567c0:38df	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	Province
-60ed8313:150849567c0:1b7e	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	Province
-60ed8313:150849567c0:383b	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	Province
-60ed8313:150849567c0:2dc8	Membership
-60ed8313:150849567c0:3e6d	Membership
-60ed8313:150849567c0:3167	Membership
http://www.semwebtech.org/mondial/10/estuary/BlueNile/	Estuary
-60ed8313:150849567c0:2d24	Membership
-60ed8313:150849567c0:29f6	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	City
-60ed8313:150849567c0:2952	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	Province
-60ed8313:150849567c0:1ebe	Membership
-60ed8313:150849567c0:2f84	Membership
-60ed8313:150849567c0:225d	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	City
-60ed8313:150849567c0:1e1a	Membership
-60ed8313:150849567c0:2cd0	Membership
-60ed8313:150849567c0:34a7	Membership
-60ed8313:150849567c0:454c	EthnicProportion
http://www.semwebtech.org/mondial/10/religion/Chondogyo/	Religion
-60ed8313:150849567c0:3ad9	Membership
-60ed8313:150849567c0:3403	Membership
-60ed8313:150849567c0:3a35	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	City
-60ed8313:150849567c0:1708	Encompassed
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	City
-60ed8313:150849567c0:3663	Membership
-60ed8313:150849567c0:2bcf	Membership
-60ed8313:150849567c0:3c95	Membership
-60ed8313:150849567c0:1968	Membership
-60ed8313:150849567c0:2b2b	Membership
-60ed8313:150849567c0:27fd	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	Province
-60ed8313:150849567c0:41b8	BelievedBy
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	City
-60ed8313:150849567c0:4114	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	City
-60ed8313:150849567c0:1ce6	Membership
-60ed8313:150849567c0:2d8b	Membership
-60ed8313:150849567c0:39a3	Membership
-60ed8313:150849567c0:2085	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	City
-60ed8313:150849567c0:1c42	Membership
http://www.semwebtech.org/mondial/10/organization/CAN/	Organization
-60ed8313:150849567c0:3fd5	Membership
-60ed8313:150849567c0:2419	Membership
http://www.semwebtech.org/mondial/10/estuary/Waag/	Estuary
-60ed8313:150849567c0:32ae	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	Province
-60ed8313:150849567c0:4374	EthnicProportion
-60ed8313:150849567c0:1870	Border
-60ed8313:150849567c0:3f31	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	City
-60ed8313:150849567c0:320a	Membership
-60ed8313:150849567c0:40c0	SpokenBy
-60ed8313:150849567c0:2679	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	City
http://www.semwebtech.org/mondial/10/island/Guernsey/	Island
-60ed8313:150849567c0:23c5	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	City
-60ed8313:150849567c0:346a	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	Province
http://www.semwebtech.org/mondial/10/language/Italian/	Language
-60ed8313:150849567c0:2321	Membership
-60ed8313:150849567c0:3a9c	Membership
-60ed8313:150849567c0:176f	Encompassed
-60ed8313:150849567c0:29b9	Membership
-60ed8313:150849567c0:2581	Membership
-60ed8313:150849567c0:1aed	Membership
-60ed8313:150849567c0:2915	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	City
-60ed8313:150849567c0:37aa	Membership
-60ed8313:150849567c0:2f47	Membership
-60ed8313:150849567c0:3ddc	Membership
-60ed8313:150849567c0:30d6	Membership
-60ed8313:150849567c0:417b	BelievedBy
http://www.semwebtech.org/mondial/10/source/Uelle/	Source
-60ed8313:150849567c0:3032	Membership
-60ed8313:150849567c0:450f	EthnicProportion
-60ed8313:150849567c0:28c1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	City
http://www.semwebtech.org/mondial/10/country/GH/	Country
-60ed8313:150849567c0:2ef3	Membership
-60ed8313:150849567c0:21cc	Membership
-60ed8313:150849567c0:3292	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	Province
http://www.semwebtech.org/mondial/10/mountain/PikRevoluzija/	Mountain
http://www.semwebtech.org/mondial/10/language/Persian/	Language
-60ed8313:150849567c0:3626	Membership
-60ed8313:150849567c0:44bb	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	City
-60ed8313:150849567c0:3c58	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	Province
-60ed8313:150849567c0:3886	Membership
http://www.semwebtech.org/mondial/10/mountain/UlugMuztag/	Mountain
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	Province
http://www.semwebtech.org/mondial/10/country/FJI/	Country
-60ed8313:150849567c0:271c	Membership
-60ed8313:150849567c0:35d2	Membership
http://www.semwebtech.org/mondial/10/island/Hispaniola/	Island
-60ed8313:150849567c0:1ca9	Membership
-60ed8313:150849567c0:2d4e	Membership
-60ed8313:150849567c0:2048	Membership
-60ed8313:150849567c0:18d7	Border
-60ed8313:150849567c0:1c05	Membership
-60ed8313:150849567c0:297c	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	Province
-60ed8313:150849567c0:3b60	Membership
-60ed8313:150849567c0:4337	EthnicProportion
-60ed8313:150849567c0:1833	Border
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	Province
http://www.semwebtech.org/mondial/10/country/PA/	Country
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	Province
http://www.semwebtech.org/mondial/10/organization/UNIDO/	Organization
-60ed8313:150849567c0:1e65	Membership
-60ed8313:150849567c0:2cfa	Membership
http://www.semwebtech.org/mondial/10/country/SYR/	Country
-60ed8313:150849567c0:4597	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	Province
-60ed8313:150849567c0:1bb1	Membership
http://www.semwebtech.org/mondial/10/islands/Laccadives/	Islands
http://www.semwebtech.org/mondial/10/country/RG/	Country
-60ed8313:150849567c0:342d	Membership
-60ed8313:150849567c0:42e3	BelievedBy
-60ed8313:150849567c0:3ea0	Membership
-60ed8313:150849567c0:3a5f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	Province
http://www.semwebtech.org/mondial/10/country/TM/	Country
-60ed8313:150849567c0:25e8	Membership
-60ed8313:150849567c0:368d	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/city/Gracias/	City
-60ed8313:150849567c0:2544	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	City
-60ed8313:150849567c0:2b76	Membership
http://www.semwebtech.org/mondial/10/country/MS/city/PortLouis/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/RussianUkrainian/	EthnicGroup
-60ed8313:150849567c0:1a0c	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	Province
-60ed8313:150849567c0:16de	Encompassed
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	City
-60ed8313:150849567c0:413e	BelievedBy
-60ed8313:150849567c0:24f0	Membership
-60ed8313:150849567c0:39cd	Membership
-60ed8313:150849567c0:1c6c	Membership
-60ed8313:150849567c0:3fff	SpokenBy
-60ed8313:150849567c0:439e	EthnicProportion
-60ed8313:150849567c0:32f9	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	Province
-60ed8313:150849567c0:2eb6	Membership
-60ed8313:150849567c0:189a	Border
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Thai/	EthnicGroup
-60ed8313:150849567c0:3f5b	Membership
-60ed8313:150849567c0:3255	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	Province
-60ed8313:150849567c0:40ea	SpokenBy
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	Province
-60ed8313:150849567c0:2e12	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Province
-60ed8313:150849567c0:23ef	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	Province
http://www.semwebtech.org/mondial/10/source/Ural/	Source
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	Province
-60ed8313:150849567c0:1fac	Membership
-60ed8313:150849567c0:234b	Membership
-60ed8313:150849567c0:3849	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	City
http://www.semwebtech.org/mondial/10/mountain/Dodabetta/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	City
-60ed8313:150849567c0:3bc7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	City
-60ed8313:150849567c0:293f	Membership
-60ed8313:150849567c0:3b23	Membership
-60ed8313:150849567c0:37f5	Membership
-60ed8313:150849567c0:1a94	Membership
-60ed8313:150849567c0:3751	Membership
-60ed8313:150849567c0:1e28	Membership
-60ed8313:150849567c0:2cbd	Membership
-60ed8313:150849567c0:3d83	Membership
-60ed8313:150849567c0:305c	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	City
http://www.semwebtech.org/mondial/10/country/L/	Country
-60ed8313:150849567c0:28eb	Membership
-60ed8313:150849567c0:42a6	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Perene/	Estuary
-60ed8313:150849567c0:17a2	Encompassed
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	City
-60ed8313:150849567c0:4202	BelievedBy
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/city/Kidal/	City
-60ed8313:150849567c0:1dd4	Membership
-60ed8313:150849567c0:2173	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	City
-60ed8313:150849567c0:1d30	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	Province
-60ed8313:150849567c0:2507	Membership
http://www.semwebtech.org/mondial/10/estuary/Ganges/	Estuary
-60ed8313:150849567c0:4462	EthnicProportion
-60ed8313:150849567c0:2b39	Membership
-60ed8313:150849567c0:1f90	Membership
-60ed8313:150849567c0:2767	Membership
-60ed8313:150849567c0:35fc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	City
-60ed8313:150849567c0:2d99	Membership
-60ed8313:150849567c0:24b3	Membership
http://www.semwebtech.org/mondial/10/organization/UNTSO/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	Province
-60ed8313:150849567c0:1c2f	Membership
-60ed8313:150849567c0:2ae5	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	City
-60ed8313:150849567c0:3b8a	Membership
http://www.semwebtech.org/mondial/10/mountains/Zagros/	Mountains
-60ed8313:150849567c0:185d	Border
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/city/Faro/	City
-60ed8313:150849567c0:2a41	Membership
-60ed8313:150849567c0:3f1e	Membership
-60ed8313:150849567c0:3218	Membership
-60ed8313:150849567c0:40ad	SpokenBy
-60ed8313:150849567c0:1e8f	Membership
http://www.semwebtech.org/mondial/10/island/Faial/	Island
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	City
-60ed8313:150849567c0:1bdb	Membership
-60ed8313:150849567c0:3478	Membership
http://www.semwebtech.org/mondial/10/country/RCB/	Country
-60ed8313:150849567c0:3eca	Membership
-60ed8313:150849567c0:230e	Membership
-60ed8313:150849567c0:31c4	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/city/Calarasi/	City
-60ed8313:150849567c0:3120	Membership
http://www.semwebtech.org/mondial/10/source/Suchona/	Source
http://www.semwebtech.org/mondial/10/river/Fimi/	River
http://www.semwebtech.org/mondial/10/language/Slovak/	Language
-60ed8313:150849567c0:256e	Membership
http://www.semwebtech.org/mondial/10/mountain/Popomanaseu/	Mountain
-60ed8313:150849567c0:2fe1	Membership
http://www.semwebtech.org/mondial/10/mountain/Cotopaxi/	Mountain
-60ed8313:150849567c0:22ba	Membership
-60ed8313:150849567c0:37b8	Membership
-60ed8313:150849567c0:3380	Membership
-60ed8313:150849567c0:1a57	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	City
-60ed8313:150849567c0:3714	Membership
-60ed8313:150849567c0:4189	BelievedBy
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	Province
-60ed8313:150849567c0:3d46	Membership
-60ed8313:150849567c0:301f	Membership
http://www.semwebtech.org/mondial/10/estuary/SnowyRiver/	Estuary
-60ed8313:150849567c0:28ae	Membership
-60ed8313:150849567c0:3974	Membership
http://www.semwebtech.org/mondial/10/river/RioSaoFrancisco/	River
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	City
-60ed8313:150849567c0:36c0	Membership
-60ed8313:150849567c0:280a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	City
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	City
-60ed8313:150849567c0:327f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kunama/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Selenge/	Estuary
-60ed8313:150849567c0:3cf2	Membership
-60ed8313:150849567c0:2e3c	Membership
-60ed8313:150849567c0:2136	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	City
http://www.semwebtech.org/mondial/10/organization/ECB/	Organization
-60ed8313:150849567c0:44c9	EthnicProportion
-60ed8313:150849567c0:4091	SpokenBy
-60ed8313:150849567c0:19c5	Membership
-60ed8313:150849567c0:4425	EthnicProportion
-60ed8313:150849567c0:1921	Membership
-60ed8313:150849567c0:1ff7	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	Province
-60ed8313:150849567c0:2396	Membership
-60ed8313:150849567c0:1f53	Membership
http://www.semwebtech.org/mondial/10/river/Leine/	River
-60ed8313:150849567c0:20e2	Membership
-60ed8313:150849567c0:35bf	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Soussou/	EthnicGroup
-60ed8313:150849567c0:351b	Membership
-60ed8313:150849567c0:43d1	EthnicProportion
-60ed8313:150849567c0:2aa8	Membership
http://www.semwebtech.org/mondial/10/language/Sinhala/	Language
-60ed8313:150849567c0:3b4d	Membership
-60ed8313:150849567c0:2a04	Membership
-60ed8313:150849567c0:26d6	Membership
-60ed8313:150849567c0:377b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	Province
-60ed8313:150849567c0:2632	Membership
http://www.semwebtech.org/mondial/10/sea/BandaSea/	Sea
-60ed8313:150849567c0:2c64	Membership
-60ed8313:150849567c0:17cc	Border
-60ed8313:150849567c0:2892	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	City
-60ed8313:150849567c0:422c	BelievedBy
-60ed8313:150849567c0:1dfe	Membership
-60ed8313:150849567c0:219d	Membership
-60ed8313:150849567c0:1d5a	Membership
-60ed8313:150849567c0:33e7	Membership
-60ed8313:150849567c0:448c	EthnicProportion
-60ed8313:150849567c0:2fa4	Membership
-60ed8313:150849567c0:3343	Membership
-60ed8313:150849567c0:2f00	Membership
http://www.semwebtech.org/mondial/10/language/Georgian/	Language
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	City
http://www.semwebtech.org/mondial/10/source/Olt/	Source
-60ed8313:150849567c0:24dd	Membership
-60ed8313:150849567c0:3d09	Membership
-60ed8313:150849567c0:3937	Membership
-60ed8313:150849567c0:2a6b	Membership
-60ed8313:150849567c0:3f69	Membership
-60ed8313:150849567c0:40f8	SpokenBy
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	City
-60ed8313:150849567c0:3cb5	Membership
-60ed8313:150849567c0:4054	SpokenBy
-60ed8313:150849567c0:3c11	Membership
-60ed8313:150849567c0:38e3	Membership
-60ed8313:150849567c0:1b82	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	Province
-60ed8313:150849567c0:2359	Membership
-60ed8313:150849567c0:31ee	Membership
-60ed8313:150849567c0:1f16	Membership
-60ed8313:150849567c0:2dab	Membership
-60ed8313:150849567c0:3e71	Membership
-60ed8313:150849567c0:20a5	Membership
-60ed8313:150849567c0:314a	Membership
-60ed8313:150849567c0:2001	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	Province
http://www.semwebtech.org/mondial/10/mountains/CanaryIslands/	Mountains
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	Province
-60ed8313:150849567c0:1ec2	Membership
-60ed8313:150849567c0:2261	Membership
-60ed8313:150849567c0:373e	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	City
-60ed8313:150849567c0:4550	EthnicProportion
-60ed8313:150849567c0:3abc	Membership
-60ed8313:150849567c0:2c27	Membership
-60ed8313:150849567c0:28f9	Membership
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	City
-60ed8313:150849567c0:399e	Membership
-60ed8313:150849567c0:2855	Membership
-60ed8313:150849567c0:36ea	Membership
http://www.semwebtech.org/mondial/10/mountain/Pulog/	Mountain
-60ed8313:150849567c0:2e87	Membership
-60ed8313:150849567c0:25a1	Membership
http://www.semwebtech.org/mondial/10/island/PrinceofWalesIsland/	Island
-60ed8313:150849567c0:19ef	Membership
-60ed8313:150849567c0:1d1d	Membership
-60ed8313:150849567c0:2bd3	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	City
-60ed8313:150849567c0:444f	EthnicProportion
-60ed8313:150849567c0:194b	Membership
http://www.semwebtech.org/mondial/10/estuary/Akagera/	Estuary
http://www.semwebtech.org/mondial/10/country/FL/	Country
-60ed8313:150849567c0:3306	Membership
-60ed8313:150849567c0:1f7d	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	City
http://www.semwebtech.org/mondial/10/organization/NAFTA/	Organization
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	Province
http://www.semwebtech.org/mondial/10/country/HR/	Country
-60ed8313:150849567c0:3566	Membership
-60ed8313:150849567c0:43fb	EthnicProportion
-60ed8313:150849567c0:3b98	Membership
-60ed8313:150849567c0:32b2	Membership
-60ed8313:150849567c0:2a2e	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	City
http://www.semwebtech.org/mondial/10/islands/GreaterAntilles/	Islands
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	Province
-60ed8313:150849567c0:265c	Membership
-60ed8313:150849567c0:4017	SpokenBy
-60ed8313:150849567c0:1be9	Membership
-60ed8313:150849567c0:2c8e	Membership
-60ed8313:150849567c0:38a6	Membership
http://www.semwebtech.org/mondial/10/island/Lipari/	Island
-60ed8313:150849567c0:1b45	Membership
-60ed8313:150849567c0:3ed8	Membership
-60ed8313:150849567c0:3802	Membership
-60ed8313:150849567c0:4277	BelievedBy
-60ed8313:150849567c0:1773	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	Province
-60ed8313:150849567c0:3e34	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	City
-60ed8313:150849567c0:310d	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	Province
http://www.semwebtech.org/mondial/10/source/Klaraelv/	Source
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	Province
-60ed8313:150849567c0:1af1	Membership
-60ed8313:150849567c0:2fce	Membership
http://www.semwebtech.org/mondial/10/source/Amur/	Source
-60ed8313:150849567c0:22c8	Membership
-60ed8313:150849567c0:336d	Membership
http://www.semwebtech.org/mondial/10/desert/UstUrt/	Desert
-60ed8313:150849567c0:2f2a	Membership
-60ed8313:150849567c0:3de0	Membership
-60ed8313:150849567c0:2224	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	City
-60ed8313:150849567c0:4513	EthnicProportion
-60ed8313:150849567c0:2484	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Vietnamese/	EthnicGroup
-60ed8313:150849567c0:2818	Membership
-60ed8313:150849567c0:21d0	Membership
-60ed8313:150849567c0:36ad	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/city/Uige/	City
-60ed8313:150849567c0:3cdf	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	Province
-60ed8313:150849567c0:407e	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/Fogo/	Mountain
http://www.semwebtech.org/mondial/10/island/Unalaska/	Island
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	City
http://www.semwebtech.org/mondial/10/estuary/SaskatchewanRiver/	Estuary
-60ed8313:150849567c0:3c3b	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/city/Salgótarján/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	Province
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	City
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	Province
-60ed8313:150849567c0:190e	Membership
-60ed8313:150849567c0:27c4	Membership
http://www.semwebtech.org/mondial/10/estuary/Schilka/	Estuary
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	Province
-60ed8313:150849567c0:3e9b	Membership
-60ed8313:150849567c0:2df6	Membership
-60ed8313:150849567c0:2720	Membership
-60ed8313:150849567c0:20cf	Membership
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	City
-60ed8313:150849567c0:3195	Membership
http://www.semwebtech.org/mondial/10/mountains/SudetyMountains/	Mountains
-60ed8313:150849567c0:2d52	Membership
-60ed8313:150849567c0:202b	Membership
-60ed8313:150849567c0:3529	Membership
-60ed8313:150849567c0:43be	EthnicProportion
-60ed8313:150849567c0:18ba	Border
-60ed8313:150849567c0:2980	Membership
-60ed8313:150849567c0:431a	BelievedBy
-60ed8313:150849567c0:1eec	Membership
http://www.semwebtech.org/mondial/10/lake/QinghaiLake/	Lake
-60ed8313:150849567c0:228b	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	Province
-60ed8313:150849567c0:3789	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Maya/	EthnicGroup
-60ed8313:150849567c0:261f	Membership
-60ed8313:150849567c0:457a	EthnicProportion
-60ed8313:150849567c0:34d5	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/Hillerød/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	Province
http://www.semwebtech.org/mondial/10/estuary/Benue/	Estuary
-60ed8313:150849567c0:3431	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	City
-60ed8313:150849567c0:1b08	Membership
-60ed8313:150849567c0:287f	Membership
-60ed8313:150849567c0:3a63	Membership
-60ed8313:150849567c0:1736	Encompassed
-60ed8313:150849567c0:25cb	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	Province
-60ed8313:150849567c0:3691	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	City
-60ed8313:150849567c0:1d68	Membership
-60ed8313:150849567c0:2bfd	Membership
-60ed8313:150849567c0:1996	Membership
-60ed8313:150849567c0:1ab4	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRobson/	Mountain
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	City
-60ed8313:150849567c0:41e6	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Brigach/	Estuary
-60ed8313:150849567c0:16e2	Encompassed
-60ed8313:150849567c0:1a10	Membership
http://www.semwebtech.org/mondial/10/islands/HawaiiIslands/	Islands
-60ed8313:150849567c0:3da3	Membership
-60ed8313:150849567c0:4142	BelievedBy
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Mon/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	City
-60ed8313:150849567c0:39d1	Membership
-60ed8313:150849567c0:1c70	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Koulikoro/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	City
-60ed8313:150849567c0:2447	Membership
http://www.semwebtech.org/mondial/10/estuary/Thjorsa/	Estuary
-60ed8313:150849567c0:32dc	Membership
-60ed8313:150849567c0:2a79	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Norman-French/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	City
http://www.semwebtech.org/mondial/10/estuary/Marne/	Estuary
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	City
-60ed8313:150849567c0:23f3	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	City
-60ed8313:150849567c0:1fb0	Membership
-60ed8313:150849567c0:1b6f	Membership
-60ed8313:150849567c0:382c	Membership
-60ed8313:150849567c0:179d	Encompassed
-60ed8313:150849567c0:2db9	Membership
-60ed8313:150849567c0:3e5e	Membership
-60ed8313:150849567c0:3158	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	Province
http://www.semwebtech.org/mondial/10/source/Kwa/	Source
-60ed8313:150849567c0:2d15	Membership
-60ed8313:150849567c0:29e7	Membership
-60ed8313:150849567c0:3baa	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	City
-60ed8313:150849567c0:2943	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Abaetetuba/	City
-60ed8313:150849567c0:1eaf	Membership
-60ed8313:150849567c0:2f75	Membership
-60ed8313:150849567c0:224e	Membership
http://www.semwebtech.org/mondial/10/lake/FortPeckLake/	Lake
-60ed8313:150849567c0:1e0b	Membership
-60ed8313:150849567c0:2cc1	Membership
http://www.semwebtech.org/mondial/10/source/Weichsel/	Source
-60ed8313:150849567c0:3060	Membership
-60ed8313:150849567c0:453d	EthnicProportion
-60ed8313:150849567c0:3a26	Membership
-60ed8313:150849567c0:21fa	Membership
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	City
-60ed8313:150849567c0:36f8	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	Province
-60ed8313:150849567c0:3654	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	City
http://www.semwebtech.org/mondial/10/estuary/Guadiana/	Estuary
-60ed8313:150849567c0:3c86	Membership
-60ed8313:150849567c0:33a0	Membership
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	City
-60ed8313:150849567c0:1959	Membership
-60ed8313:150849567c0:2b1c	Membership
-60ed8313:150849567c0:27ee	Membership
-60ed8313:150849567c0:41a9	BelievedBy
-60ed8313:150849567c0:274a	Membership
-60ed8313:150849567c0:4105	SpokenBy
-60ed8313:150849567c0:1cd7	Membership
-60ed8313:150849567c0:2d7c	Membership
-60ed8313:150849567c0:2076	Membership
-60ed8313:150849567c0:1c33	Membership
-60ed8313:150849567c0:3fc6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	City
-60ed8313:150849567c0:4365	EthnicProportion
-60ed8313:150849567c0:1861	Border
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	City
-60ed8313:150849567c0:3f22	Membership
-60ed8313:150849567c0:40b1	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	Province
http://www.semwebtech.org/mondial/10/country/WEST/city/Ramallah/	City
-60ed8313:150849567c0:1e93	Membership
http://www.semwebtech.org/mondial/10/country/ROK/	Country
-60ed8313:150849567c0:34ff	Membership
-60ed8313:150849567c0:23b6	Membership
-60ed8313:150849567c0:345b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	Province
-60ed8313:150849567c0:2312	Membership
-60ed8313:150849567c0:3a8d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gourmantche/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Guam/	Island
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	City
http://www.semwebtech.org/mondial/10/estuary/TruckeeRiver/	Estuary
http://www.semwebtech.org/mondial/10/mountain/Mantalingajan/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/Beja/	EthnicGroup
-60ed8313:150849567c0:2572	Membership
http://www.semwebtech.org/mondial/10/island/Bangka/	Island
-60ed8313:150849567c0:1ade	Membership
-60ed8313:150849567c0:2906	Membership
-60ed8313:150849567c0:1a3a	Membership
-60ed8313:150849567c0:2f38	Membership
-60ed8313:150849567c0:3dcd	Membership
-60ed8313:150849567c0:30c7	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	City
-60ed8313:150849567c0:416c	BelievedBy
-60ed8313:150849567c0:39fb	Membership
http://www.semwebtech.org/mondial/10/mountain/MtBlackburn/	Mountain
-60ed8313:150849567c0:3023	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	Province
-60ed8313:150849567c0:1c9a	Membership
-60ed8313:150849567c0:28b2	Membership
http://www.semwebtech.org/mondial/10/river/Naryn/	River
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	City
-60ed8313:150849567c0:2ee4	Membership
-60ed8313:150849567c0:21bd	Membership
-60ed8313:150849567c0:3283	Membership
-60ed8313:150849567c0:2e40	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	City
-60ed8313:150849567c0:3617	Membership
-60ed8313:150849567c0:44ac	EthnicProportion
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/city/Sirnak/	City
-60ed8313:150849567c0:3c49	Membership
-60ed8313:150849567c0:1fda	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	City
-60ed8313:150849567c0:3877	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	City
-60ed8313:150849567c0:270d	Membership
-60ed8313:150849567c0:35c3	Membership
-60ed8313:150849567c0:3bf5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	City
-60ed8313:150849567c0:2d3f	Membership
-60ed8313:150849567c0:2039	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	Province
-60ed8313:150849567c0:18c8	Border
-60ed8313:150849567c0:296d	Membership
-60ed8313:150849567c0:3b51	Membership
-60ed8313:150849567c0:4328	BelievedBy
-60ed8313:150849567c0:1824	Border
-60ed8313:150849567c0:2f9f	Membership
-60ed8313:150849567c0:2299	Membership
http://www.semwebtech.org/mondial/10/lake/DeadSea/	Lake
-60ed8313:150849567c0:1e56	Membership
-60ed8313:150849567c0:2ceb	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/BritishIsles/	EthnicGroup
-60ed8313:150849567c0:4588	EthnicProportion
-60ed8313:150849567c0:308a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	Province
-60ed8313:150849567c0:1ba2	Membership
-60ed8313:150849567c0:341e	Membership
-60ed8313:150849567c0:42d4	BelievedBy
-60ed8313:150849567c0:17d0	Border
-60ed8313:150849567c0:4230	BelievedBy
-60ed8313:150849567c0:25d9	Membership
http://www.semwebtech.org/mondial/10/mountain/Sulitjelma/	Mountain
-60ed8313:150849567c0:367e	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	City
-60ed8313:150849567c0:2b0d	Membership
http://www.semwebtech.org/mondial/10/river/Perene/	River
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	City
http://www.semwebtech.org/mondial/10/islands/NordfriesischeInseln/	Islands
-60ed8313:150849567c0:2535	Membership
-60ed8313:150849567c0:33ca	Membership
-60ed8313:150849567c0:4490	EthnicProportion
-60ed8313:150849567c0:2b67	Membership
http://www.semwebtech.org/mondial/10/organization/CP/	Organization
http://www.semwebtech.org/mondial/10/estuary/Baro/	Estuary
-60ed8313:150849567c0:16cf	Encompassed
-60ed8313:150849567c0:2795	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	City
-60ed8313:150849567c0:412f	BelievedBy
-60ed8313:150849567c0:24e1	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	City
-60ed8313:150849567c0:39be	Membership
http://www.semwebtech.org/mondial/10/source/Schari/	Source
-60ed8313:150849567c0:1c5d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	City
-60ed8313:150849567c0:391a	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	City
-60ed8313:150849567c0:438f	EthnicProportion
-60ed8313:150849567c0:188b	Border
-60ed8313:150849567c0:2ea7	Membership
-60ed8313:150849567c0:3f4c	Membership
-60ed8313:150849567c0:3246	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/	Province
-60ed8313:150849567c0:40db	SpokenBy
-60ed8313:150849567c0:2e03	Membership
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	City
-60ed8313:150849567c0:233c	Membership
http://www.semwebtech.org/mondial/10/estuary/Etsch/	Estuary
-60ed8313:150849567c0:31f2	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	City
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/SantiagodeCompostela/	City
-60ed8313:150849567c0:259c	Membership
-60ed8313:150849567c0:3bb8	Membership
-60ed8313:150849567c0:3b14	Membership
-60ed8313:150849567c0:37e6	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	City
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	City
-60ed8313:150849567c0:1a85	Membership
-60ed8313:150849567c0:3742	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	City
-60ed8313:150849567c0:1e19	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mande/	EthnicGroup
-60ed8313:150849567c0:2cae	Membership
-60ed8313:150849567c0:3d74	Membership
-60ed8313:150849567c0:304d	Membership
-60ed8313:150849567c0:2c0a	Membership
-60ed8313:150849567c0:28dc	Membership
-60ed8313:150849567c0:3ac0	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	City
http://www.semwebtech.org/mondial/10/island/SanMiguelIsland/	Island
http://www.semwebtech.org/mondial/10/lake/LakeAbbe/	Lake
http://www.semwebtech.org/mondial/10/source/Semliki/	Source
-60ed8313:150849567c0:1dc5	Membership
-60ed8313:150849567c0:2e6a	Membership
-60ed8313:150849567c0:2164	Membership
http://www.semwebtech.org/mondial/10/organization/IHO/	Organization
-60ed8313:150849567c0:44f7	EthnicProportion
-60ed8313:150849567c0:19f3	Membership
-60ed8313:150849567c0:1d21	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Province
-60ed8313:150849567c0:4453	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	City
http://www.semwebtech.org/mondial/10/source/Dalaelv/	Source
-60ed8313:150849567c0:1f81	Membership
-60ed8313:150849567c0:2758	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	Province
-60ed8313:150849567c0:35ed	Membership
http://www.semwebtech.org/mondial/10/source/Lualaba/	Source
-60ed8313:150849567c0:24a4	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	City
-60ed8313:150849567c0:2ad6	Membership
-60ed8313:150849567c0:2400	Membership
-60ed8313:150849567c0:3b7b	Membership
-60ed8313:150849567c0:184e	Border
-60ed8313:150849567c0:2a32	Membership
-60ed8313:150849567c0:3f0f	Membership
-60ed8313:150849567c0:3209	Membership
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	City
http://www.semwebtech.org/mondial/10/source/Hwangho/	Source
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	City
-60ed8313:150849567c0:2660	Membership
http://www.semwebtech.org/mondial/10/islands/LesserAntilles/	Islands
-60ed8313:150849567c0:1bcc	Membership
-60ed8313:150849567c0:2c92	Membership
-60ed8313:150849567c0:3469	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	Province
-60ed8313:150849567c0:42fe	BelievedBy
-60ed8313:150849567c0:17fa	Border
-60ed8313:150849567c0:3ebb	Membership
-60ed8313:150849567c0:31b5	Membership
-60ed8313:150849567c0:425a	BelievedBy
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	City
-60ed8313:150849567c0:3111	Membership
http://www.semwebtech.org/mondial/10/lake/Saimaa/	Lake
-60ed8313:150849567c0:29a0	Membership
-60ed8313:150849567c0:255f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	City
-60ed8313:150849567c0:2fd2	Membership
-60ed8313:150849567c0:22ab	Membership
-60ed8313:150849567c0:37a9	Membership
-60ed8313:150849567c0:3371	Membership
-60ed8313:150849567c0:1a48	Membership
http://www.semwebtech.org/mondial/10/mountains/Darfur/	Mountains
-60ed8313:150849567c0:3705	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	City
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	City
-60ed8313:150849567c0:3d37	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	City
http://www.semwebtech.org/mondial/10/organization/MINURSO/	Organization
-60ed8313:150849567c0:3965	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	Province
-60ed8313:150849567c0:3f97	Membership
-60ed8313:150849567c0:36b1	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	City
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	City
-60ed8313:150849567c0:2e2d	Membership
-60ed8313:150849567c0:3ce3	Membership
-60ed8313:150849567c0:2127	Membership
http://www.semwebtech.org/mondial/10/language/Russian/	Language
-60ed8313:150849567c0:4082	SpokenBy
-60ed8313:150849567c0:19b6	Membership
http://www.semwebtech.org/mondial/10/country/Z/	Country
-60ed8313:150849567c0:4416	EthnicProportion
-60ed8313:150849567c0:1912	Membership
-60ed8313:150849567c0:1fe8	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	Province
-60ed8313:150849567c0:2387	Membership
-60ed8313:150849567c0:1f44	Membership
-60ed8313:150849567c0:20d3	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	City
-60ed8313:150849567c0:350c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	City
-60ed8313:150849567c0:43c2	EthnicProportion
http://www.semwebtech.org/mondial/10/source/OhioRiver/	Source
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	City
-60ed8313:150849567c0:3b3e	Membership
-60ed8313:150849567c0:1ef0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/black-Amerindian/	EthnicGroup
-60ed8313:150849567c0:26c7	Membership
-60ed8313:150849567c0:376c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Africandescent/	EthnicGroup
-60ed8313:150849567c0:2cf9	Membership
-60ed8313:150849567c0:2623	Membership
-60ed8313:150849567c0:3d9e	Membership
http://www.semwebtech.org/mondial/10/islands/CocosIslands/	Islands
-60ed8313:150849567c0:3098	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bahraini/	EthnicGroup
-60ed8313:150849567c0:2c55	Membership
http://www.semwebtech.org/mondial/10/estuary/Elbe/	Estuary
-60ed8313:150849567c0:3aea	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	City
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	City
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/city/Wavre/	City
-60ed8313:150849567c0:17bd	Border
-60ed8313:150849567c0:2883	Membership
-60ed8313:150849567c0:421d	BelievedBy
-60ed8313:150849567c0:1def	Membership
-60ed8313:150849567c0:218e	Membership
-60ed8313:150849567c0:1d4b	Membership
-60ed8313:150849567c0:33d8	Membership
-60ed8313:150849567c0:447d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	City
-60ed8313:150849567c0:3334	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	Province
-60ed8313:150849567c0:24ce	Membership
-60ed8313:150849567c0:3594	Membership
http://www.semwebtech.org/mondial/10/estuary/Garonne/	Estuary
-60ed8313:150849567c0:242a	Membership
-60ed8313:150849567c0:3928	Membership
-60ed8313:150849567c0:32e0	Membership
-60ed8313:150849567c0:1899	Border
-60ed8313:150849567c0:2a5c	Membership
-60ed8313:150849567c0:40e9	SpokenBy
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	Province
-60ed8313:150849567c0:268a	Membership
-60ed8313:150849567c0:3ca6	Membership
-60ed8313:150849567c0:4045	SpokenBy
-60ed8313:150849567c0:3c02	Membership
-60ed8313:150849567c0:38d4	Membership
http://www.semwebtech.org/mondial/10/estuary/Maas/	Estuary
-60ed8313:150849567c0:1b73	Membership
-60ed8313:150849567c0:3830	Membership
-60ed8313:150849567c0:31df	Membership
-60ed8313:150849567c0:1f07	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	City
-60ed8313:150849567c0:3e62	Membership
http://www.semwebtech.org/mondial/10/desert/Mojave/	Desert
-60ed8313:150849567c0:313b	Membership
http://www.semwebtech.org/mondial/10/river/Aller/	River
-60ed8313:150849567c0:29ca	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	City
-60ed8313:150849567c0:2ffc	Membership
-60ed8313:150849567c0:22f6	Membership
-60ed8313:150849567c0:339b	Membership
-60ed8313:150849567c0:1eb3	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	City
-60ed8313:150849567c0:372f	Membership
-60ed8313:150849567c0:2252	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	City
-60ed8313:150849567c0:4541	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/CordilleraVilcanota/	Mountains
-60ed8313:150849567c0:2c18	Membership
http://www.semwebtech.org/mondial/10/country/PITC/	Country
-60ed8313:150849567c0:3aad	Membership
-60ed8313:150849567c0:398f	Membership
-60ed8313:150849567c0:2846	Membership
-60ed8313:150849567c0:36db	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	Province
-60ed8313:150849567c0:2e78	Membership
-60ed8313:150849567c0:1d0e	Membership
-60ed8313:150849567c0:2bc4	Membership
-60ed8313:150849567c0:2b20	Membership
-60ed8313:150849567c0:193c	Membership
-60ed8313:150849567c0:27f2	Membership
http://www.semwebtech.org/mondial/10/organization/UNITAR/	Organization
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	Province
http://www.semwebtech.org/mondial/10/source/Niger/	Source
-60ed8313:150849567c0:1f6e	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	Province
-60ed8313:150849567c0:20fd	Membership
-60ed8313:150849567c0:1cba	Membership
-60ed8313:150849567c0:2d80	Membership
-60ed8313:150849567c0:3557	Membership
-60ed8313:150849567c0:43ec	EthnicProportion
-60ed8313:150849567c0:3b89	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	City
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	City
-60ed8313:150849567c0:32a3	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	City
-60ed8313:150849567c0:2a1f	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	City
-60ed8313:150849567c0:264d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	Province
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	City
-60ed8313:150849567c0:4008	SpokenBy
-60ed8313:150849567c0:2c7f	Membership
http://www.semwebtech.org/mondial/10/river/RioGrande/	River
-60ed8313:150849567c0:1b36	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	City
-60ed8313:150849567c0:3ec9	Membership
-60ed8313:150849567c0:3a91	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	City
-60ed8313:150849567c0:4268	BelievedBy
-60ed8313:150849567c0:1764	Encompassed
-60ed8313:150849567c0:3e25	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	City
-60ed8313:150849567c0:1d96	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	Province
-60ed8313:150849567c0:1ae2	Membership
-60ed8313:150849567c0:2fbf	Membership
-60ed8313:150849567c0:22b9	Membership
-60ed8313:150849567c0:335e	Membership
-60ed8313:150849567c0:2f1b	Membership
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	City
-60ed8313:150849567c0:3dd1	Membership
-60ed8313:150849567c0:2215	Membership
http://www.semwebtech.org/mondial/10/mountain/Lhotse/	Mountain
-60ed8313:150849567c0:30aa	Membership
-60ed8313:150849567c0:4170	BelievedBy
-60ed8313:150849567c0:4504	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	City
-60ed8313:150849567c0:2475	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	Province
http://www.semwebtech.org/mondial/10/organization/CEPGL/	Organization
-60ed8313:150849567c0:2809	Membership
-60ed8313:150849567c0:21c1	Membership
-60ed8313:150849567c0:44b0	EthnicProportion
-60ed8313:150849567c0:406f	SpokenBy
-60ed8313:150849567c0:3c2c	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	Province
-60ed8313:150849567c0:38fe	Membership
http://www.semwebtech.org/mondial/10/mountain/Licancabur/	Mountain
-60ed8313:150849567c0:1b9d	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	City
-60ed8313:150849567c0:27b5	Membership
-60ed8313:150849567c0:385a	Membership
-60ed8313:150849567c0:2de7	Membership
-60ed8313:150849567c0:2711	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	City
-60ed8313:150849567c0:3e8c	Membership
-60ed8313:150849567c0:3186	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	City
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	Province
-60ed8313:150849567c0:2d43	Membership
-60ed8313:150849567c0:201c	Membership
-60ed8313:150849567c0:43af	EthnicProportion
-60ed8313:150849567c0:18ab	Border
-60ed8313:150849567c0:2971	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	City
-60ed8313:150849567c0:430b	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	City
-60ed8313:150849567c0:1edd	Membership
-60ed8313:150849567c0:227c	Membership
http://www.semwebtech.org/mondial/10/mountain/MontOrohena/	Mountain
-60ed8313:150849567c0:34c6	Membership
-60ed8313:150849567c0:456b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/FGU/	Country
-60ed8313:150849567c0:3af8	Membership
-60ed8313:150849567c0:3422	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bagisu/	EthnicGroup
-60ed8313:150849567c0:3a54	Membership
http://www.semwebtech.org/mondial/10/island/Westray/	Island
-60ed8313:150849567c0:1727	Encompassed
http://www.semwebtech.org/mondial/10/estuary/Werra/	Estuary
-60ed8313:150849567c0:25bc	Membership
-60ed8313:150849567c0:3682	Membership
http://www.semwebtech.org/mondial/10/island/Wangerooge/	Island
-60ed8313:150849567c0:1d59	Membership
-60ed8313:150849567c0:2bee	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	Province
-60ed8313:150849567c0:1987	Membership
-60ed8313:150849567c0:1aa5	Membership
-60ed8313:150849567c0:2b4a	Membership
-60ed8313:150849567c0:41d7	BelievedBy
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	City
-60ed8313:150849567c0:16d3	Encompassed
-60ed8313:150849567c0:1a01	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	City
-60ed8313:150849567c0:4133	BelievedBy
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	City
http://www.semwebtech.org/mondial/10/mountain/Llullaillaco/	Mountain
-60ed8313:150849567c0:39c2	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	Province
http://www.semwebtech.org/mondial/10/continent/America/	Continent
-60ed8313:150849567c0:1c61	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/city/Cobija/	City
-60ed8313:150849567c0:3ff4	SpokenBy
-60ed8313:150849567c0:2438	Membership
-60ed8313:150849567c0:32cd	Membership
-60ed8313:150849567c0:4393	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	City
-60ed8313:150849567c0:3f50	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	City
-60ed8313:150849567c0:2698	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	City
http://www.semwebtech.org/mondial/10/mountain/Zachwoa/	Mountain
-60ed8313:150849567c0:23e4	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	City
http://www.semwebtech.org/mondial/10/source/Mur/	Source
-60ed8313:150849567c0:1fa1	Membership
-60ed8313:150849567c0:381d	Membership
-60ed8313:150849567c0:2340	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/city/Khorugh/	City
-60ed8313:150849567c0:178e	Encompassed
-60ed8313:150849567c0:3e4f	Membership
http://www.semwebtech.org/mondial/10/estuary/Nile/	Estuary
-60ed8313:150849567c0:3149	Membership
-60ed8313:150849567c0:2d06	Membership
-60ed8313:150849567c0:29d8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	City
-60ed8313:150849567c0:2934	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	City
-60ed8313:150849567c0:2f66	Membership
-60ed8313:150849567c0:3dfb	Membership
-60ed8313:150849567c0:223f	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	City
-60ed8313:150849567c0:30f5	Membership
-60ed8313:150849567c0:419a	BelievedBy
-60ed8313:150849567c0:2cb2	Membership
-60ed8313:150849567c0:3051	Membership
-60ed8313:150849567c0:452e	EthnicProportion
-60ed8313:150849567c0:28e0	Membership
-60ed8313:150849567c0:249f	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	Province
-60ed8313:150849567c0:3a17	Membership
-60ed8313:150849567c0:21eb	Membership
-60ed8313:150849567c0:36e9	Membership
http://www.semwebtech.org/mondial/10/estuary/YukonRiver/	Estuary
-60ed8313:150849567c0:3645	Membership
http://www.semwebtech.org/mondial/10/organization/SICA/	Organization
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	City
-60ed8313:150849567c0:44da	EthnicProportion
-60ed8313:150849567c0:3c77	Membership
http://www.semwebtech.org/mondial/10/lake/LakeOkeechobee/	Lake
-60ed8313:150849567c0:27df	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/city/Babati/	City
-60ed8313:150849567c0:273b	Membership
-60ed8313:150849567c0:35f1	Membership
-60ed8313:150849567c0:1cc8	Membership
-60ed8313:150849567c0:2d6d	Membership
-60ed8313:150849567c0:2067	Membership
-60ed8313:150849567c0:18f6	Border
-60ed8313:150849567c0:1c24	Membership
-60ed8313:150849567c0:299b	Membership
-60ed8313:150849567c0:3fb7	Membership
http://www.semwebtech.org/mondial/10/mountain/Bjelucha/	Mountain
-60ed8313:150849567c0:4356	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Raab/	Source
-60ed8313:150849567c0:1852	Border
-60ed8313:150849567c0:3f13	Membership
-60ed8313:150849567c0:40a2	SpokenBy
-60ed8313:150849567c0:1e84	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	Province
-60ed8313:150849567c0:1bd0	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	City
http://www.semwebtech.org/mondial/10/source/StraitsofMackinac/	Source
-60ed8313:150849567c0:23a7	Membership
-60ed8313:150849567c0:344c	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	Province
-60ed8313:150849567c0:2303	Membership
-60ed8313:150849567c0:3a7e	Membership
-60ed8313:150849567c0:2563	Membership
-60ed8313:150849567c0:1acf	Membership
-60ed8313:150849567c0:2b95	Membership
-60ed8313:150849567c0:16fd	Encompassed
-60ed8313:150849567c0:1a2b	Membership
-60ed8313:150849567c0:2f29	Membership
-60ed8313:150849567c0:3dbe	Membership
-60ed8313:150849567c0:30b8	Membership
-60ed8313:150849567c0:415d	BelievedBy
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	City
http://www.semwebtech.org/mondial/10/mountain/Tsaratanana/	Mountain
-60ed8313:150849567c0:3d1a	Membership
-60ed8313:150849567c0:39ec	Membership
-60ed8313:150849567c0:3014	Membership
-60ed8313:150849567c0:1c8b	Membership
-60ed8313:150849567c0:28a3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	Province
http://www.semwebtech.org/mondial/10/islands/FalklandIslands/	Islands
-60ed8313:150849567c0:2ed5	Membership
-60ed8313:150849567c0:3f7a	Membership
-60ed8313:150849567c0:21ae	Membership
-60ed8313:150849567c0:3274	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	City
http://www.semwebtech.org/mondial/10/river/DarlingRiver/	River
-60ed8313:150849567c0:2e31	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	Province
-60ed8313:150849567c0:210a	Membership
-60ed8313:150849567c0:3608	Membership
http://www.semwebtech.org/mondial/10/islands/CanadianArcticIslands/	Islands
-60ed8313:150849567c0:1fcb	Membership
-60ed8313:150849567c0:236a	Membership
-60ed8313:150849567c0:3868	Membership
http://www.semwebtech.org/mondial/10/island/Filicudi/	Island
-60ed8313:150849567c0:35b4	Membership
http://www.semwebtech.org/mondial/10/island/Langeoog/	Island
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	City
-60ed8313:150849567c0:3be6	Membership
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	City
-60ed8313:150849567c0:3510	Membership
http://www.semwebtech.org/mondial/10/mountain/Rantekombola/	Mountain
-60ed8313:150849567c0:18b9	Border
-60ed8313:150849567c0:295e	Membership
-60ed8313:150849567c0:3b42	Membership
-60ed8313:150849567c0:4319	BelievedBy
-60ed8313:150849567c0:1815	Border
-60ed8313:150849567c0:26aa	Membership
-60ed8313:150849567c0:3770	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	City
-60ed8313:150849567c0:1e47	Membership
-60ed8313:150849567c0:2cdc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	City
-60ed8313:150849567c0:307b	Membership
-60ed8313:150849567c0:4579	EthnicProportion
-60ed8313:150849567c0:42c5	BelievedBy
-60ed8313:150849567c0:340f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	City
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	Province
-60ed8313:150849567c0:17c1	Border
-60ed8313:150849567c0:4221	BelievedBy
-60ed8313:150849567c0:1df3	Membership
-60ed8313:150849567c0:366f	Membership
-60ed8313:150849567c0:2192	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	City
-60ed8313:150849567c0:2526	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	Province
-60ed8313:150849567c0:33bb	Membership
-60ed8313:150849567c0:4481	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	City
-60ed8313:150849567c0:2b58	Membership
-60ed8313:150849567c0:2786	Membership
http://www.semwebtech.org/mondial/10/mountain/Tatamailau/	Mountain
-60ed8313:150849567c0:24d2	Membership
-60ed8313:150849567c0:39af	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	Province
-60ed8313:150849567c0:1c4e	Membership
-60ed8313:150849567c0:390b	Membership
http://www.semwebtech.org/mondial/10/mountains/Kaukasus/	Mountains
-60ed8313:150849567c0:187c	Border
http://www.semwebtech.org/mondial/10/sea/NorwegianSea/	Sea
-60ed8313:150849567c0:2a60	Membership
-60ed8313:150849567c0:3f3d	Membership
-60ed8313:150849567c0:3237	Membership
-60ed8313:150849567c0:40cc	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Macedonian/	EthnicGroup
-60ed8313:150849567c0:1bfa	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	City
-60ed8313:150849567c0:3497	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	City
http://www.semwebtech.org/mondial/10/island/Salina/	Island
http://www.semwebtech.org/mondial/10/estuary/Jenissej/	Estuary
-60ed8313:150849567c0:232d	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	City
-60ed8313:150849567c0:31e3	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	Province
-60ed8313:150849567c0:2da0	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	City
-60ed8313:150849567c0:258d	Membership
-60ed8313:150849567c0:3ba9	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	City
-60ed8313:150849567c0:3b05	Membership
-60ed8313:150849567c0:37d7	Membership
-60ed8313:150849567c0:1a76	Membership
http://www.semwebtech.org/mondial/10/country/ETH/	Country
-60ed8313:150849567c0:3733	Membership
-60ed8313:150849567c0:3d65	Membership
-60ed8313:150849567c0:303e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	Province
http://www.semwebtech.org/mondial/10/lake/LakeOntario/	Lake
-60ed8313:150849567c0:28cd	Membership
-60ed8313:150849567c0:3ab1	Membership
-60ed8313:150849567c0:3993	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	Province
-60ed8313:150849567c0:2eff	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	City
-60ed8313:150849567c0:21f9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/European-CaribbeanAmerindian/	EthnicGroup
-60ed8313:150849567c0:329e	Membership
-60ed8313:150849567c0:1db6	Membership
-60ed8313:150849567c0:2e5b	Membership
-60ed8313:150849567c0:2155	Membership
-60ed8313:150849567c0:44e8	EthnicProportion
-60ed8313:150849567c0:19e4	Membership
-60ed8313:150849567c0:1d12	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	City
-60ed8313:150849567c0:4444	EthnicProportion
-60ed8313:150849567c0:1940	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	Province
-60ed8313:150849567c0:1f72	Membership
http://www.semwebtech.org/mondial/10/island/SouthAndamanIsland/	Island
http://www.semwebtech.org/mondial/10/estuary/ColumbiaRiver/	Estuary
-60ed8313:150849567c0:2749	Membership
-60ed8313:150849567c0:35de	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	City
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	Province
http://www.semwebtech.org/mondial/10/river/Ounasjoki/	River
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	City
-60ed8313:150849567c0:353a	Membership
-60ed8313:150849567c0:43f0	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Hierro/	Island
-60ed8313:150849567c0:2ac7	Membership
-60ed8313:150849567c0:3b6c	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	City
-60ed8313:150849567c0:183f	Border
-60ed8313:150849567c0:2a23	Membership
-60ed8313:150849567c0:26f5	Membership
-60ed8313:150849567c0:379a	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoBasile/	Mountain
-60ed8313:150849567c0:2651	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	City
-60ed8313:150849567c0:1bbd	Membership
-60ed8313:150849567c0:2c83	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	City
-60ed8313:150849567c0:42ef	BelievedBy
-60ed8313:150849567c0:17eb	Border
-60ed8313:150849567c0:3eac	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/city/Gao/	City
-60ed8313:150849567c0:31a6	Membership
-60ed8313:150849567c0:424b	BelievedBy
http://www.semwebtech.org/mondial/10/desert/RedCentre/	Desert
-60ed8313:150849567c0:3102	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	City
http://www.semwebtech.org/mondial/10/mountain/Andringitra/	Mountain
-60ed8313:150849567c0:2fc3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	City
-60ed8313:150849567c0:3362	Membership
-60ed8313:150849567c0:1a39	Membership
http://www.semwebtech.org/mondial/10/estuary/Salzach/	Estuary
-60ed8313:150849567c0:4036	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	Province
http://www.semwebtech.org/mondial/10/mountain/Mt.Kosciuszko/	Mountain
-60ed8313:150849567c0:24fc	Membership
-60ed8313:150849567c0:3d28	Membership
http://www.semwebtech.org/mondial/10/island/PrinceEdwardIsland/	Island
-60ed8313:150849567c0:1c99	Membership
-60ed8313:150849567c0:3956	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	City
-60ed8313:150849567c0:2a8a	Membership
-60ed8313:150849567c0:3f88	Membership
-60ed8313:150849567c0:36a2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Uighur/	EthnicGroup
-60ed8313:150849567c0:3cd4	Membership
-60ed8313:150849567c0:2e1e	Membership
-60ed8313:150849567c0:2118	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	Province
-60ed8313:150849567c0:4073	SpokenBy
-60ed8313:150849567c0:19a7	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	City
-60ed8313:150849567c0:3c30	Membership
-60ed8313:150849567c0:4407	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Kanlaon/	Mountain
-60ed8313:150849567c0:1fd9	Membership
-60ed8313:150849567c0:1903	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	City
-60ed8313:150849567c0:2378	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	City
-60ed8313:150849567c0:1f35	Membership
-60ed8313:150849567c0:3e90	Membership
-60ed8313:150849567c0:2dca	Membership
-60ed8313:150849567c0:20c4	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	City
http://www.semwebtech.org/mondial/10/country/SD/	Country
-60ed8313:150849567c0:2020	Membership
-60ed8313:150849567c0:43b3	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Koror/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	City
-60ed8313:150849567c0:3b2f	Membership
-60ed8313:150849567c0:1ee1	Membership
-60ed8313:150849567c0:375d	Membership
-60ed8313:150849567c0:26b8	Membership
-60ed8313:150849567c0:2280	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	Province
-60ed8313:150849567c0:2614	Membership
-60ed8313:150849567c0:3d8f	Membership
-60ed8313:150849567c0:3089	Membership
-60ed8313:150849567c0:2c46	Membership
-60ed8313:150849567c0:3adb	Membership
-60ed8313:150849567c0:17ae	Encompassed
-60ed8313:150849567c0:2874	Membership
-60ed8313:150849567c0:420e	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Uruguay/	Estuary
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	City
http://www.semwebtech.org/mondial/10/country/YV/	Country
-60ed8313:150849567c0:170a	Encompassed
-60ed8313:150849567c0:25c0	Membership
-60ed8313:150849567c0:217f	Membership
-60ed8313:150849567c0:1d3c	Membership
-60ed8313:150849567c0:2bf2	Membership
http://www.semwebtech.org/mondial/10/mountain/ThabanaNtlenyana/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	City
-60ed8313:150849567c0:33c9	Membership
-60ed8313:150849567c0:446e	EthnicProportion
-60ed8313:150849567c0:196a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Oromo/	EthnicGroup
-60ed8313:150849567c0:41ba	BelievedBy
http://www.semwebtech.org/mondial/10/river/Apurimac/	River
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	City
-60ed8313:150849567c0:3325	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	Province
-60ed8313:150849567c0:1f9c	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sami/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Terschelling/	Island
http://www.semwebtech.org/mondial/10/mountain/Snaefell/	Mountain
-60ed8313:150849567c0:24bf	Membership
-60ed8313:150849567c0:3585	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	Province
http://www.semwebtech.org/mondial/10/sea/GreenlandSea/	Sea
-60ed8313:150849567c0:241b	Membership
-60ed8313:150849567c0:3919	Membership
-60ed8313:150849567c0:32d1	Membership
-60ed8313:150849567c0:2a4d	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	Province
-60ed8313:150849567c0:267b	Membership
-60ed8313:150849567c0:38c5	Membership
-60ed8313:150849567c0:1b64	Membership
http://www.semwebtech.org/mondial/10/desert/Ryn/	Desert
-60ed8313:150849567c0:3ef7	Membership
-60ed8313:150849567c0:3821	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	Province
-60ed8313:150849567c0:4296	BelievedBy
-60ed8313:150849567c0:1792	Encompassed
-60ed8313:150849567c0:3e53	Membership
-60ed8313:150849567c0:312c	Membership
-60ed8313:150849567c0:29bb	Membership
-60ed8313:150849567c0:2fed	Membership
-60ed8313:150849567c0:22e7	Membership
-60ed8313:150849567c0:338c	Membership
-60ed8313:150849567c0:1ea4	Membership
-60ed8313:150849567c0:2243	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	City
-60ed8313:150849567c0:1e00	Membership
-60ed8313:150849567c0:4532	EthnicProportion
-60ed8313:150849567c0:2c09	Membership
http://www.semwebtech.org/mondial/10/source/Shabelle/	Source
-60ed8313:150849567c0:2837	Membership
http://www.semwebtech.org/mondial/10/desert/BajaCaliforniaDesert/	Desert
-60ed8313:150849567c0:36cc	Membership
-60ed8313:150849567c0:2e69	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	City
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	City
-60ed8313:150849567c0:3cfe	Membership
-60ed8313:150849567c0:409d	SpokenBy
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	City
-60ed8313:150849567c0:2bb5	Membership
-60ed8313:150849567c0:3c5a	Membership
-60ed8313:150849567c0:2b11	Membership
-60ed8313:150849567c0:27e3	Membership
-60ed8313:150849567c0:192d	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	City
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/city/Malanje/	City
-60ed8313:150849567c0:1f5f	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoTurquino/	Mountain
-60ed8313:150849567c0:20ee	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	City
-60ed8313:150849567c0:1cab	Membership
-60ed8313:150849567c0:2d71	Membership
-60ed8313:150849567c0:204a	Membership
-60ed8313:150849567c0:3548	Membership
-60ed8313:150849567c0:43dd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	Province
http://www.semwebtech.org/mondial/10/mountain/Coropuna/	Mountain
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	Province
-60ed8313:150849567c0:263e	Membership
-60ed8313:150849567c0:34f4	Membership
-60ed8313:150849567c0:3450	Membership
http://www.semwebtech.org/mondial/10/island/Paramuschir/	Island
-60ed8313:150849567c0:17f9	Border
-60ed8313:150849567c0:1b27	Membership
-60ed8313:150849567c0:289e	Membership
-60ed8313:150849567c0:3a82	Membership
-60ed8313:150849567c0:4259	BelievedBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	City
-60ed8313:150849567c0:1755	Encompassed
-60ed8313:150849567c0:25ea	Membership
-60ed8313:150849567c0:3e16	Membership
-60ed8313:150849567c0:1d87	Membership
http://www.semwebtech.org/mondial/10/source/Oesterdalaelv/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	City
-60ed8313:150849567c0:1ad3	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	City
-60ed8313:150849567c0:334f	Membership
-60ed8313:150849567c0:2f0c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	City
-60ed8313:150849567c0:3dc2	Membership
-60ed8313:150849567c0:2206	Membership
http://www.semwebtech.org/mondial/10/island/Luzon/	Island
-60ed8313:150849567c0:4161	BelievedBy
-60ed8313:150849567c0:39f0	Membership
-60ed8313:150849567c0:2466	Membership
-60ed8313:150849567c0:32fb	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	City
-60ed8313:150849567c0:2a98	Membership
-60ed8313:150849567c0:21b2	Membership
-60ed8313:150849567c0:44a1	EthnicProportion
-60ed8313:150849567c0:3c1d	Membership
-60ed8313:150849567c0:38ef	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	City
-60ed8313:150849567c0:1b8e	Membership
-60ed8313:150849567c0:27a6	Membership
-60ed8313:150849567c0:384b	Membership
http://www.semwebtech.org/mondial/10/river/Breg/	River
-60ed8313:150849567c0:2dd8	Membership
-60ed8313:150849567c0:2702	Membership
-60ed8313:150849567c0:3e7d	Membership
-60ed8313:150849567c0:3177	Membership
http://www.semwebtech.org/mondial/10/mountains/EliasRange/	Mountains
-60ed8313:150849567c0:2d34	Membership
-60ed8313:150849567c0:200d	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	Province
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	City
-60ed8313:150849567c0:2962	Membership
-60ed8313:150849567c0:1ece	Membership
-60ed8313:150849567c0:2f94	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	City
-60ed8313:150849567c0:226d	Membership
-60ed8313:150849567c0:1e2a	Membership
-60ed8313:150849567c0:2ce0	Membership
-60ed8313:150849567c0:34b7	Membership
-60ed8313:150849567c0:455c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KAZ/	Country
-60ed8313:150849567c0:3ae9	Membership
-60ed8313:150849567c0:3413	Membership
-60ed8313:150849567c0:3a45	Membership
-60ed8313:150849567c0:1718	Encompassed
http://www.semwebtech.org/mondial/10/desert/RubAlChali/	Desert
-60ed8313:150849567c0:25ad	Membership
-60ed8313:150849567c0:3673	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	City
http://www.semwebtech.org/mondial/10/source/Dnister/	Source
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	City
-60ed8313:150849567c0:2bdf	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	City
-60ed8313:150849567c0:1978	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	City
-60ed8313:150849567c0:2b3b	Membership
http://www.semwebtech.org/mondial/10/source/Don/	Source
http://www.semwebtech.org/mondial/10/source/Kolyma/	Source
-60ed8313:150849567c0:41c8	BelievedBy
-60ed8313:150849567c0:16c4	Encompassed
-60ed8313:150849567c0:4124	BelievedBy
-60ed8313:150849567c0:39b3	Membership
-60ed8313:150849567c0:2d9b	Membership
-60ed8313:150849567c0:1cf6	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	City
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	City
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	Province
-60ed8313:150849567c0:2095	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	City
-60ed8313:150849567c0:1c52	Membership
http://www.semwebtech.org/mondial/10/river/MerrimackRiver/	River
-60ed8313:150849567c0:3fe5	Membership
-60ed8313:150849567c0:2429	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	City
-60ed8313:150849567c0:32be	Membership
-60ed8313:150849567c0:4384	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	City
-60ed8313:150849567c0:1880	Border
-60ed8313:150849567c0:3f41	Membership
-60ed8313:150849567c0:321a	Membership
-60ed8313:150849567c0:40d0	SpokenBy
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	Province
-60ed8313:150849567c0:2689	Membership
-60ed8313:150849567c0:23d5	Membership
-60ed8313:150849567c0:347a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	Province
-60ed8313:150849567c0:2331	Membership
-60ed8313:150849567c0:380e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Province
-60ed8313:150849567c0:177f	Encompassed
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	Province
-60ed8313:150849567c0:29c9	Membership
-60ed8313:150849567c0:2591	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Croat/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Galician/	Language
http://www.semwebtech.org/mondial/10/organization/FAO/	Organization
-60ed8313:150849567c0:1afd	Membership
http://www.semwebtech.org/mondial/10/river/Fulda/	River
-60ed8313:150849567c0:2925	Membership
-60ed8313:150849567c0:37ba	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	City
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	City
-60ed8313:150849567c0:2f57	Membership
-60ed8313:150849567c0:3dec	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	City
http://www.semwebtech.org/mondial/10/country/EC/	Country
-60ed8313:150849567c0:30e6	Membership
-60ed8313:150849567c0:418b	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	City
http://www.semwebtech.org/mondial/10/lake/Poopo/	Lake
-60ed8313:150849567c0:2ca3	Membership
-60ed8313:150849567c0:3042	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	City
-60ed8313:150849567c0:451f	EthnicProportion
-60ed8313:150849567c0:28d1	Membership
http://www.semwebtech.org/mondial/10/country/FALK/city/Stanley/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	Province
-60ed8313:150849567c0:21dc	Membership
-60ed8313:150849567c0:3a08	Membership
http://www.semwebtech.org/mondial/10/estuary/WhiteNile/	Estuary
-60ed8313:150849567c0:3636	Membership
-60ed8313:150849567c0:44cb	EthnicProportion
-60ed8313:150849567c0:3c68	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	City
-60ed8313:150849567c0:3896	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	City
-60ed8313:150849567c0:272c	Membership
-60ed8313:150849567c0:35e2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Seychellois/	EthnicGroup
-60ed8313:150849567c0:1cb9	Membership
-60ed8313:150849567c0:2d5e	Membership
-60ed8313:150849567c0:2058	Membership
-60ed8313:150849567c0:18e7	Border
-60ed8313:150849567c0:1c15	Membership
-60ed8313:150849567c0:2aaa	Membership
-60ed8313:150849567c0:298c	Membership
-60ed8313:150849567c0:3fa8	Membership
-60ed8313:150849567c0:3b70	Membership
-60ed8313:150849567c0:4347	EthnicProportion
-60ed8313:150849567c0:1843	Border
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	City
-60ed8313:150849567c0:3f04	Membership
-60ed8313:150849567c0:1e75	Membership
http://www.semwebtech.org/mondial/10/language/Miskito/	Language
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	City
-60ed8313:150849567c0:1bc1	Membership
http://www.semwebtech.org/mondial/10/country/RH/	Country
-60ed8313:150849567c0:343d	Membership
-60ed8313:150849567c0:42f3	BelievedBy
-60ed8313:150849567c0:3eb0	Membership
-60ed8313:150849567c0:3a6f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	City
-60ed8313:150849567c0:25f8	Membership
http://www.semwebtech.org/mondial/10/country/TN/	Country
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	City
-60ed8313:150849567c0:369d	Membership
http://www.semwebtech.org/mondial/10/estuary/Limmat/	Estuary
http://www.semwebtech.org/mondial/10/country/WAFU/	Country
-60ed8313:150849567c0:2554	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	City
-60ed8313:150849567c0:2b86	Membership
-60ed8313:150849567c0:22a0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	City
-60ed8313:150849567c0:16ee	Encompassed
-60ed8313:150849567c0:1a1c	Membership
-60ed8313:150849567c0:3daf	Membership
http://www.semwebtech.org/mondial/10/estuary/Seine/	Estuary
-60ed8313:150849567c0:30a9	Membership
-60ed8313:150849567c0:414e	BelievedBy
http://www.semwebtech.org/mondial/10/religion/UnitedChurch/	Religion
-60ed8313:150849567c0:3d0b	Membership
-60ed8313:150849567c0:39dd	Membership
-60ed8313:150849567c0:3005	Membership
-60ed8313:150849567c0:1c7c	Membership
http://www.semwebtech.org/mondial/10/source/Moldau/	Source
-60ed8313:150849567c0:2ec6	Membership
-60ed8313:150849567c0:3f6b	Membership
-60ed8313:150849567c0:3265	Membership
-60ed8313:150849567c0:40fa	SpokenBy
-60ed8313:150849567c0:2e22	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	City
-60ed8313:150849567c0:23ff	Membership
-60ed8313:150849567c0:1fbc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	City
-60ed8313:150849567c0:235b	Membership
-60ed8313:150849567c0:3859	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	City
-60ed8313:150849567c0:35a5	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	Province
-60ed8313:150849567c0:3bd7	Membership
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	City
-60ed8313:150849567c0:3501	Membership
-60ed8313:150849567c0:294f	Membership
-60ed8313:150849567c0:3b33	Membership
-60ed8313:150849567c0:1806	Border
-60ed8313:150849567c0:3761	Membership
-60ed8313:150849567c0:1e38	Membership
-60ed8313:150849567c0:2ccd	Membership
-60ed8313:150849567c0:3d93	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	City
-60ed8313:150849567c0:306c	Membership
http://www.semwebtech.org/mondial/10/country/M/	Country
-60ed8313:150849567c0:28fb	Membership
-60ed8313:150849567c0:42b6	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Hekla/	Mountain
-60ed8313:150849567c0:17b2	Encompassed
-60ed8313:150849567c0:4212	BelievedBy
-60ed8313:150849567c0:1de4	Membership
-60ed8313:150849567c0:2183	Membership
http://www.semwebtech.org/mondial/10/river/Senegal/	River
http://www.semwebtech.org/mondial/10/mountain/Joekul/	Mountain
-60ed8313:150849567c0:1d40	Membership
-60ed8313:150849567c0:2517	Membership
-60ed8313:150849567c0:33ac	Membership
http://www.semwebtech.org/mondial/10/mountains/Drakensberge/	Mountains
-60ed8313:150849567c0:4472	EthnicProportion
-60ed8313:150849567c0:2b49	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	City
-60ed8313:150849567c0:2777	Membership
http://www.semwebtech.org/mondial/10/organization/UNDOF/	Organization
http://www.semwebtech.org/mondial/10/source/VictoriaNile/	Source
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	City
-60ed8313:150849567c0:24c3	Membership
-60ed8313:150849567c0:1c3f	Membership
-60ed8313:150849567c0:2af5	Membership
-60ed8313:150849567c0:3b9a	Membership
-60ed8313:150849567c0:40bd	SpokenBy
-60ed8313:150849567c0:186d	Border
http://www.semwebtech.org/mondial/10/mountains/Apennin/	Mountains
-60ed8313:150849567c0:2a51	Membership
-60ed8313:150849567c0:3f2e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/city/BirninKebbi/	City
-60ed8313:150849567c0:3228	Membership
http://www.semwebtech.org/mondial/10/source/Urubamba/	Source
-60ed8313:150849567c0:1e9f	Membership
http://www.semwebtech.org/mondial/10/mountain/MtRainier/	Mountain
http://www.semwebtech.org/mondial/10/mountain/Pidurutalagala/	Mountain
http://www.semwebtech.org/mondial/10/river/Oka/	River
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	City
-60ed8313:150849567c0:1beb	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	City
-60ed8313:150849567c0:3488	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	City
http://www.semwebtech.org/mondial/10/estuary/WesternBug/	Estuary
http://www.semwebtech.org/mondial/10/mountain/MtElbert/	Mountain
-60ed8313:150849567c0:3eda	Membership
-60ed8313:150849567c0:231e	Membership
http://www.semwebtech.org/mondial/10/estuary/Vuoksi/	Estuary
-60ed8313:150849567c0:31d4	Membership
-60ed8313:150849567c0:3130	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	City
http://www.semwebtech.org/mondial/10/mountains/Antitaurus/	Mountains
-60ed8313:150849567c0:257e	Membership
-60ed8313:150849567c0:2ff1	Membership
-60ed8313:150849567c0:22ca	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	City
-60ed8313:150849567c0:37c8	Membership
-60ed8313:150849567c0:3390	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	Province
-60ed8313:150849567c0:1a67	Membership
http://www.semwebtech.org/mondial/10/islands/SamoanIslands/	Islands
-60ed8313:150849567c0:3724	Membership
-60ed8313:150849567c0:4199	BelievedBy
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	City
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	City
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	City
-60ed8313:150849567c0:3d56	Membership
-60ed8313:150849567c0:302f	Membership
-60ed8313:150849567c0:28be	Membership
-60ed8313:150849567c0:3aa2	Membership
-60ed8313:150849567c0:3984	Membership
-60ed8313:150849567c0:281a	Membership
-60ed8313:150849567c0:36d0	Membership
-60ed8313:150849567c0:328f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	City
-60ed8313:150849567c0:1da7	Membership
-60ed8313:150849567c0:2e4c	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	Province
-60ed8313:150849567c0:2146	Membership
-60ed8313:150849567c0:44d9	EthnicProportion
-60ed8313:150849567c0:19d5	Membership
-60ed8313:150849567c0:1d03	Membership
-60ed8313:150849567c0:4435	EthnicProportion
-60ed8313:150849567c0:1931	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	City
-60ed8313:150849567c0:1f63	Membership
-60ed8313:150849567c0:20f2	Membership
-60ed8313:150849567c0:35cf	Membership
-60ed8313:150849567c0:352b	Membership
-60ed8313:150849567c0:43e1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	Province
-60ed8313:150849567c0:2ab8	Membership
-60ed8313:150849567c0:3b5d	Membership
-60ed8313:150849567c0:2a14	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	Province
-60ed8313:150849567c0:26e6	Membership
-60ed8313:150849567c0:378b	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	Province
-60ed8313:150849567c0:2642	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/English/	EthnicGroup
-60ed8313:150849567c0:1bae	Membership
-60ed8313:150849567c0:2c74	Membership
-60ed8313:150849567c0:17dc	Border
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	Province
-60ed8313:150849567c0:1b0a	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/city/Herisau/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	City
-60ed8313:150849567c0:423c	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	Province
-60ed8313:150849567c0:1d6a	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	City
-60ed8313:150849567c0:33f7	Membership
http://www.semwebtech.org/mondial/10/river/Goetaaelv/	River
-60ed8313:150849567c0:449c	EthnicProportion
-60ed8313:150849567c0:2fb4	Membership
-60ed8313:150849567c0:3353	Membership
-60ed8313:150849567c0:2f10	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/city/AlHoceima/	City
http://www.semwebtech.org/mondial/10/country/I/province/Molise/city/Campobasso/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	City
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	City
-60ed8313:150849567c0:24ed	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	City
http://www.semwebtech.org/mondial/10/country/NMIS/city/Saipan/	City
-60ed8313:150849567c0:3d19	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	City
http://www.semwebtech.org/mondial/10/desert/Hamadaal-Hamra/	Desert
-60ed8313:150849567c0:3947	Membership
http://www.semwebtech.org/mondial/10/island/Kauai/	Island
http://www.semwebtech.org/mondial/10/language/KhalkhaMongol/	Language
http://www.semwebtech.org/mondial/10/mountain/Athos/	Mountain
-60ed8313:150849567c0:2a7b	Membership
-60ed8313:150849567c0:3f79	Membership
-60ed8313:150849567c0:3cc5	Membership
-60ed8313:150849567c0:2e0f	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	City
-60ed8313:150849567c0:2109	Membership
http://www.semwebtech.org/mondial/10/source/Naryn/	Source
-60ed8313:150849567c0:4064	SpokenBy
http://www.semwebtech.org/mondial/10/sea/ArabianSea/	Sea
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	Province
-60ed8313:150849567c0:3c21	Membership
-60ed8313:150849567c0:38f3	Membership
-60ed8313:150849567c0:1b92	Membership
-60ed8313:150849567c0:2369	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	City
-60ed8313:150849567c0:31fe	Membership
-60ed8313:150849567c0:1f26	Membership
-60ed8313:150849567c0:2dbb	Membership
-60ed8313:150849567c0:3e81	Membership
-60ed8313:150849567c0:20b5	Membership
-60ed8313:150849567c0:315a	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	Province
-60ed8313:150849567c0:2011	Membership
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	City
-60ed8313:150849567c0:43a4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/HELX/city/Jamestown/	City
-60ed8313:150849567c0:18a0	Border
-60ed8313:150849567c0:4300	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Makalu/	Mountain
-60ed8313:150849567c0:1ed2	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	City
http://www.semwebtech.org/mondial/10/island/Lombok/	Island
-60ed8313:150849567c0:26a9	Membership
-60ed8313:150849567c0:2271	Membership
-60ed8313:150849567c0:374e	Membership
-60ed8313:150849567c0:2605	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Slovene/	EthnicGroup
-60ed8313:150849567c0:4560	EthnicProportion
http://www.semwebtech.org/mondial/10/source/RioLerma/	Source
-60ed8313:150849567c0:2c37	Membership
-60ed8313:150849567c0:3acc	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	City
-60ed8313:150849567c0:2865	Membership
-60ed8313:150849567c0:36fa	Membership
http://www.semwebtech.org/mondial/10/island/Honshu/	Island
-60ed8313:150849567c0:2e97	Membership
-60ed8313:150849567c0:25b1	Membership
http://www.semwebtech.org/mondial/10/mountain/NevadodelRuiz/	Mountain
-60ed8313:150849567c0:19ff	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	City
-60ed8313:150849567c0:1d2d	Membership
-60ed8313:150849567c0:2be3	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	City
-60ed8313:150849567c0:445f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	City
-60ed8313:150849567c0:195b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	City
-60ed8313:150849567c0:3316	Membership
-60ed8313:150849567c0:41ab	BelievedBy
-60ed8313:150849567c0:1f8d	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	City
-60ed8313:150849567c0:3576	Membership
-60ed8313:150849567c0:240c	Membership
-60ed8313:150849567c0:32c2	Membership
-60ed8313:150849567c0:2a3e	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraNevadaCalifornia/	Mountains
-60ed8313:150849567c0:266c	Membership
http://www.semwebtech.org/mondial/10/religion/Protestant/	Religion
-60ed8313:150849567c0:4027	SpokenBy
-60ed8313:150849567c0:1bf9	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	City
-60ed8313:150849567c0:2c9e	Membership
-60ed8313:150849567c0:38b6	Membership
http://www.semwebtech.org/mondial/10/organization/G-3/	Organization
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	Province
http://www.semwebtech.org/mondial/10/lake/OzeroBalchash/	Lake
-60ed8313:150849567c0:1b55	Membership
-60ed8313:150849567c0:3ee8	Membership
-60ed8313:150849567c0:3812	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	City
-60ed8313:150849567c0:4287	BelievedBy
http://www.semwebtech.org/mondial/10/lake/Neusiedlersee/	Lake
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	Province
-60ed8313:150849567c0:1783	Encompassed
http://www.semwebtech.org/mondial/10/island/Arran/	Island
-60ed8313:150849567c0:3e44	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	Province
-60ed8313:150849567c0:311d	Membership
-60ed8313:150849567c0:29ac	Membership
-60ed8313:150849567c0:2fde	Membership
-60ed8313:150849567c0:22d8	Membership
-60ed8313:150849567c0:337d	Membership
-60ed8313:150849567c0:2f3a	Membership
-60ed8313:150849567c0:3df0	Membership
-60ed8313:150849567c0:2234	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	City
-60ed8313:150849567c0:4523	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/LakeKioga/	Lake
-60ed8313:150849567c0:2494	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	City
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	City
-60ed8313:150849567c0:2828	Membership
-60ed8313:150849567c0:21e0	Membership
-60ed8313:150849567c0:36bd	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	City
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	City
-60ed8313:150849567c0:3cef	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	City
http://www.semwebtech.org/mondial/10/river/MurrumbidgeeRiver/	River
-60ed8313:150849567c0:408e	SpokenBy
-60ed8313:150849567c0:2ba6	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	City
-60ed8313:150849567c0:3c4b	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	City
-60ed8313:150849567c0:191e	Membership
-60ed8313:150849567c0:2b02	Membership
-60ed8313:150849567c0:27d4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	City
http://www.semwebtech.org/mondial/10/country/SVAX/city/Longyearbyen/	City
-60ed8313:150849567c0:2730	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	City
-60ed8313:150849567c0:20df	Membership
-60ed8313:150849567c0:2d62	Membership
-60ed8313:150849567c0:203b	Membership
-60ed8313:150849567c0:3539	Membership
-60ed8313:150849567c0:43ce	EthnicProportion
-60ed8313:150849567c0:18ca	Border
-60ed8313:150849567c0:2990	Membership
-60ed8313:150849567c0:432a	BelievedBy
-60ed8313:150849567c0:1efc	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	City
-60ed8313:150849567c0:229b	Membership
-60ed8313:150849567c0:3799	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Circassian/	EthnicGroup
-60ed8313:150849567c0:262f	Membership
-60ed8313:150849567c0:34e5	Membership
-60ed8313:150849567c0:458a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	City
-60ed8313:150849567c0:3441	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	City
-60ed8313:150849567c0:1b18	Membership
-60ed8313:150849567c0:288f	Membership
-60ed8313:150849567c0:3a73	Membership
-60ed8313:150849567c0:1746	Encompassed
-60ed8313:150849567c0:25db	Membership
http://www.semwebtech.org/mondial/10/organization/G-24/	Organization
-60ed8313:150849567c0:3e07	Membership
http://www.semwebtech.org/mondial/10/mountain/Karthala/	Mountain
http://www.semwebtech.org/mondial/10/country/SBAR/	Country
-60ed8313:150849567c0:1d78	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	Province
-60ed8313:150849567c0:1ac4	Membership
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	City
-60ed8313:150849567c0:41f6	BelievedBy
-60ed8313:150849567c0:16f2	Encompassed
-60ed8313:150849567c0:1a20	Membership
-60ed8313:150849567c0:3db3	Membership
-60ed8313:150849567c0:4152	BelievedBy
-60ed8313:150849567c0:39e1	Membership
-60ed8313:150849567c0:1c80	Membership
-60ed8313:150849567c0:2457	Membership
-60ed8313:150849567c0:32ec	Membership
http://www.semwebtech.org/mondial/10/island/WestFalkland/	Island
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	Province
-60ed8313:150849567c0:2a89	Membership
-60ed8313:150849567c0:21a3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bosniak/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	City
-60ed8313:150849567c0:3c0e	Membership
-60ed8313:150849567c0:1fc0	Membership
-60ed8313:150849567c0:1b7f	Membership
-60ed8313:150849567c0:383c	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	City
-60ed8313:150849567c0:2dc9	Membership
-60ed8313:150849567c0:3e6e	Membership
-60ed8313:150849567c0:3168	Membership
-60ed8313:150849567c0:2d25	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	City
-60ed8313:150849567c0:29f7	Membership
http://www.semwebtech.org/mondial/10/country/ARU/city/Oranjestad/	City
http://www.semwebtech.org/mondial/10/source/JoekulsaaFjoellum/	Source
-60ed8313:150849567c0:3bba	Membership
-60ed8313:150849567c0:2953	Membership
-60ed8313:150849567c0:1ebf	Membership
-60ed8313:150849567c0:2f85	Membership
-60ed8313:150849567c0:225e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	City
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	City
-60ed8313:150849567c0:1e1b	Membership
http://www.semwebtech.org/mondial/10/mountain/Finsteraarhorn/	Mountain
-60ed8313:150849567c0:2cd1	Membership
-60ed8313:150849567c0:454d	EthnicProportion
-60ed8313:150849567c0:34a8	Membership
-60ed8313:150849567c0:3070	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	City
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	City
http://www.semwebtech.org/mondial/10/river/Narew/	River
-60ed8313:150849567c0:3404	Membership
http://www.semwebtech.org/mondial/10/river/Orinoco/	River
http://www.semwebtech.org/mondial/10/island/Lanai/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	City
-60ed8313:150849567c0:3a36	Membership
-60ed8313:150849567c0:1709	Encompassed
-60ed8313:150849567c0:3664	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	City
-60ed8313:150849567c0:3c96	Membership
-60ed8313:150849567c0:33b0	Membership
-60ed8313:150849567c0:1969	Membership
-60ed8313:150849567c0:2b2c	Membership
-60ed8313:150849567c0:27fe	Membership
-60ed8313:150849567c0:41b9	BelievedBy
-60ed8313:150849567c0:275a	Membership
-60ed8313:150849567c0:4115	BelievedBy
-60ed8313:150849567c0:1ce7	Membership
-60ed8313:150849567c0:2d8c	Membership
-60ed8313:150849567c0:39a4	Membership
-60ed8313:150849567c0:2086	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	Province
-60ed8313:150849567c0:1c43	Membership
-60ed8313:150849567c0:3fd6	Membership
-60ed8313:150849567c0:3900	Membership
-60ed8313:150849567c0:32af	Membership
-60ed8313:150849567c0:4375	EthnicProportion
-60ed8313:150849567c0:1871	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	City
-60ed8313:150849567c0:3f32	Membership
-60ed8313:150849567c0:320b	Membership
-60ed8313:150849567c0:40c1	SpokenBy
http://www.semwebtech.org/mondial/10/estuary/Arno/	Estuary
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	Province
-60ed8313:150849567c0:23c6	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	Province
-60ed8313:150849567c0:346b	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/city/Kimberley/	City
-60ed8313:150849567c0:2322	Membership
-60ed8313:150849567c0:3a9d	Membership
http://www.semwebtech.org/mondial/10/estuary/Ruki/	Estuary
-60ed8313:150849567c0:2582	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	Province
-60ed8313:150849567c0:1aee	Membership
http://www.semwebtech.org/mondial/10/source/Aller/	Source
-60ed8313:150849567c0:2916	Membership
-60ed8313:150849567c0:37ab	Membership
http://www.semwebtech.org/mondial/10/river/Limmat/	River
-60ed8313:150849567c0:1a4a	Membership
-60ed8313:150849567c0:2f48	Membership
-60ed8313:150849567c0:3ddd	Membership
-60ed8313:150849567c0:30d7	Membership
-60ed8313:150849567c0:417c	BelievedBy
-60ed8313:150849567c0:3033	Membership
-60ed8313:150849567c0:28c2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	City
-60ed8313:150849567c0:2ef4	Membership
-60ed8313:150849567c0:21cd	Membership
-60ed8313:150849567c0:3293	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/city/VianadoCastelo/	City
-60ed8313:150849567c0:2e50	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	Province
-60ed8313:150849567c0:3627	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	City
-60ed8313:150849567c0:44bc	EthnicProportion
-60ed8313:150849567c0:3c59	Membership
-60ed8313:150849567c0:1fea	Membership
-60ed8313:150849567c0:3887	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	City
-60ed8313:150849567c0:271d	Membership
-60ed8313:150849567c0:35d3	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	City
-60ed8313:150849567c0:2d4f	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	Province
-60ed8313:150849567c0:2049	Membership
-60ed8313:150849567c0:18d8	Border
-60ed8313:150849567c0:1c06	Membership
-60ed8313:150849567c0:297d	Membership
-60ed8313:150849567c0:3b61	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	City
-60ed8313:150849567c0:4338	EthnicProportion
-60ed8313:150849567c0:1834	Border
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	City
-60ed8313:150849567c0:1e66	Membership
-60ed8313:150849567c0:2cfb	Membership
http://www.semwebtech.org/mondial/10/estuary/Ebro/	Estuary
-60ed8313:150849567c0:309a	Membership
-60ed8313:150849567c0:4598	EthnicProportion
-60ed8313:150849567c0:1bb2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Batobo/	EthnicGroup
-60ed8313:150849567c0:342e	Membership
http://www.semwebtech.org/mondial/10/religion/EkalesiaNiue/	Religion
-60ed8313:150849567c0:42e4	BelievedBy
-60ed8313:150849567c0:17e0	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Arab/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Arkansas/	Estuary
-60ed8313:150849567c0:3ea1	Membership
-60ed8313:150849567c0:4240	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	Province
-60ed8313:150849567c0:25e9	Membership
-60ed8313:150849567c0:368e	Membership
-60ed8313:150849567c0:2545	Membership
-60ed8313:150849567c0:33da	Membership
-60ed8313:150849567c0:2b77	Membership
-60ed8313:150849567c0:16df	Encompassed
-60ed8313:150849567c0:1a0d	Membership
-60ed8313:150849567c0:413f	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Azeri/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	City
-60ed8313:150849567c0:24f1	Membership
-60ed8313:150849567c0:39ce	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/city/Middelburg/	City
-60ed8313:150849567c0:1c6d	Membership
-60ed8313:150849567c0:392a	Membership
-60ed8313:150849567c0:439f	EthnicProportion
-60ed8313:150849567c0:189b	Border
-60ed8313:150849567c0:2eb7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Javanese/	EthnicGroup
-60ed8313:150849567c0:3f5c	Membership
-60ed8313:150849567c0:3256	Membership
-60ed8313:150849567c0:40eb	SpokenBy
http://www.semwebtech.org/mondial/10/lake/GreatSaltLake/	Lake
-60ed8313:150849567c0:2e13	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	City
-60ed8313:150849567c0:1fad	Membership
-60ed8313:150849567c0:234c	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	City
-60ed8313:150849567c0:3bc8	Membership
http://www.semwebtech.org/mondial/10/river/Vuoksi/	River
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	City
-60ed8313:150849567c0:3b24	Membership
-60ed8313:150849567c0:37f6	Membership
-60ed8313:150849567c0:1a95	Membership
-60ed8313:150849567c0:3752	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	City
-60ed8313:150849567c0:1e29	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Luo/	EthnicGroup
-60ed8313:150849567c0:2cbe	Membership
-60ed8313:150849567c0:3d84	Membership
-60ed8313:150849567c0:305d	Membership
-60ed8313:150849567c0:2c1a	Membership
-60ed8313:150849567c0:28ec	Membership
-60ed8313:150849567c0:3ad0	Membership
-60ed8313:150849567c0:42a7	BelievedBy
http://www.semwebtech.org/mondial/10/country/MAYO/	Country
-60ed8313:150849567c0:17a3	Encompassed
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	City
-60ed8313:150849567c0:4203	BelievedBy
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	City
http://www.semwebtech.org/mondial/10/estuary/Moraca/	Estuary
-60ed8313:150849567c0:2e7a	Membership
-60ed8313:150849567c0:1dd5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	Province
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	City
-60ed8313:150849567c0:2174	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	Province
-60ed8313:150849567c0:1d31	Membership
-60ed8313:150849567c0:2508	Membership
http://www.semwebtech.org/mondial/10/source/Baro/	Source
-60ed8313:150849567c0:4463	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/city/Yola/	City
http://www.semwebtech.org/mondial/10/source/Guadalquivir/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	City
-60ed8313:150849567c0:1f91	Membership
-60ed8313:150849567c0:2768	Membership
-60ed8313:150849567c0:35fd	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Georgian/	EthnicGroup
-60ed8313:150849567c0:24b4	Membership
-60ed8313:150849567c0:2ae6	Membership
-60ed8313:150849567c0:2410	Membership
-60ed8313:150849567c0:3b8b	Membership
-60ed8313:150849567c0:185e	Border
-60ed8313:150849567c0:2a42	Membership
http://www.semwebtech.org/mondial/10/organization/IOC/	Organization
-60ed8313:150849567c0:3f1f	Membership
-60ed8313:150849567c0:3219	Membership
-60ed8313:150849567c0:40ae	SpokenBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Saho/	EthnicGroup
-60ed8313:150849567c0:2670	Membership
-60ed8313:150849567c0:400a	SpokenBy
-60ed8313:150849567c0:1bdc	Membership
-60ed8313:150849567c0:3479	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	Province
-60ed8313:150849567c0:3ecb	Membership
-60ed8313:150849567c0:230f	Membership
-60ed8313:150849567c0:31c5	Membership
-60ed8313:150849567c0:426a	BelievedBy
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	Province
http://www.semwebtech.org/mondial/10/organization/ISO/	Organization
-60ed8313:150849567c0:3121	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	City
http://www.semwebtech.org/mondial/10/source/Kura/	Source
-60ed8313:150849567c0:29b0	Membership
-60ed8313:150849567c0:256f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	City
-60ed8313:150849567c0:37b9	Membership
-60ed8313:150849567c0:2fe2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	City
-60ed8313:150849567c0:22bb	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	Province
-60ed8313:150849567c0:3381	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	City
-60ed8313:150849567c0:1a58	Membership
-60ed8313:150849567c0:3715	Membership
-60ed8313:150849567c0:3d47	Membership
-60ed8313:150849567c0:28af	Membership
-60ed8313:150849567c0:3975	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	City
-60ed8313:150849567c0:280b	Membership
-60ed8313:150849567c0:36c1	Membership
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	City
-60ed8313:150849567c0:2e3d	Membership
-60ed8313:150849567c0:3cf3	Membership
-60ed8313:150849567c0:2137	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Taiwanese/	EthnicGroup
-60ed8313:150849567c0:4092	SpokenBy
-60ed8313:150849567c0:19c6	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	Province
http://www.semwebtech.org/mondial/10/source/Drin/	Source
-60ed8313:150849567c0:4426	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	City
-60ed8313:150849567c0:1ff8	Membership
-60ed8313:150849567c0:1922	Membership
-60ed8313:150849567c0:2397	Membership
-60ed8313:150849567c0:1f54	Membership
-60ed8313:150849567c0:20e3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	City
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	City
-60ed8313:150849567c0:1ca0	Membership
http://www.semwebtech.org/mondial/10/river/Mincio/	River
-60ed8313:150849567c0:351c	Membership
-60ed8313:150849567c0:43d2	EthnicProportion
-60ed8313:150849567c0:2aa9	Membership
-60ed8313:150849567c0:3b4e	Membership
-60ed8313:150849567c0:2a05	Membership
-60ed8313:150849567c0:26d7	Membership
-60ed8313:150849567c0:377c	Membership
-60ed8313:150849567c0:2633	Membership
-60ed8313:150849567c0:2c65	Membership
-60ed8313:150849567c0:3afa	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	City
-60ed8313:150849567c0:17cd	Border
-60ed8313:150849567c0:2893	Membership
-60ed8313:150849567c0:422d	BelievedBy
-60ed8313:150849567c0:1dff	Membership
-60ed8313:150849567c0:219e	Membership
-60ed8313:150849567c0:1d5b	Membership
-60ed8313:150849567c0:33e8	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	City
-60ed8313:150849567c0:448d	EthnicProportion
-60ed8313:150849567c0:2fa5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	City
-60ed8313:150849567c0:3344	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	City
-60ed8313:150849567c0:2f01	Membership
-60ed8313:150849567c0:24de	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	City
http://www.semwebtech.org/mondial/10/island/Fuerteventura/	Island
-60ed8313:150849567c0:3938	Membership
-60ed8313:150849567c0:243a	Membership
-60ed8313:150849567c0:32f0	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/African/	EthnicGroup
-60ed8313:150849567c0:2a6c	Membership
-60ed8313:150849567c0:40f9	SpokenBy
-60ed8313:150849567c0:3cb6	Membership
-60ed8313:150849567c0:269a	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	Province
-60ed8313:150849567c0:4055	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	City
-60ed8313:150849567c0:3c12	Membership
-60ed8313:150849567c0:38e4	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	Province
-60ed8313:150849567c0:1b83	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	City
-60ed8313:150849567c0:3840	Membership
-60ed8313:150849567c0:31ef	Membership
-60ed8313:150849567c0:1f17	Membership
-60ed8313:150849567c0:2dac	Membership
-60ed8313:150849567c0:3e72	Membership
-60ed8313:150849567c0:20a6	Membership
-60ed8313:150849567c0:314b	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	City
http://www.semwebtech.org/mondial/10/mountain/Iztaccihuatl/	Mountain
-60ed8313:150849567c0:29da	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	Province
-60ed8313:150849567c0:2002	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Vedda/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	City
-60ed8313:150849567c0:1ec3	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	Province
-60ed8313:150849567c0:2262	Membership
-60ed8313:150849567c0:373f	Membership
http://www.semwebtech.org/mondial/10/source/Busira/	Source
-60ed8313:150849567c0:4551	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	Province
http://www.semwebtech.org/mondial/10/source/Elbe/	Source
-60ed8313:150849567c0:2c28	Membership
-60ed8313:150849567c0:3abd	Membership
-60ed8313:150849567c0:399f	Membership
http://www.semwebtech.org/mondial/10/mountains/TianShan/	Mountains
http://www.semwebtech.org/mondial/10/mountains/Vosges/	Mountains
-60ed8313:150849567c0:2856	Membership
-60ed8313:150849567c0:36eb	Membership
-60ed8313:150849567c0:2e88	Membership
-60ed8313:150849567c0:25a2	Membership
-60ed8313:150849567c0:1d1e	Membership
http://www.semwebtech.org/mondial/10/mountain/Chimborazo/	Mountain
-60ed8313:150849567c0:2bd4	Membership
http://www.semwebtech.org/mondial/10/mountains/Jura/	Mountains
-60ed8313:150849567c0:194c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	City
-60ed8313:150849567c0:2b30	Membership
-60ed8313:150849567c0:3307	Membership
-60ed8313:150849567c0:1f7e	Membership
http://www.semwebtech.org/mondial/10/island/Saipan/	Island
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	City
-60ed8313:150849567c0:1cca	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Aymara/	EthnicGroup
-60ed8313:150849567c0:2d90	Membership
-60ed8313:150849567c0:3567	Membership
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	City
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/city/Potenza/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	City
-60ed8313:150849567c0:43fc	EthnicProportion
-60ed8313:150849567c0:3b99	Membership
-60ed8313:150849567c0:32b3	Membership
-60ed8313:150849567c0:2a2f	Membership
-60ed8313:150849567c0:265d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bete/	EthnicGroup
-60ed8313:150849567c0:4018	SpokenBy
http://www.semwebtech.org/mondial/10/source/Maas/	Source
-60ed8313:150849567c0:2c8f	Membership
-60ed8313:150849567c0:38a7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	City
-60ed8313:150849567c0:1b46	Membership
http://www.semwebtech.org/mondial/10/country/CAYM/	Country
-60ed8313:150849567c0:3ed9	Membership
-60ed8313:150849567c0:3803	Membership
-60ed8313:150849567c0:4278	BelievedBy
-60ed8313:150849567c0:1774	Encompassed
-60ed8313:150849567c0:3e35	Membership
-60ed8313:150849567c0:310e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	City
-60ed8313:150849567c0:2fcf	Membership
-60ed8313:150849567c0:1af2	Membership
http://www.semwebtech.org/mondial/10/country/NAM/	Country
-60ed8313:150849567c0:22c9	Membership
-60ed8313:150849567c0:336e	Membership
-60ed8313:150849567c0:2f2b	Membership
-60ed8313:150849567c0:3de1	Membership
-60ed8313:150849567c0:2225	Membership
-60ed8313:150849567c0:30ba	Membership
-60ed8313:150849567c0:4180	BelievedBy
-60ed8313:150849567c0:4514	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PNG/	Country
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	City
-60ed8313:150849567c0:2485	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	Province
-60ed8313:150849567c0:2819	Membership
-60ed8313:150849567c0:21d1	Membership
-60ed8313:150849567c0:36ae	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	City
http://www.semwebtech.org/mondial/10/river/RioMadeira/	River
http://www.semwebtech.org/mondial/10/estuary/Narva/	Estuary
-60ed8313:150849567c0:360a	Membership
-60ed8313:150849567c0:44c0	EthnicProportion
-60ed8313:150849567c0:407f	SpokenBy
-60ed8313:150849567c0:3c3c	Membership
http://www.semwebtech.org/mondial/10/river/Aare/	River
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	City
-60ed8313:150849567c0:190f	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	City
-60ed8313:150849567c0:27c5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	City
-60ed8313:150849567c0:386a	Membership
-60ed8313:150849567c0:2df7	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	City
-60ed8313:150849567c0:2721	Membership
-60ed8313:150849567c0:3e9c	Membership
-60ed8313:150849567c0:3196	Membership
-60ed8313:150849567c0:2d53	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	Province
-60ed8313:150849567c0:202c	Membership
-60ed8313:150849567c0:43bf	EthnicProportion
-60ed8313:150849567c0:18bb	Border
-60ed8313:150849567c0:2981	Membership
-60ed8313:150849567c0:431b	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	City
-60ed8313:150849567c0:1eed	Membership
-60ed8313:150849567c0:228c	Membership
http://www.semwebtech.org/mondial/10/river/Dnjestr/	River
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	City
-60ed8313:150849567c0:34d6	Membership
-60ed8313:150849567c0:457b	EthnicProportion
-60ed8313:150849567c0:3432	Membership
-60ed8313:150849567c0:1b09	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	Province
-60ed8313:150849567c0:3a64	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	City
-60ed8313:150849567c0:1737	Encompassed
-60ed8313:150849567c0:25cc	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/PacificIslander/	EthnicGroup
-60ed8313:150849567c0:3692	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	City
-60ed8313:150849567c0:1d69	Membership
-60ed8313:150849567c0:2bfe	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMaracaibo/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	Province
-60ed8313:150849567c0:1997	Membership
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	City
-60ed8313:150849567c0:1ab5	Membership
-60ed8313:150849567c0:2b5a	Membership
-60ed8313:150849567c0:41e7	BelievedBy
-60ed8313:150849567c0:16e3	Encompassed
-60ed8313:150849567c0:1a11	Membership
-60ed8313:150849567c0:3da4	Membership
-60ed8313:150849567c0:4143	BelievedBy
-60ed8313:150849567c0:3d00	Membership
-60ed8313:150849567c0:39d2	Membership
-60ed8313:150849567c0:1c71	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	City
-60ed8313:150849567c0:2448	Membership
-60ed8313:150849567c0:32dd	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	City
-60ed8313:150849567c0:3f60	Membership
http://www.semwebtech.org/mondial/10/mountain/ChoOyu/	Mountain
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	City
-60ed8313:150849567c0:23f4	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	City
-60ed8313:150849567c0:1fb1	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	City
-60ed8313:150849567c0:2350	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	City
-60ed8313:150849567c0:382d	Membership
-60ed8313:150849567c0:179e	Encompassed
-60ed8313:150849567c0:3e5f	Membership
-60ed8313:150849567c0:3159	Membership
-60ed8313:150849567c0:2d16	Membership
-60ed8313:150849567c0:29e8	Membership
http://www.semwebtech.org/mondial/10/desert/Kalahari/	Desert
-60ed8313:150849567c0:3bab	Membership
-60ed8313:150849567c0:2944	Membership
-60ed8313:150849567c0:21be	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Caucasian/	EthnicGroup
http://www.semwebtech.org/mondial/10/sea/MalakkaStrait/	Sea
-60ed8313:150849567c0:2f76	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/city/Fukui/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	City
-60ed8313:150849567c0:224f	Membership
http://www.semwebtech.org/mondial/10/lake/LakeChilwa/	Lake
-60ed8313:150849567c0:1e0c	Membership
-60ed8313:150849567c0:2cc2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	Province
-60ed8313:150849567c0:3061	Membership
-60ed8313:150849567c0:453e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/city/Tillaberi/	City
-60ed8313:150849567c0:28f0	Membership
-60ed8313:150849567c0:3a27	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	City
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	City
-60ed8313:150849567c0:21fb	Membership
-60ed8313:150849567c0:36f9	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/city/Cankiri/	City
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	Province
-60ed8313:150849567c0:3655	Membership
-60ed8313:150849567c0:44ea	EthnicProportion
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	City
-60ed8313:150849567c0:3c87	Membership
-60ed8313:150849567c0:33a1	Membership
-60ed8313:150849567c0:2b1d	Membership
-60ed8313:150849567c0:27ef	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	Province
-60ed8313:150849567c0:274b	Membership
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	City
-60ed8313:150849567c0:4106	SpokenBy
-60ed8313:150849567c0:1cd8	Membership
-60ed8313:150849567c0:2d7d	Membership
http://www.semwebtech.org/mondial/10/country/GCA/	Country
-60ed8313:150849567c0:2077	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	City
-60ed8313:150849567c0:1c34	Membership
http://www.semwebtech.org/mondial/10/source/Tigris/	Source
http://www.semwebtech.org/mondial/10/estuary/Murgab/	Estuary
-60ed8313:150849567c0:3fc7	Membership
-60ed8313:150849567c0:4366	EthnicProportion
-60ed8313:150849567c0:1862	Border
-60ed8313:150849567c0:40b2	SpokenBy
-60ed8313:150849567c0:3f23	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	Province
-60ed8313:150849567c0:1e94	Membership
-60ed8313:150849567c0:1be0	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	City
-60ed8313:150849567c0:23b7	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	City
-60ed8313:150849567c0:345c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	City
-60ed8313:150849567c0:2313	Membership
-60ed8313:150849567c0:3a8e	Membership
http://www.semwebtech.org/mondial/10/source/Nile/	Source
http://www.semwebtech.org/mondial/10/mountains/CordilleraIberica/	Mountains
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	City
-60ed8313:150849567c0:2573	Membership
-60ed8313:150849567c0:1adf	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanLebanese/	EthnicGroup
-60ed8313:150849567c0:2907	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	City
http://www.semwebtech.org/mondial/10/language/Luri/	Language
-60ed8313:150849567c0:2f39	Membership
-60ed8313:150849567c0:1a3b	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	City
-60ed8313:150849567c0:3dce	Membership
-60ed8313:150849567c0:30c8	Membership
-60ed8313:150849567c0:416d	BelievedBy
-60ed8313:150849567c0:3d2a	Membership
-60ed8313:150849567c0:39fc	Membership
-60ed8313:150849567c0:3024	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	City
http://www.semwebtech.org/mondial/10/organization/OIF/	Organization
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	City
-60ed8313:150849567c0:1c9b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	City
-60ed8313:150849567c0:28b3	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	City
-60ed8313:150849567c0:2ee5	Membership
-60ed8313:150849567c0:3f8a	Membership
-60ed8313:150849567c0:3284	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/city/Slobozia/	City
-60ed8313:150849567c0:2e41	Membership
-60ed8313:150849567c0:3618	Membership
-60ed8313:150849567c0:211a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	City
-60ed8313:150849567c0:44ad	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Teneriffa/	Island
http://www.semwebtech.org/mondial/10/mountain/JabalLubnan/	Mountain
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	Province
http://www.semwebtech.org/mondial/10/mountain/Portefjaellen/	Mountain
http://www.semwebtech.org/mondial/10/island/Nantucket/	Island
-60ed8313:150849567c0:1fdb	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	Province
-60ed8313:150849567c0:237a	Membership
-60ed8313:150849567c0:3878	Membership
-60ed8313:150849567c0:270e	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	City
-60ed8313:150849567c0:35c4	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sidama/	EthnicGroup
-60ed8313:150849567c0:3bf6	Membership
-60ed8313:150849567c0:3520	Membership
-60ed8313:150849567c0:18c9	Border
-60ed8313:150849567c0:296e	Membership
-60ed8313:150849567c0:3b52	Membership
-60ed8313:150849567c0:4329	BelievedBy
-60ed8313:150849567c0:1825	Border
-60ed8313:150849567c0:26ba	Membership
-60ed8313:150849567c0:3780	Membership
-60ed8313:150849567c0:1e57	Membership
-60ed8313:150849567c0:2cec	Membership
-60ed8313:150849567c0:308b	Membership
-60ed8313:150849567c0:4589	EthnicProportion
-60ed8313:150849567c0:1ba3	Membership
http://www.semwebtech.org/mondial/10/organization/AOSIS/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	Province
-60ed8313:150849567c0:341f	Membership
-60ed8313:150849567c0:42d5	BelievedBy
-60ed8313:150849567c0:17d1	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	City
-60ed8313:150849567c0:4231	BelievedBy
http://www.semwebtech.org/mondial/10/source/Inn/	Source
-60ed8313:150849567c0:367f	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	City
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	City
-60ed8313:150849567c0:2536	Membership
-60ed8313:150849567c0:33cb	Membership
-60ed8313:150849567c0:4491	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Moraca/	River
-60ed8313:150849567c0:2b68	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	City
-60ed8313:150849567c0:2796	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Province
-60ed8313:150849567c0:39bf	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	City
-60ed8313:150849567c0:24e2	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	City
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	City
-60ed8313:150849567c0:1c5e	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	Province
http://www.semwebtech.org/mondial/10/mountain/Elgon/	Mountain
-60ed8313:150849567c0:391b	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	City
-60ed8313:150849567c0:188c	Border
-60ed8313:150849567c0:2ea8	Membership
-60ed8313:150849567c0:2a70	Membership
-60ed8313:150849567c0:3f4d	Membership
-60ed8313:150849567c0:3247	Membership
-60ed8313:150849567c0:40dc	SpokenBy
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	City
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	Province
-60ed8313:150849567c0:2e04	Membership
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	City
-60ed8313:150849567c0:233d	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	Province
-60ed8313:150849567c0:31f3	Membership
http://www.semwebtech.org/mondial/10/source/Kymijoki/	Source
-60ed8313:150849567c0:2db0	Membership
http://www.semwebtech.org/mondial/10/islands/SundaIslands/	Islands
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	Province
-60ed8313:150849567c0:3bb9	Membership
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	City
-60ed8313:150849567c0:259d	Membership
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	City
-60ed8313:150849567c0:3b15	Membership
-60ed8313:150849567c0:37e7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	City
-60ed8313:150849567c0:1a86	Membership
http://www.semwebtech.org/mondial/10/desert/Darfur/	Desert
-60ed8313:150849567c0:3743	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	Province
http://www.semwebtech.org/mondial/10/mountains/Elburs/	Mountains
http://www.semwebtech.org/mondial/10/island/TeIka-a-Maui-NorthIsland-/	Island
-60ed8313:150849567c0:2caf	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroTschany/	Lake
-60ed8313:150849567c0:3d75	Membership
-60ed8313:150849567c0:304e	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	Province
-60ed8313:150849567c0:2c0b	Membership
-60ed8313:150849567c0:28dd	Membership
-60ed8313:150849567c0:3ac1	Membership
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	City
-60ed8313:150849567c0:1dc6	Membership
-60ed8313:150849567c0:2e6b	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	Province
-60ed8313:150849567c0:2165	Membership
http://www.semwebtech.org/mondial/10/language/Kurd/	Language
-60ed8313:150849567c0:44f8	EthnicProportion
-60ed8313:150849567c0:19f4	Membership
-60ed8313:150849567c0:1d22	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	City
http://www.semwebtech.org/mondial/10/country/FPOL/	Country
-60ed8313:150849567c0:4454	EthnicProportion
-60ed8313:150849567c0:1950	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	City
http://www.semwebtech.org/mondial/10/language/Bambara/	Language
-60ed8313:150849567c0:41a0	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	City
-60ed8313:150849567c0:1f82	Membership
-60ed8313:150849567c0:2759	Membership
-60ed8313:150849567c0:35ee	Membership
-60ed8313:150849567c0:24a5	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	Province
-60ed8313:150849567c0:354a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	Province
-60ed8313:150849567c0:2ad7	Membership
-60ed8313:150849567c0:2401	Membership
-60ed8313:150849567c0:3b7c	Membership
-60ed8313:150849567c0:184f	Border
-60ed8313:150849567c0:2a33	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	City
-60ed8313:150849567c0:2661	Membership
http://www.semwebtech.org/mondial/10/country/CY/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	City
-60ed8313:150849567c0:1bcd	Membership
-60ed8313:150849567c0:2c93	Membership
-60ed8313:150849567c0:42ff	BelievedBy
-60ed8313:150849567c0:17fb	Border
-60ed8313:150849567c0:3ebc	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	City
-60ed8313:150849567c0:31b6	Membership
-60ed8313:150849567c0:425b	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LagunaMarChiquita/	Lake
-60ed8313:150849567c0:3112	Membership
-60ed8313:150849567c0:29a1	Membership
-60ed8313:150849567c0:2fd3	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	City
-60ed8313:150849567c0:22ac	Membership
-60ed8313:150849567c0:3372	Membership
-60ed8313:150849567c0:1a49	Membership
-60ed8313:150849567c0:3706	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hazara/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/LagoTrasimeno/	Lake
-60ed8313:150849567c0:3d38	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	Province
-60ed8313:150849567c0:3966	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	City
http://www.semwebtech.org/mondial/10/river/Benue/	River
-60ed8313:150849567c0:2a9a	Membership
-60ed8313:150849567c0:3f98	Membership
-60ed8313:150849567c0:36b2	Membership
-60ed8313:150849567c0:3ce4	Membership
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	City
-60ed8313:150849567c0:2e2e	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	Province
-60ed8313:150849567c0:2128	Membership
http://www.semwebtech.org/mondial/10/religion/HoaHao/	Religion
-60ed8313:150849567c0:4083	SpokenBy
-60ed8313:150849567c0:19b7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	City
-60ed8313:150849567c0:3c40	Membership
-60ed8313:150849567c0:4417	EthnicProportion
-60ed8313:150849567c0:1fe9	Membership
-60ed8313:150849567c0:1913	Membership
-60ed8313:150849567c0:2388	Membership
http://www.semwebtech.org/mondial/10/organization/UNMOGIP/	Organization
-60ed8313:150849567c0:1f45	Membership
http://www.semwebtech.org/mondial/10/sea/AndamanSea/	Sea
-60ed8313:150849567c0:2dda	Membership
-60ed8313:150849567c0:20d4	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	Province
http://www.semwebtech.org/mondial/10/island/Khark/	Island
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	City
-60ed8313:150849567c0:2030	Membership
-60ed8313:150849567c0:350d	Membership
-60ed8313:150849567c0:43c3	EthnicProportion
-60ed8313:150849567c0:3b3f	Membership
-60ed8313:150849567c0:1ef1	Membership
http://www.semwebtech.org/mondial/10/river/Missouri/	River
-60ed8313:150849567c0:26c8	Membership
-60ed8313:150849567c0:2290	Membership
-60ed8313:150849567c0:376d	Membership
http://www.semwebtech.org/mondial/10/river/Pjandsh/	River
-60ed8313:150849567c0:2624	Membership
-60ed8313:150849567c0:3d9f	Membership
-60ed8313:150849567c0:3099	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	Province
http://www.semwebtech.org/mondial/10/river/Marne/	River
-60ed8313:150849567c0:2c56	Membership
-60ed8313:150849567c0:3aeb	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	City
-60ed8313:150849567c0:17be	Border
-60ed8313:150849567c0:2884	Membership
http://www.semwebtech.org/mondial/10/river/RioSanJuan/	River
-60ed8313:150849567c0:421e	BelievedBy
-60ed8313:150849567c0:171a	Encompassed
http://www.semwebtech.org/mondial/10/islands/Aleutes/	Islands
-60ed8313:150849567c0:25d0	Membership
-60ed8313:150849567c0:218f	Membership
-60ed8313:150849567c0:1d4c	Membership
http://www.semwebtech.org/mondial/10/lake/Issyk-Kul/	Lake
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	Province
-60ed8313:150849567c0:33d9	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	City
-60ed8313:150849567c0:447e	EthnicProportion
-60ed8313:150849567c0:197a	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	City
-60ed8313:150849567c0:3335	Membership
-60ed8313:150849567c0:41ca	BelievedBy
-60ed8313:150849567c0:24cf	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	City
-60ed8313:150849567c0:3595	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Luhya/	EthnicGroup
-60ed8313:150849567c0:3929	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	City
-60ed8313:150849567c0:242b	Membership
-60ed8313:150849567c0:32e1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	City
-60ed8313:150849567c0:2a5d	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	Province
http://www.semwebtech.org/mondial/10/island/Mallorca/	Island
-60ed8313:150849567c0:268b	Membership
-60ed8313:150849567c0:3ca7	Membership
-60ed8313:150849567c0:4046	SpokenBy
-60ed8313:150849567c0:3c03	Membership
-60ed8313:150849567c0:38d5	Membership
-60ed8313:150849567c0:1b74	Membership
-60ed8313:150849567c0:3831	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	City
-60ed8313:150849567c0:1f08	Membership
-60ed8313:150849567c0:3e63	Membership
http://www.semwebtech.org/mondial/10/estuary/Araguaia/	Estuary
-60ed8313:150849567c0:313c	Membership
-60ed8313:150849567c0:29cb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	City
http://www.semwebtech.org/mondial/10/country/CAYM/city/GeorgeTown/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	Province
-60ed8313:150849567c0:2ffd	Membership
-60ed8313:150849567c0:22f7	Membership
-60ed8313:150849567c0:339c	Membership
-60ed8313:150849567c0:1eb4	Membership
http://www.semwebtech.org/mondial/10/organization/SADC/	Organization
-60ed8313:150849567c0:2253	Membership
-60ed8313:150849567c0:1e10	Membership
-60ed8313:150849567c0:4542	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Belorussian/	EthnicGroup
-60ed8313:150849567c0:2c19	Membership
-60ed8313:150849567c0:3aae	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	Province
-60ed8313:150849567c0:2847	Membership
-60ed8313:150849567c0:3a0a	Membership
-60ed8313:150849567c0:36dc	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	Province
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	Province
-60ed8313:150849567c0:2e79	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	City
-60ed8313:150849567c0:1d0f	Membership
-60ed8313:150849567c0:2bc5	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	City
-60ed8313:150849567c0:3c6a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	City
-60ed8313:150849567c0:193d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	City
-60ed8313:150849567c0:2b21	Membership
-60ed8313:150849567c0:27f3	Membership
-60ed8313:150849567c0:1f6f	Membership
-60ed8313:150849567c0:20fe	Membership
-60ed8313:150849567c0:1cbb	Membership
-60ed8313:150849567c0:2d81	Membership
-60ed8313:150849567c0:205a	Membership
-60ed8313:150849567c0:3558	Membership
-60ed8313:150849567c0:43ed	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Aare/	Estuary
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	Province
-60ed8313:150849567c0:3faa	Membership
-60ed8313:150849567c0:32a4	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	Province
http://www.semwebtech.org/mondial/10/estuary/Katun/	Estuary
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/city/Itanagar/	City
-60ed8313:150849567c0:3200	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	City
-60ed8313:150849567c0:264e	Membership
-60ed8313:150849567c0:4009	SpokenBy
-60ed8313:150849567c0:3460	Membership
-60ed8313:150849567c0:1b37	Membership
http://www.semwebtech.org/mondial/10/river/Lomami/	River
-60ed8313:150849567c0:3a92	Membership
http://www.semwebtech.org/mondial/10/lake/SegaraAnak/	Lake
-60ed8313:150849567c0:4269	BelievedBy
http://www.semwebtech.org/mondial/10/river/Save/	River
-60ed8313:150849567c0:1765	Encompassed
-60ed8313:150849567c0:25fa	Membership
-60ed8313:150849567c0:3e26	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Muslim/	EthnicGroup
-60ed8313:150849567c0:1d97	Membership
-60ed8313:150849567c0:1ae3	Membership
http://www.semwebtech.org/mondial/10/estuary/Euphrat/	Estuary
-60ed8313:150849567c0:37a0	Membership
-60ed8313:150849567c0:335f	Membership
-60ed8313:150849567c0:2f1c	Membership
-60ed8313:150849567c0:3dd2	Membership
-60ed8313:150849567c0:2216	Membership
-60ed8313:150849567c0:30ab	Membership
-60ed8313:150849567c0:4171	BelievedBy
-60ed8313:150849567c0:4505	EthnicProportion
-60ed8313:150849567c0:2476	Membership
-60ed8313:150849567c0:21c2	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	City
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	Province
-60ed8313:150849567c0:44b1	EthnicProportion
-60ed8313:150849567c0:3c2d	Membership
-60ed8313:150849567c0:38ff	Membership
-60ed8313:150849567c0:1b9e	Membership
-60ed8313:150849567c0:27b6	Membership
-60ed8313:150849567c0:385b	Membership
-60ed8313:150849567c0:2de8	Membership
-60ed8313:150849567c0:2712	Membership
-60ed8313:150849567c0:3e8d	Membership
-60ed8313:150849567c0:3187	Membership
-60ed8313:150849567c0:2d44	Membership
-60ed8313:150849567c0:201d	Membership
-60ed8313:150849567c0:18ac	Border
-60ed8313:150849567c0:2972	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	Province
-60ed8313:150849567c0:430c	BelievedBy
-60ed8313:150849567c0:1ede	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	Province
-60ed8313:150849567c0:227d	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/city/Buraydah/	City
-60ed8313:150849567c0:1e3a	Membership
-60ed8313:150849567c0:2cf0	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	City
-60ed8313:150849567c0:34c7	Membership
-60ed8313:150849567c0:456c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/city/Kofu/	City
-60ed8313:150849567c0:3af9	Membership
-60ed8313:150849567c0:3423	Membership
-60ed8313:150849567c0:3a55	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	City
-60ed8313:150849567c0:1728	Encompassed
-60ed8313:150849567c0:25bd	Membership
-60ed8313:150849567c0:3683	Membership
http://www.semwebtech.org/mondial/10/river/Etsch/	River
-60ed8313:150849567c0:2bef	Membership
-60ed8313:150849567c0:1988	Membership
-60ed8313:150849567c0:1aa6	Membership
-60ed8313:150849567c0:2b4b	Membership
-60ed8313:150849567c0:41d8	BelievedBy
-60ed8313:150849567c0:16d4	Encompassed
-60ed8313:150849567c0:1a02	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	Province
-60ed8313:150849567c0:4134	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/GasherbrumII/	Mountain
-60ed8313:150849567c0:39c3	Membership
-60ed8313:150849567c0:1c62	Membership
-60ed8313:150849567c0:3ff5	SpokenBy
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	City
-60ed8313:150849567c0:2439	Membership
-60ed8313:150849567c0:32ce	Membership
-60ed8313:150849567c0:4394	EthnicProportion
-60ed8313:150849567c0:1890	Border
-60ed8313:150849567c0:3f51	Membership
-60ed8313:150849567c0:322a	Membership
-60ed8313:150849567c0:40e0	SpokenBy
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/city/Bie/	City
http://www.semwebtech.org/mondial/10/river/Murgab/	River
-60ed8313:150849567c0:2699	Membership
http://www.semwebtech.org/mondial/10/lake/MaleboPool/	Lake
http://www.semwebtech.org/mondial/10/river/Buna/	River
-60ed8313:150849567c0:23e5	Membership
-60ed8313:150849567c0:348a	Membership
-60ed8313:150849567c0:1fa2	Membership
http://www.semwebtech.org/mondial/10/organization/CD/	Organization
-60ed8313:150849567c0:2341	Membership
-60ed8313:150849567c0:381e	Membership
http://www.semwebtech.org/mondial/10/country/MNTS/	Country
-60ed8313:150849567c0:178f	Encompassed
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	City
-60ed8313:150849567c0:2d07	Membership
-60ed8313:150849567c0:29d9	Membership
http://www.semwebtech.org/mondial/10/island/ZitnyOstrov/	Island
-60ed8313:150849567c0:2935	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/city/Bregenz/	City
-60ed8313:150849567c0:37ca	Membership
http://www.semwebtech.org/mondial/10/country/SLO/	Country
-60ed8313:150849567c0:419b	BelievedBy
-60ed8313:150849567c0:2f67	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	City
-60ed8313:150849567c0:3dfc	Membership
http://www.semwebtech.org/mondial/10/sea/BlackSea/	Sea
-60ed8313:150849567c0:30f6	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	City
http://www.semwebtech.org/mondial/10/islands/ShetlandIslands/	Islands
-60ed8313:150849567c0:2cb3	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	Province
-60ed8313:150849567c0:3052	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	City
-60ed8313:150849567c0:452f	EthnicProportion
-60ed8313:150849567c0:28e1	Membership
http://www.semwebtech.org/mondial/10/river/Tajo/	River
-60ed8313:150849567c0:21ec	Membership
-60ed8313:150849567c0:3a18	Membership
-60ed8313:150849567c0:3646	Membership
-60ed8313:150849567c0:44db	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Paatsjoki/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	City
-60ed8313:150849567c0:3c78	Membership
-60ed8313:150849567c0:2b0e	Membership
http://www.semwebtech.org/mondial/10/organization/NC/	Organization
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	Province
http://www.semwebtech.org/mondial/10/estuary/Zambezi/	Estuary
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	City
-60ed8313:150849567c0:273c	Membership
-60ed8313:150849567c0:35f2	Membership
-60ed8313:150849567c0:1cc9	Membership
-60ed8313:150849567c0:2d6e	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	City
-60ed8313:150849567c0:2068	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	City
-60ed8313:150849567c0:18f7	Border
-60ed8313:150849567c0:1c25	Membership
-60ed8313:150849567c0:2aba	Membership
-60ed8313:150849567c0:299c	Membership
-60ed8313:150849567c0:3fb8	Membership
-60ed8313:150849567c0:3b80	Membership
http://www.semwebtech.org/mondial/10/sea/PersianGulf/	Sea
-60ed8313:150849567c0:4357	EthnicProportion
-60ed8313:150849567c0:1853	Border
-60ed8313:150849567c0:3f14	Membership
http://www.semwebtech.org/mondial/10/island/St.Barthelemy/	Island
-60ed8313:150849567c0:40a3	SpokenBy
-60ed8313:150849567c0:1e85	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	City
-60ed8313:150849567c0:1bd1	Membership
http://www.semwebtech.org/mondial/10/mountain/Illimani/	Mountain
http://www.semwebtech.org/mondial/10/country/RI/	Country
-60ed8313:150849567c0:23a8	Membership
-60ed8313:150849567c0:344d	Membership
http://www.semwebtech.org/mondial/10/country/LAR/	Country
-60ed8313:150849567c0:3ec0	Membership
-60ed8313:150849567c0:2304	Membership
-60ed8313:150849567c0:3a7f	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/city/Giurgiu/	City
http://www.semwebtech.org/mondial/10/country/TO/	Country
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	Province
http://www.semwebtech.org/mondial/10/organization/ILO/	Organization
-60ed8313:150849567c0:2564	Membership
http://www.semwebtech.org/mondial/10/country/VU/	Country
-60ed8313:150849567c0:2b96	Membership
-60ed8313:150849567c0:22b0	Membership
http://www.semwebtech.org/mondial/10/island/Tinian/	Island
-60ed8313:150849567c0:16fe	Encompassed
-60ed8313:150849567c0:1a2c	Membership
-60ed8313:150849567c0:3dbf	Membership
-60ed8313:150849567c0:30b9	Membership
-60ed8313:150849567c0:415e	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/TirichMir/	Mountain
-60ed8313:150849567c0:3d1b	Membership
-60ed8313:150849567c0:39ed	Membership
-60ed8313:150849567c0:3015	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	City
-60ed8313:150849567c0:1c8c	Membership
-60ed8313:150849567c0:28a4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Maur/	EthnicGroup
-60ed8313:150849567c0:3f7b	Membership
-60ed8313:150849567c0:2ed6	Membership
-60ed8313:150849567c0:2800	Membership
-60ed8313:150849567c0:21af	Membership
-60ed8313:150849567c0:3275	Membership
-60ed8313:150849567c0:2e32	Membership
http://www.semwebtech.org/mondial/10/language/Aymara/	Language
-60ed8313:150849567c0:210b	Membership
-60ed8313:150849567c0:3609	Membership
http://www.semwebtech.org/mondial/10/lake/ChadLake/	Lake
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	City
-60ed8313:150849567c0:1fcc	Membership
-60ed8313:150849567c0:236b	Membership
-60ed8313:150849567c0:3869	Membership
http://www.semwebtech.org/mondial/10/country/WAG/	Country
http://www.semwebtech.org/mondial/10/mountains/Tibesti/	Mountains
-60ed8313:150849567c0:35b5	Membership
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	Province
-60ed8313:150849567c0:3be7	Membership
-60ed8313:150849567c0:3511	Membership
-60ed8313:150849567c0:295f	Membership
-60ed8313:150849567c0:3b43	Membership
-60ed8313:150849567c0:1816	Border
-60ed8313:150849567c0:26ab	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	City
-60ed8313:150849567c0:3771	Membership
-60ed8313:150849567c0:1e48	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Somali/	EthnicGroup
-60ed8313:150849567c0:2cdd	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	City
-60ed8313:150849567c0:307c	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	City
http://www.semwebtech.org/mondial/10/country/N/	Country
-60ed8313:150849567c0:42c6	BelievedBy
-60ed8313:150849567c0:17c2	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	City
-60ed8313:150849567c0:4222	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	Province
-60ed8313:150849567c0:1df4	Membership
-60ed8313:150849567c0:2193	Membership
-60ed8313:150849567c0:1d50	Membership
-60ed8313:150849567c0:2527	Membership
-60ed8313:150849567c0:33bc	Membership
-60ed8313:150849567c0:4482	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/UNESCO/	Organization
-60ed8313:150849567c0:2b59	Membership
-60ed8313:150849567c0:2787	Membership
-60ed8313:150849567c0:24d3	Membership
-60ed8313:150849567c0:1c4f	Membership
-60ed8313:150849567c0:390c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	Province
-60ed8313:150849567c0:187d	Border
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	Province
-60ed8313:150849567c0:2a61	Membership
-60ed8313:150849567c0:3f3e	Membership
-60ed8313:150849567c0:3238	Membership
-60ed8313:150849567c0:40cd	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	City
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	City
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	City
-60ed8313:150849567c0:1bfb	Membership
-60ed8313:150849567c0:3498	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	City
-60ed8313:150849567c0:3eea	Membership
-60ed8313:150849567c0:232e	Membership
-60ed8313:150849567c0:31e4	Membership
-60ed8313:150849567c0:2da1	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	Province
-60ed8313:150849567c0:3140	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	City
-60ed8313:150849567c0:258e	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	Province
-60ed8313:150849567c0:3b06	Membership
-60ed8313:150849567c0:22da	Membership
-60ed8313:150849567c0:37d8	Membership
-60ed8313:150849567c0:1a77	Membership
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	City
-60ed8313:150849567c0:3734	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	City
-60ed8313:150849567c0:3d66	Membership
-60ed8313:150849567c0:303f	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	City
-60ed8313:150849567c0:28ce	Membership
-60ed8313:150849567c0:3ab2	Membership
-60ed8313:150849567c0:3994	Membership
http://www.semwebtech.org/mondial/10/source/Cuango/	Source
-60ed8313:150849567c0:282a	Membership
http://www.semwebtech.org/mondial/10/estuary/Alz/	Estuary
-60ed8313:150849567c0:36e0	Membership
-60ed8313:150849567c0:329f	Membership
-60ed8313:150849567c0:1db7	Membership
http://www.semwebtech.org/mondial/10/source/Narew/	Source
-60ed8313:150849567c0:2e5c	Membership
-60ed8313:150849567c0:2156	Membership
-60ed8313:150849567c0:44e9	EthnicProportion
-60ed8313:150849567c0:19e5	Membership
-60ed8313:150849567c0:1d13	Membership
-60ed8313:150849567c0:4445	EthnicProportion
-60ed8313:150849567c0:1941	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	Province
http://www.semwebtech.org/mondial/10/source/MerrimackRiver/	Source
-60ed8313:150849567c0:1f73	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Walloon/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Karisimbi/	Mountain
-60ed8313:150849567c0:35df	Membership
-60ed8313:150849567c0:43f1	EthnicProportion
-60ed8313:150849567c0:353b	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	City
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	City
-60ed8313:150849567c0:2ac8	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	City
http://www.semwebtech.org/mondial/10/source/Atbara/	Source
-60ed8313:150849567c0:3b6d	Membership
-60ed8313:150849567c0:2a24	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	City
-60ed8313:150849567c0:26f6	Membership
-60ed8313:150849567c0:379b	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	Province
http://www.semwebtech.org/mondial/10/organization/LAES/	Organization
-60ed8313:150849567c0:2652	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	Province
-60ed8313:150849567c0:1bbe	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	Province
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	Province
-60ed8313:150849567c0:2c84	Membership
-60ed8313:150849567c0:17ec	Border
-60ed8313:150849567c0:1b1a	Membership
-60ed8313:150849567c0:3ead	Membership
-60ed8313:150849567c0:31a7	Membership
-60ed8313:150849567c0:424c	BelievedBy
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	Province
-60ed8313:150849567c0:3103	Membership
-60ed8313:150849567c0:1d7a	Membership
-60ed8313:150849567c0:2fc4	Membership
-60ed8313:150849567c0:3363	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	City
http://www.semwebtech.org/mondial/10/island/Bougainville/	Island
-60ed8313:150849567c0:2f20	Membership
-60ed8313:150849567c0:24fd	Membership
-60ed8313:150849567c0:3d29	Membership
http://www.semwebtech.org/mondial/10/mountains/Crete/	Mountains
-60ed8313:150849567c0:3957	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	City
-60ed8313:150849567c0:2a8b	Membership
-60ed8313:150849567c0:3f89	Membership
-60ed8313:150849567c0:36a3	Membership
-60ed8313:150849567c0:2e1f	Membership
-60ed8313:150849567c0:3cd5	Membership
-60ed8313:150849567c0:2119	Membership
-60ed8313:150849567c0:4074	SpokenBy
-60ed8313:150849567c0:19a8	Membership
http://www.semwebtech.org/mondial/10/river/Werra/	River
-60ed8313:150849567c0:3c31	Membership
-60ed8313:150849567c0:4408	EthnicProportion
-60ed8313:150849567c0:1904	Membership
-60ed8313:150849567c0:2379	Membership
-60ed8313:150849567c0:1f36	Membership
http://www.semwebtech.org/mondial/10/estuary/Newa/	Estuary
-60ed8313:150849567c0:2dcb	Membership
-60ed8313:150849567c0:3e91	Membership
-60ed8313:150849567c0:20c5	Membership
-60ed8313:150849567c0:316a	Membership
http://www.semwebtech.org/mondial/10/islands/NewZealand/	Islands
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	Province
-60ed8313:150849567c0:2021	Membership
-60ed8313:150849567c0:43b4	EthnicProportion
-60ed8313:150849567c0:18b0	Border
-60ed8313:150849567c0:4310	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/city/PuertoMaldonado/	City
-60ed8313:150849567c0:1ee2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	Province
-60ed8313:150849567c0:26b9	Membership
-60ed8313:150849567c0:2281	Membership
-60ed8313:150849567c0:375e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	City
-60ed8313:150849567c0:2615	Membership
-60ed8313:150849567c0:34aa	Membership
-60ed8313:150849567c0:4570	EthnicProportion
-60ed8313:150849567c0:2c47	Membership
-60ed8313:150849567c0:3adc	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	City
-60ed8313:150849567c0:17af	Encompassed
http://www.semwebtech.org/mondial/10/religion/Kimbanguist/	Religion
-60ed8313:150849567c0:2875	Membership
http://www.semwebtech.org/mondial/10/source/Kasai/	Source
-60ed8313:150849567c0:420f	BelievedBy
-60ed8313:150849567c0:170b	Encompassed
-60ed8313:150849567c0:25c1	Membership
http://www.semwebtech.org/mondial/10/lake/Franklin.D.RooseveltLake/	Lake
http://www.semwebtech.org/mondial/10/source/Drina/	Source
http://www.semwebtech.org/mondial/10/estuary/Swir/	Estuary
-60ed8313:150849567c0:1d3d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	City
-60ed8313:150849567c0:2bf3	Membership
http://www.semwebtech.org/mondial/10/language/Latvian/	Language
-60ed8313:150849567c0:446f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	Province
-60ed8313:150849567c0:196b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	Province
-60ed8313:150849567c0:3326	Membership
-60ed8313:150849567c0:41bb	BelievedBy
-60ed8313:150849567c0:1f9d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	Province
-60ed8313:150849567c0:3586	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	City
http://www.semwebtech.org/mondial/10/island/Grenada/	Island
-60ed8313:150849567c0:241c	Membership
-60ed8313:150849567c0:32d2	Membership
-60ed8313:150849567c0:2a4e	Membership
http://www.semwebtech.org/mondial/10/country/XMAS/	Country
http://www.semwebtech.org/mondial/10/desert/Owyhee/	Desert
-60ed8313:150849567c0:267c	Membership
-60ed8313:150849567c0:4037	SpokenBy
-60ed8313:150849567c0:38c6	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	City
http://www.semwebtech.org/mondial/10/country/MA/	Country
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	Province
-60ed8313:150849567c0:1b65	Membership
http://www.semwebtech.org/mondial/10/river/Irawaddy/	River
-60ed8313:150849567c0:3ef8	Membership
-60ed8313:150849567c0:3822	Membership
http://www.semwebtech.org/mondial/10/organization/IEA/	Organization
-60ed8313:150849567c0:4297	BelievedBy
-60ed8313:150849567c0:1793	Encompassed
http://www.semwebtech.org/mondial/10/island/LaPalma/	Island
-60ed8313:150849567c0:3e54	Membership
-60ed8313:150849567c0:312d	Membership
-60ed8313:150849567c0:29bc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	City
http://www.semwebtech.org/mondial/10/organization/NIB/	Organization
-60ed8313:150849567c0:3ba0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	Province
-60ed8313:150849567c0:2fee	Membership
-60ed8313:150849567c0:22e8	Membership
-60ed8313:150849567c0:338d	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	Province
-60ed8313:150849567c0:1ea5	Membership
-60ed8313:150849567c0:2f4a	Membership
http://www.semwebtech.org/mondial/10/mountains/Ural/	Mountains
-60ed8313:150849567c0:2244	Membership
-60ed8313:150849567c0:1e01	Membership
-60ed8313:150849567c0:4533	EthnicProportion
-60ed8313:150849567c0:2838	Membership
-60ed8313:150849567c0:21f0	Membership
-60ed8313:150849567c0:36cd	Membership
-60ed8313:150849567c0:3cff	Membership
http://www.semwebtech.org/mondial/10/mountain/MountKenia/	Mountain
-60ed8313:150849567c0:409e	SpokenBy
-60ed8313:150849567c0:2bb6	Membership
-60ed8313:150849567c0:3c5b	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	City
-60ed8313:150849567c0:192e	Membership
-60ed8313:150849567c0:2b12	Membership
-60ed8313:150849567c0:27e4	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	Province
-60ed8313:150849567c0:2740	Membership
-60ed8313:150849567c0:20ef	Membership
-60ed8313:150849567c0:1cac	Membership
-60ed8313:150849567c0:2d72	Membership
-60ed8313:150849567c0:204b	Membership
-60ed8313:150849567c0:3549	Membership
-60ed8313:150849567c0:43de	EthnicProportion
-60ed8313:150849567c0:18da	Border
-60ed8313:150849567c0:433a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	Province
-60ed8313:150849567c0:459a	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/March/	Estuary
-60ed8313:150849567c0:34f5	Membership
-60ed8313:150849567c0:263f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	City
http://www.semwebtech.org/mondial/10/source/Tshuapa/	Source
http://www.semwebtech.org/mondial/10/island/Bornholm/	Island
http://www.semwebtech.org/mondial/10/island/Malta/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	City
-60ed8313:150849567c0:3451	Membership
-60ed8313:150849567c0:1b28	Membership
-60ed8313:150849567c0:289f	Membership
-60ed8313:150849567c0:3a83	Membership
-60ed8313:150849567c0:1756	Encompassed
-60ed8313:150849567c0:25eb	Membership
-60ed8313:150849567c0:3e17	Membership
http://www.semwebtech.org/mondial/10/estuary/Aruwimi/	Estuary
-60ed8313:150849567c0:1d88	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/city/Mocoa/	City
-60ed8313:150849567c0:1ad4	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	City
-60ed8313:150849567c0:1a30	Membership
-60ed8313:150849567c0:2f0d	Membership
-60ed8313:150849567c0:3dc3	Membership
-60ed8313:150849567c0:2207	Membership
-60ed8313:150849567c0:4162	BelievedBy
-60ed8313:150849567c0:39f1	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	City
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	Province
-60ed8313:150849567c0:1c90	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	City
-60ed8313:150849567c0:2467	Membership
-60ed8313:150849567c0:32fc	Membership
-60ed8313:150849567c0:2a99	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	City
-60ed8313:150849567c0:21b3	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	City
-60ed8313:150849567c0:44a2	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/EastAfricanRift/	Mountains
http://www.semwebtech.org/mondial/10/source/Saone/	Source
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	City
-60ed8313:150849567c0:3c1e	Membership
-60ed8313:150849567c0:1fd0	Membership
-60ed8313:150849567c0:1b8f	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	City
-60ed8313:150849567c0:27a7	Membership
-60ed8313:150849567c0:384c	Membership
-60ed8313:150849567c0:2dd9	Membership
-60ed8313:150849567c0:2703	Membership
-60ed8313:150849567c0:3e7e	Membership
-60ed8313:150849567c0:3178	Membership
-60ed8313:150849567c0:2d35	Membership
-60ed8313:150849567c0:3bca	Membership
-60ed8313:150849567c0:200e	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	City
-60ed8313:150849567c0:2963	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	City
-60ed8313:150849567c0:1ecf	Membership
-60ed8313:150849567c0:2f95	Membership
-60ed8313:150849567c0:226e	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	City
-60ed8313:150849567c0:1e2b	Membership
-60ed8313:150849567c0:2ce1	Membership
-60ed8313:150849567c0:34b8	Membership
-60ed8313:150849567c0:3080	Membership
-60ed8313:150849567c0:455d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	Province
-60ed8313:150849567c0:3414	Membership
http://www.semwebtech.org/mondial/10/source/Maranon/	Source
-60ed8313:150849567c0:3a46	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	Province
-60ed8313:150849567c0:1719	Encompassed
-60ed8313:150849567c0:25ae	Membership
-60ed8313:150849567c0:3674	Membership
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	City
http://www.semwebtech.org/mondial/10/island/Martinique/	Island
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	Province
-60ed8313:150849567c0:250a	Membership
http://www.semwebtech.org/mondial/10/islands/Maldives/	Islands
-60ed8313:150849567c0:33c0	Membership
-60ed8313:150849567c0:1979	Membership
-60ed8313:150849567c0:2b3c	Membership
-60ed8313:150849567c0:41c9	BelievedBy
-60ed8313:150849567c0:16c5	Encompassed
-60ed8313:150849567c0:276a	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	Province
-60ed8313:150849567c0:4125	BelievedBy
-60ed8313:150849567c0:1cf7	Membership
-60ed8313:150849567c0:39b4	Membership
-60ed8313:150849567c0:2d9c	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	Province
-60ed8313:150849567c0:2096	Membership
http://www.semwebtech.org/mondial/10/island/Madeira/	Island
-60ed8313:150849567c0:1c53	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	Province
-60ed8313:150849567c0:3fe6	Membership
-60ed8313:150849567c0:3910	Membership
-60ed8313:150849567c0:32bf	Membership
-60ed8313:150849567c0:4385	EthnicProportion
-60ed8313:150849567c0:1881	Border
-60ed8313:150849567c0:3f42	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	Province
-60ed8313:150849567c0:321b	Membership
-60ed8313:150849567c0:40d1	SpokenBy
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/city/Koani/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	Province
http://www.semwebtech.org/mondial/10/islands/Sporades/	Islands
-60ed8313:150849567c0:23d6	Membership
-60ed8313:150849567c0:347b	Membership
-60ed8313:150849567c0:380f	Membership
-60ed8313:150849567c0:2332	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	City
http://www.semwebtech.org/mondial/10/island/PulauPanjang/	Island
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	City
http://www.semwebtech.org/mondial/10/island/EasterIsland/	Island
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	City
http://www.semwebtech.org/mondial/10/lake/LakeRukwa/	Lake
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	City
-60ed8313:150849567c0:2592	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	City
-60ed8313:150849567c0:1afe	Membership
-60ed8313:150849567c0:2926	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	City
-60ed8313:150849567c0:37bb	Membership
-60ed8313:150849567c0:1a5a	Membership
-60ed8313:150849567c0:2f58	Membership
-60ed8313:150849567c0:3ded	Membership
-60ed8313:150849567c0:30e7	Membership
-60ed8313:150849567c0:418c	BelievedBy
-60ed8313:150849567c0:2ca4	Membership
http://www.semwebtech.org/mondial/10/island/SaintKitts/	Island
-60ed8313:150849567c0:3043	Membership
-60ed8313:150849567c0:2c00	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	Province
-60ed8313:150849567c0:28d2	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/city/Samarra/	City
-60ed8313:150849567c0:21dd	Membership
-60ed8313:150849567c0:3a09	Membership
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	City
-60ed8313:150849567c0:2e60	Membership
-60ed8313:150849567c0:3637	Membership
-60ed8313:150849567c0:44cc	EthnicProportion
-60ed8313:150849567c0:3c69	Membership
-60ed8313:150849567c0:1ffa	Membership
http://www.semwebtech.org/mondial/10/mountain/Fujisan/	Mountain
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Province
-60ed8313:150849567c0:3897	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	Province
-60ed8313:150849567c0:272d	Membership
-60ed8313:150849567c0:35e3	Membership
-60ed8313:150849567c0:2d5f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	City
-60ed8313:150849567c0:2059	Membership
http://www.semwebtech.org/mondial/10/estuary/Murat/	Estuary
-60ed8313:150849567c0:18e8	Border
-60ed8313:150849567c0:1c16	Membership
-60ed8313:150849567c0:2aab	Membership
-60ed8313:150849567c0:298d	Membership
-60ed8313:150849567c0:3fa9	Membership
-60ed8313:150849567c0:3b71	Membership
-60ed8313:150849567c0:4348	EthnicProportion
-60ed8313:150849567c0:1844	Border
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	City
-60ed8313:150849567c0:3f05	Membership
http://www.semwebtech.org/mondial/10/source/Arno/	Source
-60ed8313:150849567c0:1e76	Membership
-60ed8313:150849567c0:1bc2	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	City
http://www.semwebtech.org/mondial/10/islands/SolomonIslands/	Islands
-60ed8313:150849567c0:343e	Membership
http://www.semwebtech.org/mondial/10/organization/GCTU/	Organization
-60ed8313:150849567c0:42f4	BelievedBy
-60ed8313:150849567c0:17f0	Border
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	Province
-60ed8313:150849567c0:3eb1	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	City
-60ed8313:150849567c0:4250	BelievedBy
-60ed8313:150849567c0:25f9	Membership
http://www.semwebtech.org/mondial/10/source/Ruki/	Source
-60ed8313:150849567c0:369e	Membership
-60ed8313:150849567c0:2555	Membership
-60ed8313:150849567c0:33ea	Membership
-60ed8313:150849567c0:2b87	Membership
-60ed8313:150849567c0:22a1	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	Province
-60ed8313:150849567c0:16ef	Encompassed
-60ed8313:150849567c0:1a1d	Membership
-60ed8313:150849567c0:414f	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	City
-60ed8313:150849567c0:3d0c	Membership
-60ed8313:150849567c0:39de	Membership
http://www.semwebtech.org/mondial/10/country/CL/	Country
-60ed8313:150849567c0:3006	Membership
http://www.semwebtech.org/mondial/10/mountain/MtBona/	Mountain
-60ed8313:150849567c0:1c7d	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	Province
-60ed8313:150849567c0:393a	Membership
-60ed8313:150849567c0:2ec7	Membership
http://www.semwebtech.org/mondial/10/country/TUCA/	Country
-60ed8313:150849567c0:3f6c	Membership
http://www.semwebtech.org/mondial/10/country/ER/	Country
-60ed8313:150849567c0:3266	Membership
-60ed8313:150849567c0:40fb	SpokenBy
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	City
-60ed8313:150849567c0:2e23	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Victoria/	Mountain
-60ed8313:150849567c0:1fbd	Membership
-60ed8313:150849567c0:235c	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraBlanca/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	City
-60ed8313:150849567c0:35a6	Membership
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	City
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	City
http://www.semwebtech.org/mondial/10/lake/LakeNatron/	Lake
-60ed8313:150849567c0:3bd8	Membership
-60ed8313:150849567c0:3502	Membership
http://www.semwebtech.org/mondial/10/sea/TheChannel/	Sea
-60ed8313:150849567c0:3b34	Membership
http://www.semwebtech.org/mondial/10/source/Kokemaeenjoki/	Source
-60ed8313:150849567c0:1807	Border
http://www.semwebtech.org/mondial/10/source/Ebro/	Source
-60ed8313:150849567c0:3762	Membership
-60ed8313:150849567c0:1e39	Membership
http://www.semwebtech.org/mondial/10/source/Thames/	Source
-60ed8313:150849567c0:2cce	Membership
-60ed8313:150849567c0:3d94	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kuwaiti/	EthnicGroup
-60ed8313:150849567c0:306d	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	Province
http://www.semwebtech.org/mondial/10/mountain/Krakatau/	Mountain
-60ed8313:150849567c0:2c2a	Membership
-60ed8313:150849567c0:28fc	Membership
-60ed8313:150849567c0:3ae0	Membership
-60ed8313:150849567c0:42b7	BelievedBy
-60ed8313:150849567c0:17b3	Encompassed
http://www.semwebtech.org/mondial/10/lake/LakeAbaya/	Lake
-60ed8313:150849567c0:4213	BelievedBy
-60ed8313:150849567c0:1de5	Membership
-60ed8313:150849567c0:2e8a	Membership
-60ed8313:150849567c0:2184	Membership
-60ed8313:150849567c0:1d41	Membership
-60ed8313:150849567c0:2518	Membership
-60ed8313:150849567c0:33ad	Membership
-60ed8313:150849567c0:4473	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Mauritius/	Island
-60ed8313:150849567c0:2778	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	City
http://www.semwebtech.org/mondial/10/mountain/Manaslu/	Mountain
-60ed8313:150849567c0:24c4	Membership
http://www.semwebtech.org/mondial/10/lake/OzeroOnega/	Lake
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	Province
http://www.semwebtech.org/mondial/10/country/WD/	Country
-60ed8313:150849567c0:2af6	Membership
-60ed8313:150849567c0:2420	Membership
-60ed8313:150849567c0:3b9b	Membership
-60ed8313:150849567c0:186e	Border
-60ed8313:150849567c0:2a52	Membership
-60ed8313:150849567c0:3f2f	Membership
-60ed8313:150849567c0:3229	Membership
-60ed8313:150849567c0:40be	SpokenBy
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/city/Louga/	City
-60ed8313:150849567c0:2680	Membership
-60ed8313:150849567c0:401a	SpokenBy
-60ed8313:150849567c0:1bec	Membership
http://www.semwebtech.org/mondial/10/estuary/Suchona/	Estuary
-60ed8313:150849567c0:3489	Membership
-60ed8313:150849567c0:3edb	Membership
-60ed8313:150849567c0:231f	Membership
-60ed8313:150849567c0:31d5	Membership
-60ed8313:150849567c0:427a	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	City
-60ed8313:150849567c0:3131	Membership
-60ed8313:150849567c0:29c0	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	Province
-60ed8313:150849567c0:257f	Membership
-60ed8313:150849567c0:2ff2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	City
-60ed8313:150849567c0:22cb	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	City
-60ed8313:150849567c0:37c9	Membership
-60ed8313:150849567c0:3391	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	City
-60ed8313:150849567c0:1a68	Membership
-60ed8313:150849567c0:3725	Membership
-60ed8313:150849567c0:3d57	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	City
http://www.semwebtech.org/mondial/10/river/Vaesterdalaelv/	River
http://www.semwebtech.org/mondial/10/sea/CaribbeanSea/	Sea
-60ed8313:150849567c0:3aa3	Membership
-60ed8313:150849567c0:28bf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	Province
-60ed8313:150849567c0:3985	Membership
-60ed8313:150849567c0:281b	Membership
-60ed8313:150849567c0:36d1	Membership
-60ed8313:150849567c0:1da8	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	City
-60ed8313:150849567c0:2e4d	Membership
-60ed8313:150849567c0:2147	Membership
-60ed8313:150849567c0:19d6	Membership
-60ed8313:150849567c0:1d04	Membership
-60ed8313:150849567c0:4436	EthnicProportion
-60ed8313:150849567c0:1932	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	City
-60ed8313:150849567c0:1f64	Membership
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	City
http://www.semwebtech.org/mondial/10/organization/SACU/	Organization
-60ed8313:150849567c0:20f3	Membership
-60ed8313:150849567c0:1cb0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	City
http://www.semwebtech.org/mondial/10/organization/Benelux/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	City
-60ed8313:150849567c0:352c	Membership
-60ed8313:150849567c0:43e2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	City
-60ed8313:150849567c0:2ab9	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	Province
-60ed8313:150849567c0:3b5e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	Province
-60ed8313:150849567c0:2a15	Membership
-60ed8313:150849567c0:26e7	Membership
-60ed8313:150849567c0:378c	Membership
-60ed8313:150849567c0:2643	Membership
-60ed8313:150849567c0:1baf	Membership
-60ed8313:150849567c0:2c75	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	Province
-60ed8313:150849567c0:17dd	Border
-60ed8313:150849567c0:1b0b	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	Province
-60ed8313:150849567c0:423d	BelievedBy
http://www.semwebtech.org/mondial/10/island/Barbados/	Island
http://www.semwebtech.org/mondial/10/desert/Chihuahua/	Desert
http://www.semwebtech.org/mondial/10/desert/ErdiEnnedi/	Desert
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	Province
-60ed8313:150849567c0:1d6b	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	Province
-60ed8313:150849567c0:33f8	Membership
-60ed8313:150849567c0:449d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	City
-60ed8313:150849567c0:2fb5	Membership
-60ed8313:150849567c0:3354	Membership
-60ed8313:150849567c0:2f11	Membership
-60ed8313:150849567c0:30a0	Membership
-60ed8313:150849567c0:24ee	Membership
http://www.semwebtech.org/mondial/10/estuary/Okavango/	Estuary
-60ed8313:150849567c0:244a	Membership
-60ed8313:150849567c0:3948	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	City
-60ed8313:150849567c0:2a7c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	City
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	City
http://www.semwebtech.org/mondial/10/mountains/Alps/	Mountains
-60ed8313:150849567c0:3cc6	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	Province
-60ed8313:150849567c0:4065	SpokenBy
-60ed8313:150849567c0:3c22	Membership
-60ed8313:150849567c0:38f4	Membership
-60ed8313:150849567c0:1b93	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	City
http://www.semwebtech.org/mondial/10/language/Ukrainian/	Language
-60ed8313:150849567c0:3850	Membership
-60ed8313:150849567c0:31ff	Membership
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	City
-60ed8313:150849567c0:1f27	Membership
-60ed8313:150849567c0:2dbc	Membership
-60ed8313:150849567c0:3e82	Membership
-60ed8313:150849567c0:20b6	Membership
-60ed8313:150849567c0:315b	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	Province
-60ed8313:150849567c0:29ea	Membership
-60ed8313:150849567c0:2012	Membership
-60ed8313:150849567c0:43a5	EthnicProportion
-60ed8313:150849567c0:18a1	Border
-60ed8313:150849567c0:4301	BelievedBy
-60ed8313:150849567c0:1ed3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	City
-60ed8313:150849567c0:2272	Membership
-60ed8313:150849567c0:374f	Membership
-60ed8313:150849567c0:2606	Membership
-60ed8313:150849567c0:4561	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/city/Huancavelica/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	City
-60ed8313:150849567c0:2c38	Membership
http://www.semwebtech.org/mondial/10/mountain/GasherbrumI/	Mountain
-60ed8313:150849567c0:3acd	Membership
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/	Province
http://www.semwebtech.org/mondial/10/estuary/Pruth/	Estuary
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	City
-60ed8313:150849567c0:2866	Membership
-60ed8313:150849567c0:36fb	Membership
-60ed8313:150849567c0:2e98	Membership
-60ed8313:150849567c0:25b2	Membership
-60ed8313:150849567c0:1d2e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	City
-60ed8313:150849567c0:2be4	Membership
-60ed8313:150849567c0:195c	Membership
-60ed8313:150849567c0:2b40	Membership
-60ed8313:150849567c0:41ac	BelievedBy
http://www.semwebtech.org/mondial/10/sea/IndianOcean/	Sea
-60ed8313:150849567c0:3317	Membership
http://www.semwebtech.org/mondial/10/organization/UPU/	Organization
-60ed8313:150849567c0:1f8e	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	City
-60ed8313:150849567c0:1cda	Membership
-60ed8313:150849567c0:3577	Membership
-60ed8313:150849567c0:240d	Membership
-60ed8313:150849567c0:32c3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Polish/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	City
-60ed8313:150849567c0:2a3f	Membership
-60ed8313:150849567c0:266d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	City
-60ed8313:150849567c0:4028	SpokenBy
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	City
-60ed8313:150849567c0:2c9f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	City
-60ed8313:150849567c0:38b7	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	Province
-60ed8313:150849567c0:1b56	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	Province
-60ed8313:150849567c0:3ee9	Membership
-60ed8313:150849567c0:3813	Membership
-60ed8313:150849567c0:4288	BelievedBy
-60ed8313:150849567c0:1784	Encompassed
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	City
http://www.semwebtech.org/mondial/10/language/Somali/	Language
-60ed8313:150849567c0:3e45	Membership
-60ed8313:150849567c0:311e	Membership
-60ed8313:150849567c0:29ad	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	City
-60ed8313:150849567c0:2fdf	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/city/Luena/	City
-60ed8313:150849567c0:22d9	Membership
-60ed8313:150849567c0:337e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Senoufou/	EthnicGroup
-60ed8313:150849567c0:3df1	Membership
-60ed8313:150849567c0:2f3b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	City
-60ed8313:150849567c0:2235	Membership
-60ed8313:150849567c0:30ca	Membership
-60ed8313:150849567c0:4190	BelievedBy
http://www.semwebtech.org/mondial/10/lake/LakeSakakawea/	Lake
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	City
-60ed8313:150849567c0:4524	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Vaal/	River
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	City
-60ed8313:150849567c0:2495	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	Province
-60ed8313:150849567c0:2829	Membership
-60ed8313:150849567c0:21e1	Membership
-60ed8313:150849567c0:36be	Membership
http://www.semwebtech.org/mondial/10/mountain/HumphreysPeak/	Mountain
http://www.semwebtech.org/mondial/10/river/Bartang/	River
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	City
-60ed8313:150849567c0:361a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Emiri/	EthnicGroup
-60ed8313:150849567c0:44d0	EthnicProportion
-60ed8313:150849567c0:408f	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	City
-60ed8313:150849567c0:2ba7	Membership
-60ed8313:150849567c0:3c4c	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	City
-60ed8313:150849567c0:191f	Membership
-60ed8313:150849567c0:2b03	Membership
-60ed8313:150849567c0:27d5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	City
-60ed8313:150849567c0:387a	Membership
http://www.semwebtech.org/mondial/10/country/SLB/	Country
http://www.semwebtech.org/mondial/10/organization/EADB/	Organization
-60ed8313:150849567c0:2731	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	Province
-60ed8313:150849567c0:2d63	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	Province
-60ed8313:150849567c0:203c	Membership
-60ed8313:150849567c0:43cf	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Seine/	River
http://www.semwebtech.org/mondial/10/source/Ticino/	Source
-60ed8313:150849567c0:18cb	Border
-60ed8313:150849567c0:2991	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	City
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	City
http://www.semwebtech.org/mondial/10/estuary/Prypjat/	Estuary
-60ed8313:150849567c0:432b	BelievedBy
-60ed8313:150849567c0:1efd	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	City
-60ed8313:150849567c0:229c	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	City
-60ed8313:150849567c0:34e6	Membership
-60ed8313:150849567c0:458b	EthnicProportion
-60ed8313:150849567c0:2eb8	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	City
-60ed8313:150849567c0:3442	Membership
-60ed8313:150849567c0:1b19	Membership
-60ed8313:150849567c0:3a74	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	City
-60ed8313:150849567c0:1747	Encompassed
-60ed8313:150849567c0:25dc	Membership
-60ed8313:150849567c0:3e08	Membership
-60ed8313:150849567c0:1d79	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	City
http://www.semwebtech.org/mondial/10/estuary/Mississippi/	Estuary
-60ed8313:150849567c0:1ac5	Membership
-60ed8313:150849567c0:2b6a	Membership
-60ed8313:150849567c0:41f7	BelievedBy
-60ed8313:150849567c0:16f3	Encompassed
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	City
-60ed8313:150849567c0:1a21	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	Province
-60ed8313:150849567c0:3db4	Membership
-60ed8313:150849567c0:4153	BelievedBy
-60ed8313:150849567c0:3d10	Membership
-60ed8313:150849567c0:39e2	Membership
-60ed8313:150849567c0:1c81	Membership
-60ed8313:150849567c0:2458	Membership
-60ed8313:150849567c0:32ed	Membership
-60ed8313:150849567c0:2eaa	Membership
-60ed8313:150849567c0:3f70	Membership
-60ed8313:150849567c0:21a4	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	City
-60ed8313:150849567c0:2100	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	City
-60ed8313:150849567c0:3c0f	Membership
-60ed8313:150849567c0:1fc1	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/city/Vaslui/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	City
-60ed8313:150849567c0:2360	Membership
-60ed8313:150849567c0:383d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	City
-60ed8313:150849567c0:3e6f	Membership
-60ed8313:150849567c0:3169	Membership
-60ed8313:150849567c0:2d26	Membership
-60ed8313:150849567c0:29f8	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	City
-60ed8313:150849567c0:3bbb	Membership
-60ed8313:150849567c0:2954	Membership
http://www.semwebtech.org/mondial/10/language/Wallisian/	Language
-60ed8313:150849567c0:2f86	Membership
-60ed8313:150849567c0:26a0	Membership
-60ed8313:150849567c0:225f	Membership
-60ed8313:150849567c0:1e1c	Membership
-60ed8313:150849567c0:2cd2	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/city/Bistrita/	City
-60ed8313:150849567c0:34a9	Membership
-60ed8313:150849567c0:3071	Membership
-60ed8313:150849567c0:454e	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/BrazilianHighlands/	Mountains
-60ed8313:150849567c0:3405	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	City
-60ed8313:150849567c0:3a37	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	Province
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	Province
-60ed8313:150849567c0:3665	Membership
-60ed8313:150849567c0:44fa	EthnicProportion
http://www.semwebtech.org/mondial/10/river/Amudarja/	River
-60ed8313:150849567c0:3c97	Membership
-60ed8313:150849567c0:33b1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	City
-60ed8313:150849567c0:2b2d	Membership
-60ed8313:150849567c0:27ff	Membership
http://www.semwebtech.org/mondial/10/desert/Fesan/	Desert
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	City
-60ed8313:150849567c0:275b	Membership
-60ed8313:150849567c0:4116	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	Province
-60ed8313:150849567c0:1ce8	Membership
-60ed8313:150849567c0:39a5	Membership
-60ed8313:150849567c0:2d8d	Membership
http://www.semwebtech.org/mondial/10/country/ARM/	Country
-60ed8313:150849567c0:2087	Membership
-60ed8313:150849567c0:1c44	Membership
http://www.semwebtech.org/mondial/10/country/A/	Country
-60ed8313:150849567c0:3fd7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	City
-60ed8313:150849567c0:3901	Membership
-60ed8313:150849567c0:4376	EthnicProportion
-60ed8313:150849567c0:1872	Border
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	City
-60ed8313:150849567c0:3f33	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	City
-60ed8313:150849567c0:320c	Membership
http://www.semwebtech.org/mondial/10/organization/ITUC/	Organization
http://www.semwebtech.org/mondial/10/language/Sindhi/	Language
-60ed8313:150849567c0:40c2	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/PizBernina/	Mountain
http://www.semwebtech.org/mondial/10/river/MackenzieRiver/	River
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	City
http://www.semwebtech.org/mondial/10/island/Rhodos/	Island
http://www.semwebtech.org/mondial/10/religion/Confucianism/	Religion
-60ed8313:150849567c0:1bf0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mong/	EthnicGroup
-60ed8313:150849567c0:23c7	Membership
-60ed8313:150849567c0:346c	Membership
-60ed8313:150849567c0:2323	Membership
-60ed8313:150849567c0:3a9e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	Province
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	City
-60ed8313:150849567c0:2583	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	City
-60ed8313:150849567c0:1aef	Membership
-60ed8313:150849567c0:2917	Membership
-60ed8313:150849567c0:37ac	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	City
-60ed8313:150849567c0:1a4b	Membership
-60ed8313:150849567c0:2f49	Membership
-60ed8313:150849567c0:3dde	Membership
-60ed8313:150849567c0:30d8	Membership
-60ed8313:150849567c0:417d	BelievedBy
-60ed8313:150849567c0:3d3a	Membership
-60ed8313:150849567c0:3034	Membership
-60ed8313:150849567c0:28c3	Membership
-60ed8313:150849567c0:2ef5	Membership
-60ed8313:150849567c0:3f9a	Membership
-60ed8313:150849567c0:21ce	Membership
-60ed8313:150849567c0:3294	Membership
-60ed8313:150849567c0:2e51	Membership
http://www.semwebtech.org/mondial/10/country/NAU/city/Yaren/	City
http://www.semwebtech.org/mondial/10/organization/WTO/	Organization
-60ed8313:150849567c0:212a	Membership
-60ed8313:150849567c0:3628	Membership
-60ed8313:150849567c0:44bd	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Guadiana/	Source
http://www.semwebtech.org/mondial/10/lake/LagodiGarda/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	City
-60ed8313:150849567c0:1feb	Membership
-60ed8313:150849567c0:238a	Membership
-60ed8313:150849567c0:3888	Membership
-60ed8313:150849567c0:271e	Membership
http://www.semwebtech.org/mondial/10/lake/BarragedeMbakaou/	Lake
-60ed8313:150849567c0:35d4	Membership
-60ed8313:150849567c0:3530	Membership
-60ed8313:150849567c0:18d9	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/	Province
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	Province
-60ed8313:150849567c0:1c07	Membership
-60ed8313:150849567c0:297e	Membership
-60ed8313:150849567c0:3b62	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	Province
-60ed8313:150849567c0:4339	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/MtMitchell/	Mountain
-60ed8313:150849567c0:1835	Border
http://www.semwebtech.org/mondial/10/organization/UNCTAD/	Organization
-60ed8313:150849567c0:26ca	Membership
-60ed8313:150849567c0:3790	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	Province
-60ed8313:150849567c0:1e67	Membership
-60ed8313:150849567c0:2cfc	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	Province
-60ed8313:150849567c0:4599	EthnicProportion
-60ed8313:150849567c0:309b	Membership
http://www.semwebtech.org/mondial/10/source/Ili/	Source
-60ed8313:150849567c0:1bb3	Membership
http://www.semwebtech.org/mondial/10/lake/LakeVictoria/	Lake
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	City
-60ed8313:150849567c0:42e5	BelievedBy
-60ed8313:150849567c0:342f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	Province
http://www.semwebtech.org/mondial/10/river/AlleghenyRiver/	River
-60ed8313:150849567c0:17e1	Border
http://www.semwebtech.org/mondial/10/lake/LakeMweru/	Lake
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	City
-60ed8313:150849567c0:3ea2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	City
-60ed8313:150849567c0:4241	BelievedBy
-60ed8313:150849567c0:368f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Meru/	EthnicGroup
-60ed8313:150849567c0:2546	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	City
-60ed8313:150849567c0:33db	Membership
http://www.semwebtech.org/mondial/10/estuary/Kolyma/	Estuary
-60ed8313:150849567c0:2b78	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	City
-60ed8313:150849567c0:1a0e	Membership
-60ed8313:150849567c0:24f2	Membership
-60ed8313:150849567c0:39cf	Membership
http://www.semwebtech.org/mondial/10/source/Luapula/	Source
-60ed8313:150849567c0:1c6e	Membership
-60ed8313:150849567c0:392b	Membership
-60ed8313:150849567c0:189c	Border
-60ed8313:150849567c0:2a80	Membership
-60ed8313:150849567c0:3f5d	Membership
-60ed8313:150849567c0:3257	Membership
-60ed8313:150849567c0:40ec	SpokenBy
-60ed8313:150849567c0:2e14	Membership
http://www.semwebtech.org/mondial/10/organization/EMU/	Organization
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	City
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	City
-60ed8313:150849567c0:1fae	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Khmer/	EthnicGroup
-60ed8313:150849567c0:234d	Membership
http://www.semwebtech.org/mondial/10/source/BlackDrin/	Source
-60ed8313:150849567c0:1f0a	Membership
-60ed8313:150849567c0:2dc0	Membership
http://www.semwebtech.org/mondial/10/source/Tarim-Yarkend/	Source
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	Province
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	City
-60ed8313:150849567c0:3bc9	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/None/	EthnicGroup
-60ed8313:150849567c0:3b25	Membership
-60ed8313:150849567c0:37f7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	Province
http://www.semwebtech.org/mondial/10/sea/IrishSea/	Sea
-60ed8313:150849567c0:1a96	Membership
-60ed8313:150849567c0:3753	Membership
http://www.semwebtech.org/mondial/10/estuary/Semliki/	Estuary
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	Province
-60ed8313:150849567c0:2cbf	Membership
-60ed8313:150849567c0:3d85	Membership
-60ed8313:150849567c0:305e	Membership
-60ed8313:150849567c0:2c1b	Membership
-60ed8313:150849567c0:28ed	Membership
-60ed8313:150849567c0:3ad1	Membership
-60ed8313:150849567c0:42a8	BelievedBy
-60ed8313:150849567c0:17a4	Encompassed
-60ed8313:150849567c0:4204	BelievedBy
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	Province
http://www.semwebtech.org/mondial/10/source/RioSaoFrancisco/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	City
http://www.semwebtech.org/mondial/10/estuary/Dalaelv/	Estuary
-60ed8313:150849567c0:1dd6	Membership
-60ed8313:150849567c0:1700	Encompassed
-60ed8313:150849567c0:2e7b	Membership
-60ed8313:150849567c0:2175	Membership
-60ed8313:150849567c0:1d32	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	City
-60ed8313:150849567c0:2509	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	City
-60ed8313:150849567c0:4464	EthnicProportion
-60ed8313:150849567c0:1960	Membership
http://www.semwebtech.org/mondial/10/source/Etsch/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	City
-60ed8313:150849567c0:41b0	BelievedBy
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	City
-60ed8313:150849567c0:1f92	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	City
-60ed8313:150849567c0:2769	Membership
-60ed8313:150849567c0:35fe	Membership
http://www.semwebtech.org/mondial/10/mountain/MtSt.Elias/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	City
-60ed8313:150849567c0:24b5	Membership
-60ed8313:150849567c0:355a	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	City
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	City
-60ed8313:150849567c0:2ae7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	City
-60ed8313:150849567c0:2411	Membership
-60ed8313:150849567c0:3b8c	Membership
http://www.semwebtech.org/mondial/10/river/Enns/	River
-60ed8313:150849567c0:185f	Border
-60ed8313:150849567c0:2a43	Membership
-60ed8313:150849567c0:40af	SpokenBy
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Province
-60ed8313:150849567c0:2671	Membership
http://www.semwebtech.org/mondial/10/country/CZ/	Country
-60ed8313:150849567c0:400b	SpokenBy
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	City
-60ed8313:150849567c0:1bdd	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	Province
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	Province
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	City
http://www.semwebtech.org/mondial/10/mountain/Tajumulco/	Mountain
-60ed8313:150849567c0:3ecc	Membership
-60ed8313:150849567c0:31c6	Membership
-60ed8313:150849567c0:426b	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	City
http://www.semwebtech.org/mondial/10/source/Tiber/	Source
-60ed8313:150849567c0:3122	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	City
-60ed8313:150849567c0:29b1	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	Province
-60ed8313:150849567c0:2fe3	Membership
-60ed8313:150849567c0:22bc	Membership
-60ed8313:150849567c0:3382	Membership
-60ed8313:150849567c0:1a59	Membership
-60ed8313:150849567c0:3716	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	Province
http://www.semwebtech.org/mondial/10/estuary/Moldau/	Estuary
-60ed8313:150849567c0:3d48	Membership
http://www.semwebtech.org/mondial/10/country/LS/	Country
-60ed8313:150849567c0:3976	Membership
-60ed8313:150849567c0:280c	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	City
-60ed8313:150849567c0:36c2	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	City
-60ed8313:150849567c0:2e3e	Membership
-60ed8313:150849567c0:3cf4	Membership
-60ed8313:150849567c0:2138	Membership
-60ed8313:150849567c0:4093	SpokenBy
-60ed8313:150849567c0:19c7	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	City
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	Province
-60ed8313:150849567c0:3c50	Membership
-60ed8313:150849567c0:4427	EthnicProportion
-60ed8313:150849567c0:1ff9	Membership
-60ed8313:150849567c0:1923	Membership
-60ed8313:150849567c0:2398	Membership
-60ed8313:150849567c0:1f55	Membership
http://www.semwebtech.org/mondial/10/source/Mosel/	Source
-60ed8313:150849567c0:2dea	Membership
-60ed8313:150849567c0:20e4	Membership
-60ed8313:150849567c0:1ca1	Membership
http://www.semwebtech.org/mondial/10/island/NewProvidence/	Island
http://www.semwebtech.org/mondial/10/country/SF/	Country
-60ed8313:150849567c0:2040	Membership
-60ed8313:150849567c0:351d	Membership
-60ed8313:150849567c0:43d3	EthnicProportion
-60ed8313:150849567c0:3b4f	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	Province
-60ed8313:150849567c0:2a06	Membership
-60ed8313:150849567c0:26d8	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	Province
-60ed8313:150849567c0:377d	Membership
-60ed8313:150849567c0:2634	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	City
-60ed8313:150849567c0:2c66	Membership
-60ed8313:150849567c0:3afb	Membership
-60ed8313:150849567c0:17ce	Border
-60ed8313:150849567c0:2894	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	City
-60ed8313:150849567c0:422e	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	City
-60ed8313:150849567c0:172a	Encompassed
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	Province
-60ed8313:150849567c0:25e0	Membership
-60ed8313:150849567c0:219f	Membership
http://www.semwebtech.org/mondial/10/island/Menorca/	Island
-60ed8313:150849567c0:1d5c	Membership
-60ed8313:150849567c0:33e9	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	City
-60ed8313:150849567c0:448e	EthnicProportion
-60ed8313:150849567c0:198a	Membership
-60ed8313:150849567c0:2fa6	Membership
-60ed8313:150849567c0:3345	Membership
-60ed8313:150849567c0:41da	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	City
-60ed8313:150849567c0:2f02	Membership
http://www.semwebtech.org/mondial/10/lake/Vaenern/	Lake
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	City
http://www.semwebtech.org/mondial/10/estuary/Po/	Estuary
-60ed8313:150849567c0:24df	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	City
-60ed8313:150849567c0:243b	Membership
-60ed8313:150849567c0:3939	Membership
-60ed8313:150849567c0:32f1	Membership
http://www.semwebtech.org/mondial/10/river/Euphrat/	River
-60ed8313:150849567c0:2a6d	Membership
-60ed8313:150849567c0:3cb7	Membership
-60ed8313:150849567c0:269b	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	City
-60ed8313:150849567c0:4056	SpokenBy
-60ed8313:150849567c0:3c13	Membership
-60ed8313:150849567c0:38e5	Membership
-60ed8313:150849567c0:1b84	Membership
-60ed8313:150849567c0:3841	Membership
-60ed8313:150849567c0:1f18	Membership
-60ed8313:150849567c0:2dad	Membership
-60ed8313:150849567c0:3e73	Membership
-60ed8313:150849567c0:20a7	Membership
-60ed8313:150849567c0:314c	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	Province
-60ed8313:150849567c0:29db	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	City
-60ed8313:150849567c0:2003	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	Province
-60ed8313:150849567c0:1ec4	Membership
http://www.semwebtech.org/mondial/10/sea/MarmaraSea/	Sea
-60ed8313:150849567c0:2263	Membership
-60ed8313:150849567c0:1e20	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeAlmanzor/	Mountain
-60ed8313:150849567c0:4552	EthnicProportion
-60ed8313:150849567c0:2c29	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	Province
-60ed8313:150849567c0:3abe	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	City
-60ed8313:150849567c0:2857	Membership
-60ed8313:150849567c0:3a1a	Membership
-60ed8313:150849567c0:36ec	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	City
-60ed8313:150849567c0:2e89	Membership
-60ed8313:150849567c0:25a3	Membership
http://www.semwebtech.org/mondial/10/estuary/Lulua/	Estuary
-60ed8313:150849567c0:2bd5	Membership
-60ed8313:150849567c0:1d1f	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	City
-60ed8313:150849567c0:3c7a	Membership
-60ed8313:150849567c0:194d	Membership
-60ed8313:150849567c0:2b31	Membership
-60ed8313:150849567c0:3308	Membership
-60ed8313:150849567c0:1f7f	Membership
http://www.semwebtech.org/mondial/10/language/Armenian/	Language
http://www.semwebtech.org/mondial/10/lake/DaryachehyeNamak/	Lake
-60ed8313:150849567c0:1ccb	Membership
-60ed8313:150849567c0:2d91	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	City
-60ed8313:150849567c0:206a	Membership
-60ed8313:150849567c0:3568	Membership
-60ed8313:150849567c0:43fd	EthnicProportion
-60ed8313:150849567c0:3fba	Membership
-60ed8313:150849567c0:32b4	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	City
http://www.semwebtech.org/mondial/10/mountain/BenNevis/	Mountain
-60ed8313:150849567c0:3210	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoBolivar/	Mountain
http://www.semwebtech.org/mondial/10/country/NIUE/	Country
-60ed8313:150849567c0:265e	Membership
-60ed8313:150849567c0:4019	SpokenBy
-60ed8313:150849567c0:23aa	Membership
-60ed8313:150849567c0:38a8	Membership
-60ed8313:150849567c0:3470	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Greenlander/	EthnicGroup
-60ed8313:150849567c0:1b47	Membership
-60ed8313:150849567c0:3804	Membership
-60ed8313:150849567c0:4279	BelievedBy
-60ed8313:150849567c0:1775	Encompassed
http://www.semwebtech.org/mondial/10/estuary/WesternMorava/	Estuary
-60ed8313:150849567c0:3e36	Membership
-60ed8313:150849567c0:310f	Membership
http://www.semwebtech.org/mondial/10/island/Negros/	Island
-60ed8313:150849567c0:1af3	Membership
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	City
-60ed8313:150849567c0:37b0	Membership
-60ed8313:150849567c0:336f	Membership
-60ed8313:150849567c0:3de2	Membership
-60ed8313:150849567c0:2f2c	Membership
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	Province
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	City
-60ed8313:150849567c0:2226	Membership
-60ed8313:150849567c0:30bb	Membership
-60ed8313:150849567c0:4181	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Diola/	EthnicGroup
-60ed8313:150849567c0:4515	EthnicProportion
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	Province
-60ed8313:150849567c0:2486	Membership
-60ed8313:150849567c0:21d2	Membership
-60ed8313:150849567c0:36af	Membership
http://www.semwebtech.org/mondial/10/estuary/NorthernDwina/	Estuary
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	City
-60ed8313:150849567c0:360b	Membership
-60ed8313:150849567c0:44c1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	Province
-60ed8313:150849567c0:3c3d	Membership
-60ed8313:150849567c0:27c6	Membership
-60ed8313:150849567c0:386b	Membership
-60ed8313:150849567c0:2df8	Membership
-60ed8313:150849567c0:2722	Membership
-60ed8313:150849567c0:3e9d	Membership
-60ed8313:150849567c0:3197	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	City
-60ed8313:150849567c0:2d54	Membership
-60ed8313:150849567c0:202d	Membership
-60ed8313:150849567c0:18bc	Border
-60ed8313:150849567c0:2aa0	Membership
-60ed8313:150849567c0:2982	Membership
-60ed8313:150849567c0:431c	BelievedBy
-60ed8313:150849567c0:1eee	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	Province
-60ed8313:150849567c0:228d	Membership
-60ed8313:150849567c0:1e4a	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	Province
-60ed8313:150849567c0:457c	EthnicProportion
-60ed8313:150849567c0:34d7	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	City
http://www.semwebtech.org/mondial/10/desert/NubianDesert/	Desert
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	City
-60ed8313:150849567c0:3433	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	City
-60ed8313:150849567c0:3a65	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Moroccan/	EthnicGroup
-60ed8313:150849567c0:3693	Membership
-60ed8313:150849567c0:1738	Encompassed
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	City
-60ed8313:150849567c0:25cd	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	City
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	City
-60ed8313:150849567c0:2bff	Membership
-60ed8313:150849567c0:1998	Membership
-60ed8313:150849567c0:1ab6	Membership
-60ed8313:150849567c0:2b5b	Membership
-60ed8313:150849567c0:41e8	BelievedBy
-60ed8313:150849567c0:16e4	Encompassed
-60ed8313:150849567c0:1a12	Membership
-60ed8313:150849567c0:3da5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	City
-60ed8313:150849567c0:4144	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	City
http://www.semwebtech.org/mondial/10/desert/SyrianDesert/	Desert
http://www.semwebtech.org/mondial/10/mountain/WheelerPeak/	Mountain
-60ed8313:150849567c0:3d01	Membership
-60ed8313:150849567c0:39d3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	City
-60ed8313:150849567c0:1c72	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	City
-60ed8313:150849567c0:2449	Membership
-60ed8313:150849567c0:32de	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	Province
-60ed8313:150849567c0:3f61	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	Province
-60ed8313:150849567c0:323a	Membership
-60ed8313:150849567c0:40f0	SpokenBy
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	City
-60ed8313:150849567c0:23f5	Membership
-60ed8313:150849567c0:349a	Membership
-60ed8313:150849567c0:1fb2	Membership
-60ed8313:150849567c0:382e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	City
http://www.semwebtech.org/mondial/10/organization/CE/	Organization
-60ed8313:150849567c0:2351	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	City
http://www.semwebtech.org/mondial/10/source/Werra/	Source
-60ed8313:150849567c0:179f	Encompassed
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	Province
-60ed8313:150849567c0:2d17	Membership
-60ed8313:150849567c0:29e9	Membership
-60ed8313:150849567c0:3bac	Membership
-60ed8313:150849567c0:2945	Membership
-60ed8313:150849567c0:37da	Membership
-60ed8313:150849567c0:2f77	Membership
http://www.semwebtech.org/mondial/10/desert/Karakum/	Desert
-60ed8313:150849567c0:1e0d	Membership
-60ed8313:150849567c0:2cc3	Membership
http://www.semwebtech.org/mondial/10/language/MayanDialects/	Language
http://www.semwebtech.org/mondial/10/island/Fogo/	Island
-60ed8313:150849567c0:3062	Membership
-60ed8313:150849567c0:453f	EthnicProportion
-60ed8313:150849567c0:28f1	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	City
-60ed8313:150849567c0:21fc	Membership
-60ed8313:150849567c0:3a28	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	Province
-60ed8313:150849567c0:3656	Membership
-60ed8313:150849567c0:44eb	EthnicProportion
-60ed8313:150849567c0:3c88	Membership
-60ed8313:150849567c0:33a2	Membership
-60ed8313:150849567c0:2b1e	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	Province
http://www.semwebtech.org/mondial/10/mountains/BayrischerWald/	Mountains
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	Province
-60ed8313:150849567c0:274c	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	City
-60ed8313:150849567c0:4107	SpokenBy
-60ed8313:150849567c0:1cd9	Membership
-60ed8313:150849567c0:2d7e	Membership
-60ed8313:150849567c0:2078	Membership
http://www.semwebtech.org/mondial/10/mountains/Fichtelgebirge/	Mountains
-60ed8313:150849567c0:1c35	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	City
-60ed8313:150849567c0:2aca	Membership
-60ed8313:150849567c0:3fc8	Membership
-60ed8313:150849567c0:3b90	Membership
-60ed8313:150849567c0:4367	EthnicProportion
-60ed8313:150849567c0:1863	Border
-60ed8313:150849567c0:40b3	SpokenBy
-60ed8313:150849567c0:3f24	Membership
http://www.semwebtech.org/mondial/10/mountain/Moncayo/	Mountain
http://www.semwebtech.org/mondial/10/organization/IADB/	Organization
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	Province
-60ed8313:150849567c0:1e95	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kirdi/	EthnicGroup
-60ed8313:150849567c0:1be1	Membership
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	City
-60ed8313:150849567c0:23b8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	City
-60ed8313:150849567c0:345d	Membership
-60ed8313:150849567c0:3ed0	Membership
-60ed8313:150849567c0:2314	Membership
-60ed8313:150849567c0:3a8f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	City
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	Province
-60ed8313:150849567c0:2574	Membership
http://www.semwebtech.org/mondial/10/island/Niihau/	Island
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/city/Livingstone/	City
-60ed8313:150849567c0:2908	Membership
-60ed8313:150849567c0:22c0	Membership
-60ed8313:150849567c0:1a3c	Membership
-60ed8313:150849567c0:3dcf	Membership
-60ed8313:150849567c0:30c9	Membership
http://www.semwebtech.org/mondial/10/river/Kolyma/	River
-60ed8313:150849567c0:416e	BelievedBy
-60ed8313:150849567c0:3d2b	Membership
-60ed8313:150849567c0:39fd	Membership
-60ed8313:150849567c0:3025	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	Province
-60ed8313:150849567c0:1c9c	Membership
-60ed8313:150849567c0:28b4	Membership
-60ed8313:150849567c0:3f8b	Membership
-60ed8313:150849567c0:2ee6	Membership
-60ed8313:150849567c0:2810	Membership
-60ed8313:150849567c0:21bf	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	Province
-60ed8313:150849567c0:3285	Membership
http://www.semwebtech.org/mondial/10/island/Batam/	Island
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	City
-60ed8313:150849567c0:2e42	Membership
-60ed8313:150849567c0:211b	Membership
-60ed8313:150849567c0:3619	Membership
-60ed8313:150849567c0:44ae	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	City
-60ed8313:150849567c0:19aa	Membership
-60ed8313:150849567c0:440a	EthnicProportion
-60ed8313:150849567c0:1fdc	Membership
http://www.semwebtech.org/mondial/10/language/Polish/	Language
http://www.semwebtech.org/mondial/10/source/HudsonRiver/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	City
-60ed8313:150849567c0:237b	Membership
-60ed8313:150849567c0:3879	Membership
http://www.semwebtech.org/mondial/10/lake/LakeTiticaca/	Lake
-60ed8313:150849567c0:270f	Membership
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	Province
-60ed8313:150849567c0:35c5	Membership
http://www.semwebtech.org/mondial/10/islands/Baleares/	Islands
-60ed8313:150849567c0:3bf7	Membership
-60ed8313:150849567c0:3521	Membership
-60ed8313:150849567c0:296f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	City
-60ed8313:150849567c0:3b53	Membership
http://www.semwebtech.org/mondial/10/river/Saar/	River
-60ed8313:150849567c0:1826	Border
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	Province
-60ed8313:150849567c0:26bb	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	City
-60ed8313:150849567c0:3781	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	City
-60ed8313:150849567c0:1e58	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	City
-60ed8313:150849567c0:2ced	Membership
-60ed8313:150849567c0:308c	Membership
-60ed8313:150849567c0:1ba4	Membership
-60ed8313:150849567c0:42d6	BelievedBy
-60ed8313:150849567c0:17d2	Border
-60ed8313:150849567c0:1b00	Membership
-60ed8313:150849567c0:4232	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Demirkazik/	Mountain
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	Province
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	City
-60ed8313:150849567c0:1d60	Membership
-60ed8313:150849567c0:2537	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Dispur/	City
-60ed8313:150849567c0:33cc	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	Province
-60ed8313:150849567c0:4492	EthnicProportion
-60ed8313:150849567c0:2b69	Membership
-60ed8313:150849567c0:2797	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	Province
-60ed8313:150849567c0:24e3	Membership
-60ed8313:150849567c0:1c5f	Membership
-60ed8313:150849567c0:391c	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	City
-60ed8313:150849567c0:2ea9	Membership
-60ed8313:150849567c0:188d	Border
-60ed8313:150849567c0:2a71	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	City
-60ed8313:150849567c0:3f4e	Membership
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	City
-60ed8313:150849567c0:3248	Membership
-60ed8313:150849567c0:40dd	SpokenBy
-60ed8313:150849567c0:2e05	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	City
http://www.semwebtech.org/mondial/10/mountain/NangaParbat/	Mountain
-60ed8313:150849567c0:3efa	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	City
-60ed8313:150849567c0:233e	Membership
-60ed8313:150849567c0:31f4	Membership
-60ed8313:150849567c0:2db1	Membership
-60ed8313:150849567c0:3150	Membership
-60ed8313:150849567c0:259e	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	City
-60ed8313:150849567c0:3b16	Membership
-60ed8313:150849567c0:22ea	Membership
-60ed8313:150849567c0:37e8	Membership
-60ed8313:150849567c0:1a87	Membership
-60ed8313:150849567c0:3744	Membership
-60ed8313:150849567c0:3d76	Membership
-60ed8313:150849567c0:304f	Membership
-60ed8313:150849567c0:2c0c	Membership
-60ed8313:150849567c0:28de	Membership
-60ed8313:150849567c0:3ac2	Membership
http://www.semwebtech.org/mondial/10/organization/CEMAC/	Organization
-60ed8313:150849567c0:283a	Membership
http://www.semwebtech.org/mondial/10/river/Moldau/	River
-60ed8313:150849567c0:36f0	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	Province
-60ed8313:150849567c0:1dc7	Membership
-60ed8313:150849567c0:2e6c	Membership
-60ed8313:150849567c0:44f9	EthnicProportion
-60ed8313:150849567c0:2166	Membership
http://www.semwebtech.org/mondial/10/island/VancouverIsland/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	City
-60ed8313:150849567c0:19f5	Membership
-60ed8313:150849567c0:1d23	Membership
http://www.semwebtech.org/mondial/10/river/SouthernMorava/	River
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	City
-60ed8313:150849567c0:4455	EthnicProportion
-60ed8313:150849567c0:1951	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	Province
-60ed8313:150849567c0:41a1	BelievedBy
-60ed8313:150849567c0:1f83	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	Province
-60ed8313:150849567c0:35ef	Membership
http://www.semwebtech.org/mondial/10/estuary/Ischim/	Estuary
-60ed8313:150849567c0:24a6	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	City
-60ed8313:150849567c0:354b	Membership
-60ed8313:150849567c0:2ad8	Membership
-60ed8313:150849567c0:2402	Membership
-60ed8313:150849567c0:3b7d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	Province
-60ed8313:150849567c0:2a34	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	Province
-60ed8313:150849567c0:2662	Membership
-60ed8313:150849567c0:1bce	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	Province
http://www.semwebtech.org/mondial/10/river/Narva/	River
-60ed8313:150849567c0:2c94	Membership
-60ed8313:150849567c0:17fc	Border
-60ed8313:150849567c0:1b2a	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	City
-60ed8313:150849567c0:3ebd	Membership
-60ed8313:150849567c0:31b7	Membership
-60ed8313:150849567c0:425c	BelievedBy
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	City
-60ed8313:150849567c0:3113	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	Province
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/city/LaPalma/	City
-60ed8313:150849567c0:1d8a	Membership
-60ed8313:150849567c0:29a2	Membership
http://www.semwebtech.org/mondial/10/island/Tarawa/	Island
http://www.semwebtech.org/mondial/10/estuary/Isere/	Estuary
-60ed8313:150849567c0:2fd4	Membership
-60ed8313:150849567c0:22ad	Membership
-60ed8313:150849567c0:3373	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	City
-60ed8313:150849567c0:2f30	Membership
-60ed8313:150849567c0:3707	Membership
http://www.semwebtech.org/mondial/10/mountains/Transhimalaya/	Mountains
-60ed8313:150849567c0:3d39	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/German/	EthnicGroup
-60ed8313:150849567c0:3967	Membership
-60ed8313:150849567c0:2a9b	Membership
-60ed8313:150849567c0:3f99	Membership
-60ed8313:150849567c0:36b3	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	City
-60ed8313:150849567c0:2e2f	Membership
-60ed8313:150849567c0:3ce5	Membership
-60ed8313:150849567c0:2129	Membership
-60ed8313:150849567c0:4084	SpokenBy
-60ed8313:150849567c0:19b8	Membership
http://www.semwebtech.org/mondial/10/islands/CookIslands/	Islands
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	City
-60ed8313:150849567c0:3c41	Membership
-60ed8313:150849567c0:4418	EthnicProportion
-60ed8313:150849567c0:1914	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	Province
-60ed8313:150849567c0:2389	Membership
-60ed8313:150849567c0:1f46	Membership
-60ed8313:150849567c0:2ddb	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	City
-60ed8313:150849567c0:20d5	Membership
-60ed8313:150849567c0:317a	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	City
-60ed8313:150849567c0:2031	Membership
-60ed8313:150849567c0:350e	Membership
-60ed8313:150849567c0:43c4	EthnicProportion
-60ed8313:150849567c0:18c0	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	City
-60ed8313:150849567c0:4320	BelievedBy
-60ed8313:150849567c0:1ef2	Membership
-60ed8313:150849567c0:26c9	Membership
-60ed8313:150849567c0:2291	Membership
-60ed8313:150849567c0:376e	Membership
-60ed8313:150849567c0:2625	Membership
-60ed8313:150849567c0:34ba	Membership
-60ed8313:150849567c0:4580	EthnicProportion
-60ed8313:150849567c0:2c57	Membership
-60ed8313:150849567c0:3aec	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/city/Najran/	City
-60ed8313:150849567c0:17bf	Border
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	City
-60ed8313:150849567c0:2885	Membership
-60ed8313:150849567c0:421f	BelievedBy
-60ed8313:150849567c0:171b	Encompassed
-60ed8313:150849567c0:25d1	Membership
http://www.semwebtech.org/mondial/10/mountain/MountApo/	Mountain
http://www.semwebtech.org/mondial/10/island/Nauru/	Island
-60ed8313:150849567c0:1d4d	Membership
-60ed8313:150849567c0:447f	EthnicProportion
-60ed8313:150849567c0:197b	Membership
-60ed8313:150849567c0:3336	Membership
-60ed8313:150849567c0:41cb	BelievedBy
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	Province
-60ed8313:150849567c0:3596	Membership
-60ed8313:150849567c0:242c	Membership
-60ed8313:150849567c0:32e2	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/city/Lubango/	City
http://www.semwebtech.org/mondial/10/lake/HamuneJazMurian/	Lake
-60ed8313:150849567c0:2a5e	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	Province
-60ed8313:150849567c0:268c	Membership
-60ed8313:150849567c0:3ca8	Membership
-60ed8313:150849567c0:4047	SpokenBy
-60ed8313:150849567c0:3c04	Membership
-60ed8313:150849567c0:38d6	Membership
http://www.semwebtech.org/mondial/10/organization/G-5/	Organization
-60ed8313:150849567c0:1b75	Membership
-60ed8313:150849567c0:3832	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/city/Frauenfeld/	City
-60ed8313:150849567c0:1f09	Membership
-60ed8313:150849567c0:3e64	Membership
-60ed8313:150849567c0:313d	Membership
-60ed8313:150849567c0:29cc	Membership
http://www.semwebtech.org/mondial/10/mountain/PikIsmoilSomoni/	Mountain
-60ed8313:150849567c0:3bb0	Membership
-60ed8313:150849567c0:2ffe	Membership
-60ed8313:150849567c0:22f8	Membership
-60ed8313:150849567c0:339d	Membership
-60ed8313:150849567c0:1eb5	Membership
-60ed8313:150849567c0:2f5a	Membership
-60ed8313:150849567c0:2254	Membership
-60ed8313:150849567c0:1e11	Membership
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	City
-60ed8313:150849567c0:4543	EthnicProportion
-60ed8313:150849567c0:3aaf	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	City
-60ed8313:150849567c0:2848	Membership
-60ed8313:150849567c0:3a0b	Membership
-60ed8313:150849567c0:36dd	Membership
http://www.semwebtech.org/mondial/10/source/Swir/	Source
http://www.semwebtech.org/mondial/10/lake/LochLomond/	Lake
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	City
-60ed8313:150849567c0:2bc6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	City
-60ed8313:150849567c0:3c6b	Membership
http://www.semwebtech.org/mondial/10/desert/ErgChech/	Desert
-60ed8313:150849567c0:193e	Membership
-60ed8313:150849567c0:2b22	Membership
-60ed8313:150849567c0:27f4	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	City
http://www.semwebtech.org/mondial/10/island/Dagoe/	Island
-60ed8313:150849567c0:2750	Membership
-60ed8313:150849567c0:20ff	Membership
http://www.semwebtech.org/mondial/10/country/REUN/	Country
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	City
-60ed8313:150849567c0:1cbc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	City
-60ed8313:150849567c0:2d82	Membership
http://www.semwebtech.org/mondial/10/religion/NewApostolic/	Religion
-60ed8313:150849567c0:205b	Membership
-60ed8313:150849567c0:3559	Membership
-60ed8313:150849567c0:43ee	EthnicProportion
-60ed8313:150849567c0:18ea	Border
-60ed8313:150849567c0:3fab	Membership
-60ed8313:150849567c0:32a5	Membership
http://www.semwebtech.org/mondial/10/island/Borkum/	Island
-60ed8313:150849567c0:434a	EthnicProportion
-60ed8313:150849567c0:3201	Membership
-60ed8313:150849567c0:264f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	City
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	Province
-60ed8313:150849567c0:3461	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	City
http://www.semwebtech.org/mondial/10/organization/EurasEC/	Organization
-60ed8313:150849567c0:1b38	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	Province
-60ed8313:150849567c0:3a93	Membership
http://www.semwebtech.org/mondial/10/mountain/KingsPeak/	Mountain
-60ed8313:150849567c0:1766	Encompassed
http://www.semwebtech.org/mondial/10/language/OtherPacificIslandLanguage/	Language
-60ed8313:150849567c0:25fb	Membership
-60ed8313:150849567c0:3e27	Membership
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Ghasal/	Estuary
http://www.semwebtech.org/mondial/10/mountain/CerroChirripo/	Mountain
http://www.semwebtech.org/mondial/10/mountain/OjosdelSalado/	Mountain
-60ed8313:150849567c0:1d98	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	Province
-60ed8313:150849567c0:1ae4	Membership
-60ed8313:150849567c0:37a1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	Province
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	City
http://www.semwebtech.org/mondial/10/mountain/MonteFalterona/	Mountain
-60ed8313:150849567c0:1a40	Membership
-60ed8313:150849567c0:2f1d	Membership
-60ed8313:150849567c0:3dd3	Membership
-60ed8313:150849567c0:2217	Membership
-60ed8313:150849567c0:30ac	Membership
-60ed8313:150849567c0:4172	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	City
http://www.semwebtech.org/mondial/10/mountain/Leuser/	Mountain
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	Province
-60ed8313:150849567c0:4506	EthnicProportion
-60ed8313:150849567c0:2477	Membership
http://www.semwebtech.org/mondial/10/islands/GilbertIslands/	Islands
-60ed8313:150849567c0:21c3	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	Province
-60ed8313:150849567c0:44b2	EthnicProportion
-60ed8313:150849567c0:3c2e	Membership
http://www.semwebtech.org/mondial/10/organization/WMO/	Organization
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	Province
http://www.semwebtech.org/mondial/10/desert/Nefud/	Desert
-60ed8313:150849567c0:1fe0	Membership
-60ed8313:150849567c0:1b9f	Membership
-60ed8313:150849567c0:27b7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Quechua/	EthnicGroup
-60ed8313:150849567c0:385c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kikuyu/	EthnicGroup
-60ed8313:150849567c0:3e8e	Membership
-60ed8313:150849567c0:2de9	Membership
-60ed8313:150849567c0:2713	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	City
-60ed8313:150849567c0:3188	Membership
-60ed8313:150849567c0:3bda	Membership
-60ed8313:150849567c0:2d45	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	Province
-60ed8313:150849567c0:201e	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	City
-60ed8313:150849567c0:18ad	Border
-60ed8313:150849567c0:2973	Membership
-60ed8313:150849567c0:430d	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Busira/	Estuary
-60ed8313:150849567c0:1edf	Membership
-60ed8313:150849567c0:227e	Membership
-60ed8313:150849567c0:1e3b	Membership
-60ed8313:150849567c0:2cf1	Membership
-60ed8313:150849567c0:34c8	Membership
-60ed8313:150849567c0:3090	Membership
-60ed8313:150849567c0:456d	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/PitondelaFournaise/	Mountain
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	City
-60ed8313:150849567c0:3424	Membership
-60ed8313:150849567c0:3a56	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	Province
-60ed8313:150849567c0:1729	Encompassed
-60ed8313:150849567c0:25be	Membership
-60ed8313:150849567c0:3684	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	City
-60ed8313:150849567c0:251a	Membership
-60ed8313:150849567c0:33d0	Membership
-60ed8313:150849567c0:1989	Membership
-60ed8313:150849567c0:1aa7	Membership
-60ed8313:150849567c0:2b4c	Membership
-60ed8313:150849567c0:41d9	BelievedBy
http://www.semwebtech.org/mondial/10/desert/Atacama/	Desert
-60ed8313:150849567c0:16d5	Encompassed
-60ed8313:150849567c0:1a03	Membership
-60ed8313:150849567c0:277a	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	Province
-60ed8313:150849567c0:4135	BelievedBy
-60ed8313:150849567c0:39c4	Membership
http://www.semwebtech.org/mondial/10/country/NLSM/	Country
-60ed8313:150849567c0:1c63	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	Province
-60ed8313:150849567c0:3ff6	SpokenBy
-60ed8313:150849567c0:3920	Membership
-60ed8313:150849567c0:32cf	Membership
-60ed8313:150849567c0:4395	EthnicProportion
-60ed8313:150849567c0:1891	Border
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	City
-60ed8313:150849567c0:3f52	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Gypsy/	EthnicGroup
-60ed8313:150849567c0:322b	Membership
-60ed8313:150849567c0:40e1	SpokenBy
http://www.semwebtech.org/mondial/10/language/Romanian/	Language
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	City
-60ed8313:150849567c0:23e6	Membership
-60ed8313:150849567c0:348b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	City
-60ed8313:150849567c0:1fa3	Membership
-60ed8313:150849567c0:2342	Membership
-60ed8313:150849567c0:381f	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	City
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	Province
http://www.semwebtech.org/mondial/10/estuary/RioMamore/	Estuary
-60ed8313:150849567c0:2d08	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraBetica/	Mountains
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	Province
http://www.semwebtech.org/mondial/10/estuary/RiviereRichelieu/	Estuary
-60ed8313:150849567c0:2936	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	City
-60ed8313:150849567c0:37cb	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	City
-60ed8313:150849567c0:1a6a	Membership
-60ed8313:150849567c0:2f68	Membership
-60ed8313:150849567c0:3dfd	Membership
-60ed8313:150849567c0:30f7	Membership
-60ed8313:150849567c0:419c	BelievedBy
-60ed8313:150849567c0:2cb4	Membership
-60ed8313:150849567c0:3053	Membership
-60ed8313:150849567c0:2c10	Membership
-60ed8313:150849567c0:28e2	Membership
http://www.semwebtech.org/mondial/10/language/Tajik/	Language
http://www.semwebtech.org/mondial/10/sea/SouthChinaSea/	Sea
-60ed8313:150849567c0:21ed	Membership
-60ed8313:150849567c0:3a19	Membership
-60ed8313:150849567c0:1daa	Membership
-60ed8313:150849567c0:2e70	Membership
-60ed8313:150849567c0:3647	Membership
-60ed8313:150849567c0:44dc	EthnicProportion
-60ed8313:150849567c0:3c79	Membership
http://www.semwebtech.org/mondial/10/estuary/Tambo/	Estuary
-60ed8313:150849567c0:2b0f	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/city/Focsani/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	Province
-60ed8313:150849567c0:273d	Membership
-60ed8313:150849567c0:35f3	Membership
-60ed8313:150849567c0:2d6f	Membership
-60ed8313:150849567c0:2069	Membership
-60ed8313:150849567c0:2abb	Membership
-60ed8313:150849567c0:18f8	Border
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	City
-60ed8313:150849567c0:1c26	Membership
-60ed8313:150849567c0:299d	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	City
-60ed8313:150849567c0:3fb9	Membership
-60ed8313:150849567c0:3b81	Membership
-60ed8313:150849567c0:4358	EthnicProportion
-60ed8313:150849567c0:1854	Border
-60ed8313:150849567c0:3f15	Membership
-60ed8313:150849567c0:40a4	SpokenBy
-60ed8313:150849567c0:1e86	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	Province
-60ed8313:150849567c0:4000	SpokenBy
-60ed8313:150849567c0:1bd2	Membership
http://www.semwebtech.org/mondial/10/estuary/Indus/	Estuary
-60ed8313:150849567c0:23a9	Membership
-60ed8313:150849567c0:344e	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	Province
http://www.semwebtech.org/mondial/10/lake/LakeSuperior/	Lake
-60ed8313:150849567c0:3ec1	Membership
-60ed8313:150849567c0:2305	Membership
-60ed8313:150849567c0:4260	BelievedBy
-60ed8313:150849567c0:2565	Membership
-60ed8313:150849567c0:33fa	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hutu/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Suchona/	River
-60ed8313:150849567c0:2b97	Membership
-60ed8313:150849567c0:22b1	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazakh/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/AG/	Country
-60ed8313:150849567c0:16ff	Encompassed
-60ed8313:150849567c0:1a2d	Membership
-60ed8313:150849567c0:45a0	EthnicProportion
-60ed8313:150849567c0:415f	BelievedBy
-60ed8313:150849567c0:3d1c	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	City
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	Province
-60ed8313:150849567c0:39ee	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	Province
-60ed8313:150849567c0:3016	Membership
-60ed8313:150849567c0:1c8d	Membership
http://www.semwebtech.org/mondial/10/language/Spanish/	Language
-60ed8313:150849567c0:28a5	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	Province
-60ed8313:150849567c0:394a	Membership
http://www.semwebtech.org/mondial/10/lake/LakeBangweulu/	Lake
http://www.semwebtech.org/mondial/10/source/Sanga/	Source
-60ed8313:150849567c0:3f7c	Membership
-60ed8313:150849567c0:2ed7	Membership
-60ed8313:150849567c0:2801	Membership
http://www.semwebtech.org/mondial/10/country/ES/	Country
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/city/Ndalatando/	City
-60ed8313:150849567c0:3276	Membership
http://www.semwebtech.org/mondial/10/mountain/BorahPeak/	Mountain
-60ed8313:150849567c0:2e33	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	Province
-60ed8313:150849567c0:210c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	City
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/city/Aosta/	City
-60ed8313:150849567c0:1fcd	Membership
-60ed8313:150849567c0:236c	Membership
http://www.semwebtech.org/mondial/10/organization/OPANAL/	Organization
http://www.semwebtech.org/mondial/10/sea/SeaofOkhotsk/	Sea
http://www.semwebtech.org/mondial/10/estuary/Colorado/	Estuary
-60ed8313:150849567c0:35b6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mongol/	EthnicGroup
-60ed8313:150849567c0:3be8	Membership
-60ed8313:150849567c0:3512	Membership
http://www.semwebtech.org/mondial/10/island/NorfolkIsland/	Island
-60ed8313:150849567c0:3b44	Membership
-60ed8313:150849567c0:1817	Border
-60ed8313:150849567c0:26ac	Membership
-60ed8313:150849567c0:3772	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	Province
-60ed8313:150849567c0:1e49	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	Province
-60ed8313:150849567c0:2cde	Membership
http://www.semwebtech.org/mondial/10/country/NL/	Country
-60ed8313:150849567c0:307d	Membership
http://www.semwebtech.org/mondial/10/river/SnowyRiver/	River
-60ed8313:150849567c0:2c3a	Membership
-60ed8313:150849567c0:3af0	Membership
-60ed8313:150849567c0:42c7	BelievedBy
http://www.semwebtech.org/mondial/10/island/Kyushu/	Island
-60ed8313:150849567c0:17c3	Border
http://www.semwebtech.org/mondial/10/country/GUAM/	Country
http://www.semwebtech.org/mondial/10/country/PR/	Country
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	City
-60ed8313:150849567c0:4223	BelievedBy
-60ed8313:150849567c0:1df5	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	Province
-60ed8313:150849567c0:2e9a	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	City
-60ed8313:150849567c0:2194	Membership
-60ed8313:150849567c0:1d51	Membership
-60ed8313:150849567c0:2528	Membership
-60ed8313:150849567c0:33bd	Membership
-60ed8313:150849567c0:4483	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Hausa/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	City
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/city/Dosso/	City
http://www.semwebtech.org/mondial/10/mountains/Pamir/	Mountains
-60ed8313:150849567c0:2788	Membership
-60ed8313:150849567c0:24d4	Membership
http://www.semwebtech.org/mondial/10/mountain/ClingmansDome/	Mountain
-60ed8313:150849567c0:390d	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	City
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	City
-60ed8313:150849567c0:2430	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	City
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	Province
http://www.semwebtech.org/mondial/10/river/Ischim/	River
-60ed8313:150849567c0:187e	Border
-60ed8313:150849567c0:2a62	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	City
-60ed8313:150849567c0:3f3f	Membership
-60ed8313:150849567c0:3239	Membership
-60ed8313:150849567c0:40ce	SpokenBy
-60ed8313:150849567c0:2690	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	Province
-60ed8313:150849567c0:402a	SpokenBy
-60ed8313:150849567c0:1bfc	Membership
-60ed8313:150849567c0:3499	Membership
-60ed8313:150849567c0:3eeb	Membership
-60ed8313:150849567c0:232f	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	City
-60ed8313:150849567c0:31e5	Membership
-60ed8313:150849567c0:428a	BelievedBy
-60ed8313:150849567c0:2da2	Membership
-60ed8313:150849567c0:3141	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	Province
http://www.semwebtech.org/mondial/10/source/WhiteDrin/	Source
-60ed8313:150849567c0:29d0	Membership
-60ed8313:150849567c0:258f	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	City
-60ed8313:150849567c0:3b07	Membership
-60ed8313:150849567c0:22db	Membership
-60ed8313:150849567c0:37d9	Membership
-60ed8313:150849567c0:1a78	Membership
-60ed8313:150849567c0:3735	Membership
http://www.semwebtech.org/mondial/10/mountain/Kongur/	Mountain
http://www.semwebtech.org/mondial/10/mountain/Feldberg/	Mountain
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	City
http://www.semwebtech.org/mondial/10/river/Katun/	River
-60ed8313:150849567c0:3d67	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Inuit/	EthnicGroup
-60ed8313:150849567c0:3ab3	Membership
-60ed8313:150849567c0:28cf	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/city/LaPaz/	City
-60ed8313:150849567c0:3995	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	Province
-60ed8313:150849567c0:282b	Membership
-60ed8313:150849567c0:36e1	Membership
http://www.semwebtech.org/mondial/10/country/NCA/city/Noumea/	City
-60ed8313:150849567c0:1db8	Membership
-60ed8313:150849567c0:2e5d	Membership
-60ed8313:150849567c0:2157	Membership
-60ed8313:150849567c0:19e6	Membership
-60ed8313:150849567c0:1d14	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Filipino/	EthnicGroup
-60ed8313:150849567c0:4446	EthnicProportion
-60ed8313:150849567c0:1942	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	City
-60ed8313:150849567c0:1f74	Membership
-60ed8313:150849567c0:1cc0	Membership
http://www.semwebtech.org/mondial/10/continent/Europe/	Continent
-60ed8313:150849567c0:353c	Membership
-60ed8313:150849567c0:43f2	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	City
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	City
-60ed8313:150849567c0:2ac9	Membership
-60ed8313:150849567c0:3b6e	Membership
-60ed8313:150849567c0:2a25	Membership
-60ed8313:150849567c0:26f7	Membership
-60ed8313:150849567c0:379c	Membership
-60ed8313:150849567c0:2653	Membership
http://www.semwebtech.org/mondial/10/organization/UNSC/	Organization
-60ed8313:150849567c0:1bbf	Membership
-60ed8313:150849567c0:2c85	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	Province
-60ed8313:150849567c0:17ed	Border
-60ed8313:150849567c0:1b1b	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	Province
-60ed8313:150849567c0:3eae	Membership
-60ed8313:150849567c0:31a8	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/city/Ardahan/	City
-60ed8313:150849567c0:424d	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	City
-60ed8313:150849567c0:3e0a	Membership
http://www.semwebtech.org/mondial/10/mountain/MaunaKea/	Mountain
-60ed8313:150849567c0:3104	Membership
-60ed8313:150849567c0:1d7b	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	Province
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	City
-60ed8313:150849567c0:2fc5	Membership
-60ed8313:150849567c0:3364	Membership
-60ed8313:150849567c0:2f21	Membership
-60ed8313:150849567c0:30b0	Membership
-60ed8313:150849567c0:24fe	Membership
-60ed8313:150849567c0:245a	Membership
-60ed8313:150849567c0:3958	Membership
-60ed8313:150849567c0:2a8c	Membership
-60ed8313:150849567c0:36a4	Membership
-60ed8313:150849567c0:3cd6	Membership
-60ed8313:150849567c0:3600	Membership
-60ed8313:150849567c0:4075	SpokenBy
-60ed8313:150849567c0:19a9	Membership
-60ed8313:150849567c0:3c32	Membership
-60ed8313:150849567c0:4409	EthnicProportion
-60ed8313:150849567c0:1905	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	City
http://www.semwebtech.org/mondial/10/estuary/Iller/	Estuary
-60ed8313:150849567c0:3860	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	City
-60ed8313:150849567c0:1f37	Membership
-60ed8313:150849567c0:3e92	Membership
-60ed8313:150849567c0:2dcc	Membership
-60ed8313:150849567c0:316b	Membership
-60ed8313:150849567c0:20c6	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	City
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Tongan/	EthnicGroup
-60ed8313:150849567c0:29fa	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	City
-60ed8313:150849567c0:2022	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/city/Portalegre/	City
-60ed8313:150849567c0:43b5	EthnicProportion
-60ed8313:150849567c0:18b1	Border
http://www.semwebtech.org/mondial/10/ethnicgroup/Rashaida/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	Province
-60ed8313:150849567c0:4311	BelievedBy
-60ed8313:150849567c0:1ee3	Membership
http://www.semwebtech.org/mondial/10/island/Hainan/	Island
http://www.semwebtech.org/mondial/10/island/Sicilia/	Island
-60ed8313:150849567c0:2282	Membership
-60ed8313:150849567c0:375f	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	City
-60ed8313:150849567c0:2616	Membership
-60ed8313:150849567c0:34ab	Membership
-60ed8313:150849567c0:4571	EthnicProportion
-60ed8313:150849567c0:2c48	Membership
http://www.semwebtech.org/mondial/10/island/Samos/	Island
-60ed8313:150849567c0:3add	Membership
-60ed8313:150849567c0:2876	Membership
http://www.semwebtech.org/mondial/10/country/COOK/city/Avarua/	City
-60ed8313:150849567c0:170c	Encompassed
-60ed8313:150849567c0:25c2	Membership
-60ed8313:150849567c0:1d3e	Membership
-60ed8313:150849567c0:2bf4	Membership
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	Province
http://www.semwebtech.org/mondial/10/islands/Vanuatu/	Islands
-60ed8313:150849567c0:196c	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/city/Abancay/	City
-60ed8313:150849567c0:2b50	Membership
-60ed8313:150849567c0:3327	Membership
-60ed8313:150849567c0:41bc	BelievedBy
-60ed8313:150849567c0:1f9e	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Chinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/city/Tottori/	City
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	Province
-60ed8313:150849567c0:1cea	Membership
http://www.semwebtech.org/mondial/10/mountain/PicodeTeide/	Mountain
http://www.semwebtech.org/mondial/10/island/Gomera/	Island
http://www.semwebtech.org/mondial/10/desert/Ordos/	Desert
-60ed8313:150849567c0:3587	Membership
-60ed8313:150849567c0:241d	Membership
-60ed8313:150849567c0:32d3	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	Province
-60ed8313:150849567c0:2a4f	Membership
-60ed8313:150849567c0:267d	Membership
http://www.semwebtech.org/mondial/10/island/SaintLucia/	Island
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	City
-60ed8313:150849567c0:4038	SpokenBy
http://www.semwebtech.org/mondial/10/religion/ChurchChrist/	Religion
-60ed8313:150849567c0:38c7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sotho/	EthnicGroup
-60ed8313:150849567c0:1b66	Membership
-60ed8313:150849567c0:3ef9	Membership
-60ed8313:150849567c0:3823	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Province
-60ed8313:150849567c0:4298	BelievedBy
-60ed8313:150849567c0:1794	Encompassed
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	Province
-60ed8313:150849567c0:3e55	Membership
-60ed8313:150849567c0:312e	Membership
-60ed8313:150849567c0:29bd	Membership
http://www.semwebtech.org/mondial/10/mountains/NewZealandAlps/	Mountains
-60ed8313:150849567c0:3ba1	Membership
-60ed8313:150849567c0:2fef	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/city/Mkokotoni/	City
-60ed8313:150849567c0:22e9	Membership
-60ed8313:150849567c0:338e	Membership
-60ed8313:150849567c0:1ea6	Membership
-60ed8313:150849567c0:2f4b	Membership
-60ed8313:150849567c0:2245	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	City
-60ed8313:150849567c0:30da	Membership
-60ed8313:150849567c0:1e02	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/city/Dimbokro/	City
-60ed8313:150849567c0:4534	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	Province
-60ed8313:150849567c0:2839	Membership
-60ed8313:150849567c0:21f1	Membership
-60ed8313:150849567c0:36ce	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	City
http://www.semwebtech.org/mondial/10/source/DarlingRiver/	Source
-60ed8313:150849567c0:362a	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	City
-60ed8313:150849567c0:44e0	EthnicProportion
-60ed8313:150849567c0:409f	SpokenBy
-60ed8313:150849567c0:2bb7	Membership
-60ed8313:150849567c0:3c5c	Membership
-60ed8313:150849567c0:2b13	Membership
-60ed8313:150849567c0:192f	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	City
-60ed8313:150849567c0:27e5	Membership
-60ed8313:150849567c0:388a	Membership
http://www.semwebtech.org/mondial/10/island/Guadalcanal/	Island
-60ed8313:150849567c0:2741	Membership
-60ed8313:150849567c0:1cad	Membership
-60ed8313:150849567c0:2d73	Membership
-60ed8313:150849567c0:204c	Membership
-60ed8313:150849567c0:43df	EthnicProportion
-60ed8313:150849567c0:18db	Border
-60ed8313:150849567c0:433b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	City
-60ed8313:150849567c0:459b	EthnicProportion
-60ed8313:150849567c0:34f6	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	City
http://www.semwebtech.org/mondial/10/river/Busira/	River
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/city/Bondoukou/	City
-60ed8313:150849567c0:3452	Membership
-60ed8313:150849567c0:1b29	Membership
-60ed8313:150849567c0:3a84	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	City
-60ed8313:150849567c0:1757	Encompassed
-60ed8313:150849567c0:25ec	Membership
-60ed8313:150849567c0:3e18	Membership
http://www.semwebtech.org/mondial/10/organization/ICJ/	Organization
-60ed8313:150849567c0:1d89	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	City
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	City
http://www.semwebtech.org/mondial/10/source/Vaesterdalaelv/	Source
-60ed8313:150849567c0:1ad5	Membership
-60ed8313:150849567c0:2b7a	Membership
http://www.semwebtech.org/mondial/10/island/Anguilla/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/French/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Pico/	Mountain
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	City
-60ed8313:150849567c0:1a31	Membership
-60ed8313:150849567c0:2f0e	Membership
-60ed8313:150849567c0:3dc4	Membership
-60ed8313:150849567c0:2208	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	City
-60ed8313:150849567c0:4163	BelievedBy
-60ed8313:150849567c0:3d20	Membership
-60ed8313:150849567c0:39f2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	City
-60ed8313:150849567c0:1c91	Membership
-60ed8313:150849567c0:2468	Membership
-60ed8313:150849567c0:32fd	Membership
-60ed8313:150849567c0:3f80	Membership
-60ed8313:150849567c0:2eba	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	Province
-60ed8313:150849567c0:21b4	Membership
http://www.semwebtech.org/mondial/10/source/Glomma/	Source
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/city/Ocotepeque/	City
-60ed8313:150849567c0:2110	Membership
-60ed8313:150849567c0:44a3	EthnicProportion
-60ed8313:150849567c0:3c1f	Membership
-60ed8313:150849567c0:1fd1	Membership
http://www.semwebtech.org/mondial/10/river/Kama/	River
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/city/Glarus/	City
-60ed8313:150849567c0:27a8	Membership
-60ed8313:150849567c0:2370	Membership
-60ed8313:150849567c0:384d	Membership
-60ed8313:150849567c0:2704	Membership
-60ed8313:150849567c0:3e7f	Membership
-60ed8313:150849567c0:3179	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	City
-60ed8313:150849567c0:2d36	Membership
-60ed8313:150849567c0:3bcb	Membership
-60ed8313:150849567c0:200f	Membership
-60ed8313:150849567c0:2964	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/CameroonHighlanders/	EthnicGroup
-60ed8313:150849567c0:2f96	Membership
-60ed8313:150849567c0:26b0	Membership
-60ed8313:150849567c0:226f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	City
-60ed8313:150849567c0:1e2c	Membership
-60ed8313:150849567c0:2ce2	Membership
-60ed8313:150849567c0:34b9	Membership
-60ed8313:150849567c0:3081	Membership
-60ed8313:150849567c0:455e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	City
-60ed8313:150849567c0:3415	Membership
-60ed8313:150849567c0:42aa	BelievedBy
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	Province
-60ed8313:150849567c0:3a47	Membership
-60ed8313:150849567c0:25af	Membership
-60ed8313:150849567c0:3675	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	City
http://www.semwebtech.org/mondial/10/language/German/	Language
-60ed8313:150849567c0:250b	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	Province
-60ed8313:150849567c0:33c1	Membership
-60ed8313:150849567c0:2b3d	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	City
http://www.semwebtech.org/mondial/10/river/WesternMorava/	River
-60ed8313:150849567c0:16c6	Encompassed
-60ed8313:150849567c0:276b	Membership
-60ed8313:150849567c0:4126	BelievedBy
-60ed8313:150849567c0:1cf8	Membership
-60ed8313:150849567c0:2d9d	Membership
-60ed8313:150849567c0:39b5	Membership
-60ed8313:150849567c0:2097	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	Province
-60ed8313:150849567c0:1c54	Membership
http://www.semwebtech.org/mondial/10/country/B/	Country
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	Province
-60ed8313:150849567c0:3fe7	Membership
-60ed8313:150849567c0:3911	Membership
-60ed8313:150849567c0:4386	EthnicProportion
-60ed8313:150849567c0:1882	Border
-60ed8313:150849567c0:3f43	Membership
-60ed8313:150849567c0:321c	Membership
-60ed8313:150849567c0:40d2	SpokenBy
http://www.semwebtech.org/mondial/10/island/Nevis/	Island
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	City
-60ed8313:150849567c0:23d7	Membership
-60ed8313:150849567c0:347c	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	City
http://www.semwebtech.org/mondial/10/source/Dnepr/	Source
http://www.semwebtech.org/mondial/10/organization/SACEP/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	City
-60ed8313:150849567c0:2333	Membership
http://www.semwebtech.org/mondial/10/river/NorthernDwina/	River
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	City
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	City
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	City
-60ed8313:150849567c0:2593	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	City
-60ed8313:150849567c0:1aff	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	City
-60ed8313:150849567c0:2927	Membership
-60ed8313:150849567c0:37bc	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	City
-60ed8313:150849567c0:1a5b	Membership
-60ed8313:150849567c0:2f59	Membership
-60ed8313:150849567c0:418d	BelievedBy
-60ed8313:150849567c0:3dee	Membership
-60ed8313:150849567c0:30e8	Membership
-60ed8313:150849567c0:2ca5	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	City
http://www.semwebtech.org/mondial/10/country/GNB/	Country
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	City
-60ed8313:150849567c0:3d4a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	City
-60ed8313:150849567c0:3044	Membership
-60ed8313:150849567c0:2c01	Membership
-60ed8313:150849567c0:28d3	Membership
http://www.semwebtech.org/mondial/10/island/Mohilla/	Island
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/city/Tucupita/	City
-60ed8313:150849567c0:21de	Membership
-60ed8313:150849567c0:2e61	Membership
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	City
-60ed8313:150849567c0:44cd	EthnicProportion
-60ed8313:150849567c0:213a	Membership
-60ed8313:150849567c0:3638	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	Province
http://www.semwebtech.org/mondial/10/island/Samar/	Island
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	Province
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	City
-60ed8313:150849567c0:1ffb	Membership
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afar/	EthnicGroup
-60ed8313:150849567c0:239a	Membership
-60ed8313:150849567c0:3898	Membership
-60ed8313:150849567c0:272e	Membership
http://www.semwebtech.org/mondial/10/river/Dalaelv/	River
-60ed8313:150849567c0:35e4	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	Province
-60ed8313:150849567c0:3540	Membership
-60ed8313:150849567c0:18e9	Border
-60ed8313:150849567c0:1c17	Membership
-60ed8313:150849567c0:2aac	Membership
-60ed8313:150849567c0:298e	Membership
http://www.semwebtech.org/mondial/10/river/Lualaba/	River
-60ed8313:150849567c0:3b72	Membership
-60ed8313:150849567c0:4349	EthnicProportion
-60ed8313:150849567c0:1845	Border
-60ed8313:150849567c0:26da	Membership
-60ed8313:150849567c0:3f06	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	Province
-60ed8313:150849567c0:1e77	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	Province
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	City
http://www.semwebtech.org/mondial/10/river/Hwangho/	River
-60ed8313:150849567c0:1bc3	Membership
http://www.semwebtech.org/mondial/10/organization/Mercosur/	Organization
-60ed8313:150849567c0:343f	Membership
-60ed8313:150849567c0:42f5	BelievedBy
-60ed8313:150849567c0:17f1	Border
-60ed8313:150849567c0:3eb2	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	Province
-60ed8313:150849567c0:4251	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Province
-60ed8313:150849567c0:369f	Membership
-60ed8313:150849567c0:2556	Membership
http://www.semwebtech.org/mondial/10/source/RioMadeira/	Source
-60ed8313:150849567c0:33eb	Membership
-60ed8313:150849567c0:2b88	Membership
-60ed8313:150849567c0:22a2	Membership
-60ed8313:150849567c0:1a1e	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	Province
-60ed8313:150849567c0:3d0d	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	City
-60ed8313:150849567c0:39df	Membership
-60ed8313:150849567c0:3007	Membership
http://www.semwebtech.org/mondial/10/country/WAFU/city/Mata-Utu/	City
-60ed8313:150849567c0:1c7e	Membership
-60ed8313:150849567c0:393b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/city/Deva/	City
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	City
http://www.semwebtech.org/mondial/10/mountain/BarbeauPeak/	Mountain
-60ed8313:150849567c0:3f6d	Membership
-60ed8313:150849567c0:2ec8	Membership
-60ed8313:150849567c0:2a90	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	City
http://www.semwebtech.org/mondial/10/lake/LakeBurleyGriffin/	Lake
-60ed8313:150849567c0:3267	Membership
-60ed8313:150849567c0:40fc	SpokenBy
-60ed8313:150849567c0:2e24	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	City
http://www.semwebtech.org/mondial/10/organization/UNHCR/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Baloch/	EthnicGroup
-60ed8313:150849567c0:1fbe	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	City
-60ed8313:150849567c0:235d	Membership
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	City
-60ed8313:150849567c0:1f1a	Membership
-60ed8313:150849567c0:2dd0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	Province
http://www.semwebtech.org/mondial/10/country/MYA/	Country
-60ed8313:150849567c0:35a7	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	City
-60ed8313:150849567c0:3bd9	Membership
-60ed8313:150849567c0:3503	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	City
-60ed8313:150849567c0:3b35	Membership
-60ed8313:150849567c0:1808	Border
-60ed8313:150849567c0:3763	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	City
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	City
-60ed8313:150849567c0:2ccf	Membership
-60ed8313:150849567c0:3d95	Membership
http://www.semwebtech.org/mondial/10/desert/Trarza/	Desert
-60ed8313:150849567c0:306e	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/	Province
-60ed8313:150849567c0:2c2b	Membership
-60ed8313:150849567c0:28fd	Membership
-60ed8313:150849567c0:3ae1	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	Province
http://www.semwebtech.org/mondial/10/source/Arkansas/	Source
-60ed8313:150849567c0:42b8	BelievedBy
-60ed8313:150849567c0:17b4	Encompassed
-60ed8313:150849567c0:2459	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	City
-60ed8313:150849567c0:4214	BelievedBy
-60ed8313:150849567c0:1710	Encompassed
-60ed8313:150849567c0:1de6	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	Province
-60ed8313:150849567c0:2e8b	Membership
-60ed8313:150849567c0:2185	Membership
http://www.semwebtech.org/mondial/10/source/Ucayali/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Kazak/	EthnicGroup
-60ed8313:150849567c0:1d42	Membership
-60ed8313:150849567c0:2519	Membership
-60ed8313:150849567c0:33ae	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	City
-60ed8313:150849567c0:4474	EthnicProportion
-60ed8313:150849567c0:1970	Membership
-60ed8313:150849567c0:330a	Membership
-60ed8313:150849567c0:41c0	BelievedBy
-60ed8313:150849567c0:2779	Membership
-60ed8313:150849567c0:24c5	Membership
-60ed8313:150849567c0:356a	Membership
-60ed8313:150849567c0:2af7	Membership
-60ed8313:150849567c0:2421	Membership
-60ed8313:150849567c0:3b9c	Membership
-60ed8313:150849567c0:186f	Border
-60ed8313:150849567c0:2a53	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	City
http://www.semwebtech.org/mondial/10/island/LewisandHarris/	Island
-60ed8313:150849567c0:40bf	SpokenBy
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	City
-60ed8313:150849567c0:2681	Membership
-60ed8313:150849567c0:401b	SpokenBy
-60ed8313:150849567c0:1bed	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	City
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	City
-60ed8313:150849567c0:38aa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	City
-60ed8313:150849567c0:3edc	Membership
-60ed8313:150849567c0:31d6	Membership
-60ed8313:150849567c0:427b	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	City
-60ed8313:150849567c0:3132	Membership
http://www.semwebtech.org/mondial/10/mountain/Kasbek/	Mountain
-60ed8313:150849567c0:29c1	Membership
http://www.semwebtech.org/mondial/10/religion/Jewish/	Religion
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	Province
-60ed8313:150849567c0:2ff3	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	City
-60ed8313:150849567c0:22cc	Membership
-60ed8313:150849567c0:3392	Membership
-60ed8313:150849567c0:1a69	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	City
http://www.semwebtech.org/mondial/10/estuary/Donau/	Estuary
-60ed8313:150849567c0:3726	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	City
-60ed8313:150849567c0:3d58	Membership
http://www.semwebtech.org/mondial/10/mountain/Shishapangma/	Mountain
http://www.semwebtech.org/mondial/10/river/March/	River
-60ed8313:150849567c0:3aa4	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	City
http://www.semwebtech.org/mondial/10/country/LT/	Country
-60ed8313:150849567c0:3986	Membership
-60ed8313:150849567c0:3a00	Membership
http://www.semwebtech.org/mondial/10/country/TUCA/city/GrandTurk/	City
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	City
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	Province
-60ed8313:150849567c0:281c	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	Province
-60ed8313:150849567c0:36d2	Membership
http://www.semwebtech.org/mondial/10/river/Lech/	River
-60ed8313:150849567c0:1da9	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	City
-60ed8313:150849567c0:2e4e	Membership
http://www.semwebtech.org/mondial/10/country/NZ/	Country
-60ed8313:150849567c0:2148	Membership
-60ed8313:150849567c0:19d7	Membership
-60ed8313:150849567c0:1d05	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	City
-60ed8313:150849567c0:3c60	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Micronesian/	EthnicGroup
-60ed8313:150849567c0:4437	EthnicProportion
-60ed8313:150849567c0:1933	Membership
-60ed8313:150849567c0:1f65	Membership
-60ed8313:150849567c0:2dfa	Membership
-60ed8313:150849567c0:20f4	Membership
-60ed8313:150849567c0:1cb1	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	City
-60ed8313:150849567c0:2050	Membership
-60ed8313:150849567c0:352d	Membership
-60ed8313:150849567c0:43e3	EthnicProportion
-60ed8313:150849567c0:3fa0	Membership
-60ed8313:150849567c0:3b5f	Membership
-60ed8313:150849567c0:2a16	Membership
-60ed8313:150849567c0:26e8	Membership
-60ed8313:150849567c0:378d	Membership
-60ed8313:150849567c0:2644	Membership
-60ed8313:150849567c0:2c76	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	City
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	City
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	City
http://www.semwebtech.org/mondial/10/country/WS/	Country
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	City
-60ed8313:150849567c0:17de	Border
-60ed8313:150849567c0:1b0c	Membership
-60ed8313:150849567c0:423e	BelievedBy
-60ed8313:150849567c0:173a	Encompassed
-60ed8313:150849567c0:25f0	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	Province
-60ed8313:150849567c0:1d6c	Membership
-60ed8313:150849567c0:33f9	Membership
-60ed8313:150849567c0:449e	EthnicProportion
-60ed8313:150849567c0:2fb6	Membership
-60ed8313:150849567c0:199a	Membership
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	City
-60ed8313:150849567c0:3355	Membership
-60ed8313:150849567c0:41ea	BelievedBy
-60ed8313:150849567c0:2f12	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	Province
-60ed8313:150849567c0:30a1	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	Province
-60ed8313:150849567c0:24ef	Membership
-60ed8313:150849567c0:244b	Membership
-60ed8313:150849567c0:3949	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	City
-60ed8313:150849567c0:2a7d	Membership
-60ed8313:150849567c0:3cc7	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Voltaic/	EthnicGroup
-60ed8313:150849567c0:4066	SpokenBy
-60ed8313:150849567c0:3c23	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	City
http://www.semwebtech.org/mondial/10/country/GBG/	Country
-60ed8313:150849567c0:38f5	Membership
-60ed8313:150849567c0:1b94	Membership
-60ed8313:150849567c0:3851	Membership
http://www.semwebtech.org/mondial/10/mountain/HarneyPeak/	Mountain
-60ed8313:150849567c0:1f28	Membership
-60ed8313:150849567c0:3e83	Membership
-60ed8313:150849567c0:2dbd	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	Province
-60ed8313:150849567c0:20b7	Membership
-60ed8313:150849567c0:315c	Membership
-60ed8313:150849567c0:29eb	Membership
-60ed8313:150849567c0:2013	Membership
-60ed8313:150849567c0:43a6	EthnicProportion
-60ed8313:150849567c0:18a2	Border
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	City
-60ed8313:150849567c0:4302	BelievedBy
http://www.semwebtech.org/mondial/10/source/AlleghenyRiver/	Source
-60ed8313:150849567c0:1ed4	Membership
-60ed8313:150849567c0:2273	Membership
-60ed8313:150849567c0:1e30	Membership
-60ed8313:150849567c0:2607	Membership
-60ed8313:150849567c0:4562	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/MurrumbidgeeRiver/	Estuary
http://www.semwebtech.org/mondial/10/estuary/Cuango/	Estuary
-60ed8313:150849567c0:2c39	Membership
-60ed8313:150849567c0:3ace	Membership
http://www.semwebtech.org/mondial/10/language/Kazakh/	Language
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	City
-60ed8313:150849567c0:3a2a	Membership
-60ed8313:150849567c0:2867	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	City
-60ed8313:150849567c0:36fc	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	City
-60ed8313:150849567c0:2e99	Membership
-60ed8313:150849567c0:25b3	Membership
-60ed8313:150849567c0:1d2f	Membership
-60ed8313:150849567c0:2be5	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	City
-60ed8313:150849567c0:3c8a	Membership
-60ed8313:150849567c0:195d	Membership
-60ed8313:150849567c0:2b41	Membership
-60ed8313:150849567c0:3318	Membership
-60ed8313:150849567c0:41ad	BelievedBy
-60ed8313:150849567c0:1f8f	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	City
-60ed8313:150849567c0:1cdb	Membership
-60ed8313:150849567c0:207a	Membership
-60ed8313:150849567c0:3578	Membership
http://www.semwebtech.org/mondial/10/source/Morava/	Source
-60ed8313:150849567c0:3fca	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	City
-60ed8313:150849567c0:240e	Membership
-60ed8313:150849567c0:32c4	Membership
-60ed8313:150849567c0:3220	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	City
-60ed8313:150849567c0:266e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kisii/	EthnicGroup
http://www.semwebtech.org/mondial/10/organization/UNWTO/	Organization
-60ed8313:150849567c0:4029	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	Province
-60ed8313:150849567c0:23ba	Membership
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	City
-60ed8313:150849567c0:38b8	Membership
-60ed8313:150849567c0:3480	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	City
-60ed8313:150849567c0:1b57	Membership
-60ed8313:150849567c0:3814	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/city/Burdur/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	Province
-60ed8313:150849567c0:4289	BelievedBy
-60ed8313:150849567c0:1785	Encompassed
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	City
-60ed8313:150849567c0:3e46	Membership
-60ed8313:150849567c0:311f	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	City
-60ed8313:150849567c0:29ae	Membership
-60ed8313:150849567c0:290a	Membership
-60ed8313:150849567c0:37c0	Membership
-60ed8313:150849567c0:337f	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	Province
http://www.semwebtech.org/mondial/10/river/Murat/	River
-60ed8313:150849567c0:3df2	Membership
-60ed8313:150849567c0:2f3c	Membership
-60ed8313:150849567c0:30cb	Membership
-60ed8313:150849567c0:2236	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	City
-60ed8313:150849567c0:4191	BelievedBy
-60ed8313:150849567c0:4525	EthnicProportion
http://www.semwebtech.org/mondial/10/islands/OrkneyIslands/	Islands
-60ed8313:150849567c0:2496	Membership
http://www.semwebtech.org/mondial/10/country/AMSA/city/PagoPago/	City
-60ed8313:150849567c0:21e2	Membership
-60ed8313:150849567c0:36bf	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	Province
-60ed8313:150849567c0:361b	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	Province
-60ed8313:150849567c0:44d1	EthnicProportion
-60ed8313:150849567c0:2ba8	Membership
http://www.semwebtech.org/mondial/10/country/RSM/	Country
-60ed8313:150849567c0:3c4d	Membership
-60ed8313:150849567c0:2b04	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	City
-60ed8313:150849567c0:27d6	Membership
-60ed8313:150849567c0:387b	Membership
-60ed8313:150849567c0:2732	Membership
-60ed8313:150849567c0:2d64	Membership
-60ed8313:150849567c0:203d	Membership
-60ed8313:150849567c0:18cc	Border
-60ed8313:150849567c0:2ab0	Membership
-60ed8313:150849567c0:2992	Membership
-60ed8313:150849567c0:432c	BelievedBy
-60ed8313:150849567c0:1efe	Membership
-60ed8313:150849567c0:229d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	City
-60ed8313:150849567c0:1e5a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bashkir/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Volta/	Estuary
-60ed8313:150849567c0:34e7	Membership
-60ed8313:150849567c0:458c	EthnicProportion
http://www.semwebtech.org/mondial/10/islands/PitcairnIslands/	Islands
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	Province
-60ed8313:150849567c0:3443	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/city/Kinkala/	City
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	Province
http://www.semwebtech.org/mondial/10/source/Narva/	Source
-60ed8313:150849567c0:3a75	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	City
http://www.semwebtech.org/mondial/10/river/YukonRiver/	River
-60ed8313:150849567c0:1748	Encompassed
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	City
-60ed8313:150849567c0:25dd	Membership
-60ed8313:150849567c0:3e09	Membership
http://www.semwebtech.org/mondial/10/island/Sardegna/	Island
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	City
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	City
-60ed8313:150849567c0:1ac6	Membership
-60ed8313:150849567c0:41f8	BelievedBy
-60ed8313:150849567c0:2b6b	Membership
http://www.semwebtech.org/mondial/10/river/Chatanga/	River
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	City
-60ed8313:150849567c0:16f4	Encompassed
-60ed8313:150849567c0:1a22	Membership
-60ed8313:150849567c0:3db5	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/city/Hpaan/	City
-60ed8313:150849567c0:4154	BelievedBy
-60ed8313:150849567c0:3d11	Membership
-60ed8313:150849567c0:39e3	Membership
-60ed8313:150849567c0:1c82	Membership
-60ed8313:150849567c0:32ee	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	City
-60ed8313:150849567c0:2eab	Membership
-60ed8313:150849567c0:3f71	Membership
-60ed8313:150849567c0:21a5	Membership
-60ed8313:150849567c0:324a	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-EastIndian/	EthnicGroup
-60ed8313:150849567c0:2101	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/city/Naha/	City
-60ed8313:150849567c0:1fc2	Membership
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	City
-60ed8313:150849567c0:2361	Membership
-60ed8313:150849567c0:383e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	City
http://www.semwebtech.org/mondial/10/mountain/MtLogan/	Mountain
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	Province
http://www.semwebtech.org/mondial/10/source/RioSanJuan/	Source
-60ed8313:150849567c0:2d27	Membership
-60ed8313:150849567c0:29f9	Membership
-60ed8313:150849567c0:3bbc	Membership
http://www.semwebtech.org/mondial/10/source/Missouri/	Source
-60ed8313:150849567c0:2955	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	City
-60ed8313:150849567c0:37ea	Membership
-60ed8313:150849567c0:2f87	Membership
-60ed8313:150849567c0:26a1	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	Province
-60ed8313:150849567c0:1e1d	Membership
http://www.semwebtech.org/mondial/10/mountain/Concepcion/	Mountain
-60ed8313:150849567c0:2cd3	Membership
-60ed8313:150849567c0:3072	Membership
-60ed8313:150849567c0:454f	EthnicProportion
-60ed8313:150849567c0:3406	Membership
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	City
-60ed8313:150849567c0:3a38	Membership
http://www.semwebtech.org/mondial/10/country/IR/	Country
-60ed8313:150849567c0:3666	Membership
-60ed8313:150849567c0:44fb	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/LagoMaggiore/	Lake
-60ed8313:150849567c0:3c98	Membership
-60ed8313:150849567c0:33b2	Membership
http://www.semwebtech.org/mondial/10/country/SSD/	Country
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	City
-60ed8313:150849567c0:2b2e	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	City
http://www.semwebtech.org/mondial/10/river/Bahrel-Ghasal/	River
-60ed8313:150849567c0:275c	Membership
-60ed8313:150849567c0:4117	BelievedBy
-60ed8313:150849567c0:1ce9	Membership
-60ed8313:150849567c0:2d8e	Membership
-60ed8313:150849567c0:39a6	Membership
-60ed8313:150849567c0:2088	Membership
-60ed8313:150849567c0:1c45	Membership
http://www.semwebtech.org/mondial/10/island/Panarea/	Island
-60ed8313:150849567c0:2ada	Membership
-60ed8313:150849567c0:3fd8	Membership
-60ed8313:150849567c0:3902	Membership
-60ed8313:150849567c0:4377	EthnicProportion
-60ed8313:150849567c0:1873	Border
-60ed8313:150849567c0:3f34	Membership
http://www.semwebtech.org/mondial/10/country/PE/	Country
-60ed8313:150849567c0:320d	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	Province
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	City
-60ed8313:150849567c0:40c3	SpokenBy
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	City
http://www.semwebtech.org/mondial/10/language/Tongan/	Language
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	Province
-60ed8313:150849567c0:1bf1	Membership
-60ed8313:150849567c0:23c8	Membership
-60ed8313:150849567c0:346d	Membership
-60ed8313:150849567c0:3ee0	Membership
-60ed8313:150849567c0:2324	Membership
-60ed8313:150849567c0:3a9f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	City
http://www.semwebtech.org/mondial/10/island/Mindanao/	Island
-60ed8313:150849567c0:2584	Membership
-60ed8313:150849567c0:37ad	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	Province
-60ed8313:150849567c0:2918	Membership
-60ed8313:150849567c0:22d0	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	City
-60ed8313:150849567c0:1a4c	Membership
-60ed8313:150849567c0:3ddf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	City
-60ed8313:150849567c0:30d9	Membership
-60ed8313:150849567c0:417e	BelievedBy
-60ed8313:150849567c0:3d3b	Membership
-60ed8313:150849567c0:3035	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Province
-60ed8313:150849567c0:28c4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Caribbean/	EthnicGroup
-60ed8313:150849567c0:3f9b	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	City
-60ed8313:150849567c0:2ef6	Membership
-60ed8313:150849567c0:2820	Membership
-60ed8313:150849567c0:21cf	Membership
http://www.semwebtech.org/mondial/10/island/Hokkaido/	Island
-60ed8313:150849567c0:3295	Membership
-60ed8313:150849567c0:2e52	Membership
-60ed8313:150849567c0:212b	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	City
-60ed8313:150849567c0:3629	Membership
-60ed8313:150849567c0:44be	EthnicProportion
-60ed8313:150849567c0:19ba	Membership
-60ed8313:150849567c0:441a	EthnicProportion
-60ed8313:150849567c0:1fec	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	Province
-60ed8313:150849567c0:3889	Membership
-60ed8313:150849567c0:238b	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	City
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	City
-60ed8313:150849567c0:271f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	Province
-60ed8313:150849567c0:35d5	Membership
-60ed8313:150849567c0:3531	Membership
-60ed8313:150849567c0:1c08	Membership
-60ed8313:150849567c0:297f	Membership
-60ed8313:150849567c0:3b63	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	City
-60ed8313:150849567c0:1836	Border
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	City
-60ed8313:150849567c0:26cb	Membership
-60ed8313:150849567c0:3791	Membership
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	City
-60ed8313:150849567c0:1e68	Membership
-60ed8313:150849567c0:2cfd	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	Province
-60ed8313:150849567c0:309c	Membership
-60ed8313:150849567c0:1bb4	Membership
http://www.semwebtech.org/mondial/10/country/P/	Country
http://www.semwebtech.org/mondial/10/organization/BIMSTEC/	Organization
-60ed8313:150849567c0:42e6	BelievedBy
-60ed8313:150849567c0:17e2	Border
-60ed8313:150849567c0:1b10	Membership
-60ed8313:150849567c0:3ea3	Membership
-60ed8313:150849567c0:4242	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Brahmaputra/	Estuary
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	Province
-60ed8313:150849567c0:1d70	Membership
http://www.semwebtech.org/mondial/10/lake/Thunersee/	Lake
-60ed8313:150849567c0:33dc	Membership
-60ed8313:150849567c0:2547	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	City
-60ed8313:150849567c0:2b79	Membership
-60ed8313:150849567c0:1a0f	Membership
http://www.semwebtech.org/mondial/10/mountains/Balkan/	Mountains
http://www.semwebtech.org/mondial/10/island/Jura/	Island
-60ed8313:150849567c0:24f3	Membership
http://www.semwebtech.org/mondial/10/lake/LakeMead/	Lake
-60ed8313:150849567c0:1c6f	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	City
http://www.semwebtech.org/mondial/10/source/Tajo/	Source
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	City
-60ed8313:150849567c0:392c	Membership
-60ed8313:150849567c0:2eb9	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	City
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	City
-60ed8313:150849567c0:189d	Border
-60ed8313:150849567c0:2a81	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	City
-60ed8313:150849567c0:3f5e	Membership
-60ed8313:150849567c0:3258	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	City
-60ed8313:150849567c0:40ed	SpokenBy
http://www.semwebtech.org/mondial/10/river/Pruth/	River
-60ed8313:150849567c0:3caa	Membership
-60ed8313:150849567c0:2e15	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	City
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	City
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	City
-60ed8313:150849567c0:1faf	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	Province
-60ed8313:150849567c0:234e	Membership
-60ed8313:150849567c0:1f0b	Membership
-60ed8313:150849567c0:2dc1	Membership
http://www.semwebtech.org/mondial/10/estuary/Reuss/	Estuary
-60ed8313:150849567c0:3160	Membership
http://www.semwebtech.org/mondial/10/lake/LakeGenezareth/	Lake
-60ed8313:150849567c0:3b26	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	City
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/city/Tokushima/	City
-60ed8313:150849567c0:22fa	Membership
-60ed8313:150849567c0:37f8	Membership
http://www.semwebtech.org/mondial/10/country/BEN/	Country
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	Province
http://www.semwebtech.org/mondial/10/organization/WFTU/	Organization
-60ed8313:150849567c0:1a97	Membership
-60ed8313:150849567c0:3754	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/city/Assen/	City
-60ed8313:150849567c0:3d86	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/city/Solothurn/	City
http://www.semwebtech.org/mondial/10/country/GBM/city/Douglas/	City
-60ed8313:150849567c0:34a0	Membership
-60ed8313:150849567c0:305f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	Province
-60ed8313:150849567c0:2c1c	Membership
-60ed8313:150849567c0:28ee	Membership
-60ed8313:150849567c0:3ad2	Membership
http://www.semwebtech.org/mondial/10/estuary/MurrayRiver/	Estuary
-60ed8313:150849567c0:42a9	BelievedBy
-60ed8313:150849567c0:17a5	Encompassed
http://www.semwebtech.org/mondial/10/religion/Anglican/	Religion
-60ed8313:150849567c0:284a	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	Province
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	City
-60ed8313:150849567c0:4205	BelievedBy
-60ed8313:150849567c0:1dd7	Membership
-60ed8313:150849567c0:1701	Encompassed
-60ed8313:150849567c0:2e7c	Membership
-60ed8313:150849567c0:2176	Membership
-60ed8313:150849567c0:1d33	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Bellinzona/	City
-60ed8313:150849567c0:4465	EthnicProportion
-60ed8313:150849567c0:1961	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Scottish/	EthnicGroup
-60ed8313:150849567c0:41b1	BelievedBy
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	City
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	City
http://www.semwebtech.org/mondial/10/source/Volga/	Source
-60ed8313:150849567c0:1f93	Membership
http://www.semwebtech.org/mondial/10/mountain/Vignemale/	Mountain
-60ed8313:150849567c0:35ff	Membership
-60ed8313:150849567c0:24b6	Membership
-60ed8313:150849567c0:355b	Membership
-60ed8313:150849567c0:2ae8	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	Province
-60ed8313:150849567c0:2412	Membership
-60ed8313:150849567c0:3b8d	Membership
http://www.semwebtech.org/mondial/10/island/Kefallinia/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	City
-60ed8313:150849567c0:2a44	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	City
-60ed8313:150849567c0:2672	Membership
-60ed8313:150849567c0:400c	SpokenBy
-60ed8313:150849567c0:1bde	Membership
-60ed8313:150849567c0:1b3a	Membership
-60ed8313:150849567c0:3ecd	Membership
-60ed8313:150849567c0:31c7	Membership
-60ed8313:150849567c0:426c	BelievedBy
-60ed8313:150849567c0:3123	Membership
-60ed8313:150849567c0:1d9a	Membership
-60ed8313:150849567c0:29b2	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	Province
-60ed8313:150849567c0:2fe4	Membership
-60ed8313:150849567c0:22bd	Membership
-60ed8313:150849567c0:3383	Membership
http://www.semwebtech.org/mondial/10/country/WEST/	Country
http://www.semwebtech.org/mondial/10/sea/JavaSea/	Sea
-60ed8313:150849567c0:2f40	Membership
-60ed8313:150849567c0:3717	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	City
http://www.semwebtech.org/mondial/10/estuary/Bahrel-Djebel-Albert-Nil/	Estuary
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	City
-60ed8313:150849567c0:3d49	Membership
http://www.semwebtech.org/mondial/10/mountain/PikKarl-Marx/	Mountain
-60ed8313:150849567c0:3977	Membership
-60ed8313:150849567c0:280d	Membership
-60ed8313:150849567c0:36c3	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	Province
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	City
-60ed8313:150849567c0:2e3f	Membership
-60ed8313:150849567c0:3cf5	Membership
-60ed8313:150849567c0:2139	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	City
-60ed8313:150849567c0:4094	SpokenBy
-60ed8313:150849567c0:19c8	Membership
-60ed8313:150849567c0:3c51	Membership
-60ed8313:150849567c0:4428	EthnicProportion
-60ed8313:150849567c0:1924	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	Province
-60ed8313:150849567c0:2399	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Armenian/	EthnicGroup
-60ed8313:150849567c0:1f56	Membership
-60ed8313:150849567c0:2deb	Membership
-60ed8313:150849567c0:20e5	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	City
-60ed8313:150849567c0:318a	Membership
-60ed8313:150849567c0:1ca2	Membership
-60ed8313:150849567c0:351e	Membership
-60ed8313:150849567c0:2041	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	City
-60ed8313:150849567c0:43d4	EthnicProportion
-60ed8313:150849567c0:18d0	Border
http://www.semwebtech.org/mondial/10/language/Urdu/	Language
-60ed8313:150849567c0:4330	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Thames/	Estuary
-60ed8313:150849567c0:2a07	Membership
-60ed8313:150849567c0:26d9	Membership
-60ed8313:150849567c0:377e	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	City
-60ed8313:150849567c0:4590	EthnicProportion
-60ed8313:150849567c0:2635	Membership
-60ed8313:150849567c0:34ca	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	Province
http://www.semwebtech.org/mondial/10/desert/ErgIsaouane/	Desert
-60ed8313:150849567c0:2c67	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	Province
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	City
-60ed8313:150849567c0:3afc	Membership
http://www.semwebtech.org/mondial/10/country/BD/	Country
-60ed8313:150849567c0:17cf	Border
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	Province
-60ed8313:150849567c0:2895	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Sundanese/	EthnicGroup
-60ed8313:150849567c0:422f	BelievedBy
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	Province
-60ed8313:150849567c0:172b	Encompassed
http://www.semwebtech.org/mondial/10/river/Cuango/	River
-60ed8313:150849567c0:25e1	Membership
-60ed8313:150849567c0:1d5d	Membership
http://www.semwebtech.org/mondial/10/island/MarthasVineyard/	Island
-60ed8313:150849567c0:448f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	City
-60ed8313:150849567c0:198b	Membership
-60ed8313:150849567c0:2fa7	Membership
-60ed8313:150849567c0:3346	Membership
-60ed8313:150849567c0:41db	BelievedBy
-60ed8313:150849567c0:2f03	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/city/Liestal/	City
-60ed8313:150849567c0:243c	Membership
-60ed8313:150849567c0:32f2	Membership
http://www.semwebtech.org/mondial/10/mountain/Ruapehu/	Mountain
-60ed8313:150849567c0:2a6e	Membership
http://www.semwebtech.org/mondial/10/islands/Madeira/	Islands
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	City
http://www.semwebtech.org/mondial/10/mountain/GannettPeak/	Mountain
http://www.semwebtech.org/mondial/10/ethnicgroup/Dungan/	EthnicGroup
-60ed8313:150849567c0:269c	Membership
-60ed8313:150849567c0:3cb8	Membership
http://www.semwebtech.org/mondial/10/religion/CongregationalChristian/	Religion
-60ed8313:150849567c0:4057	SpokenBy
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	City
-60ed8313:150849567c0:3c14	Membership
http://www.semwebtech.org/mondial/10/country/MC/	Country
-60ed8313:150849567c0:38e6	Membership
-60ed8313:150849567c0:1b85	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	City
-60ed8313:150849567c0:3842	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/city/Abengourou/	City
-60ed8313:150849567c0:1f19	Membership
http://www.semwebtech.org/mondial/10/mountain/PicoRuivo/	Mountain
-60ed8313:150849567c0:2dae	Membership
-60ed8313:150849567c0:3e74	Membership
-60ed8313:150849567c0:20a8	Membership
-60ed8313:150849567c0:314d	Membership
-60ed8313:150849567c0:2d0a	Membership
-60ed8313:150849567c0:29dc	Membership
-60ed8313:150849567c0:3bc0	Membership
-60ed8313:150849567c0:2004	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	Province
-60ed8313:150849567c0:1ec5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Welsh/	EthnicGroup
-60ed8313:150849567c0:2f6a	Membership
-60ed8313:150849567c0:2264	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	City
-60ed8313:150849567c0:1e21	Membership
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	City
-60ed8313:150849567c0:4553	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Ukrainian/	EthnicGroup
-60ed8313:150849567c0:3abf	Membership
http://www.semwebtech.org/mondial/10/island/Fuenen/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	City
http://www.semwebtech.org/mondial/10/lake/LakeKivu/	Lake
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	Province
-60ed8313:150849567c0:3a1b	Membership
-60ed8313:150849567c0:2858	Membership
-60ed8313:150849567c0:36ed	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	City
-60ed8313:150849567c0:3f25	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	City
-60ed8313:150849567c0:25a4	Membership
http://www.semwebtech.org/mondial/10/island/Syros/	Island
http://www.semwebtech.org/mondial/10/river/Dnister/	River
http://www.semwebtech.org/mondial/10/sea/BalticSea/	Sea
-60ed8313:150849567c0:2bd6	Membership
-60ed8313:150849567c0:2500	Membership
-60ed8313:150849567c0:3c7b	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	Province
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	City
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Ermoupoli/	City
-60ed8313:150849567c0:194e	Membership
-60ed8313:150849567c0:2b32	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/city/MiercureaCiuc/	City
-60ed8313:150849567c0:3309	Membership
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	City
http://www.semwebtech.org/mondial/10/estuary/Ene/	Estuary
-60ed8313:150849567c0:2760	Membership
http://www.semwebtech.org/mondial/10/river/WhiteNile/	River
-60ed8313:150849567c0:1ccc	Membership
-60ed8313:150849567c0:2d92	Membership
http://www.semwebtech.org/mondial/10/island/Majuro/	Island
-60ed8313:150849567c0:206b	Membership
-60ed8313:150849567c0:3569	Membership
-60ed8313:150849567c0:43fe	EthnicProportion
-60ed8313:150849567c0:18fa	Border
-60ed8313:150849567c0:3fbb	Membership
-60ed8313:150849567c0:32b5	Membership
-60ed8313:150849567c0:435a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	City
http://www.semwebtech.org/mondial/10/language/Turkish/	Language
-60ed8313:150849567c0:3211	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	City
http://www.semwebtech.org/mondial/10/estuary/OhioRiver/	Estuary
-60ed8313:150849567c0:265f	Membership
-60ed8313:150849567c0:23ab	Membership
-60ed8313:150849567c0:38a9	Membership
-60ed8313:150849567c0:3471	Membership
-60ed8313:150849567c0:1b48	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	City
-60ed8313:150849567c0:3805	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Pashtun/	EthnicGroup
http://www.semwebtech.org/mondial/10/source/Araguaia/	Source
-60ed8313:150849567c0:1776	Encompassed
http://www.semwebtech.org/mondial/10/source/Angara/	Source
-60ed8313:150849567c0:3e37	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	City
http://www.semwebtech.org/mondial/10/river/Oder/	River
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	City
-60ed8313:150849567c0:1af4	Membership
-60ed8313:150849567c0:37b1	Membership
http://www.semwebtech.org/mondial/10/islands/Comores/	Islands
http://www.semwebtech.org/mondial/10/mountain/MtWashington/	Mountain
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	City
-60ed8313:150849567c0:1a50	Membership
-60ed8313:150849567c0:2f2d	Membership
-60ed8313:150849567c0:3de3	Membership
-60ed8313:150849567c0:2227	Membership
-60ed8313:150849567c0:30bc	Membership
-60ed8313:150849567c0:4182	BelievedBy
-60ed8313:150849567c0:4516	EthnicProportion
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	Province
-60ed8313:150849567c0:2487	Membership
http://www.semwebtech.org/mondial/10/desert/Tanami/	Desert
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	City
-60ed8313:150849567c0:21d3	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	City
-60ed8313:150849567c0:360c	Membership
-60ed8313:150849567c0:44c2	EthnicProportion
-60ed8313:150849567c0:3c3e	Membership
-60ed8313:150849567c0:1ff0	Membership
-60ed8313:150849567c0:27c7	Membership
-60ed8313:150849567c0:386c	Membership
http://www.semwebtech.org/mondial/10/island/Pitcairn/	Island
-60ed8313:150849567c0:2df9	Membership
-60ed8313:150849567c0:2723	Membership
-60ed8313:150849567c0:3e9e	Membership
-60ed8313:150849567c0:3198	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	City
-60ed8313:150849567c0:2d55	Membership
-60ed8313:150849567c0:3bea	Membership
-60ed8313:150849567c0:202e	Membership
-60ed8313:150849567c0:18bd	Border
-60ed8313:150849567c0:2aa1	Membership
-60ed8313:150849567c0:2983	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	City
-60ed8313:150849567c0:431d	BelievedBy
-60ed8313:150849567c0:1eef	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	Province
-60ed8313:150849567c0:228e	Membership
http://www.semwebtech.org/mondial/10/island/Oesel/	Island
-60ed8313:150849567c0:1e4b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	Province
-60ed8313:150849567c0:34d8	Membership
-60ed8313:150849567c0:457d	EthnicProportion
-60ed8313:150849567c0:3434	Membership
-60ed8313:150849567c0:40b4	SpokenBy
http://www.semwebtech.org/mondial/10/river/WesternDwina/	River
-60ed8313:150849567c0:3a66	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	City
-60ed8313:150849567c0:1739	Encompassed
-60ed8313:150849567c0:25ce	Membership
-60ed8313:150849567c0:3694	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	City
-60ed8313:150849567c0:252a	Membership
-60ed8313:150849567c0:33e0	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	City
-60ed8313:150849567c0:1ab7	Membership
-60ed8313:150849567c0:1999	Membership
-60ed8313:150849567c0:2b5c	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	Province
-60ed8313:150849567c0:41e9	BelievedBy
http://www.semwebtech.org/mondial/10/lake/StarnbergerSee/	Lake
-60ed8313:150849567c0:1a13	Membership
-60ed8313:150849567c0:16e5	Encompassed
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	City
-60ed8313:150849567c0:278a	Membership
-60ed8313:150849567c0:3da6	Membership
http://www.semwebtech.org/mondial/10/island/Lesbos/	Island
-60ed8313:150849567c0:4145	BelievedBy
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	City
-60ed8313:150849567c0:3d02	Membership
-60ed8313:150849567c0:39d4	Membership
-60ed8313:150849567c0:1c73	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Sinhalese/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Lanzarote/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	City
-60ed8313:150849567c0:3930	Membership
-60ed8313:150849567c0:32df	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurd/	EthnicGroup
http://www.semwebtech.org/mondial/10/island/Maui/	Island
-60ed8313:150849567c0:3f62	Membership
-60ed8313:150849567c0:323b	Membership
-60ed8313:150849567c0:40f1	SpokenBy
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	Province
-60ed8313:150849567c0:23f6	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	City
-60ed8313:150849567c0:349b	Membership
-60ed8313:150849567c0:1fb3	Membership
-60ed8313:150849567c0:382f	Membership
-60ed8313:150849567c0:2352	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	Province
http://www.semwebtech.org/mondial/10/source/Schilka/	Source
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	City
-60ed8313:150849567c0:2d18	Membership
-60ed8313:150849567c0:3bad	Membership
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	Province
-60ed8313:150849567c0:2946	Membership
http://www.semwebtech.org/mondial/10/estuary/Weichsel/	Estuary
-60ed8313:150849567c0:37db	Membership
-60ed8313:150849567c0:1a7a	Membership
-60ed8313:150849567c0:2f78	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	City
-60ed8313:150849567c0:1e0e	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	Province
-60ed8313:150849567c0:2cc4	Membership
-60ed8313:150849567c0:3063	Membership
-60ed8313:150849567c0:2c20	Membership
-60ed8313:150849567c0:28f2	Membership
-60ed8313:150849567c0:21fd	Membership
-60ed8313:150849567c0:3a29	Membership
-60ed8313:150849567c0:1dba	Membership
-60ed8313:150849567c0:2e80	Membership
http://www.semwebtech.org/mondial/10/islands/BritishIsles/	Islands
-60ed8313:150849567c0:3657	Membership
-60ed8313:150849567c0:44ec	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	City
-60ed8313:150849567c0:3c89	Membership
-60ed8313:150849567c0:33a3	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	Province
http://www.semwebtech.org/mondial/10/island/Usedom/	Island
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	City
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	City
-60ed8313:150849567c0:2b1f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	City
http://www.semwebtech.org/mondial/10/source/Brigach/	Source
-60ed8313:150849567c0:274d	Membership
-60ed8313:150849567c0:4108	SpokenBy
-60ed8313:150849567c0:2d7f	Membership
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	City
http://www.semwebtech.org/mondial/10/source/ColumbiaRiver/	Source
-60ed8313:150849567c0:2079	Membership
-60ed8313:150849567c0:1c36	Membership
http://www.semwebtech.org/mondial/10/language/Tamil/	Language
-60ed8313:150849567c0:2acb	Membership
-60ed8313:150849567c0:3fc9	Membership
-60ed8313:150849567c0:3b91	Membership
-60ed8313:150849567c0:4368	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Thjorsa/	Source
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	City
-60ed8313:150849567c0:1864	Border
http://www.semwebtech.org/mondial/10/country/SP/city/Mogadishu/	City
-60ed8313:150849567c0:1e96	Membership
http://www.semwebtech.org/mondial/10/organization/CSTO/	Organization
-60ed8313:150849567c0:4010	SpokenBy
-60ed8313:150849567c0:1be2	Membership
-60ed8313:150849567c0:23b9	Membership
-60ed8313:150849567c0:345e	Membership
-60ed8313:150849567c0:3ed1	Membership
-60ed8313:150849567c0:31aa	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	Province
-60ed8313:150849567c0:2315	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	City
-60ed8313:150849567c0:4270	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	City
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	City
http://www.semwebtech.org/mondial/10/source/Lagen/	Source
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	Province
-60ed8313:150849567c0:2575	Membership
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	City
-60ed8313:150849567c0:2909	Membership
-60ed8313:150849567c0:22c1	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/city/PortBlair/	City
-60ed8313:150849567c0:1a3d	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	Province
-60ed8313:150849567c0:416f	BelievedBy
-60ed8313:150849567c0:3d2c	Membership
-60ed8313:150849567c0:39fe	Membership
http://www.semwebtech.org/mondial/10/country/CN/	Country
-60ed8313:150849567c0:3026	Membership
-60ed8313:150849567c0:1c9d	Membership
-60ed8313:150849567c0:28b5	Membership
http://www.semwebtech.org/mondial/10/island/Manitoulin/	Island
-60ed8313:150849567c0:395a	Membership
http://www.semwebtech.org/mondial/10/lake/LacAssal/	Lake
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	City
-60ed8313:150849567c0:2ee7	Membership
-60ed8313:150849567c0:2811	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	City
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	City
-60ed8313:150849567c0:3f8c	Membership
http://www.semwebtech.org/mondial/10/country/ET/	Country
-60ed8313:150849567c0:3286	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	Province
-60ed8313:150849567c0:2e43	Membership
http://www.semwebtech.org/mondial/10/river/Paraguay/	River
-60ed8313:150849567c0:211c	Membership
-60ed8313:150849567c0:44af	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	City
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	City
-60ed8313:150849567c0:19ab	Membership
http://www.semwebtech.org/mondial/10/mountain/Fako/	Mountain
-60ed8313:150849567c0:440b	EthnicProportion
-60ed8313:150849567c0:1fdd	Membership
http://www.semwebtech.org/mondial/10/river/WesternBug/	River
-60ed8313:150849567c0:237c	Membership
http://www.semwebtech.org/mondial/10/language/Chamorro/	Language
http://www.semwebtech.org/mondial/10/country/JA/	Country
-60ed8313:150849567c0:35c6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Luxembourgish/	EthnicGroup
-60ed8313:150849567c0:3bf8	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	Province
-60ed8313:150849567c0:3522	Membership
-60ed8313:150849567c0:3b54	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	City
-60ed8313:150849567c0:1827	Border
-60ed8313:150849567c0:26bc	Membership
-60ed8313:150849567c0:3782	Membership
-60ed8313:150849567c0:1e59	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Lur/	EthnicGroup
-60ed8313:150849567c0:2cee	Membership
http://www.semwebtech.org/mondial/10/mountain/GranParadiso/	Mountain
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	Province
-60ed8313:150849567c0:308d	Membership
-60ed8313:150849567c0:1ba5	Membership
-60ed8313:150849567c0:2c4a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	City
-60ed8313:150849567c0:42d7	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	City
-60ed8313:150849567c0:1b01	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	Province
-60ed8313:150849567c0:17d3	Border
-60ed8313:150849567c0:4233	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Muong/	EthnicGroup
-60ed8313:150849567c0:1d61	Membership
-60ed8313:150849567c0:2538	Membership
-60ed8313:150849567c0:33cd	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	Province
-60ed8313:150849567c0:4493	EthnicProportion
-60ed8313:150849567c0:2fd5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	City
http://www.semwebtech.org/mondial/10/estuary/Jangtse/	Estuary
-60ed8313:150849567c0:2798	Membership
http://www.semwebtech.org/mondial/10/estuary/Asahan/	Estuary
http://www.semwebtech.org/mondial/10/islands/BahamaIslands/	Islands
-60ed8313:150849567c0:24e4	Membership
-60ed8313:150849567c0:2440	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	Province
-60ed8313:150849567c0:391d	Membership
-60ed8313:150849567c0:188e	Border
-60ed8313:150849567c0:2a72	Membership
-60ed8313:150849567c0:3f4f	Membership
-60ed8313:150849567c0:3249	Membership
-60ed8313:150849567c0:40de	SpokenBy
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	Province
-60ed8313:150849567c0:2e06	Membership
-60ed8313:150849567c0:403a	SpokenBy
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	Province
http://www.semwebtech.org/mondial/10/organization/NSG/	Organization
http://www.semwebtech.org/mondial/10/river/Lulua/	River
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	Province
http://www.semwebtech.org/mondial/10/island/Falster/	Island
-60ed8313:150849567c0:3efb	Membership
-60ed8313:150849567c0:233f	Membership
-60ed8313:150849567c0:31f5	Membership
-60ed8313:150849567c0:429a	BelievedBy
http://www.semwebtech.org/mondial/10/source/Neckar/	Source
-60ed8313:150849567c0:2db2	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	City
-60ed8313:150849567c0:3151	Membership
http://www.semwebtech.org/mondial/10/religion/Buddhist/	Religion
-60ed8313:150849567c0:29e0	Membership
-60ed8313:150849567c0:259f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	City
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	City
http://www.semwebtech.org/mondial/10/estuary/Weser/	Estuary
-60ed8313:150849567c0:3b17	Membership
-60ed8313:150849567c0:22eb	Membership
-60ed8313:150849567c0:37e9	Membership
http://www.semwebtech.org/mondial/10/source/Mantaro/	Source
http://www.semwebtech.org/mondial/10/ethnicgroup/Karakalpak/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	Province
-60ed8313:150849567c0:1a88	Membership
-60ed8313:150849567c0:3745	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	City
http://www.semwebtech.org/mondial/10/estuary/Piva/	Estuary
-60ed8313:150849567c0:3d77	Membership
-60ed8313:150849567c0:2c0d	Membership
-60ed8313:150849567c0:28df	Membership
-60ed8313:150849567c0:3ac3	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Malay/	EthnicGroup
-60ed8313:150849567c0:283b	Membership
-60ed8313:150849567c0:36f1	Membership
http://www.semwebtech.org/mondial/10/island/Uvea/	Island
-60ed8313:150849567c0:1dc8	Membership
http://www.semwebtech.org/mondial/10/lake/LicancaburCraterLake/	Lake
-60ed8313:150849567c0:2e6d	Membership
-60ed8313:150849567c0:2167	Membership
-60ed8313:150849567c0:1d24	Membership
-60ed8313:150849567c0:19f6	Membership
http://www.semwebtech.org/mondial/10/desert/Gurbantunggut/	Desert
http://www.semwebtech.org/mondial/10/lake/CaspianSea/	Lake
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/city/SantaBarbara/	City
-60ed8313:150849567c0:4456	EthnicProportion
-60ed8313:150849567c0:1952	Membership
http://www.semwebtech.org/mondial/10/desert/Djourab/	Desert
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	City
http://www.semwebtech.org/mondial/10/islands/CalifornianChannelIslands/	Islands
-60ed8313:150849567c0:41a2	BelievedBy
-60ed8313:150849567c0:1f84	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	Province
-60ed8313:150849567c0:1cd0	Membership
-60ed8313:150849567c0:24a7	Membership
-60ed8313:150849567c0:354c	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	City
http://www.semwebtech.org/mondial/10/lake/Ammersee/	Lake
-60ed8313:150849567c0:2ad9	Membership
-60ed8313:150849567c0:2403	Membership
-60ed8313:150849567c0:3b7e	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Province
-60ed8313:150849567c0:2a35	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	Province
-60ed8313:150849567c0:2663	Membership
-60ed8313:150849567c0:1bcf	Membership
http://www.semwebtech.org/mondial/10/river/Thames/	River
-60ed8313:150849567c0:2c95	Membership
-60ed8313:150849567c0:1b2b	Membership
-60ed8313:150849567c0:17fd	Border
-60ed8313:150849567c0:3ebe	Membership
-60ed8313:150849567c0:31b8	Membership
-60ed8313:150849567c0:425d	BelievedBy
-60ed8313:150849567c0:3e1a	Membership
-60ed8313:150849567c0:3114	Membership
-60ed8313:150849567c0:1d8b	Membership
-60ed8313:150849567c0:29a3	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Indo-Aryan/	EthnicGroup
-60ed8313:150849567c0:22ae	Membership
-60ed8313:150849567c0:3374	Membership
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	City
-60ed8313:150849567c0:2f31	Membership
-60ed8313:150849567c0:220a	Membership
-60ed8313:150849567c0:3708	Membership
-60ed8313:150849567c0:30c0	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Ruthenian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	City
-60ed8313:150849567c0:246a	Membership
-60ed8313:150849567c0:3968	Membership
http://www.semwebtech.org/mondial/10/language/Polynesian/	Language
-60ed8313:150849567c0:2a9c	Membership
-60ed8313:150849567c0:36b4	Membership
-60ed8313:150849567c0:3ce6	Membership
-60ed8313:150849567c0:3610	Membership
-60ed8313:150849567c0:4085	SpokenBy
http://www.semwebtech.org/mondial/10/river/Bahrel-Djebel-Albert-Nil/	River
-60ed8313:150849567c0:19b9	Membership
-60ed8313:150849567c0:3c42	Membership
-60ed8313:150849567c0:4419	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	City
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	City
-60ed8313:150849567c0:1915	Membership
-60ed8313:150849567c0:27aa	Membership
-60ed8313:150849567c0:3870	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	Province
-60ed8313:150849567c0:1f47	Membership
-60ed8313:150849567c0:2ddc	Membership
-60ed8313:150849567c0:20d6	Membership
-60ed8313:150849567c0:317b	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	City
-60ed8313:150849567c0:2032	Membership
-60ed8313:150849567c0:350f	Membership
-60ed8313:150849567c0:43c5	EthnicProportion
-60ed8313:150849567c0:18c1	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	City
-60ed8313:150849567c0:4321	BelievedBy
-60ed8313:150849567c0:1ef3	Membership
http://www.semwebtech.org/mondial/10/island/Bali/	Island
-60ed8313:150849567c0:376f	Membership
-60ed8313:150849567c0:2292	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	Province
-60ed8313:150849567c0:2626	Membership
-60ed8313:150849567c0:34bb	Membership
-60ed8313:150849567c0:4581	EthnicProportion
-60ed8313:150849567c0:2c58	Membership
-60ed8313:150849567c0:3aed	Membership
http://www.semwebtech.org/mondial/10/language/Hungarian/	Language
http://www.semwebtech.org/mondial/10/ethnicgroup/Mandjia/	EthnicGroup
-60ed8313:150849567c0:2886	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	Province
-60ed8313:150849567c0:171c	Encompassed
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	City
-60ed8313:150849567c0:25d2	Membership
-60ed8313:150849567c0:1d4e	Membership
http://www.semwebtech.org/mondial/10/river/Bomu/	River
-60ed8313:150849567c0:197c	Membership
http://www.semwebtech.org/mondial/10/lake/AtlinLake/	Lake
-60ed8313:150849567c0:2b60	Membership
http://www.semwebtech.org/mondial/10/source/Pibor/	Source
-60ed8313:150849567c0:3337	Membership
-60ed8313:150849567c0:41cc	BelievedBy
-60ed8313:150849567c0:1cfa	Membership
http://www.semwebtech.org/mondial/10/river/Gambia/	River
-60ed8313:150849567c0:3597	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	Province
http://www.semwebtech.org/mondial/10/source/Oka/	Source
-60ed8313:150849567c0:242d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Toledo/	City
-60ed8313:150849567c0:32e3	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	Province
-60ed8313:150849567c0:2ea0	Membership
-60ed8313:150849567c0:2a5f	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	Province
-60ed8313:150849567c0:268d	Membership
-60ed8313:150849567c0:3ca9	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/city/Madingou/	City
-60ed8313:150849567c0:4048	SpokenBy
-60ed8313:150849567c0:3c05	Membership
-60ed8313:150849567c0:38d7	Membership
-60ed8313:150849567c0:1b76	Membership
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	Province
-60ed8313:150849567c0:3833	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	City
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/city/Appenzell/	City
-60ed8313:150849567c0:3e65	Membership
-60ed8313:150849567c0:313e	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	Province
-60ed8313:150849567c0:29cd	Membership
-60ed8313:150849567c0:3bb1	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	Province
-60ed8313:150849567c0:2fff	Membership
-60ed8313:150849567c0:22f9	Membership
-60ed8313:150849567c0:339e	Membership
-60ed8313:150849567c0:1eb6	Membership
-60ed8313:150849567c0:2f5b	Membership
-60ed8313:150849567c0:2255	Membership
-60ed8313:150849567c0:30ea	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	City
-60ed8313:150849567c0:1e12	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	City
-60ed8313:150849567c0:4544	EthnicProportion
http://www.semwebtech.org/mondial/10/organization/InOC/	Organization
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	Province
-60ed8313:150849567c0:3a0c	Membership
-60ed8313:150849567c0:2849	Membership
-60ed8313:150849567c0:36de	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	City
-60ed8313:150849567c0:363a	Membership
-60ed8313:150849567c0:44f0	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	City
-60ed8313:150849567c0:2bc7	Membership
-60ed8313:150849567c0:3c6c	Membership
http://www.semwebtech.org/mondial/10/country/BR/	Country
http://www.semwebtech.org/mondial/10/mountain/Huascaran/	Mountain
-60ed8313:150849567c0:193f	Membership
-60ed8313:150849567c0:2b23	Membership
-60ed8313:150849567c0:27f5	Membership
-60ed8313:150849567c0:389a	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	City
-60ed8313:150849567c0:2751	Membership
http://www.semwebtech.org/mondial/10/source/Ob/	Source
-60ed8313:150849567c0:1cbd	Membership
-60ed8313:150849567c0:2d83	Membership
-60ed8313:150849567c0:205c	Membership
-60ed8313:150849567c0:43ef	EthnicProportion
-60ed8313:150849567c0:18eb	Border
-60ed8313:150849567c0:3fac	Membership
http://www.semwebtech.org/mondial/10/source/Garonne/	Source
-60ed8313:150849567c0:32a6	Membership
-60ed8313:150849567c0:434b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	City
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	City
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	City
-60ed8313:150849567c0:3202	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Romanian/	EthnicGroup
-60ed8313:150849567c0:3462	Membership
-60ed8313:150849567c0:1b39	Membership
-60ed8313:150849567c0:3a94	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	City
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	City
http://www.semwebtech.org/mondial/10/mountain/BoundaryPeak/	Mountain
-60ed8313:150849567c0:1767	Encompassed
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	City
-60ed8313:150849567c0:25fc	Membership
-60ed8313:150849567c0:3e28	Membership
-60ed8313:150849567c0:1d99	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	City
-60ed8313:150849567c0:1ae5	Membership
-60ed8313:150849567c0:2b8a	Membership
-60ed8313:150849567c0:37a2	Membership
-60ed8313:150849567c0:1a41	Membership
-60ed8313:150849567c0:2f1e	Membership
-60ed8313:150849567c0:3dd4	Membership
-60ed8313:150849567c0:2218	Membership
-60ed8313:150849567c0:30ad	Membership
-60ed8313:150849567c0:4173	BelievedBy
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	City
-60ed8313:150849567c0:3d30	Membership
-60ed8313:150849567c0:4507	EthnicProportion
-60ed8313:150849567c0:2478	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	Province
-60ed8313:150849567c0:2eca	Membership
-60ed8313:150849567c0:3f90	Membership
-60ed8313:150849567c0:21c4	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	City
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	Province
http://www.semwebtech.org/mondial/10/island/Norderney/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	City
-60ed8313:150849567c0:2120	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	City
-60ed8313:150849567c0:44b3	EthnicProportion
http://www.semwebtech.org/mondial/10/source/Bahrel-Djebel-Albert-Nil/	Source
http://www.semwebtech.org/mondial/10/island/OrkneyMainland/	Island
-60ed8313:150849567c0:3c2f	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	Province
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	Province
-60ed8313:150849567c0:1fe1	Membership
-60ed8313:150849567c0:27b8	Membership
-60ed8313:150849567c0:2380	Membership
-60ed8313:150849567c0:385d	Membership
http://www.semwebtech.org/mondial/10/language/Uzbek/	Language
-60ed8313:150849567c0:2714	Membership
-60ed8313:150849567c0:3e8f	Membership
-60ed8313:150849567c0:3189	Membership
-60ed8313:150849567c0:2d46	Membership
-60ed8313:150849567c0:3bdb	Membership
-60ed8313:150849567c0:201f	Membership
-60ed8313:150849567c0:18ae	Border
-60ed8313:150849567c0:2974	Membership
-60ed8313:150849567c0:430e	BelievedBy
-60ed8313:150849567c0:180a	Border
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	Province
-60ed8313:150849567c0:26c0	Membership
-60ed8313:150849567c0:227f	Membership
-60ed8313:150849567c0:1e3c	Membership
-60ed8313:150849567c0:2cf2	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	City
-60ed8313:150849567c0:456e	EthnicProportion
http://www.semwebtech.org/mondial/10/source/SaintLawrenceRiver/	Source
-60ed8313:150849567c0:34c9	Membership
-60ed8313:150849567c0:3091	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	Province
http://www.semwebtech.org/mondial/10/mountain/Haltiatunturi/	Mountain
-60ed8313:150849567c0:3425	Membership
-60ed8313:150849567c0:42ba	BelievedBy
http://www.semwebtech.org/mondial/10/source/Sanaga/	Source
-60ed8313:150849567c0:3a57	Membership
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	City
-60ed8313:150849567c0:25bf	Membership
-60ed8313:150849567c0:3685	Membership
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	Province
-60ed8313:150849567c0:251b	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	City
-60ed8313:150849567c0:33d1	Membership
-60ed8313:150849567c0:1aa8	Membership
-60ed8313:150849567c0:2b4d	Membership
-60ed8313:150849567c0:1a04	Membership
-60ed8313:150849567c0:16d6	Encompassed
-60ed8313:150849567c0:277b	Membership
-60ed8313:150849567c0:4136	BelievedBy
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	City
-60ed8313:150849567c0:39c5	Membership
-60ed8313:150849567c0:1c64	Membership
http://www.semwebtech.org/mondial/10/country/C/	Country
-60ed8313:150849567c0:3ff7	SpokenBy
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	Province
-60ed8313:150849567c0:3921	Membership
-60ed8313:150849567c0:4396	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	City
-60ed8313:150849567c0:1892	Border
-60ed8313:150849567c0:3f53	Membership
-60ed8313:150849567c0:322c	Membership
-60ed8313:150849567c0:40e2	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/NevadodeColima/	Mountain
-60ed8313:150849567c0:23e7	Membership
-60ed8313:150849567c0:348c	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	City
-60ed8313:150849567c0:1fa4	Membership
-60ed8313:150849567c0:2343	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	City
-60ed8313:150849567c0:1f00	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	City
-60ed8313:150849567c0:2d09	Membership
http://www.semwebtech.org/mondial/10/sea/LabradorSea/	Sea
-60ed8313:150849567c0:2937	Membership
-60ed8313:150849567c0:37cc	Membership
-60ed8313:150849567c0:1a6b	Membership
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	Province
http://www.semwebtech.org/mondial/10/organization/ABEDA/	Organization
-60ed8313:150849567c0:2f69	Membership
-60ed8313:150849567c0:3dfe	Membership
-60ed8313:150849567c0:30f8	Membership
-60ed8313:150849567c0:419d	BelievedBy
http://www.semwebtech.org/mondial/10/island/Oahu/	Island
-60ed8313:150849567c0:2cb5	Membership
-60ed8313:150849567c0:3d5a	Membership
-60ed8313:150849567c0:3054	Membership
-60ed8313:150849567c0:2c11	Membership
-60ed8313:150849567c0:28e3	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	City
http://www.semwebtech.org/mondial/10/mountain/PuyDeDome/	Mountain
-60ed8313:150849567c0:21ee	Membership
-60ed8313:150849567c0:1dab	Membership
http://www.semwebtech.org/mondial/10/language/Lithuanian/	Language
-60ed8313:150849567c0:2e71	Membership
-60ed8313:150849567c0:214a	Membership
-60ed8313:150849567c0:3648	Membership
-60ed8313:150849567c0:44dd	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Basogo/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	City
http://www.semwebtech.org/mondial/10/island/Pemba/	Island
http://www.semwebtech.org/mondial/10/river/Isere/	River
-60ed8313:150849567c0:273e	Membership
-60ed8313:150849567c0:35f4	Membership
http://www.semwebtech.org/mondial/10/religion/Bahai/	Religion
-60ed8313:150849567c0:3550	Membership
-60ed8313:150849567c0:1c27	Membership
-60ed8313:150849567c0:18f9	Border
-60ed8313:150849567c0:2abc	Membership
-60ed8313:150849567c0:299e	Membership
-60ed8313:150849567c0:3b82	Membership
-60ed8313:150849567c0:4359	EthnicProportion
-60ed8313:150849567c0:1855	Border
-60ed8313:150849567c0:26ea	Membership
-60ed8313:150849567c0:3f16	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Iteso/	EthnicGroup
-60ed8313:150849567c0:40a5	SpokenBy
-60ed8313:150849567c0:1e87	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	City
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	City
-60ed8313:150849567c0:4001	SpokenBy
-60ed8313:150849567c0:1bd3	Membership
-60ed8313:150849567c0:344f	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	Province
-60ed8313:150849567c0:3ec2	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	Province
-60ed8313:150849567c0:2306	Membership
-60ed8313:150849567c0:4261	BelievedBy
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	City
http://www.semwebtech.org/mondial/10/islands/IonicIslands/	Islands
-60ed8313:150849567c0:2566	Membership
-60ed8313:150849567c0:33fb	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	City
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	City
-60ed8313:150849567c0:2b98	Membership
-60ed8313:150849567c0:22b2	Membership
-60ed8313:150849567c0:1a2e	Membership
-60ed8313:150849567c0:45a1	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	City
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	City
-60ed8313:150849567c0:3d1d	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	City
-60ed8313:150849567c0:39ef	Membership
-60ed8313:150849567c0:3017	Membership
http://www.semwebtech.org/mondial/10/river/Asahan/	River
-60ed8313:150849567c0:1c8e	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	Province
-60ed8313:150849567c0:28a6	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	Province
-60ed8313:150849567c0:394b	Membership
-60ed8313:150849567c0:2ed8	Membership
-60ed8313:150849567c0:2802	Membership
-60ed8313:150849567c0:3f7d	Membership
-60ed8313:150849567c0:3277	Membership
-60ed8313:150849567c0:2e34	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	City
-60ed8313:150849567c0:210d	Membership
http://www.semwebtech.org/mondial/10/desert/GreatSandyDesert/	Desert
http://www.semwebtech.org/mondial/10/country/SVAX/	Country
-60ed8313:150849567c0:1fce	Membership
-60ed8313:150849567c0:236d	Membership
-60ed8313:150849567c0:1f2a	Membership
-60ed8313:150849567c0:2de0	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/city/Guarda/	City
-60ed8313:150849567c0:35b7	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	City
-60ed8313:150849567c0:3be9	Membership
-60ed8313:150849567c0:3513	Membership
-60ed8313:150849567c0:3b45	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	City
http://www.semwebtech.org/mondial/10/organization/SELEC/	Organization
-60ed8313:150849567c0:1818	Border
-60ed8313:150849567c0:26ad	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	Province
-60ed8313:150849567c0:3773	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	Province
-60ed8313:150849567c0:2cdf	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	Province
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	City
-60ed8313:150849567c0:307e	Membership
http://www.semwebtech.org/mondial/10/mountains/Kunlun/	Mountains
-60ed8313:150849567c0:2c3b	Membership
-60ed8313:150849567c0:3af1	Membership
-60ed8313:150849567c0:42c8	BelievedBy
-60ed8313:150849567c0:17c4	Border
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	Province
-60ed8313:150849567c0:4224	BelievedBy
-60ed8313:150849567c0:1df6	Membership
-60ed8313:150849567c0:1720	Encompassed
-60ed8313:150849567c0:2e9b	Membership
-60ed8313:150849567c0:2195	Membership
-60ed8313:150849567c0:1d52	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	Province
-60ed8313:150849567c0:2529	Membership
-60ed8313:150849567c0:33be	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	Province
-60ed8313:150849567c0:4484	EthnicProportion
-60ed8313:150849567c0:1980	Membership
-60ed8313:150849567c0:331a	Membership
-60ed8313:150849567c0:41d0	BelievedBy
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	City
-60ed8313:150849567c0:2789	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	Province
http://www.semwebtech.org/mondial/10/mountains/BohemianMountains/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	City
-60ed8313:150849567c0:24d5	Membership
-60ed8313:150849567c0:357a	Membership
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	City
-60ed8313:150849567c0:2431	Membership
-60ed8313:150849567c0:390e	Membership
http://www.semwebtech.org/mondial/10/language/Balochi/	Language
http://www.semwebtech.org/mondial/10/ethnicgroup/Peuhl/	EthnicGroup
-60ed8313:150849567c0:187f	Border
-60ed8313:150849567c0:2a63	Membership
-60ed8313:150849567c0:40cf	SpokenBy
http://www.semwebtech.org/mondial/10/lake/LakeEyre/	Lake
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/city/Mitu/	City
-60ed8313:150849567c0:2691	Membership
-60ed8313:150849567c0:402b	SpokenBy
-60ed8313:150849567c0:1bfd	Membership
-60ed8313:150849567c0:38ba	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	City
http://www.semwebtech.org/mondial/10/island/Barbuda/	Island
-60ed8313:150849567c0:3eec	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/city/Kindu/	City
-60ed8313:150849567c0:31e6	Membership
-60ed8313:150849567c0:428b	BelievedBy
-60ed8313:150849567c0:2da3	Membership
-60ed8313:150849567c0:3142	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	City
-60ed8313:150849567c0:29d1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	City
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	City
http://www.semwebtech.org/mondial/10/sea/KaraSea/	Sea
-60ed8313:150849567c0:22dc	Membership
-60ed8313:150849567c0:3b08	Membership
-60ed8313:150849567c0:1a79	Membership
-60ed8313:150849567c0:3736	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	City
http://www.semwebtech.org/mondial/10/source/Ubangi/	Source
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	City
http://www.semwebtech.org/mondial/10/sea/BarentsSea/	Sea
-60ed8313:150849567c0:3d68	Membership
-60ed8313:150849567c0:3ab4	Membership
-60ed8313:150849567c0:3996	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	City
-60ed8313:150849567c0:3a10	Membership
-60ed8313:150849567c0:36e2	Membership
-60ed8313:150849567c0:282c	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	City
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	City
http://www.semwebtech.org/mondial/10/source/Amudarja/	Source
-60ed8313:150849567c0:1db9	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	Province
-60ed8313:150849567c0:2e5e	Membership
-60ed8313:150849567c0:2158	Membership
http://www.semwebtech.org/mondial/10/mountains/EthiopianHighlands/	Mountains
http://www.semwebtech.org/mondial/10/river/Tara/	River
-60ed8313:150849567c0:1d15	Membership
-60ed8313:150849567c0:19e7	Membership
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	City
-60ed8313:150849567c0:2baa	Membership
-60ed8313:150849567c0:3c70	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	Province
-60ed8313:150849567c0:4447	EthnicProportion
-60ed8313:150849567c0:1943	Membership
-60ed8313:150849567c0:1f75	Membership
-60ed8313:150849567c0:1cc1	Membership
-60ed8313:150849567c0:2060	Membership
-60ed8313:150849567c0:353d	Membership
-60ed8313:150849567c0:43f3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	City
-60ed8313:150849567c0:3fb0	Membership
-60ed8313:150849567c0:3b6f	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	City
-60ed8313:150849567c0:2a26	Membership
-60ed8313:150849567c0:26f8	Membership
-60ed8313:150849567c0:379d	Membership
-60ed8313:150849567c0:2654	Membership
-60ed8313:150849567c0:2c86	Membership
http://www.semwebtech.org/mondial/10/organization/MIGA/	Organization
-60ed8313:150849567c0:23a0	Membership
-60ed8313:150849567c0:1b1c	Membership
-60ed8313:150849567c0:17ee	Border
-60ed8313:150849567c0:3eaf	Membership
-60ed8313:150849567c0:31a9	Membership
-60ed8313:150849567c0:424e	BelievedBy
-60ed8313:150849567c0:174a	Encompassed
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	Province
-60ed8313:150849567c0:3e0b	Membership
-60ed8313:150849567c0:3105	Membership
-60ed8313:150849567c0:1d7c	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	Province
http://www.semwebtech.org/mondial/10/estuary/Luvua/	Estuary
http://www.semwebtech.org/mondial/10/country/PITC/city/Adamstown/	City
-60ed8313:150849567c0:2fc6	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	City
-60ed8313:150849567c0:3365	Membership
-60ed8313:150849567c0:41fa	BelievedBy
-60ed8313:150849567c0:2f22	Membership
-60ed8313:150849567c0:30b1	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	Province
-60ed8313:150849567c0:24ff	Membership
http://www.semwebtech.org/mondial/10/islands/MicronesianIslands/	Islands
http://www.semwebtech.org/mondial/10/river/Main/	River
-60ed8313:150849567c0:245b	Membership
-60ed8313:150849567c0:3959	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	Province
http://www.semwebtech.org/mondial/10/island/Gotland/	Island
-60ed8313:150849567c0:2a8d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	Province
-60ed8313:150849567c0:36a5	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	City
-60ed8313:150849567c0:3cd7	Membership
-60ed8313:150849567c0:3601	Membership
-60ed8313:150849567c0:4076	SpokenBy
http://www.semwebtech.org/mondial/10/island/MargitSziget/	Island
-60ed8313:150849567c0:3c33	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	Province
-60ed8313:150849567c0:1906	Membership
-60ed8313:150849567c0:3861	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	City
-60ed8313:150849567c0:1f38	Membership
-60ed8313:150849567c0:2dcd	Membership
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	City
-60ed8313:150849567c0:3e93	Membership
-60ed8313:150849567c0:20c7	Membership
-60ed8313:150849567c0:316c	Membership
http://www.semwebtech.org/mondial/10/country/TOK/	Country
-60ed8313:150849567c0:29fb	Membership
-60ed8313:150849567c0:2023	Membership
-60ed8313:150849567c0:43b6	EthnicProportion
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	City
-60ed8313:150849567c0:18b2	Border
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	Province
-60ed8313:150849567c0:4312	BelievedBy
-60ed8313:150849567c0:1ee4	Membership
http://www.semwebtech.org/mondial/10/country/DOM/	Country
-60ed8313:150849567c0:2283	Membership
http://www.semwebtech.org/mondial/10/island/Chios/	Island
-60ed8313:150849567c0:1e40	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	City
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	Province
-60ed8313:150849567c0:2617	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	City
-60ed8313:150849567c0:34ac	Membership
-60ed8313:150849567c0:4572	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Umeaelv/	Estuary
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	City
-60ed8313:150849567c0:2c49	Membership
-60ed8313:150849567c0:3ade	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	Province
-60ed8313:150849567c0:2877	Membership
-60ed8313:150849567c0:3a3a	Membership
-60ed8313:150849567c0:170d	Encompassed
-60ed8313:150849567c0:25c3	Membership
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	City
-60ed8313:150849567c0:1d3f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	City
-60ed8313:150849567c0:2bf5	Membership
-60ed8313:150849567c0:3c9a	Membership
-60ed8313:150849567c0:2b51	Membership
-60ed8313:150849567c0:196d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	City
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	City
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	City
-60ed8313:150849567c0:3328	Membership
-60ed8313:150849567c0:41bd	BelievedBy
-60ed8313:150849567c0:1f9f	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/city/LasTablas/	City
-60ed8313:150849567c0:1ceb	Membership
http://www.semwebtech.org/mondial/10/source/Salzach/	Source
-60ed8313:150849567c0:3588	Membership
-60ed8313:150849567c0:208a	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	City
http://www.semwebtech.org/mondial/10/mountains/Azores/	Mountains
-60ed8313:150849567c0:3fda	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	City
-60ed8313:150849567c0:241e	Membership
-60ed8313:150849567c0:32d4	Membership
http://www.semwebtech.org/mondial/10/island/GrandTurk/	Island
-60ed8313:150849567c0:3230	Membership
-60ed8313:150849567c0:267e	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	City
-60ed8313:150849567c0:4039	SpokenBy
http://www.semwebtech.org/mondial/10/source/Pruth/	Source
-60ed8313:150849567c0:23ca	Membership
-60ed8313:150849567c0:38c8	Membership
-60ed8313:150849567c0:3490	Membership
-60ed8313:150849567c0:1b67	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	City
-60ed8313:150849567c0:3824	Membership
-60ed8313:150849567c0:4299	BelievedBy
-60ed8313:150849567c0:1795	Encompassed
-60ed8313:150849567c0:3e56	Membership
http://www.semwebtech.org/mondial/10/river/Tambo/	River
-60ed8313:150849567c0:312f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	City
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	City
-60ed8313:150849567c0:29be	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	Province
-60ed8313:150849567c0:3ba2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Euronesians/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	Province
-60ed8313:150849567c0:291a	Membership
-60ed8313:150849567c0:37d0	Membership
-60ed8313:150849567c0:338f	Membership
-60ed8313:150849567c0:1ea7	Membership
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	City
-60ed8313:150849567c0:2f4c	Membership
-60ed8313:150849567c0:2246	Membership
-60ed8313:150849567c0:30db	Membership
-60ed8313:150849567c0:1e03	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	City
-60ed8313:150849567c0:4535	EthnicProportion
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	City
-60ed8313:150849567c0:21f2	Membership
-60ed8313:150849567c0:36cf	Membership
http://www.semwebtech.org/mondial/10/mountain/Mt.Cook/	Mountain
http://www.semwebtech.org/mondial/10/river/Indus/	River
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	Province
http://www.semwebtech.org/mondial/10/source/Uruguay/	Source
-60ed8313:150849567c0:362b	Membership
-60ed8313:150849567c0:44e1	EthnicProportion
-60ed8313:150849567c0:2bb8	Membership
-60ed8313:150849567c0:3c5d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigrinya/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Ampato/	Mountain
-60ed8313:150849567c0:2b14	Membership
-60ed8313:150849567c0:27e6	Membership
-60ed8313:150849567c0:388b	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	City
-60ed8313:150849567c0:2742	Membership
-60ed8313:150849567c0:1cae	Membership
-60ed8313:150849567c0:2d74	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	Province
-60ed8313:150849567c0:204d	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/LaoSoungHmongYao/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	City
-60ed8313:150849567c0:1c0a	Membership
-60ed8313:150849567c0:18dc	Border
-60ed8313:150849567c0:2ac0	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	City
-60ed8313:150849567c0:433c	EthnicProportion
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	Province
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	City
-60ed8313:150849567c0:1e6a	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	City
-60ed8313:150849567c0:34f7	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	Province
-60ed8313:150849567c0:459c	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Aland/	Island
-60ed8313:150849567c0:3453	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	Province
-60ed8313:150849567c0:3a85	Membership
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	City
-60ed8313:150849567c0:1758	Encompassed
-60ed8313:150849567c0:3e19	Membership
-60ed8313:150849567c0:25ed	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	Province
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/city/Kozani/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	City
-60ed8313:150849567c0:1ad6	Membership
http://www.semwebtech.org/mondial/10/source/Sobat/	Source
-60ed8313:150849567c0:2b7b	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	City
-60ed8313:150849567c0:1a32	Membership
-60ed8313:150849567c0:2f0f	Membership
-60ed8313:150849567c0:3dc5	Membership
-60ed8313:150849567c0:2209	Membership
-60ed8313:150849567c0:4164	BelievedBy
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	City
-60ed8313:150849567c0:3d21	Membership
-60ed8313:150849567c0:39f3	Membership
-60ed8313:150849567c0:1c92	Membership
-60ed8313:150849567c0:2469	Membership
-60ed8313:150849567c0:32fe	Membership
-60ed8313:150849567c0:3f81	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	City
-60ed8313:150849567c0:2ebb	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	City
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	City
-60ed8313:150849567c0:21b5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	City
-60ed8313:150849567c0:325a	Membership
-60ed8313:150849567c0:2111	Membership
-60ed8313:150849567c0:44a4	EthnicProportion
-60ed8313:150849567c0:19a0	Membership
-60ed8313:150849567c0:213b	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	City
-60ed8313:150849567c0:4400	EthnicProportion
-60ed8313:150849567c0:1fd2	Membership
-60ed8313:150849567c0:27a9	Membership
-60ed8313:150849567c0:2371	Membership
-60ed8313:150849567c0:384e	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	Province
http://www.semwebtech.org/mondial/10/islands/AlandIslands/	Islands
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	Province
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	Province
-60ed8313:150849567c0:2705	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	Province
-60ed8313:150849567c0:2d37	Membership
-60ed8313:150849567c0:3bcc	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	City
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	City
-60ed8313:150849567c0:2965	Membership
-60ed8313:150849567c0:37fa	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	City
-60ed8313:150849567c0:2f97	Membership
-60ed8313:150849567c0:26b1	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	Province
-60ed8313:150849567c0:1e2d	Membership
-60ed8313:150849567c0:2ce3	Membership
-60ed8313:150849567c0:3082	Membership
-60ed8313:150849567c0:455f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	City
-60ed8313:150849567c0:3416	Membership
-60ed8313:150849567c0:42ab	BelievedBy
-60ed8313:150849567c0:3a48	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/city/Kohima/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	City
-60ed8313:150849567c0:3676	Membership
http://www.semwebtech.org/mondial/10/country/IS/	Country
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	Province
-60ed8313:150849567c0:250c	Membership
-60ed8313:150849567c0:33c2	Membership
-60ed8313:150849567c0:2b3e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	City
-60ed8313:150849567c0:16c7	Encompassed
-60ed8313:150849567c0:276c	Membership
-60ed8313:150849567c0:4127	BelievedBy
-60ed8313:150849567c0:1cf9	Membership
-60ed8313:150849567c0:2d9e	Membership
-60ed8313:150849567c0:39b6	Membership
-60ed8313:150849567c0:2098	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	City
-60ed8313:150849567c0:1c55	Membership
-60ed8313:150849567c0:2aea	Membership
-60ed8313:150849567c0:3fe8	Membership
-60ed8313:150849567c0:3912	Membership
-60ed8313:150849567c0:4387	EthnicProportion
-60ed8313:150849567c0:1883	Border
-60ed8313:150849567c0:3f44	Membership
-60ed8313:150849567c0:321d	Membership
-60ed8313:150849567c0:40d3	SpokenBy
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/city/ElPorvenir/	City
-60ed8313:150849567c0:23d8	Membership
http://www.semwebtech.org/mondial/10/country/RL/	Country
http://www.semwebtech.org/mondial/10/organization/LAS/	Organization
-60ed8313:150849567c0:347d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	City
-60ed8313:150849567c0:3ef0	Membership
-60ed8313:150849567c0:2334	Membership
http://www.semwebtech.org/mondial/10/country/TR/	Country
http://www.semwebtech.org/mondial/10/organization/ACP/	Organization
http://www.semwebtech.org/mondial/10/mountain/Tahat/	Mountain
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	Province
-60ed8313:150849567c0:2594	Membership
http://www.semwebtech.org/mondial/10/mountain/Silisili/	Mountain
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	City
-60ed8313:150849567c0:2928	Membership
-60ed8313:150849567c0:22e0	Membership
-60ed8313:150849567c0:37bd	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	City
-60ed8313:150849567c0:1a5c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	Province
-60ed8313:150849567c0:3def	Membership
-60ed8313:150849567c0:30e9	Membership
http://www.semwebtech.org/mondial/10/island/GrandComoro/	Island
-60ed8313:150849567c0:418e	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/GrandCombin/	Mountain
-60ed8313:150849567c0:2ca6	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	Province
-60ed8313:150849567c0:3d4b	Membership
-60ed8313:150849567c0:3045	Membership
-60ed8313:150849567c0:2c02	Membership
-60ed8313:150849567c0:28d4	Membership
-60ed8313:150849567c0:2830	Membership
-60ed8313:150849567c0:21df	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Jewish/	EthnicGroup
-60ed8313:150849567c0:2e62	Membership
http://www.semwebtech.org/mondial/10/source/Tobol/	Source
-60ed8313:150849567c0:3639	Membership
-60ed8313:150849567c0:44ce	EthnicProportion
-60ed8313:150849567c0:19ca	Membership
http://www.semwebtech.org/mondial/10/country/GROX/city/Nuuk/	City
-60ed8313:150849567c0:442a	EthnicProportion
-60ed8313:150849567c0:1ffc	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	Province
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Victoria/	City
-60ed8313:150849567c0:239b	Membership
-60ed8313:150849567c0:3899	Membership
-60ed8313:150849567c0:272f	Membership
-60ed8313:150849567c0:35e5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	City
-60ed8313:150849567c0:3541	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	City
http://www.semwebtech.org/mondial/10/country/FARX/	Country
-60ed8313:150849567c0:1c18	Membership
-60ed8313:150849567c0:2aad	Membership
-60ed8313:150849567c0:298f	Membership
-60ed8313:150849567c0:3b73	Membership
-60ed8313:150849567c0:1846	Border
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	City
-60ed8313:150849567c0:26db	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	Province
-60ed8313:150849567c0:3f07	Membership
-60ed8313:150849567c0:1e78	Membership
-60ed8313:150849567c0:1bc4	Membership
http://www.semwebtech.org/mondial/10/country/Q/	Country
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	Province
-60ed8313:150849567c0:42f6	BelievedBy
-60ed8313:150849567c0:1b20	Membership
-60ed8313:150849567c0:17f2	Border
-60ed8313:150849567c0:3eb3	Membership
-60ed8313:150849567c0:4252	BelievedBy
http://www.semwebtech.org/mondial/10/river/Iller/	River
-60ed8313:150849567c0:1d80	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	Province
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/city/Ouesso/	City
-60ed8313:150849567c0:2557	Membership
-60ed8313:150849567c0:33ec	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	Province
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	City
http://www.semwebtech.org/mondial/10/estuary/Luapula/	Estuary
-60ed8313:150849567c0:2b89	Membership
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	City
-60ed8313:150849567c0:22a3	Membership
-60ed8313:150849567c0:1a1f	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/Gander/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	Province
http://www.semwebtech.org/mondial/10/organization/Interpol/	Organization
-60ed8313:150849567c0:3d0e	Membership
-60ed8313:150849567c0:3008	Membership
-60ed8313:150849567c0:1c7f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	City
-60ed8313:150849567c0:393c	Membership
http://www.semwebtech.org/mondial/10/island/Pellworm/	Island
-60ed8313:150849567c0:2ec9	Membership
-60ed8313:150849567c0:2a91	Membership
-60ed8313:150849567c0:3f6e	Membership
-60ed8313:150849567c0:3268	Membership
-60ed8313:150849567c0:40fd	SpokenBy
http://www.semwebtech.org/mondial/10/organization/UNASUR/	Organization
-60ed8313:150849567c0:2e25	Membership
-60ed8313:150849567c0:3cba	Membership
http://www.semwebtech.org/mondial/10/country/MAL/	Country
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	City
-60ed8313:150849567c0:1fbf	Membership
-60ed8313:150849567c0:235e	Membership
-60ed8313:150849567c0:1f1b	Membership
-60ed8313:150849567c0:2dd1	Membership
-60ed8313:150849567c0:20aa	Membership
-60ed8313:150849567c0:35a8	Membership
-60ed8313:150849567c0:3170	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	City
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	Province
-60ed8313:150849567c0:3504	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	City
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	Province
-60ed8313:150849567c0:3b36	Membership
http://www.semwebtech.org/mondial/10/country/MEX/	Country
-60ed8313:150849567c0:1809	Border
-60ed8313:150849567c0:3764	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	Province
http://www.semwebtech.org/mondial/10/islands/Lofotes/	Islands
-60ed8313:150849567c0:3d96	Membership
-60ed8313:150849567c0:34b0	Membership
-60ed8313:150849567c0:306f	Membership
-60ed8313:150849567c0:2c2c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	Province
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	Province
-60ed8313:150849567c0:28fe	Membership
http://www.semwebtech.org/mondial/10/island/Bahrain/	Island
-60ed8313:150849567c0:3ae2	Membership
-60ed8313:150849567c0:42b9	BelievedBy
-60ed8313:150849567c0:17b5	Encompassed
-60ed8313:150849567c0:285a	Membership
-60ed8313:150849567c0:4215	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	City
-60ed8313:150849567c0:1de7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	City
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	City
-60ed8313:150849567c0:1711	Encompassed
-60ed8313:150849567c0:2e8c	Membership
-60ed8313:150849567c0:2186	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	City
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	City
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/city/Ternate/	City
-60ed8313:150849567c0:1d43	Membership
http://www.semwebtech.org/mondial/10/religion/Mayan/	Religion
http://www.semwebtech.org/mondial/10/lake/LakeTahoe/	Lake
-60ed8313:150849567c0:33af	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	City
-60ed8313:150849567c0:4475	EthnicProportion
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	City
-60ed8313:150849567c0:1971	Membership
http://www.semwebtech.org/mondial/10/estuary/Würm/	Estuary
-60ed8313:150849567c0:330b	Membership
-60ed8313:150849567c0:41c1	BelievedBy
http://www.semwebtech.org/mondial/10/organization/IMSO/	Organization
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	Province
http://www.semwebtech.org/mondial/10/river/Ural/	River
-60ed8313:150849567c0:24c6	Membership
-60ed8313:150849567c0:356b	Membership
http://www.semwebtech.org/mondial/10/estuary/Saluen/	Estuary
-60ed8313:150849567c0:3b9d	Membership
-60ed8313:150849567c0:2af8	Membership
-60ed8313:150849567c0:2422	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	City
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	Province
-60ed8313:150849567c0:2a54	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	Province
-60ed8313:150849567c0:2682	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	Province
-60ed8313:150849567c0:401c	SpokenBy
-60ed8313:150849567c0:1bee	Membership
-60ed8313:150849567c0:38ab	Membership
-60ed8313:150849567c0:1b4a	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	City
-60ed8313:150849567c0:3edd	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	Province
-60ed8313:150849567c0:31d7	Membership
-60ed8313:150849567c0:427c	BelievedBy
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	Province
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	Province
-60ed8313:150849567c0:3133	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	City
http://www.semwebtech.org/mondial/10/river/RioNegro/	River
-60ed8313:150849567c0:29c2	Membership
http://www.semwebtech.org/mondial/10/language/Croatian/	Language
-60ed8313:150849567c0:2ff4	Membership
-60ed8313:150849567c0:22cd	Membership
-60ed8313:150849567c0:3393	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bilen/	EthnicGroup
-60ed8313:150849567c0:2f50	Membership
-60ed8313:150849567c0:3727	Membership
-60ed8313:150849567c0:3d59	Membership
-60ed8313:150849567c0:3aa5	Membership
-60ed8313:150849567c0:3987	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	Province
-60ed8313:150849567c0:281d	Membership
-60ed8313:150849567c0:3a01	Membership
-60ed8313:150849567c0:36d3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	City
-60ed8313:150849567c0:2e4f	Membership
-60ed8313:150849567c0:2149	Membership
http://www.semwebtech.org/mondial/10/island/Rarotonga/	Island
-60ed8313:150849567c0:1d06	Membership
-60ed8313:150849567c0:19d8	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	City
-60ed8313:150849567c0:3c61	Membership
-60ed8313:150849567c0:4438	EthnicProportion
-60ed8313:150849567c0:1934	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	Province
-60ed8313:150849567c0:1f66	Membership
-60ed8313:150849567c0:2dfb	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	Province
-60ed8313:150849567c0:20f5	Membership
-60ed8313:150849567c0:319a	Membership
-60ed8313:150849567c0:1cb2	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	City
-60ed8313:150849567c0:2051	Membership
-60ed8313:150849567c0:352e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	Province
-60ed8313:150849567c0:43e4	EthnicProportion
-60ed8313:150849567c0:18e0	Border
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	City
-60ed8313:150849567c0:3fa1	Membership
http://www.semwebtech.org/mondial/10/island/SantaMaria/	Island
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	City
-60ed8313:150849567c0:4340	EthnicProportion
-60ed8313:150849567c0:2a17	Membership
-60ed8313:150849567c0:1a23	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	City
-60ed8313:150849567c0:26e9	Membership
-60ed8313:150849567c0:378e	Membership
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	City
-60ed8313:150849567c0:2645	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Bunyoro/	EthnicGroup
-60ed8313:150849567c0:34da	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	City
-60ed8313:150849567c0:2c77	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	Province
-60ed8313:150849567c0:1b0d	Membership
-60ed8313:150849567c0:17df	Border
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	City
http://www.semwebtech.org/mondial/10/island/Hoy/	Island
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	City
http://www.semwebtech.org/mondial/10/source/NiagaraRiver/	Source
-60ed8313:150849567c0:423f	BelievedBy
-60ed8313:150849567c0:173b	Encompassed
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	City
-60ed8313:150849567c0:25f1	Membership
http://www.semwebtech.org/mondial/10/country/DK/	Country
-60ed8313:150849567c0:1d6d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	City
-60ed8313:150849567c0:449f	EthnicProportion
-60ed8313:150849567c0:199b	Membership
-60ed8313:150849567c0:2fb7	Membership
-60ed8313:150849567c0:3356	Membership
-60ed8313:150849567c0:41eb	BelievedBy
http://www.semwebtech.org/mondial/10/source/SaintMarysRiver/	Source
-60ed8313:150849567c0:2f13	Membership
-60ed8313:150849567c0:30a2	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	Province
-60ed8313:150849567c0:244c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tajik/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	City
http://www.semwebtech.org/mondial/10/river/Adda/	River
-60ed8313:150849567c0:2a7e	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	City
-60ed8313:150849567c0:3cc8	Membership
-60ed8313:150849567c0:4067	SpokenBy
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	City
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	City
http://www.semwebtech.org/mondial/10/language/Lezgi/	Language
-60ed8313:150849567c0:3c24	Membership
http://www.semwebtech.org/mondial/10/country/MD/	Country
-60ed8313:150849567c0:38f6	Membership
http://www.semwebtech.org/mondial/10/organization/G-7/	Organization
-60ed8313:150849567c0:1b95	Membership
-60ed8313:150849567c0:3852	Membership
-60ed8313:150849567c0:1f29	Membership
-60ed8313:150849567c0:2dbe	Membership
-60ed8313:150849567c0:3e84	Membership
-60ed8313:150849567c0:20b8	Membership
-60ed8313:150849567c0:315d	Membership
-60ed8313:150849567c0:2d1a	Membership
-60ed8313:150849567c0:29ec	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	Province
-60ed8313:150849567c0:3bd0	Membership
-60ed8313:150849567c0:2014	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	Province
-60ed8313:150849567c0:43a7	EthnicProportion
-60ed8313:150849567c0:18a3	Border
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	City
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/city/Trujillo/	City
http://www.semwebtech.org/mondial/10/islands/TongaIslands/	Islands
-60ed8313:150849567c0:4303	BelievedBy
-60ed8313:150849567c0:1ed5	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	City
-60ed8313:150849567c0:2f7a	Membership
-60ed8313:150849567c0:2274	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	City
http://www.semwebtech.org/mondial/10/language/Burmese/	Language
-60ed8313:150849567c0:1e31	Membership
-60ed8313:150849567c0:2608	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	Province
-60ed8313:150849567c0:4563	EthnicProportion
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	City
http://www.semwebtech.org/mondial/10/river/Klaraelv/	River
-60ed8313:150849567c0:3acf	Membership
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	City
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	Province
-60ed8313:150849567c0:3a2b	Membership
-60ed8313:150849567c0:2868	Membership
-60ed8313:150849567c0:36fd	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	City
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	Province
-60ed8313:150849567c0:25b4	Membership
http://www.semwebtech.org/mondial/10/island/Shikoku/	Island
-60ed8313:150849567c0:16f5	Encompassed
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	City
-60ed8313:150849567c0:3c8b	Membership
-60ed8313:150849567c0:2be6	Membership
-60ed8313:150849567c0:2510	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/city/Mmabatho/	City
-60ed8313:150849567c0:195e	Membership
-60ed8313:150849567c0:2b42	Membership
-60ed8313:150849567c0:3319	Membership
-60ed8313:150849567c0:41ae	BelievedBy
-60ed8313:150849567c0:2770	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	City
-60ed8313:150849567c0:410a	SpokenBy
-60ed8313:150849567c0:1cdc	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	City
-60ed8313:150849567c0:207b	Membership
-60ed8313:150849567c0:3579	Membership
http://www.semwebtech.org/mondial/10/lake/LakeOhrid/	Lake
-60ed8313:150849567c0:3fcb	Membership
-60ed8313:150849567c0:240f	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	City
-60ed8313:150849567c0:32c5	Membership
-60ed8313:150849567c0:436a	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/Sajama/	Mountain
http://www.semwebtech.org/mondial/10/source/Drau/	Source
-60ed8313:150849567c0:3221	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	Province
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/city/Menongue/	City
-60ed8313:150849567c0:266f	Membership
-60ed8313:150849567c0:23bb	Membership
-60ed8313:150849567c0:38b9	Membership
-60ed8313:150849567c0:3481	Membership
-60ed8313:150849567c0:1b58	Membership
-60ed8313:150849567c0:3815	Membership
-60ed8313:150849567c0:1786	Encompassed
-60ed8313:150849567c0:3e47	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	Province
-60ed8313:150849567c0:29af	Membership
-60ed8313:150849567c0:290b	Membership
-60ed8313:150849567c0:37c1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	Province
http://www.semwebtech.org/mondial/10/mountain/CrapSognGion/	Mountain
-60ed8313:150849567c0:1a60	Membership
-60ed8313:150849567c0:2f3d	Membership
-60ed8313:150849567c0:3df3	Membership
-60ed8313:150849567c0:2237	Membership
-60ed8313:150849567c0:30cc	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	Province
-60ed8313:150849567c0:4192	BelievedBy
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	City
-60ed8313:150849567c0:4526	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Jeju/	Island
-60ed8313:150849567c0:2497	Membership
-60ed8313:150849567c0:21e3	Membership
-60ed8313:150849567c0:1da0	Membership
http://www.semwebtech.org/mondial/10/mountain/Hotaka-Dake/	Mountain
-60ed8313:150849567c0:361c	Membership
-60ed8313:150849567c0:44d2	EthnicProportion
-60ed8313:150849567c0:2ba9	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	City
-60ed8313:150849567c0:3c4e	Membership
-60ed8313:150849567c0:2b05	Membership
-60ed8313:150849567c0:27d7	Membership
-60ed8313:150849567c0:387c	Membership
-60ed8313:150849567c0:2733	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	Province
http://www.semwebtech.org/mondial/10/island/Mahe/	Island
-60ed8313:150849567c0:2d65	Membership
-60ed8313:150849567c0:3bfa	Membership
-60ed8313:150849567c0:203e	Membership
-60ed8313:150849567c0:18cd	Border
-60ed8313:150849567c0:2ab1	Membership
-60ed8313:150849567c0:2993	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	City
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/city/Altdorf/	City
-60ed8313:150849567c0:432d	BelievedBy
-60ed8313:150849567c0:1eff	Membership
-60ed8313:150849567c0:229e	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	City
http://www.semwebtech.org/mondial/10/lake/CraterLake/	Lake
-60ed8313:150849567c0:1e5b	Membership
-60ed8313:150849567c0:34e8	Membership
http://www.semwebtech.org/mondial/10/river/Amur/	River
-60ed8313:150849567c0:458d	EthnicProportion
-60ed8313:150849567c0:3444	Membership
http://www.semwebtech.org/mondial/10/island/Cuba/	Island
-60ed8313:150849567c0:3a76	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	Province
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	City
-60ed8313:150849567c0:1749	Encompassed
http://www.semwebtech.org/mondial/10/country/BDS/	Country
-60ed8313:150849567c0:25de	Membership
-60ed8313:150849567c0:253a	Membership
-60ed8313:150849567c0:33f0	Membership
-60ed8313:150849567c0:1ac7	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	City
-60ed8313:150849567c0:2b6c	Membership
-60ed8313:150849567c0:41f9	BelievedBy
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	City
-60ed8313:150849567c0:279a	Membership
-60ed8313:150849567c0:3db6	Membership
http://www.semwebtech.org/mondial/10/river/RiviereRichelieu/	River
-60ed8313:150849567c0:4155	BelievedBy
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	Province
http://www.semwebtech.org/mondial/10/island/Baltrum/	Island
-60ed8313:150849567c0:3d12	Membership
-60ed8313:150849567c0:39e4	Membership
-60ed8313:150849567c0:1c83	Membership
http://www.semwebtech.org/mondial/10/estuary/Lena/	Estuary
-60ed8313:150849567c0:3940	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	City
-60ed8313:150849567c0:32ef	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	City
-60ed8313:150849567c0:2eac	Membership
-60ed8313:150849567c0:3f72	Membership
-60ed8313:150849567c0:21a6	Membership
-60ed8313:150849567c0:324b	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	City
-60ed8313:150849567c0:2102	Membership
http://www.semwebtech.org/mondial/10/source/Ammer/	Source
-60ed8313:150849567c0:1fc3	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	City
-60ed8313:150849567c0:2362	Membership
-60ed8313:150849567c0:383f	Membership
http://www.semwebtech.org/mondial/10/lake/LakeHuron/	Lake
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	Province
http://www.semwebtech.org/mondial/10/mountain/PikesPeak/	Mountain
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	City
http://www.semwebtech.org/mondial/10/religion/ChurchTuvalu/	Religion
-60ed8313:150849567c0:2d28	Membership
-60ed8313:150849567c0:3bbd	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	City
-60ed8313:150849567c0:2956	Membership
-60ed8313:150849567c0:37eb	Membership
-60ed8313:150849567c0:1a8a	Membership
-60ed8313:150849567c0:2f88	Membership
-60ed8313:150849567c0:26a2	Membership
-60ed8313:150849567c0:1e1e	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	City
-60ed8313:150849567c0:2cd4	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	City
-60ed8313:150849567c0:3073	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	Province
-60ed8313:150849567c0:2c30	Membership
-60ed8313:150849567c0:3407	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	Province
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	City
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	City
-60ed8313:150849567c0:3a39	Membership
-60ed8313:150849567c0:1dca	Membership
-60ed8313:150849567c0:2e90	Membership
-60ed8313:150849567c0:3667	Membership
-60ed8313:150849567c0:44fc	EthnicProportion
-60ed8313:150849567c0:3c99	Membership
-60ed8313:150849567c0:33b3	Membership
-60ed8313:150849567c0:2b2f	Membership
http://www.semwebtech.org/mondial/10/language/Pashtu/	Language
-60ed8313:150849567c0:275d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	City
-60ed8313:150849567c0:4118	BelievedBy
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	Province
-60ed8313:150849567c0:39a7	Membership
-60ed8313:150849567c0:2d8f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	City
-60ed8313:150849567c0:2089	Membership
http://www.semwebtech.org/mondial/10/river/Donau/	River
http://www.semwebtech.org/mondial/10/island/Isabela/	Island
-60ed8313:150849567c0:1c46	Membership
http://www.semwebtech.org/mondial/10/lake/LaacherMaar/	Lake
-60ed8313:150849567c0:2adb	Membership
-60ed8313:150849567c0:3fd9	Membership
-60ed8313:150849567c0:3903	Membership
-60ed8313:150849567c0:4378	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/Huallaga/	Estuary
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	Province
-60ed8313:150849567c0:1874	Border
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	City
http://www.semwebtech.org/mondial/10/mountains/Changbai/	Mountains
-60ed8313:150849567c0:3f35	Membership
-60ed8313:150849567c0:320e	Membership
-60ed8313:150849567c0:40c4	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	City
http://www.semwebtech.org/mondial/10/organization/CICA/	Organization
-60ed8313:150849567c0:4020	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	City
-60ed8313:150849567c0:1bf2	Membership
-60ed8313:150849567c0:23c9	Membership
-60ed8313:150849567c0:346e	Membership
http://www.semwebtech.org/mondial/10/mountain/RomanKosch/	Mountain
-60ed8313:150849567c0:3ee1	Membership
-60ed8313:150849567c0:2325	Membership
-60ed8313:150849567c0:31ba	Membership
-60ed8313:150849567c0:4280	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/LiushiShan/	Mountain
http://www.semwebtech.org/mondial/10/estuary/Jubba/	Estuary
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	City
-60ed8313:150849567c0:2585	Membership
-60ed8313:150849567c0:2919	Membership
-60ed8313:150849567c0:22d1	Membership
-60ed8313:150849567c0:37ae	Membership
-60ed8313:150849567c0:1a4d	Membership
-60ed8313:150849567c0:370a	Membership
-60ed8313:150849567c0:417f	BelievedBy
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	Province
-60ed8313:150849567c0:3d3c	Membership
http://www.semwebtech.org/mondial/10/country/CO/	Country
-60ed8313:150849567c0:3036	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	City
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	City
-60ed8313:150849567c0:28c5	Membership
-60ed8313:150849567c0:396a	Membership
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	Province
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	City
-60ed8313:150849567c0:2ef7	Membership
-60ed8313:150849567c0:2821	Membership
-60ed8313:150849567c0:3f9c	Membership
-60ed8313:150849567c0:3296	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	City
-60ed8313:150849567c0:2e53	Membership
-60ed8313:150849567c0:212c	Membership
http://www.semwebtech.org/mondial/10/estuary/Rhein/	Estuary
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	City
-60ed8313:150849567c0:44bf	EthnicProportion
-60ed8313:150849567c0:19bb	Membership
-60ed8313:150849567c0:441b	EthnicProportion
-60ed8313:150849567c0:1fed	Membership
-60ed8313:150849567c0:238c	Membership
-60ed8313:150849567c0:35d6	Membership
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	City
-60ed8313:150849567c0:3532	Membership
-60ed8313:150849567c0:1c09	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	Province
-60ed8313:150849567c0:3b64	Membership
http://www.semwebtech.org/mondial/10/river/Parana/	River
-60ed8313:150849567c0:1837	Border
-60ed8313:150849567c0:26cc	Membership
-60ed8313:150849567c0:3792	Membership
http://www.semwebtech.org/mondial/10/source/Tennessee/	Source
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	Province
-60ed8313:150849567c0:1e69	Membership
-60ed8313:150849567c0:2cfe	Membership
-60ed8313:150849567c0:309d	Membership
-60ed8313:150849567c0:1bb5	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	City
-60ed8313:150849567c0:2c5a	Membership
-60ed8313:150849567c0:42e7	BelievedBy
-60ed8313:150849567c0:1b11	Membership
-60ed8313:150849567c0:17e3	Border
-60ed8313:150849567c0:3ea4	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	Province
-60ed8313:150849567c0:4243	BelievedBy
-60ed8313:150849567c0:3e00	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	City
-60ed8313:150849567c0:1d71	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saga/city/Saga/	City
-60ed8313:150849567c0:2548	Membership
-60ed8313:150849567c0:33dd	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	Province
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/city/Bayburt/	City
http://www.semwebtech.org/mondial/10/mountain/MorneDiablotins/	Mountain
http://www.semwebtech.org/mondial/10/country/UA/	Country
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	Province
-60ed8313:150849567c0:24f4	Membership
http://www.semwebtech.org/mondial/10/country/WG/	Country
-60ed8313:150849567c0:2450	Membership
-60ed8313:150849567c0:392d	Membership
http://www.semwebtech.org/mondial/10/country/AFG/	Country
-60ed8313:150849567c0:40ee	SpokenBy
-60ed8313:150849567c0:189e	Border
http://www.semwebtech.org/mondial/10/river/Saluen/	River
-60ed8313:150849567c0:2a82	Membership
-60ed8313:150849567c0:3f5f	Membership
-60ed8313:150849567c0:3259	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	City
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	City
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	City
-60ed8313:150849567c0:2e16	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	City
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	Province
-60ed8313:150849567c0:3cab	Membership
-60ed8313:150849567c0:404a	SpokenBy
-60ed8313:150849567c0:234f	Membership
-60ed8313:150849567c0:1f0c	Membership
-60ed8313:150849567c0:2dc2	Membership
-60ed8313:150849567c0:3161	Membership
-60ed8313:150849567c0:29f0	Membership
http://www.semwebtech.org/mondial/10/island/Miquelon-Langlade/	Island
http://www.semwebtech.org/mondial/10/estuary/EucumbeneRiver/	Estuary
-60ed8313:150849567c0:3b27	Membership
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	Province
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	City
-60ed8313:150849567c0:22fb	Membership
-60ed8313:150849567c0:37f9	Membership
-60ed8313:150849567c0:1a98	Membership
-60ed8313:150849567c0:3755	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	City
-60ed8313:150849567c0:3d87	Membership
-60ed8313:150849567c0:34a1	Membership
-60ed8313:150849567c0:2c1d	Membership
-60ed8313:150849567c0:28ef	Membership
-60ed8313:150849567c0:3ad3	Membership
http://www.semwebtech.org/mondial/10/mountains/Ahaggar/	Mountains
-60ed8313:150849567c0:4206	BelievedBy
-60ed8313:150849567c0:17a6	Encompassed
http://www.semwebtech.org/mondial/10/mountains/SierraMaestra/	Mountains
-60ed8313:150849567c0:284b	Membership
-60ed8313:150849567c0:2e7d	Membership
-60ed8313:150849567c0:1dd8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	City
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	City
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	City
-60ed8313:150849567c0:1702	Encompassed
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	City
-60ed8313:150849567c0:2177	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	Province
-60ed8313:150849567c0:1d34	Membership
-60ed8313:150849567c0:4466	EthnicProportion
-60ed8313:150849567c0:1962	Membership
http://www.semwebtech.org/mondial/10/desert/GreatBasin/	Desert
http://www.semwebtech.org/mondial/10/source/Perene/	Source
-60ed8313:150849567c0:41b2	BelievedBy
-60ed8313:150849567c0:1f94	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	Province
-60ed8313:150849567c0:1ce0	Membership
-60ed8313:150849567c0:24b7	Membership
-60ed8313:150849567c0:355c	Membership
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	City
-60ed8313:150849567c0:2ae9	Membership
-60ed8313:150849567c0:2413	Membership
-60ed8313:150849567c0:3b8e	Membership
-60ed8313:150849567c0:2a45	Membership
http://www.semwebtech.org/mondial/10/estuary/Chire/	Estuary
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	City
-60ed8313:150849567c0:2673	Membership
-60ed8313:150849567c0:400d	SpokenBy
-60ed8313:150849567c0:1bdf	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	City
-60ed8313:150849567c0:1b3b	Membership
-60ed8313:150849567c0:3ece	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	City
-60ed8313:150849567c0:31c8	Membership
-60ed8313:150849567c0:426d	BelievedBy
-60ed8313:150849567c0:3e2a	Membership
-60ed8313:150849567c0:3124	Membership
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	City
-60ed8313:150849567c0:1d9b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	City
-60ed8313:150849567c0:29b3	Membership
http://www.semwebtech.org/mondial/10/islands/RiauIslands/	Islands
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	Province
-60ed8313:150849567c0:2fe5	Membership
-60ed8313:150849567c0:22be	Membership
-60ed8313:150849567c0:3384	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	City
http://www.semwebtech.org/mondial/10/source/Piva/	Source
-60ed8313:150849567c0:2f41	Membership
-60ed8313:150849567c0:221a	Membership
-60ed8313:150849567c0:3718	Membership
-60ed8313:150849567c0:30d0	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	City
http://www.semwebtech.org/mondial/10/island/Vulcano/	Island
http://www.semwebtech.org/mondial/10/estuary/RioSaoFrancisco/	Estuary
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	Province
http://www.semwebtech.org/mondial/10/river/Volta/	River
-60ed8313:150849567c0:247a	Membership
-60ed8313:150849567c0:3978	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/city/Arauca/	City
-60ed8313:150849567c0:280e	Membership
-60ed8313:150849567c0:36c4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chuvash/	EthnicGroup
-60ed8313:150849567c0:4095	SpokenBy
-60ed8313:150849567c0:3cf6	Membership
-60ed8313:150849567c0:3620	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	City
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	City
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	City
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	City
-60ed8313:150849567c0:19c9	Membership
-60ed8313:150849567c0:3c52	Membership
-60ed8313:150849567c0:4429	EthnicProportion
-60ed8313:150849567c0:1925	Membership
-60ed8313:150849567c0:27ba	Membership
-60ed8313:150849567c0:3880	Membership
-60ed8313:150849567c0:1f57	Membership
-60ed8313:150849567c0:2dec	Membership
-60ed8313:150849567c0:20e6	Membership
-60ed8313:150849567c0:318b	Membership
http://www.semwebtech.org/mondial/10/mountains/Rif/	Mountains
-60ed8313:150849567c0:1ca3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	Province
-60ed8313:150849567c0:2042	Membership
-60ed8313:150849567c0:351f	Membership
-60ed8313:150849567c0:43d5	EthnicProportion
-60ed8313:150849567c0:18d1	Border
-60ed8313:150849567c0:4331	EthnicProportion
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	City
-60ed8313:150849567c0:2a08	Membership
-60ed8313:150849567c0:377f	Membership
http://www.semwebtech.org/mondial/10/island/Grande-Terre/	Island
-60ed8313:150849567c0:2636	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	City
-60ed8313:150849567c0:34cb	Membership
-60ed8313:150849567c0:4591	EthnicProportion
http://www.semwebtech.org/mondial/10/mountains/BritishEmpireRange/	Mountains
-60ed8313:150849567c0:2c68	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	City
http://www.semwebtech.org/mondial/10/country/RSA/	Country
-60ed8313:150849567c0:3afd	Membership
http://www.semwebtech.org/mondial/10/river/Tshuapa/	River
-60ed8313:150849567c0:2896	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	Province
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	City
-60ed8313:150849567c0:172c	Encompassed
-60ed8313:150849567c0:25e2	Membership
-60ed8313:150849567c0:1d5e	Membership
-60ed8313:150849567c0:1aaa	Membership
-60ed8313:150849567c0:198c	Membership
-60ed8313:150849567c0:2fa8	Membership
-60ed8313:150849567c0:2b70	Membership
-60ed8313:150849567c0:3347	Membership
-60ed8313:150849567c0:41dc	BelievedBy
-60ed8313:150849567c0:2f04	Membership
http://www.semwebtech.org/mondial/10/country/USA/	Country
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	City
-60ed8313:150849567c0:243d	Membership
-60ed8313:150849567c0:32f3	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	City
-60ed8313:150849567c0:2eb0	Membership
-60ed8313:150849567c0:2a6f	Membership
http://www.semwebtech.org/mondial/10/island/Halmahera/	Island
-60ed8313:150849567c0:3cb9	Membership
http://www.semwebtech.org/mondial/10/organization/ESA/	Organization
-60ed8313:150849567c0:269d	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	Province
-60ed8313:150849567c0:4058	SpokenBy
http://www.semwebtech.org/mondial/10/lake/LakeWinnipesaukee/	Lake
-60ed8313:150849567c0:3c15	Membership
-60ed8313:150849567c0:38e7	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	City
-60ed8313:150849567c0:1b86	Membership
http://www.semwebtech.org/mondial/10/island/Formentera/	Island
http://www.semwebtech.org/mondial/10/source/SnowyRiver/	Source
-60ed8313:150849567c0:3843	Membership
http://www.semwebtech.org/mondial/10/country/GUAD/city/Basse-Terre/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Kurdish/	EthnicGroup
-60ed8313:150849567c0:2daf	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	City
-60ed8313:150849567c0:3e75	Membership
-60ed8313:150849567c0:20a9	Membership
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	City
-60ed8313:150849567c0:314e	Membership
-60ed8313:150849567c0:2d0b	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	City
-60ed8313:150849567c0:29dd	Membership
-60ed8313:150849567c0:3bc1	Membership
-60ed8313:150849567c0:2005	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	Province
-60ed8313:150849567c0:1ec6	Membership
-60ed8313:150849567c0:2f6b	Membership
-60ed8313:150849567c0:2265	Membership
-60ed8313:150849567c0:30fa	Membership
-60ed8313:150849567c0:1e22	Membership
-60ed8313:150849567c0:4554	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/city/Arar/	City
http://www.semwebtech.org/mondial/10/language/Afrikaans/	Language
-60ed8313:150849567c0:42a0	BelievedBy
-60ed8313:150849567c0:3a1c	Membership
-60ed8313:150849567c0:2859	Membership
http://www.semwebtech.org/mondial/10/country/GBJ/city/SaintHelier/	City
-60ed8313:150849567c0:36ee	Membership
http://www.semwebtech.org/mondial/10/sea/HudsonBay/	Sea
http://www.semwebtech.org/mondial/10/river/Maranon/	River
-60ed8313:150849567c0:25a5	Membership
-60ed8313:150849567c0:364a	Membership
-60ed8313:150849567c0:3c7c	Membership
-60ed8313:150849567c0:2bd7	Membership
-60ed8313:150849567c0:2501	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	Province
http://www.semwebtech.org/mondial/10/country/BS/	Country
http://www.semwebtech.org/mondial/10/islands/FutunaIslands/	Islands
-60ed8313:150849567c0:194f	Membership
-60ed8313:150849567c0:2b33	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	City
-60ed8313:150849567c0:2761	Membership
-60ed8313:150849567c0:1ccd	Membership
-60ed8313:150849567c0:2d93	Membership
-60ed8313:150849567c0:206c	Membership
-60ed8313:150849567c0:43ff	EthnicProportion
http://www.semwebtech.org/mondial/10/island/DevonIsland/	Island
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	City
-60ed8313:150849567c0:18fb	Border
-60ed8313:150849567c0:3fbc	Membership
-60ed8313:150849567c0:32b6	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Amerindian/	EthnicGroup
-60ed8313:150849567c0:435b	EthnicProportion
-60ed8313:150849567c0:3212	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	City
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	City
-60ed8313:150849567c0:23ac	Membership
-60ed8313:150849567c0:3472	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	Province
-60ed8313:150849567c0:1b49	Membership
-60ed8313:150849567c0:3806	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	Province
-60ed8313:150849567c0:1777	Encompassed
-60ed8313:150849567c0:3e38	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	City
-60ed8313:150849567c0:1af5	Membership
-60ed8313:150849567c0:2b9a	Membership
-60ed8313:150849567c0:37b2	Membership
-60ed8313:150849567c0:1a51	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	City
-60ed8313:150849567c0:2f2e	Membership
-60ed8313:150849567c0:3de4	Membership
-60ed8313:150849567c0:2228	Membership
-60ed8313:150849567c0:30bd	Membership
-60ed8313:150849567c0:4183	BelievedBy
-60ed8313:150849567c0:3d40	Membership
-60ed8313:150849567c0:4517	EthnicProportion
-60ed8313:150849567c0:2488	Membership
-60ed8313:150849567c0:2eda	Membership
http://www.semwebtech.org/mondial/10/estuary/Isar/	Estuary
-60ed8313:150849567c0:21d4	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	Province
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	City
-60ed8313:150849567c0:2130	Membership
-60ed8313:150849567c0:360d	Membership
-60ed8313:150849567c0:44c3	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/city/Targoviste/	City
-60ed8313:150849567c0:3c3f	Membership
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	City
-60ed8313:150849567c0:1ff1	Membership
-60ed8313:150849567c0:27c8	Membership
-60ed8313:150849567c0:2390	Membership
-60ed8313:150849567c0:386d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	City
http://www.semwebtech.org/mondial/10/island/Aruba/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	Province
-60ed8313:150849567c0:3e9f	Membership
-60ed8313:150849567c0:2724	Membership
-60ed8313:150849567c0:3199	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	Province
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	City
http://www.semwebtech.org/mondial/10/island/Kos/	Island
-60ed8313:150849567c0:2d56	Membership
-60ed8313:150849567c0:3beb	Membership
-60ed8313:150849567c0:202f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	Province
-60ed8313:150849567c0:18be	Border
-60ed8313:150849567c0:2aa2	Membership
-60ed8313:150849567c0:2984	Membership
-60ed8313:150849567c0:431e	BelievedBy
-60ed8313:150849567c0:26d0	Membership
http://www.semwebtech.org/mondial/10/country/ZW/	Country
-60ed8313:150849567c0:181a	Border
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	City
-60ed8313:150849567c0:228f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	City
-60ed8313:150849567c0:1e4c	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	City
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	City
-60ed8313:150849567c0:34d9	Membership
-60ed8313:150849567c0:457e	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Catalan/	Language
http://www.semwebtech.org/mondial/10/island/Graciosa/	Island
-60ed8313:150849567c0:3435	Membership
-60ed8313:150849567c0:42ca	BelievedBy
-60ed8313:150849567c0:3a67	Membership
-60ed8313:150849567c0:25cf	Membership
-60ed8313:150849567c0:3695	Membership
http://www.semwebtech.org/mondial/10/country/AND/	Country
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	City
-60ed8313:150849567c0:252b	Membership
http://www.semwebtech.org/mondial/10/river/Reuss/	River
-60ed8313:150849567c0:33e1	Membership
-60ed8313:150849567c0:1ab8	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	Province
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	Province
-60ed8313:150849567c0:2b5d	Membership
-60ed8313:150849567c0:1a14	Membership
-60ed8313:150849567c0:16e6	Encompassed
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Province
-60ed8313:150849567c0:278b	Membership
-60ed8313:150849567c0:3da7	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	City
-60ed8313:150849567c0:4146	BelievedBy
http://www.semwebtech.org/mondial/10/organization/GCC/	Organization
http://www.semwebtech.org/mondial/10/estuary/Morava/	Estuary
-60ed8313:150849567c0:3d03	Membership
-60ed8313:150849567c0:39d5	Membership
-60ed8313:150849567c0:1c74	Membership
http://www.semwebtech.org/mondial/10/country/D/	Country
-60ed8313:150849567c0:3931	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	City
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	City
-60ed8313:150849567c0:3f63	Membership
-60ed8313:150849567c0:323c	Membership
-60ed8313:150849567c0:40f2	SpokenBy
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	City
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	City
-60ed8313:150849567c0:23f7	Membership
-60ed8313:150849567c0:349c	Membership
-60ed8313:150849567c0:1fb4	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Chamorro/	EthnicGroup
-60ed8313:150849567c0:2353	Membership
-60ed8313:150849567c0:1f10	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	City
http://www.semwebtech.org/mondial/10/mountain/Pelee/	Mountain
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/city/Kavaratti/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	City
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	City
-60ed8313:150849567c0:2d19	Membership
-60ed8313:150849567c0:3bae	Membership
http://www.semwebtech.org/mondial/10/island/CangarooIsland/	Island
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	City
-60ed8313:150849567c0:2947	Membership
-60ed8313:150849567c0:3b0a	Membership
-60ed8313:150849567c0:37dc	Membership
-60ed8313:150849567c0:1a7b	Membership
-60ed8313:150849567c0:2f79	Membership
-60ed8313:150849567c0:1e0f	Membership
http://www.semwebtech.org/mondial/10/island/SaoMiguel/	Island
-60ed8313:150849567c0:2cc5	Membership
-60ed8313:150849567c0:3d6a	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	Province
-60ed8313:150849567c0:3064	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	Province
-60ed8313:150849567c0:2c21	Membership
-60ed8313:150849567c0:28f3	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	Province
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	Province
-60ed8313:150849567c0:21fe	Membership
-60ed8313:150849567c0:1dbb	Membership
-60ed8313:150849567c0:2e81	Membership
-60ed8313:150849567c0:215a	Membership
-60ed8313:150849567c0:3658	Membership
-60ed8313:150849567c0:44ed	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	City
-60ed8313:150849567c0:33a4	Membership
http://www.semwebtech.org/mondial/10/mountain/MontBlanc/	Mountain
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	City
-60ed8313:150849567c0:3300	Membership
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	City
-60ed8313:150849567c0:274e	Membership
-60ed8313:150849567c0:4109	SpokenBy
-60ed8313:150849567c0:3560	Membership
-60ed8313:150849567c0:1c37	Membership
-60ed8313:150849567c0:2acc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	City
-60ed8313:150849567c0:3b92	Membership
-60ed8313:150849567c0:4369	EthnicProportion
-60ed8313:150849567c0:40b5	SpokenBy
-60ed8313:150849567c0:1865	Border
-60ed8313:150849567c0:3f26	Membership
-60ed8313:150849567c0:26fa	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	City
-60ed8313:150849567c0:1e97	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Sagaing/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	City
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Samoan/	EthnicGroup
-60ed8313:150849567c0:4011	SpokenBy
-60ed8313:150849567c0:1be3	Membership
-60ed8313:150849567c0:38a0	Membership
-60ed8313:150849567c0:345f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	City
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	City
-60ed8313:150849567c0:3ed2	Membership
-60ed8313:150849567c0:2316	Membership
-60ed8313:150849567c0:31ab	Membership
-60ed8313:150849567c0:4271	BelievedBy
http://www.semwebtech.org/mondial/10/ethnicgroup/Asian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	Province
-60ed8313:150849567c0:2576	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	City
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	Province
-60ed8313:150849567c0:22c2	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	Province
-60ed8313:150849567c0:1a3e	Membership
http://www.semwebtech.org/mondial/10/island/Bioko/	Island
-60ed8313:150849567c0:3d2d	Membership
-60ed8313:150849567c0:39ff	Membership
-60ed8313:150849567c0:3027	Membership
-60ed8313:150849567c0:1c9e	Membership
-60ed8313:150849567c0:28b6	Membership
-60ed8313:150849567c0:395b	Membership
-60ed8313:150849567c0:2ee8	Membership
-60ed8313:150849567c0:2812	Membership
-60ed8313:150849567c0:3f8d	Membership
-60ed8313:150849567c0:3287	Membership
-60ed8313:150849567c0:2e44	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Moyobamba/	City
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	Province
-60ed8313:150849567c0:211d	Membership
-60ed8313:150849567c0:19ac	Membership
http://www.semwebtech.org/mondial/10/source/Indus/	Source
http://www.semwebtech.org/mondial/10/river/Raab/	River
-60ed8313:150849567c0:440c	EthnicProportion
-60ed8313:150849567c0:1fde	Membership
-60ed8313:150849567c0:237d	Membership
http://www.semwebtech.org/mondial/10/island/Amrum/	Island
-60ed8313:150849567c0:1f3a	Membership
-60ed8313:150849567c0:2df0	Membership
-60ed8313:150849567c0:35c7	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	City
-60ed8313:150849567c0:3bf9	Membership
-60ed8313:150849567c0:3523	Membership
-60ed8313:150849567c0:3b55	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	City
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	City
-60ed8313:150849567c0:1828	Border
-60ed8313:150849567c0:26bd	Membership
-60ed8313:150849567c0:3783	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	City
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	Province
-60ed8313:150849567c0:2cef	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	City
-60ed8313:150849567c0:308e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	City
-60ed8313:150849567c0:1ba6	Membership
-60ed8313:150849567c0:2c4b	Membership
-60ed8313:150849567c0:42d8	BelievedBy
http://www.semwebtech.org/mondial/10/sea/SulawesiSea/	Sea
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	City
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	City
-60ed8313:150849567c0:1b02	Membership
-60ed8313:150849567c0:17d4	Border
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	City
-60ed8313:150849567c0:4234	BelievedBy
-60ed8313:150849567c0:1730	Encompassed
-60ed8313:150849567c0:1d62	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	Province
-60ed8313:150849567c0:2539	Membership
-60ed8313:150849567c0:33ce	Membership
-60ed8313:150849567c0:4494	EthnicProportion
-60ed8313:150849567c0:1990	Membership
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	City
http://www.semwebtech.org/mondial/10/estuary/Paatsjoki/	Estuary
-60ed8313:150849567c0:332a	Membership
-60ed8313:150849567c0:41e0	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/ZardKuh/	Mountain
-60ed8313:150849567c0:2799	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	City
-60ed8313:150849567c0:24e5	Membership
-60ed8313:150849567c0:358a	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	Province
-60ed8313:150849567c0:2441	Membership
-60ed8313:150849567c0:391e	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	City
-60ed8313:150849567c0:188f	Border
-60ed8313:150849567c0:2a73	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	City
-60ed8313:150849567c0:40df	SpokenBy
-60ed8313:150849567c0:2e07	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	City
-60ed8313:150849567c0:403b	SpokenBy
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	Province
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	City
http://www.semwebtech.org/mondial/10/estuary/Kymijoki/	Estuary
-60ed8313:150849567c0:38ca	Membership
http://www.semwebtech.org/mondial/10/source/SaskatchewanRiver/	Source
-60ed8313:150849567c0:3efc	Membership
http://www.semwebtech.org/mondial/10/islands/Azores/	Islands
-60ed8313:150849567c0:31f6	Membership
-60ed8313:150849567c0:429b	BelievedBy
http://www.semwebtech.org/mondial/10/source/Colorado/	Source
-60ed8313:150849567c0:2db3	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	City
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	City
-60ed8313:150849567c0:3152	Membership
-60ed8313:150849567c0:29e1	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	City
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	City
-60ed8313:150849567c0:22ec	Membership
-60ed8313:150849567c0:3b18	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	City
-60ed8313:150849567c0:1a89	Membership
-60ed8313:150849567c0:3746	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	City
-60ed8313:150849567c0:3d78	Membership
http://www.semwebtech.org/mondial/10/island/Mykonos/	Island
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	City
-60ed8313:150849567c0:2c0e	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	City
http://www.semwebtech.org/mondial/10/country/LV/	Country
-60ed8313:150849567c0:3ac4	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	Province
-60ed8313:150849567c0:283c	Membership
-60ed8313:150849567c0:3a20	Membership
-60ed8313:150849567c0:36f2	Membership
http://www.semwebtech.org/mondial/10/organization/IFRCS/	Organization
-60ed8313:150849567c0:1dc9	Membership
-60ed8313:150849567c0:2e6e	Membership
-60ed8313:150849567c0:2168	Membership
-60ed8313:150849567c0:1d25	Membership
-60ed8313:150849567c0:19f7	Membership
-60ed8313:150849567c0:2bba	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	Province
-60ed8313:150849567c0:3c80	Membership
-60ed8313:150849567c0:4457	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	City
-60ed8313:150849567c0:1953	Membership
http://www.semwebtech.org/mondial/10/organization/IAEA/	Organization
-60ed8313:150849567c0:41a3	BelievedBy
-60ed8313:150849567c0:1f85	Membership
http://www.semwebtech.org/mondial/10/mountain/Cayambe/	Mountain
-60ed8313:150849567c0:1cd1	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	Province
-60ed8313:150849567c0:24a8	Membership
-60ed8313:150849567c0:2070	Membership
-60ed8313:150849567c0:354d	Membership
http://www.semwebtech.org/mondial/10/country/NIUE/city/Alofi/	City
http://www.semwebtech.org/mondial/10/sea/SeaofAzov/	Sea
-60ed8313:150849567c0:3fc0	Membership
-60ed8313:150849567c0:2404	Membership
-60ed8313:150849567c0:3b7f	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	City
-60ed8313:150849567c0:2a36	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Portuguese/	EthnicGroup
-60ed8313:150849567c0:2664	Membership
http://www.semwebtech.org/mondial/10/organization/IMO/	Organization
-60ed8313:150849567c0:2c96	Membership
-60ed8313:150849567c0:23b0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	City
-60ed8313:150849567c0:1b2c	Membership
-60ed8313:150849567c0:17fe	Border
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	City
-60ed8313:150849567c0:3ebf	Membership
-60ed8313:150849567c0:31b9	Membership
-60ed8313:150849567c0:425e	BelievedBy
-60ed8313:150849567c0:175a	Encompassed
-60ed8313:150849567c0:3e1b	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	City
-60ed8313:150849567c0:3115	Membership
-60ed8313:150849567c0:1d8c	Membership
-60ed8313:150849567c0:29a4	Membership
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Karamojong/	EthnicGroup
-60ed8313:150849567c0:2fd6	Membership
-60ed8313:150849567c0:2900	Membership
-60ed8313:150849567c0:22af	Membership
-60ed8313:150849567c0:3375	Membership
-60ed8313:150849567c0:2f32	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	City
-60ed8313:150849567c0:220b	Membership
-60ed8313:150849567c0:3709	Membership
-60ed8313:150849567c0:30c1	Membership
http://www.semwebtech.org/mondial/10/language/Hindi/	Language
http://www.semwebtech.org/mondial/10/organization/AMF/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	City
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	City
-60ed8313:150849567c0:246b	Membership
-60ed8313:150849567c0:3969	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mangbetu-Azande/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	City
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	City
-60ed8313:150849567c0:2a9d	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	City
-60ed8313:150849567c0:36b5	Membership
-60ed8313:150849567c0:3ce7	Membership
-60ed8313:150849567c0:3611	Membership
-60ed8313:150849567c0:4086	SpokenBy
-60ed8313:150849567c0:3c43	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	City
-60ed8313:150849567c0:1916	Membership
-60ed8313:150849567c0:27ab	Membership
-60ed8313:150849567c0:3871	Membership
-60ed8313:150849567c0:1f48	Membership
-60ed8313:150849567c0:2ddd	Membership
-60ed8313:150849567c0:20d7	Membership
-60ed8313:150849567c0:317c	Membership
http://www.semwebtech.org/mondial/10/mountain/GranitePeak/	Mountain
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	Province
-60ed8313:150849567c0:2033	Membership
-60ed8313:150849567c0:43c6	EthnicProportion
-60ed8313:150849567c0:18c2	Border
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	City
-60ed8313:150849567c0:4322	BelievedBy
-60ed8313:150849567c0:1ef4	Membership
http://www.semwebtech.org/mondial/10/language/Norwegian/	Language
-60ed8313:150849567c0:2293	Membership
-60ed8313:150849567c0:1e50	Membership
-60ed8313:150849567c0:2627	Membership
-60ed8313:150849567c0:34bc	Membership
-60ed8313:150849567c0:4582	EthnicProportion
http://www.semwebtech.org/mondial/10/language/Icelandic/	Language
-60ed8313:150849567c0:2c59	Membership
-60ed8313:150849567c0:3aee	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	Province
-60ed8313:150849567c0:2887	Membership
-60ed8313:150849567c0:3a4a	Membership
-60ed8313:150849567c0:171d	Encompassed
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/city/Matsue/	City
-60ed8313:150849567c0:25d3	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/city/Ebolowa/	City
http://www.semwebtech.org/mondial/10/mountain/Kangchendzonga/	Mountain
-60ed8313:150849567c0:1d4f	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	City
http://www.semwebtech.org/mondial/10/source/Iller/	Source
-60ed8313:150849567c0:197d	Membership
-60ed8313:150849567c0:2b61	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	City
-60ed8313:150849567c0:3338	Membership
http://www.semwebtech.org/mondial/10/river/Shabelle/	River
-60ed8313:150849567c0:41cd	BelievedBy
http://www.semwebtech.org/mondial/10/islands/MoluccanIslands/	Islands
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	City
-60ed8313:150849567c0:1cfb	Membership
-60ed8313:150849567c0:3598	Membership
-60ed8313:150849567c0:209a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	City
http://www.semwebtech.org/mondial/10/mountain/Mt.Giluwe/	Mountain
-60ed8313:150849567c0:3fea	Membership
-60ed8313:150849567c0:242e	Membership
-60ed8313:150849567c0:32e4	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	Province
-60ed8313:150849567c0:2ea1	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	City
-60ed8313:150849567c0:3240	Membership
-60ed8313:150849567c0:268e	Membership
-60ed8313:150849567c0:4049	SpokenBy
-60ed8313:150849567c0:3c06	Membership
-60ed8313:150849567c0:38d8	Membership
-60ed8313:150849567c0:23da	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	City
-60ed8313:150849567c0:1b77	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/EasternNigritic/	EthnicGroup
-60ed8313:150849567c0:3834	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	Province
-60ed8313:150849567c0:3e66	Membership
-60ed8313:150849567c0:313f	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	City
-60ed8313:150849567c0:29ce	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	Province
-60ed8313:150849567c0:3bb2	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	Province
-60ed8313:150849567c0:292a	Membership
-60ed8313:150849567c0:37e0	Membership
-60ed8313:150849567c0:339f	Membership
-60ed8313:150849567c0:1eb7	Membership
-60ed8313:150849567c0:2f5c	Membership
-60ed8313:150849567c0:2256	Membership
-60ed8313:150849567c0:30eb	Membership
-60ed8313:150849567c0:1e13	Membership
http://www.semwebtech.org/mondial/10/organization/UNMIT/	Organization
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	Province
-60ed8313:150849567c0:4545	EthnicProportion
http://www.semwebtech.org/mondial/10/ethnicgroup/Bulgarian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	Province
-60ed8313:150849567c0:3a0d	Membership
-60ed8313:150849567c0:36df	Membership
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	City
http://www.semwebtech.org/mondial/10/desert/LibyanDesert/	Desert
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	City
-60ed8313:150849567c0:363b	Membership
-60ed8313:150849567c0:44f1	EthnicProportion
-60ed8313:150849567c0:2bc8	Membership
-60ed8313:150849567c0:3c6d	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	Province
-60ed8313:150849567c0:2b24	Membership
-60ed8313:150849567c0:27f6	Membership
-60ed8313:150849567c0:389b	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	City
-60ed8313:150849567c0:2752	Membership
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	City
-60ed8313:150849567c0:1cbe	Membership
-60ed8313:150849567c0:2d84	Membership
-60ed8313:150849567c0:205d	Membership
-60ed8313:150849567c0:1c1a	Membership
-60ed8313:150849567c0:18ec	Border
-60ed8313:150849567c0:2ad0	Membership
-60ed8313:150849567c0:3fad	Membership
-60ed8313:150849567c0:32a7	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	City
-60ed8313:150849567c0:434c	EthnicProportion
-60ed8313:150849567c0:3203	Membership
-60ed8313:150849567c0:1e7a	Membership
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	City
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	Province
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	City
http://www.semwebtech.org/mondial/10/lake/OzeroChanka/	Lake
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	City
http://www.semwebtech.org/mondial/10/islands/Curiles/	Islands
-60ed8313:150849567c0:3463	Membership
-60ed8313:150849567c0:3a95	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	City
-60ed8313:150849567c0:1768	Encompassed
-60ed8313:150849567c0:25fd	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	City
-60ed8313:150849567c0:3e29	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	Province
-60ed8313:150849567c0:1ae6	Membership
-60ed8313:150849567c0:2b8b	Membership
-60ed8313:150849567c0:37a3	Membership
http://www.semwebtech.org/mondial/10/estuary/RioDesaguadero/	Estuary
-60ed8313:150849567c0:1a42	Membership
-60ed8313:150849567c0:2f1f	Membership
-60ed8313:150849567c0:3dd5	Membership
-60ed8313:150849567c0:2219	Membership
-60ed8313:150849567c0:4174	BelievedBy
-60ed8313:150849567c0:30ae	Membership
http://www.semwebtech.org/mondial/10/country/UZB/	Country
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	Province
-60ed8313:150849567c0:3d31	Membership
-60ed8313:150849567c0:300a	Membership
-60ed8313:150849567c0:4508	EthnicProportion
-60ed8313:150849567c0:2479	Membership
http://www.semwebtech.org/mondial/10/river/Morava/	River
-60ed8313:150849567c0:3f91	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	City
-60ed8313:150849567c0:2ecb	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	Province
-60ed8313:150849567c0:21c5	Membership
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	Province
-60ed8313:150849567c0:326a	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Gurage/	EthnicGroup
http://www.semwebtech.org/mondial/10/language/Vietnamese/	Language
-60ed8313:150849567c0:2121	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	Province
-60ed8313:150849567c0:44b4	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	City
-60ed8313:150849567c0:19b0	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	Province
-60ed8313:150849567c0:4410	EthnicProportion
-60ed8313:150849567c0:1fe2	Membership
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	City
-60ed8313:150849567c0:27b9	Membership
-60ed8313:150849567c0:2381	Membership
-60ed8313:150849567c0:385e	Membership
http://www.semwebtech.org/mondial/10/language/AfghanPersian/	Language
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	City
-60ed8313:150849567c0:2715	Membership
-60ed8313:150849567c0:35aa	Membership
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	City
http://www.semwebtech.org/mondial/10/islands/FijiIslands/	Islands
-60ed8313:150849567c0:21ef	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	City
-60ed8313:150849567c0:2d47	Membership
-60ed8313:150849567c0:3bdc	Membership
http://www.semwebtech.org/mondial/10/island/SantaCatalinaIsland/	Island
-60ed8313:150849567c0:18af	Border
-60ed8313:150849567c0:2975	Membership
-60ed8313:150849567c0:430f	BelievedBy
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	City
-60ed8313:150849567c0:180b	Border
http://www.semwebtech.org/mondial/10/estuary/Manicouagan/	Estuary
-60ed8313:150849567c0:26c1	Membership
-60ed8313:150849567c0:1e3d	Membership
-60ed8313:150849567c0:2cf3	Membership
-60ed8313:150849567c0:3092	Membership
-60ed8313:150849567c0:456f	EthnicProportion
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	City
-60ed8313:150849567c0:3426	Membership
-60ed8313:150849567c0:42bb	BelievedBy
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	Province
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/city/Hakha/	City
-60ed8313:150849567c0:3a58	Membership
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	City
http://www.semwebtech.org/mondial/10/mountains/Taurus/	Mountains
http://www.semwebtech.org/mondial/10/mountain/EmiKussi/	Mountain
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	City
http://www.semwebtech.org/mondial/10/islands/Carolines/	Islands
-60ed8313:150849567c0:3686	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Italian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/city/ChakeChake/	City
http://www.semwebtech.org/mondial/10/island/TeWaka-a-Maui-SouthIsland-/	Island
-60ed8313:150849567c0:251c	Membership
-60ed8313:150849567c0:33d2	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	Province
-60ed8313:150849567c0:1aa9	Membership
-60ed8313:150849567c0:2b4e	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	City
http://www.semwebtech.org/mondial/10/river/Weser/	River
-60ed8313:150849567c0:1a05	Membership
-60ed8313:150849567c0:16d7	Encompassed
-60ed8313:150849567c0:277c	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	Province
-60ed8313:150849567c0:4137	BelievedBy
-60ed8313:150849567c0:39c6	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	Province
http://www.semwebtech.org/mondial/10/lake/LakeOahe/	Lake
-60ed8313:150849567c0:4397	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	City
-60ed8313:150849567c0:1c65	Membership
-60ed8313:150849567c0:3ff8	SpokenBy
-60ed8313:150849567c0:2afa	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	City
-60ed8313:150849567c0:3922	Membership
http://www.semwebtech.org/mondial/10/lake/LacLeman/	Lake
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	City
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/city/Yamagata/	City
-60ed8313:150849567c0:1893	Border
-60ed8313:150849567c0:3f54	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	Province
-60ed8313:150849567c0:322d	Membership
-60ed8313:150849567c0:40e3	SpokenBy
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	Province
-60ed8313:150849567c0:3ca0	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Moravian/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/SchattalArab/	River
http://www.semwebtech.org/mondial/10/country/RM/	Country
-60ed8313:150849567c0:23e8	Membership
-60ed8313:150849567c0:348d	Membership
-60ed8313:150849567c0:1fa5	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Persian/	EthnicGroup
http://www.semwebtech.org/mondial/10/estuary/Angara/	Estuary
-60ed8313:150849567c0:2344	Membership
-60ed8313:150849567c0:1f01	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	Province
http://www.semwebtech.org/mondial/10/mountain/Galdhoeppig/	Mountain
-60ed8313:150849567c0:2938	Membership
-60ed8313:150849567c0:22f0	Membership
-60ed8313:150849567c0:37cd	Membership
-60ed8313:150849567c0:1a6c	Membership
-60ed8313:150849567c0:3dff	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	Province
-60ed8313:150849567c0:30f9	Membership
-60ed8313:150849567c0:419e	BelievedBy
-60ed8313:150849567c0:3d5b	Membership
-60ed8313:150849567c0:2cb6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	City
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	City
-60ed8313:150849567c0:3055	Membership
-60ed8313:150849567c0:2c12	Membership
-60ed8313:150849567c0:28e4	Membership
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	Province
-60ed8313:150849567c0:2840	Membership
http://www.semwebtech.org/mondial/10/island/LongIsland/	Island
-60ed8313:150849567c0:1dac	Membership
-60ed8313:150849567c0:2e72	Membership
-60ed8313:150849567c0:214b	Membership
-60ed8313:150849567c0:3649	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	City
-60ed8313:150849567c0:44de	EthnicProportion
-60ed8313:150849567c0:19da	Membership
-60ed8313:150849567c0:443a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	City
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	Province
-60ed8313:150849567c0:273f	Membership
http://www.semwebtech.org/mondial/10/mountain/Pinatubo/	Mountain
-60ed8313:150849567c0:35f5	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	City
-60ed8313:150849567c0:3551	Membership
http://www.semwebtech.org/mondial/10/organization/WCO/	Organization
-60ed8313:150849567c0:1c28	Membership
-60ed8313:150849567c0:2abd	Membership
-60ed8313:150849567c0:299f	Membership
-60ed8313:150849567c0:3b83	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Komotini/	City
-60ed8313:150849567c0:1856	Border
-60ed8313:150849567c0:26eb	Membership
-60ed8313:150849567c0:3f17	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	City
-60ed8313:150849567c0:40a6	SpokenBy
-60ed8313:150849567c0:1e88	Membership
-60ed8313:150849567c0:4002	SpokenBy
-60ed8313:150849567c0:1bd4	Membership
http://www.semwebtech.org/mondial/10/country/R/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	Province
-60ed8313:150849567c0:3ec3	Membership
-60ed8313:150849567c0:1b30	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	City
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	Province
-60ed8313:150849567c0:2307	Membership
-60ed8313:150849567c0:4262	BelievedBy
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	City
http://www.semwebtech.org/mondial/10/river/StraitsofMackinac/	River
-60ed8313:150849567c0:1d90	Membership
-60ed8313:150849567c0:2567	Membership
-60ed8313:150849567c0:33fc	Membership
http://www.semwebtech.org/mondial/10/island/Rota/	Island
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	City
-60ed8313:150849567c0:2b99	Membership
-60ed8313:150849567c0:22b3	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	City
-60ed8313:150849567c0:1a2f	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	City
http://www.semwebtech.org/mondial/10/lake/Brienzersee/	Lake
-60ed8313:150849567c0:3d1e	Membership
-60ed8313:150849567c0:3018	Membership
-60ed8313:150849567c0:1c8f	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Province
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	City
-60ed8313:150849567c0:28a7	Membership
-60ed8313:150849567c0:394c	Membership
-60ed8313:150849567c0:2ed9	Membership
-60ed8313:150849567c0:2803	Membership
-60ed8313:150849567c0:3f7e	Membership
-60ed8313:150849567c0:3278	Membership
http://www.semwebtech.org/mondial/10/river/Waag/	River
-60ed8313:150849567c0:2e35	Membership
-60ed8313:150849567c0:3cca	Membership
-60ed8313:150849567c0:210e	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	City
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	City
http://www.semwebtech.org/mondial/10/river/RioMagdalena/	River
http://www.semwebtech.org/mondial/10/country/RCH/	Country
-60ed8313:150849567c0:1fcf	Membership
-60ed8313:150849567c0:236e	Membership
http://www.semwebtech.org/mondial/10/source/Zambezi/	Source
-60ed8313:150849567c0:1f2b	Membership
-60ed8313:150849567c0:2de1	Membership
-60ed8313:150849567c0:20ba	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/city/SanJosedelGuaviare/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	City
-60ed8313:150849567c0:35b8	Membership
-60ed8313:150849567c0:3180	Membership
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/city/Myitkyina/	City
-60ed8313:150849567c0:3514	Membership
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	City
http://www.semwebtech.org/mondial/10/source/YukonRiver/	Source
-60ed8313:150849567c0:3b46	Membership
http://www.semwebtech.org/mondial/10/mountain/NandaDevi/	Mountain
-60ed8313:150849567c0:1819	Border
-60ed8313:150849567c0:26ae	Membership
-60ed8313:150849567c0:3774	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	Province
-60ed8313:150849567c0:260a	Membership
-60ed8313:150849567c0:34c0	Membership
-60ed8313:150849567c0:307f	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	Province
http://www.semwebtech.org/mondial/10/mountains/CascadeRange/	Mountains
http://www.semwebtech.org/mondial/10/estuary/Ucayali/	Estuary
-60ed8313:150849567c0:2c3c	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	City
-60ed8313:150849567c0:3af2	Membership
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	City
-60ed8313:150849567c0:42c9	BelievedBy
-60ed8313:150849567c0:17c5	Border
-60ed8313:150849567c0:286a	Membership
-60ed8313:150849567c0:4225	BelievedBy
http://www.semwebtech.org/mondial/10/lake/NamCo/	Lake
-60ed8313:150849567c0:1df7	Membership
-60ed8313:150849567c0:1721	Encompassed
-60ed8313:150849567c0:2e9c	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	Province
-60ed8313:150849567c0:2196	Membership
-60ed8313:150849567c0:1d53	Membership
-60ed8313:150849567c0:33bf	Membership
-60ed8313:150849567c0:4485	EthnicProportion
-60ed8313:150849567c0:1981	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	Province
-60ed8313:150849567c0:331b	Membership
-60ed8313:150849567c0:41d1	BelievedBy
-60ed8313:150849567c0:24d6	Membership
-60ed8313:150849567c0:357b	Membership
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	City
-60ed8313:150849567c0:2432	Membership
-60ed8313:150849567c0:390f	Membership
http://www.semwebtech.org/mondial/10/country/NORF/	Country
-60ed8313:150849567c0:2a64	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	Province
-60ed8313:150849567c0:2692	Membership
http://www.semwebtech.org/mondial/10/country/BRU/	Country
-60ed8313:150849567c0:402c	SpokenBy
-60ed8313:150849567c0:1bfe	Membership
http://www.semwebtech.org/mondial/10/source/Rhone/	Source
-60ed8313:150849567c0:38bb	Membership
-60ed8313:150849567c0:1b5a	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Rakhine/	EthnicGroup
http://www.semwebtech.org/mondial/10/mountain/Jezerce/	Mountain
-60ed8313:150849567c0:3eed	Membership
-60ed8313:150849567c0:31e7	Membership
-60ed8313:150849567c0:428c	BelievedBy
-60ed8313:150849567c0:2da4	Membership
http://www.semwebtech.org/mondial/10/lake/LakeCabora-Bassa/	Lake
-60ed8313:150849567c0:3143	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	City
-60ed8313:150849567c0:2d00	Membership
-60ed8313:150849567c0:29d2	Membership
-60ed8313:150849567c0:22dd	Membership
-60ed8313:150849567c0:3b09	Membership
-60ed8313:150849567c0:2f60	Membership
-60ed8313:150849567c0:3737	Membership
-60ed8313:150849567c0:3d69	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	Province
-60ed8313:150849567c0:3ab5	Membership
-60ed8313:150849567c0:3997	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	Province
http://www.semwebtech.org/mondial/10/island/SanAndres/	Island
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	Province
-60ed8313:150849567c0:3a11	Membership
-60ed8313:150849567c0:282d	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	City
-60ed8313:150849567c0:36e3	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	City
http://www.semwebtech.org/mondial/10/source/Karun/	Source
-60ed8313:150849567c0:2e5f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	City
-60ed8313:150849567c0:2159	Membership
-60ed8313:150849567c0:1d16	Membership
-60ed8313:150849567c0:19e8	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	City
-60ed8313:150849567c0:2bab	Membership
http://www.semwebtech.org/mondial/10/source/Würm/	Source
-60ed8313:150849567c0:3c71	Membership
-60ed8313:150849567c0:4448	EthnicProportion
-60ed8313:150849567c0:1944	Membership
-60ed8313:150849567c0:1f76	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	Province
-60ed8313:150849567c0:1cc2	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Tuareg/	EthnicGroup
-60ed8313:150849567c0:2061	Membership
-60ed8313:150849567c0:353e	Membership
-60ed8313:150849567c0:43f4	EthnicProportion
http://www.semwebtech.org/mondial/10/estuary/NiagaraRiver/	Estuary
-60ed8313:150849567c0:18f0	Border
-60ed8313:150849567c0:3fb1	Membership
-60ed8313:150849567c0:4350	EthnicProportion
http://www.semwebtech.org/mondial/10/islands/Philipines/	Islands
http://www.semwebtech.org/mondial/10/country/NEP/	Country
-60ed8313:150849567c0:2a27	Membership
-60ed8313:150849567c0:26f9	Membership
-60ed8313:150849567c0:379e	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	Province
-60ed8313:150849567c0:2655	Membership
http://www.semwebtech.org/mondial/10/mountain/MontGreboun/	Mountain
-60ed8313:150849567c0:34ea	Membership
http://www.semwebtech.org/mondial/10/organization/OSCE/	Organization
-60ed8313:150849567c0:2c87	Membership
-60ed8313:150849567c0:23a1	Membership
http://www.semwebtech.org/mondial/10/organization/C/	Organization
http://www.semwebtech.org/mondial/10/country/BF/	Country
-60ed8313:150849567c0:1b1d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	City
-60ed8313:150849567c0:17ef	Border
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	Province
http://www.semwebtech.org/mondial/10/mountains/CapeVerdes/	Mountains
-60ed8313:150849567c0:424f	BelievedBy
-60ed8313:150849567c0:174b	Encompassed
-60ed8313:150849567c0:3e0c	Membership
-60ed8313:150849567c0:3106	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	Province
-60ed8313:150849567c0:1d7d	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	Province
http://www.semwebtech.org/mondial/10/river/RioLerma/	River
http://www.semwebtech.org/mondial/10/organization/D-8/	Organization
-60ed8313:150849567c0:2fc7	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	Province
-60ed8313:150849567c0:3366	Membership
-60ed8313:150849567c0:41fb	BelievedBy
-60ed8313:150849567c0:2f23	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	Province
-60ed8313:150849567c0:30b2	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	City
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	City
-60ed8313:150849567c0:245c	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	City
-60ed8313:150849567c0:2a8e	Membership
-60ed8313:150849567c0:36a6	Membership
http://www.semwebtech.org/mondial/10/island/SouthRonaldsay/	Island
-60ed8313:150849567c0:3cd8	Membership
-60ed8313:150849567c0:3602	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	Province
http://www.semwebtech.org/mondial/10/country/STP/	Country
-60ed8313:150849567c0:4077	SpokenBy
-60ed8313:150849567c0:3c34	Membership
http://www.semwebtech.org/mondial/10/organization/G-8/	Organization
http://www.semwebtech.org/mondial/10/estuary/Neckar/	Estuary
-60ed8313:150849567c0:1907	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/city/Maebashi/	City
-60ed8313:150849567c0:3862	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	Province
-60ed8313:150849567c0:1f39	Membership
-60ed8313:150849567c0:2dce	Membership
-60ed8313:150849567c0:3e94	Membership
-60ed8313:150849567c0:20c8	Membership
-60ed8313:150849567c0:316d	Membership
http://www.semwebtech.org/mondial/10/language/Samoan/	Language
-60ed8313:150849567c0:2d2a	Membership
-60ed8313:150849567c0:29fc	Membership
-60ed8313:150849567c0:3be0	Membership
-60ed8313:150849567c0:2024	Membership
-60ed8313:150849567c0:43b7	EthnicProportion
-60ed8313:150849567c0:18b3	Border
-60ed8313:150849567c0:4313	BelievedBy
-60ed8313:150849567c0:1ee5	Membership
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/city/NuevaGerona/	City
-60ed8313:150849567c0:2f8a	Membership
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	City
-60ed8313:150849567c0:2284	Membership
-60ed8313:150849567c0:1e41	Membership
-60ed8313:150849567c0:2618	Membership
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	City
-60ed8313:150849567c0:34ad	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	Province
-60ed8313:150849567c0:4573	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/city/Mamuju/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	City
-60ed8313:150849567c0:3adf	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/city/Schwyz/	City
-60ed8313:150849567c0:2878	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	Province
-60ed8313:150849567c0:3a3b	Membership
-60ed8313:150849567c0:170e	Encompassed
-60ed8313:150849567c0:25c4	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	Province
-60ed8313:150849567c0:2bf6	Membership
-60ed8313:150849567c0:2520	Membership
-60ed8313:150849567c0:3c9b	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	City
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	City
-60ed8313:150849567c0:196e	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	City
-60ed8313:150849567c0:2b52	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	Province
-60ed8313:150849567c0:3329	Membership
-60ed8313:150849567c0:41be	BelievedBy
-60ed8313:150849567c0:2780	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	City
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	City
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	City
-60ed8313:150849567c0:411a	BelievedBy
-60ed8313:150849567c0:1cec	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Hungarian/	EthnicGroup
-60ed8313:150849567c0:208b	Membership
http://www.semwebtech.org/mondial/10/country/IRL/	Country
-60ed8313:150849567c0:3589	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	City
-60ed8313:150849567c0:3fdb	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	City
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	City
-60ed8313:150849567c0:241f	Membership
-60ed8313:150849567c0:32d5	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	City
-60ed8313:150849567c0:437a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/city/Lindi/	City
-60ed8313:150849567c0:3231	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	City
-60ed8313:150849567c0:267f	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	City
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Province
-60ed8313:150849567c0:23cb	Membership
-60ed8313:150849567c0:38c9	Membership
-60ed8313:150849567c0:3491	Membership
-60ed8313:150849567c0:1b68	Membership
http://www.semwebtech.org/mondial/10/source/EucumbeneRiver/	Source
-60ed8313:150849567c0:3825	Membership
http://www.semwebtech.org/mondial/10/source/Tocantins/	Source
-60ed8313:150849567c0:1796	Encompassed
-60ed8313:150849567c0:3e57	Membership
http://www.semwebtech.org/mondial/10/island/Bohol/	Island
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	City
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	Province
-60ed8313:150849567c0:29bf	Membership
-60ed8313:150849567c0:3ba3	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	Province
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	City
-60ed8313:150849567c0:291b	Membership
-60ed8313:150849567c0:37d1	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	City
-60ed8313:150849567c0:1ea8	Membership
-60ed8313:150849567c0:1a70	Membership
-60ed8313:150849567c0:2f4d	Membership
-60ed8313:150849567c0:2247	Membership
-60ed8313:150849567c0:30dc	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	Province
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	City
-60ed8313:150849567c0:1e04	Membership
-60ed8313:150849567c0:4536	EthnicProportion
-60ed8313:150849567c0:21f3	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/city/Fukushima/	City
-60ed8313:150849567c0:1db0	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	Province
-60ed8313:150849567c0:362c	Membership
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	Province
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	City
-60ed8313:150849567c0:44e2	EthnicProportion
-60ed8313:150849567c0:2bb9	Membership
-60ed8313:150849567c0:3c5e	Membership
-60ed8313:150849567c0:2b15	Membership
-60ed8313:150849567c0:27e7	Membership
-60ed8313:150849567c0:388c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	Province
-60ed8313:150849567c0:2743	Membership
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	Province
-60ed8313:150849567c0:1caf	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	Province
http://www.semwebtech.org/mondial/10/island/Corvo/	Island
-60ed8313:150849567c0:2d75	Membership
-60ed8313:150849567c0:204e	Membership
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	City
-60ed8313:150849567c0:1c0b	Membership
-60ed8313:150849567c0:18dd	Border
-60ed8313:150849567c0:2ac1	Membership
-60ed8313:150849567c0:433d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	Province
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/city/LaAsuncion/	City
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	Province
http://www.semwebtech.org/mondial/10/mountain/GerlachovskyStit/	Mountain
-60ed8313:150849567c0:1e6b	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	Province
-60ed8313:150849567c0:34f8	Membership
-60ed8313:150849567c0:459d	EthnicProportion
-60ed8313:150849567c0:3454	Membership
http://www.semwebtech.org/mondial/10/mountains/Beskides/	Mountains
-60ed8313:150849567c0:3a86	Membership
-60ed8313:150849567c0:31a0	Membership
-60ed8313:150849567c0:1759	Encompassed
-60ed8313:150849567c0:25ee	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/city/Delemont/	City
-60ed8313:150849567c0:254a	Membership
-60ed8313:150849567c0:1ad7	Membership
-60ed8313:150849567c0:2b7c	Membership
-60ed8313:150849567c0:1a33	Membership
-60ed8313:150849567c0:3dc6	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	City
-60ed8313:150849567c0:4165	BelievedBy
-60ed8313:150849567c0:3d22	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	City
-60ed8313:150849567c0:39f4	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/city/PuertoLempira/	City
-60ed8313:150849567c0:1c93	Membership
http://www.semwebtech.org/mondial/10/language/Maltese/	Language
-60ed8313:150849567c0:3950	Membership
-60ed8313:150849567c0:32ff	Membership
-60ed8313:150849567c0:2ebc	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	Province
-60ed8313:150849567c0:3f82	Membership
-60ed8313:150849567c0:21b6	Membership
-60ed8313:150849567c0:325b	Membership
http://www.semwebtech.org/mondial/10/source/Zaire/	Source
-60ed8313:150849567c0:2112	Membership
-60ed8313:150849567c0:44a5	EthnicProportion
-60ed8313:150849567c0:19a1	Membership
-60ed8313:150849567c0:4401	EthnicProportion
-60ed8313:150849567c0:1fd3	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	City
-60ed8313:150849567c0:2372	Membership
-60ed8313:150849567c0:384f	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	City
-60ed8313:150849567c0:2706	Membership
http://www.semwebtech.org/mondial/10/river/Angara/	River
-60ed8313:150849567c0:2d38	Membership
-60ed8313:150849567c0:3bcd	Membership
-60ed8313:150849567c0:2966	Membership
-60ed8313:150849567c0:37fb	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	Province
http://www.semwebtech.org/mondial/10/estuary/Tarim-Yarkend/	Estuary
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	City
-60ed8313:150849567c0:2f98	Membership
-60ed8313:150849567c0:1a9a	Membership
-60ed8313:150849567c0:26b2	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	City
-60ed8313:150849567c0:1e2e	Membership
-60ed8313:150849567c0:2ce4	Membership
-60ed8313:150849567c0:3083	Membership
-60ed8313:150849567c0:2c40	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	City
-60ed8313:150849567c0:3417	Membership
-60ed8313:150849567c0:42ac	BelievedBy
-60ed8313:150849567c0:3a49	Membership
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	City
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/EuropeanSyrian-Lebanese/	EthnicGroup
http://www.semwebtech.org/mondial/10/lake/KievReservoir/	Lake
-60ed8313:150849567c0:1dda	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Serer/	EthnicGroup
-60ed8313:150849567c0:3677	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	City
http://www.semwebtech.org/mondial/10/source/Aruwimi/	Source
-60ed8313:150849567c0:250d	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	City
-60ed8313:150849567c0:33c3	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	City
-60ed8313:150849567c0:2b3f	Membership
http://www.semwebtech.org/mondial/10/organization/CACM/	Organization
-60ed8313:150849567c0:16c8	Encompassed
-60ed8313:150849567c0:276d	Membership
-60ed8313:150849567c0:4128	BelievedBy
-60ed8313:150849567c0:2d9f	Membership
-60ed8313:150849567c0:39b7	Membership
-60ed8313:150849567c0:2099	Membership
http://www.semwebtech.org/mondial/10/source/Lena/	Source
-60ed8313:150849567c0:1c56	Membership
-60ed8313:150849567c0:2aeb	Membership
-60ed8313:150849567c0:3fe9	Membership
-60ed8313:150849567c0:3913	Membership
-60ed8313:150849567c0:4388	EthnicProportion
http://www.semwebtech.org/mondial/10/sea/SeaofJapan/	Sea
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	Province
-60ed8313:150849567c0:1884	Border
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	City
-60ed8313:150849567c0:3f45	Membership
-60ed8313:150849567c0:321e	Membership
-60ed8313:150849567c0:40d4	SpokenBy
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	City
http://www.semwebtech.org/mondial/10/island/GrandCayman/	Island
-60ed8313:150849567c0:4030	SpokenBy
-60ed8313:150849567c0:23d9	Membership
http://www.semwebtech.org/mondial/10/estuary/Bani/	Estuary
-60ed8313:150849567c0:347e	Membership
http://www.semwebtech.org/mondial/10/island/Pico/	Island
-60ed8313:150849567c0:3ef1	Membership
-60ed8313:150849567c0:2335	Membership
-60ed8313:150849567c0:31ca	Membership
http://www.semwebtech.org/mondial/10/island/Kreta/	Island
-60ed8313:150849567c0:4290	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/Semeru/	Mountain
-60ed8313:150849567c0:2595	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	City
-60ed8313:150849567c0:2929	Membership
-60ed8313:150849567c0:22e1	Membership
-60ed8313:150849567c0:37be	Membership
-60ed8313:150849567c0:1a5d	Membership
http://www.semwebtech.org/mondial/10/country/KOS/	Country
-60ed8313:150849567c0:371a	Membership
-60ed8313:150849567c0:418f	BelievedBy
-60ed8313:150849567c0:2ca7	Membership
-60ed8313:150849567c0:3d4c	Membership
-60ed8313:150849567c0:3046	Membership
-60ed8313:150849567c0:2c03	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	Province
-60ed8313:150849567c0:28d5	Membership
-60ed8313:150849567c0:397a	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	Province
http://www.semwebtech.org/mondial/10/country/GB/province/London/	Province
-60ed8313:150849567c0:2831	Membership
-60ed8313:150849567c0:2e63	Membership
-60ed8313:150849567c0:213c	Membership
-60ed8313:150849567c0:44cf	EthnicProportion
-60ed8313:150849567c0:19cb	Membership
-60ed8313:150849567c0:442b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	Province
-60ed8313:150849567c0:1ffd	Membership
-60ed8313:150849567c0:239c	Membership
http://www.semwebtech.org/mondial/10/river/Luvua/	River
-60ed8313:150849567c0:35e6	Membership
-60ed8313:150849567c0:3542	Membership
-60ed8313:150849567c0:1c19	Membership
-60ed8313:150849567c0:2aae	Membership
-60ed8313:150849567c0:3b74	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	City
-60ed8313:150849567c0:1847	Border
-60ed8313:150849567c0:2a0a	Membership
-60ed8313:150849567c0:26dc	Membership
-60ed8313:150849567c0:3f08	Membership
-60ed8313:150849567c0:1e79	Membership
http://www.semwebtech.org/mondial/10/country/KAZ/province/Baikonur/city/Baikonur/	City
-60ed8313:150849567c0:1bc5	Membership
-60ed8313:150849567c0:2c6a	Membership
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	City
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	Province
-60ed8313:150849567c0:42f7	BelievedBy
-60ed8313:150849567c0:1b21	Membership
-60ed8313:150849567c0:17f3	Border
-60ed8313:150849567c0:3eb4	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	City
-60ed8313:150849567c0:4253	BelievedBy
http://www.semwebtech.org/mondial/10/island/Texel/	Island
-60ed8313:150849567c0:3e10	Membership
-60ed8313:150849567c0:1d81	Membership
-60ed8313:150849567c0:2558	Membership
-60ed8313:150849567c0:33ed	Membership
-60ed8313:150849567c0:2faa	Membership
-60ed8313:150849567c0:22a4	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	Province
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	City
-60ed8313:150849567c0:2200	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	City
-60ed8313:150849567c0:3d0f	Membership
-60ed8313:150849567c0:3009	Membership
http://www.semwebtech.org/mondial/10/language/Roma/	Language
-60ed8313:150849567c0:2460	Membership
-60ed8313:150849567c0:393d	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	City
-60ed8313:150849567c0:2a92	Membership
-60ed8313:150849567c0:3f6f	Membership
-60ed8313:150849567c0:3269	Membership
-60ed8313:150849567c0:40fe	SpokenBy
http://www.semwebtech.org/mondial/10/organization/UNFICYP/	Organization
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	City
-60ed8313:150849567c0:2e26	Membership
-60ed8313:150849567c0:3cbb	Membership
-60ed8313:150849567c0:405a	SpokenBy
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	Province
-60ed8313:150849567c0:27a0	Membership
-60ed8313:150849567c0:235f	Membership
-60ed8313:150849567c0:1f1c	Membership
-60ed8313:150849567c0:2dd2	Membership
-60ed8313:150849567c0:35a9	Membership
-60ed8313:150849567c0:20ab	Membership
-60ed8313:150849567c0:3171	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	Province
http://www.semwebtech.org/mondial/10/island/Dominica/	Island
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	City
-60ed8313:150849567c0:3505	Membership
-60ed8313:150849567c0:3b37	Membership
http://www.semwebtech.org/mondial/10/lake/Paeijaenne/	Lake
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-Chinese/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	City
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	Province
-60ed8313:150849567c0:3765	Membership
-60ed8313:150849567c0:3d97	Membership
-60ed8313:150849567c0:34b1	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	Province
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	City
-60ed8313:150849567c0:2c2d	Membership
-60ed8313:150849567c0:28ff	Membership
-60ed8313:150849567c0:3ae3	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	Province
-60ed8313:150849567c0:17b6	Encompassed
-60ed8313:150849567c0:285b	Membership
-60ed8313:150849567c0:4216	BelievedBy
-60ed8313:150849567c0:1de8	Membership
-60ed8313:150849567c0:1712	Encompassed
-60ed8313:150849567c0:2e8d	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Lut/	Desert
-60ed8313:150849567c0:2187	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	Province
-60ed8313:150849567c0:1d44	Membership
-60ed8313:150849567c0:4476	EthnicProportion
-60ed8313:150849567c0:1972	Membership
http://www.semwebtech.org/mondial/10/country/AUS/	Country
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	City
-60ed8313:150849567c0:330c	Membership
-60ed8313:150849567c0:41c2	BelievedBy
http://www.semwebtech.org/mondial/10/source/Reuss/	Source
-60ed8313:150849567c0:1cf0	Membership
-60ed8313:150849567c0:24c7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	City
-60ed8313:150849567c0:356c	Membership
-60ed8313:150849567c0:2af9	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	City
-60ed8313:150849567c0:2423	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	City
-60ed8313:150849567c0:3b9e	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	City
-60ed8313:150849567c0:2a55	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	Province
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	City
-60ed8313:150849567c0:2683	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	Province
http://www.semwebtech.org/mondial/10/lake/SalardeUyuni/	Lake
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	City
-60ed8313:150849567c0:401d	SpokenBy
-60ed8313:150849567c0:1bef	Membership
-60ed8313:150849567c0:38ac	Membership
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	Province
-60ed8313:150849567c0:1b4b	Membership
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	Province
-60ed8313:150849567c0:3ede	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Russian/	EthnicGroup
-60ed8313:150849567c0:31d8	Membership
http://www.semwebtech.org/mondial/10/language/Macedonian/	Language
-60ed8313:150849567c0:427d	BelievedBy
-60ed8313:150849567c0:3e3a	Membership
-60ed8313:150849567c0:3134	Membership
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	Province
http://www.semwebtech.org/mondial/10/source/WesternMorava/	Source
-60ed8313:150849567c0:29c3	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	Province
-60ed8313:150849567c0:2ff5	Membership
-60ed8313:150849567c0:22ce	Membership
-60ed8313:150849567c0:3394	Membership
-60ed8313:150849567c0:2f51	Membership
-60ed8313:150849567c0:222a	Membership
-60ed8313:150849567c0:3728	Membership
-60ed8313:150849567c0:30e0	Membership
http://www.semwebtech.org/mondial/10/river/Baro/	River
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	City
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	Province
-60ed8313:150849567c0:3aa6	Membership
-60ed8313:150849567c0:248a	Membership
-60ed8313:150849567c0:3988	Membership
-60ed8313:150849567c0:281e	Membership
-60ed8313:150849567c0:3a02	Membership
-60ed8313:150849567c0:36d4	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	City
-60ed8313:150849567c0:3630	Membership
-60ed8313:150849567c0:1d07	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/city/Agartala/	City
-60ed8313:150849567c0:19d9	Membership
http://www.semwebtech.org/mondial/10/source/NorthernDwina/	Source
-60ed8313:150849567c0:3c62	Membership
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	City
-60ed8313:150849567c0:4439	EthnicProportion
-60ed8313:150849567c0:1935	Membership
-60ed8313:150849567c0:27ca	Membership
-60ed8313:150849567c0:3890	Membership
-60ed8313:150849567c0:1f67	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	City
-60ed8313:150849567c0:2dfc	Membership
-60ed8313:150849567c0:20f6	Membership
-60ed8313:150849567c0:319b	Membership
-60ed8313:150849567c0:1cb3	Membership
http://www.semwebtech.org/mondial/10/estuary/BlackDrin/	Estuary
-60ed8313:150849567c0:2052	Membership
-60ed8313:150849567c0:352f	Membership
-60ed8313:150849567c0:43e5	EthnicProportion
-60ed8313:150849567c0:18e1	Border
-60ed8313:150849567c0:3fa2	Membership
-60ed8313:150849567c0:4341	EthnicProportion
-60ed8313:150849567c0:2a18	Membership
http://www.semwebtech.org/mondial/10/river/Kura/	River
-60ed8313:150849567c0:378f	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	Province
-60ed8313:150849567c0:2646	Membership
-60ed8313:150849567c0:34db	Membership
-60ed8313:150849567c0:2c78	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraReal/	Mountains
-60ed8313:150849567c0:1b0e	Membership
-60ed8313:150849567c0:173c	Encompassed
http://www.semwebtech.org/mondial/10/ethnicgroup/Melanesian/	EthnicGroup
-60ed8313:150849567c0:25f2	Membership
-60ed8313:150849567c0:1d6e	Membership
-60ed8313:150849567c0:1aba	Membership
-60ed8313:150849567c0:199c	Membership
-60ed8313:150849567c0:2fb8	Membership
-60ed8313:150849567c0:2b80	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	City
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	City
-60ed8313:150849567c0:3357	Membership
-60ed8313:150849567c0:41ec	BelievedBy
-60ed8313:150849567c0:2f14	Membership
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Acholi/	EthnicGroup
http://www.semwebtech.org/mondial/10/river/Drin/	River
-60ed8313:150849567c0:30a3	Membership
http://www.semwebtech.org/mondial/10/source/WesternBug/	Source
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	City
-60ed8313:150849567c0:244d	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Lokoja/	City
http://www.semwebtech.org/mondial/10/source/Paraguay/	Source
-60ed8313:150849567c0:2ec0	Membership
-60ed8313:150849567c0:2a7f	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	City
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	Province
-60ed8313:150849567c0:3cc9	Membership
-60ed8313:150849567c0:4068	SpokenBy
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	City
-60ed8313:150849567c0:3c25	Membership
-60ed8313:150849567c0:38f7	Membership
-60ed8313:150849567c0:1b96	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/city/Fribourg/	City
-60ed8313:150849567c0:3853	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	City
-60ed8313:150849567c0:2dbf	Membership
-60ed8313:150849567c0:3e85	Membership
-60ed8313:150849567c0:20b9	Membership
-60ed8313:150849567c0:315e	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Langi/	EthnicGroup
-60ed8313:150849567c0:2d1b	Membership
-60ed8313:150849567c0:29ed	Membership
-60ed8313:150849567c0:3bd1	Membership
-60ed8313:150849567c0:2015	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Borneoindigenous/	EthnicGroup
-60ed8313:150849567c0:43a8	EthnicProportion
http://www.semwebtech.org/mondial/10/source/RiviereRichelieu/	Source
-60ed8313:150849567c0:18a4	Border
-60ed8313:150849567c0:4304	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Ubangi/	Estuary
http://www.semwebtech.org/mondial/10/source/Mincio/	Source
http://www.semwebtech.org/mondial/10/lake/LakeTana/	Lake
-60ed8313:150849567c0:1ed6	Membership
-60ed8313:150849567c0:1800	Border
-60ed8313:150849567c0:2f7b	Membership
-60ed8313:150849567c0:2275	Membership
-60ed8313:150849567c0:1e32	Membership
http://www.semwebtech.org/mondial/10/island/NewGuinea/	Island
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	City
-60ed8313:150849567c0:2609	Membership
http://www.semwebtech.org/mondial/10/island/Leyte/	Island
-60ed8313:150849567c0:4564	EthnicProportion
http://www.semwebtech.org/mondial/10/river/RioMamore/	River
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	City
http://www.semwebtech.org/mondial/10/mountain/Muztagata/	Mountain
-60ed8313:150849567c0:42b0	BelievedBy
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	City
-60ed8313:150849567c0:2869	Membership
http://www.semwebtech.org/mondial/10/country/CEU/	Country
-60ed8313:150849567c0:3a2c	Membership
-60ed8313:150849567c0:36fe	Membership
-60ed8313:150849567c0:25b5	Membership
-60ed8313:150849567c0:365a	Membership
http://www.semwebtech.org/mondial/10/island/KotelnyIsland/	Island
-60ed8313:150849567c0:2be7	Membership
-60ed8313:150849567c0:2511	Membership
-60ed8313:150849567c0:3c8c	Membership
-60ed8313:150849567c0:195f	Membership
-60ed8313:150849567c0:2b43	Membership
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	Province
-60ed8313:150849567c0:41af	BelievedBy
-60ed8313:150849567c0:2771	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	City
http://www.semwebtech.org/mondial/10/country/DZ/	Country
-60ed8313:150849567c0:410b	BelievedBy
-60ed8313:150849567c0:1cdd	Membership
-60ed8313:150849567c0:207c	Membership
-60ed8313:150849567c0:3fcc	Membership
-60ed8313:150849567c0:32c6	Membership
-60ed8313:150849567c0:436b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	City
-60ed8313:150849567c0:3222	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Merida/	City
-60ed8313:150849567c0:23bc	Membership
-60ed8313:150849567c0:3482	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	City
-60ed8313:150849567c0:1b59	Membership
-60ed8313:150849567c0:3816	Membership
-60ed8313:150849567c0:1787	Encompassed
-60ed8313:150849567c0:3e48	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	City
http://www.semwebtech.org/mondial/10/river/Elbe/	River
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	City
http://www.semwebtech.org/mondial/10/mountain/JabalShuayb/	Mountain
http://www.semwebtech.org/mondial/10/country/MS/	Country
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	City
-60ed8313:150849567c0:290c	Membership
-60ed8313:150849567c0:37c2	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	Province
http://www.semwebtech.org/mondial/10/island/Basse-Terre/	Island
-60ed8313:150849567c0:1a61	Membership
-60ed8313:150849567c0:2f3e	Membership
-60ed8313:150849567c0:3df4	Membership
-60ed8313:150849567c0:2238	Membership
-60ed8313:150849567c0:30cd	Membership
-60ed8313:150849567c0:4193	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/MtHood/	Mountain
http://www.semwebtech.org/mondial/10/mountain/TorredeEstrela/	Mountain
-60ed8313:150849567c0:3d50	Membership
-60ed8313:150849567c0:4527	EthnicProportion
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	City
-60ed8313:150849567c0:2498	Membership
-60ed8313:150849567c0:2eea	Membership
-60ed8313:150849567c0:21e4	Membership
-60ed8313:150849567c0:1da1	Membership
-60ed8313:150849567c0:2140	Membership
-60ed8313:150849567c0:361d	Membership
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Margoh/	Desert
-60ed8313:150849567c0:44d3	EthnicProportion
-60ed8313:150849567c0:3c4f	Membership
-60ed8313:150849567c0:387d	Membership
-60ed8313:150849567c0:2b06	Membership
-60ed8313:150849567c0:27d8	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	City
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	Province
-60ed8313:150849567c0:2734	Membership
http://www.semwebtech.org/mondial/10/river/Maas/	River
http://www.semwebtech.org/mondial/10/ethnicgroup/Hindustani/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	City
-60ed8313:150849567c0:2d66	Membership
-60ed8313:150849567c0:3bfb	Membership
-60ed8313:150849567c0:203f	Membership
-60ed8313:150849567c0:18ce	Border
-60ed8313:150849567c0:2ab2	Membership
-60ed8313:150849567c0:2994	Membership
-60ed8313:150849567c0:432e	EthnicProportion
-60ed8313:150849567c0:182a	Border
-60ed8313:150849567c0:26e0	Membership
-60ed8313:150849567c0:229f	Membership
-60ed8313:150849567c0:1e5c	Membership
-60ed8313:150849567c0:34e9	Membership
-60ed8313:150849567c0:458e	EthnicProportion
-60ed8313:150849567c0:3445	Membership
-60ed8313:150849567c0:42da	BelievedBy
-60ed8313:150849567c0:3a77	Membership
http://www.semwebtech.org/mondial/10/mountain/Kerinci/	Mountain
-60ed8313:150849567c0:25df	Membership
-60ed8313:150849567c0:253b	Membership
-60ed8313:150849567c0:33f1	Membership
-60ed8313:150849567c0:1ac8	Membership
-60ed8313:150849567c0:2b6d	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	Province
-60ed8313:150849567c0:1a24	Membership
-60ed8313:150849567c0:16f6	Encompassed
-60ed8313:150849567c0:279b	Membership
-60ed8313:150849567c0:3db7	Membership
-60ed8313:150849567c0:4156	BelievedBy
http://www.semwebtech.org/mondial/10/island/Tutuila/	Island
-60ed8313:150849567c0:3d13	Membership
-60ed8313:150849567c0:39e5	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	Province
-60ed8313:150849567c0:1c84	Membership
http://www.semwebtech.org/mondial/10/country/E/	Country
http://www.semwebtech.org/mondial/10/source/Isar/	Source
-60ed8313:150849567c0:3941	Membership
http://www.semwebtech.org/mondial/10/mountain/Uluru/	Mountain
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	City
-60ed8313:150849567c0:3f73	Membership
-60ed8313:150849567c0:2ead	Membership
-60ed8313:150849567c0:21a7	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	City
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	City
-60ed8313:150849567c0:324c	Membership
-60ed8313:150849567c0:2103	Membership
http://www.semwebtech.org/mondial/10/island/Zhoushan/	Island
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	Province
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	City
-60ed8313:150849567c0:1fc4	Membership
-60ed8313:150849567c0:2363	Membership
-60ed8313:150849567c0:1f20	Membership
-60ed8313:150849567c0:2d29	Membership
-60ed8313:150849567c0:3bbe	Membership
-60ed8313:150849567c0:2957	Membership
-60ed8313:150849567c0:3b1a	Membership
-60ed8313:150849567c0:37ec	Membership
http://www.semwebtech.org/mondial/10/source/Prypjat/	Source
-60ed8313:150849567c0:1a8b	Membership
-60ed8313:150849567c0:2f89	Membership
-60ed8313:150849567c0:26a3	Membership
http://www.semwebtech.org/mondial/10/river/JoekulsaaFjoellum/	River
-60ed8313:150849567c0:1e1f	Membership
-60ed8313:150849567c0:2cd5	Membership
-60ed8313:150849567c0:3d7a	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	City
-60ed8313:150849567c0:3074	Membership
-60ed8313:150849567c0:2c31	Membership
-60ed8313:150849567c0:3408	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	City
http://www.semwebtech.org/mondial/10/mountains/Hindukusch/	Mountains
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	City
-60ed8313:150849567c0:1dcb	Membership
-60ed8313:150849567c0:2e91	Membership
-60ed8313:150849567c0:216a	Membership
-60ed8313:150849567c0:3668	Membership
-60ed8313:150849567c0:44fd	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	Province
-60ed8313:150849567c0:33b4	Membership
-60ed8313:150849567c0:3310	Membership
http://www.semwebtech.org/mondial/10/country/MEL/	Country
-60ed8313:150849567c0:275e	Membership
http://www.semwebtech.org/mondial/10/mountain/YuShan/	Mountain
-60ed8313:150849567c0:4119	BelievedBy
-60ed8313:150849567c0:39a8	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	City
-60ed8313:150849567c0:24aa	Membership
-60ed8313:150849567c0:3570	Membership
http://www.semwebtech.org/mondial/10/country/RIM/	Country
-60ed8313:150849567c0:1c47	Membership
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	City
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	City
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	Province
-60ed8313:150849567c0:2adc	Membership
-60ed8313:150849567c0:3904	Membership
-60ed8313:150849567c0:4379	EthnicProportion
-60ed8313:150849567c0:1875	Border
-60ed8313:150849567c0:3f36	Membership
-60ed8313:150849567c0:320f	Membership
-60ed8313:150849567c0:40c5	SpokenBy
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/city/Chachapoyas/	City
-60ed8313:150849567c0:4021	SpokenBy
-60ed8313:150849567c0:1bf3	Membership
-60ed8313:150849567c0:38b0	Membership
-60ed8313:150849567c0:346f	Membership
-60ed8313:150849567c0:3ee2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	City
-60ed8313:150849567c0:2326	Membership
-60ed8313:150849567c0:31bb	Membership
-60ed8313:150849567c0:4281	BelievedBy
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	City
http://www.semwebtech.org/mondial/10/country/MNE/	Country
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	City
-60ed8313:150849567c0:2586	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	City
http://www.semwebtech.org/mondial/10/islands/Japan/	Islands
http://www.semwebtech.org/mondial/10/language/Nepali/	Language
-60ed8313:150849567c0:22d2	Membership
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	Province
-60ed8313:150849567c0:37af	Membership
-60ed8313:150849567c0:1a4e	Membership
-60ed8313:150849567c0:370b	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	City
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	Province
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	City
http://www.semwebtech.org/mondial/10/language/Guarani/	Language
-60ed8313:150849567c0:3d3d	Membership
-60ed8313:150849567c0:3037	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	City
-60ed8313:150849567c0:28c6	Membership
-60ed8313:150849567c0:396b	Membership
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	City
http://www.semwebtech.org/mondial/10/river/Kokemaeenjoki/	River
-60ed8313:150849567c0:2ef8	Membership
-60ed8313:150849567c0:2822	Membership
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	City
-60ed8313:150849567c0:3f9d	Membership
-60ed8313:150849567c0:3297	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/city/Sibiti/	City
-60ed8313:150849567c0:2e54	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	City
-60ed8313:150849567c0:212d	Membership
http://www.semwebtech.org/mondial/10/organization/UNIFIL/	Organization
-60ed8313:150849567c0:19bc	Membership
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/city/Djambala/	City
-60ed8313:150849567c0:2ba0	Membership
-60ed8313:150849567c0:441c	EthnicProportion
-60ed8313:150849567c0:1fee	Membership
-60ed8313:150849567c0:238d	Membership
-60ed8313:150849567c0:1f4a	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/city/Yamaguchi/	City
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	City
-60ed8313:150849567c0:35d7	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	City
-60ed8313:150849567c0:3533	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	City
http://www.semwebtech.org/mondial/10/river/Nile/	River
-60ed8313:150849567c0:3b65	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/city/Bartin/	City
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	Province
-60ed8313:150849567c0:1838	Border
-60ed8313:150849567c0:26cd	Membership
-60ed8313:150849567c0:3793	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	City
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	Province
-60ed8313:150849567c0:2cff	Membership
-60ed8313:150849567c0:309e	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	City
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	Province
-60ed8313:150849567c0:1bb6	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	City
-60ed8313:150849567c0:2c5b	Membership
-60ed8313:150849567c0:42e8	BelievedBy
-60ed8313:150849567c0:1b12	Membership
-60ed8313:150849567c0:17e4	Border
-60ed8313:150849567c0:3ea5	Membership
-60ed8313:150849567c0:4244	BelievedBy
-60ed8313:150849567c0:1740	Encompassed
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	Province
-60ed8313:150849567c0:3e01	Membership
-60ed8313:150849567c0:1d72	Membership
http://www.semwebtech.org/mondial/10/source/RioDesaguadero/	Source
-60ed8313:150849567c0:2549	Membership
-60ed8313:150849567c0:33de	Membership
-60ed8313:150849567c0:333a	Membership
-60ed8313:150849567c0:41f0	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	City
http://www.semwebtech.org/mondial/10/country/GBG/city/SaintPeterPort/	City
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	City
-60ed8313:150849567c0:24f5	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	City
-60ed8313:150849567c0:359a	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	City
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/city/Kasama/	City
-60ed8313:150849567c0:2451	Membership
-60ed8313:150849567c0:392e	Membership
-60ed8313:150849567c0:189f	Border
-60ed8313:150849567c0:2a83	Membership
-60ed8313:150849567c0:40ef	SpokenBy
-60ed8313:150849567c0:2e17	Membership
-60ed8313:150849567c0:3cac	Membership
-60ed8313:150849567c0:404b	SpokenBy
http://www.semwebtech.org/mondial/10/mountain/Mt.Wilhelm/	Mountain
-60ed8313:150849567c0:38da	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	City
-60ed8313:150849567c0:1f0d	Membership
http://www.semwebtech.org/mondial/10/estuary/Mantaro/	Estuary
-60ed8313:150849567c0:2dc3	Membership
-60ed8313:150849567c0:3162	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	City
-60ed8313:150849567c0:29f1	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	City
http://www.semwebtech.org/mondial/10/island/Ikaria/	Island
-60ed8313:150849567c0:22fc	Membership
-60ed8313:150849567c0:3b28	Membership
-60ed8313:150849567c0:1a99	Membership
-60ed8313:150849567c0:3756	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	Province
http://www.semwebtech.org/mondial/10/language/Papiamento/	Language
-60ed8313:150849567c0:3d88	Membership
-60ed8313:150849567c0:34a2	Membership
-60ed8313:150849567c0:2c1e	Membership
-60ed8313:150849567c0:3ad4	Membership
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	Province
-60ed8313:150849567c0:17a7	Encompassed
-60ed8313:150849567c0:284c	Membership
-60ed8313:150849567c0:3a30	Membership
-60ed8313:150849567c0:4207	BelievedBy
-60ed8313:150849567c0:1703	Encompassed
-60ed8313:150849567c0:1dd9	Membership
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	City
-60ed8313:150849567c0:2e7e	Membership
-60ed8313:150849567c0:2178	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	City
-60ed8313:150849567c0:1d35	Membership
-60ed8313:150849567c0:2bca	Membership
http://www.semwebtech.org/mondial/10/river/Ganges/	River
-60ed8313:150849567c0:3c90	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	Province
-60ed8313:150849567c0:4467	EthnicProportion
http://www.semwebtech.org/mondial/10/island/ReneLevasseurIsland/	Island
-60ed8313:150849567c0:1963	Membership
-60ed8313:150849567c0:41b3	BelievedBy
-60ed8313:150849567c0:1f95	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	City
-60ed8313:150849567c0:1ce1	Membership
http://www.semwebtech.org/mondial/10/source/Weser/	Source
-60ed8313:150849567c0:24b8	Membership
-60ed8313:150849567c0:2080	Membership
-60ed8313:150849567c0:355d	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	Province
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	City
-60ed8313:150849567c0:3fd0	Membership
-60ed8313:150849567c0:2414	Membership
-60ed8313:150849567c0:3b8f	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Andorran/	EthnicGroup
-60ed8313:150849567c0:2a46	Membership
-60ed8313:150849567c0:2674	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	City
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	Province
http://www.semwebtech.org/mondial/10/organization/ZC/	Organization
-60ed8313:150849567c0:400e	SpokenBy
http://www.semwebtech.org/mondial/10/country/WV/	Country
-60ed8313:150849567c0:23c0	Membership
-60ed8313:150849567c0:1b3c	Membership
-60ed8313:150849567c0:426e	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Kura/	Estuary
-60ed8313:150849567c0:3ecf	Membership
http://www.semwebtech.org/mondial/10/source/Loire/	Source
-60ed8313:150849567c0:31c9	Membership
-60ed8313:150849567c0:176a	Encompassed
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	Province
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	City
http://www.semwebtech.org/mondial/10/lake/LakeEucumbene/	Lake
http://www.semwebtech.org/mondial/10/river/Tocantins/	River
-60ed8313:150849567c0:3e2b	Membership
-60ed8313:150849567c0:3125	Membership
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	Province
-60ed8313:150849567c0:1d9c	Membership
-60ed8313:150849567c0:29b4	Membership
http://www.semwebtech.org/mondial/10/source/Bahrel-Ghasal/	Source
-60ed8313:150849567c0:2fe6	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	City
-60ed8313:150849567c0:2910	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	Province
-60ed8313:150849567c0:22bf	Membership
-60ed8313:150849567c0:3385	Membership
-60ed8313:150849567c0:2f42	Membership
-60ed8313:150849567c0:221b	Membership
-60ed8313:150849567c0:3719	Membership
-60ed8313:150849567c0:30d1	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	City
-60ed8313:150849567c0:450a	EthnicProportion
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	City
-60ed8313:150849567c0:247b	Membership
-60ed8313:150849567c0:3979	Membership
-60ed8313:150849567c0:280f	Membership
-60ed8313:150849567c0:36c5	Membership
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Province
http://www.semwebtech.org/mondial/10/estuary/Drin/	Estuary
http://www.semwebtech.org/mondial/10/religion/Adventist/	Religion
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	City
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	City
-60ed8313:150849567c0:4096	SpokenBy
-60ed8313:150849567c0:3cf7	Membership
-60ed8313:150849567c0:3621	Membership
http://www.semwebtech.org/mondial/10/lake/LaBreaPitchLake/	Lake
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	Province
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/city/Kangar/	City
http://www.semwebtech.org/mondial/10/island/MelvilleIsland/	Island
http://www.semwebtech.org/mondial/10/island/Benbecula/	Island
http://www.semwebtech.org/mondial/10/country/GBJ/	Country
-60ed8313:150849567c0:3c53	Membership
-60ed8313:150849567c0:27bb	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	City
-60ed8313:150849567c0:1926	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	City
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	Province
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	City
-60ed8313:150849567c0:3881	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	City
-60ed8313:150849567c0:1f58	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	Province
-60ed8313:150849567c0:2ded	Membership
-60ed8313:150849567c0:20e7	Membership
-60ed8313:150849567c0:318c	Membership
-60ed8313:150849567c0:1ca4	Membership
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	City
-60ed8313:150849567c0:2043	Membership
-60ed8313:150849567c0:43d6	EthnicProportion
-60ed8313:150849567c0:18d2	Border
-60ed8313:150849567c0:1c00	Membership
-60ed8313:150849567c0:4332	EthnicProportion
-60ed8313:150849567c0:2a09	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	City
-60ed8313:150849567c0:1e60	Membership
http://www.semwebtech.org/mondial/10/island/Banaba/	Island
-60ed8313:150849567c0:2637	Membership
-60ed8313:150849567c0:34cc	Membership
http://www.semwebtech.org/mondial/10/river/Ubangi/	River
-60ed8313:150849567c0:4592	EthnicProportion
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	City
-60ed8313:150849567c0:2c69	Membership
-60ed8313:150849567c0:3afe	Membership
-60ed8313:150849567c0:2897	Membership
http://www.semwebtech.org/mondial/10/language/Romansch/	Language
-60ed8313:150849567c0:3a5a	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	Province
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	City
-60ed8313:150849567c0:172d	Encompassed
http://www.semwebtech.org/mondial/10/mountain/Psiloritis/	Mountain
-60ed8313:150849567c0:25e3	Membership
-60ed8313:150849567c0:1d5f	Membership
-60ed8313:150849567c0:198d	Membership
-60ed8313:150849567c0:1aab	Membership
-60ed8313:150849567c0:2fa9	Membership
-60ed8313:150849567c0:2b71	Membership
-60ed8313:150849567c0:3348	Membership
-60ed8313:150849567c0:41dd	BelievedBy
-60ed8313:150849567c0:2f05	Membership
http://www.semwebtech.org/mondial/10/language/Dutch/	Language
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Assyrian/	EthnicGroup
-60ed8313:150849567c0:3ffa	SpokenBy
http://www.semwebtech.org/mondial/10/island/Male/	Island
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	City
-60ed8313:150849567c0:243e	Membership
-60ed8313:150849567c0:32f4	Membership
-60ed8313:150849567c0:2eb1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	City
-60ed8313:150849567c0:3250	Membership
-60ed8313:150849567c0:269e	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	City
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	City
-60ed8313:150849567c0:4059	SpokenBy
http://www.semwebtech.org/mondial/10/source/Tara/	Source
-60ed8313:150849567c0:3c16	Membership
-60ed8313:150849567c0:23ea	Membership
-60ed8313:150849567c0:38e8	Membership
http://www.semwebtech.org/mondial/10/language/Turkmen/	Language
-60ed8313:150849567c0:1b87	Membership
-60ed8313:150849567c0:3844	Membership
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	Province
-60ed8313:150849567c0:3e76	Membership
-60ed8313:150849567c0:314f	Membership
-60ed8313:150849567c0:2d0c	Membership
-60ed8313:150849567c0:29de	Membership
-60ed8313:150849567c0:3bc2	Membership
-60ed8313:150849567c0:2006	Membership
-60ed8313:150849567c0:293a	Membership
-60ed8313:150849567c0:37f0	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	City
-60ed8313:150849567c0:1ec7	Membership
-60ed8313:150849567c0:2f6c	Membership
-60ed8313:150849567c0:2266	Membership
-60ed8313:150849567c0:30fb	Membership
-60ed8313:150849567c0:1e23	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	Province
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	City
-60ed8313:150849567c0:4555	EthnicProportion
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/city/CasteloBranco/	City
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	Province
-60ed8313:150849567c0:42a1	BelievedBy
-60ed8313:150849567c0:3a1d	Membership
-60ed8313:150849567c0:36ef	Membership
-60ed8313:150849567c0:25a6	Membership
-60ed8313:150849567c0:364b	Membership
http://www.semwebtech.org/mondial/10/island/Spiekeroog/	Island
http://www.semwebtech.org/mondial/10/island/Greenland/	Island
-60ed8313:150849567c0:2bd8	Membership
-60ed8313:150849567c0:2502	Membership
-60ed8313:150849567c0:3c7d	Membership
http://www.semwebtech.org/mondial/10/river/Jubba/	River
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	City
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	Province
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	Province
-60ed8313:150849567c0:2b34	Membership
-60ed8313:150849567c0:2762	Membership
-60ed8313:150849567c0:1cce	Membership
-60ed8313:150849567c0:2d94	Membership
-60ed8313:150849567c0:206d	Membership
-60ed8313:150849567c0:18fc	Border
-60ed8313:150849567c0:1c2a	Membership
-60ed8313:150849567c0:2ae0	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	City
-60ed8313:150849567c0:3fbd	Membership
-60ed8313:150849567c0:32b7	Membership
-60ed8313:150849567c0:435c	EthnicProportion
-60ed8313:150849567c0:3213	Membership
-60ed8313:150849567c0:1e8a	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	City
http://www.semwebtech.org/mondial/10/mountain/Katla/	Mountain
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	City
-60ed8313:150849567c0:23ad	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	City
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	Province
-60ed8313:150849567c0:3473	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	City
http://www.semwebtech.org/mondial/10/river/Rhein/	River
-60ed8313:150849567c0:3807	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	City
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	City
-60ed8313:150849567c0:1778	Encompassed
-60ed8313:150849567c0:3e39	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	City
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	Province
http://www.semwebtech.org/mondial/10/islands/Svalbard/	Islands
http://www.semwebtech.org/mondial/10/desert/Qaidam/	Desert
http://www.semwebtech.org/mondial/10/ethnicgroup/BeriBeri/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	City
-60ed8313:150849567c0:1af6	Membership
http://www.semwebtech.org/mondial/10/mountains/CordilleraCantabrica/	Mountains
-60ed8313:150849567c0:2b9b	Membership
-60ed8313:150849567c0:37b3	Membership
-60ed8313:150849567c0:2f2f	Membership
-60ed8313:150849567c0:1a52	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	City
-60ed8313:150849567c0:3de5	Membership
-60ed8313:150849567c0:2229	Membership
-60ed8313:150849567c0:30be	Membership
-60ed8313:150849567c0:4184	BelievedBy
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	City
-60ed8313:150849567c0:3d41	Membership
-60ed8313:150849567c0:301a	Membership
-60ed8313:150849567c0:4518	EthnicProportion
http://www.semwebtech.org/mondial/10/island/Terceira/	Island
-60ed8313:150849567c0:2489	Membership
-60ed8313:150849567c0:2edb	Membership
-60ed8313:150849567c0:21d5	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	City
-60ed8313:150849567c0:327a	Membership
-60ed8313:150849567c0:2131	Membership
-60ed8313:150849567c0:360e	Membership
-60ed8313:150849567c0:44c4	EthnicProportion
-60ed8313:150849567c0:19c0	Membership
-60ed8313:150849567c0:4420	EthnicProportion
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	City
-60ed8313:150849567c0:1ff2	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	Province
http://www.semwebtech.org/mondial/10/estuary/Kasai/	Estuary
-60ed8313:150849567c0:27c9	Membership
-60ed8313:150849567c0:2391	Membership
-60ed8313:150849567c0:386e	Membership
http://www.semwebtech.org/mondial/10/island/Tiree/	Island
http://www.semwebtech.org/mondial/10/estuary/Drina/	Estuary
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	Province
-60ed8313:150849567c0:2725	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	City
-60ed8313:150849567c0:35ba	Membership
-60ed8313:150849567c0:2d57	Membership
-60ed8313:150849567c0:3bec	Membership
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	City
-60ed8313:150849567c0:2aa3	Membership
-60ed8313:150849567c0:18bf	Border
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	City
-60ed8313:150849567c0:2985	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	City
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	Province
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	Province
-60ed8313:150849567c0:431f	BelievedBy
-60ed8313:150849567c0:181b	Border
-60ed8313:150849567c0:26d1	Membership
-60ed8313:150849567c0:1e4d	Membership
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	Province
http://www.semwebtech.org/mondial/10/organization/UNAMID/	Organization
-60ed8313:150849567c0:457f	EthnicProportion
http://www.semwebtech.org/mondial/10/island/SriLanka/	Island
-60ed8313:150849567c0:3436	Membership
-60ed8313:150849567c0:42cb	BelievedBy
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	City
-60ed8313:150849567c0:3a68	Membership
http://www.semwebtech.org/mondial/10/islands/Canares/	Islands
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	Province
http://www.semwebtech.org/mondial/10/country/MART/	Country
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	City
-60ed8313:150849567c0:3696	Membership
http://www.semwebtech.org/mondial/10/source/Lomami/	Source
-60ed8313:150849567c0:252c	Membership
-60ed8313:150849567c0:33e2	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	Province
-60ed8313:150849567c0:1ab9	Membership
-60ed8313:150849567c0:2b5e	Membership
http://www.semwebtech.org/mondial/10/organization/EITI/	Organization
-60ed8313:150849567c0:16e7	Encompassed
-60ed8313:150849567c0:1a15	Membership
-60ed8313:150849567c0:278c	Membership
-60ed8313:150849567c0:3da8	Membership
-60ed8313:150849567c0:4147	BelievedBy
-60ed8313:150849567c0:3d04	Membership
-60ed8313:150849567c0:39d6	Membership
-60ed8313:150849567c0:1c75	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	City
-60ed8313:150849567c0:3932	Membership
http://www.semwebtech.org/mondial/10/mountains/SudirmanRange/	Mountains
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	Province
http://www.semwebtech.org/mondial/10/mountains/Adirondacks/	Mountains
-60ed8313:150849567c0:3f64	Membership
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	City
-60ed8313:150849567c0:323d	Membership
-60ed8313:150849567c0:40f3	SpokenBy
-60ed8313:150849567c0:3cb0	Membership
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	City
http://www.semwebtech.org/mondial/10/country/RN/	Country
-60ed8313:150849567c0:23f8	Membership
-60ed8313:150849567c0:349d	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	City
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	City
-60ed8313:150849567c0:1fb5	Membership
-60ed8313:150849567c0:2354	Membership
-60ed8313:150849567c0:1f11	Membership
http://www.semwebtech.org/mondial/10/country/TT/	Country
-60ed8313:150849567c0:20a0	Membership
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	City
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	City
-60ed8313:150849567c0:3baf	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	Province
-60ed8313:150849567c0:2948	Membership
-60ed8313:150849567c0:3b0b	Membership
-60ed8313:150849567c0:37dd	Membership
-60ed8313:150849567c0:1a7c	Membership
-60ed8313:150849567c0:2cc6	Membership
-60ed8313:150849567c0:3d6b	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Dagestani/	EthnicGroup
-60ed8313:150849567c0:3065	Membership
http://www.semwebtech.org/mondial/10/river/Chire/	River
-60ed8313:150849567c0:2c22	Membership
-60ed8313:150849567c0:28f4	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	City
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	City
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	Province
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	City
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	City
http://www.semwebtech.org/mondial/10/estuary/Apurimac/	Estuary
-60ed8313:150849567c0:2850	Membership
-60ed8313:150849567c0:21ff	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	City
-60ed8313:150849567c0:1dbc	Membership
-60ed8313:150849567c0:2e82	Membership
-60ed8313:150849567c0:215b	Membership
-60ed8313:150849567c0:3659	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	City
-60ed8313:150849567c0:44ee	EthnicProportion
-60ed8313:150849567c0:19ea	Membership
http://www.semwebtech.org/mondial/10/river/Ucayali/	River
-60ed8313:150849567c0:33a5	Membership
-60ed8313:150849567c0:444a	EthnicProportion
-60ed8313:150849567c0:3301	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	City
http://www.semwebtech.org/mondial/10/country/WAL/	Country
-60ed8313:150849567c0:274f	Membership
http://www.semwebtech.org/mondial/10/organization/G-10/	Organization
-60ed8313:150849567c0:3561	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	City
-60ed8313:150849567c0:1c38	Membership
-60ed8313:150849567c0:2acd	Membership
http://www.semwebtech.org/mondial/10/river/Brahmaputra/	River
-60ed8313:150849567c0:3b93	Membership
-60ed8313:150849567c0:1866	Border
-60ed8313:150849567c0:3f27	Membership
-60ed8313:150849567c0:26fb	Membership
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Tigre/	EthnicGroup
-60ed8313:150849567c0:40b6	SpokenBy
-60ed8313:150849567c0:1e98	Membership
http://www.semwebtech.org/mondial/10/organization/ITSO/	Organization
-60ed8313:150849567c0:4012	SpokenBy
-60ed8313:150849567c0:1be4	Membership
http://www.semwebtech.org/mondial/10/country/S/	Country
-60ed8313:150849567c0:38a1	Membership
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	City
-60ed8313:150849567c0:1b40	Membership
-60ed8313:150849567c0:3ed3	Membership
-60ed8313:150849567c0:2317	Membership
-60ed8313:150849567c0:31ac	Membership
-60ed8313:150849567c0:4272	BelievedBy
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	City
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	City
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	City
http://www.semwebtech.org/mondial/10/estuary/Saone/	Estuary
-60ed8313:150849567c0:2577	Membership
-60ed8313:150849567c0:22c3	Membership
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	City
http://www.semwebtech.org/mondial/10/organization/UNISFA/	Organization
-60ed8313:150849567c0:1a3f	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	Province
-60ed8313:150849567c0:3d2e	Membership
-60ed8313:150849567c0:3028	Membership
http://www.semwebtech.org/mondial/10/river/Tarim-Yarkend/	River
-60ed8313:150849567c0:1c9f	Membership
-60ed8313:150849567c0:28b7	Membership
-60ed8313:150849567c0:395c	Membership
-60ed8313:150849567c0:2ee9	Membership
-60ed8313:150849567c0:2813	Membership
-60ed8313:150849567c0:3f8e	Membership
-60ed8313:150849567c0:3288	Membership
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	City
-60ed8313:150849567c0:2e45	Membership
-60ed8313:150849567c0:3cda	Membership
-60ed8313:150849567c0:211e	Membership
-60ed8313:150849567c0:19ad	Membership
-60ed8313:150849567c0:440d	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	Province
-60ed8313:150849567c0:1fdf	Membership
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	Province
-60ed8313:150849567c0:237e	Membership
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	City
-60ed8313:150849567c0:1f3b	Membership
http://www.semwebtech.org/mondial/10/religion/Muslim/	Religion
-60ed8313:150849567c0:2df1	Membership
-60ed8313:150849567c0:20ca	Membership
http://www.semwebtech.org/mondial/10/organization/CBSS/	Organization
-60ed8313:150849567c0:35c8	Membership
-60ed8313:150849567c0:3190	Membership
http://www.semwebtech.org/mondial/10/river/MurrayRiver/	River
-60ed8313:150849567c0:3524	Membership
-60ed8313:150849567c0:3b56	Membership
-60ed8313:150849567c0:1829	Border
-60ed8313:150849567c0:26be	Membership
-60ed8313:150849567c0:3784	Membership
-60ed8313:150849567c0:261a	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	City
-60ed8313:150849567c0:34d0	Membership
-60ed8313:150849567c0:308f	Membership
-60ed8313:150849567c0:1ba7	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	City
-60ed8313:150849567c0:2c4c	Membership
-60ed8313:150849567c0:42d9	BelievedBy
http://www.semwebtech.org/mondial/10/organization/EAC/	Organization
-60ed8313:150849567c0:17d5	Border
-60ed8313:150849567c0:1b03	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	City
-60ed8313:150849567c0:287a	Membership
-60ed8313:150849567c0:4235	BelievedBy
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	City
-60ed8313:150849567c0:1731	Encompassed
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	Province
-60ed8313:150849567c0:1d63	Membership
http://www.semwebtech.org/mondial/10/language/Monegasque/	Language
-60ed8313:150849567c0:33cf	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	Province
-60ed8313:150849567c0:4495	EthnicProportion
-60ed8313:150849567c0:1991	Membership
-60ed8313:150849567c0:332b	Membership
-60ed8313:150849567c0:41e1	BelievedBy
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	City
-60ed8313:150849567c0:24e6	Membership
-60ed8313:150849567c0:358b	Membership
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	City
-60ed8313:150849567c0:391f	Membership
-60ed8313:150849567c0:2442	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	City
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	City
-60ed8313:150849567c0:2a74	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	City
-60ed8313:150849567c0:2e08	Membership
-60ed8313:150849567c0:403c	SpokenBy
-60ed8313:150849567c0:38cb	Membership
http://www.semwebtech.org/mondial/10/organization/ANZUS/	Organization
-60ed8313:150849567c0:1b6a	Membership
http://www.semwebtech.org/mondial/10/country/RWA/	Country
-60ed8313:150849567c0:3efd	Membership
http://www.semwebtech.org/mondial/10/source/RioGrande/	Source
-60ed8313:150849567c0:31f7	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	City
-60ed8313:150849567c0:429c	BelievedBy
http://www.semwebtech.org/mondial/10/mountain/PikLenina/	Mountain
-60ed8313:150849567c0:2db4	Membership
-60ed8313:150849567c0:3153	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Greek/	EthnicGroup
-60ed8313:150849567c0:2d10	Membership
-60ed8313:150849567c0:29e2	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/city/Kaffrine/	City
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	City
-60ed8313:150849567c0:22ed	Membership
-60ed8313:150849567c0:3b19	Membership
-60ed8313:150849567c0:1eaa	Membership
-60ed8313:150849567c0:2f70	Membership
-60ed8313:150849567c0:3747	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	City
-60ed8313:150849567c0:3d79	Membership
http://www.semwebtech.org/mondial/10/island/SaintHelena/	Island
http://www.semwebtech.org/mondial/10/ethnicgroup/Rwanda/	EthnicGroup
-60ed8313:150849567c0:2c0f	Membership
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	Province
-60ed8313:150849567c0:3ac5	Membership
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	City
-60ed8313:150849567c0:283d	Membership
-60ed8313:150849567c0:3a21	Membership
-60ed8313:150849567c0:36f3	Membership
-60ed8313:150849567c0:2e6f	Membership
-60ed8313:150849567c0:2169	Membership
http://www.semwebtech.org/mondial/10/estuary/Olt/	Estuary
-60ed8313:150849567c0:19f8	Membership
-60ed8313:150849567c0:1d26	Membership
-60ed8313:150849567c0:2bbb	Membership
-60ed8313:150849567c0:3c81	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	City
-60ed8313:150849567c0:4458	EthnicProportion
-60ed8313:150849567c0:1954	Membership
http://www.semwebtech.org/mondial/10/islands/ChannelIslands/	Islands
-60ed8313:150849567c0:41a4	BelievedBy
-60ed8313:150849567c0:1f86	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	City
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	City
-60ed8313:150849567c0:4100	SpokenBy
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	Province
-60ed8313:150849567c0:1cd2	Membership
-60ed8313:150849567c0:24a9	Membership
-60ed8313:150849567c0:2071	Membership
-60ed8313:150849567c0:354e	Membership
http://www.semwebtech.org/mondial/10/religion/CopticChristian/	Religion
-60ed8313:150849567c0:3fc1	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	City
-60ed8313:150849567c0:2405	Membership
-60ed8313:150849567c0:4360	EthnicProportion
-60ed8313:150849567c0:2a37	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	City
-60ed8313:150849567c0:2665	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	Province
-60ed8313:150849567c0:34fa	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	City
-60ed8313:150849567c0:2c97	Membership
-60ed8313:150849567c0:23b1	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	City
http://www.semwebtech.org/mondial/10/country/BG/	Country
-60ed8313:150849567c0:17ff	Border
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	Province
-60ed8313:150849567c0:1b2d	Membership
http://www.semwebtech.org/mondial/10/source/WesternDwina/	Source
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	City
-60ed8313:150849567c0:425f	BelievedBy
http://www.semwebtech.org/mondial/10/islands/WestfriesischeInseln/	Islands
-60ed8313:150849567c0:175b	Encompassed
-60ed8313:150849567c0:3e1c	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	City
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	City
http://www.semwebtech.org/mondial/10/lake/Chiemsee/	Lake
-60ed8313:150849567c0:3116	Membership
-60ed8313:150849567c0:1d8d	Membership
-60ed8313:150849567c0:29a5	Membership
-60ed8313:150849567c0:2fd7	Membership
-60ed8313:150849567c0:2901	Membership
-60ed8313:150849567c0:3376	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	City
-60ed8313:150849567c0:2f33	Membership
-60ed8313:150849567c0:220c	Membership
http://www.semwebtech.org/mondial/10/organization/SPC/	Organization
-60ed8313:150849567c0:30c2	Membership
-60ed8313:150849567c0:246c	Membership
-60ed8313:150849567c0:2a9e	Membership
-60ed8313:150849567c0:36b6	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	City
http://www.semwebtech.org/mondial/10/island/Vlieland/	Island
-60ed8313:150849567c0:3ce8	Membership
-60ed8313:150849567c0:3612	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	City
-60ed8313:150849567c0:4087	SpokenBy
http://www.semwebtech.org/mondial/10/country/ET/city/Hurghada/	City
-60ed8313:150849567c0:3c44	Membership
http://www.semwebtech.org/mondial/10/organization/G-9/	Organization
-60ed8313:150849567c0:1917	Membership
-60ed8313:150849567c0:27ac	Membership
-60ed8313:150849567c0:3872	Membership
-60ed8313:150849567c0:1f49	Membership
-60ed8313:150849567c0:2dde	Membership
-60ed8313:150849567c0:20d8	Membership
-60ed8313:150849567c0:317d	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	City
http://www.semwebtech.org/mondial/10/source/Luvua/	Source
-60ed8313:150849567c0:2d3a	Membership
-60ed8313:150849567c0:3bf0	Membership
-60ed8313:150849567c0:2034	Membership
-60ed8313:150849567c0:43c7	EthnicProportion
-60ed8313:150849567c0:18c3	Border
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	City
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	City
-60ed8313:150849567c0:4323	BelievedBy
-60ed8313:150849567c0:20bb	Membership
http://www.semwebtech.org/mondial/10/estuary/WhiteDrin/	Estuary
-60ed8313:150849567c0:1ef5	Membership
-60ed8313:150849567c0:2f9a	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	City
-60ed8313:150849567c0:2294	Membership
-60ed8313:150849567c0:1e51	Membership
-60ed8313:150849567c0:2628	Membership
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	City
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	City
-60ed8313:150849567c0:34bd	Membership
-60ed8313:150849567c0:4583	EthnicProportion
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	City
-60ed8313:150849567c0:3aef	Membership
http://www.semwebtech.org/mondial/10/lake/Oulujaervi/	Lake
-60ed8313:150849567c0:2888	Membership
-60ed8313:150849567c0:3a4b	Membership
http://www.semwebtech.org/mondial/10/language/Czech/	Language
-60ed8313:150849567c0:171e	Encompassed
-60ed8313:150849567c0:25d4	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	City
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	City
-60ed8313:150849567c0:2530	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	City
-60ed8313:150849567c0:197e	Membership
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	Province
-60ed8313:150849567c0:2b62	Membership
http://www.semwebtech.org/mondial/10/island/KoSamui/	Island
-60ed8313:150849567c0:3339	Membership
-60ed8313:150849567c0:41ce	BelievedBy
-60ed8313:150849567c0:16ca	Encompassed
-60ed8313:150849567c0:2790	Membership
-60ed8313:150849567c0:412a	BelievedBy
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	Province
-60ed8313:150849567c0:1cfc	Membership
-60ed8313:150849567c0:209b	Membership
-60ed8313:150849567c0:3599	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	City
-60ed8313:150849567c0:3feb	Membership
http://www.semwebtech.org/mondial/10/organization/IGAD/	Organization
-60ed8313:150849567c0:242f	Membership
-60ed8313:150849567c0:32e5	Membership
-60ed8313:150849567c0:438a	EthnicProportion
-60ed8313:150849567c0:2ea2	Membership
-60ed8313:150849567c0:3241	Membership
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	City
http://www.semwebtech.org/mondial/10/organization/Sparteca/	Organization
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	City
-60ed8313:150849567c0:268f	Membership
http://www.semwebtech.org/mondial/10/organization/AMU/	Organization
-60ed8313:150849567c0:3c07	Membership
-60ed8313:150849567c0:23db	Membership
-60ed8313:150849567c0:38d9	Membership
-60ed8313:150849567c0:1b78	Membership
-60ed8313:150849567c0:3835	Membership
http://www.semwebtech.org/mondial/10/sea/EastChinaSea/	Sea
-60ed8313:150849567c0:3e67	Membership
-60ed8313:150849567c0:29cf	Membership
-60ed8313:150849567c0:3bb3	Membership
-60ed8313:150849567c0:292b	Membership
-60ed8313:150849567c0:37e1	Membership
-60ed8313:150849567c0:1eb8	Membership
-60ed8313:150849567c0:1a80	Membership
-60ed8313:150849567c0:2f5d	Membership
-60ed8313:150849567c0:2257	Membership
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	City
-60ed8313:150849567c0:30ec	Membership
-60ed8313:150849567c0:1e14	Membership
-60ed8313:150849567c0:4546	EthnicProportion
http://www.semwebtech.org/mondial/10/lake/Balaton/	Lake
-60ed8313:150849567c0:3a0e	Membership
-60ed8313:150849567c0:1dc0	Membership
-60ed8313:150849567c0:44f2	EthnicProportion
-60ed8313:150849567c0:363c	Membership
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	Province
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	City
-60ed8313:150849567c0:2bc9	Membership
-60ed8313:150849567c0:3c6e	Membership
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	City
-60ed8313:150849567c0:2b25	Membership
-60ed8313:150849567c0:27f7	Membership
-60ed8313:150849567c0:389c	Membership
-60ed8313:150849567c0:2753	Membership
-60ed8313:150849567c0:1cbf	Membership
-60ed8313:150849567c0:2d85	Membership
-60ed8313:150849567c0:205e	Membership
-60ed8313:150849567c0:18ed	Border
-60ed8313:150849567c0:1c1b	Membership
-60ed8313:150849567c0:2ad1	Membership
-60ed8313:150849567c0:3fae	Membership
http://www.semwebtech.org/mondial/10/source/Adda/	Source
-60ed8313:150849567c0:32a8	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	City
-60ed8313:150849567c0:434d	EthnicProportion
-60ed8313:150849567c0:3f0a	Membership
-60ed8313:150849567c0:3204	Membership
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	City
-60ed8313:150849567c0:1e7b	Membership
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	City
http://www.semwebtech.org/mondial/10/estuary/Kwa/	Estuary
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	City
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	Province
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	City
-60ed8313:150849567c0:3464	Membership
http://www.semwebtech.org/mondial/10/estuary/Senegal/	Estuary
http://www.semwebtech.org/mondial/10/source/RioNegro/	Source
-60ed8313:150849567c0:3a96	Membership
-60ed8313:150849567c0:31b0	Membership
-60ed8313:150849567c0:1769	Encompassed
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	City
-60ed8313:150849567c0:25fe	Membership
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	Province
-60ed8313:150849567c0:255a	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	Province
-60ed8313:150849567c0:1ae7	Membership
-60ed8313:150849567c0:2b8c	Membership
-60ed8313:150849567c0:37a4	Membership
-60ed8313:150849567c0:1a43	Membership
-60ed8313:150849567c0:3dd6	Membership
-60ed8313:150849567c0:3700	Membership
-60ed8313:150849567c0:30af	Membership
-60ed8313:150849567c0:4175	BelievedBy
-60ed8313:150849567c0:3d32	Membership
-60ed8313:150849567c0:300b	Membership
-60ed8313:150849567c0:4509	EthnicProportion
-60ed8313:150849567c0:3960	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Mulatto/	EthnicGroup
-60ed8313:150849567c0:2ecc	Membership
-60ed8313:150849567c0:3f92	Membership
-60ed8313:150849567c0:21c6	Membership
-60ed8313:150849567c0:326b	Membership
-60ed8313:150849567c0:2122	Membership
-60ed8313:150849567c0:44b5	EthnicProportion
-60ed8313:150849567c0:19b1	Membership
-60ed8313:150849567c0:4411	EthnicProportion
-60ed8313:150849567c0:1fe3	Membership
-60ed8313:150849567c0:2382	Membership
-60ed8313:150849567c0:385f	Membership
-60ed8313:150849567c0:2716	Membership
-60ed8313:150849567c0:35ab	Membership
-60ed8313:150849567c0:2d48	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	City
-60ed8313:150849567c0:3bdd	Membership
-60ed8313:150849567c0:2976	Membership
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	City
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	City
-60ed8313:150849567c0:180c	Border
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	City
-60ed8313:150849567c0:26c2	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	City
-60ed8313:150849567c0:1e3e	Membership
-60ed8313:150849567c0:2cf4	Membership
http://www.semwebtech.org/mondial/10/river/BlueNile/	River
-60ed8313:150849567c0:3093	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	City
-60ed8313:150849567c0:2c50	Membership
-60ed8313:150849567c0:3427	Membership
-60ed8313:150849567c0:42bc	BelievedBy
-60ed8313:150849567c0:3a59	Membership
-60ed8313:150849567c0:1dea	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	Province
-60ed8313:150849567c0:3687	Membership
-60ed8313:150849567c0:251d	Membership
-60ed8313:150849567c0:33d3	Membership
-60ed8313:150849567c0:2b4f	Membership
-60ed8313:150849567c0:16d8	Encompassed
-60ed8313:150849567c0:1a06	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Afro-European/	EthnicGroup
-60ed8313:150849567c0:277d	Membership
-60ed8313:150849567c0:4138	BelievedBy
-60ed8313:150849567c0:39c7	Membership
-60ed8313:150849567c0:3ff9	SpokenBy
-60ed8313:150849567c0:1c66	Membership
http://www.semwebtech.org/mondial/10/lake/LopNor/	Lake
-60ed8313:150849567c0:2afb	Membership
http://www.semwebtech.org/mondial/10/source/Ounasjoki/	Source
-60ed8313:150849567c0:3923	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	City
-60ed8313:150849567c0:4398	EthnicProportion
-60ed8313:150849567c0:1894	Border
-60ed8313:150849567c0:3f55	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	City
-60ed8313:150849567c0:322e	Membership
-60ed8313:150849567c0:40e4	SpokenBy
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	City
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	City
-60ed8313:150849567c0:3ca1	Membership
-60ed8313:150849567c0:4040	SpokenBy
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	City
-60ed8313:150849567c0:23e9	Membership
-60ed8313:150849567c0:348e	Membership
-60ed8313:150849567c0:1fa6	Membership
http://www.semwebtech.org/mondial/10/river/Ene/	River
http://www.semwebtech.org/mondial/10/source/Leine/	Source
-60ed8313:150849567c0:2345	Membership
-60ed8313:150849567c0:31da	Membership
-60ed8313:150849567c0:1f02	Membership
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	City
-60ed8313:150849567c0:2939	Membership
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	City
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	Province
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	Province
-60ed8313:150849567c0:22f1	Membership
-60ed8313:150849567c0:37ce	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	City
-60ed8313:150849567c0:1a6d	Membership
-60ed8313:150849567c0:372a	Membership
-60ed8313:150849567c0:419f	BelievedBy
-60ed8313:150849567c0:2cb7	Membership
-60ed8313:150849567c0:3d5c	Membership
http://www.semwebtech.org/mondial/10/mountain/Musala/	Mountain
-60ed8313:150849567c0:3056	Membership
-60ed8313:150849567c0:2c13	Membership
-60ed8313:150849567c0:28e5	Membership
http://www.semwebtech.org/mondial/10/religion/United/	Religion
-60ed8313:150849567c0:398a	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	Province
http://www.semwebtech.org/mondial/10/country/GAZA/	Country
-60ed8313:150849567c0:2841	Membership
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	City
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	Province
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	City
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	Province
http://www.semwebtech.org/mondial/10/country/EW/	Country
-60ed8313:150849567c0:1dad	Membership
-60ed8313:150849567c0:2e73	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	City
http://www.semwebtech.org/mondial/10/mountain/GrandBallon/	Mountain
-60ed8313:150849567c0:214c	Membership
-60ed8313:150849567c0:44df	EthnicProportion
-60ed8313:150849567c0:19db	Membership
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	City
http://www.semwebtech.org/mondial/10/mountain/PikChan-Tengri/	Mountain
-60ed8313:150849567c0:443b	EthnicProportion
http://www.semwebtech.org/mondial/10/island/SaintVincent/	Island
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	Province
-60ed8313:150849567c0:35f6	Membership
-60ed8313:150849567c0:3552	Membership
-60ed8313:150849567c0:1c29	Membership
-60ed8313:150849567c0:2abe	Membership
-60ed8313:150849567c0:3b84	Membership
-60ed8313:150849567c0:3f18	Membership
-60ed8313:150849567c0:1857	Border
-60ed8313:150849567c0:2a1a	Membership
-60ed8313:150849567c0:26ec	Membership
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	City
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	City
-60ed8313:150849567c0:40a7	SpokenBy
-60ed8313:150849567c0:1e89	Membership
http://www.semwebtech.org/mondial/10/islands/LineIslands/	Islands
-60ed8313:150849567c0:4003	SpokenBy
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	City
http://www.semwebtech.org/mondial/10/source/Bani/	Source
-60ed8313:150849567c0:1bd5	Membership
-60ed8313:150849567c0:2c7a	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	City
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	Province
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	Province
-60ed8313:150849567c0:1b31	Membership
-60ed8313:150849567c0:3ec4	Membership
-60ed8313:150849567c0:2308	Membership
http://www.semwebtech.org/mondial/10/mountain/Kinabalu/	Mountain
-60ed8313:150849567c0:4263	BelievedBy
-60ed8313:150849567c0:3e20	Membership
http://www.semwebtech.org/mondial/10/river/HudsonRiver/	River
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	City
-60ed8313:150849567c0:1d91	Membership
-60ed8313:150849567c0:2568	Membership
-60ed8313:150849567c0:33fd	Membership
-60ed8313:150849567c0:2fba	Membership
-60ed8313:150849567c0:22b4	Membership
http://www.semwebtech.org/mondial/10/river/ConnecticutRiver/	River
-60ed8313:150849567c0:2210	Membership
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	Province
-60ed8313:150849567c0:3d1f	Membership
-60ed8313:150849567c0:3019	Membership
-60ed8313:150849567c0:394d	Membership
-60ed8313:150849567c0:28a8	Membership
-60ed8313:150849567c0:2470	Membership
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	City
-60ed8313:150849567c0:2804	Membership
-60ed8313:150849567c0:3f7f	Membership
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	Province
-60ed8313:150849567c0:3279	Membership
-60ed8313:150849567c0:2e36	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	City
-60ed8313:150849567c0:3ccb	Membership
-60ed8313:150849567c0:210f	Membership
-60ed8313:150849567c0:406a	SpokenBy
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	Province
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	City
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	City
http://www.semwebtech.org/mondial/10/river/Arno/	River
-60ed8313:150849567c0:27b0	Membership
-60ed8313:150849567c0:236f	Membership
-60ed8313:150849567c0:1f2c	Membership
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	City
-60ed8313:150849567c0:2de2	Membership
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	City
-60ed8313:150849567c0:35b9	Membership
-60ed8313:150849567c0:3181	Membership
-60ed8313:150849567c0:3515	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	City
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	Province
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	Province
-60ed8313:150849567c0:43aa	EthnicProportion
-60ed8313:150849567c0:3b47	Membership
http://www.semwebtech.org/mondial/10/river/Ruki/	River
-60ed8313:150849567c0:26af	Membership
-60ed8313:150849567c0:3775	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	Province
-60ed8313:150849567c0:34c1	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	Province
-60ed8313:150849567c0:260b	Membership
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	City
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	Province
http://www.semwebtech.org/mondial/10/ethnicgroup/Moldovan/	EthnicGroup
-60ed8313:150849567c0:2c3d	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	Province
-60ed8313:150849567c0:3af3	Membership
http://www.semwebtech.org/mondial/10/island/Stromboli/	Island
-60ed8313:150849567c0:17c6	Border
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	City
-60ed8313:150849567c0:286b	Membership
-60ed8313:150849567c0:4226	BelievedBy
-60ed8313:150849567c0:1df8	Membership
-60ed8313:150849567c0:1722	Encompassed
-60ed8313:150849567c0:2e9d	Membership
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	City
-60ed8313:150849567c0:2197	Membership
-60ed8313:150849567c0:1d54	Membership
-60ed8313:150849567c0:4486	EthnicProportion
http://www.semwebtech.org/mondial/10/islands/Galapagos/	Islands
-60ed8313:150849567c0:1982	Membership
-60ed8313:150849567c0:1aa0	Membership
-60ed8313:150849567c0:331c	Membership
-60ed8313:150849567c0:41d2	BelievedBy
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	Province
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	Province
-60ed8313:150849567c0:24d7	Membership
-60ed8313:150849567c0:357c	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Baya/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	City
-60ed8313:150849567c0:2433	Membership
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	City
-60ed8313:150849567c0:2a65	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/Indian/	EthnicGroup
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/city/Solwezi/	City
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	City
-60ed8313:150849567c0:2693	Membership
-60ed8313:150849567c0:402d	SpokenBy
-60ed8313:150849567c0:1bff	Membership
-60ed8313:150849567c0:38bc	Membership
http://www.semwebtech.org/mondial/10/river/Selenge/	River
http://www.semwebtech.org/mondial/10/river/Ebro/	River
-60ed8313:150849567c0:1b5b	Membership
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	City
-60ed8313:150849567c0:3eee	Membership
-60ed8313:150849567c0:31e8	Membership
-60ed8313:150849567c0:428d	BelievedBy
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	City
-60ed8313:150849567c0:2da5	Membership
-60ed8313:150849567c0:3e4a	Membership
http://www.semwebtech.org/mondial/10/river/OhioRiver/	River
-60ed8313:150849567c0:3144	Membership
-60ed8313:150849567c0:2d01	Membership
-60ed8313:150849567c0:29d3	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	City
-60ed8313:150849567c0:22de	Membership
-60ed8313:150849567c0:2f61	Membership
-60ed8313:150849567c0:223a	Membership
-60ed8313:150849567c0:3738	Membership
-60ed8313:150849567c0:30f0	Membership
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	City
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	Province
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	Province
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	Province
http://www.semwebtech.org/mondial/10/religion/AfricanMethodistEpiscopal/	Religion
-60ed8313:150849567c0:3ab6	Membership
-60ed8313:150849567c0:3998	Membership
-60ed8313:150849567c0:249a	Membership
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	City
-60ed8313:150849567c0:282e	Membership
-60ed8313:150849567c0:3a12	Membership
-60ed8313:150849567c0:36e4	Membership
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	City
http://www.semwebtech.org/mondial/10/desert/Tanezrouft/	Desert
http://www.semwebtech.org/mondial/10/mountain/Sarektjokko/	Mountain
-60ed8313:150849567c0:3640	Membership
-60ed8313:150849567c0:19e9	Membership
-60ed8313:150849567c0:1d17	Membership
-60ed8313:150849567c0:2bac	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	City
-60ed8313:150849567c0:3c72	Membership
-60ed8313:150849567c0:208c	Membership
-60ed8313:150849567c0:4449	EthnicProportion
-60ed8313:150849567c0:1945	Membership
-60ed8313:150849567c0:27da	Membership
http://www.semwebtech.org/mondial/10/ethnicgroup/African-white-Indian/	EthnicGroup
-60ed8313:150849567c0:1f77	Membership
http://www.semwebtech.org/mondial/10/mountain/Ararat/	Mountain
-60ed8313:150849567c0:1cc3	Membership
http://www.semwebtech.org/mondial/10/mountains/SierraMadre/	Mountains
-60ed8313:150849567c0:2062	Membership
-60ed8313:150849567c0:353f	Membership
-60ed8313:150849567c0:43f5	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	City
-60ed8313:150849567c0:18f1	Border
-60ed8313:150849567c0:3fb2	Membership
-60ed8313:150849567c0:4351	EthnicProportion
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/city/Sedhiou/	City
-60ed8313:150849567c0:2a28	Membership
-60ed8313:150849567c0:379f	Membership
-60ed8313:150849567c0:2656	Membership
-60ed8313:150849567c0:34eb	Membership
http://www.semwebtech.org/mondial/10/estuary/Orinoco/	Estuary
-60ed8313:150849567c0:2c88	Membership
-60ed8313:150849567c0:23a2	Membership
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	Province
-60ed8313:150849567c0:1b1e	Membership
-60ed8313:150849567c0:174c	Encompassed
-60ed8313:150849567c0:3e0d	Membership
-60ed8313:150849567c0:3107	Membership
-60ed8313:150849567c0:1d7e	Membership
-60ed8313:150849567c0:1aca	Membership
-60ed8313:150849567c0:2fc8	Membership
-60ed8313:150849567c0:2b90	Membership
-60ed8313:150849567c0:3367	Membership
-60ed8313:150849567c0:41fc	BelievedBy
-60ed8313:150849567c0:2f24	Membership
-60ed8313:150849567c0:30b3	Membership
http://www.semwebtech.org/mondial/10/estuary/Doubs/	Estuary
http://www.semwebtech.org/mondial/10/desert/Dascht-e-Kavir/	Desert
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	City
-60ed8313:150849567c0:245d	Membership
http://www.semwebtech.org/mondial/10/country/J/province/Akita/city/Akita/	City
-60ed8313:150849567c0:2ed0	Membership
-60ed8313:150849567c0:2a8f	Membership
-60ed8313:150849567c0:36a7	Membership
-60ed8313:150849567c0:3cd9	Membership
-60ed8313:150849567c0:3603	Membership
-60ed8313:150849567c0:4078	SpokenBy
-60ed8313:150849567c0:3c35	Membership
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	Province
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	City
-60ed8313:150849567c0:1908	Membership
http://www.semwebtech.org/mondial/10/island/Sachalin/	Island
-60ed8313:150849567c0:3863	Membership
-60ed8313:150849567c0:2dcf	Membership
-60ed8313:150849567c0:3e95	Membership
-60ed8313:150849567c0:20c9	Membership
http://www.semwebtech.org/mondial/10/river/Akagera/	River
-60ed8313:150849567c0:316e	Membership
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	Province
-60ed8313:150849567c0:3be1	Membership
-60ed8313:150849567c0:2d2b	Membership
-60ed8313:150849567c0:29fd	Membership
http://www.semwebtech.org/mondial/10/country/NMIS/	Country
-60ed8313:150849567c0:2025	Membership
-60ed8313:150849567c0:43b8	EthnicProportion
-60ed8313:150849567c0:18b4	Border
-60ed8313:150849567c0:4314	BelievedBy
-60ed8313:150849567c0:1ee6	Membership
-60ed8313:150849567c0:1810	Border
-60ed8313:150849567c0:2f8b	Membership
-60ed8313:150849567c0:2285	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	City
-60ed8313:150849567c0:1e42	Membership
-60ed8313:150849567c0:2619	Membership
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	City
-60ed8313:150849567c0:34ae	Membership
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	City
-60ed8313:150849567c0:4574	EthnicProportion
-60ed8313:150849567c0:340a	Membership
-60ed8313:150849567c0:42c0	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Fimi/	Estuary
-60ed8313:150849567c0:2879	Membership
-60ed8313:150849567c0:3a3c	Membership
-60ed8313:150849567c0:170f	Encompassed
-60ed8313:150849567c0:25c5	Membership
-60ed8313:150849567c0:366a	Membership
http://www.semwebtech.org/mondial/10/lake/Rutanzige-Eduardsee/	Lake
-60ed8313:150849567c0:2bf7	Membership
-60ed8313:150849567c0:2521	Membership
-60ed8313:150849567c0:3c9c	Membership
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	City
http://www.semwebtech.org/mondial/10/ethnicgroup/Norwegian/	EthnicGroup
-60ed8313:150849567c0:196f	Membership
-60ed8313:150849567c0:2b53	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	City
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	City
-60ed8313:150849567c0:41bf	BelievedBy
http://www.semwebtech.org/mondial/10/estuary/Tiber/	Estuary
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	Province
-60ed8313:150849567c0:2781	Membership
-60ed8313:150849567c0:411b	BelievedBy
-60ed8313:150849567c0:1ced	Membership
-60ed8313:150849567c0:39aa	Membership
-60ed8313:150849567c0:3fdc	Membership
http://www.semwebtech.org/mondial/10/country/GB/	Country
-60ed8313:150849567c0:32d6	Membership
-60ed8313:150849567c0:437b	EthnicProportion
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	Province
-60ed8313:150849567c0:3232	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	City
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	City
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	City
-60ed8313:150849567c0:23cc	Membership
-60ed8313:150849567c0:3492	Membership
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/city/Seguela/	City
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	City
-60ed8313:150849567c0:1b69	Membership
http://www.semwebtech.org/mondial/10/country/KN/	Country
-60ed8313:150849567c0:3826	Membership
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	City
-60ed8313:150849567c0:1797	Encompassed
-60ed8313:150849567c0:3e58	Membership
http://www.semwebtech.org/mondial/10/river/Schilka/	River
-60ed8313:150849567c0:3ba4	Membership
http://www.semwebtech.org/mondial/10/island/Anjouan/	Island
http://www.semwebtech.org/mondial/10/island/Okinawa/	Island
-60ed8313:150849567c0:3b00	Membership
-60ed8313:150849567c0:291c	Membership
-60ed8313:150849567c0:37d2	Membership
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	City
http://www.semwebtech.org/mondial/10/estuary/Mosel/	Estuary
-60ed8313:150849567c0:1ea9	Membership
-60ed8313:150849567c0:1a71	Membership
-60ed8313:150849567c0:2f4e	Membership
-60ed8313:150849567c0:2248	Membership
-60ed8313:150849567c0:30dd	Membership
-60ed8313:150849567c0:1e05	Membership
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	Province
-60ed8313:150849567c0:3d60	Membership
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	Province
-60ed8313:150849567c0:4537	EthnicProportion
http://www.semwebtech.org/mondial/10/country/RA/	Country
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	City
-60ed8313:150849567c0:2efa	Membership
-60ed8313:150849567c0:21f4	Membership
http://www.semwebtech.org/mondial/10/mountain/Hochgolling/	Mountain
-60ed8313:150849567c0:1db1	Membership
-60ed8313:150849567c0:2150	Membership
-60ed8313:150849567c0:362d	Membership
-60ed8313:150849567c0:44e3	EthnicProportion
http://www.semwebtech.org/mondial/10/island/GranCanaria/	Island
-60ed8313:150849567c0:3c5f	Membership
-60ed8313:150849567c0:2b16	Membership
-60ed8313:150849567c0:27e8	Membership
-60ed8313:150849567c0:388d	Membership
http://www.semwebtech.org/mondial/10/mountains/SnowyMountains/	Mountains
-60ed8313:150849567c0:2744	Membership
http://www.semwebtech.org/mondial/10/island/Seeland/	Island
-60ed8313:150849567c0:2d76	Membership
http://www.semwebtech.org/mondial/10/river/Brigach/	River
-60ed8313:150849567c0:204f	Membership
http://www.semwebtech.org/mondial/10/source/Irtysch/	Source
-60ed8313:150849567c0:18de	Border
-60ed8313:150849567c0:1c0c	Membership
http://www.semwebtech.org/mondial/10/estuary/Mur/	Estuary
-60ed8313:150849567c0:2ac2	Membership
http://www.semwebtech.org/mondial/10/organization/CELAC/	Organization
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	City
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	Province
-60ed8313:150849567c0:433e	EthnicProportion
http://www.semwebtech.org/mondial/10/mountain/SoufriereHills/	Mountain
-60ed8313:150849567c0:183a	Border
-60ed8313:150849567c0:26f0	Membership
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	City
http://www.semwebtech.org/mondial/10/river/Thjorsa/	River
-60ed8313:150849567c0:1e6c	Membership
-60ed8313:150849567c0:34f9	Membership
-60ed8313:150849567c0:459e	EthnicProportion
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	City
-60ed8313:150849567c0:3455	Membership
-60ed8313:150849567c0:42ea	BelievedBy
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	City
-60ed8313:150849567c0:3a87	Membership
-60ed8313:150849567c0:31a1	Membership
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	City
-60ed8313:150849567c0:25ef	Membership
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	Province
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	City
-60ed8313:150849567c0:254b	Membership
-60ed8313:150849567c0:1ad8	Membership
-60ed8313:150849567c0:2b7d	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	Province
-60ed8313:150849567c0:1a34	Membership
-60ed8313:150849567c0:3dc7	Membership
-60ed8313:150849567c0:4166	BelievedBy
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	Province
-60ed8313:150849567c0:3d23	Membership
-60ed8313:150849567c0:39f5	Membership
-60ed8313:150849567c0:1c94	Membership
http://www.semwebtech.org/mondial/10/country/F/	Country
-60ed8313:150849567c0:3951	Membership
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	Province
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	City
-60ed8313:150849567c0:2ebd	Membership
-60ed8313:150849567c0:3f83	Membership
-60ed8313:150849567c0:21b7	Membership
-60ed8313:150849567c0:325c	Membership
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Province
-60ed8313:150849567c0:2113	Membership
-60ed8313:150849567c0:44a6	EthnicProportion
-60ed8313:150849567c0:19a2	Membership
\.


--
-- TOC entry 5903 (class 0 OID 93907)
-- Dependencies: 856
-- Data for Name: othername; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY othername ("Entity", "VALUE") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	Zhongli
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	L'Hospitalet de Llobregat
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	Kokshetau
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	Port Elizabeth
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	San Juan de Pasto
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	Elx
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	Ilesa
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	Cuautla
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	Jekaterinburg
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	Donostia-San Sebastián
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	San Sebastián
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	Sumqayit
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/city/Sakaka/	Sakakah
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	Sutton
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	Pretoria
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	Cagayan de Oro
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	San Andres y Providencia
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	Kaspiysk
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	Pusan
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	Kota Bharu
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	Taegu
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	Čita
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/city/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnourd
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	Bojnord
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	Distrito Central
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	Siquatepeque
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piraeus
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	Piräus
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	Cheju
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	Padua
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	Urumqi
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	Al-Qādisiyyah
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	Dzerzhinsk
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	Sukhumi
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	Castelló de la Plana
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	Taiz
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Kimchaek
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	Songjin
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	Shakhty
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	Kelang
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	Volžskij
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	Bergen
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	Novokuzneck
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	Tashkent City
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	Mytishchi
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	Laâyoune
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	Qamishli
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/city/Daman/	Diu
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomolsk on Amur
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	Komsomol'sk-na-Amure
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	Ahmedabad
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	Nashville
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	Guatemala City
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	Fez
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	Čel'abinsk
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	Novy Urengoy
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	Toamasina
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	Efon-Alaaye
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	Shchyolkovo
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	St. George's
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	Nakhodka
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	Santiago de los Caballeros
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	Khasavyurt
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Reggionell-Emilia/	Reggio Emilia
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	Bisho
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/city/Zouerate/	Zouérat
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	Calicut
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	Geneva
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	Fergana
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	Uljanovsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	Amarah
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	Manama
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	Zheleznodorozhny
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	Lipeck
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	Korolyov
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	La Laguna
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	Mosul
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	El-Mahalla El-Kubra
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	Cairo
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	Termez
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	Rovno
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	Cologne
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Ho Chi Minh City
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	Saigon
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	Mansoura
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	Turin
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	Guwahati
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	Mahajanga
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	Icel
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	Beersheba
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	Ulan Bator
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basra
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	Basrah
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	Viangchan
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	Latakia
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	Kamensk Uralsky
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	Kiev
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	Akyab
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	Nebitdag
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	Sāhīwal
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	Juárez
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	Nawābshāh
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	Adapazari
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	Poza Rica
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	Būrewāla
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	Santiago de Veraguas
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kaxgar
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	Kashi
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	South Tangerang
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	Las Tunas
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	Toljatti
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	Karāchi
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	Dera Ghāzi Khān
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	Minya
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	Almalyk
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahim Yar Khan
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	Rahīmyār Khān
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	Cuzco
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	Kafr el-Dawwar
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/city/Panaji/	Goa
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	Seville
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	Genoa
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	Petropavl
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	Reggio Calabria
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	Limassol
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	Balqash
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	Misrata
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/city/Aijal/	Aizawl
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Kotte
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	Sri Jayewardenepura
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	Pachuca de Soto
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	Boise
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	Santa Cruz
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Ghent
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	Gand
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	Machačkala
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	Rubtsovsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	Heroica Nogales
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	Faiyum
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	Taif
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	Frankfurt
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	Panjin
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	Santarém
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/city/Duhouk/	Dahuk
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damaskus
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	Benin City
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	İzmir
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	Archangel'sk
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	Almetyevsk
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	Taldykorgan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	Nefteyugansk
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	Rishon LeZion
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	Ahwaz
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	Iževsk
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	Najaf
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	Offenbach
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	Pushkino
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/city/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Aleppo
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	Haleb
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	Thiruvananthapuram
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	Sharjah
http://www.semwebtech.org/mondial/10/country/ET/city/MarsaMatruh/	Mersa Matruh
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/city/Simla/	Shimla
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	Guixian
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/city/Tavoy/	Dawei
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	Tlalnepantla de Baz
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	Orekhovo Zuyevo
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	Nazret
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	Antakya
http://www.semwebtech.org/mondial/10/country/MAYO/city/Mamoutzou/	Mamoudzou
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	Bhilai Nagar
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	Taejon
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	Kwangju
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	Wad Madani
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	Yuzhno Sakhalinsk
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	Astrachan'
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	Odessa
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	Kāmoke
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataysk
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	Bataisk
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	Novorossijsk
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	Al Khalil
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	Achinsk
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/city/Coyhaique/	Coihaique
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	Nzérékoré
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	Estado de Mexico
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/city/SanJuan/	San Juan de Los Morros
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	Nižnij Tagil
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	Iruña
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Antwerp
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	Anvers
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	Athens
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	Osogbo
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	Gujrāt
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	Stavropol'
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/city/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	Ramadi
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	Pyatigorsk
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	Nižnij Novgorod
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	Shubra El-Kheima
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	Kamyshin
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	Copenhagen
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	Coro
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	Damascus
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	Rangoon
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	Naucalpan de Juarez
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	Porto
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	San Jose del Monte
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	Kokand
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	Urfa
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/city/DehraDun/	Dehradun
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	Debre Zeyit
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingora
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	Mingāora
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	Yelets
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	Huhhot
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucharest
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	Bucarest
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	Izmit
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	Br'ansk
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	Sinpo
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	Homs
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	Aktobe
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	Joškar-Ola
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	Urgench
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	Tucuman
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	Sohag
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	Quy Nhơn
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	Durban
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	Voronež
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	San Pablo de las Salinas
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Mawlamyaing
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	Moulmein
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	Howrah
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	Khomeynishahr
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	Blagoveshchensk
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	Luik
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Havana
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	Habana
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	Afyon
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	Groznyj
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	Kazan'
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	Florence
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	Hamadan
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	Alacant
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	Islāmābād
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	Mülheim
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	Vienna
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/city/Tombouctou/	Timbuktu
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalcis
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	Chalkis
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Giza
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	Gizeh
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberezhnye Chelny
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	Naberežnyje Čelny
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	Jaroslavl'
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	Novokuybyshevsk
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	Lārkāna
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	Nicosia
http://www.semwebtech.org/mondial/10/country/GUAM/city/Hagåtña/	Agana
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	Malacca
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/city/Aysaita/	Asaita
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	Biysk
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/city/Gambella/	Gambela
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	Nampo
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	Warsaw
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	Kigoma
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	Calcutta
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Iraklion
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	Irakleio
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	Beirut
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	Rhodos
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	Pripyat
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	Aarhus
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	Novoshakhtinsk
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	Freiburg im Breisgau
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole (Roatan)
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/city/Roatan/	Coxen Hole
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	Ismaïlia
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/city/SanFernando/	San Fernando de Apure
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	Kustanay
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/city/SfintuGheorghe/	Sfântu Gheorghe
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	Kopeysk
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	Dadiangas
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	Bruges
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	Larnaca
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	Tromsoe
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	Luxor
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	Lyubertsy
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	Kuwait City
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	Jerez
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Al Chartum Bahri
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	Chartum Bahri
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Oryol
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	Orël
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussels
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	Brussel
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	Multān
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	Novocherkassk
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	Alexandria
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	Chabarovsk
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	Xiangfan
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	Charjew
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	Margilan
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	Nižnevartovsk
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	Khimki
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	Sulaymaniyah
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	Deir ez-Zor
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	Nacala
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	Hull
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/city/Tabouk/	Tabuk
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyidaw
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	Naypyitaw
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	Al Qadarif
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	Odintsovo
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	Oktyabrsky
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	Gujrānwāla
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	Samarkand
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	Maskat
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	Tumaco
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	Gonbad e Kavous
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	Las Palmas
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	Khanty Mansiysk
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	Qena
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	Nasiriyah
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	The Hague
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	's-Gravenhage
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	Fergana
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	Isfahan
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	Rome
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	Čerepovec
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	Hyderābād
http://www.semwebtech.org/mondial/10/country/P/province/Evora/city/Evora/	Évora
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/city/AlQunaytirah/	Quneitra
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	Serpukhov
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	Port Said
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	Nelspruit
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	St. Catharines
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	Kumul
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	Cochin
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Corfu
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/city/Kerkyra/	Korfu
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov on Don
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	Rostov
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	Bahāwalpur
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	Karagandy
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	Penang
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	Magway
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	Jerusalem
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Châlons-en-Champagne/	Châlons en Champagne
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	Peshāwar
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	Newcastle
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	Syracuse
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	Khvoy
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	Sheikhūpura
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	Vadsoe
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Khudzhand
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	Chudschand
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	T'umen'
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	Karbala
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	Islamshahr
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Daşoguz
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	Tashauz
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Veliky Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	Novgorod
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	Hong Gai
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	Rāwalpindi
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	Schaarbeek
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/city/Ngiva/	Ondjiva
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	Zaporizhia
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	Sint-Jans-Molenbeek
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	Lexington Fayette
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	Bengaluru
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	Hanover
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/city/Aioun/	Ayoûn el-Atroûs
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	Bienne
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	Soči
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	Caloocan
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Sankt-Peterburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	Saint Petersburg
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	St. Peterburg
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	Okāra
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Hodeidah
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	Al Hudaydah
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	Mardān
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	Palma
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	Basse Terre
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	Tirane
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	Bozen
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanay
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	Kostanai
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	San Juan de Girón
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	Al Diwaniyah
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	Noyabrsk
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	Perm'
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	Prokopyevsk
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	Maykop
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	New Bombay
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	Pétionville
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	East London
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	Pristina
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	Maarat al-Numaan
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/city/Tidjikja/	Tidjikdja
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovskij
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	Zhukovsky
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	Uzhgorod
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	Vanderbijlpark
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	Kuching
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	Namen
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	Suez
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	Kalemie
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	Bodoe
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	Shibin El Kom
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Sergiyev Posad
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	Zagorsk
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	Veracruz Llave
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	Naples
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	Patan
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	Yessentuki
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	Zagazig
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	Ardabil
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	Kasūr
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	Touggourt
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	Embu das Artes
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	Hamhung
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	Ludwigshafen am Rhein
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	Pietermaritzburg
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	Nizhnekamsk
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	Venice
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/city/AlBaha/	Al Bahah
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	Kulob
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	R'azan'
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	Hubballi
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	Lubuklinggau
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	Belgrade
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	Jakutsk
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	Hama
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	Wāh Cantonment
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	Cherkessk
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	Tangier
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Gothenburg
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	Göteborg
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/city/AsSamawah/	Samawah
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	Douma
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	Soledad de Graciano Sanchez
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	Bokara Steel City
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Xalapa
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	Jalapa
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	Nuremberg
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	Jiaoxian
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/city/TirguJiu/	Târgu Jiu
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	Pietersburg
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	Daraa
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	Čeboksary
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	Ussuriysk
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	Victoria de Durango
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	Munich
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	Petropavlovsk Kamchatsky
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	Moscow
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	Ogbomoso
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	Rudny
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikva
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	Petah Tikwa
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	Nizhny Novgorod
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	Novocheboksarsk
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	La Coruna
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	Stary Oskol
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	Louvain
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	Lucerne
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	Zamora
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	Prague
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	Banjarmasin
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	St. Gallen
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	Djelfa
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	Madinah
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	Krasnojarsk
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	Tver'
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	Patras
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	Santa Catarina
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	Jaboatao dos Guararapes
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	Jizan
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	Yasouj
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Tanjungpinang/	Tanjung Pinang
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	As Sib
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	Siālkot
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	Moji Guacu
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	Ecatepec de Morelos
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	San Nicolas de los Garza
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	Jiangsu
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	Bien Hoa City
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	Milan
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	Tashkent
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	Bloemfontein
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	Solapur
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	Balashikha
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	Nalchik
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	Jujuy
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/city/Mytilini/	Mytilene
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	Beni Suef
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	Bukhara
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	Monaco-Ville
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	Kharkov
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	Ujung Pandang
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	Kut
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	Mīrpur Khās
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Jaffa
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	Tel Aviv
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	Mexico City
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	Nishapur
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	Ekurhuleni
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	East Rand
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	Madeira
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/city/Inirida/	Puerto Inirida
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	Basra
\.


--
-- TOC entry 5904 (class 0 OID 93910)
-- Dependencies: 857
-- Data for Name: population; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY population ("Subject", "VALUE") FROM stdin;
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/	3256140
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/	660544
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/	345000
http://www.semwebtech.org/mondial/10/country/B/province/Namur/	482451
http://www.semwebtech.org/mondial/10/country/B/province/BrabantWallon/	388526
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/	3224357
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/	2125635
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/	778195
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/	4620624
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/	4351037
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/	5822734
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/	739482
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/	6421874
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/	6192000
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/	43900000
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/	2008566
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/	851406
http://www.semwebtech.org/mondial/10/country/RO/province/Vrancea/	340310
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/	321212
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/	549217
http://www.semwebtech.org/mondial/10/country/J/province/Saga/	840000
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/	72147030
http://www.semwebtech.org/mondial/10/country/RO/province/Tulcea/	213083
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/	60439692
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/	1883425
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/	6523222
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/	616168
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/	3490053
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/	575398
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/	1076000
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/	11594163
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/	371714
http://www.semwebtech.org/mondial/10/country/RO/province/Hunedoara/	418565
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/	684082
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/	265390
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/	47190000
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/	25821800
http://www.semwebtech.org/mondial/10/country/RO/province/Alba/	342376
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/	20734097
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/	46300543
http://www.semwebtech.org/mondial/10/country/RO/province/Călăraşi/	306691
http://www.semwebtech.org/mondial/10/country/RO/province/Dâmboviţa/	518745
http://www.semwebtech.org/mondial/10/country/RO/province/Ilfov/	388738
http://www.semwebtech.org/mondial/10/country/RO/province/Vaslui/	395499
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/	15126371
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/	81070000
http://www.semwebtech.org/mondial/10/country/RO/province/Teleorman/	380123
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/	451069
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/	344360
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/	22643000
http://www.semwebtech.org/mondial/10/country/RO/province/Caraş-Severin/	295579
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/	10486660
http://www.semwebtech.org/mondial/10/country/RO/province/Bistriţa-Năsăud/	286225
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/	536167
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/	5971816
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/	1809106
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/	6731484
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/	27512800
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/	47424418
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/	24976100
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/	2336255
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/	2625919
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/	38350200
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/	1996812
http://www.semwebtech.org/mondial/10/country/RMM/province/Gao/	544120
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/	2418305
http://www.semwebtech.org/mondial/10/country/RMM/province/Tombouctou/	681691
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/	54980000
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/	11081692
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/	16461173
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/	6850884
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/	4342135
http://www.semwebtech.org/mondial/10/country/RMM/province/Kidal/	67638
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/	461671
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/	483154
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/	12272263
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/	516831
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/	5954169
http://www.semwebtech.org/mondial/10/country/ANG/province/Malanje/	968135
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/	428103
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/	26956958
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/	359869
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/	7133620
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/	9943964
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/	9909877
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/	7777992
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/	946607
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/	19746227
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/	1576884
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/	9277727
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/	4598729
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/	5337710
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/	5377595
http://www.semwebtech.org/mondial/10/country/EAT/province/Lindi/	864652
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/	2458023
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/	2083588
http://www.semwebtech.org/mondial/10/country/EAT/province/Manyara/	1425131
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/	2127930
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/	2218492
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/	564604
http://www.semwebtech.org/mondial/10/country/EAT/province/Geita/	1739530
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniPemba/	195116
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/	720436
http://www.semwebtech.org/mondial/10/country/EAT/province/Pwani/	1098668
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniPemba/	211732
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/	1743830
http://www.semwebtech.org/mondial/10/country/MYA/province/Magwe/	3912711
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/	57990000
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/	10097343
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/	97333900
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/	4403178
http://www.semwebtech.org/mondial/10/country/EAT/province/KaskaziniUnguja/	187455
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/	35022200
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/	1350682
http://www.semwebtech.org/mondial/10/country/RO/province/Ialomiţa/	274148
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/	634810
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/	397322
http://www.semwebtech.org/mondial/10/country/RO/province/Gorj/	341594
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/	691106
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/	478659
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/	550846
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/	5566000
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/	908942
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/	421196
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/	1395233
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/	542992
http://www.semwebtech.org/mondial/10/country/Z/province/Western/	881524
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/	5070746
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/	623966
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/	1534808
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/	702097
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/	2045205
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/	2291623
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/	6562053
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/	2037330
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/	1376891
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/	1694310
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/	1918155
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/	3229163
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/	593678
http://www.semwebtech.org/mondial/10/country/WAN/province/Bayelsa/	1966426
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/	145237
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/	732762
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisMakedonias/	283689
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/	2580000
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/	35193978
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/	5002904
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/	942513
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/	1134313
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/	1056955
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/	1397000
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/	749373
http://www.semwebtech.org/mondial/10/country/CH/province/Obwalden/	36507
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/	482196
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/	3733362
http://www.semwebtech.org/mondial/10/country/Z/province/Northern/	1759600
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/	808878
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/	2382941
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/	10135030
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/	4115741
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/	112772
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/	1607506
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/	1158367
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/	4863455
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/	631218
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/	1129391
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/	3120400
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/	1483674
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/	211799
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/	492135
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/	1027683
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/	1015776
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/	2767761
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/	562114
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/	1404262
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/	2352900
http://www.semwebtech.org/mondial/10/country/UZB/province/Sirdaryo/	763800
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/	2805500
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/	1521497
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/	634402
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/	1310929
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/	469837
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/	273080
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/	2350657
http://www.semwebtech.org/mondial/10/country/EAT/province/KusiniUnguja/	115588
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/	2707410
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/	1270854
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/	941238
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/	4364541
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/	1640087
http://www.semwebtech.org/mondial/10/country/EAT/province/Simiyu/	1584157
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/	1004539
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/	2772509
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/	1370637
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/	1735351
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/	2228527
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/	1344095
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/	1506442
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/	4444204
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/	1472387
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/	3999800
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/	4647841
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/	1426684
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/	1903728
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/	1194121
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/	1797335
http://www.semwebtech.org/mondial/10/country/ANG/province/Zaire/	567225
http://www.semwebtech.org/mondial/10/country/ANG/province/Uíge/	1426354
http://www.semwebtech.org/mondial/10/country/ANG/province/Huíla/	2354398
http://www.semwebtech.org/mondial/10/country/ANG/province/Huambo/	1896147
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaNorte/	427971
http://www.semwebtech.org/mondial/10/country/ANG/province/Cunene/	965288
http://www.semwebtech.org/mondial/10/country/ANG/province/Bengo/	351579
http://www.semwebtech.org/mondial/10/country/ANG/province/Bié/	1338923
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/	6542944
http://www.semwebtech.org/mondial/10/country/ANG/province/Cabinda/	688285
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/	2036662
http://www.semwebtech.org/mondial/10/country/ANG/province/Moxico/	727594
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Sul/	516077
http://www.semwebtech.org/mondial/10/country/ANG/province/CuandoCubango/	510369
http://www.semwebtech.org/mondial/10/country/ANG/province/CuanzaSul/	1793787
http://www.semwebtech.org/mondial/10/country/ANG/province/Namibe/	471613
http://www.semwebtech.org/mondial/10/country/ANG/province/Lunda-Norte/	799950
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/	37640000
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/	1616867
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/	10137737
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/	12609803
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/	4297323
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/	4748372
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/	6800180
http://www.semwebtech.org/mondial/10/country/IND/province/Manipur/	2855794
http://www.semwebtech.org/mondial/10/country/IND/province/Nagaland/	1978502
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/	4101322
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/	3407353
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/	2429224
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/	4109571
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/	4468563
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/	2744671
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/	4597500
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/	35591
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/	1827937
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/	686266
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/	304568
http://www.semwebtech.org/mondial/10/country/H/province/Tolna/	230361
http://www.semwebtech.org/mondial/10/country/GR/province/Peloponnisos/	577903
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/	608182
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/	16787941
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/	1433810
http://www.semwebtech.org/mondial/10/country/SN/province/Sédhiou/	452994
http://www.semwebtech.org/mondial/10/country/SN/province/Kaffrine/	566992
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Jouf/	440009
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/	924100
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/	469433
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/	2706359
http://www.semwebtech.org/mondial/10/country/H/province/Vas/	256629
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/	241928
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/	1763000
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/	1147000
http://www.semwebtech.org/mondial/10/country/Z/province/Luapula/	958976
http://www.semwebtech.org/mondial/10/country/ETH/province/Gambella/	385997
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/	735640
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/	6358636
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/	2368654
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/	199812341
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/	13537994
http://www.semwebtech.org/mondial/10/country/N/province/Troms/	160418
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/	1424910
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/	439262
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/	275594
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayin/	1572657
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/	1229260
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/	9910219
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/	322283
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/	221209
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/	1160731
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/	773026
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/	573421
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/	5411324
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/	1084979
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/	1477195
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/	1273199
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/	3107126
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/	3989808
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/	2800119
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/	32988134
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/	4052566
http://www.semwebtech.org/mondial/10/country/IND/province/HimachalPradesh/	6864602
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/	3386500
http://www.semwebtech.org/mondial/10/country/R/province/Leningradskaya/	1763924
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/	50555
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/	2082654
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/	185887
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/	5420411
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/	3694087
http://www.semwebtech.org/mondial/10/country/WAN/province/Taraba/	2647413
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/	11058314
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/	4796408
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/	3337517
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/	6596392
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/	6144673
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/	2193613
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/	5499737
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/	3663428
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/	4292416
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/	2768452
http://www.semwebtech.org/mondial/10/country/WAN/province/AkwaIbom/	4612067
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/	10668139
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/	3250816
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/	4930077
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/	3788319
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/	2794575
http://www.semwebtech.org/mondial/10/country/WAN/province/Ebonyi/	2499272
http://www.semwebtech.org/mondial/10/country/WAN/province/Adamawa/	3667419
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/	4412299
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/	1029475
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/	2167120
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/	3838160
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/	2742093
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/	6725626
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/	2757022
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/	7087226
http://www.semwebtech.org/mondial/10/country/WAN/province/Kebbi/	3793585
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/	4012105
http://www.semwebtech.org/mondial/10/country/WAN/province/Jigawa/	5031103
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/	3841884
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/	4931135
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/	4674381
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/	4813917
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/	1265015
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/	43537
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/	36700
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/	756050
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/	526702
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/	8155334
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/	940789
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/	1108303
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/	4581978
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/	4025074
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/	417456
http://www.semwebtech.org/mondial/10/country/H/province/Pest/	1217476
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/	386594
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/	6063589
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/	1729040
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/	351898
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/	317307
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/	386441
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/	6378132
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/	3943885
http://www.semwebtech.org/mondial/10/country/TR/province/Muğla/	851145
http://www.semwebtech.org/mondial/10/country/SA/province/Al-HududashShamaliyah/	320524
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/	1168908
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/	1600447
http://www.semwebtech.org/mondial/10/country/IND/province/Uttarakhand/	10086292
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/	12541302
http://www.semwebtech.org/mondial/10/country/ZRE/province/Maniema/	1246787
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/	585452
http://www.semwebtech.org/mondial/10/country/HCA/province/Valle/	171613
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/	407551
http://www.semwebtech.org/mondial/10/country/HCA/province/IslasdelaBahía/	49158
http://www.semwebtech.org/mondial/10/country/SN/province/Tambacounda/	681310
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/	2286746
http://www.semwebtech.org/mondial/10/country/J/province/Fukui/	795000
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellAusserrhoden/	53691
http://www.semwebtech.org/mondial/10/country/CH/province/Solothurn/	261437
http://www.semwebtech.org/mondial/10/country/PA/province/LosSantos/	89592
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/	109955
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette/	152433
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/	1630308
http://www.semwebtech.org/mondial/10/country/YV/province/Trujillo/	686367
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/	1380762
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/	11834087
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/	269003
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/	2183090
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/	16476149
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/	1119412
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/	1321407
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/	46866000
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/	21148000
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/	324152
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/	852321
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/	304821
http://www.semwebtech.org/mondial/10/country/MAL/province/Labuan/	85272
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/	1325578
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/	2748391
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/	1791668
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/	2388297
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/	2895300
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/	954803
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/	967896
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/	2569126
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/	284992
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/	321173
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/	425847
http://www.semwebtech.org/mondial/10/country/H/province/Zala/	282179
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/	447985
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/	520331
http://www.semwebtech.org/mondial/10/country/H/province/Nógrád/	202427
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/	546721
http://www.semwebtech.org/mondial/10/country/H/province/Heves/	308882
http://www.semwebtech.org/mondial/10/country/H/province/Békés/	359948
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/	559272
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/	1811
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/	623065
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/	1880297
http://www.semwebtech.org/mondial/10/country/GR/province/BoreioyAigaioy/	199231
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/	3828434
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/	336856
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/	9079000
http://www.semwebtech.org/mondial/10/country/GR/province/IonionNison/	207855
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/	547390
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/	679796
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/	309015
http://www.semwebtech.org/mondial/10/country/PK/province/FATA/	3176331
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/	805235
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/	870347
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/	17735912
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/	6565885
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/	73621290
http://www.semwebtech.org/mondial/10/country/IND/province/Sikkim/	610577
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/	33406061
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/	61095297
http://www.semwebtech.org/mondial/10/country/IND/province/Haryana/	25351462
http://www.semwebtech.org/mondial/10/country/IND/province/ArunachalPradesh/	1383727
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/	27743338
http://www.semwebtech.org/mondial/10/country/IND/province/Puducherry/	1247953
http://www.semwebtech.org/mondial/10/country/IND/province/Tripura/	3673917
http://www.semwebtech.org/mondial/10/country/IND/province/DadraandNagarHaveli/	343709
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/	25545198
http://www.semwebtech.org/mondial/10/country/IND/province/Goa/	1458545
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/	91276115
http://www.semwebtech.org/mondial/10/country/IND/province/DamanandDiu/	243247
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/	41974218
http://www.semwebtech.org/mondial/10/country/IND/province/Meghalaya/	2966889
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/	31205576
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/	49386799
http://www.semwebtech.org/mondial/10/country/IND/province/Lakshadweep/	64473
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/	430000
http://www.semwebtech.org/mondial/10/country/IND/province/Mizoram/	1097206
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/	104099452
http://www.semwebtech.org/mondial/10/country/IND/province/AndamanandNicobarIslands/	380581
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/	3337000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/	5201000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/	2837779
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/	3830000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/	3564434
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/	2835000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/	4125000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/	4787000
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/	4820000
http://www.semwebtech.org/mondial/10/country/HCA/province/GraciasaDios/	88314
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/	1570291
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/	73326100
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/	2865795
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/	1785285
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/	3525664
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/	801968
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/	3480414
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud/	692142
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/	1015622
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/	1804695
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/	1384286
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/	2050229
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/	2455780
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/	1570694
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/	7643194
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/	930143
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/	4363916
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/	884268
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/	1012296
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/	3270422
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/	5558000
http://www.semwebtech.org/mondial/10/country/CH/province/Jura/	71738
http://www.semwebtech.org/mondial/10/country/Z/province/Central/	1267803
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/	1134498
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/	1169788
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/	1513892
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/	14722100
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/	3321730
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/	2852372
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/	2688171
http://www.semwebtech.org/mondial/10/country/TR/province/Hakkari/	279982
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/	986042
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/	446406
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/	1004544
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/	491027
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/	877149
http://www.semwebtech.org/mondial/10/country/I/province/Marche/	1541319
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/	1639362
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/	9704151
http://www.semwebtech.org/mondial/10/country/I/province/Molise/	313660
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/	2371603
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/	93028
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/	2118252
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/	2479461
http://www.semwebtech.org/mondial/10/country/I/province/Campania/	5766810
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/	4857210
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/	1959050
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/	1307309
http://www.semwebtech.org/mondial/10/country/I/province/Valled-Aosta/	126806
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/	3672202
http://www.semwebtech.org/mondial/10/country/I/province/Basilicata/	578036
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/	1218985
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/	5502886
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/	459124
http://www.semwebtech.org/mondial/10/country/HCA/province/Colón/	293540
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/	362226
http://www.semwebtech.org/mondial/10/country/HCA/province/Ocotepeque/	132453
http://www.semwebtech.org/mondial/10/country/HCA/province/SantaBárbara/	402367
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/	442251
http://www.semwebtech.org/mondial/10/country/HCA/province/LaPaz/	196322
http://www.semwebtech.org/mondial/10/country/HCA/province/Lempira/	315565
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/	552100
http://www.semwebtech.org/mondial/10/country/HCA/province/Intibucá/	232509
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/	509564
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/	427232
http://www.semwebtech.org/mondial/10/country/SN/province/Fatick/	714392
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/	960875
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/	1958623
http://www.semwebtech.org/mondial/10/country/SN/province/Kolda/	662455
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/	3137196
http://www.semwebtech.org/mondial/10/country/SN/province/Louga/	874193
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/	1788864
http://www.semwebtech.org/mondial/10/country/SN/province/Matam/	562539
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/	549151
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/	1497455
http://www.semwebtech.org/mondial/10/country/SN/province/Kédougou/	151357
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/	2528632
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/	1275511
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/	1023102
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/	3458881
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/	1199724
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/	2097818
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/	2128921
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/	3350350
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/	5293224
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/	1722149
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/	2915245
http://www.semwebtech.org/mondial/10/country/IRQ/province/Duhouk/	1128745
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/	971448
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/	1820673
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/	1612692
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/	1066567
http://www.semwebtech.org/mondial/10/country/IRQ/province/Salahal-Deen/	1408174
http://www.semwebtech.org/mondial/10/country/CH/province/Glarus/	39593
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/	1451950
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/	2168616
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/	1210591
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/	1814300
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/	1059836
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/	68548437
http://www.semwebtech.org/mondial/10/country/SA/province/Tabouk/	791535
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/	2432003
http://www.semwebtech.org/mondial/10/country/J/province/Ibaraki/	2931000
http://www.semwebtech.org/mondial/10/country/CH/province/Aargau/	636362
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/	41888
http://www.semwebtech.org/mondial/10/country/TAD/province/Gorno-Badakhshan/	212100
http://www.semwebtech.org/mondial/10/country/RCB/province/Lékoumou/	85617
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/	3041002
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/	3704404
http://www.semwebtech.org/mondial/10/country/YV/province/Apure/	459025
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/	4225384
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/	1828291
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/	2097629
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/	252000
http://www.semwebtech.org/mondial/10/country/B/province/Liège/	1087729
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/	1032949
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/	1151672
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/	1006953
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/	477616
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/	15687759
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/	2219574
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/	217886
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/	190409
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/	741371
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/	789750
http://www.semwebtech.org/mondial/10/country/TR/province/Sinop/	201311
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/	281080
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/	552404
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/	3388768
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/	1169936
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/	4245532
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/	1173440
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/	3885049
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/	1380128
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/	5757564
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/	1609982
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/	1226800
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/	2725900
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/	2328959
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/	2963918
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/	2496552
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/	282021
http://www.semwebtech.org/mondial/10/country/RIM/province/Tagant/	80962
http://www.semwebtech.org/mondial/10/country/RIM/province/Inchiri/	19639
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/	1308290
http://www.semwebtech.org/mondial/10/country/F/province/Corse/	314486
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Muthanna/	719069
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/	1443173
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/	1836181
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/	7055196
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/	1561407
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/	1395614
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/	1285484
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/	2531997
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/	400398
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/	8073924
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/	4105780
http://www.semwebtech.org/mondial/10/country/SA/province/Jazan/	1365110
http://www.semwebtech.org/mondial/10/country/SA/province/Najran/	505652
http://www.semwebtech.org/mondial/10/country/SA/province/Ha-il/	597144
http://www.semwebtech.org/mondial/10/country/SA/province/Aseer/	1913392
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/	1777933
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/	6915006
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/	6777146
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Qaseem/	1215858
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Baha/	411888
http://www.semwebtech.org/mondial/10/country/BY/province/Minsk/	1400717
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/	1426674
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/	1075067
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/	1206022
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/	1389782
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/	1905475
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/	1257200
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/	898400
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/	1277100
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/	1084200
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/	7222000
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/	1120000
http://www.semwebtech.org/mondial/10/country/J/province/Tottori/	578000
http://www.semwebtech.org/mondial/10/country/J/province/Iwate/	1295000
http://www.semwebtech.org/mondial/10/country/J/province/Oita/	1178000
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/	555683
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/	2840000
http://www.semwebtech.org/mondial/10/country/J/province/Yamaguchi/	1420000
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/	3723000
http://www.semwebtech.org/mondial/10/country/J/province/Yamagata/	1141000
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/	985000
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/	1801000
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/	13300000
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/	2617000
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/	7443000
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/	2330000
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/	1986000
http://www.semwebtech.org/mondial/10/country/J/province/Wakayama/	979000
http://www.semwebtech.org/mondial/10/country/J/province/Fukushima/	1946000
http://www.semwebtech.org/mondial/10/country/J/province/Gumma/	1984000
http://www.semwebtech.org/mondial/10/country/J/province/Tokushima/	770000
http://www.semwebtech.org/mondial/10/country/J/province/Shiga/	1416000
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/	1680000
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/	1159000
http://www.semwebtech.org/mondial/10/country/J/province/Yamanashi/	847000
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/	2328000
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/	2051000
http://www.semwebtech.org/mondial/10/country/J/province/Kochi/	745000
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/	8849000
http://www.semwebtech.org/mondial/10/country/J/province/Nagano/	2122000
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/	5090000
http://www.semwebtech.org/mondial/10/country/J/province/Mie/	1833000
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/	1930000
http://www.semwebtech.org/mondial/10/country/J/province/Akita/	1050000
http://www.semwebtech.org/mondial/10/country/J/province/Shimane/	702000
http://www.semwebtech.org/mondial/10/country/J/province/Nara/	1383000
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/	1405000
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/	562703
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/	5431000
http://www.semwebtech.org/mondial/10/country/J/province/Okinawa/	1415000
http://www.semwebtech.org/mondial/10/country/J/province/Aomori/	1335000
http://www.semwebtech.org/mondial/10/country/CH/province/Valais/	327011
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/	189335
http://www.semwebtech.org/mondial/10/country/CH/province/Uri/	35865
http://www.semwebtech.org/mondial/10/country/CH/province/AppenzellInnerrhoden/	15778
http://www.semwebtech.org/mondial/10/country/CH/province/Zug/	118118
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/	390349
http://www.semwebtech.org/mondial/10/country/CH/province/Graubünden/	194959
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/	1425538
http://www.semwebtech.org/mondial/10/country/CH/province/Schwyz/	151396
http://www.semwebtech.org/mondial/10/country/CH/province/Schaffhausen/	78783
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/	1001281
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Landschaft/	278656
http://www.semwebtech.org/mondial/10/country/CH/province/Neuchâtel/	176402
http://www.semwebtech.org/mondial/10/country/CH/province/Thurgau/	260278
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/	491699
http://www.semwebtech.org/mondial/10/country/CH/province/Fribourg/	297622
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/	346539
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/	2898600
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/	2400600
http://www.semwebtech.org/mondial/10/country/TAD/province/RegionsofRepublicanSubordination/	1874000
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/	775800
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/	11855975
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/	328915
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/	1791659
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/	228227
http://www.semwebtech.org/mondial/10/country/BOL/province/Pando/	110436
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/	1758143
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/	576153
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/	823517
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/	494178
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/	2655084
http://www.semwebtech.org/mondial/10/country/CI/province/Bafing/	139251
http://www.semwebtech.org/mondial/10/country/CI/province/N-zi-Comoé/	633922
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Comoé/	394741
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/	936502
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/	476173
http://www.semwebtech.org/mondial/10/country/CI/province/Zanzan/	700999
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/	79394900
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/	783708
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/	525729
http://www.semwebtech.org/mondial/10/country/CI/province/Moyen-Cavally/	508728
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/	1080432
http://www.semwebtech.org/mondial/10/country/CI/province/Agnéby/	525211
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Comoé/	459367
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/	929673
http://www.semwebtech.org/mondial/10/country/CI/province/Worodougou/	378463
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/	1071977
http://www.semwebtech.org/mondial/10/country/CI/province/Marahoué/	554805
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/	2619657
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/	1326991
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/	682021
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/	2154454
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/	5457173
http://www.semwebtech.org/mondial/10/country/CI/province/Denguélé/	222446
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/	2994079
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/	4010054
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/	125461
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/	1733000
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/	1410964
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/	2245744
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/	624001
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/	3601917
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/	3576643
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/	1625400
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/	1245251
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/	1799607
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/	106440000
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/	30439893
http://www.semwebtech.org/mondial/10/country/MAL/province/Putrajaya/	67964
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/	5777900
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/	413260
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/	346493
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/	340270
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/	950557
http://www.semwebtech.org/mondial/10/country/TR/province/Çankırı/	184406
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/	4653458
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/	1955577
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/	3801962
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/	1266682
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/	2272676
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/	5976407
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/	1326813
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/	999623
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/	1325249
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/	769980
http://www.semwebtech.org/mondial/10/country/R/province/Amur/	811274
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/	1140844
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/	1239984
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/	1344509
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/	248637
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/	233548
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/	276555
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/	3082412
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/	5327700
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/	730408
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/	339895
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/	1642734
http://www.semwebtech.org/mondial/10/country/Z/province/Eastern/	1707731
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/	626562
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/	2106331
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhChargui/	430668
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/	3328365
http://www.semwebtech.org/mondial/10/country/RN/province/Diffa/	593821
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/	126201
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/	955048
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/	1320171
http://www.semwebtech.org/mondial/10/country/GH/province/Western/	2376021
http://www.semwebtech.org/mondial/10/country/ETH/province/Affar/	1602995
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/	896291
http://www.semwebtech.org/mondial/10/country/YV/province/Amazonas/	146480
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/	1985529
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/	74534
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/	238748
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/	637460
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/	310245
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/	6175123
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/	7355075
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/	4596658
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/	557599
http://www.semwebtech.org/mondial/10/country/PE/province/MadredeDios/	127639
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/	763558
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/	427600
http://www.semwebtech.org/mondial/10/country/P/province/Porto/	1622300
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/	6727148
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/	3873743
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/	12787209
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/	462114
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/	1053837
http://www.semwebtech.org/mondial/10/country/TR/province/Şırnak/	466982
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/	703948
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/	2052281
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/	1250759
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/	1152333
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/	1023579
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/	658893
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/	1339912
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/	973860
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/	1271766
http://www.semwebtech.org/mondial/10/country/RCH/province/Aysén/	94271
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/	1950482
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/	1670827
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/	513159
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/	487620
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/	260217
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/	276637
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/	3369365
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/	556319
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/	1839393
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/	741072
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/	8938175
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/	1475684
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/	4780380
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/	2310983
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/	702110
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/	2633154
http://www.semwebtech.org/mondial/10/country/GH/province/Central/	2201863
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/	1046545
http://www.semwebtech.org/mondial/10/country/PA/province/Emberá/	10001
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/	1713070
http://www.semwebtech.org/mondial/10/country/PA/province/KunaYala/	33109
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/	226991
http://www.semwebtech.org/mondial/10/country/PA/province/Darién/	48378
http://www.semwebtech.org/mondial/10/country/PA/province/NgöbeBuglé/	156747
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/	233708
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/	416873
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/	785000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/	1477000
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/	998000
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/	921000
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/	1593000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/	991000
http://www.semwebtech.org/mondial/10/country/SYR/province/AlQunaytirah/	87000
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/	4744000
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/	364000
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/	2744000
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/	1464000
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/	1202000
http://www.semwebtech.org/mondial/10/country/TM/province/Akhal/	779400
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/	477600
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/	8371271
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/	7102438
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/	689867
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/	554741
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/	791723
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/	602436
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/	594328
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/	688851
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/	660563
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/	814527
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/	712000
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/	1183100
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/	1271200
http://www.semwebtech.org/mondial/10/country/RCB/province/Likouala/	97206
http://www.semwebtech.org/mondial/10/country/RCB/province/Pool/	436786
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/	829134
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/	255120
http://www.semwebtech.org/mondial/10/country/RCB/province/Cuvette-Ouest/	59728
http://www.semwebtech.org/mondial/10/country/RCB/province/Kouilou/	84165
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/	1408150
http://www.semwebtech.org/mondial/10/country/RCB/province/Sangha/	81326
http://www.semwebtech.org/mondial/10/country/RCB/province/Plateaux/	192596
http://www.semwebtech.org/mondial/10/country/RCB/province/Bouenza/	319570
http://www.semwebtech.org/mondial/10/country/Z/province/North-Western/	706462
http://www.semwebtech.org/mondial/10/country/Z/province/Southern/	1606793
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/	2198996
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/	498135
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/	639946
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/	44035304
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/	17359008
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/	18866002
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/	210000
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/	5148989
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/	4929999
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/	387000
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/	31294992
http://www.semwebtech.org/mondial/10/country/ETH/province/Benishangul-Gumuz/	982004
http://www.semwebtech.org/mondial/10/country/PE/province/Huancavelica/	483580
http://www.semwebtech.org/mondial/10/country/PE/province/Lima/	913734
http://www.semwebtech.org/mondial/10/country/YV/province/Cojedes/	323165
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/	1774867
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/	1943901
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/	876496
http://www.semwebtech.org/mondial/10/country/YV/province/Guárico/	747739
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/	816264
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/	352920
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/	902847
http://www.semwebtech.org/mondial/10/country/YV/province/NuevaEsparta/	491610
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/	2675165
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/	905443
http://www.semwebtech.org/mondial/10/country/YV/province/Yaracuy/	600852
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/	828592
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/	1469747
http://www.semwebtech.org/mondial/10/country/YV/province/DeltaAmacuro/	167676
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/	567938
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/	1507737
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/	1394114
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/	752977
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/	575746
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/	587440
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/	814401
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/	880889
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/	740389
http://www.semwebtech.org/mondial/10/country/P/province/Braga/	746100
http://www.semwebtech.org/mondial/10/country/TR/province/Van/	1051975
http://www.semwebtech.org/mondial/10/country/TR/province/Artvin/	167082
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/	5779829
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/	1344038
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/	1083367
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/	10267300
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/	4849377
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/	1118915
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/	4656803
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/	311444
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/	1084987
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/	2734734
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/	13527937
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/	32779832
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/	4702389
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiBarat/	1284620
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/	8395747
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/	2031895
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/	877437
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/	4546439
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/	2417962
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/	1708190
http://www.semwebtech.org/mondial/10/country/RI/province/MalukuUtara/	1141561
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/	38529481
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/	4731705
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/	7996535
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/	3412459
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/	2839290
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/	3913908
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/	3594290
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/	7972246
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/	3486432
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/	134443
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/	259404
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/	282000
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/	187254
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/	176353
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/	566399
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/	170902
http://www.semwebtech.org/mondial/10/country/N/province/SognogFjordane/	108700
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/	302755
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/	452159
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/	193719
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/	239611
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/	2676754
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/	1904112
http://www.semwebtech.org/mondial/10/country/MA/province/TazaAlHoceimaTaounate/	1807036
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/	2316865
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/	3157075
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/	1893950
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/	1808295
http://www.semwebtech.org/mondial/10/country/MA/province/GuelmimEsSemara/	501921
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/	555969
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/	1214945
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/	287470
http://www.semwebtech.org/mondial/10/country/A/province/Wien/	1761738
http://www.semwebtech.org/mondial/10/country/A/province/Vorarlberg/	374861
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/	534030
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/	512727
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/	518228
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/	574694
http://www.semwebtech.org/mondial/10/country/CZ/province/Středočeský/	1274633
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/	5098790
http://www.semwebtech.org/mondial/10/country/C/province/Artemisa/	487339
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/	12397614
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/	364183
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/	4270750
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/	1517050
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/	590459
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/	702000
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/	2050282
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/	2480874
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/	867727
http://www.semwebtech.org/mondial/10/country/P/province/Azores/	236700
http://www.semwebtech.org/mondial/10/country/P/province/Viseu/	401000
http://www.semwebtech.org/mondial/10/country/P/province/Portalegre/	134300
http://www.semwebtech.org/mondial/10/country/P/province/Beja/	167900
http://www.semwebtech.org/mondial/10/country/P/province/CasteloBranco/	214700
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/	6541900
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/	768311
http://www.semwebtech.org/mondial/10/country/TR/province/Gümüşhane/	135216
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/	416663
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/	419555
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/	1762075
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/	1443365
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/	1947651
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/	3268554
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/	3406465
http://www.semwebtech.org/mondial/10/country/CO/province/Amazonas/	75388
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/	1634187
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/	1719558
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/	6745408
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/	1881503
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/	901100
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/	1043130
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/	3838230
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/	1938516
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/	1340608
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/	2418348
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/	2185393
http://www.semwebtech.org/mondial/10/country/RN/province/Tillabéri/	2722482
http://www.semwebtech.org/mondial/10/country/RN/province/Dosso/	2037713
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/	274723
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/	3254233
http://www.semwebtech.org/mondial/10/country/C/province/IsladelaJuventud/	84263
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/	1496880
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/	4413457
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/	1140310
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/	582156
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/	6145588
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/	658629
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/	1074428
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/	4879312
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/	2534327
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/	1015734
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/	8792626
http://www.semwebtech.org/mondial/10/country/PE/province/Amazonas/	417508
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/	2063800
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/	28423019
http://www.semwebtech.org/mondial/10/country/TR/province/Bartın/	188436
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/	534205
http://www.semwebtech.org/mondial/10/country/TR/province/Ardahan/	106643
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/	341218
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/	762366
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/	757898
http://www.semwebtech.org/mondial/10/country/TR/province/Bayburt/	75797
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/	637026
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/	1490668
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/	1201342
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/	2639059
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/	350239
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/	381234
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/	3320299
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthWest/	3509953
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/	1706696
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/	12108257
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/	1068934
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/	2734075
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/	4069698
http://www.semwebtech.org/mondial/10/country/R/province/Komi/	872057
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/	534079
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/	1193371
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/	622430
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/	1462128
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/	592542
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/	272773
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/	112374333
http://www.semwebtech.org/mondial/10/country/RIM/province/HodhElGharbi/	294109
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/	152315
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/	573823
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/	1572205
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/	1236028
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/	1272690
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/	830371
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/	1119000
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/	209000
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/	195000
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/	662000
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/	23000
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/	242000
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/	177000
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/	415000
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/	646452
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/	2020754
http://www.semwebtech.org/mondial/10/country/NL/province/Zeeland/	380735
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/	2745613
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/	2482079
http://www.semwebtech.org/mondial/10/country/NL/province/Drenthe/	488876
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/	3580735
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/	1255661
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/	1154635
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/	1173019
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/	853239
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/	1328760
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/	1101280
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/	1460944
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/	1793377
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/	72626809
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/	5815384
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/	5320299
http://www.semwebtech.org/mondial/10/country/MYA/province/Kachin/	1689654
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/	3188963
http://www.semwebtech.org/mondial/10/country/MYA/province/Chin/	478690
http://www.semwebtech.org/mondial/10/country/MYA/province/Tanintharyi/	1406434
http://www.semwebtech.org/mondial/10/country/MYA/province/Kayah/	286738
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/	1758268
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/	895263
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/	1754243
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/	5994402
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/	1578183
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/	3080576
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/	1493645
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/	2938988
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/	1777014
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/	662534
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/	1413959
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/	1201565
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/	1945227
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/	3073943
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/	1248488
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/	806452
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/	969170
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/	840984
http://www.semwebtech.org/mondial/10/country/PE/province/Moquegua/	174859
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/	1634691
http://www.semwebtech.org/mondial/10/country/F/province/Centre/	2556835
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/	1748531
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/	1756400
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/	2412513
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/	12183391
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/	3724620
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/	253000
http://www.semwebtech.org/mondial/10/country/P/province/VianadoCastelo/	248700
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/	750912
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/	400768
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/	1330089
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/	36298000
http://www.semwebtech.org/mondial/10/country/C/province/Granma/	830645
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/	1346162
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/	13854740
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/	342269
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/	285190
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/	4796580
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/	822441
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/	3155070
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/	7350682
http://www.semwebtech.org/mondial/10/country/CO/province/Guaviare/	109490
http://www.semwebtech.org/mondial/10/country/CO/province/Arauca/	259447
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/	1274615
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/	2904021
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/	3878051
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/	1634464
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/	6596855
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/	1684100
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/	1159866
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/	688686
http://www.semwebtech.org/mondial/10/country/R/province/Penza/	1360587
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/	530879
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/	2519321
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/	381488
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/	1075183
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/	640129
http://www.semwebtech.org/mondial/10/country/RIM/province/Adrar/	62658
http://www.semwebtech.org/mondial/10/country/RIM/province/Brakna/	312277
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/	339116
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/	2127006
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/	1130608
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/	4916069
http://www.semwebtech.org/mondial/10/country/PE/province/Pasco/	297591
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/	666029
http://www.semwebtech.org/mondial/10/country/PE/province/Apurímac/	451881
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/	8481415
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/	1377122
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/	1292175
http://www.semwebtech.org/mondial/10/country/P/province/Algarve/	340100
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/	713700
http://www.semwebtech.org/mondial/10/country/P/province/Braganca/	158300
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/	427800
http://www.semwebtech.org/mondial/10/country/P/province/Santarem/	442700
http://www.semwebtech.org/mondial/10/country/P/province/Guarda/	187800
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/	656000
http://www.semwebtech.org/mondial/10/country/P/province/VilaReal/	237100
http://www.semwebtech.org/mondial/10/country/P/province/Evora/	173500
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/	18484858
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/	15787758
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/	8325666
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/	8952800
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/	66906000
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/	24151500
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/	29700000
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/	45221500
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/	496936
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/	3408510
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/	790101
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/	3194718
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/	697314
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/	424750
http://www.semwebtech.org/mondial/10/country/C/province/Mayabeque/	371198
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/	506369
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/	453211
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/	399708
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/	623535
http://www.semwebtech.org/mondial/10/country/TR/province/Burdur/	254341
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/	1682848
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/	1063174
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/	379915
http://www.semwebtech.org/mondial/10/country/TR/province/Tunceli/	86276
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/	1592167
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/	613990
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/	235424
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/	493691
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/	1274968
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/	310879
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/	902267
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/	274727
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/	1251722
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/	4005459
http://www.semwebtech.org/mondial/10/country/TR/province/Bitlis/	337253
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/	529975
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/	124320
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/	262507
http://www.semwebtech.org/mondial/10/country/TR/province/Bilecik/	204116
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/	595261
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/	225145
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/	1006541
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/	4965542
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/	606527
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/	1799558
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/	359808
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/	2092537
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/	843202
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/	2258428
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/	3120040
http://www.semwebtech.org/mondial/10/country/MAL/province/Perlis/	227025
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/	1520143
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/	905264
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/	1080431
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/	1090344
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/	295095
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/	1104500
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/	57241
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/	1263088
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/	11852851
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/	1459994
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/	3348283
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/	1627172
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/	2420009
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/	997071
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/	788706
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/	2662480
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/	8851080
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/	2665018
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/	650555
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/	2238603
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/	1632934
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/	1777227
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/	15175862
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/	1184996
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/	2585518
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/	579996
http://www.semwebtech.org/mondial/10/country/DK/province/Sjælland/	817907
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/	1714589
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/	7776845
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/	1140539
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/	1683782
http://www.semwebtech.org/mondial/10/country/CO/province/Vichada/	70260
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/	495151
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/	2051022
http://www.semwebtech.org/mondial/10/country/CO/province/Vaupés/	43240
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/	2073004
http://www.semwebtech.org/mondial/10/country/CO/province/SanAndrés,ProvidenciaySantaCatalina/	75801
http://www.semwebtech.org/mondial/10/country/CO/province/Putumayo/	341034
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/	1722945
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/	946632
http://www.semwebtech.org/mondial/10/country/CO/province/Guainía/	40839
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/	1366984
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/	471541
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/	1247514
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/	943072
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/	2540938
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/	1038598
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/	1088509
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/	1963008
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/	1154256
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/	1178223
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/	1002420
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/	1277303
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/	2814258
http://www.semwebtech.org/mondial/10/country/RSA/province/NorthernCape/	1145861
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/	4039939
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/	5404868
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/	935614
http://www.semwebtech.org/mondial/10/country/GB/province/London/	8416535
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/	7103260
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/	2610481
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/	362605
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/	1016533
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/	2742180
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/	2745590
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/	853175
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/	6549352
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/	2287040
http://www.semwebtech.org/mondial/10/country/R/province/Perm/	2636154
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/	1191785
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/	963128
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/	767714
http://www.semwebtech.org/mondial/10/country/BY/	9460692
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/	240759
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/	1100503
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/	1174542
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/	1863809
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/	688873
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/	1777773
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/	1336053
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/	2670046
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/	1852325
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/	4042015
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/	3601113
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/	4649676
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/	1419561
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/	2839099
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/	1850326
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/	584153
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/	1055173
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/	736732
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/	2966369
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/	4832482
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/	2942902
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/	3970239
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/	2085572
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/	4056799
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/	2188589
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/	3292365
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/	650863
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/	3281496
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/	1736500
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/	3445600
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/	2308300
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/	2504100
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/	656561
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/	1544108
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/	1973876
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/	319864
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/	1346438
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/	453010
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/	4320677
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/	5131942
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/	150312
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/	812156
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/	1413321
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/	522904
http://www.semwebtech.org/mondial/10/country/R/province/Samara/	3211187
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/	771058
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./	170377
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/	311761
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/	858397
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/	1242599
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/	1016516
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/	656389
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/	1267561
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/	5404273
http://www.semwebtech.org/mondial/10/country/R/province/Altay/	211645
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/	2731176
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/	1070128
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/	703977
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/	2852810
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/	687806
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/	889492
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/	1697581
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/	6604835
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/	155332
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/	212813
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/	7410399
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/	5739341
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/	2772927
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/	5009931
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/	2540187
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/	325897
http://www.semwebtech.org/mondial/10/country/RIM/province/Guidimagha/	267029
http://www.semwebtech.org/mondial/10/country/RIM/province/TirisZemmour/	53261
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/	123779
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/	335917
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/	958399
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/	1026848
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/	3402094
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/	3539764
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/	283113
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/	341977
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/	433784
http://www.semwebtech.org/mondial/10/country/S/province/Halland/	304116
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/	256224
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/	241981
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/	1829725
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/	3528687
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/	610449
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/	60298000
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/	37740000
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/	12880580
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/	8326289
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/	7519843
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/	5355866
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/	17538251
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/	2794508
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/	11207274
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/	1055450
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/	1532243
http://www.semwebtech.org/mondial/10/country/RO/province/Covasna/	210177
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/	772348
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/	412626
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/	762886
http://www.semwebtech.org/mondial/10/country/RO/province/Giurgiu/	281422
http://www.semwebtech.org/mondial/10/country/RO/province/Olt/	436400
http://www.semwebtech.org/mondial/10/country/RO/province/Harghita/	310867
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/	430629
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/	612431
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/	683540
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/	470766
http://www.semwebtech.org/mondial/10/country/RO/province/Sălaj/	224384
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/	5486372
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/	1369839
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/	8842791
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/	5674712
http://www.semwebtech.org/mondial/10/country/USA/province/California/	38802500
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/	94133500
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/	3596677
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/	19893297
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/	4566875
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/	7061530
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/	4531720
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/	2390638
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/	918147
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/	1314726
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/	393088
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/	469889
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/	148143
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/	718971
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/	3049229
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/	2903420
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/	3217767
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/	6283541
http://www.semwebtech.org/mondial/10/country/SY/	90945
http://www.semwebtech.org/mondial/10/country/CR/	4773119
http://www.semwebtech.org/mondial/10/country/GUAD/	404635
http://www.semwebtech.org/mondial/10/country/RO/	20121641
http://www.semwebtech.org/mondial/10/country/BHT/	733004
http://www.semwebtech.org/mondial/10/country/GQ/	696167
http://www.semwebtech.org/mondial/10/country/RB/	2038228
http://www.semwebtech.org/mondial/10/country/SPMI/	6312
http://www.semwebtech.org/mondial/10/country/NIC/	6071045
http://www.semwebtech.org/mondial/10/country/SK/	5397036
http://www.semwebtech.org/mondial/10/country/G/	1556222
http://www.semwebtech.org/mondial/10/country/EAU/	34856813
http://www.semwebtech.org/mondial/10/country/MH/	53158
http://www.semwebtech.org/mondial/10/country/AZ/	9356500
http://www.semwebtech.org/mondial/10/country/RP/	92337852
http://www.semwebtech.org/mondial/10/country/UAE/	8441537
http://www.semwebtech.org/mondial/10/country/NAU/	10025
http://www.semwebtech.org/mondial/10/country/RC/	23315822
http://www.semwebtech.org/mondial/10/country/GR/	10816286
http://www.semwebtech.org/mondial/10/country/CUR/	150563
http://www.semwebtech.org/mondial/10/country/V/	842
http://www.semwebtech.org/mondial/10/country/CAM/	19406100
http://www.semwebtech.org/mondial/10/country/H/	9937628
http://www.semwebtech.org/mondial/10/country/AMSA/	55519
http://www.semwebtech.org/mondial/10/country/CDN/	35158304
http://www.semwebtech.org/mondial/10/country/PY/	6672631
http://www.semwebtech.org/mondial/10/country/VN/	88772900
http://www.semwebtech.org/mondial/10/country/WAN/	164294516
http://www.semwebtech.org/mondial/10/country/WL/	165595
http://www.semwebtech.org/mondial/10/country/PL/	38533789
http://www.semwebtech.org/mondial/10/country/KGZ/	5776600
http://www.semwebtech.org/mondial/10/country/FALK/	2931
http://www.semwebtech.org/mondial/10/country/KIR/	103058
http://www.semwebtech.org/mondial/10/country/GBZ/	27495
http://www.semwebtech.org/mondial/10/country/PK/	173149306
http://www.semwebtech.org/mondial/10/country/ZRE/	62191161
http://www.semwebtech.org/mondial/10/country/TUV/	9827
http://www.semwebtech.org/mondial/10/country/COM/	683081
http://www.semwebtech.org/mondial/10/country/KWT/	2991580
http://www.semwebtech.org/mondial/10/country/TCH/	11720781
http://www.semwebtech.org/mondial/10/country/PAL/	17501
http://www.semwebtech.org/mondial/10/country/CV/	491875
http://www.semwebtech.org/mondial/10/country/NCA/	245580
http://www.semwebtech.org/mondial/10/country/SGP/	5076700
http://www.semwebtech.org/mondial/10/country/GUY/	747884
http://www.semwebtech.org/mondial/10/country/HCA/	8045990
http://www.semwebtech.org/mondial/10/country/YE/	24527000
http://www.semwebtech.org/mondial/10/country/IL/	7420368
http://www.semwebtech.org/mondial/10/country/IRQ/	33330512
http://www.semwebtech.org/mondial/10/country/CH/	8139631
http://www.semwebtech.org/mondial/10/country/J/	127298000
http://www.semwebtech.org/mondial/10/country/FSM/	102843
http://www.semwebtech.org/mondial/10/country/MK/	2059794
http://www.semwebtech.org/mondial/10/country/BRN/	1234596
http://www.semwebtech.org/mondial/10/country/SMAR/	37630
http://www.semwebtech.org/mondial/10/country/CI/	22671331
http://www.semwebtech.org/mondial/10/country/FJI/	860559
http://www.semwebtech.org/mondial/10/country/BOL/	10027262
http://www.semwebtech.org/mondial/10/country/RT/	6191155
http://www.semwebtech.org/mondial/10/country/LAO/	6514432
http://www.semwebtech.org/mondial/10/country/I/	59433744
http://www.semwebtech.org/mondial/10/country/HR/	4290612
http://www.semwebtech.org/mondial/10/country/LB/	3957990
http://www.semwebtech.org/mondial/10/country/BVIR/	23161
http://www.semwebtech.org/mondial/10/country/ARU/	101484
http://www.semwebtech.org/mondial/10/country/GH/	24658823
http://www.semwebtech.org/mondial/10/country/FGU/	237549
http://www.semwebtech.org/mondial/10/country/PA/	3405813
http://www.semwebtech.org/mondial/10/country/Z/	13046508
http://www.semwebtech.org/mondial/10/country/RH/	9896400
http://www.semwebtech.org/mondial/10/country/SRB/	7120666
http://www.semwebtech.org/mondial/10/country/ETH/	84320987
http://www.semwebtech.org/mondial/10/country/BZ/	312971
http://www.semwebtech.org/mondial/10/country/TM/	5041995
http://www.semwebtech.org/mondial/10/country/WAG/	1882450
http://www.semwebtech.org/mondial/10/country/GROX/	56370
http://www.semwebtech.org/mondial/10/country/SD/	1193148
http://www.semwebtech.org/mondial/10/country/RI/	252124458
http://www.semwebtech.org/mondial/10/country/EC/	14483499
http://www.semwebtech.org/mondial/10/country/CY/	840407
http://www.semwebtech.org/mondial/10/country/REUN/	828581
http://www.semwebtech.org/mondial/10/country/K/	14364931
http://www.semwebtech.org/mondial/10/country/MYA/	51419420
http://www.semwebtech.org/mondial/10/country/SP/	9636173
http://www.semwebtech.org/mondial/10/country/GBG/	59807
http://www.semwebtech.org/mondial/10/country/TL/	1066582
http://www.semwebtech.org/mondial/10/country/BIH/	3791622
http://www.semwebtech.org/mondial/10/country/CZ/	10562214
http://www.semwebtech.org/mondial/10/country/SLB/	526447
http://www.semwebtech.org/mondial/10/country/ARM/	3026879
http://www.semwebtech.org/mondial/10/country/EAK/	40909194
http://www.semwebtech.org/mondial/10/country/SF/	5455068
http://www.semwebtech.org/mondial/10/country/PITC/	66
http://www.semwebtech.org/mondial/10/country/BEN/	9983884
http://www.semwebtech.org/mondial/10/country/ES/	6290420
http://www.semwebtech.org/mondial/10/country/N/	5051275
http://www.semwebtech.org/mondial/10/country/WEST/	2790331
http://www.semwebtech.org/mondial/10/country/PE/	30135875
http://www.semwebtech.org/mondial/10/country/LAR/	6040612
http://www.semwebtech.org/mondial/10/country/ER/	5741159
http://www.semwebtech.org/mondial/10/country/MEX/	112336538
http://www.semwebtech.org/mondial/10/country/RL/	4341092
http://www.semwebtech.org/mondial/10/country/BD/	149772364
http://www.semwebtech.org/mondial/10/country/MEL/	78476
http://www.semwebtech.org/mondial/10/country/C/	11167325
http://www.semwebtech.org/mondial/10/country/TAD/	8161100
http://www.semwebtech.org/mondial/10/country/KAZ/	17165239
http://www.semwebtech.org/mondial/10/country/MC/	36845
http://www.semwebtech.org/mondial/10/country/SLO/	2058821
http://www.semwebtech.org/mondial/10/country/SVAX/	1872
http://www.semwebtech.org/mondial/10/country/MA/	32901622
http://www.semwebtech.org/mondial/10/country/BDS/	277821
http://www.semwebtech.org/mondial/10/country/BS/	353658
http://www.semwebtech.org/mondial/10/country/LV/	2201196
http://www.semwebtech.org/mondial/10/country/AXA/	13037
http://www.semwebtech.org/mondial/10/country/RCH/	16341929
http://www.semwebtech.org/mondial/10/country/Q/	1699435
http://www.semwebtech.org/mondial/10/country/D/	80219695
http://www.semwebtech.org/mondial/10/country/RWA/	10515973
http://www.semwebtech.org/mondial/10/country/DZ/	37062820
http://www.semwebtech.org/mondial/10/country/NEP/	26494504
http://www.semwebtech.org/mondial/10/country/E/	46815916
http://www.semwebtech.org/mondial/10/country/TO/	103252
http://www.semwebtech.org/mondial/10/country/GAZA/	1760037
http://www.semwebtech.org/mondial/10/country/L/	524853
http://www.semwebtech.org/mondial/10/country/FPOL/	268270
http://www.semwebtech.org/mondial/10/country/M/	417432
http://www.semwebtech.org/mondial/10/country/SBAR/	9072
http://www.semwebtech.org/mondial/10/country/BRU/	393372
http://www.semwebtech.org/mondial/10/country/MAYO/	212645
http://www.semwebtech.org/mondial/10/country/YV/	28946101
http://www.semwebtech.org/mondial/10/country/WAL/	5751976
http://www.semwebtech.org/mondial/10/country/CEU/	82376
http://www.semwebtech.org/mondial/10/country/EW/	1294455
http://www.semwebtech.org/mondial/10/country/TUCA/	31458
http://www.semwebtech.org/mondial/10/country/LT/	2979310
http://www.semwebtech.org/mondial/10/country/LS/	2008921
http://www.semwebtech.org/mondial/10/country/WD/	70739
http://www.semwebtech.org/mondial/10/country/WS/	187820
http://www.semwebtech.org/mondial/10/country/B/	11099554
http://www.semwebtech.org/mondial/10/country/HELX/	5663
http://www.semwebtech.org/mondial/10/country/RA/	42669500
http://www.semwebtech.org/mondial/10/country/MOC/	23700715
http://www.semwebtech.org/mondial/10/country/NLSM/	37429
http://www.semwebtech.org/mondial/10/country/NZ/	4242048
http://www.semwebtech.org/mondial/10/country/JA/	2697983
http://www.semwebtech.org/mondial/10/country/TOK/	1383
http://www.semwebtech.org/mondial/10/country/DK/	5580516
http://www.semwebtech.org/mondial/10/country/MACX/	552503
http://www.semwebtech.org/mondial/10/country/PNG/	7275324
http://www.semwebtech.org/mondial/10/country/NL/	16843181
http://www.semwebtech.org/mondial/10/country/IR/	75149669
http://www.semwebtech.org/mondial/10/country/NIUE/	1611
http://www.semwebtech.org/mondial/10/country/P/	10561614
http://www.semwebtech.org/mondial/10/country/SSD/	8260490
http://www.semwebtech.org/mondial/10/country/RSM/	32440
http://www.semwebtech.org/mondial/10/country/UA/	45633637
http://www.semwebtech.org/mondial/10/country/STP/	187356
http://www.semwebtech.org/mondial/10/country/WG/	103328
http://www.semwebtech.org/mondial/10/country/TR/	75627384
http://www.semwebtech.org/mondial/10/country/GBM/	84497
http://www.semwebtech.org/mondial/10/country/IS/	318452
http://www.semwebtech.org/mondial/10/country/CN/	1360720000
http://www.semwebtech.org/mondial/10/country/MNE/	620029
http://www.semwebtech.org/mondial/10/country/S/	9555893
http://www.semwebtech.org/mondial/10/country/KN/	52352
http://www.semwebtech.org/mondial/10/country/NMIS/	53883
http://www.semwebtech.org/mondial/10/country/GB/	64105654
http://www.semwebtech.org/mondial/10/country/F/	64933400
http://www.semwebtech.org/mondial/10/country/RMM/	13985961
http://www.semwebtech.org/mondial/10/country/XMAS/	2072
http://www.semwebtech.org/mondial/10/country/AL/	2800138
http://www.semwebtech.org/mondial/10/country/SUD/	35652002
http://www.semwebtech.org/mondial/10/country/COCO/	596
http://www.semwebtech.org/mondial/10/country/EAT/	44928923
http://www.semwebtech.org/mondial/10/country/MNG/	2754685
http://www.semwebtech.org/mondial/10/country/OM/	3623001
http://www.semwebtech.org/mondial/10/country/SA/	27136977
http://www.semwebtech.org/mondial/10/country/GE/	4483800
http://www.semwebtech.org/mondial/10/country/RCB/	4001831
http://www.semwebtech.org/mondial/10/country/FL/	36636
http://www.semwebtech.org/mondial/10/country/TN/	10982754
http://www.semwebtech.org/mondial/10/country/VU/	236299
http://www.semwebtech.org/mondial/10/country/GCA/	15073375
http://www.semwebtech.org/mondial/10/country/IRL/	4588252
http://www.semwebtech.org/mondial/10/country/WV/	109991
http://www.semwebtech.org/mondial/10/country/KOS/	1733872
http://www.semwebtech.org/mondial/10/country/GBJ/	97857
http://www.semwebtech.org/mondial/10/country/MNTS/	4922
http://www.semwebtech.org/mondial/10/country/CAYM/	55691
http://www.semwebtech.org/mondial/10/country/A/	8499759
http://www.semwebtech.org/mondial/10/country/GNB/	1586624
http://www.semwebtech.org/mondial/10/country/MD/	3559541
http://www.semwebtech.org/mondial/10/country/RM/	21842167
http://www.semwebtech.org/mondial/10/country/MAL/	27565821
http://www.semwebtech.org/mondial/10/country/CO/	47661787
http://www.semwebtech.org/mondial/10/country/GUAM/	159358
http://www.semwebtech.org/mondial/10/country/BR/	202768562
http://www.semwebtech.org/mondial/10/country/FARX/	48197
http://www.semwebtech.org/mondial/10/country/USA/	318857056
http://www.semwebtech.org/mondial/10/country/MS/	1237091
http://www.semwebtech.org/mondial/10/country/RN/	17138707
http://www.semwebtech.org/mondial/10/country/TT/	1328019
http://www.semwebtech.org/mondial/10/country/VIRG/	106405
http://www.semwebtech.org/mondial/10/country/JOR/	6249000
http://www.semwebtech.org/mondial/10/country/RIM/	3537368
http://www.semwebtech.org/mondial/10/country/DJI/	834036
http://www.semwebtech.org/mondial/10/country/SME/	541638
http://www.semwebtech.org/mondial/10/country/ANG/	24383301
http://www.semwebtech.org/mondial/10/country/THA/	65981659
http://www.semwebtech.org/mondial/10/country/BERM/	64237
http://www.semwebtech.org/mondial/10/country/BI/	8444784
http://www.semwebtech.org/mondial/10/country/WSA/	554795
http://www.semwebtech.org/mondial/10/country/MV/	341256
http://www.semwebtech.org/mondial/10/country/ROU/	3286314
http://www.semwebtech.org/mondial/10/country/IND/	1210854977
http://www.semwebtech.org/mondial/10/country/SN/	13508715
http://www.semwebtech.org/mondial/10/country/MW/	15013694
http://www.semwebtech.org/mondial/10/country/HONX/	7071576
http://www.semwebtech.org/mondial/10/country/NOK/	24500520
http://www.semwebtech.org/mondial/10/country/RCA/	4349921
http://www.semwebtech.org/mondial/10/country/RG/	10628972
http://www.semwebtech.org/mondial/10/country/COOK/	17794
http://www.semwebtech.org/mondial/10/country/SYR/	20866000
http://www.semwebtech.org/mondial/10/country/ROK/	51141463
http://www.semwebtech.org/mondial/10/country/NAM/	2113077
http://www.semwebtech.org/mondial/10/country/CL/	20263723
http://www.semwebtech.org/mondial/10/country/AG/	81799
http://www.semwebtech.org/mondial/10/country/WAFU/	12197
http://www.semwebtech.org/mondial/10/country/PR/	3725789
http://www.semwebtech.org/mondial/10/country/DOM/	9445281
http://www.semwebtech.org/mondial/10/country/UZB/	27769270
http://www.semwebtech.org/mondial/10/country/ZW/	13061239
http://www.semwebtech.org/mondial/10/country/NORF/	2169
http://www.semwebtech.org/mondial/10/country/R/	143666931
http://www.semwebtech.org/mondial/10/country/BF/	17322796
http://www.semwebtech.org/mondial/10/country/MART/	392291
http://www.semwebtech.org/mondial/10/country/BG/	7284552
http://www.semwebtech.org/mondial/10/country/ET/	83667047
http://www.semwebtech.org/mondial/10/country/RSA/	51770560
http://www.semwebtech.org/mondial/10/country/AFG/	26023100
http://www.semwebtech.org/mondial/10/country/AND/	78115
http://www.semwebtech.org/mondial/10/country/AUS/	23135281
http://www.semwebtech.org/mondial/10/country/ROK/city/Busan/	3403135
http://www.semwebtech.org/mondial/10/country/DZ/city/Oran/	803329
http://www.semwebtech.org/mondial/10/country/NOK/city/Anju/	240117
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Depok/	1738570
http://www.semwebtech.org/mondial/10/country/KAZ/province/Akmola/city/Koksetau/	140846
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Pereira/	467185
http://www.semwebtech.org/mondial/10/country/RM/city/Antsirabe/	126062
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/NelsonMandelaBay/	1152115
http://www.semwebtech.org/mondial/10/country/F/province/Bourgogne/city/Dijon/	151672
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Temara/	225497
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Irving/	216287
http://www.semwebtech.org/mondial/10/country/ROK/city/Seoul/	9708483
http://www.semwebtech.org/mondial/10/country/ROK/city/Yeosu/	267921
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Piura/	377496
http://www.semwebtech.org/mondial/10/country/RC/city/Taichung/	2684893
http://www.semwebtech.org/mondial/10/country/EAU/city/Mbarara/	195013
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chaoxian/	123676
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Ensenada/	279765
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SeteLagoas/	208956
http://www.semwebtech.org/mondial/10/country/TN/city/Sousse/	223844
http://www.semwebtech.org/mondial/10/country/VN/city/Hanoi/	2644536
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Morón/	309086
http://www.semwebtech.org/mondial/10/country/CO/province/Meta/city/Villavicencio/	473766
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Qinhuangdao/	364972
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Baoji/	337765
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Guanare/	129751
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Surrey/	468251
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Syktyvkar/	235006
http://www.semwebtech.org/mondial/10/country/ROK/city/Ulsan/	1081985
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/Pasto/	434486
http://www.semwebtech.org/mondial/10/country/UZB/province/Navoiy/city/Navoiy/	134100
http://www.semwebtech.org/mondial/10/country/ROK/city/Mokpo/	244543
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/AngradosReis/	163290
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Elche/	227417
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Jiaozuo/	409100
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/FortWayne/	253706
http://www.semwebtech.org/mondial/10/country/CH/province/Vaud/city/Lausanne/	132788
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhanjiang/	400997
http://www.semwebtech.org/mondial/10/country/C/province/PinardelRío/city/PinardelRío/	154063
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Leshan/	341128
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ilesha/	139445
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/CuautlaMorelos/	154358
http://www.semwebtech.org/mondial/10/country/YV/province/Sucre/city/Cumaná/	208114
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Jining/	163552
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Spokane/	209440
http://www.semwebtech.org/mondial/10/country/MAL/province/KualaLumpur/city/KualaLumpur/	1297526
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/Telde/	101080
http://www.semwebtech.org/mondial/10/country/BY/province/Grodno/city/Grodno/	327540
http://www.semwebtech.org/mondial/10/country/CDN/province/Manitoba/city/Winnipeg/	663617
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suzhou/	5345961
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Yekaterinburg/	1396074
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/MiltonKeynes/	171750
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Yangjiang/	215196
http://www.semwebtech.org/mondial/10/country/CAM/province/Littoral/city/Douala/	1907479
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Gravataí/	243497
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Donostia/	185512
http://www.semwebtech.org/mondial/10/country/TR/province/Antalya/city/Antalya/	1073794
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Lahti/	103396
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Florianópolis/	405286
http://www.semwebtech.org/mondial/10/country/GUY/city/Georgetown/	118363
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oxnard/	197899
http://www.semwebtech.org/mondial/10/country/PE/province/LaLibertad/city/Trujillo/	682834
http://www.semwebtech.org/mondial/10/country/AZ/city/Sumgayit/	290500
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Barreiro/	79042
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Viamão/	224943
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Montréal/	1649519
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Makiïvka/	356118
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/SuttonColdfield/	109015
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Chattanooga/	168828
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Malambo/	119286
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ondo/	146051
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlHasakah/	254622
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Sheffield/	518090
http://www.semwebtech.org/mondial/10/country/YV/province/Monagas/city/Maturín/	298581
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Chongqing/	7457600
http://www.semwebtech.org/mondial/10/country/MEX/province/Oaxaca/city/Oaxaca/	255029
http://www.semwebtech.org/mondial/10/country/RO/province/Prahova/city/Ploieşti/	209945
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Concordia/	137046
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremen/	542707
http://www.semwebtech.org/mondial/10/country/IND/province/Chandigarh/city/Chandigarh/	510565
http://www.semwebtech.org/mondial/10/country/ROK/city/Cheongju/	667726
http://www.semwebtech.org/mondial/10/country/RO/province/Maramureş/city/BaiaMare/	123738
http://www.semwebtech.org/mondial/10/country/H/province/Heves/city/Eger/	56569
http://www.semwebtech.org/mondial/10/country/YV/province/Portuguesa/city/Acarigua/	129237
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Illéla/	142214
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Irkutsk/	606137
http://www.semwebtech.org/mondial/10/country/SN/province/Saint-Louis/city/Saint-Louis/	177662
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Guarenas/	170204
http://www.semwebtech.org/mondial/10/country/FJI/city/Suva/	75225
http://www.semwebtech.org/mondial/10/country/CH/province/Nidwalden/city/Stans/	7961
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Clearwater/	108261
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tshwane/	2921488
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Athens/	115453
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Pingdingshan/	410775
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/Koronadal/	149622
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Enschede/	158494
http://www.semwebtech.org/mondial/10/country/SK/province/Žilinský/city/Žilina/	81494
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Khorramshahr/	129418
http://www.semwebtech.org/mondial/10/country/AFG/city/Herat/	335200
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Helsingborg/	132011
http://www.semwebtech.org/mondial/10/country/WD/city/Roseau/	14725
http://www.semwebtech.org/mondial/10/country/MW/city/Blantyre/	661256
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanBangkaBelitung/city/PangkalPinang/	174758
http://www.semwebtech.org/mondial/10/country/RP/province/NorthernMindanao/city/CagayanDeOro/	553966
http://www.semwebtech.org/mondial/10/country/MART/city/Fort-de-France/	100000
http://www.semwebtech.org/mondial/10/country/MH/city/Majuro/	27797
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Suqian/	105021
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Bagé/	97765
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Nevinnomyssk/	118360
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPires/	113068
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Maanshan/	305421
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Helsinki/	614535
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Watford/	131982
http://www.semwebtech.org/mondial/10/country/THA/city/UbonRatchathani/	149700
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pomona/	149058
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Frankfort/	27269
http://www.semwebtech.org/mondial/10/country/SRB/city/NoviSad/	335701
http://www.semwebtech.org/mondial/10/country/H/province/Jász-Nagykun-Szolnok/city/Szolnok/	72953
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Springfield/	153060
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Takoradi/	311206
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Winterthur/	105676
http://www.semwebtech.org/mondial/10/country/UZB/province/Jizzax/city/Jizzax/	163200
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Donets-k/	955041
http://www.semwebtech.org/mondial/10/country/PE/province/SanMartín/city/Tarapoto/	117184
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Kaspijsk/	100129
http://www.semwebtech.org/mondial/10/country/MAL/province/Kelantan/city/KotaBahru/	233673
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Ipswich/	144957
http://www.semwebtech.org/mondial/10/country/RM/city/Antananarivo/	710236
http://www.semwebtech.org/mondial/10/country/ROK/city/Daegu/	2444085
http://www.semwebtech.org/mondial/10/country/R/province/Zabaykalskiy/city/Chita/	331346
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Petare/	520982
http://www.semwebtech.org/mondial/10/country/RO/province/Vâlcea/city/RâmnicuVâlcea/	98776
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Yanan/	113277
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Indianapolis/	843393
http://www.semwebtech.org/mondial/10/country/RA/province/SanLuis/city/SanLuis/	152918
http://www.semwebtech.org/mondial/10/country/DZ/city/Béchar/	165241
http://www.semwebtech.org/mondial/10/country/VN/city/Vinh/	215577
http://www.semwebtech.org/mondial/10/country/IR/province/NorthKhorasan/city/Bojnurd/	199791
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Carapicuíba/	369584
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Paradise/	223167
http://www.semwebtech.org/mondial/10/country/RA/province/TierradelFuego/city/Ushuaia/	56825
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Durgapur/	425836
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTengah/city/Palu/	336532
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Rockford/	153044
http://www.semwebtech.org/mondial/10/country/RH/city/Carrefour/	430250
http://www.semwebtech.org/mondial/10/country/DOM/city/SantoDomingo/	2749703
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/StHelens/	102885
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Salvador/	2674923
http://www.semwebtech.org/mondial/10/country/MOC/province/Manica/city/Chimoio/	237497
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Swindon/	182441
http://www.semwebtech.org/mondial/10/country/NZ/city/Christchurch/	361941
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Tegucigalpa/	850227
http://www.semwebtech.org/mondial/10/country/HCA/province/FranciscoMorazán/city/Siguatepeque/	60155
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/PematangSiantar/	234698
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Amol/	219915
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Fóggia/	147036
http://www.semwebtech.org/mondial/10/country/EC/city/Quito/	1619146
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Detroit/	688701
http://www.semwebtech.org/mondial/10/country/SUD/city/Nyala/	227183
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PresidentePrudente/	203375
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peiraias/	163688
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Kawasaki/	1388481
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeju/	399416
http://www.semwebtech.org/mondial/10/country/D/province/Bremen/city/Bremerhaven/	108156
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Pádova/	206192
http://www.semwebtech.org/mondial/10/country/DZ/city/Constantine/	448028
http://www.semwebtech.org/mondial/10/country/N/province/Østfold/city/Moss/	24517
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Tianshui/	244974
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Sanming/	160691
http://www.semwebtech.org/mondial/10/country/TR/province/Eskişehir/city/Eskisehir/	659924
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Vladimir/	347930
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PembrokePines/	154019
http://www.semwebtech.org/mondial/10/country/BRU/city/BandarSeriBegawan/	279924
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/TeófiloOtoni/	110076
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Wulumuqi/	3029372
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Lancaster/	156633
http://www.semwebtech.org/mondial/10/country/EAT/province/Singida/city/Singida/	150379
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Pekalongan/	281434
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Dzeržinsk/	240742
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Comilla/	339133
http://www.semwebtech.org/mondial/10/country/DZ/city/Laghouat/	134372
http://www.semwebtech.org/mondial/10/country/VN/city/Haiphong/	846191
http://www.semwebtech.org/mondial/10/country/GE/city/Sokhumi/	62914
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Casablanca/	2946440
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Jiangyou/	175753
http://www.semwebtech.org/mondial/10/country/AUS/province/SouthAustralia/city/Adelaide/	1262940
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Dezful/	248380
http://www.semwebtech.org/mondial/10/country/SUD/city/AlUbayyiḑ/	229425
http://www.semwebtech.org/mondial/10/country/CR/province/Cartago/city/Cartago/	150473
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Parnaíba/	137485
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/CastellóndelaPlana/	176298
http://www.semwebtech.org/mondial/10/country/YE/city/Ta-izz/	458933
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Turku/	182154
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Verona/	252520
http://www.semwebtech.org/mondial/10/country/B/province/Luxembourg/city/Arlon/	28759
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Pindamonhangaba/	141708
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Gera/	96067
http://www.semwebtech.org/mondial/10/country/KGZ/city/Osh/	265200
http://www.semwebtech.org/mondial/10/country/AZ/city/Baku/	2150800
http://www.semwebtech.org/mondial/10/country/DZ/city/Tlemcen/	173531
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Yuyao/	114056
http://www.semwebtech.org/mondial/10/country/P/province/Coimbra/city/Coimbra/	118016
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/ComodoroRivadavia/	135813
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/VitóriadaConquista/	274739
http://www.semwebtech.org/mondial/10/country/WAL/city/Bo/	149957
http://www.semwebtech.org/mondial/10/country/RA/province/Chubut/city/Rawson/	102099
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/PuertoCortes/	90161
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Jincheng/	136396
http://www.semwebtech.org/mondial/10/country/RA/province/LaPampa/city/SantaRosa/	93924
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Bello/	447185
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Xichang/	134419
http://www.semwebtech.org/mondial/10/country/PR/city/SanJuan/	381931
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Itagui/	264775
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/JerseyCity/	247643
http://www.semwebtech.org/mondial/10/country/PK/province/AzadJammuandKashmir/city/Muzaffarabad/	725000
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/Valparaíso/	263499
http://www.semwebtech.org/mondial/10/country/BOL/province/Oruro/city/Oruro/	264683
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hollywood/	140769
http://www.semwebtech.org/mondial/10/country/CDN/province/NorthwestTerritories/city/Yellowknife/	19234
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Houston/	2195914
http://www.semwebtech.org/mondial/10/country/E/province/Castilla-LaMancha/city/Albacete/	171999
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huaibei/	366549
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Apeldoorn/	157540
http://www.semwebtech.org/mondial/10/country/NOK/city/KimChaek/	207299
http://www.semwebtech.org/mondial/10/country/MOC/province/CidadedeMaputo/city/Maputo/	1094628
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Najafabad/	221814
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Akure/	239124
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Šachty/	239987
http://www.semwebtech.org/mondial/10/country/BD/province/Rangpur/city/Rangpur/	294265
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/SanAntonio/	1409019
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Sunderland/	174286
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/Klang/	563173
http://www.semwebtech.org/mondial/10/country/VIRG/city/CharlotteAmalie/	10354
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Portland/	609456
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Erie/	101784
http://www.semwebtech.org/mondial/10/country/AL/city/Elbasan/	78703
http://www.semwebtech.org/mondial/10/country/RCH/province/Tarapacá/city/Iquique/	164396
http://www.semwebtech.org/mondial/10/country/ETH/province/YeDebubBiherochBiheresebochnaHizboch/city/Hawassa/	212665
http://www.semwebtech.org/mondial/10/country/BDS/city/Bridgetown/	88529
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volzhsky/	327356
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhengzhou/	4253913
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Toledo/	287206
http://www.semwebtech.org/mondial/10/country/RI/province/KepulauanRiau/city/Batam/	944285
http://www.semwebtech.org/mondial/10/country/PL/province/Podkarpackie/city/Rzeszów/	180776
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Severodvinsk/	192353
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Mons/	93941
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/GovernadorValadares/	253300
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BarraMansa/	176193
http://www.semwebtech.org/mondial/10/country/IR/province/Kurdestan/city/Sanandaj/	373987
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Novokuznetsk/	549182
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Basildon/	107123
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Ankang/	142170
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhumadian/	123232
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoGonçalo/	998999
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itu/	144269
http://www.semwebtech.org/mondial/10/country/WV/city/Kingstown/	12909
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Leverkusen/	158984
http://www.semwebtech.org/mondial/10/country/SF/province/Oulu/city/Oulu/	194181
http://www.semwebtech.org/mondial/10/country/PA/province/Coclé/city/Penonomé/	85737
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ferrara/	132545
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Basingstoke/	107355
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaRosa/	167834
http://www.semwebtech.org/mondial/10/country/H/province/Győr-Moson-Sopron/city/Győr/	129527
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Sarajevo/	291422
http://www.semwebtech.org/mondial/10/country/H/province/Békés/city/Békéscsaba/	62050
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Hamamatsu/	791710
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Mesa/	439611
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zibo/	3129228
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/NewYork/	8405837
http://www.semwebtech.org/mondial/10/country/ETH/province/Harari/city/Harar/	110457
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Rochester/	210512
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Mytišči/	173160
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Magaria/	130707
http://www.semwebtech.org/mondial/10/country/WSA/city/ElAaiun/	183691
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Middlesbrough/	174700
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Melitopol-/	156885
http://www.semwebtech.org/mondial/10/country/SYR/province/AlHasakah/city/AlQamishl/	232258
http://www.semwebtech.org/mondial/10/country/MAL/province/Pahang/city/Kuantan/	283041
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Ėngel-s/	202419
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/Santiago/	4659048
http://www.semwebtech.org/mondial/10/country/CDN/province/Nunavut/city/Iqaluit/	6699
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Wels/	59239
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/OklahomaCity/	610613
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Marabá/	186270
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Laval/	401553
http://www.semwebtech.org/mondial/10/country/LB/city/Monrovia/	1010970
http://www.semwebtech.org/mondial/10/country/J/province/Niigata/city/Niigata/	802778
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Haarlem/	155361
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Komsomolsk-na-Amure/	257891
http://www.semwebtech.org/mondial/10/country/TR/province/Nevşehir/city/Nevsehir/	92068
http://www.semwebtech.org/mondial/10/country/NIC/city/Matagalpa/	150643
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Moradabad/	429214
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Cuttack/	403418
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qitaihe/	214957
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/RanchoCucamonga/	165350
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Sarapul/	101381
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Poole/	154718
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Hangzhou/	6241971
http://www.semwebtech.org/mondial/10/country/MAL/province/NegeriSembilan/city/Seremban/	246441
http://www.semwebtech.org/mondial/10/country/CI/province/Haut-Sassandra/city/Daloa/	266324
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yizheng/	109268
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Yonkers/	195979
http://www.semwebtech.org/mondial/10/country/CO/province/Magdalena/city/SantaMarta/	476385
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/VilaVelha/	412575
http://www.semwebtech.org/mondial/10/country/TR/province/Niğde/city/Nigde/	118186
http://www.semwebtech.org/mondial/10/country/UA/province/Chernivets-ka/city/Chernivtsi/	255929
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Stoke-on-Trent/	270726
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Lund/	112950
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Santos/	419086
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Ahmadabad/	5577940
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fremont/	214079
http://www.semwebtech.org/mondial/10/country/TR/province/Kırşehir/city/Kirsehir/	114244
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Yakeshi/	377869
http://www.semwebtech.org/mondial/10/country/J/province/Gifu/city/Gifu/	409655
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Nashville-Davidson/	634464
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Piracicaba/	356743
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Celaya/	340387
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huaiyin/	239675
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Braunschweig/	242537
http://www.semwebtech.org/mondial/10/country/MYA/province/Shan/city/Taunggyi/	380665
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Phoenix/	1513367
http://www.semwebtech.org/mondial/10/country/F/province/Picardie/city/Amiens/	133327
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Springfield/	159500
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/CaxiasdoSul/	419406
http://www.semwebtech.org/mondial/10/country/HCA/province/Olancho/city/Juticalpa/	84641
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Baiyin/	204970
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Parma/	175895
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Sari/	296417
http://www.semwebtech.org/mondial/10/country/GH/province/Central/city/CapeCoast/	169894
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Cochabamba/	630587
http://www.semwebtech.org/mondial/10/country/RM/city/Antsiranana/	59040
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Barakaldo/	100064
http://www.semwebtech.org/mondial/10/country/PE/province/Ayacucho/city/Ayacucho/	151019
http://www.semwebtech.org/mondial/10/country/GCA/city/CiudaddeGuatemala/	992541
http://www.semwebtech.org/mondial/10/country/NIC/city/León/	201100
http://www.semwebtech.org/mondial/10/country/RP/province/Davao/city/Davao/	1363337
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PatosdeMinas/	127724
http://www.semwebtech.org/mondial/10/country/MA/province/FesBoulemane/city/Fès/	920740
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mbuji-Mayi/	806475
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Goma/	109094
http://www.semwebtech.org/mondial/10/country/TR/province/Yozgat/city/Yozgat/	78328
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Chelyabinsk/	1156201
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Valencia/	1599540
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Aba/	500183
http://www.semwebtech.org/mondial/10/country/MD/city/Tiraspol/	148917
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/NovyjUrengoj/	104107
http://www.semwebtech.org/mondial/10/country/RO/province/Galaţi/city/Galaţi/	249432
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Barcelona/	1611013
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Piacenza/	100311
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Inglewood/	109673
http://www.semwebtech.org/mondial/10/country/H/province/Hajdú-Bihar/city/Debrecen/	211320
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/BocadelRío/	126507
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Barnaul/	629681
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Amsterdam/	812895
http://www.semwebtech.org/mondial/10/country/ETH/province/DireDawa/city/DireDawa/	262884
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Ukhta/	99591
http://www.semwebtech.org/mondial/10/country/RM/city/Fianarantsoa/	109260
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Tarnów/	113188
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Mannheim/	290117
http://www.semwebtech.org/mondial/10/country/PE/province/Callao/city/Callao/	438326
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Saratov/	839755
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinxi/	357052
http://www.semwebtech.org/mondial/10/country/RM/city/Tamatave/	137782
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Hirakata/	406123
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Effon-Alaiye/	158977
http://www.semwebtech.org/mondial/10/country/S/province/Dalarna/city/Falun/	51900
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xianyang/	352125
http://www.semwebtech.org/mondial/10/country/CDN/province/Yukon/city/Whitehorse/	23276
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Bismarck/	61264
http://www.semwebtech.org/mondial/10/country/J/province/Miyagi/city/Sendai/	1020241
http://www.semwebtech.org/mondial/10/country/RO/province/Buzău/city/Buzău/	115494
http://www.semwebtech.org/mondial/10/country/WAN/province/Rivers/city/PortHarcourt/	703421
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Ščëlkovo/	110411
http://www.semwebtech.org/mondial/10/country/YV/province/Táchira/city/SanCristóbal/	328636
http://www.semwebtech.org/mondial/10/country/UA/province/L-vivs-ka/city/L-viv/	729842
http://www.semwebtech.org/mondial/10/country/GCA/city/Mixco/	483705
http://www.semwebtech.org/mondial/10/country/RC/city/Hualien/	108077
http://www.semwebtech.org/mondial/10/country/RI/province/Lampung/city/BandarLampung/	881801
http://www.semwebtech.org/mondial/10/country/WG/city/SaintGeorge-s/	37000
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Chandler/	236176
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Hamedan/	525794
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Xiaoshan/	162930
http://www.semwebtech.org/mondial/10/country/RCH/province/AricayParinacota/city/Arica/	210936
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Nachodka/	159719
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Parla/	122045
http://www.semwebtech.org/mondial/10/country/DOM/city/Santiago/	591985
http://www.semwebtech.org/mondial/10/country/R/province/Komi/city/Vorkuta/	70548
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Kitchener/	219153
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Chasavjurt/	131187
http://www.semwebtech.org/mondial/10/country/N/province/Rogaland/city/Stavanger/	129191
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/TuxtlaGutiérrez/	537102
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Odense/	168798
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Ikare/	103843
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Arapiraca/	181481
http://www.semwebtech.org/mondial/10/country/ES/city/SantaTecla/	126353
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Derby/	255394
http://www.semwebtech.org/mondial/10/country/TR/province/Manisa/city/Manisa/	309050
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/Bhisho/	77682
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jinan/	4335989
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Vigo/	295623
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Moers/	104009
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/WestCovina/	106098
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kozhikode/	456618
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhopal/	1798218
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changsha/	3093980
http://www.semwebtech.org/mondial/10/country/UA/province/Zhytomyrs-ka/city/Zhytomyr/	271895
http://www.semwebtech.org/mondial/10/country/THA/city/ChonBuri/	233200
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackpool/	147663
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Manzhouli/	120023
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Okhotsk/	4215
http://www.semwebtech.org/mondial/10/country/MOC/province/Sofala/city/Beira/	431583
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Tongling/	228017
http://www.semwebtech.org/mondial/10/country/CH/province/Genève/city/Genève/	191557
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Guangzhou/	11071424
http://www.semwebtech.org/mondial/10/country/LAR/city/Tripoli/	1500000
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Getafe/	168642
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Northampton/	215173
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Geelong/	174086
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/GorzówWielkopolski/	124470
http://www.semwebtech.org/mondial/10/country/DZ/city/SidiBelAbbës/	210146
http://www.semwebtech.org/mondial/10/country/RIM/province/Gorgol/city/Kaedi/	49152
http://www.semwebtech.org/mondial/10/country/FL/city/Vaduz/	5241
http://www.semwebtech.org/mondial/10/country/NIC/city/Jinotega/	123548
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Baicheng/	217987
http://www.semwebtech.org/mondial/10/country/WAN/province/Plateau/city/Jos/	510300
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Perúgia/	162449
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Cádiz/	124014
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Ulyanovsk/	615306
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jacareí/	208297
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Montreuil/	103068
http://www.semwebtech.org/mondial/10/country/EAT/province/Morogoro/city/Morogoro/	315866
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Dallas/	1257676
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/London/	366151
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Sapporo/	1904319
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Perpignan/	118238
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaMaria/	248347
http://www.semwebtech.org/mondial/10/country/RP/province/Cordillera/city/Baguio/	301926
http://www.semwebtech.org/mondial/10/country/SK/province/Trenčiansky/city/Trenčín/	55877
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Amarillo/	190701
http://www.semwebtech.org/mondial/10/country/VN/city/RachGia/	210784
http://www.semwebtech.org/mondial/10/country/SYR/province/ArRaqqah/city/ArRaqqah/	343870
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Lleida/	137283
http://www.semwebtech.org/mondial/10/country/IRQ/province/Maysan/city/AlAmarah/	208797
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Mumbai/	12442373
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTengah/city/Palangkaraya/	220962
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Paris/	2249975
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanFernando/	269365
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wałbrzych/	119216
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Nîmes/	144940
http://www.semwebtech.org/mondial/10/country/S/province/Västmanland/city/Västerås/	140499
http://www.semwebtech.org/mondial/10/country/BRN/city/AlManāmah/	143035
http://www.semwebtech.org/mondial/10/country/RH/city/Cap-Haïtien/	155505
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Strasbourg/	272222
http://www.semwebtech.org/mondial/10/country/CR/province/SanJosé/city/SanJosé/	354409
http://www.semwebtech.org/mondial/10/country/A/province/Burgenland/city/Eisenstadt/	13485
http://www.semwebtech.org/mondial/10/country/CZ/province/Plzeňský/city/Plzeň/	171346
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarujá/	290696
http://www.semwebtech.org/mondial/10/country/VN/city/BuonMaThuot/	211891
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantaBárbarad-Oeste/	178596
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Zhoukou/	146288
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Chingola/	211755
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Železnodorožnyj/	131257
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Abeokuta/	352735
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Lubbock/	229399
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Mazatlán/	381583
http://www.semwebtech.org/mondial/10/country/R/province/Kalmykiya/city/Elista/	103749
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Jacksonville/	842583
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Zhangzhou/	181424
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bonn/	305765
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tétouan/	320539
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Tangerang/	1798601
http://www.semwebtech.org/mondial/10/country/N/province/Nord-Trøndelag/city/Steinkjer/	20480
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Bacolod/	499497
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Fuyang/	179572
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Idlib/	126284
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Uribia/	168286
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Acheng/	197595
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Yinchuan/	356652
http://www.semwebtech.org/mondial/10/country/RMM/province/Kayes/city/Kayes/	127368
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Lipetsk/	509098
http://www.semwebtech.org/mondial/10/country/DZ/city/Annaba/	342703
http://www.semwebtech.org/mondial/10/country/UA/province/Ivano-Frankivs-ka/city/Ivano-Frankivs-k/	224660
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Curitiba/	1751907
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Onitsha/	350280
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/CarsonCity/	32022
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Módena/	179149
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Kiel/	235782
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Hiroshima/	1164654
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Essen/	566201
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/Coquimbo/	148438
http://www.semwebtech.org/mondial/10/country/NOK/city/Sariwon/	307764
http://www.semwebtech.org/mondial/10/country/IS/city/Hafnarfjordur/	26099
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Malmö/	307758
http://www.semwebtech.org/mondial/10/country/TR/province/Samsun/city/Samsun/	547778
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiUtara/city/Manado/	410481
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Korolëv/	183402
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Vancouver/	603502
http://www.semwebtech.org/mondial/10/country/J/province/Kyoto/city/Kyoto/	1382113
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SanCristóbaldeLaLaguna/	152025
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Xiamen/	3531347
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Arnhem/	150989
http://www.semwebtech.org/mondial/10/country/EAU/city/Kampala/	1516210
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Escondido/	143913
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/-s-Hertogenbosch/	143822
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Aurangabad/	1175116
http://www.semwebtech.org/mondial/10/country/THA/city/Phuket/	75573
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Duisburg/	488468
http://www.semwebtech.org/mondial/10/country/SF/province/Aland/city/Mariehamn/	10851
http://www.semwebtech.org/mondial/10/country/EAT/province/Mbeya/city/Mbeya/	385279
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Wuxi/	3543719
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Garland/	226876
http://www.semwebtech.org/mondial/10/country/EAT/province/Shinyanga/city/Shinyanga/	161391
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Taiyuan/	3426519
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Colombo/	203203
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/Dourados/	181005
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Olanchito/	78776
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/NewHaven/	129868
http://www.semwebtech.org/mondial/10/country/BR/province/Roraima/city/BoaVista/	277799
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Płock/	124048
http://www.semwebtech.org/mondial/10/country/IRQ/province/Nineveh/city/AlMawsil/	1800000
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Yanji/	230892
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Kirkwall/	6330
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heilbronn/	116059
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Quzhou/	112373
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shishou/	104571
http://www.semwebtech.org/mondial/10/country/PL/province/Łódzkie/city/Łódź/	722022
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Liuzhou/	609320
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Newport/	128060
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Rajahmundry/	324881
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Yichang/	371601
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Bauru/	338184
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Kotka/	54714
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Newark/	277138
http://www.semwebtech.org/mondial/10/country/ET/city/AlMahallahalKubra/	442884
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Huangshi/	457601
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Diadema/	386089
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Cambridge/	145818
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Daan/	138963
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sumaré/	238470
http://www.semwebtech.org/mondial/10/country/RIM/province/Trarza/city/Rosso/	51026
http://www.semwebtech.org/mondial/10/country/WAN/province/Nasarawa/city/Lafia/	108000
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Kashiwa/	396251
http://www.semwebtech.org/mondial/10/country/ET/city/AlQahirah/	8471859
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Trier/	105671
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Eugene/	156358
http://www.semwebtech.org/mondial/10/country/IR/province/SouthKhorasan/city/Birjand/	178020
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Camaçari/	231973
http://www.semwebtech.org/mondial/10/country/UZB/province/Surxondaryo/city/Termiz/	136200
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Sapele/	109576
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Southend-on-Sea/	175547
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Dresden/	512354
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Eskilstuna/	98765
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Boma/	135284
http://www.semwebtech.org/mondial/10/country/UA/province/Rivnens-ka/city/Rivne/	250174
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Köln/	1005775
http://www.semwebtech.org/mondial/10/country/NIC/city/Granada/	123697
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ibirité/	158590
http://www.semwebtech.org/mondial/10/country/VN/city/HoChiMinh/	5968384
http://www.semwebtech.org/mondial/10/country/ET/city/AlMansurah/	437311
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Torino/	872367
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yancheng/	296831
http://www.semwebtech.org/mondial/10/country/NEP/city/Biratnagar/	204949
http://www.semwebtech.org/mondial/10/country/IND/province/Assam/city/Gauhati/	584342
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Medan/	2097610
http://www.semwebtech.org/mondial/10/country/LT/city/Kaunas/	307498
http://www.semwebtech.org/mondial/10/country/N/province/Telemark/city/Skien/	53015
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Slough/	155298
http://www.semwebtech.org/mondial/10/country/ROK/city/Gunsan/	256755
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Yantai/	2227733
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Augsburg/	267767
http://www.semwebtech.org/mondial/10/country/RM/city/Majunga/	106780
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/BeloHorizonte/	2375151
http://www.semwebtech.org/mondial/10/country/JOR/city/Zarqa/	395227
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Alvorada/	195673
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Mersin/	876958
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Be-erSheva/	194300
http://www.semwebtech.org/mondial/10/country/MNG/city/Ulaanbaatar/	760077
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Buffalo/	261325
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Buenavista/	206081
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ibadan/	1835300
http://www.semwebtech.org/mondial/10/country/MK/city/Kumanovo/	107745
http://www.semwebtech.org/mondial/10/country/PA/province/BocasdelToro/city/Changuinola/	98310
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Fuzhou/	2921762
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Anchorage/	291826
http://www.semwebtech.org/mondial/10/country/R/province/Kurskaya/city/Kursk/	428741
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/Rosario/	906004
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Belém/	1381475
http://www.semwebtech.org/mondial/10/country/BEN/city/Cotonou/	665100
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Hebi/	212976
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Ipoh/	566211
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Foshan/	7194311
http://www.semwebtech.org/mondial/10/country/MA/province/TadlaAzilal/city/BeniMellal/	163286
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Táranto/	200154
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Randers/	61121
http://www.semwebtech.org/mondial/10/country/PL/province/Opolskie/city/Opole/	122120
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nashik/	1486053
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Luan/	144248
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Ludhiana/	1618879
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Leiyang/	130115
http://www.semwebtech.org/mondial/10/country/RA/province/Formosa/city/Formosa/	198146
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Kunshan/	102052
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/Belgorod/	373528
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Puyang/	175988
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Chennai/	4646732
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Chaozhou/	313469
http://www.semwebtech.org/mondial/10/country/IRQ/province/Basrah/city/AlBasrah/	1400000
http://www.semwebtech.org/mondial/10/country/LAO/city/Vientiane/	698318
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Gijón/	276969
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Lincoln/	100160
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Durham/	228404
http://www.semwebtech.org/mondial/10/country/SYR/province/AlLadhiqiyah/city/AlLadhiqiyah/	424392
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Catanzaro/	89364
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Nanning/	3437171
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/LaurodeFreitas/	163449
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Orlando/	238834
http://www.semwebtech.org/mondial/10/country/RO/province/Brăila/city/Brăila/	180302
http://www.semwebtech.org/mondial/10/country/ROK/city/Incheon/	2637652
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Southampton/	253651
http://www.semwebtech.org/mondial/10/country/S/province/Örebro/city/Örebro/	138952
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberaba/	289376
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Greensboro/	268878
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/LasPiñas/	532330
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Granada/	241003
http://www.semwebtech.org/mondial/10/country/PL/province/Podlaskie/city/Białystok/	294675
http://www.semwebtech.org/mondial/10/country/TR/province/Aydın/city/Aydin/	195951
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xianning/	136811
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Hayward/	144342
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Raleigh/	403971
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SãoLeopoldo/	213238
http://www.semwebtech.org/mondial/10/country/RA/province/SantaFe/city/SantaFe/	368369
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SpringValley/	178395
http://www.semwebtech.org/mondial/10/country/CO/province/SantaFedeBogotá/city/Bogotá/	7776845
http://www.semwebtech.org/mondial/10/country/RO/province/Bacău/city/Bacău/	144307
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Kamensk-Ural-skij/	174689
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shenzhen/	10358381
http://www.semwebtech.org/mondial/10/country/TR/province/Erzurum/city/Erzurum/	384399
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bristol/	535907
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Orizaba/	120844
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/Kyïv/	2814258
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Ajmer/	402700
http://www.semwebtech.org/mondial/10/country/R/province/Kurgan/city/Kurgan/	325565
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Jalandhar/	509510
http://www.semwebtech.org/mondial/10/country/PE/province/Junín/city/Huancayo/	323054
http://www.semwebtech.org/mondial/10/country/N/province/Akershus/city/Sandvika/	116677
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Jamnagar/	350544
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Torrance/	145438
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Narvik/	18754
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Luanshya/	186372
http://www.semwebtech.org/mondial/10/country/MYA/province/Rakhine/city/Sittwe/	149348
http://www.semwebtech.org/mondial/10/country/RCH/province/Antofagasta/city/Antofagasta/	285255
http://www.semwebtech.org/mondial/10/country/PL/province/Lubuskie/city/ZielonaGóra/	119182
http://www.semwebtech.org/mondial/10/country/TM/province/Balkan/city/Balkanabat/	108000
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Dordrecht/	118780
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Sássari/	123782
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Gillingham/	104157
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Zaoyang/	162198
http://www.semwebtech.org/mondial/10/country/TR/province/Çorum/city/Corum/	231146
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sahiwal/	208778
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/SantaRita/	103717
http://www.semwebtech.org/mondial/10/country/K/city/PhnomPenh/	703963
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Magé/	215236
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Maidstone/	107627
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/Montero/	109518
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Sittard-Geleen/	93726
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/MasjedSoleyman/	103369
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Zhezkazgan/	84765
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Elizabeth/	124969
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/CiudadJuárez/	789522
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Nawabshah/	189244
http://www.semwebtech.org/mondial/10/country/RC/city/Hsinchu/	425071
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Salamanca/	151658
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Canoas/	323827
http://www.semwebtech.org/mondial/10/country/IL/province/Hefa/city/Haifa/	265600
http://www.semwebtech.org/mondial/10/country/TR/province/Sakarya/city/Sakarya/	590498
http://www.semwebtech.org/mondial/10/country/SF/province/Turku-Pori/city/Pori/	83457
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yueyang/	302800
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/PozaRicadeHidalgo/	185242
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/NuevoLaredo/	373725
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Burewala/	152097
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanIsidro/	293212
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Nanyang/	243303
http://www.semwebtech.org/mondial/10/country/RCA/city/Bimbo/	124176
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Huddinge/	101010
http://www.semwebtech.org/mondial/10/country/GR/province/AghionOros/city/Karyes/	233
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Jequié/	139426
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jaú/	126943
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Karaganda/	484596
http://www.semwebtech.org/mondial/10/country/UA/province/Kirovohrads-ka/city/Kirovohrad/	234919
http://www.semwebtech.org/mondial/10/country/PA/province/Veraguas/city/Santiago/	88997
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Kashgar/	174570
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/TangerangSelatan/	1290322
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Berkeley/	112497
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bréscia/	189902
http://www.semwebtech.org/mondial/10/country/ZRE/province/Equateur/city/Mbandaka/	169841
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Linköping/	148521
http://www.semwebtech.org/mondial/10/country/CO/province/Caldas/city/Manizales/	394627
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/BatonRouge/	229452
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Shangrao/	132455
http://www.semwebtech.org/mondial/10/country/AL/city/Korçë/	51152
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Chilpancingo/	187251
http://www.semwebtech.org/mondial/10/country/C/province/LasTunas/city/VictoriadelasTunas/	167424
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Tolyatti/	719149
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Norwalk/	105549
http://www.semwebtech.org/mondial/10/country/BG/city/StaraZagora/	136363
http://www.semwebtech.org/mondial/10/country/A/province/Steiermark/city/Graz/	269211
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Karachi/	9339023
http://www.semwebtech.org/mondial/10/country/TM/province/Mary/city/Mary/	123000
http://www.semwebtech.org/mondial/10/country/MAL/province/Terengganu/city/KualaTerengganu/	250528
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiwu/	246833
http://www.semwebtech.org/mondial/10/country/RIM/province/Assaba/city/Kiffa/	60005
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Samarinda/	727500
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Mariestad/	24255
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Guangshui/	102770
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/Choloma/	151999
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/DeraGhaziKhan/	190542
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Yibin/	241019
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Worcester/	100153
http://www.semwebtech.org/mondial/10/country/CO/province/Cesar/city/Valledupar/	443210
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Lafayette/	120719
http://www.semwebtech.org/mondial/10/country/ET/city/AlMinya/	235234
http://www.semwebtech.org/mondial/10/country/Z/province/Central/city/Kabwe/	233197
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Chifeng/	350077
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Amravati/	421576
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Olmaliq/	121100
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Parnamirim/	202456
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Saskatoon/	222189
http://www.semwebtech.org/mondial/10/country/EAK/city/Kisumu/	388311
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/RahimyarKhan/	233537
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Rabat/	621480
http://www.semwebtech.org/mondial/10/country/N/province/Buskerud/city/Drammen/	65473
http://www.semwebtech.org/mondial/10/country/IR/province/Zanjan/city/Zanjan/	386851
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/ColoradoSprings/	417341
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Kramators-k/	165469
http://www.semwebtech.org/mondial/10/country/BY/province/Gomel/city/Gomel/	482652
http://www.semwebtech.org/mondial/10/country/EAT/province/Njombe/city/Njombe/	130223
http://www.semwebtech.org/mondial/10/country/B/province/Hainaut/city/Charleroi/	203753
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jiujiang/	291187
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/PoçosdeCaldas/	148722
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Mysore/	606755
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hagen/	187944
http://www.semwebtech.org/mondial/10/country/PE/province/Cusco/city/Cusco/	348935
http://www.semwebtech.org/mondial/10/country/RCA/city/Bangui/	622771
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Columbus/	822553
http://www.semwebtech.org/mondial/10/country/GE/city/Kutaisi/	185965
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Daqing/	657297
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Contagem/	601400
http://www.semwebtech.org/mondial/10/country/MA/province/RabatSaleZemmourZaer/city/Salé/	760186
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Calamba/	360281
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Cartagena/	215757
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Chania/	108642
http://www.semwebtech.org/mondial/10/country/ET/city/KafradDawwar/	262748
http://www.semwebtech.org/mondial/10/country/MEL/city/Melilla/	78476
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Recklinghausen/	115958
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mishan/	132744
http://www.semwebtech.org/mondial/10/country/EAU/city/Mukono/	161996
http://www.semwebtech.org/mondial/10/country/NEP/city/Kathmandu/	1003285
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Huelva/	147808
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Orléans/	114185
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/Ourense/	107314
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SimiValley/	124239
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Sevilla/	698042
http://www.semwebtech.org/mondial/10/country/MD/city/Bălţi/	143300
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/TorrejóndeArdoz/	123213
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/QuezonCity/	2679450
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Oberhausen/	210216
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Paulista/	300466
http://www.semwebtech.org/mondial/10/country/ES/city/SanMiguel/	218410
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luohe/	126438
http://www.semwebtech.org/mondial/10/country/PE/province/Cajamarca/city/Cajamarca/	162326
http://www.semwebtech.org/mondial/10/country/EAT/province/Mwanza/city/Mwanza/	706453
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Hachioji/	553914
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bielefeld/	326870
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Tuzla/	120441
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/Génova/	586180
http://www.semwebtech.org/mondial/10/country/TR/province/Edirne/city/Edirne/	148474
http://www.semwebtech.org/mondial/10/country/ETH/province/Somali/city/Jijiga/	147482
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Vallejo/	115940
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Townsville/	167636
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Nagpur/	2405665
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/DosHermanas/	128433
http://www.semwebtech.org/mondial/10/country/NLSM/city/Philipsburg/	1338
http://www.semwebtech.org/mondial/10/country/KAZ/province/North-Kazakhstan/city/Petropavlovsk/	207402
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Avellaneda/	329638
http://www.semwebtech.org/mondial/10/country/HCA/province/Comayagua/city/Comayagua/	87474
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/RéggiodiCalabria/	180817
http://www.semwebtech.org/mondial/10/country/NZ/city/Wellington/	185187
http://www.semwebtech.org/mondial/10/country/WAL/city/Freetown/	772873
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LomasdeZamora/	590677
http://www.semwebtech.org/mondial/10/country/BF/city/BoboDioulasso/	489967
http://www.semwebtech.org/mondial/10/country/RC/city/Pingtung/	207862
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Nador/	126207
http://www.semwebtech.org/mondial/10/country/CY/city/Lemesos/	101000
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Balkhash/	71203
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Guadalajara/	1495182
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Cilegon/	374559
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Modesto/	201187
http://www.semwebtech.org/mondial/10/country/BR/province/Amazonas/city/Manaus/	1792881
http://www.semwebtech.org/mondial/10/country/EC/city/SantoDomingodelosColorados/	305632
http://www.semwebtech.org/mondial/10/country/DZ/city/Ghardaïa/	142913
http://www.semwebtech.org/mondial/10/country/MD/city/Chişinău/	663400
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokohama/	3629257
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Echeng/	190123
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/Barcelona/	410643
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Norfolk/	242833
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaonan/	121397
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Puno/	120229
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Valladolid/	311682
http://www.semwebtech.org/mondial/10/country/CL/city/SriJayawardhanapuraKotte/	116366
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/SanMiguelito/	315019
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oakland/	390865
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guilin/	364130
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/Bursa/	1734705
http://www.semwebtech.org/mondial/10/country/MEX/province/Hidalgo/city/Pachuca/	256584
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Salerno/	132608
http://www.semwebtech.org/mondial/10/country/SYR/province/DayrazZawr/city/DayrazZawr/	239196
http://www.semwebtech.org/mondial/10/country/RA/province/Salta/city/Salta/	462668
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Kızıltepe/	147585
http://www.semwebtech.org/mondial/10/country/Z/province/Lusaka/city/Lusaka/	1269848
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Jiangmen/	230587
http://www.semwebtech.org/mondial/10/country/CZ/province/Ústecký/city/ÚstínadLabem/	98596
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Peoria/	115021
http://www.semwebtech.org/mondial/10/country/USA/province/Idaho/city/BoiseCity/	206105
http://www.semwebtech.org/mondial/10/country/BOL/province/SantaCruz/city/SantaCruzdelaSierra/	1453549
http://www.semwebtech.org/mondial/10/country/B/province/Oost-Vlaanderen/city/Gent/	248813
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasig/	617301
http://www.semwebtech.org/mondial/10/country/EAK/city/Nakuru/	307990
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Makhachkala/	576194
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Calgary/	1096833
http://www.semwebtech.org/mondial/10/country/DJI/city/Djibouti/	475322
http://www.semwebtech.org/mondial/10/country/MOC/province/Nampula/city/Nampula/	471717
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Wuwei/	133101
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Magnitogorsk/	411880
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Nottingham/	289301
http://www.semwebtech.org/mondial/10/country/SPMI/city/Saint-Pierre/	5618
http://www.semwebtech.org/mondial/10/country/MOC/province/Niassa/city/Lichinga/	142331
http://www.semwebtech.org/mondial/10/country/JOR/city/Amman/	1812941
http://www.semwebtech.org/mondial/10/country/UA/province/Cherkas-ka/city/Cherkasy/	286163
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zaozhuang/	2125481
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Thane/	1841488
http://www.semwebtech.org/mondial/10/country/USA/province/RhodeIsland/city/Providence/	178042
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xinghua/	161910
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Vitória/	327801
http://www.semwebtech.org/mondial/10/country/CO/province/Casanare/city/Yopal/	136484
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Huai-an/	2635406
http://www.semwebtech.org/mondial/10/country/WAN/province/Delta/city/Warri/	363382
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/GardenGrove/	171010
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zixing/	110048
http://www.semwebtech.org/mondial/10/country/I/province/Marche/city/Ancona/	100497
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/VoltaRedonda/	257686
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Probolinggo/	217062
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Bratsk/	246319
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Scottsdale/	217355
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Petrolina/	219215
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Aachen/	236420
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Chelmsford/	110507
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Botucatu/	122678
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Zhaodong/	179976
http://www.semwebtech.org/mondial/10/country/YV/province/Lara/city/Barquisimeto/	875788
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Chimalhuacán/	612383
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Rubcovsk/	147002
http://www.semwebtech.org/mondial/10/country/USA/province/Oregon/city/Salem/	154732
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Metz/	119962
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Birkenhead/	142968
http://www.semwebtech.org/mondial/10/country/CO/province/Quindío/city/Armenia/	295143
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Manchester/	510746
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Vicenza/	111500
http://www.semwebtech.org/mondial/10/country/FGU/city/Cayenne/	57229
http://www.semwebtech.org/mondial/10/country/ET/city/Qina/	206831
http://www.semwebtech.org/mondial/10/country/C/province/SantiagodeCuba/city/SantiagodeCuba/	446233
http://www.semwebtech.org/mondial/10/country/RP/province/Mimaropa/city/Calapan/	116976
http://www.semwebtech.org/mondial/10/country/TR/province/Sivas/city/Sivas/	312587
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Mandaluyong/	305576
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/Guacara/	141762
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Reus/	106849
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Tomsk/	547989
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Nogales/	212533
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Tekirdag/	150112
http://www.semwebtech.org/mondial/10/country/ZW/city/Chitungwiza/	356840
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Sobral/	166310
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/Durango/	518709
http://www.semwebtech.org/mondial/10/country/ET/city/AlFayyum/	316772
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/AtTaif/	521273
http://www.semwebtech.org/mondial/10/country/SYR/province/Hamah/city/Hamah/	467807
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Wuhan/	9785388
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/LaPaz/	764617
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/FrankfurtamMain/	667925
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Santarém/	215790
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Saint-Étienne/	170049
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Trento/	114198
http://www.semwebtech.org/mondial/10/country/USA/province/Delaware/city/Dover/	37366
http://www.semwebtech.org/mondial/10/country/R/province/Murmanskaya/city/Murmansk/	302468
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Panshan/	362773
http://www.semwebtech.org/mondial/10/country/WAN/province/Ondo/city/Owo/	157181
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Augusta/	195844
http://www.semwebtech.org/mondial/10/country/CN/province/Chongqing/city/Qianjiang/	205504
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/AparecidadeGoiânia/	455193
http://www.semwebtech.org/mondial/10/country/SYR/province/Dimashq/city/Dimashq/	1552161
http://www.semwebtech.org/mondial/10/country/A/province/Tirol/city/Innsbruck/	124386
http://www.semwebtech.org/mondial/10/country/IR/province/Kermanshah/city/Kermanshah/	851405
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Marbella/	135124
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tlaquepaque/	575942
http://www.semwebtech.org/mondial/10/country/RP/province/WesternVisayas/city/Iloilo/	418710
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Newcastle/	540002
http://www.semwebtech.org/mondial/10/country/GE/city/Tbilisi/	1073345
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dniprodzerzhyns-k/	242646
http://www.semwebtech.org/mondial/10/country/CO/province/Chocó/city/Quibdó/	115517
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Toruń/	204847
http://www.semwebtech.org/mondial/10/country/RC/city/Tainan/	1881645
http://www.semwebtech.org/mondial/10/country/WAN/province/Edo/city/Benin/	762719
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Iseyin/	170936
http://www.semwebtech.org/mondial/10/country/B/province/Limburg/city/Hasselt/	75579
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Woking/	105367
http://www.semwebtech.org/mondial/10/country/D/province/Schleswig-Holstein/city/Lübeck/	210305
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Wakefield/	99251
http://www.semwebtech.org/mondial/10/country/EW/city/Tallinn/	399340
http://www.semwebtech.org/mondial/10/country/R/province/Arkhangel-skaya/city/Arkhangelsk/	350985
http://www.semwebtech.org/mondial/10/country/RN/province/Niamey/city/Niamey/	1026848
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Hortolândia/	192692
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Fuling/	173878
http://www.semwebtech.org/mondial/10/country/RIM/province/Nouakchott/city/Nouakchott/	958399
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/JeffersonCity/	43088
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Lisboa/	559248
http://www.semwebtech.org/mondial/10/country/BEN/city/Djougou/	181895
http://www.semwebtech.org/mondial/10/country/MA/province/Oriental/city/Oujda/	400738
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Al-metjevsk/	146393
http://www.semwebtech.org/mondial/10/country/IR/province/Bushehr/city/Bushehr/	195222
http://www.semwebtech.org/mondial/10/country/KAZ/province/Almaty/city/Taldykurgan/	135217
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdynia/	248574
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Neftejugansk/	122855
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/RishonLeZiyyon/	228200
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Andria/	100052
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CuautitlánIzcalli/	484573
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Ahvaz/	1112021
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Tuluá/	209086
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/WichitaFalls/	104554
http://www.semwebtech.org/mondial/10/country/R/province/Udmurt/city/Izhevsk/	632913
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/Shreveport/	200410
http://www.semwebtech.org/mondial/10/country/F/province/Nord-Pas-de-Calais/city/Lille/	227533
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Hampton/	137515
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanJose/	998537
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linyi/	2303648
http://www.semwebtech.org/mondial/10/country/SN/province/Ziguinchor/city/Ziguinchor/	162887
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Plano/	259841
http://www.semwebtech.org/mondial/10/country/NIC/city/Masaya/	166588
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Córdoba/	140896
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Najaf/city/AnNajaf/	309010
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/OffenbachamMain/	113443
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Alagoinhas/	124042
http://www.semwebtech.org/mondial/10/country/R/province/Jewishao./city/Birobidzhan/	75413
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Tanout/	154238
http://www.semwebtech.org/mondial/10/country/TR/province/Kütahya/city/Kütahya/	224898
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Puškino/	102874
http://www.semwebtech.org/mondial/10/country/G/city/Port-Gentil/	105712
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Memphis/	653450
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Halab/	2181061
http://www.semwebtech.org/mondial/10/country/MA/province/MeknesTafilalet/city/Meknès/	469169
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/SantaFe/	67973
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Itajaí/	173452
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Hyderabad/	6731790
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Valenzuela/	568928
http://www.semwebtech.org/mondial/10/country/PL/province/Świętokrzyskie/city/Kielce/	201363
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/BragançaPaulista/	142255
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/SunshineCoast/	241643
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaIguaçu/	787563
http://www.semwebtech.org/mondial/10/country/HR/city/Split/	165893
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Surat/	4467797
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Oldenburg/	157267
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Trivandrum/	752490
http://www.semwebtech.org/mondial/10/country/IND/province/Odisha/city/Bhubaneswar/	411542
http://www.semwebtech.org/mondial/10/country/UAE/city/AlSharjah/	519000
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Laredo/	236086
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Honghu/	190772
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Bridgeport/	144236
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Richmond/	204247
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Guangyuan/	182241
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Zhuzhou/	409924
http://www.semwebtech.org/mondial/10/country/EAT/province/MjiniMagharibiUnguja/city/Zanzibar/	223033
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Neijiang/	256012
http://www.semwebtech.org/mondial/10/country/J/province/Hokkaido/city/Hakodate/	279127
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Haicheng/	205560
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Anqing/	250718
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Abilene/	117463
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Warrington/	165456
http://www.semwebtech.org/mondial/10/country/CDN/province/NewBrunswick/city/Fredericton/	56224
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Gebze/	290868
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Guigang/	114025
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraBarat/city/Padang/	833562
http://www.semwebtech.org/mondial/10/country/D/province/Saarland/city/Saarbrücken/	175853
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ede/	142363
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Deyang/	182488
http://www.semwebtech.org/mondial/10/country/WEST/city/Nablus/	126132
http://www.semwebtech.org/mondial/10/country/UA/province/Mykolaïvs-ka/city/Mykolaïv/	497032
http://www.semwebtech.org/mondial/10/country/H/province/Csongrád/city/Szeged/	168048
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Guanajuato/	72237
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Sabadell/	206949
http://www.semwebtech.org/mondial/10/country/CZ/province/Královéhradecký/city/HradecKrálové/	95594
http://www.semwebtech.org/mondial/10/country/VN/city/CanTho/	783122
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Omaha/	416969
http://www.semwebtech.org/mondial/10/country/I/province/Sardegna/city/Cágliari/	149883
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/ElProgreso/	147369
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Americana/	209654
http://www.semwebtech.org/mondial/10/country/CO/province/Risaralda/city/Dosquebradas/	196926
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Longkou/	148362
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Dhaka/	7423137
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Minna/	189191
http://www.semwebtech.org/mondial/10/country/RP/province/Ilocos/city/SanFernando/	114813
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Tlalnepantla/	653410
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Orechovo-Zujevo/	120670
http://www.semwebtech.org/mondial/10/country/RN/province/Zinder/city/Zinder/	322935
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Edinburgh/	459366
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadGuayana/	692215
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Bayamo/	164008
http://www.semwebtech.org/mondial/10/country/HCA/province/Choluteca/city/Choluteca/	120791
http://www.semwebtech.org/mondial/10/country/ET/city/Asyut/	386086
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Cascavel/	270049
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Saint-Paul/	103916
http://www.semwebtech.org/mondial/10/country/RO/province/Neamţ/city/Piatra-Neamţ/	85055
http://www.semwebtech.org/mondial/10/country/PR/city/Ponce/	132502
http://www.semwebtech.org/mondial/10/country/MYA/province/Sagaing/city/Monywa/	371963
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Tengxian/	315083
http://www.semwebtech.org/mondial/10/country/DZ/city/Tébessa/	194461
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Adama/	271562
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Topeka/	127474
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Tula/	493813
http://www.semwebtech.org/mondial/10/country/PK/province/Gilgit-Baltistan/city/Gilgit/	216760
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Badalona/	219241
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Hatay/	216960
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/AlcaládeHenares/	200505
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinyang/	192509
http://www.semwebtech.org/mondial/10/country/F/province/Centre/city/Tours/	134633
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Surabaya/	2765487
http://www.semwebtech.org/mondial/10/country/J/province/Kagawa/city/Takamatsu/	424490
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Bhilai/	395360
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Hilo/	43263
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fresno/	509924
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCaliforniaSur/city/LaPaz/	215178
http://www.semwebtech.org/mondial/10/country/GE/city/Batumi/	121806
http://www.semwebtech.org/mondial/10/country/R/province/Smolenskaya/city/Smolensk/	330970
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Xingtai/	302789
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Suzano/	253240
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Okayama/	691955
http://www.semwebtech.org/mondial/10/country/BR/province/DistritoFederal/city/Brasília/	2482210
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Guarapuava/	152993
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Tema/	139784
http://www.semwebtech.org/mondial/10/country/FSM/city/Palikir/	6444
http://www.semwebtech.org/mondial/10/country/EAT/province/Ruvuma/city/Songea/	203309
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Corona/	152374
http://www.semwebtech.org/mondial/10/country/ES/city/Soyapango/	268228
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Savar/	296851
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Soledad/	599012
http://www.semwebtech.org/mondial/10/country/G/city/Libreville/	538195
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/HuntingtonBeach/	191037
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Marikina/	424610
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Vijayawada/	1034358
http://www.semwebtech.org/mondial/10/country/ETH/province/AddisAbaba/city/AddisAbaba/	3040740
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/NovaFriburgo/	159372
http://www.semwebtech.org/mondial/10/country/WAG/city/Banjul/	357238
http://www.semwebtech.org/mondial/10/country/SK/province/Prešovský/city/Prešov/	91782
http://www.semwebtech.org/mondial/10/country/SLO/city/Maribor/	111374
http://www.semwebtech.org/mondial/10/country/IL/province/HaDarom/city/Ashdod/	206400
http://www.semwebtech.org/mondial/10/country/ROK/city/Daejeon/	1495453
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Richmond/	190473
http://www.semwebtech.org/mondial/10/country/SA/province/Al-Riyadh/city/Riyadh/	4087152
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weihai/	128888
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Rotherham/	109691
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Zwickau/	93081
http://www.semwebtech.org/mondial/10/country/ROK/city/Gwangju/	1469293
http://www.semwebtech.org/mondial/10/country/BD/province/Chittagong/city/Chittagong/	2971102
http://www.semwebtech.org/mondial/10/country/Q/city/AlRayyan/	272860
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGazira/	211362
http://www.semwebtech.org/mondial/10/country/UA/province/Chernihivs-ka/city/Chernihiv/	296723
http://www.semwebtech.org/mondial/10/country/R/province/Sakhalin/city/Južno-Sachalinsk/	181728
http://www.semwebtech.org/mondial/10/country/LV/city/Rīga/	696618
http://www.semwebtech.org/mondial/10/country/PE/province/Tumbes/city/Tumbes/	94751
http://www.semwebtech.org/mondial/10/country/R/province/Astrakhanskaya/city/Astrakhan/	527345
http://www.semwebtech.org/mondial/10/country/R/province/Dagestan/city/Derbent/	119200
http://www.semwebtech.org/mondial/10/country/ROU/city/Salto/	104011
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Jinzhou/	569518
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Preston/	97886
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Magangué/	123618
http://www.semwebtech.org/mondial/10/country/UA/province/Odes-ka/city/Odesa/	1008162
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/RioGrande/	189429
http://www.semwebtech.org/mondial/10/country/RCH/province/Ríos/city/Valdivia/	127750
http://www.semwebtech.org/mondial/10/country/USA/province/Wyoming/city/Cheyenne/	59488
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/Arraiján/	220779
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Kaluga/	331351
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Laiyang/	137080
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Heyuan/	120101
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Brownsville/	175007
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Forlí/	116434
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Dunhua/	235100
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Arlington/	365366
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Albany/	97856
http://www.semwebtech.org/mondial/10/country/MEX/province/Chiapas/city/Tapachula/	202672
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadMadero/	197216
http://www.semwebtech.org/mondial/10/country/YV/province/Mérida/city/Mérida/	230120
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kyzylorda/city/Kyzylorda/	213165
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Pasay/	403064
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kamoke/	152288
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Batajsk/	111843
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kerbela/city/Kerbela/	296705
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Novorossiysk/	251013
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/FozdoIguaçu/	253962
http://www.semwebtech.org/mondial/10/country/ROK/city/Chuncheon/	273737
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/PortSt.Lucie/	164719
http://www.semwebtech.org/mondial/10/country/IR/province/Hamedan/city/Malayer/	159848
http://www.semwebtech.org/mondial/10/country/MK/city/Skopje/	514967
http://www.semwebtech.org/mondial/10/country/RA/province/Chaco/city/Resistencia/	274001
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PassoFundo/	180120
http://www.semwebtech.org/mondial/10/country/WEST/city/Hebron/	163146
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/ÁguasLindasdeGoiás/	159138
http://www.semwebtech.org/mondial/10/country/H/province/Baranya/city/Pécs/	156049
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Ačinsk/	109155
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Birmingham/	212193
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Volgodonsk/	170841
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/CiudadVictoria/	305155
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Jena/	105739
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Grudziadz/	98726
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/PanamáCity/	880691
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Huddersfield/	162949
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Poznań/	552393
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Potsdam/	156021
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Kitakyushu/	974691
http://www.semwebtech.org/mondial/10/country/RG/city/N-Zérékoré/	194178
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Kashan/	275325
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Dortmund/	571143
http://www.semwebtech.org/mondial/10/country/DZ/city/Algiers/	2364230
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Faisalabad/	2008861
http://www.semwebtech.org/mondial/10/country/R/province/Kostromskaya/city/Kostroma/	271445
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Camaragibe/	144466
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Kaili/	113958
http://www.semwebtech.org/mondial/10/country/TUV/city/Funafuti/	4492
http://www.semwebtech.org/mondial/10/country/CDN/province/Alberta/city/Edmonton/	812201
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/SantaColomadeGramenet/	119391
http://www.semwebtech.org/mondial/10/country/J/province/Toyama/city/Toyama/	416223
http://www.semwebtech.org/mondial/10/country/MYA/province/Mandalay/city/Mandalay/	1225133
http://www.semwebtech.org/mondial/10/country/MA/province/ChaouiaOuardigha/city/Settat/	116570
http://www.semwebtech.org/mondial/10/country/IRL/city/Limerick/	56779
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Birmingham/	1085810
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/NizhnyTagil/	358378
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Saitama/	1223954
http://www.semwebtech.org/mondial/10/country/SF/province/Kymi/city/Lappeenranta/	72617
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Leeds/	474632
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Babol/	219467
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Chorzów/	111314
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Bilbao/	351356
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Wenzhou/	3039439
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Darmstadt/	143499
http://www.semwebtech.org/mondial/10/country/E/province/Navarra/city/Pamplona/	195943
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Ilhéus/	155281
http://www.semwebtech.org/mondial/10/country/J/province/Fukuoka/city/Fukuoka/	1422831
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Olsztyn/	175482
http://www.semwebtech.org/mondial/10/country/RC/city/Taipei/	2673226
http://www.semwebtech.org/mondial/10/country/B/province/Antwerpen/city/Antwerpen/	507911
http://www.semwebtech.org/mondial/10/country/BG/city/Varna/	330486
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Athina/	664046
http://www.semwebtech.org/mondial/10/country/CI/province/Bas-Sassandra/city/San-Pedro/	174287
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Salzgitter/	98895
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Oshogbo/	250951
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Stuttgart/	585890
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujrat/	251792
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SantoAndré/	676407
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yiyang/	185818
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Weifang/	2044028
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Stavropol/	412116
http://www.semwebtech.org/mondial/10/country/I/province/Piemonte/city/Novara/	101952
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jiutai/	180130
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/NewportNews/	180918
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Zapopan/	1142483
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Khorramabad/	348216
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Heerlen/	88139
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Madison/	233362
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/LasVegas/	603488
http://www.semwebtech.org/mondial/10/country/C/province/CiegodeÁvila/city/CiegodeÁvila/	124103
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Bareilly/	590661
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihočeský/city/ČeskéBudějovice/	95589
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Hamilton/	519949
http://www.semwebtech.org/mondial/10/country/IRL/city/Galway/	75414
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Anbar/city/ArRamadi/	192556
http://www.semwebtech.org/mondial/10/country/AFG/city/Kabul/	2435400
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Windsor/	210891
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Concepción/	212003
http://www.semwebtech.org/mondial/10/country/RA/province/SantiagodeEstero/city/SantiagodelEstero/	230424
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/CiudadLópezMateos/	489160
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cleveland/	396697
http://www.semwebtech.org/mondial/10/country/TR/province/Çanakkale/city/Canakkale/	111137
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Baltimore/	622104
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhongshan/	3121275
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Zhangjiakou/	529136
http://www.semwebtech.org/mondial/10/country/YV/province/Aragua/city/Maracay/	459007
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinuiju/	359341
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Tembisa/	463109
http://www.semwebtech.org/mondial/10/country/KGZ/city/Bishkek/	901700
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LongBeach/	462257
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/P-atigorsk/	142511
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Beihai/	112673
http://www.semwebtech.org/mondial/10/country/RC/city/Taitung/	107720
http://www.semwebtech.org/mondial/10/country/MEX/province/Colima/city/Colima/	137383
http://www.semwebtech.org/mondial/10/country/BY/province/Brest/city/Brest/	309764
http://www.semwebtech.org/mondial/10/country/DZ/city/Mostaganem/	162885
http://www.semwebtech.org/mondial/10/country/S/province/Skåne/city/Kristianstad/	80507
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Amagasaki/	457216
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orsk/	239800
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/NizhniiNovgorod/	1259921
http://www.semwebtech.org/mondial/10/country/GQ/province/Insular/city/Malabo/	92900
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/SãoJosédosPinhais/	236895
http://www.semwebtech.org/mondial/10/country/CDN/province/NewfoundlandandLabrador/city/St.John-s/	106172
http://www.semwebtech.org/mondial/10/country/N/province/Aust-Agder/city/Arendal/	12174
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bytom/	175377
http://www.semwebtech.org/mondial/10/country/USA/province/Hawaii/city/Honolulu/	337256
http://www.semwebtech.org/mondial/10/country/ET/city/ShubraalKhimah/	1016722
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/RioVerde/	163540
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Nanchong/	180273
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shantou/	5329024
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Yining/	177193
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Arlington/	207628
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Wrocław/	631377
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Longjing/	139417
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Neuss/	150568
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Kamyšin/	119565
http://www.semwebtech.org/mondial/10/country/TR/province/Tekirdağ/city/Çorlu/	235354
http://www.semwebtech.org/mondial/10/country/THA/city/KhonKaen/	223300
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Tychy/	129087
http://www.semwebtech.org/mondial/10/country/IRQ/province/Kirkuk/city/Kirkuk/	750000
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/FortCollins/	144073
http://www.semwebtech.org/mondial/10/country/DK/province/Hovedstaden/city/København/	549050
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/Pierre/	13646
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Ontario/	163924
http://www.semwebtech.org/mondial/10/country/UA/province/Vinnyts-ka/city/Vinnytsia/	370814
http://www.semwebtech.org/mondial/10/country/ROK/city/Jeonju/	643079
http://www.semwebtech.org/mondial/10/country/LAR/city/Benghazi/	800000
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Teresópolis/	146207
http://www.semwebtech.org/mondial/10/country/R/province/NorthOssetia-Alania/city/Vladikavkaz/	308285
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Maracaibo/	1372724
http://www.semwebtech.org/mondial/10/country/KAZ/province/AlmatyCity/city/Almaty/	1507737
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Anaheim/	336511
http://www.semwebtech.org/mondial/10/country/J/province/Miyazaki/city/Miyazaki/	402855
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Itabuna/	199643
http://www.semwebtech.org/mondial/10/country/YV/province/Falcón/city/SantaAnadeCoro/	158763
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fushun/	1350000
http://www.semwebtech.org/mondial/10/country/N/province/Hordaland/city/Bergen/	267950
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Luziânia/	162807
http://www.semwebtech.org/mondial/10/country/RCH/province/Coquimbo/city/LaSerena/	147815
http://www.semwebtech.org/mondial/10/country/TR/province/Kırıkkale/city/Kirikkale/	192473
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barueri/	240749
http://www.semwebtech.org/mondial/10/country/CI/province/Lacs/city/Yamoussoukro/	207412
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Malang/	820243
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanJusto/	1256724
http://www.semwebtech.org/mondial/10/country/BD/province/Sylhet/city/Sylhet/	479837
http://www.semwebtech.org/mondial/10/country/MEX/province/Durango/city/GómezPalacio/	257352
http://www.semwebtech.org/mondial/10/country/PK/province/Balochistan/city/Quetta/	565137
http://www.semwebtech.org/mondial/10/country/RC/city/Changhua/	236636
http://www.semwebtech.org/mondial/10/country/CO/province/Tolima/city/Ibagué/	548209
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Denver/	649495
http://www.semwebtech.org/mondial/10/country/BG/city/Sofia/	1270284
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Blumenau/	294773
http://www.semwebtech.org/mondial/10/country/MYA/province/Yangon/city/Yangon/	5209541
http://www.semwebtech.org/mondial/10/country/CZ/province/Liberecký/city/Liberec/	104973
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Naucalpan/	792211
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/ChinchaAlta/	153598
http://www.semwebtech.org/mondial/10/country/TR/province/Batman/city/Batman/	348963
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Linqing/	123958
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Horlivka/	258879
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Hunjiang/	482043
http://www.semwebtech.org/mondial/10/country/TR/province/Kars/city/Kars/	78100
http://www.semwebtech.org/mondial/10/country/RI/province/Aceh/city/BandaAceh/	223446
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/Oporto/	266790
http://www.semwebtech.org/mondial/10/country/MOC/province/Zambézia/city/Quelimane/	193343
http://www.semwebtech.org/mondial/10/country/RP/province/CentralLuzon/city/SanJoseDelMonte/	439090
http://www.semwebtech.org/mondial/10/country/S/province/Uppsala/city/Uppsala/	202625
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/JastrzebieZdroj/	92465
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Fortaleza/	2452185
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Qo‘qon/	233500
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Prato/	185456
http://www.semwebtech.org/mondial/10/country/TR/province/Tokat/city/Tokat/	132437
http://www.semwebtech.org/mondial/10/country/BEN/city/Abomey-Calavi/	307745
http://www.semwebtech.org/mondial/10/country/C/province/Granma/city/Manzanillo/	105967
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ikire/	111435
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dezhou/	195485
http://www.semwebtech.org/mondial/10/country/IND/province/Delhi/city/Delhi/	11034555
http://www.semwebtech.org/mondial/10/country/R/province/Volgogradskaya/city/Volgograd/	1018790
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Winston-Salem/	229634
http://www.semwebtech.org/mondial/10/country/TR/province/Şanlıurfa/city/Şanlıurfa/	526247
http://www.semwebtech.org/mondial/10/country/R/province/Irkutsk/city/Angarsk/	233567
http://www.semwebtech.org/mondial/10/country/NZ/city/Hamilton/	132060
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Jamshedpur/	478950
http://www.semwebtech.org/mondial/10/country/AZ/city/Ganja/	322600
http://www.semwebtech.org/mondial/10/country/MNE/city/Podgorica/	150977
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Maoming/	178683
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Breda/	180263
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Maracanaú/	207623
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Angren/	175400
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Marília/	207021
http://www.semwebtech.org/mondial/10/country/TR/province/Adıyaman/city/Adiyaman/	217463
http://www.semwebtech.org/mondial/10/country/BD/province/Khulna/city/Khulna/	663342
http://www.semwebtech.org/mondial/10/country/F/province/Alsace/city/Mulhouse/	110351
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Bishoftu/	123230
http://www.semwebtech.org/mondial/10/country/IRQ/province/Babylon/city/AlHillah/	268834
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Semarang/	1555984
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Fayetteville/	200574
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Argenteuil/	104282
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapetininga/	131050
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mingaora/	173868
http://www.semwebtech.org/mondial/10/country/YE/city/Sana-a/	1527861
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Krasnogorsk/	116896
http://www.semwebtech.org/mondial/10/country/WAN/province/Gombe/city/Gombe/	163604
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Mianyang/	262947
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/St.Petersburg/	245193
http://www.semwebtech.org/mondial/10/country/R/province/Penza/city/Penza/	519900
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Tampere/	220678
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Birni-N-Konni/	149414
http://www.semwebtech.org/mondial/10/country/AL/city/Durrës/	113249
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Billings/	104190
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Huizhou/	2344634
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Imperatriz/	234547
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/NorthLasVegas/	216701
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Orange/	136426
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Salamanca/	160169
http://www.semwebtech.org/mondial/10/country/NZ/city/Dunedin/	123516
http://www.semwebtech.org/mondial/10/country/TR/province/Bolu/city/Bolu/	131264
http://www.semwebtech.org/mondial/10/country/TR/province/Malatya/city/Malatya/	426381
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changshu/	181805
http://www.semwebtech.org/mondial/10/country/TR/province/Karaman/city/Karaman/	141630
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Peterborough/	161707
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/LosAngeles/	3884307
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Oskemen/	314014
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Atlanta/	420279
http://www.semwebtech.org/mondial/10/country/RC/city/Taoyuan/	413488
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bogor/	950334
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Duyun/	132971
http://www.semwebtech.org/mondial/10/country/VN/city/QuiNhon/	255463
http://www.semwebtech.org/mondial/10/country/E/province/Aragón/city/Zaragoza/	678115
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanTimur/city/Balikpapan/	557579
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SanLuisPotosí/	722772
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Gwalior/	1054420
http://www.semwebtech.org/mondial/10/country/R/province/Lipetskaya/city/Jelec/	108404
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araraquara/	202730
http://www.semwebtech.org/mondial/10/country/C/province/LaHabana/city/LaHabana/	2141993
http://www.semwebtech.org/mondial/10/country/F/province/BasseNormandie/city/Caen/	108793
http://www.semwebtech.org/mondial/10/country/IR/province/Fars/city/Shiraz/	1460665
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/FortWorth/	792727
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Wigan/	103608
http://www.semwebtech.org/mondial/10/country/PY/city/Asunción/	542023
http://www.semwebtech.org/mondial/10/country/UZB/province/Qoraqalpogʻiston/city/Nukus/	295200
http://www.semwebtech.org/mondial/10/country/WAN/province/Sokoto/city/Sokoto/	329639
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Flint/	102400
http://www.semwebtech.org/mondial/10/country/AFG/city/Mazar-i-Sharif/	288700
http://www.semwebtech.org/mondial/10/country/MA/province/GrandCasablanca/city/Mohammedia/	188619
http://www.semwebtech.org/mondial/10/country/CZ/province/Zlínský/city/Zlín/	77137
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ChulaVista/	243916
http://www.semwebtech.org/mondial/10/country/NL/province/Friesland/city/Leeuwarden/	108145
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Portsmouth/	238137
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Algeciras/	117695
http://www.semwebtech.org/mondial/10/country/CI/province/Sud-Bandama/city/Divo/	105859
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hohhot/	652534
http://www.semwebtech.org/mondial/10/country/GQ/province/Continental/city/Bata/	66800
http://www.semwebtech.org/mondial/10/country/GB/province/London/city/London/	8250205
http://www.semwebtech.org/mondial/10/country/HCA/province/ElParaíso/city/Danlí/	135136
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Morelia/	597511
http://www.semwebtech.org/mondial/10/country/RO/province/Bucureşti/city/Bucureşti/	1883425
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Kemerovo/	540095
http://www.semwebtech.org/mondial/10/country/BY/province/Vitebsk/city/Vitebsk/	347928
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Turbo/	155173
http://www.semwebtech.org/mondial/10/country/TR/province/Kocaeli/city/Kocaeli/	1527407
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Düsseldorf/	586291
http://www.semwebtech.org/mondial/10/country/E/province/Murcia/city/Murcia/	437667
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Tieling/	254842
http://www.semwebtech.org/mondial/10/country/SRB/city/Niš/	257867
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Accra/	2070463
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Tongliao/	255129
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Podol-sk/	187961
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Pasadena/	137122
http://www.semwebtech.org/mondial/10/country/R/province/Bryanskaya/city/Bryansk/	410837
http://www.semwebtech.org/mondial/10/country/TAD/province/Dushanbe/city/Dushanbe/	747500
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Handan/	1110000
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoVicente/	331817
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Machida/	420243
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/Gateshead/	120046
http://www.semwebtech.org/mondial/10/country/RN/province/Agadez/city/Agadez/	118240
http://www.semwebtech.org/mondial/10/country/ES/city/SantaAna/	245421
http://www.semwebtech.org/mondial/10/country/PE/province/Ucayali/city/Pucallpa/	204772
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Jiangyin/	213659
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Dongguan/	8220207
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Meixian/	132156
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Krasnodar/	784048
http://www.semwebtech.org/mondial/10/country/GR/province/Kritis/city/Iraklio/	173993
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Dongying/	281728
http://www.semwebtech.org/mondial/10/country/RCH/province/Maule/city/Talca/	189505
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Funabashi/	602996
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Jaén/	116469
http://www.semwebtech.org/mondial/10/country/NOK/city/Sinpho/	152759
http://www.semwebtech.org/mondial/10/country/RB/city/Gaborone/	227333
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Utrecht/	330081
http://www.semwebtech.org/mondial/10/country/H/province/Borsod-Abaúj-Zemplén/city/Miskolc/	167754
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Radom/	220062
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Regensburg/	135403
http://www.semwebtech.org/mondial/10/country/F/province/Midi-Pyrénées/city/Toulouse/	447340
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Brest/	140547
http://www.semwebtech.org/mondial/10/country/UZB/province/Andijon/city/Andijon/	403900
http://www.semwebtech.org/mondial/10/country/ROK/city/Suwon/	1064951
http://www.semwebtech.org/mondial/10/country/SYR/province/Hims/city/Hims/	750501
http://www.semwebtech.org/mondial/10/country/RB/city/Francistown/	100079
http://www.semwebtech.org/mondial/10/country/ROK/city/Seongnam/	951424
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Liaoyuan/	354141
http://www.semwebtech.org/mondial/10/country/D/province/Thüringen/city/Erfurt/	200868
http://www.semwebtech.org/mondial/10/country/RH/city/Gonaïves/	228725
http://www.semwebtech.org/mondial/10/country/KAZ/province/Aktobe/city/Aqtobe/	377520
http://www.semwebtech.org/mondial/10/country/CO/province/Cauca/city/Popayán/	275129
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yangquan/	362268
http://www.semwebtech.org/mondial/10/country/ROK/city/Jinju/	337230
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kati/	114983
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/ItapecericadaSerra/	151349
http://www.semwebtech.org/mondial/10/country/COM/city/Moroni/	41557
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Mesquita/	168376
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Huaraz/	100931
http://www.semwebtech.org/mondial/10/country/BZ/city/BelizeCity/	53532
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CapeCoral/	154305
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Lelystad/	76252
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Faridabad/	1414050
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Torreón/	608836
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/KansasCity/	459787
http://www.semwebtech.org/mondial/10/country/IL/province/HaZafon/city/Nazareth/	72200
http://www.semwebtech.org/mondial/10/country/EAK/city/Malindi/	118265
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Herne/	155160
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Liaoyang/	492559
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/M-Bour/	193368
http://www.semwebtech.org/mondial/10/country/R/province/Mariy-El/city/Yoshkar-Ola/	257015
http://www.semwebtech.org/mondial/10/country/UZB/province/Xorazm/city/Urganch/	137300
http://www.semwebtech.org/mondial/10/country/CR/province/Puntarenas/city/Puntarenas/	119814
http://www.semwebtech.org/mondial/10/country/NOK/city/Kanggye/	251971
http://www.semwebtech.org/mondial/10/country/R/province/Tyva/city/Kyzyl/	109918
http://www.semwebtech.org/mondial/10/country/M/city/Victoria/	6252
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Chapecó/	168113
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Salem/	366712
http://www.semwebtech.org/mondial/10/country/HONX/city/HongKong/	7055071
http://www.semwebtech.org/mondial/10/country/EAT/province/Kilimanjaro/city/Moshi/	184292
http://www.semwebtech.org/mondial/10/country/RA/province/Tucumán/city/SanMigueldeTucumán/	525853
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Nagoya/	2182154
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/CabodeSantoAgostinho/	167783
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Gatineau/	265349
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Szczecin/	409211
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Madurai/	1017865
http://www.semwebtech.org/mondial/10/country/CUR/city/Willemstad/	125000
http://www.semwebtech.org/mondial/10/country/TL/city/Dili/	193563
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Worthing/	109120
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Cixi/	107329
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Baotou/	2096851
http://www.semwebtech.org/mondial/10/country/ET/city/Suhaj/	189638
http://www.semwebtech.org/mondial/10/country/HCA/province/Copán/city/SantaRosadeCopan/	25861
http://www.semwebtech.org/mondial/10/country/UA/province/Sevastopol-/city/Sevastopol-/	340559
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FerrazdeVasconcelos/	160754
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Serra/	406450
http://www.semwebtech.org/mondial/10/country/TR/province/Kayseri/city/Kayseri/	1004276
http://www.semwebtech.org/mondial/10/country/MAL/province/Johor/city/JohorBahru/	384613
http://www.semwebtech.org/mondial/10/country/RA/province/Corrientes/city/Corrientes/	314247
http://www.semwebtech.org/mondial/10/country/TR/province/Erzincan/city/Erzincan/	96474
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Linhe/	133183
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Korla/	159344
http://www.semwebtech.org/mondial/10/country/EAT/province/Rukwa/city/Sumbawanga/	209793
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Exeter/	113507
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Jilin/	1270000
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Makkah/	1294106
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/eThekwini/	3442361
http://www.semwebtech.org/mondial/10/country/PE/province/Ancash/city/Chimbote/	334568
http://www.semwebtech.org/mondial/10/country/S/province/Södermanland/city/Nykoping/	64199
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/VitóriadeSantoAntão/	113429
http://www.semwebtech.org/mondial/10/country/SA/province/MakkahAl-Mokarramah/city/Jeddah/	2801481
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Villach/	59942
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Aberdeen/	195021
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Medellín/	2441123
http://www.semwebtech.org/mondial/10/country/RCB/province/Pointe-Noire/city/Pointe-Noire/	829134
http://www.semwebtech.org/mondial/10/country/VN/city/LongXuyen/	245699
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Barreiras/	123741
http://www.semwebtech.org/mondial/10/country/R/province/Voronezhskaya/city/Voronezh/	1003638
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/SantaLuzia/	202378
http://www.semwebtech.org/mondial/10/country/SD/city/Mbabane/	57992
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/FortLauderdale/	165502
http://www.semwebtech.org/mondial/10/country/CZ/province/Olomoucký/city/Olomouc/	101954
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Salinas/	150498
http://www.semwebtech.org/mondial/10/country/BR/province/Rondônia/city/PortoVelho/	390733
http://www.semwebtech.org/mondial/10/country/C/province/Guantánamo/city/Guantánamo/	222243
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Matsudo/	476896
http://www.semwebtech.org/mondial/10/country/TOK/city/Fakaofo/	490
http://www.semwebtech.org/mondial/10/country/S/province/Gävleborg/city/Gävle/	96170
http://www.semwebtech.org/mondial/10/country/ETH/province/Oromia/city/Jimma/	149166
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Niterói/	487562
http://www.semwebtech.org/mondial/10/country/UAE/city/AlAin/	348000
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/SanPablo/	189453
http://www.semwebtech.org/mondial/10/country/MYA/province/Mon/city/Mawlamyine/	288120
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Narayanganj/	286330
http://www.semwebtech.org/mondial/10/country/DK/province/Nordjylland/city/Aalborg/	104885
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Beaumont/	117267
http://www.semwebtech.org/mondial/10/country/RP/province/MuslimMindanao/city/Cotabato/	259153
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/ThunderBay/	108359
http://www.semwebtech.org/mondial/10/country/AL/city/Vlorë/	79513
http://www.semwebtech.org/mondial/10/country/NOK/city/Tokchon/	237133
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/RiodeJaneiro/	6320446
http://www.semwebtech.org/mondial/10/country/S/province/Kalmar/city/Kalmar/	54554
http://www.semwebtech.org/mondial/10/country/RA/province/SantaCruz/city/RíoGallegos/	79072
http://www.semwebtech.org/mondial/10/country/CV/city/Praia/	131719
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Timon/	135133
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RibeirãoPreto/	602966
http://www.semwebtech.org/mondial/10/country/IR/province/Qom/city/Qom/	1074036
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Castanhal/	153378
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Haora/	1077075
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Heze/	189293
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Nezahualcóyotl/	1104585
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Taguig/	613343
http://www.semwebtech.org/mondial/10/country/RI/province/Papua/city/Jayapura/	256705
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Khomeinishahr/	244696
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoPaulo/	11152344
http://www.semwebtech.org/mondial/10/country/R/province/Amur/city/Blagoveščensk/	214390
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Linhares/	121567
http://www.semwebtech.org/mondial/10/country/TR/province/Yalova/city/Yalova/	102874
http://www.semwebtech.org/mondial/10/country/UA/province/Khmel-nyts-ka/city/Khmel-nyts-kyi/	263703
http://www.semwebtech.org/mondial/10/country/EAK/city/Eldoret/	289380
http://www.semwebtech.org/mondial/10/country/IR/province/Markazi/city/Arak/	484212
http://www.semwebtech.org/mondial/10/country/F/province/Aquitaine/city/Bordeaux/	239399
http://www.semwebtech.org/mondial/10/country/CN/province/Ningxia/city/Shizuishan/	257862
http://www.semwebtech.org/mondial/10/country/KAZ/province/Atyrau/city/Atyrau/	196494
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bekasi/	2334871
http://www.semwebtech.org/mondial/10/country/ARM/city/Yerevan/	1066264
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Tawau/	213745
http://www.semwebtech.org/mondial/10/country/B/province/Liège/city/Liège/	195931
http://www.semwebtech.org/mondial/10/country/ROK/city/Bucheon/	847841
http://www.semwebtech.org/mondial/10/country/RN/province/Tahoua/city/Tahoua/	149498
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Uberlândia/	587266
http://www.semwebtech.org/mondial/10/country/TR/province/Ağrı/city/Agri/	107839
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Krefeld/	222247
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Ndola/	441624
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Latina/	117892
http://www.semwebtech.org/mondial/10/country/TR/province/Afyonkarahisar/city/Afyonkarahisar/	186991
http://www.semwebtech.org/mondial/10/country/J/province/Kagoshima/city/Kagoshima/	605120
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Cancún/	628306
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Leipzig/	502979
http://www.semwebtech.org/mondial/10/country/NIC/city/Chinandega/	133361
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Telford/	142723
http://www.semwebtech.org/mondial/10/country/SF/province/Haeme/city/Hämeenlinna/	67803
http://www.semwebtech.org/mondial/10/country/C/province/SanctiSpíritus/city/SanctiSpíritus/	114324
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Xinyu/	173524
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiTenggara/city/Kendari/	289966
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Leiden/	121387
http://www.semwebtech.org/mondial/10/country/NIC/city/Managua/	1028808
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/DuquedeCaxias/	852138
http://www.semwebtech.org/mondial/10/country/CR/province/Limón/city/Limón/	107219
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CaboFrio/	140486
http://www.semwebtech.org/mondial/10/country/SYR/province/AsSuwayda-/city/AsSuwayda-/	147146
http://www.semwebtech.org/mondial/10/country/R/province/Chechenskaya/city/Grozny/	277414
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Kazan/	1176187
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédosCampos/	617106
http://www.semwebtech.org/mondial/10/country/WAN/province/Anambra/city/Awka/	104682
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Dundee/	147285
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Qiqihar/	1380000
http://www.semwebtech.org/mondial/10/country/RC/city/Chiayi/	271220
http://www.semwebtech.org/mondial/10/country/SK/province/Nitriansky/city/Nitra/	78916
http://www.semwebtech.org/mondial/10/country/PR/city/Bayamón/	185996
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ilawe-Ekiti/	104049
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Dukou/	415466
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Firenze/	358079
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Aligarh/	480520
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/PraiaGrande/	262051
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/PortoAlegre/	1409351
http://www.semwebtech.org/mondial/10/country/ZW/city/Harare/	1485231
http://www.semwebtech.org/mondial/10/country/PL/province/Małopolskie/city/Kraków/	760700
http://www.semwebtech.org/mondial/10/country/RP/province/CentralVisayas/city/Cebu/	798809
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Yokosuka/	420997
http://www.semwebtech.org/mondial/10/country/BR/province/Pará/city/Ananindeua/	470819
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/SãoLuís/	958522
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Madrid/	3198645
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SantaCruzdoSul/	105190
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Koutiala/	137919
http://www.semwebtech.org/mondial/10/country/TR/province/Diyarbakır/city/Diyarbakir/	892713
http://www.semwebtech.org/mondial/10/country/ET/city/AlUqsur/	451318
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Tiruchirappalli/	387223
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Indore/	1964086
http://www.semwebtech.org/mondial/10/country/S/province/Värmland/city/Karlstad/	86929
http://www.semwebtech.org/mondial/10/country/GR/province/AnatolikisMakedoniaskaiThrakis/city/Kavala/	58790
http://www.semwebtech.org/mondial/10/country/J/province/Okayama/city/Kurashiki/	476444
http://www.semwebtech.org/mondial/10/country/I/province/Abruzzo/city/Pescara/	117166
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Concord/	122110
http://www.semwebtech.org/mondial/10/country/WAN/province/Kano/city/Kano/	2166554
http://www.semwebtech.org/mondial/10/country/IR/province/Lorestan/city/Borujerd/	240654
http://www.semwebtech.org/mondial/10/country/PE/province/Lambayeque/city/Chiclayo/	524442
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Wuzhou/	210452
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCaetanodoSul/	149263
http://www.semwebtech.org/mondial/10/country/DZ/city/Skikda/	182903
http://www.semwebtech.org/mondial/10/country/RMM/province/Mopti/city/Mopti/	114296
http://www.semwebtech.org/mondial/10/country/VN/city/NamDinh/	193768
http://www.semwebtech.org/mondial/10/country/R/province/Novosibirsk/city/Novosibirsk/	1523801
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/SterlingHeights/	129699
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Ichikawa/	458679
http://www.semwebtech.org/mondial/10/country/CI/province/Montagnes/city/Man/	148171
http://www.semwebtech.org/mondial/10/country/BS/city/Nassau/	248948
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Guiyang/	3034750
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Alicante/	329325
http://www.semwebtech.org/mondial/10/country/VN/city/ThaiNguyen/	199732
http://www.semwebtech.org/mondial/10/country/WAN/province/Kogi/city/Okene/	312775
http://www.semwebtech.org/mondial/10/country/HR/city/Rijeka/	127498
http://www.semwebtech.org/mondial/10/country/TR/province/Adana/city/Adana/	1636229
http://www.semwebtech.org/mondial/10/country/MA/province/SoussMassaDaraa/city/Agadir/	346106
http://www.semwebtech.org/mondial/10/country/TR/province/Ordu/city/Ordu/	147913
http://www.semwebtech.org/mondial/10/country/RCH/province/Lagos/city/PuertoMontt/	153118
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/León/	1238962
http://www.semwebtech.org/mondial/10/country/PK/province/FCTIslamabad/city/Islamabad/	529180
http://www.semwebtech.org/mondial/10/country/N/province/Oslo/city/Oslo/	623966
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Gejiu/	214294
http://www.semwebtech.org/mondial/10/country/USA/province/NewYork/city/Syracuse/	145196
http://www.semwebtech.org/mondial/10/country/MOC/province/Inhambane/city/Inhambane/	65149
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/GrandPrairie/	175468
http://www.semwebtech.org/mondial/10/country/CN/province/Tianjin/city/Tianjin/	11090314
http://www.semwebtech.org/mondial/10/country/ROK/city/Anyang/	603184
http://www.semwebtech.org/mondial/10/country/RI/province/Bali/city/Denpasar/	788589
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/MülheimanderRuhr/	166865
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Ulm/	116761
http://www.semwebtech.org/mondial/10/country/F/province/Limousin/city/Limoges/	137758
http://www.semwebtech.org/mondial/10/country/ES/city/CiudadDelgado/	129965
http://www.semwebtech.org/mondial/10/country/A/province/Wien/city/Wien/	1761738
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jaipur/	3046163
http://www.semwebtech.org/mondial/10/country/LAR/city/Misratah/	360000
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Envigado/	217343
http://www.semwebtech.org/mondial/10/country/VN/city/VungTau/	282415
http://www.semwebtech.org/mondial/10/country/J/province/Shizuoka/city/Shizuoka/	713640
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cimahi/	541177
http://www.semwebtech.org/mondial/10/country/WAN/province/Zamfara/city/Gusau/	132393
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaesong/	308440
http://www.semwebtech.org/mondial/10/country/EC/city/Cuenca/	331888
http://www.semwebtech.org/mondial/10/country/IND/province/Chhattisgarh/city/Raipur/	1010433
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Dayton/	141761
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Chalkida/	102223
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Miami/	399508
http://www.semwebtech.org/mondial/10/country/THA/city/SamutPrakan/	277600
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/SouthBend/	101075
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Aix-en-Provence/	140684
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shashi/	281352
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Beian/	204899
http://www.semwebtech.org/mondial/10/country/P/province/Porto/city/VilaNovadeGaia/	72576
http://www.semwebtech.org/mondial/10/country/J/province/Nagasaki/city/Nagasaki/	439903
http://www.semwebtech.org/mondial/10/country/IR/province/Alborz/city/Karaj/	1614626
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Rajshahi/	440604
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Varginha/	119061
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/MontesClaros/	344427
http://www.semwebtech.org/mondial/10/country/ET/city/AlJizah/	2681863
http://www.semwebtech.org/mondial/10/country/CR/province/Alajuela/city/Alajuela/	257382
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Beipiao/	194301
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/NaberezhnyeTchelny/	519025
http://www.semwebtech.org/mondial/10/country/STP/city/SãoTomé/	49957
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/Uruapan/	264439
http://www.semwebtech.org/mondial/10/country/BIH/province/Brčko/city/Brčko/	93028
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Oxford/	159994
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangyashan/	386081
http://www.semwebtech.org/mondial/10/country/TR/province/Kahramanmaraş/city/Kahramanmaraş/	443575
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Kanpur/	2765348
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Lecce/	89916
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Toulon/	163974
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Yaroslavl/	599169
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xinxiang/	473762
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/CostaMesa/	109935
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Chengde/	246799
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Zunyi/	261862
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/Ramla/	65800
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Rímini/	139601
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Fuenlabrada/	196986
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Novokujbyševsk/	108438
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Bologna/	371337
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/HighWycombe/	120256
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Kunming/	3855346
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fengcheng/	193784
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Doncaster/	109805
http://www.semwebtech.org/mondial/10/country/CAM/province/Ouest/city/Bafoussam/	239287
http://www.semwebtech.org/mondial/10/country/DZ/city/Tamanrasset/	92635
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Larkana/	270283
http://www.semwebtech.org/mondial/10/country/RH/city/Delmas/	359451
http://www.semwebtech.org/mondial/10/country/S/province/Jämtland/city/Ostersund/	56662
http://www.semwebtech.org/mondial/10/country/UA/province/Volyns-ka/city/Luts-k/	213063
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Bikaner/	416289
http://www.semwebtech.org/mondial/10/country/RO/province/Mehedinţi/city/Drobeta-TurnuSeverin/	92617
http://www.semwebtech.org/mondial/10/country/J/province/Kumamoto/city/Kumamoto/	725005
http://www.semwebtech.org/mondial/10/country/MEX/province/Campeche/city/Campeche/	220389
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Siping/	317223
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Siegen/	99187
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Shihezi/	299676
http://www.semwebtech.org/mondial/10/country/TR/province/Mersin/city/Tarsus/	245671
http://www.semwebtech.org/mondial/10/country/ROU/city/Montevideo/	1318755
http://www.semwebtech.org/mondial/10/country/RO/province/Botoşani/city/Botoşani/	106847
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ThousandOaks/	126683
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Manila/	1660714
http://www.semwebtech.org/mondial/10/country/CY/city/Lefkosia/	55014
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Ekibastuz/	130903
http://www.semwebtech.org/mondial/10/country/S/province/Blekinge/city/Karlskrona/	59007
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Vadodara/	1670806
http://www.semwebtech.org/mondial/10/country/WAN/province/Osun/city/Ife/	186856
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Bydgoszcz/	362286
http://www.semwebtech.org/mondial/10/country/PA/province/Colón/city/Colón/	206553
http://www.semwebtech.org/mondial/10/country/IS/city/Reykjavik/	118061
http://www.semwebtech.org/mondial/10/country/CN/province/Beijing/city/Beijing/	11716620
http://www.semwebtech.org/mondial/10/country/RO/province/Braşov/city/Braşov/	253200
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Cotia/	201150
http://www.semwebtech.org/mondial/10/country/S/province/Stockholm/city/Stockholm/	881235
http://www.semwebtech.org/mondial/10/country/PL/province/Pomorskie/city/Gdańsk/	460354
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/St.Paul/	285068
http://www.semwebtech.org/mondial/10/country/RI/province/PapuaBarat/city/Manokwari/	136302
http://www.semwebtech.org/mondial/10/country/SF/province/Mikkeli/city/Mikkeli/	54633
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Ganzhou/	220129
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Gorakhpur/	505566
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Palmas/	221742
http://www.semwebtech.org/mondial/10/country/CDN/province/NovaScotia/city/Halifax/	390096
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Lanzhou/	2628426
http://www.semwebtech.org/mondial/10/country/MAL/province/Melaka/city/Melaka/	369222
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Tijuana/	1300983
http://www.semwebtech.org/mondial/10/country/USA/province/Alaska/city/Juneau/	31275
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Sukabumi/	298681
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Sakai/	838675
http://www.semwebtech.org/mondial/10/country/RT/city/Lomé/	839566
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Luzhou/	262892
http://www.semwebtech.org/mondial/10/country/R/province/Altayskiy/city/Bijsk/	210115
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Salford/	103886
http://www.semwebtech.org/mondial/10/country/THA/city/Nonthaburi/	481900
http://www.semwebtech.org/mondial/10/country/WAN/province/CrossRiver/city/Calabar/	310839
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Gondar/	254450
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Burlington/	175779
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Ikorodu/	184674
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Chaoyang/	222394
http://www.semwebtech.org/mondial/10/country/NOK/city/Nampho/	366815
http://www.semwebtech.org/mondial/10/country/ANG/province/Benguela/city/Benguela/	513000
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nantong/	2274113
http://www.semwebtech.org/mondial/10/country/N/province/Vest-Agder/city/Kristiansand/	84476
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Solihull/	123187
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Yichun/	151585
http://www.semwebtech.org/mondial/10/country/YV/province/Zulia/city/Cabimas/	207996
http://www.semwebtech.org/mondial/10/country/TR/province/Trabzon/city/Trabzon/	243735
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Austin/	885400
http://www.semwebtech.org/mondial/10/country/UZB/province/Toshkent/city/Chirchiq/	149400
http://www.semwebtech.org/mondial/10/country/MEX/province/Tabasco/city/Villahermosa/	353577
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/Sibu/	167427
http://www.semwebtech.org/mondial/10/country/PL/province/Wielkopolskie/city/Kalisz/	104867
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Peoria/	154084
http://www.semwebtech.org/mondial/10/country/PL/province/Mazowieckie/city/Warszawa/	1711324
http://www.semwebtech.org/mondial/10/country/J/province/Tochigi/city/Utsunomiya/	508635
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/Wichita/	382386
http://www.semwebtech.org/mondial/10/country/NL/province/Flevoland/city/Almere/	196244
http://www.semwebtech.org/mondial/10/country/NOK/city/Haeju/	273300
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Waco/	124810
http://www.semwebtech.org/mondial/10/country/USA/province/Tennessee/city/Knoxville/	178765
http://www.semwebtech.org/mondial/10/country/RCB/province/Brazzaville/city/Brazzaville/	1408150
http://www.semwebtech.org/mondial/10/country/EAT/province/Kigoma/city/Kigoma-Ujiji/	215458
http://www.semwebtech.org/mondial/10/country/S/province/Kronoberg/city/Växjö/	84800
http://www.semwebtech.org/mondial/10/country/IRQ/province/Baghdad/city/Baghdad/	5750000
http://www.semwebtech.org/mondial/10/country/EAT/province/Arusha/city/Arusha/	416442
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Meihekou/	209038
http://www.semwebtech.org/mondial/10/country/KAZ/province/WestKazakhstan/city/Oral/	227385
http://www.semwebtech.org/mondial/10/country/IND/province/WestBengal/city/Kolkata/	4496694
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Karlsruhe/	289173
http://www.semwebtech.org/mondial/10/country/PE/province/Arequipa/city/Arequipa/	749291
http://www.semwebtech.org/mondial/10/country/E/province/PaísVasco/city/Vitoria-Gasteiz/	240753
http://www.semwebtech.org/mondial/10/country/RL/city/Bayrūt/	1100000
http://www.semwebtech.org/mondial/10/country/MV/city/Male/	133019
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaAna/	324712
http://www.semwebtech.org/mondial/10/country/SSD/city/Juba/	372410
http://www.semwebtech.org/mondial/10/country/SF/province/Kuopio/city/Kuopio/	106475
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Sirjan/	185623
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Coatzacoalcos/	235983
http://www.semwebtech.org/mondial/10/country/CN/province/Guangxi/city/Qinzhou/	114586
http://www.semwebtech.org/mondial/10/country/RP/province/Calabarzon/city/Antipolo/	633971
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Crawley/	106943
http://www.semwebtech.org/mondial/10/country/RA/province/DistritoFederal/city/BuenosAires/	2768772
http://www.semwebtech.org/mondial/10/country/SF/province/Pohjols-Karjala/city/Joensuu/	74332
http://www.semwebtech.org/mondial/10/country/EC/city/Guayaquil/	2291158
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Changde/	301276
http://www.semwebtech.org/mondial/10/country/NOK/city/Kusong/	196515
http://www.semwebtech.org/mondial/10/country/TR/province/Muş/city/Mus/	81764
http://www.semwebtech.org/mondial/10/country/MOC/province/CaboDelgado/city/Pemba/	138716
http://www.semwebtech.org/mondial/10/country/RH/city/CitéSoleil/	241055
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Liling/	108504
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Allahabad/	1112544
http://www.semwebtech.org/mondial/10/country/WAN/province/Borno/city/Maiduguri/	618278
http://www.semwebtech.org/mondial/10/country/H/province/Fejér/city/Székesfehérvár/	100570
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Tongi/	476349
http://www.semwebtech.org/mondial/10/country/USA/province/Montana/city/Helena/	28197
http://www.semwebtech.org/mondial/10/country/USA/province/NorthDakota/city/Fargo/	105549
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Changzhi/	317144
http://www.semwebtech.org/mondial/10/country/GR/province/NotioyAigaioy/city/Rhodes/	115490
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïvs-ka/city/Prypjat/	0
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Samara/	1171598
http://www.semwebtech.org/mondial/10/country/MEX/province/Yucatán/city/Mérida/	777615
http://www.semwebtech.org/mondial/10/country/MEX/province/Zacatecas/city/Zacatecas/	129011
http://www.semwebtech.org/mondial/10/country/NL/province/Groningen/city/Groningen/	198023
http://www.semwebtech.org/mondial/10/country/GR/province/Ipeiroy/city/Ioannina/	112486
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Tianmen/	186332
http://www.semwebtech.org/mondial/10/country/I/province/Liguria/city/LaSpezia/	92659
http://www.semwebtech.org/mondial/10/country/DK/province/Midtjylland/city/Århus/	252213
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Rochdale/	107926
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novošachtinsk/	111075
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Laohekou/	123366
http://www.semwebtech.org/mondial/10/country/MA/province/DoukalaAbda/city/Safi/	284750
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogidasCruzes/	357313
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Harbin/	5878939
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/LosMochis/	256613
http://www.semwebtech.org/mondial/10/country/F/province/Champagne-Ardenne/city/Reims/	180752
http://www.semwebtech.org/mondial/10/country/RA/province/Catamarca/city/SanFernandodelValledeCatamarca/	140556
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Sullana/	181954
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Bucaramanga/	527451
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Uvira/	115590
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Bhatpara/	315976
http://www.semwebtech.org/mondial/10/country/SGP/city/Singapore/	5076700
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Puqi/	117264
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Zhenjiang/	368316
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Schwerin/	91293
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Aurora/	197952
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Wanxian/	156823
http://www.semwebtech.org/mondial/10/country/TR/province/Aksaray/city/Aksaray/	186599
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/GiuglianoinCampania/	108793
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Ufa/	1077719
http://www.semwebtech.org/mondial/10/country/WAN/province/Benue/city/Makurdi/	151515
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Freiburg/	209628
http://www.semwebtech.org/mondial/10/country/SLB/city/Honiara/	49107
http://www.semwebtech.org/mondial/10/country/ET/city/Tanta/	421076
http://www.semwebtech.org/mondial/10/country/RI/province/Banten/city/Serang/	577785
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Limeira/	267785
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yangzhou/	312892
http://www.semwebtech.org/mondial/10/country/TCH/city/N-Djamena/	951418
http://www.semwebtech.org/mondial/10/country/AUS/province/NorthernTerritory/city/Darwin/	129062
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/CorpusChristi/	305215
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Londrina/	493520
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Oriental/city/Mwene-Ditu/	137459
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Richmond/	103670
http://www.semwebtech.org/mondial/10/country/BOL/province/Chuquisaca/city/Sucre/	259388
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonRatchasima/	254900
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Terrassa/	214406
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Simferopol-/	335582
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Lansing/	114297
http://www.semwebtech.org/mondial/10/country/IR/province/Yazd/city/Yazd/	486152
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoJosédoRioPreto/	383490
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Riverside/	303871
http://www.semwebtech.org/mondial/10/country/BR/province/Alagoas/city/Maceió/	932129
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/MardelPlata/	541857
http://www.semwebtech.org/mondial/10/country/ET/city/AlIsma-iliyah/	300449
http://www.semwebtech.org/mondial/10/country/R/province/Ivanovskaya/city/Ivanovo/	409075
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Changzhou/	3290918
http://www.semwebtech.org/mondial/10/country/TR/province/Giresun/city/Giresun/	100712
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Cauayan/	114254
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tempe/	161778
http://www.semwebtech.org/mondial/10/country/NL/province/Gelderland/city/Nijmegen/	168810
http://www.semwebtech.org/mondial/10/country/NL/province/Overijssel/city/Zwolle/	123440
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Tasikmalaya/	635464
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Miass/	151751
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/Baruta/	213373
http://www.semwebtech.org/mondial/10/country/R/province/NizhniiNovgorod/city/Arzamas/	106362
http://www.semwebtech.org/mondial/10/country/RP/province/EasternVisayas/city/Tacloban/	217199
http://www.semwebtech.org/mondial/10/country/F/province/Franche-Comté/city/Besançon/	115879
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Ottawa/	883391
http://www.semwebtech.org/mondial/10/country/E/province/Cantabria/city/Santander/	178095
http://www.semwebtech.org/mondial/10/country/IR/province/SistanandBaluchestan/city/Zahedan/	560725
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Shaoyang/	247227
http://www.semwebtech.org/mondial/10/country/THA/city/Songkhla/	294200
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/DąbrowaGórnicza/	125063
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Palmira/	302727
http://www.semwebtech.org/mondial/10/country/PE/province/Piura/city/Talara/	87622
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/SãoJoãodeMeriti/	458673
http://www.semwebtech.org/mondial/10/country/H/province/Somogy/city/Kaposvár/	66245
http://www.semwebtech.org/mondial/10/country/AUS/province/Tasmania/city/Hobart/	216276
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Wendeng/	133910
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Kopejsk/	137601
http://www.semwebtech.org/mondial/10/country/USA/province/Minnesota/city/Minneapolis/	382578
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Indaiatuba/	199592
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Dongtai/	192247
http://www.semwebtech.org/mondial/10/country/WS/city/Apia/	36735
http://www.semwebtech.org/mondial/10/country/CO/province/Atlántico/city/Barranquilla/	1212943
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/SanNicolásdelosArroyos/	125308
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhuhai/	164747
http://www.semwebtech.org/mondial/10/country/PE/province/Ica/city/Ica/	219856
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kolhapur/	406370
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Mönchengladbach/	255188
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Uruguaiana/	117415
http://www.semwebtech.org/mondial/10/country/PL/province/Lubelskie/city/Lublin/	348120
http://www.semwebtech.org/mondial/10/country/CDN/province/Saskatchewan/city/Regina/	193100
http://www.semwebtech.org/mondial/10/country/IND/province/Bihar/city/Patna/	1684222
http://www.semwebtech.org/mondial/10/country/F/province/Auvergne/city/Clermont-Ferrand/	140957
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Kumasi/	2035064
http://www.semwebtech.org/mondial/10/country/AL/city/Shkodër/	77075
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Xingcheng/	102384
http://www.semwebtech.org/mondial/10/country/TR/province/Karabük/city/Karabük/	110537
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/BanjaLuka/	199191
http://www.semwebtech.org/mondial/10/country/RP/province/Soccsksargen/city/GeneralSantos/	529542
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Hanzhong/	169930
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Guadalupe/	673616
http://www.semwebtech.org/mondial/10/country/E/province/LaRioja/city/Logroño/	152698
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Karamay/	197602
http://www.semwebtech.org/mondial/10/country/B/province/West-Vlaanderen/city/Brugge/	117577
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Solingen/	155265
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itaquaquecetuba/	321770
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Sukkur/	335551
http://www.semwebtech.org/mondial/10/country/CY/city/Larnaka/	51468
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Lengshuijiang/	137994
http://www.semwebtech.org/mondial/10/country/N/province/Troms/city/Tromsø/	48109
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Changchun/	4193073
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/L-ubercy/	172525
http://www.semwebtech.org/mondial/10/country/MEX/province/QuintanaRoo/city/Chetumal/	151243
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Noginsk/	100072
http://www.semwebtech.org/mondial/10/country/RCH/province/Magallanes/city/PuntaArenas/	116005
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Málaga/	561435
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Gongzhuling/	226569
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Chiniot/	172522
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanFrancisco/	837442
http://www.semwebtech.org/mondial/10/country/R/province/Tomsk/city/Seversk/	108590
http://www.semwebtech.org/mondial/10/country/SUD/city/Omdurman/	1271403
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Suihua/	227881
http://www.semwebtech.org/mondial/10/country/P/province/Leiria/city/Leiria/	50608
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Olinda/	370332
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/PimpriChinchwad/	1727692
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Franca/	313046
http://www.semwebtech.org/mondial/10/country/KWT/city/AlKuwayt/	637411
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/JerezdelaFrontera/	211784
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Makati/	510383
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Pforzheim/	114411
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Brisbane/	2146577
http://www.semwebtech.org/mondial/10/country/SUD/city/KhartoumNorth/	700887
http://www.semwebtech.org/mondial/10/country/KAZ/province/Zhambyl/city/Taraz/	351476
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Fujisawa/	413064
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Ingolstadt/	124927
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/PortoSeguro/	104078
http://www.semwebtech.org/mondial/10/country/R/province/Orenburg/city/Orenburg/	556127
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Bhiwandi/	392214
http://www.semwebtech.org/mondial/10/country/R/province/Orlovskaya/city/Orel/	318136
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Petrópolis/	281286
http://www.semwebtech.org/mondial/10/country/AUS/province/WesternAustralia/city/Perth/	1832114
http://www.semwebtech.org/mondial/10/country/ES/city/Mejicanos/	157188
http://www.semwebtech.org/mondial/10/country/RCH/province/Araucanía/city/Temuco/	227086
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Colchester/	119441
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Bruxelles/	168576
http://www.semwebtech.org/mondial/10/country/R/province/Chelyabinsk/city/Zlatoust/	174962
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Bandung/	2394873
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Garanhuns/	115356
http://www.semwebtech.org/mondial/10/country/D/province/Hamburg/city/Hamburg/	1706696
http://www.semwebtech.org/mondial/10/country/NIC/city/Tipitapa/	130627
http://www.semwebtech.org/mondial/10/country/BR/province/Piauí/city/Teresina/	767557
http://www.semwebtech.org/mondial/10/country/BOL/province/Potosí/city/Potosí/	189652
http://www.semwebtech.org/mondial/10/country/EAK/city/Machakos/	150041
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shaoguan/	350043
http://www.semwebtech.org/mondial/10/country/EW/city/Tartu/	103284
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Multan/	1197384
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Zhoushan/	156317
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Novočerkassk/	168746
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Zamboanga/	774407
http://www.semwebtech.org/mondial/10/country/ET/city/AlIskandariyah/	4123869
http://www.semwebtech.org/mondial/10/country/R/province/Khabarov/city/Khabarovsk/	593636
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Tessaoua/	172796
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Liyang/	109520
http://www.semwebtech.org/mondial/10/country/GH/province/Eastern/city/Koforidua/	120971
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiangyang/	2199690
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Mesquite/	139629
http://www.semwebtech.org/mondial/10/country/TM/province/Lebap/city/Turkmenabat/	203000
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Marg‘ilon/	215400
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Cuiabá/	540814
http://www.semwebtech.org/mondial/10/country/TR/province/Siirt/city/Siirt/	135350
http://www.semwebtech.org/mondial/10/country/PR/city/Carolina/	157832
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Nizhnevartovsk/	263228
http://www.semwebtech.org/mondial/10/country/TR/province/Iğdır/city/Iğdır/	82656
http://www.semwebtech.org/mondial/10/country/THA/city/Bangkok/	7506700
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Sanya/	102820
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Chimki/	207425
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Guntur/	651382
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Lanús/	452512
http://www.semwebtech.org/mondial/10/country/IRQ/province/AsSulaymaniyah/city/AsSulaymaniyah/	364096
http://www.semwebtech.org/mondial/10/country/NOK/city/Huichon/	168180
http://www.semwebtech.org/mondial/10/country/MEX/province/Querétaro/city/Querétaro/	626495
http://www.semwebtech.org/mondial/10/country/H/province/Zala/city/Zalaegerszeg/	59499
http://www.semwebtech.org/mondial/10/country/P/province/Azores/city/PontaDelgada/	46102
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Saharanpur/	374945
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/NacalaPorto/	206449
http://www.semwebtech.org/mondial/10/country/CZ/province/Vysočina/city/Jihlava/	51162
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/McAllen/	130242
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Baoding/	483155
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Pisa/	85858
http://www.semwebtech.org/mondial/10/country/AUS/province/Victoria/city/Melbourne/	4169103
http://www.semwebtech.org/mondial/10/country/IR/province/Gillan/city/Rasht/	639951
http://www.semwebtech.org/mondial/10/country/IND/province/Telangana/city/Warangal/	447653
http://www.semwebtech.org/mondial/10/country/E/province/Extremadura/city/Badajoz/	151214
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraTimur/city/Kupang/	336239
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/KingstonuponHull/	284321
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Katowice/	308269
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Natal/	803739
http://www.semwebtech.org/mondial/10/country/J/province/Ehime/city/Matsuyama/	514781
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Higashiosaka/	486260
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Montgomery/	205597
http://www.semwebtech.org/mondial/10/country/M/city/Valletta/	5748
http://www.semwebtech.org/mondial/10/country/GAZA/city/Gaza/	449477
http://www.semwebtech.org/mondial/10/country/MYA/province/NayPyiTaw/city/NayPyiTaw/	1158367
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Trenton/	84913
http://www.semwebtech.org/mondial/10/country/R/province/Ingushskaya/city/Nazran-/	93335
http://www.semwebtech.org/mondial/10/country/SUD/city/AlGedaref/	191164
http://www.semwebtech.org/mondial/10/country/MYA/province/Bago/city/Bago/	491130
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Hengyang/	487148
http://www.semwebtech.org/mondial/10/country/BY/province/MinskCity/city/Minsk/	1836808
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanDiego/	1355896
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Odincovo/	138930
http://www.semwebtech.org/mondial/10/country/USA/province/Maine/city/Augusta/	19132
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Tucson/	526116
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Waterbury/	110366
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Kremenchuk/	226434
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Okt-abr-skij/	109474
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanPedroGarzaGarcía/	122627
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Xiangtan/	441968
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Mufulira/	204104
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Gujranwala/	1132509
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Yushu/	131861
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/SãoJosé/	207312
http://www.semwebtech.org/mondial/10/country/KAZ/province/East-Kazakhstan/city/Semey/	312065
http://www.semwebtech.org/mondial/10/country/UZB/province/Samarqand/city/Samarqand/	509000
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Caxias/	118534
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Zhaoqing/	194784
http://www.semwebtech.org/mondial/10/country/OM/city/Muscat/	27216
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Wuhu/	425740
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Harrisburg/	49528
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/TaboãodaSerra/	244528
http://www.semwebtech.org/mondial/10/country/MEX/province/BajaCalifornia/city/Mexicali/	689775
http://www.semwebtech.org/mondial/10/country/CO/province/Nariño/city/SanAndresdeTumaco/	195419
http://www.semwebtech.org/mondial/10/country/PL/province/Warmińsko-Mazurskie/city/Elbląg/	123977
http://www.semwebtech.org/mondial/10/country/CN/province/Qinghai/city/Xining/	551776
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gonbad-e-Kavus/	144546
http://www.semwebtech.org/mondial/10/country/NOK/city/Pyongyang/	3255288
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/LasPalmasdeGranCanaria/	381271
http://www.semwebtech.org/mondial/10/country/R/province/Tul-skaya/city/Novomoskovsk/	131386
http://www.semwebtech.org/mondial/10/country/BHT/city/Thimphu/	42465
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/KhantyMansijsk/	80151
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Floridablanca/	264695
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Luoyang/	1190000
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/York/	152841
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Pingxiang/	425579
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcorcón/	167217
http://www.semwebtech.org/mondial/10/country/H/province/Veszprém/city/Veszprém/	61721
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Sosnowiec/	214488
http://www.semwebtech.org/mondial/10/country/GB/province/NorthernIreland/city/Belfast/	280561
http://www.semwebtech.org/mondial/10/country/NOK/city/Wonsan/	363127
http://www.semwebtech.org/mondial/10/country/P/province/Setubal/city/Setúbal/	91108
http://www.semwebtech.org/mondial/10/country/R/province/Chukotka/city/Anadyr/	13045
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhelum/	147392
http://www.semwebtech.org/mondial/10/country/MA/province/MarrakechTensiftAlHaouz/city/Marrakech/	801043
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Itaboraí/	215412
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Aguié/	152788
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Mauá/	417064
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ruian/	156468
http://www.semwebtech.org/mondial/10/country/IRQ/province/ThiQar/city/AnNasiriyah/	265937
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Louisville/	609893
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Guediawaye/	307594
http://www.semwebtech.org/mondial/10/country/ROK/city/Ansan/	722598
http://www.semwebtech.org/mondial/10/country/UA/province/Zaporiz-ka/city/Zaporizhzhia/	772627
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Anderlecht/	113462
http://www.semwebtech.org/mondial/10/country/SF/province/Uusimaa/city/Espoo/	261654
http://www.semwebtech.org/mondial/10/country/ZW/city/Bulawayo/	653337
http://www.semwebtech.org/mondial/10/country/CO/province/Sucre/city/Sincelejo/	271375
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/DenHaag/	509623
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Cincinnati/	296950
http://www.semwebtech.org/mondial/10/country/WAN/province/Yobe/city/Damaturu/	141897
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Guarulhos/	1221979
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Queimados/	137962
http://www.semwebtech.org/mondial/10/country/R/province/Mordoviya/city/Saransk/	298287
http://www.semwebtech.org/mondial/10/country/MEX/province/Jalisco/city/Tonala/	408759
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Gilbert/	208414
http://www.semwebtech.org/mondial/10/country/UZB/province/Fargʻona/city/Farg-ona/	264900
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Bobruysk/	215092
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/DesMoines/	204192
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Olympia/	46476
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Reutlingen/	109799
http://www.semwebtech.org/mondial/10/country/IR/province/Esfahan/city/Esfahan/	1756126
http://www.semwebtech.org/mondial/10/country/J/province/Oita/city/Oita/	472942
http://www.semwebtech.org/mondial/10/country/I/province/Lazio/city/Roma/	2617175
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Münster/	289576
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shuangcheng/	142659
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/RioClaro/	181720
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Cherepovets/	315738
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/Hyderabad/	1166894
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SanBernardino/	209959
http://www.semwebtech.org/mondial/10/country/RO/province/Bihor/city/Oradea/	196367
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Acharnes/	106943
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Pune/	3124458
http://www.semwebtech.org/mondial/10/country/USA/province/Iowa/city/CedarRapids/	126326
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Elektrostal-/	155196
http://www.semwebtech.org/mondial/10/country/RMM/province/Koulikoro/city/Kalabancoro/	166722
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Göteborg/	526089
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Buenaventura/	392054
http://www.semwebtech.org/mondial/10/country/RCB/province/Niari/city/Dolisie/	128032
http://www.semwebtech.org/mondial/10/country/I/province/Friuli-VeneziaGiulia/city/Trieste/	202123
http://www.semwebtech.org/mondial/10/country/SF/province/Lappia/city/Rovaniemi/	61244
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Serpuchov/	127041
http://www.semwebtech.org/mondial/10/country/CDN/province/BritishColumbia/city/Burnaby/	223218
http://www.semwebtech.org/mondial/10/country/USA/province/Arizona/city/Glendale/	226437
http://www.semwebtech.org/mondial/10/country/CH/province/Zürich/city/Zürich/	384786
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Ujjain/	362633
http://www.semwebtech.org/mondial/10/country/SK/province/Banskobystrický/city/BanskáBystrica/	80003
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Göttingen/	115843
http://www.semwebtech.org/mondial/10/country/BIH/province/RepublikaSrpska/city/Bijeljina/	114663
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Tongchuan/	280657
http://www.semwebtech.org/mondial/10/country/SUD/city/Kassala/	234622
http://www.semwebtech.org/mondial/10/country/TR/province/Bingöl/city/Bingol/	98424
http://www.semwebtech.org/mondial/10/country/BOL/province/Tarija/city/Tarija/	205346
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Anshan/	1390000
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Liverpool/	552267
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bochum/	362286
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Hammerfest/	7089
http://www.semwebtech.org/mondial/10/country/IND/province/AndhraPradesh/city/Visakhapatnam/	1728128
http://www.semwebtech.org/mondial/10/country/LT/city/Vilnius/	538747
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Messina/	243262
http://www.semwebtech.org/mondial/10/country/SYR/province/Halab/city/Manbij/	204766
http://www.semwebtech.org/mondial/10/country/ET/city/BurSa-id/	570768
http://www.semwebtech.org/mondial/10/country/SN/province/Diourbel/city/Diourbel/	101984
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Esbjerg/	71579
http://www.semwebtech.org/mondial/10/country/RSA/province/Mpumalanga/city/Mbombela/	588794
http://www.semwebtech.org/mondial/10/country/UA/province/Luhans-ka/city/Luhans-k/	427187
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/LeHavre/	174156
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/SaintCatharines/	131400
http://www.semwebtech.org/mondial/10/country/R/province/Altay/city/GornoAltaysk/	56933
http://www.semwebtech.org/mondial/10/country/RN/province/Maradi/city/Maradi/	267249
http://www.semwebtech.org/mondial/10/country/CN/province/Yunnan/city/Qujing/	178669
http://www.semwebtech.org/mondial/10/country/N/province/Sør-Trøndelag/city/Trondheim/	179692
http://www.semwebtech.org/mondial/10/country/ES/city/SanSalvador/	354174
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Hami/	161315
http://www.semwebtech.org/mondial/10/country/CN/province/Shanghai/city/Shanghai/	22315474
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/PontaGrossa/	304733
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Quillacollo/	137029
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Kovrov/	145214
http://www.semwebtech.org/mondial/10/country/IND/province/Kerala/city/Kochi/	582588
http://www.semwebtech.org/mondial/10/country/MYA/province/Ayeyarwady/city/Pathein/	286684
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/LeMans/	143240
http://www.semwebtech.org/mondial/10/country/TR/province/Denizli/city/Denizli/	525497
http://www.semwebtech.org/mondial/10/country/RP/province/Bicol/city/Legazpi/	179481
http://www.semwebtech.org/mondial/10/country/GH/province/Volta/city/Ho/	104532
http://www.semwebtech.org/mondial/10/country/MOC/province/Maputo/city/Matola/	671556
http://www.semwebtech.org/mondial/10/country/RA/province/Misiones/city/Posadas/	253369
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/GreenBay/	103913
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Xi-an/	6501190
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/BelfordRoxo/	469332
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Rostov-na-Donu/	1103733
http://www.semwebtech.org/mondial/10/country/F/province/Languedoc-Roussillon/city/Montpellier/	264538
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Bahawalpur/	408395
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Tshikapa/	180860
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/MorenoValley/	193365
http://www.semwebtech.org/mondial/10/country/MAL/province/PulauPinang/city/Georgetown/	180573
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/FranciscoMorato/	154158
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTimur/city/Kediri/	268507
http://www.semwebtech.org/mondial/10/country/P/province/Braga/city/Braga/	114003
http://www.semwebtech.org/mondial/10/country/SBAR/city/Gustavia/	2299
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/Cairns/	146477
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Recife/	1537704
http://www.semwebtech.org/mondial/10/country/TM/province/Ashgabat/city/Ashgabat/	604700
http://www.semwebtech.org/mondial/10/country/R/province/Sankt-Peterburg/city/SanktPeterburg/	5028000
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Joliet/	147457
http://www.semwebtech.org/mondial/10/country/H/province/Szabolcs-Szatmár-Bereg/city/Nyíregyháza/	119746
http://www.semwebtech.org/mondial/10/country/YV/province/Vargas/city/CatiaLaMar/	118466
http://www.semwebtech.org/mondial/10/country/R/province/Yaroslavskaya/city/Rybinsk/	200771
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Hartford/	124775
http://www.semwebtech.org/mondial/10/country/J/province/Tokyo/city/Tokyo/	8591695
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Mostar/	113169
http://www.semwebtech.org/mondial/10/country/IR/province/Golestan/city/Gorgan/	329536
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Tehuacán/	248716
http://www.semwebtech.org/mondial/10/country/YV/province/Bolívar/city/CiudadBolívar/	307713
http://www.semwebtech.org/mondial/10/country/IL/province/Yerushalayim/city/Yerushalayim/	773000
http://www.semwebtech.org/mondial/10/country/CN/province/Guangdong/city/Shanwei/	107847
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Nanjing/	7165292
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Peshawar/	982816
http://www.semwebtech.org/mondial/10/country/CO/province/Antioquia/city/Apartadó/	173008
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/RudaŚląska/	142672
http://www.semwebtech.org/mondial/10/country/F/province/Île-de-France/city/Boulogne-Billancourt/	116220
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Chicago/	2718782
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Daxian/	188101
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Yixing/	200824
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Oldham/	96555
http://www.semwebtech.org/mondial/10/country/GB/province/NorthEast/city/NewcastleuponTyne/	268064
http://www.semwebtech.org/mondial/10/country/MAL/province/Perak/city/Taiping/	183320
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Marseille/	850636
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/KotaKinabalu/	354153
http://www.semwebtech.org/mondial/10/country/EAK/city/Mombasa/	938131
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Cariacica/	337643
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Blackburn/	117963
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Likasi/	299118
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Wolfsburg/	119984
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/Hermosillo/	715061
http://www.semwebtech.org/mondial/10/country/DZ/city/Bejaïa/	176139
http://www.semwebtech.org/mondial/10/country/TR/province/Hatay/city/Iskenderun/	184833
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/Juazeiro/	160775
http://www.semwebtech.org/mondial/10/country/USA/province/WestVirginia/city/Charleston/	51347
http://www.semwebtech.org/mondial/10/country/BR/province/Amapá/city/Macapá/	381214
http://www.semwebtech.org/mondial/10/country/RA/province/LaRioja/city/LaRioja/	143921
http://www.semwebtech.org/mondial/10/country/YV/province/Barinas/city/Barinas/	215452
http://www.semwebtech.org/mondial/10/country/DZ/city/Blida/	331779
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/Caucaia/	290220
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Siracusa/	118385
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Qurghonteppa/	75400
http://www.semwebtech.org/mondial/10/country/IR/province/Hormozgan/city/BandarAbbas/	435751
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Khoy/	200958
http://www.semwebtech.org/mondial/10/country/IND/province/TamilNadu/city/Coimbatore/	1050721
http://www.semwebtech.org/mondial/10/country/Q/city/Doha/	339847
http://www.semwebtech.org/mondial/10/country/BG/city/Burgas/	197301
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Jhansi/	313491
http://www.semwebtech.org/mondial/10/country/S/province/Västernorrland/city/Härnösand/	27287
http://www.semwebtech.org/mondial/10/country/RI/province/Gorontalo/city/Gorontalo/	153036
http://www.semwebtech.org/mondial/10/country/CO/province/Cundinamarca/city/Soacha/	500097
http://www.semwebtech.org/mondial/10/country/GH/province/Western/city/Sekondi/	228342
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord-Ouest/city/Bamenda/	269530
http://www.semwebtech.org/mondial/10/country/UA/province/Poltavs-ka/city/Poltava/	297589
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sheikhupura/	280263
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Eindhoven/	221279
http://www.semwebtech.org/mondial/10/country/PE/province/Loreto/city/Iquitos/	370962
http://www.semwebtech.org/mondial/10/country/C/province/Holguín/city/Holguín/	294313
http://www.semwebtech.org/mondial/10/country/N/province/Finnmark/city/Vadsø/	5961
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Mississauga/	713443
http://www.semwebtech.org/mondial/10/country/TAD/province/Sughd/city/Khujand/	165300
http://www.semwebtech.org/mondial/10/country/R/province/Tyumen/city/Tyumen/	634171
http://www.semwebtech.org/mondial/10/country/L/city/Luxembourg/	99852
http://www.semwebtech.org/mondial/10/country/R/province/Rostovskaya/city/Taganrog/	254783
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/LaCeiba/	127590
http://www.semwebtech.org/mondial/10/country/G/city/Franceville/	103840
http://www.semwebtech.org/mondial/10/country/ROK/city/Changwon/	1062731
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/Burgos/	178864
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Swansea/	179485
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Rajkot/	1286678
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Würzburg/	124297
http://www.semwebtech.org/mondial/10/country/ET/city/Banha/	158389
http://www.semwebtech.org/mondial/10/country/R/province/KhantyMansiao/city/Surgut/	325511
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Almada/	49578
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Palmdale/	152750
http://www.semwebtech.org/mondial/10/country/RI/province/NusaTenggaraBarat/city/Mataram/	402843
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Pekanbaru/	897767
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Glendale/	191713
http://www.semwebtech.org/mondial/10/country/S/province/Västerbotten/city/Umeå/	117294
http://www.semwebtech.org/mondial/10/country/TR/province/Van/city/Van/	370190
http://www.semwebtech.org/mondial/10/country/CEU/city/Ceuta/	82376
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Gliwice/	186347
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/EslamShahr/	389102
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/Independence/	116830
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Gloucester/	136362
http://www.semwebtech.org/mondial/10/country/AUS/province/Queensland/city/GoldCoast/	576747
http://www.semwebtech.org/mondial/10/country/USA/province/Oklahoma/city/Tulsa/	391886
http://www.semwebtech.org/mondial/10/country/TM/province/Dashhowuz/city/Dashhowuz/	165400
http://www.semwebtech.org/mondial/10/country/E/province/CastillayLeón/city/León/	131411
http://www.semwebtech.org/mondial/10/country/USA/province/Vermont/city/Montpelier/	7855
http://www.semwebtech.org/mondial/10/country/MEX/province/Sonora/city/CiudadObregón/	298625
http://www.semwebtech.org/mondial/10/country/ROK/city/Yongin/	852505
http://www.semwebtech.org/mondial/10/country/E/province/Canarias/city/SantaCruzdeTenerife/	204476
http://www.semwebtech.org/mondial/10/country/CAM/province/Extrême-Nord/city/Maroua/	201371
http://www.semwebtech.org/mondial/10/country/R/province/Novgorodskaya/city/VelikijNovgorod/	218717
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Vanersborg/	35804
http://www.semwebtech.org/mondial/10/country/RA/province/SanJuan/city/SanJuan/	115556
http://www.semwebtech.org/mondial/10/country/KAZ/province/Pavlodar/city/Pavlodar/	329901
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Catánia/	293902
http://www.semwebtech.org/mondial/10/country/VN/city/HaLong/	201990
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Shangzhi/	215373
http://www.semwebtech.org/mondial/10/country/BR/province/Tocantins/city/Araguaína/	142925
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Sorocaba/	580655
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Rawalpindi/	1409768
http://www.semwebtech.org/mondial/10/country/PA/province/Panamá/city/LaChorrera/	161470
http://www.semwebtech.org/mondial/10/country/IR/province/Semnan/city/Semnan/	153680
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Anda/	136446
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/NossaSenhoradoSocorro/	155823
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Schaerbeek/	130587
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Vaughan/	288301
http://www.semwebtech.org/mondial/10/country/BR/province/Ceará/city/JuazeirodoNorte/	240128
http://www.semwebtech.org/mondial/10/country/HR/city/Zadar/	70674
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Benxi/	768778
http://www.semwebtech.org/mondial/10/country/D/province/Berlin/city/Berlin/	3292365
http://www.semwebtech.org/mondial/10/country/CI/province/Fromager/city/Gagnoa/	167900
http://www.semwebtech.org/mondial/10/country/J/province/Ishikawa/city/Kanazawa/	445432
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Quebec/	516622
http://www.semwebtech.org/mondial/10/country/ER/city/Asmara/	380568
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Zabrze/	179861
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Coventry/	325949
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Anyang/	420332
http://www.semwebtech.org/mondial/10/country/CO/province/Huila/city/Neiva/	340046
http://www.semwebtech.org/mondial/10/country/SF/province/Vaasa/city/Vaasa/	66415
http://www.semwebtech.org/mondial/10/country/SUD/city/PortSudan/	308195
http://www.semwebtech.org/mondial/10/country/GR/province/KentrikisMakedonias/city/Thessaloniki/	325182
http://www.semwebtech.org/mondial/10/country/BIH/province/FederacijaBosneiHercegovine/city/Zenica/	115134
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Almería/	189680
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Minatitlán/	112046
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Wuhai/	264081
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Magdeburg/	228144
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Campinas/	1061540
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/RíoCuarto/	144140
http://www.semwebtech.org/mondial/10/country/RO/province/Argeş/city/Piteşti/	155383
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Hefei/	3310268
http://www.semwebtech.org/mondial/10/country/GCA/city/VillaNueva/	527174
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Anápolis/	328755
http://www.semwebtech.org/mondial/10/country/B/province/Bruxelles/city/Molenbeek-Saint-Jean/	94653
http://www.semwebtech.org/mondial/10/country/C/province/Camagüey/city/Camagüey/	307841
http://www.semwebtech.org/mondial/10/country/IND/province/JammuandKashmir/city/Srinagar/	1180570
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Ningbo/	3491597
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Lerwick/	6570
http://www.semwebtech.org/mondial/10/country/USA/province/Kentucky/city/Lexington/	295803
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kinshasa/city/Kinshasa/	4655313
http://www.semwebtech.org/mondial/10/country/RI/province/Riau/city/Dumai/	253803
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Bangalore/	8443675
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/TorredelGreco/	85922
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hannover/	506416
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Sydney/	4605992
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Qingdao/	3718835
http://www.semwebtech.org/mondial/10/country/F/province/Corse/city/Ajaccio/	66245
http://www.semwebtech.org/mondial/10/country/UA/province/Krym/city/Kerch/	145845
http://www.semwebtech.org/mondial/10/country/RCH/province/LibertadorGeneralBernardoO-Higgins/city/Rancagua/	206971
http://www.semwebtech.org/mondial/10/country/ZRE/province/Kasai-Occidental/city/Kananga/	393030
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Armavir/	188832
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Norwich/	186682
http://www.semwebtech.org/mondial/10/country/KAZ/province/Karaganda/city/Temirtau/	175632
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Biel/	53031
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Bournemouth/	187503
http://www.semwebtech.org/mondial/10/country/RSA/province/WesternCape/city/CapeTown/	3740026
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Nanchang/	2357839
http://www.semwebtech.org/mondial/10/country/YV/province/DistritoFederal/city/Caracas/	1975786
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/Colatina/	98395
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Lowell/	106519
http://www.semwebtech.org/mondial/10/country/R/province/Krasnodarskiy/city/Sochi/	368011
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Ulanhot/	159538
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Apucarana/	114098
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Kalookan/	1378856
http://www.semwebtech.org/mondial/10/country/R/province/Kaluzhskaya/city/Obninsk/	104739
http://www.semwebtech.org/mondial/10/country/BY/province/Mogilev/city/Mogilev/	358279
http://www.semwebtech.org/mondial/10/country/YV/province/Carabobo/city/PuertoCabello/	177751
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Hilversum/	86738
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Irvine/	211906
http://www.semwebtech.org/mondial/10/country/PA/province/Herrera/city/Chitre/	48479
http://www.semwebtech.org/mondial/10/country/SK/province/Košický/city/Košice/	240433
http://www.semwebtech.org/mondial/10/country/GCA/city/Cobán/	232703
http://www.semwebtech.org/mondial/10/country/SK/province/Trnavský/city/Trnava/	66358
http://www.semwebtech.org/mondial/10/country/RIM/province/DakhletNouadhibou/city/Nouadhibou/	118167
http://www.semwebtech.org/mondial/10/country/J/province/Chiba/city/Chiba/	937146
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Okara/	201815
http://www.semwebtech.org/mondial/10/country/YE/city/alHudaydah/	402560
http://www.semwebtech.org/mondial/10/country/GH/province/Ashanti/city/Obuasi/	143644
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jiaxing/	211526
http://www.semwebtech.org/mondial/10/country/PK/province/KhyberPakhtunkhwa/city/Mardan/	245926
http://www.semwebtech.org/mondial/10/country/USA/province/NewJersey/city/Paterson/	146199
http://www.semwebtech.org/mondial/10/country/E/province/IllesBalears/city/PalmadeMallorca/	402044
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/RibeirãodasNeves/	294153
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Lakewood/	142999
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liancheng/	156307
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Monza/	119856
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Jiutepec/	162427
http://www.semwebtech.org/mondial/10/country/GH/province/Northern/city/Tamale/	371351
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Tarragona/	133223
http://www.semwebtech.org/mondial/10/country/IND/province/MadhyaPradesh/city/Jabalpur/	1055525
http://www.semwebtech.org/mondial/10/country/WL/city/Castries/	3661
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/Dessie/	147592
http://www.semwebtech.org/mondial/10/country/PL/province/Kujawsko-Pomorskie/city/Włocławek/	115982
http://www.semwebtech.org/mondial/10/country/RP/province/Caraga/city/Butuan/	298378
http://www.semwebtech.org/mondial/10/country/RI/province/JawaBarat/city/Cirebon/	296389
http://www.semwebtech.org/mondial/10/country/R/province/Vologodskaya/city/Vologda/	306487
http://www.semwebtech.org/mondial/10/country/D/province/Baden-Württemberg/city/Heidelberg/	146751
http://www.semwebtech.org/mondial/10/country/YV/province/Anzoátegui/city/PuertoLaCruz/	205866
http://www.semwebtech.org/mondial/10/country/MEX/province/Tlaxcala/city/Tlaxcala/	14692
http://www.semwebtech.org/mondial/10/country/PNG/city/PortMoresby/	318128
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Saltillo/	709671
http://www.semwebtech.org/mondial/10/country/E/province/Valenciana/city/Valencia/	792054
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Danyang/	169603
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen-Anhalt/city/Halle/	229153
http://www.semwebtech.org/mondial/10/country/EAT/province/Kagera/city/Bukoba/	128796
http://www.semwebtech.org/mondial/10/country/USA/province/Arkansas/city/LittleRock/	193524
http://www.semwebtech.org/mondial/10/country/LS/city/Maseru/	227880
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Paranaguá/	135386
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Toluca/	489333
http://www.semwebtech.org/mondial/10/country/BR/province/Sergipe/city/Aracaju/	571149
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fontana/	196069
http://www.semwebtech.org/mondial/10/country/KN/city/Basseterre/	15500
http://www.semwebtech.org/mondial/10/country/CAM/province/Est/city/Bertoua/	88462
http://www.semwebtech.org/mondial/10/country/EAT/province/Tanga/city/Tanga/	273332
http://www.semwebtech.org/mondial/10/country/AL/city/Tirana/	418495
http://www.semwebtech.org/mondial/10/country/R/province/Kaliningradskaya/city/Kaliningrad/	441376
http://www.semwebtech.org/mondial/10/country/I/province/Trentino-AltoAdige/city/Bolzano/	102575
http://www.semwebtech.org/mondial/10/country/H/province/Komárom-Esztergom/city/Tatabánya/	67753
http://www.semwebtech.org/mondial/10/country/WAN/province/Enugu/city/Enugu/	407756
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Kustanay/	221970
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Girón/	175528
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Villeurbanne/	145034
http://www.semwebtech.org/mondial/10/country/IRQ/province/al-Qadisiya/city/Diwaniyah/	196519
http://www.semwebtech.org/mondial/10/country/GB/province/Wales/city/Cardiff/	335145
http://www.semwebtech.org/mondial/10/country/SUD/city/AlFashir/	141884
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Mudanjiang/	571705
http://www.semwebtech.org/mondial/10/country/BD/province/Rajshahi/city/Bogra/	350397
http://www.semwebtech.org/mondial/10/country/USA/province/Colorado/city/Aurora/	324601
http://www.semwebtech.org/mondial/10/country/TR/province/Kastamonu/city/Kastamonu/	96217
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Nojabr-sk/	110620
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Perm/	1013887
http://www.semwebtech.org/mondial/10/country/N/province/Oppland/city/Lillehammer/	22118
http://www.semwebtech.org/mondial/10/country/R/province/Kemerov/city/Prokopjevsk/	210130
http://www.semwebtech.org/mondial/10/country/HCA/province/Cortés/city/SanPedroSula/	515458
http://www.semwebtech.org/mondial/10/country/MEX/province/Chihuahua/city/Chihuahua/	809232
http://www.semwebtech.org/mondial/10/country/UZB/province/Qasqadaryo/city/Qarshi/	254600
http://www.semwebtech.org/mondial/10/country/RCH/province/Valparaíso/city/ViñadelMar/	286931
http://www.semwebtech.org/mondial/10/country/R/province/Adygeya/city/Majkop/	144249
http://www.semwebtech.org/mondial/10/country/ROK/city/Goyang/	897174
http://www.semwebtech.org/mondial/10/country/TR/province/Ankara/city/Ankara/	4630735
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/NaviMumbai/	1120547
http://www.semwebtech.org/mondial/10/country/EAT/province/Iringa/city/Iringa/	151345
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/LaPlata/	553002
http://www.semwebtech.org/mondial/10/country/KAZ/province/Mangistau/city/Aktau/	181526
http://www.semwebtech.org/mondial/10/country/USA/province/Connecticut/city/Stamford/	122643
http://www.semwebtech.org/mondial/10/country/RSM/city/SanMarino/	4227
http://www.semwebtech.org/mondial/10/country/N/province/MøreogRomsdal/city/Molde/	21448
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Manchester/	109571
http://www.semwebtech.org/mondial/10/country/RH/city/Pétion-Ville/	271175
http://www.semwebtech.org/mondial/10/country/RSA/province/EasternCape/city/BuffaloCity/	755200
http://www.semwebtech.org/mondial/10/country/KOS/city/Prishtine/	198214
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Philadelphia/	1553165
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Móstoles/	203493
http://www.semwebtech.org/mondial/10/country/I/province/Calabria/city/Cosenza/	69484
http://www.semwebtech.org/mondial/10/country/GB/province/WestMidlands/city/Wolverhampton/	210319
http://www.semwebtech.org/mondial/10/country/I/province/Sicilia/city/Palermo/	657561
http://www.semwebtech.org/mondial/10/country/IR/province/Qazvin/city/Qazvin/	381598
http://www.semwebtech.org/mondial/10/country/PL/province/Dolnośląskie/city/Legnica/	102708
http://www.semwebtech.org/mondial/10/country/SYR/province/Idlib/city/Ma-arratanNu-man/	150965
http://www.semwebtech.org/mondial/10/country/MEX/province/Morelos/city/Cuernavaca/	338650
http://www.semwebtech.org/mondial/10/country/DZ/city/Biskra/	204661
http://www.semwebtech.org/mondial/10/country/CN/province/Gansu/city/Yumen/	109234
http://www.semwebtech.org/mondial/10/country/S/province/VästraGötaland/city/Borås/	104867
http://www.semwebtech.org/mondial/10/country/CO/province/Bolívar/city/Cartagena/	990179
http://www.semwebtech.org/mondial/10/country/GR/province/Attikis/city/Peristeri/	139981
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Shijiazhuang/	2834942
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Hamm/	176037
http://www.semwebtech.org/mondial/10/country/REUN/city/Saint-Denis/	145347
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Bielsko-Biała/	174291
http://www.semwebtech.org/mondial/10/country/CAM/province/Adamaoua/city/Ngaoundéré/	152698
http://www.semwebtech.org/mondial/10/country/NIC/city/Estelí/	122924
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dalian/	4087733
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Huadian/	175873
http://www.semwebtech.org/mondial/10/country/RA/province/Neuquén/city/Neuquén/	201729
http://www.semwebtech.org/mondial/10/country/TR/province/Düzce/city/Duzce/	135557
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Fuzhou/	3572421
http://www.semwebtech.org/mondial/10/country/BOL/province/LaPaz/city/ElAlto/	848840
http://www.semwebtech.org/mondial/10/country/USA/province/NewHampshire/city/Concord/	42695
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Pittsburgh/	305702
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Reading/	218705
http://www.semwebtech.org/mondial/10/country/SY/city/Victoria/	24970
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Hengshui/	104269
http://www.semwebtech.org/mondial/10/country/CO/province/Boyacá/city/Tunja/	184864
http://www.semwebtech.org/mondial/10/country/IS/city/Akureyri/	17490
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Larissa/	162591
http://www.semwebtech.org/mondial/10/country/THA/city/Saraburi/	125300
http://www.semwebtech.org/mondial/10/country/TN/city/Sfax/	299235
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Chengdu/	7415590
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Huainan/	1200000
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/GrandRapids/	188051
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/VirginiaBeach/	437964
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/Pelotas/	306193
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Markham/	301709
http://www.semwebtech.org/mondial/10/country/VN/city/Hue/	302983
http://www.semwebtech.org/mondial/10/country/HR/city/Zagreb/	686568
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Kaiserslautern/	96340
http://www.semwebtech.org/mondial/10/country/MAL/province/Sarawak/city/KuchingUtara/	152310
http://www.semwebtech.org/mondial/10/country/B/province/Namur/city/Namur/	110500
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Rybnik/	140863
http://www.semwebtech.org/mondial/10/country/TO/city/Nukualofa/	23658
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Noril-sk/	175365
http://www.semwebtech.org/mondial/10/country/TR/province/Mardin/city/Mardin/	86948
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Orumiyeh/	667499
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Hildesheim/	99554
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Barretos/	108686
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Bottrop/	117311
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sacramento/	466488
http://www.semwebtech.org/mondial/10/country/RA/province/RíoNegro/city/Viedma/	52789
http://www.semwebtech.org/mondial/10/country/ET/city/AsSuways/	510935
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Longyan/	134481
http://www.semwebtech.org/mondial/10/country/RO/province/Constanţa/city/Constanţa/	283872
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Rizhao/	185048
http://www.semwebtech.org/mondial/10/country/H/province/Vas/city/Szombathely/	78884
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Žukovskij/	104736
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Vladivostok/	600378
http://www.semwebtech.org/mondial/10/country/UA/province/Zakarpats-ka/city/Uzhhorod/	116556
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/Eastbourne/	109185
http://www.semwebtech.org/mondial/10/country/USA/province/Ohio/city/Akron/	199092
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Emfuleni/	721662
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Catanduva/	111914
http://www.semwebtech.org/mondial/10/country/USA/province/Utah/city/SaltLakeCity/	186443
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Muntinlupa/	452943
http://www.semwebtech.org/mondial/10/country/TR/province/Uşak/city/Usak/	187886
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jixi/	683885
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Ghaziabad/	1648643
http://www.semwebtech.org/mondial/10/country/CN/province/Xizang/city/Lhasa/	106885
http://www.semwebtech.org/mondial/10/country/WAN/province/Imo/city/Owerri/	119711
http://www.semwebtech.org/mondial/10/country/UA/province/Donets-ka/city/Mariupol-/	464457
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Divinópolis/	207516
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kalemi/	101309
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Fullerton/	135258
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/SantaClarita/	176320
http://www.semwebtech.org/mondial/10/country/N/province/Nordland/city/Bodø/	34479
http://www.semwebtech.org/mondial/10/country/S/province/Gotland/city/Visby/	20000
http://www.semwebtech.org/mondial/10/country/ET/city/ShibinalKum/	177060
http://www.semwebtech.org/mondial/10/country/MEX/province/Sinaloa/city/Culiacán/	675773
http://www.semwebtech.org/mondial/10/country/RO/province/Mureş/city/TârguMureş/	134290
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/SergijevPosad/	111179
http://www.semwebtech.org/mondial/10/country/ETH/province/Tigray/city/Mekele/	273601
http://www.semwebtech.org/mondial/10/country/CAM/province/Nord/city/Garoua/	235996
http://www.semwebtech.org/mondial/10/country/CO/province/Caquetá/city/Florencia/	169336
http://www.semwebtech.org/mondial/10/country/CAM/province/Centre/city/Yaoundé/	1817524
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Veracruz/	428323
http://www.semwebtech.org/mondial/10/country/SN/province/Thiès/city/Thiès/	273218
http://www.semwebtech.org/mondial/10/country/WAN/province/Katsina/city/Katsina/	259315
http://www.semwebtech.org/mondial/10/country/TR/province/Kilis/city/Kilis/	85119
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Lyon/	491268
http://www.semwebtech.org/mondial/10/country/BR/province/EspíritoSanto/city/CachoeirodeItapemirim/	173589
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Rufisque/	169371
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Sanmenxia/	120523
http://www.semwebtech.org/mondial/10/country/BF/city/Ouagadougou/	1475223
http://www.semwebtech.org/mondial/10/country/I/province/Campania/city/Nápoli/	962003
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Osasco/	666740
http://www.semwebtech.org/mondial/10/country/V/city/VaticanCity/	842
http://www.semwebtech.org/mondial/10/country/TT/city/Port-of-Spain/	548299
http://www.semwebtech.org/mondial/10/country/UA/province/Khersons-ka/city/Kherson/	300666
http://www.semwebtech.org/mondial/10/country/SN/province/Kaolack/city/Kaolack/	190927
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/Mataró/	123367
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Lubumbashi/	851381
http://www.semwebtech.org/mondial/10/country/CZ/province/Karlovarský/city/KarlovyVary/	53310
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Mainz/	200344
http://www.semwebtech.org/mondial/10/country/NEP/city/Lalitpur/	226728
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Caruaru/	279589
http://www.semwebtech.org/mondial/10/country/PE/province/Tacna/city/Tacna/	242451
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/ElPaso/	674433
http://www.semwebtech.org/mondial/10/country/I/province/Toscana/city/Livorno/	157052
http://www.semwebtech.org/mondial/10/country/EAT/province/DaresSalaam/city/DaresSalaam/	4364541
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Jessentuki/	100996
http://www.semwebtech.org/mondial/10/country/ET/city/AzZaqaziq/	302611
http://www.semwebtech.org/mondial/10/country/RP/province/ZamboangaPeninsula/city/Pagadian/	161312
http://www.semwebtech.org/mondial/10/country/EAT/province/Mara/city/Musoma/	134327
http://www.semwebtech.org/mondial/10/country/IR/province/Ardebil/city/Ardebil/	482632
http://www.semwebtech.org/mondial/10/country/A/province/Salzburg/city/Salzburg/	146676
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Kasur/	245321
http://www.semwebtech.org/mondial/10/country/RA/province/EntreRíos/city/Paraná/	235931
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Kaduna/	993642
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/SapucaiadoSul/	130469
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/Monterrey/	1135512
http://www.semwebtech.org/mondial/10/country/CDN/province/Quebec/city/Longueuil/	231409
http://www.semwebtech.org/mondial/10/country/DZ/city/Tougourt/	143270
http://www.semwebtech.org/mondial/10/country/THA/city/ChiangMai/	160200
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Embu/	240230
http://www.semwebtech.org/mondial/10/country/USA/province/Indiana/city/Evansville/	120081
http://www.semwebtech.org/mondial/10/country/NOK/city/Hamhung-Hungnam/	768551
http://www.semwebtech.org/mondial/10/country/CN/province/NeiMongol/city/Hailar/	180650
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Xuancheng/	112673
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/Rondonópolis/	188028
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Ludwigshafen/	157584
http://www.semwebtech.org/mondial/10/country/TR/province/Kırklareli/city/Luleburgaz/	105279
http://www.semwebtech.org/mondial/10/country/UZB/province/Namangan/city/Namangan/	475700
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Oshawa/	149607
http://www.semwebtech.org/mondial/10/country/RSA/province/KwaZulu-Natal/city/Msunduzi/	618536
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Hialeah/	224667
http://www.semwebtech.org/mondial/10/country/R/province/Tatarstan/city/Nižnekamsk/	234044
http://www.semwebtech.org/mondial/10/country/ETH/province/Amhara/city/BahirDar/	191016
http://www.semwebtech.org/mondial/10/country/D/province/Mecklenburg-Vorpommern/city/Rostock/	200265
http://www.semwebtech.org/mondial/10/country/F/province/Bretagne/city/Rennes/	208033
http://www.semwebtech.org/mondial/10/country/N/province/Vestfold/city/Tonsberg/	8984
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Meerut/	1305429
http://www.semwebtech.org/mondial/10/country/I/province/Veneto/city/Venézia/	261362
http://www.semwebtech.org/mondial/10/country/SUD/city/Khartoum/	947483
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Cangzhou/	242708
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Lahore/	5143495
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Kolomna/	144589
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Reno/	225988
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Oceanside/	167086
http://www.semwebtech.org/mondial/10/country/A/province/Oberösterreich/city/Linz/	193511
http://www.semwebtech.org/mondial/10/country/RI/province/DIYogyakarta/city/Yogyakarta/	388627
http://www.semwebtech.org/mondial/10/country/MOC/province/Gaza/city/Xai-Xai/	115752
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Mobile/	195102
http://www.semwebtech.org/mondial/10/country/ES/city/Apopa/	143718
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Pikine/	915300
http://www.semwebtech.org/mondial/10/country/RI/province/Maluku/city/Ambon/	331254
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Ulhasnagar/	369077
http://www.semwebtech.org/mondial/10/country/TAD/province/Khatlon/city/Kulyab/	96800
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Salavat/	156095
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Tacoma/	198397
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Araçatuba/	178077
http://www.semwebtech.org/mondial/10/country/WAN/province/Bauchi/city/Bauchi/	206537
http://www.semwebtech.org/mondial/10/country/PE/province/Puno/city/Juliaca/	216716
http://www.semwebtech.org/mondial/10/country/R/province/Ryazanskaya/city/Ryazan/	527905
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoBernardodoCampo/	752658
http://www.semwebtech.org/mondial/10/country/MOC/province/Tete/city/Tete/	155870
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/CamposdosGoytacazes/	418725
http://www.semwebtech.org/mondial/10/country/I/province/Emilia-Romagna/city/Ravenna/	153740
http://www.semwebtech.org/mondial/10/country/ZRE/province/Sud-Kivu/city/Bukavu/	201569
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Vancouver/	161849
http://www.semwebtech.org/mondial/10/country/CR/province/Heredia/city/Heredia/	119670
http://www.semwebtech.org/mondial/10/country/USA/province/Maryland/city/Annapolis/	38274
http://www.semwebtech.org/mondial/10/country/RWA/city/Kigali/	603049
http://www.semwebtech.org/mondial/10/country/S/province/Halland/city/Halmstad/	93231
http://www.semwebtech.org/mondial/10/country/MA/province/GharbChrardaBeniHssen/city/Kénitra/	359142
http://www.semwebtech.org/mondial/10/country/GH/province/UpperEast/city/Bolgatanga/	65549
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tampa/	335715
http://www.semwebtech.org/mondial/10/country/WAN/province/Abia/city/Umuahia/	147167
http://www.semwebtech.org/mondial/10/country/JA/city/Kingston/	662426
http://www.semwebtech.org/mondial/10/country/TR/province/İzmir/city/Izmir/	3401994
http://www.semwebtech.org/mondial/10/country/C/province/VillaClara/city/SantaClara/	220210
http://www.semwebtech.org/mondial/10/country/IND/province/Karnataka/city/Hubli/	648298
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cali/	2344734
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/LubukLinggau/	201308
http://www.semwebtech.org/mondial/10/country/IRQ/province/Erbil/city/Erbil/	850000
http://www.semwebtech.org/mondial/10/country/F/province/Haute-Normandie/city/Rouen/	111553
http://www.semwebtech.org/mondial/10/country/TR/province/Amasya/city/Amasya/	91874
http://www.semwebtech.org/mondial/10/country/SRB/city/Beograd/	1639121
http://www.semwebtech.org/mondial/10/country/TR/province/Gaziantep/city/Gaziantep/	1438373
http://www.semwebtech.org/mondial/10/country/D/province/Rheinland-Pfalz/city/Koblenz/	107825
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Lages/	153937
http://www.semwebtech.org/mondial/10/country/IR/province/Tehran/city/Tehran/	8154051
http://www.semwebtech.org/mondial/10/country/TR/province/Osmaniye/city/Osmaniye/	209255
http://www.semwebtech.org/mondial/10/country/R/province/Sakha/city/Yakutsk/	286456
http://www.semwebtech.org/mondial/10/country/D/province/Niedersachsen/city/Osnabrück/	153699
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/WahCantonment/	198891
http://www.semwebtech.org/mondial/10/country/PE/province/Huánuco/city/Huánuco/	149210
http://www.semwebtech.org/mondial/10/country/R/province/Magadan/city/Magadan/	95982
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Fürth/	115613
http://www.semwebtech.org/mondial/10/country/AND/city/AndorralaVella/	22256
http://www.semwebtech.org/mondial/10/country/R/province/Karachayevo-Cherkesskaya/city/Čerkessk/	129069
http://www.semwebtech.org/mondial/10/country/BR/province/Paraná/city/Maringá/	350653
http://www.semwebtech.org/mondial/10/country/MA/province/TangerTetouan/city/Tanger/	669685
http://www.semwebtech.org/mondial/10/country/EAT/province/Dodoma/city/Dodoma/	410956
http://www.semwebtech.org/mondial/10/country/CH/province/Basel-Stadt/city/Basel/	167386
http://www.semwebtech.org/mondial/10/country/WAN/province/Ekiti/city/Ado-Ekiti/	156122
http://www.semwebtech.org/mondial/10/country/J/province/Osaka/city/Osaka/	2543137
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/Quilmes/	518723
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Toronto/	2615060
http://www.semwebtech.org/mondial/10/country/IS/city/Keflavik/	13862
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/OverlandPark/	173334
http://www.semwebtech.org/mondial/10/country/SYR/province/RifDimashq/city/Duma/	181934
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Macaé/	202859
http://www.semwebtech.org/mondial/10/country/USA/province/NorthCarolina/city/Charlotte/	792862
http://www.semwebtech.org/mondial/10/country/MEX/province/SanLuisPotosí/city/SoledadDíezGutiérrez/	255015
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Leganés/	185758
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/BokaroSteelCity/	333683
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Xintai/	281248
http://www.semwebtech.org/mondial/10/country/A/province/Niederösterreich/city/St.Pölten/	52100
http://www.semwebtech.org/mondial/10/country/TR/province/Rize/city/Rize/	104508
http://www.semwebtech.org/mondial/10/country/CDN/province/PrinceEdwardIsland/city/Charlottetown/	34562
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Zhucheng/	102134
http://www.semwebtech.org/mondial/10/country/RCH/province/Atacama/city/Copiapó/	125983
http://www.semwebtech.org/mondial/10/country/DZ/city/Batna/	289504
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Boston/	645966
http://www.semwebtech.org/mondial/10/country/KIR/city/Tarawa/	50182
http://www.semwebtech.org/mondial/10/country/P/province/Aveiro/city/Aveiro/	53496
http://www.semwebtech.org/mondial/10/country/TR/province/Balıkesir/city/Balikesir/	267903
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Kaifeng/	507763
http://www.semwebtech.org/mondial/10/country/RO/province/Sibiu/city/Sibiu/	147245
http://www.semwebtech.org/mondial/10/country/RMM/province/Sikasso/city/Sikasso/	225753
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Tegal/	239599
http://www.semwebtech.org/mondial/10/country/S/province/Östergötland/city/Norrköping/	132124
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Ciénaga/	104060
http://www.semwebtech.org/mondial/10/country/MEX/province/Veracruz/city/Xalapa-Enríquez/	424755
http://www.semwebtech.org/mondial/10/country/BR/province/Acre/city/RioBranco/	308545
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Gelsenkirchen/	258766
http://www.semwebtech.org/mondial/10/country/RA/province/Mendoza/city/Mendoza/	110716
http://www.semwebtech.org/mondial/10/country/USA/province/Alabama/city/Huntsville/	180241
http://www.semwebtech.org/mondial/10/country/H/province/Bács-Kiskun/city/Kecskemét/	111411
http://www.semwebtech.org/mondial/10/country/CI/province/ValléeduBandama/city/Bouaké/	542082
http://www.semwebtech.org/mondial/10/country/RO/province/Cluj/city/Cluj-Napoca/	324576
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Jhang/	293366
http://www.semwebtech.org/mondial/10/country/R/province/Ul-yanovsk/city/Dimitrovgrad/	122580
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Shangqiu/	164880
http://www.semwebtech.org/mondial/10/country/AFG/city/Kandahar/	311800
http://www.semwebtech.org/mondial/10/country/USA/province/NewMexico/city/Albuquerque/	556495
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Renqiu/	114256
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Bolton/	194189
http://www.semwebtech.org/mondial/10/country/R/province/Sverdlov/city/Pervoural-sk/	124528
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Nürnberg/	486314
http://www.semwebtech.org/mondial/10/country/BG/city/Plovdiv/	331796
http://www.semwebtech.org/mondial/10/country/EAT/province/Tabora/city/Tabora/	226999
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Paderborn/	142365
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Haining/	100478
http://www.semwebtech.org/mondial/10/country/CN/province/Hainan/city/Haikou/	280153
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jiaozhou/	153364
http://www.semwebtech.org/mondial/10/country/ZRE/province/Nord-Kivu/city/Butembo/	109406
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrossodoSul/city/CampoGrande/	776242
http://www.semwebtech.org/mondial/10/country/SA/province/AshSharqiyah/city/Dammam/	744321
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Barbacena/	115568
http://www.semwebtech.org/mondial/10/country/GB/province/SouthEast/city/BrightonandHove/	229700
http://www.semwebtech.org/mondial/10/country/USA/province/SouthCarolina/city/Columbia/	130038
http://www.semwebtech.org/mondial/10/country/Z/province/Copperbelt/city/Kitwe/	467084
http://www.semwebtech.org/mondial/10/country/CH/province/Bern/city/Bern/	128848
http://www.semwebtech.org/mondial/10/country/NOK/city/Sunchon/	297317
http://www.semwebtech.org/mondial/10/country/CL/city/Colombo/	647100
http://www.semwebtech.org/mondial/10/country/WAN/province/Kaduna/city/Zaria/	612257
http://www.semwebtech.org/mondial/10/country/C/province/Matanzas/city/Matanzas/	143774
http://www.semwebtech.org/mondial/10/country/SYR/province/Tartus/city/Tartus/	160862
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Kobe/	1512109
http://www.semwebtech.org/mondial/10/country/IR/province/Khuzestan/city/Abadan/	212744
http://www.semwebtech.org/mondial/10/country/R/province/Samara/city/Syzran-/	178750
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Chesapeake/	222209
http://www.semwebtech.org/mondial/10/country/GH/province/GreaterAccra/city/Ashiaman/	190972
http://www.semwebtech.org/mondial/10/country/USA/province/Pennsylvania/city/Allentown/	118032
http://www.semwebtech.org/mondial/10/country/RSA/province/Limpopo/city/Polokwane/	628999
http://www.semwebtech.org/mondial/10/country/YV/province/Miranda/city/LosTeques/	183142
http://www.semwebtech.org/mondial/10/country/DK/province/Syddanmark/city/Vejle/	51804
http://www.semwebtech.org/mondial/10/country/HCA/province/Atlántida/city/Tela/	77031
http://www.semwebtech.org/mondial/10/country/IR/province/EastAzarbayejan/city/Tabriz/	1494998
http://www.semwebtech.org/mondial/10/country/PAL/city/Melekeok/	391
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Tonghua/	324600
http://www.semwebtech.org/mondial/10/country/RC/city/Jhongli/	376217
http://www.semwebtech.org/mondial/10/country/ANG/province/Luanda/city/Luanda/	5000000
http://www.semwebtech.org/mondial/10/country/CZ/province/Pardubický/city/Pardubice/	90844
http://www.semwebtech.org/mondial/10/country/USA/province/Massachusetts/city/Worcester/	181041
http://www.semwebtech.org/mondial/10/country/AG/city/SaintJohns/	22219
http://www.semwebtech.org/mondial/10/country/GB/province/Scotland/city/Glasgow/	590507
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Shiyan/	273786
http://www.semwebtech.org/mondial/10/country/BR/province/Maranhão/city/Codo/	118072
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Mashhad/	2749374
http://www.semwebtech.org/mondial/10/country/RC/city/Kaohsiung/	2778659
http://www.semwebtech.org/mondial/10/country/E/province/Cataluña/city/HospitaletdeLlobregat/	256509
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Huzhou/	218071
http://www.semwebtech.org/mondial/10/country/R/province/Primorskiy/city/Ussurijsk/	158004
http://www.semwebtech.org/mondial/10/country/IND/province/Gujarat/city/Bhavnagar/	402338
http://www.semwebtech.org/mondial/10/country/CN/province/Shaanxi/city/Weinan/	140169
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/SãoCarlos/	213061
http://www.semwebtech.org/mondial/10/country/MAL/province/Sabah/city/Sandakan/	276791
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Wafangdian/	251733
http://www.semwebtech.org/mondial/10/country/NL/province/Zuid-Holland/city/Rotterdam/	619180
http://www.semwebtech.org/mondial/10/country/RMM/province/Bamako/city/Bamako/	1809106
http://www.semwebtech.org/mondial/10/country/RM/city/Toliara/	80826
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/München/	1348335
http://www.semwebtech.org/mondial/10/country/RI/province/Jambi/city/Jambi/	531857
http://www.semwebtech.org/mondial/10/country/R/province/Kamchatka/city/Petropavlovsk-Kamčatskij/	179780
http://www.semwebtech.org/mondial/10/country/RMM/province/Ségou/city/Ségou/	130690
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Yichun/	795789
http://www.semwebtech.org/mondial/10/country/BI/city/Bujumbura/	497166
http://www.semwebtech.org/mondial/10/country/CO/province/Córdoba/city/Montería/	434950
http://www.semwebtech.org/mondial/10/country/MNTS/city/Plymouth/	0
http://www.semwebtech.org/mondial/10/country/HCA/province/Yoro/city/Yoro/	64425
http://www.semwebtech.org/mondial/10/country/BR/province/RiodeJaneiro/city/Nilópolis/	157425
http://www.semwebtech.org/mondial/10/country/GB/province/EastMidlands/city/Leicester/	443760
http://www.semwebtech.org/mondial/10/country/RO/province/Timiş/city/Timişoara/	319279
http://www.semwebtech.org/mondial/10/country/R/province/Moscow/city/Moskva/	11979529
http://www.semwebtech.org/mondial/10/country/PL/province/Śląskie/city/Częstochowa/	235156
http://www.semwebtech.org/mondial/10/country/NL/province/Limburg/city/Maastricht/	122243
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Nanping/	195064
http://www.semwebtech.org/mondial/10/country/E/province/Andalucía/city/Córdoba/	328326
http://www.semwebtech.org/mondial/10/country/VN/city/NhaTrang/	292693
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Quanzhou/	185154
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Chuxian/	125341
http://www.semwebtech.org/mondial/10/country/C/province/Cienfuegos/city/Cienfuegos/	162178
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Ogbomosho/	433030
http://www.semwebtech.org/mondial/10/country/HR/city/Osijek/	83496
http://www.semwebtech.org/mondial/10/country/KAZ/province/Kostanai/city/Rudniy/	114170
http://www.semwebtech.org/mondial/10/country/CI/province/Lagunes/city/Abidjan/	4395243
http://www.semwebtech.org/mondial/10/country/R/province/Saratov/city/Balakovo/	199690
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Varanasi/	1198491
http://www.semwebtech.org/mondial/10/country/TR/province/İstanbul/city/Istanbul/	13710512
http://www.semwebtech.org/mondial/10/country/R/province/Vladimirskaya/city/Murom/	116075
http://www.semwebtech.org/mondial/10/country/F/province/Rhône-Alpes/city/Grenoble/	157424
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Johannesburg/	4434827
http://www.semwebtech.org/mondial/10/country/IL/province/HaMerkaz/city/PetahTiqwa/	209600
http://www.semwebtech.org/mondial/10/country/USA/province/SouthDakota/city/SiouxFalls/	153897
http://www.semwebtech.org/mondial/10/country/CAM/province/Sud-Ouest/city/Buea/	90088
http://www.semwebtech.org/mondial/10/country/PL/province/Zachodniopomorskie/city/Koszalin/	109183
http://www.semwebtech.org/mondial/10/country/RA/province/Córdoba/city/Córdoba/	1267774
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Novočeboksarsk/	124097
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/BahíaBlanca/	272176
http://www.semwebtech.org/mondial/10/country/I/province/Umbria/city/Terni/	109193
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Taian/	350696
http://www.semwebtech.org/mondial/10/country/E/province/Galicia/city/ACoruña/	245053
http://www.semwebtech.org/mondial/10/country/EAT/province/Mtwara/city/Mtwara/	108299
http://www.semwebtech.org/mondial/10/country/SLO/city/Ljubljana/	282994
http://www.semwebtech.org/mondial/10/country/NEP/city/Pokhara/	264991
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Jiamusi/	493409
http://www.semwebtech.org/mondial/10/country/J/province/Saitama/city/Kawaguchi/	557710
http://www.semwebtech.org/mondial/10/country/UA/province/Kyïv/city/BilaTserkva/	210551
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Remscheid/	110708
http://www.semwebtech.org/mondial/10/country/R/province/Belgorodskaya/city/StaryjOskol/	221085
http://www.semwebtech.org/mondial/10/country/F/province/Provence-Alpes-Côted-Azur/city/Nice/	344064
http://www.semwebtech.org/mondial/10/country/IR/province/Ilam/city/Ilam/	172213
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangxi/city/Jingdezhen/	281183
http://www.semwebtech.org/mondial/10/country/KAZ/province/Astana/city/Astana/	814401
http://www.semwebtech.org/mondial/10/country/SMAR/city/Marigot/	5700
http://www.semwebtech.org/mondial/10/country/USA/province/Mississippi/city/Jackson/	173513
http://www.semwebtech.org/mondial/10/country/IND/province/Jharkhand/city/Ranchi/	1073427
http://www.semwebtech.org/mondial/10/country/IR/province/WestAzarbayejan/city/Maragheh/	162275
http://www.semwebtech.org/mondial/10/country/RO/province/Arad/city/Arad/	159074
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoNorte/city/Mossoró/	237241
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/SunriseManor/	189372
http://www.semwebtech.org/mondial/10/country/LT/city/Klaipeda/	158891
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Yuanjiang/	107004
http://www.semwebtech.org/mondial/10/country/B/province/Vlaams-Brabant/city/Leuven/	97692
http://www.semwebtech.org/mondial/10/country/UA/province/Sums-ka/city/Sumy/	269663
http://www.semwebtech.org/mondial/10/country/CN/province/Henan/city/Xuchang/	208815
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Anshun/	174142
http://www.semwebtech.org/mondial/10/country/CH/province/Luzern/city/Luzern/	80501
http://www.semwebtech.org/mondial/10/country/R/province/Tambovskaya/city/Tambov/	281834
http://www.semwebtech.org/mondial/10/country/J/province/Kanagawa/city/Sagamihara/	700923
http://www.semwebtech.org/mondial/10/country/RO/province/Suceava/city/Suceava/	92121
http://www.semwebtech.org/mondial/10/country/VU/city/PortVila/	44040
http://www.semwebtech.org/mondial/10/country/SYR/province/Dar-a/city/Dar-a/	146481
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Shenyang/	6255921
http://www.semwebtech.org/mondial/10/country/WAN/province/Oyo/city/Oyo/	369894
http://www.semwebtech.org/mondial/10/country/WAN/province/Ogun/city/Ijebu-Ode/	124313
http://www.semwebtech.org/mondial/10/country/R/province/Chuvash/city/Cheboksary/	464940
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanBarat/city/Pontianak/	554764
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Betim/	375331
http://www.semwebtech.org/mondial/10/country/CN/province/Hebei/city/Tangshan/	3372102
http://www.semwebtech.org/mondial/10/country/BD/province/Dhaka/city/Mymensingh/	258040
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Sabzevar/	231557
http://www.semwebtech.org/mondial/10/country/IRL/city/Cork/	118912
http://www.semwebtech.org/mondial/10/country/UAE/city/AbuDhabi/	552000
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Agra/	1585704
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Fuxin/	635473
http://www.semwebtech.org/mondial/10/country/USA/province/Kansas/city/KansasCity/	145786
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Lianyungang/	354139
http://www.semwebtech.org/mondial/10/country/MEX/province/Michoacán/city/ZamoradeHidalgo/	141627
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bas-Congo/city/Matadi/	172730
http://www.semwebtech.org/mondial/10/country/CZ/province/Praha/city/Praha/	1289556
http://www.semwebtech.org/mondial/10/country/WAN/province/Abuja/city/Abuja/	776298
http://www.semwebtech.org/mondial/10/country/D/province/Brandenburg/city/Cottbus/	99984
http://www.semwebtech.org/mondial/10/country/WAN/province/Lagos/city/Lagos/	5195247
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Jodhpur/	1033756
http://www.semwebtech.org/mondial/10/country/RI/province/KalimantanSelatan/city/Bandjarmasin/	625481
http://www.semwebtech.org/mondial/10/country/CR/province/Guanacaste/city/Liberia/	36400
http://www.semwebtech.org/mondial/10/country/MAL/province/Kedah/city/AlorSetar/	114949
http://www.semwebtech.org/mondial/10/country/J/province/Hiroshima/city/Fukuyama/	465645
http://www.semwebtech.org/mondial/10/country/CZ/province/Moravskoslezský/city/Ostrava/	311508
http://www.semwebtech.org/mondial/10/country/NAM/city/Windhoek/	322500
http://www.semwebtech.org/mondial/10/country/RO/province/Iaşi/city/Iaşi/	290422
http://www.semwebtech.org/mondial/10/country/CH/province/SanktGallen/city/SanktGallen/	74581
http://www.semwebtech.org/mondial/10/country/RC/city/NewTaipei/	3939305
http://www.semwebtech.org/mondial/10/country/CO/province/LaGuajira/city/Riohacha/	250236
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Sunnyvale/	140058
http://www.semwebtech.org/mondial/10/country/NOK/city/Tanchon/	345875
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Neftekamsk/	121733
http://www.semwebtech.org/mondial/10/country/DZ/city/ElDjelfa/	265833
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Wuppertal/	342661
http://www.semwebtech.org/mondial/10/country/SA/province/Al-MadinahAl-Monawarah/city/AlMadinah/	918889
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Cheltenham/	116447
http://www.semwebtech.org/mondial/10/country/BD/province/Barisal/city/Barisal/	328278
http://www.semwebtech.org/mondial/10/country/CO/province/ValledeCauca/city/Cartago/	131545
http://www.semwebtech.org/mondial/10/country/IRQ/province/Diala/city/Ba-qubah/	114516
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/Tallahassee/	181383
http://www.semwebtech.org/mondial/10/country/BOL/province/Beni/city/Trinidad/	106422
http://www.semwebtech.org/mondial/10/country/MEX/province/Puebla/city/Puebla/	1434062
http://www.semwebtech.org/mondial/10/country/J/province/Aichi/city/Toyota/	409157
http://www.semwebtech.org/mondial/10/country/ZRE/province/Bandundu/city/Kikwit/	182142
http://www.semwebtech.org/mondial/10/country/RI/province/DKIJakarta/city/Jakarta/	9607787
http://www.semwebtech.org/mondial/10/country/BZ/city/Belmopan/	13654
http://www.semwebtech.org/mondial/10/country/R/province/Buryat/city/Ulan-Ude/	416079
http://www.semwebtech.org/mondial/10/country/D/province/Bayern/city/Erlangen/	103719
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Datong/	1110000
http://www.semwebtech.org/mondial/10/country/EAT/province/Katavi/city/Mpanda/	102900
http://www.semwebtech.org/mondial/10/country/P/province/Lisboa/city/Amadora/	175136
http://www.semwebtech.org/mondial/10/country/FSM/city/Kolonia/	5681
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Joinville/	497850
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Jining/	265248
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Nikopol-/	120000
http://www.semwebtech.org/mondial/10/country/GH/province/UpperWest/city/Wa/	71051
http://www.semwebtech.org/mondial/10/country/IND/province/UttarPradesh/city/Lucknow/	2817105
http://www.semwebtech.org/mondial/10/country/NZ/city/Auckland/	419418
http://www.semwebtech.org/mondial/10/country/R/province/Krasnoyarsk/city/Krasnoyarsk/	1016385
http://www.semwebtech.org/mondial/10/country/UAE/city/Dubai/	1171000
http://www.semwebtech.org/mondial/10/country/S/province/Norrbotten/city/Lulea/	66526
http://www.semwebtech.org/mondial/10/country/R/province/Tverskaya/city/Tver/	408877
http://www.semwebtech.org/mondial/10/country/IRL/city/Dublin/	525383
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/Witten/	96382
http://www.semwebtech.org/mondial/10/country/RO/province/Satu-Mare/city/SatuMare/	102411
http://www.semwebtech.org/mondial/10/country/USA/province/Wisconsin/city/Milwaukee/	599164
http://www.semwebtech.org/mondial/10/country/CN/province/Sichuan/city/Zigong/	393184
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Holland/city/Zaanstad/	151058
http://www.semwebtech.org/mondial/10/country/CN/province/Guizhou/city/Liupanshui/	363954
http://www.semwebtech.org/mondial/10/country/GR/province/DytikisElladas/city/Patra/	213984
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraSelatan/city/Palembang/	1455284
http://www.semwebtech.org/mondial/10/country/RCH/province/Santiago/city/PuenteAlto/	491222
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/CiudadSantaCatarina/	268347
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Linfen/	187309
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Kassel/	190765
http://www.semwebtech.org/mondial/10/country/F/province/Lorraine/city/Nancy/	105382
http://www.semwebtech.org/mondial/10/country/BR/province/Goiás/city/Goiânia/	1297076
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Jundiaí/	354204
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSawan/	142500
http://www.semwebtech.org/mondial/10/country/IR/province/Kerman/city/Kerman/	534441
http://www.semwebtech.org/mondial/10/country/BR/province/Pernambuco/city/Jaboatão/	630595
http://www.semwebtech.org/mondial/10/country/USA/province/Nevada/city/Henderson/	257437
http://www.semwebtech.org/mondial/10/country/TR/province/Bursa/city/İnegöl/	177617
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sargodha/	458440
http://www.semwebtech.org/mondial/10/country/R/province/Pskovskaya/city/Pskov/	203279
http://www.semwebtech.org/mondial/10/country/IR/province/KohgiluyehandBoyerahmad/city/Yasuj/	108505
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Savannah/	136341
http://www.semwebtech.org/mondial/10/country/OM/city/AsSeeb/	302992
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/KryvyiRih/	660203
http://www.semwebtech.org/mondial/10/country/MEX/province/Guerrero/city/Acapulco/	673479
http://www.semwebtech.org/mondial/10/country/RG/city/Conakry/	1667864
http://www.semwebtech.org/mondial/10/country/ET/city/Damanhur/	241895
http://www.semwebtech.org/mondial/10/country/DZ/city/Sétif/	252127
http://www.semwebtech.org/mondial/10/country/USA/province/Washington/city/Seattle/	652405
http://www.semwebtech.org/mondial/10/country/USA/province/Georgia/city/Columbus/	189885
http://www.semwebtech.org/mondial/10/country/A/province/Kärnten/city/Klagenfurt/	96531
http://www.semwebtech.org/mondial/10/country/USA/province/DistrictofColumbia/city/Washington/	646449
http://www.semwebtech.org/mondial/10/country/R/province/Perm/city/Berezniki/	156466
http://www.semwebtech.org/mondial/10/country/KAZ/province/South-Kazakhstan/city/Shymkent/	683273
http://www.semwebtech.org/mondial/10/country/E/province/Asturias/city/Oviedo/	225005
http://www.semwebtech.org/mondial/10/country/CN/province/Hubei/city/Xiaogan/	166280
http://www.semwebtech.org/mondial/10/country/THA/city/NakhonSiThammarat/	167400
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Pingdu/	150123
http://www.semwebtech.org/mondial/10/country/PK/province/Punjab/city/Sialkot/	421502
http://www.semwebtech.org/mondial/10/country/TR/province/Isparta/city/Isparta/	198385
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/MogiGuaçu/	130295
http://www.semwebtech.org/mondial/10/country/USA/province/Nebraska/city/Lincoln/	258468
http://www.semwebtech.org/mondial/10/country/UA/province/Ternopil-s-ka/city/Ternopil-/	217300
http://www.semwebtech.org/mondial/10/country/D/province/Nordrhein-Westfalen/city/BergischGladbach/	108878
http://www.semwebtech.org/mondial/10/country/MEX/province/Guanajuato/city/Irapuato/	380941
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Bérgamo/	115349
http://www.semwebtech.org/mondial/10/country/GB/province/EastofEngland/city/Luton/	211228
http://www.semwebtech.org/mondial/10/country/NL/province/Noord-Brabant/city/Tilburg/	210283
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/ElMonte/	113475
http://www.semwebtech.org/mondial/10/country/USA/province/Louisiana/city/NewOrleans/	343829
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Ipatinga/	236968
http://www.semwebtech.org/mondial/10/country/TR/province/Zonguldak/city/Zonguldak/	109080
http://www.semwebtech.org/mondial/10/country/CN/province/Anhui/city/Bengbu/	449245
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/JoãoPessoa/	720785
http://www.semwebtech.org/mondial/10/country/TR/province/Konya/city/Konya/	1107886
http://www.semwebtech.org/mondial/10/country/R/province/Omsk/city/Omsk/	1160670
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Taizhou/	152442
http://www.semwebtech.org/mondial/10/country/JOR/city/Irbid/	250645
http://www.semwebtech.org/mondial/10/country/GH/province/BrongAhafo/city/Sunyani/	74240
http://www.semwebtech.org/mondial/10/country/MEX/province/México,Estadode/city/Ecatepec/	1655015
http://www.semwebtech.org/mondial/10/country/MEX/province/NuevoLéon/city/SanNicolásdelosGarzas/	443273
http://www.semwebtech.org/mondial/10/country/E/province/Madrid/city/Alcobendas/	110351
http://www.semwebtech.org/mondial/10/country/CN/province/Jiangsu/city/Xuzhou/	3053778
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Naperville/	142089
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Nishinomiya/	472650
http://www.semwebtech.org/mondial/10/country/D/province/Sachsen/city/Chemnitz/	240253
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Angers/	148803
http://www.semwebtech.org/mondial/10/country/IND/province/Punjab/city/Amritsar/	1132383
http://www.semwebtech.org/mondial/10/country/GB/province/SouthWest/city/Plymouth/	234982
http://www.semwebtech.org/mondial/10/country/MEX/province/Nayarit/city/Tepic/	332863
http://www.semwebtech.org/mondial/10/country/SN/province/Dakar/city/Dakar/	1121935
http://www.semwebtech.org/mondial/10/country/F/province/PoitouCharentes/city/Poitiers/	87646
http://www.semwebtech.org/mondial/10/country/VN/city/BienHoa/	652646
http://www.semwebtech.org/mondial/10/country/SK/province/Bratislavský/city/Bratislava/	411228
http://www.semwebtech.org/mondial/10/country/ZRE/province/Katanga/city/Kolwezi/	417810
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Loudi/	128418
http://www.semwebtech.org/mondial/10/country/R/province/Khakasiya/city/Abakan/	165214
http://www.semwebtech.org/mondial/10/country/USA/province/Texas/city/Pasadena/	149300
http://www.semwebtech.org/mondial/10/country/SF/province/Suomi/city/Jyväskylä/	134862
http://www.semwebtech.org/mondial/10/country/WAN/province/Niger/city/Bida/	111245
http://www.semwebtech.org/mondial/10/country/I/province/Lombardia/city/Milano/	1242123
http://www.semwebtech.org/mondial/10/country/PY/city/CiudaddelEste/	222274
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Jinhua/	144280
http://www.semwebtech.org/mondial/10/country/UZB/province/ToshkentCity/city/Toshkent/	2352900
http://www.semwebtech.org/mondial/10/country/CN/province/Shandong/city/Liaocheng/	207844
http://www.semwebtech.org/mondial/10/country/PE/province/LimaCity/city/Lima/	7605742
http://www.semwebtech.org/mondial/10/country/UA/province/Dnipropetrovs-ka/city/Dnipropetrovs-k/	999577
http://www.semwebtech.org/mondial/10/country/WAN/province/Kwara/city/Ilorin/	532089
http://www.semwebtech.org/mondial/10/country/PA/province/Chiriquí/city/David/	144858
http://www.semwebtech.org/mondial/10/country/ZRE/province/Orientale/city/Kisangani/	417517
http://www.semwebtech.org/mondial/10/country/ET/city/Aswan/	265004
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Yingkou/	421589
http://www.semwebtech.org/mondial/10/country/VN/city/DaNang/	770911
http://www.semwebtech.org/mondial/10/country/CN/province/Zhejiang/city/Shaoxing/	179818
http://www.semwebtech.org/mondial/10/country/RC/city/Keelung/	377153
http://www.semwebtech.org/mondial/10/country/RSA/province/FreeState/city/Mangaung/	747431
http://www.semwebtech.org/mondial/10/country/MEX/province/Aguascalientes/city/Aguascalientes/	722250
http://www.semwebtech.org/mondial/10/country/RCH/province/Bío-Bío/city/Talcahuano/	161692
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Sholapur/	604215
http://www.semwebtech.org/mondial/10/country/R/province/Moskovskaya/city/Balašicha/	215494
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/AnnArbor/	113946
http://www.semwebtech.org/mondial/10/country/R/province/Kabardino-Balkarskaya/city/Nal-čik/	240203
http://www.semwebtech.org/mondial/10/country/CZ/province/Jihomoravský/city/Brno/	404820
http://www.semwebtech.org/mondial/10/country/USA/province/Illinois/city/Springfield/	116315
http://www.semwebtech.org/mondial/10/country/BR/province/MatoGrosso/city/VárzeaGrande/	248704
http://www.semwebtech.org/mondial/10/country/BR/province/Bahia/city/FeiradeSantana/	510635
http://www.semwebtech.org/mondial/10/country/RO/province/Dolj/city/Craiova/	269506
http://www.semwebtech.org/mondial/10/country/R/province/Kirov/city/Kirov/	483176
http://www.semwebtech.org/mondial/10/country/RA/province/Jujuy/city/SanSalvadordeJujuy/	230999
http://www.semwebtech.org/mondial/10/country/S/province/Jönköping/city/Jönköping/	129478
http://www.semwebtech.org/mondial/10/country/RI/province/JawaTengah/city/Surakarta/	499337
http://www.semwebtech.org/mondial/10/country/ET/city/BaniSuwayf/	193535
http://www.semwebtech.org/mondial/10/country/I/province/Puglia/city/Bari/	315933
http://www.semwebtech.org/mondial/10/country/FARX/city/Tórshavn/	12245
http://www.semwebtech.org/mondial/10/country/H/province/Budapest/city/Budapest/	1729040
http://www.semwebtech.org/mondial/10/country/AUS/province/NewSouthWales/city/Wollongong/	288101
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/JuizdeFora/	510378
http://www.semwebtech.org/mondial/10/country/CN/province/Xinjiang/city/Aksu/	164092
http://www.semwebtech.org/mondial/10/country/UZB/province/Buxoro/city/Buxoro/	272500
http://www.semwebtech.org/mondial/10/country/TR/province/Elazığ/city/Elazig/	347857
http://www.semwebtech.org/mondial/10/country/BG/city/Ruse/	146609
http://www.semwebtech.org/mondial/10/country/IR/province/ChaharmahalandBakhtiyari/city/Shahr-e-Kord/	159775
http://www.semwebtech.org/mondial/10/country/RH/city/Port-au-Prince/	875978
http://www.semwebtech.org/mondial/10/country/GB/province/NorthWest/city/Stockport/	105878
http://www.semwebtech.org/mondial/10/country/F/province/PaysdelaLoire/city/Nantes/	287845
http://www.semwebtech.org/mondial/10/country/MC/city/Monaco/	975
http://www.semwebtech.org/mondial/10/country/USA/province/Virginia/city/Alexandria/	139966
http://www.semwebtech.org/mondial/10/country/UA/province/Kharkivs-ka/city/Kharkiv/	1441362
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/PetalingJaya/	438084
http://www.semwebtech.org/mondial/10/country/IND/province/Rajasthan/city/Kota/	1001694
http://www.semwebtech.org/mondial/10/country/TN/city/Tunis/	651284
http://www.semwebtech.org/mondial/10/country/CI/province/Savanes/city/Korhogo/	245239
http://www.semwebtech.org/mondial/10/country/R/province/Bashkortostan/city/Sterlitamak/	275798
http://www.semwebtech.org/mondial/10/country/BR/province/SantaCatarina/city/Criciúma/	189630
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Bakersfield/	347568
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Taubaté/	272673
http://www.semwebtech.org/mondial/10/country/RI/province/SulawesiSelatan/city/Makassar/	1338663
http://www.semwebtech.org/mondial/10/country/CN/province/Fujian/city/Yongan/	111762
http://www.semwebtech.org/mondial/10/country/SME/city/Paramaribo/	240924
http://www.semwebtech.org/mondial/10/country/IRQ/province/Wasit/city/AlKut/	183183
http://www.semwebtech.org/mondial/10/country/PK/province/Sindh/city/MirpurKhas/	189671
http://www.semwebtech.org/mondial/10/country/IL/province/TelAviv/city/TelAviv-Yafo/	403700
http://www.semwebtech.org/mondial/10/country/CN/province/Hunan/city/Huaihua/	126785
http://www.semwebtech.org/mondial/10/country/D/province/Hessen/city/Wiesbaden/	269121
http://www.semwebtech.org/mondial/10/country/AUS/province/AustraliaCapitalTerritory/city/Canberra/	418292
http://www.semwebtech.org/mondial/10/country/CO/province/NortedeSantander/city/Cúcuta/	643666
http://www.semwebtech.org/mondial/10/country/GB/province/YorkshireandtheHumber/city/Bradford/	349561
http://www.semwebtech.org/mondial/10/country/MEX/province/Coahuila/city/Monclova/	215271
http://www.semwebtech.org/mondial/10/country/NL/province/Utrecht/city/Amersfoort/	151270
http://www.semwebtech.org/mondial/10/country/USA/province/California/city/Stockton/	291731
http://www.semwebtech.org/mondial/10/country/RI/province/Bengkulu/city/Bengkulu/	308544
http://www.semwebtech.org/mondial/10/country/MW/city/Lilongwe/	674448
http://www.semwebtech.org/mondial/10/country/CH/province/Ticino/city/Lugano/	62792
http://www.semwebtech.org/mondial/10/country/RI/province/SumateraUtara/city/Binjai/	246154
http://www.semwebtech.org/mondial/10/country/J/province/Hyogo/city/Himeji/	533832
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Reynosa/	589466
http://www.semwebtech.org/mondial/10/country/R/province/Stavropol-skiy/city/Kislovodsk/	128553
http://www.semwebtech.org/mondial/10/country/RP/province/MetroManila/city/Parañaque/	552660
http://www.semwebtech.org/mondial/10/country/USA/province/Florida/city/CoralSprings/	121098
http://www.semwebtech.org/mondial/10/country/NOK/city/Chongjin/	667929
http://www.semwebtech.org/mondial/10/country/GR/province/StereasElladas/city/Lamia/	75315
http://www.semwebtech.org/mondial/10/country/YE/city/Aden/	570551
http://www.semwebtech.org/mondial/10/country/MEX/province/DistritoFederal/city/CiudaddeMéxico/	8555272
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Matamoros/	449815
http://www.semwebtech.org/mondial/10/country/N/province/Hedmark/city/Hamar/	15685
http://www.semwebtech.org/mondial/10/country/IR/province/Khorasan-e-Razavi/city/Neyshabur/	239185
http://www.semwebtech.org/mondial/10/country/EAK/city/Nairobi/	3133518
http://www.semwebtech.org/mondial/10/country/BR/province/MinasGerais/city/Sabará/	123084
http://www.semwebtech.org/mondial/10/country/BR/province/RioGrandedoSul/city/NovoHamburgo/	234798
http://www.semwebtech.org/mondial/10/country/R/province/YamaloNenetsao/city/Salekhard/	42544
http://www.semwebtech.org/mondial/10/country/PAL/city/Koror/	11665
http://www.semwebtech.org/mondial/10/country/GR/province/Thessalias/city/Volos/	144449
http://www.semwebtech.org/mondial/10/country/USA/province/Missouri/city/St.Louis/	319356
http://www.semwebtech.org/mondial/10/country/CN/province/Liaoning/city/Dandong/	523699
http://www.semwebtech.org/mondial/10/country/BR/province/Paraíba/city/CampinaGrande/	367209
http://www.semwebtech.org/mondial/10/country/RP/province/CagayanValley/city/Tuguegarao/	129539
http://www.semwebtech.org/mondial/10/country/CN/province/Shanxi/city/Yuci/	191356
http://www.semwebtech.org/mondial/10/country/IND/province/Maharashtra/city/Kalyan/	1247327
http://www.semwebtech.org/mondial/10/country/IR/province/Mazandaran/city/Qaemshahr/	196050
http://www.semwebtech.org/mondial/10/country/RSA/province/Gauteng/city/Ekurhuleni-Germiston/	3178471
http://www.semwebtech.org/mondial/10/country/USA/province/Michigan/city/Warren/	134056
http://www.semwebtech.org/mondial/10/country/P/province/Madeira/city/Funchal/	112362
http://www.semwebtech.org/mondial/10/country/RA/province/BuenosAires/city/GeneralSanMartín/	405122
http://www.semwebtech.org/mondial/10/country/R/province/Karelia/city/Petrozavodsk/	268946
http://www.semwebtech.org/mondial/10/country/NOK/city/Kaechon/	319554
http://www.semwebtech.org/mondial/10/country/BEN/city/Porto-Novo/	223552
http://www.semwebtech.org/mondial/10/country/CN/province/Jilin/city/Fuyu/	192981
http://www.semwebtech.org/mondial/10/country/VN/city/CamPha/	168196
http://www.semwebtech.org/mondial/10/country/CDN/province/Ontario/city/Brampton/	523911
http://www.semwebtech.org/mondial/10/country/MAL/province/Selangor/city/ShahAlam/	319612
http://www.semwebtech.org/mondial/10/country/CN/province/Heilongjiang/city/Hegang/	522747
http://www.semwebtech.org/mondial/10/country/BOL/province/Cochabamba/city/Sacaba/	169494
http://www.semwebtech.org/mondial/10/country/BR/province/SãoPaulo/city/Itapevi/	200769
http://www.semwebtech.org/mondial/10/country/CO/province/Santander/city/Barrancabermeja/	191784
http://www.semwebtech.org/mondial/10/country/MEX/province/Tamaulipas/city/Tampico/	297284
\.


--
-- TOC entry 5905 (class 0 OID 93916)
-- Dependencies: 858
-- Data for Name: proptablemap; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY proptablemap (property, tablename) FROM stdin;
latitude	Islands
latitude	Island
latitude	Lake
latitude	Mountains
latitude	Desert
latitude	Source
latitude	City
latitude	Estuary
latitude	Mountain
hasHeadq	Organization
flowsInto	Lake
flowsInto	River
name	Language
name	Continent
name	Mountains
name	Province
name	Island
name	Organization
name	Mountain
name	EthnicGroup
name	City
name	Religion
name	Desert
name	Islands
name	Water
name	Country
belongsToIslands	Island
gdpAgri	Country
type	Lake
type	Mountain
type	Desert
type	Sea
type	Islands
type	Island
type	Membership
type	Mountains
locatedOnIsland	Mountain
onlyfemaleprop	Female
length	Border
length	River
longitude	Lake
longitude	Source
longitude	Island
longitude	Islands
longitude	Desert
longitude	Estuary
longitude	City
longitude	Mountain
longitude	Mountains
inflation	Country
inMountains	Source
inMountains	Mountain
abbrev	Organization
lastEruption	Mountain
ethnicInfo-	EthnicProportion
populationGrowth	Country
percent	Encompassed
percent	BelievedBy
percent	SpokenBy
percent	EthnicProportion
depth	Sea
depth	Lake
government	Country
gdpServ	Country
invfktprop_Inv	Y2
invfktprop_Inv	Y1
gdpTotal	Country
hasMother	Female
hasMother	Male
hasSource	River
ofMember	Membership
religionInfo-	BelievedBy
elevation	Source
elevation	Mountains
elevation	Mountain
elevation	Lake
elevation	City
elevation	Islands
elevation	Estuary
elevation	Island
inOrganization	Membership
nmprop	X1
hasFather	Female
hasFather	Male
isProvinceOf	Province
languageInfo-	SpokenBy
unemployment	Country
independenceDate	Country
dependentOf	Country
onReligion	BelievedBy
totUpartV11prop	U
infantMortality	Country
onEthnicGroup	EthnicProportion
hasEstuary	River
gdpInd	Country
carCode	Country
established	Organization
encompassedArea	Encompassed
wasDependentOf	Country
flowsThrough_Inv	Lake
encompassedBy	Encompassed
onLanguage	SpokenBy
rdftype	Mountain
\.


--
-- TOC entry 5906 (class 0 OID 93930)
-- Dependencies: 861
-- Data for Name: rctab; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY rctab (tablename, columnname, rangetable) FROM stdin;
Organization	hasHeadq	City
Island	belongsToIslands	Islands
Country	dependentOf	Country
Country	wasDependentOf	Organization
Country	wasDependentOf	Country
Lake	flowsInto	Sea
Lake	flowsInto	Lake
Lake	flowsInto	River
Lake	flowsInto	Water
Lake	flowsThrough_Inv	River
Mountain	locatedOnIsland	Island
Mountain	inMountains	Mountains
Female	hasMother	Female
Female	hasFather	Male
Province	isProvinceOf	Country
Source	inMountains	Mountains
EthnicProportion	ethnicInfo-	Country
EthnicProportion	onEthnicGroup	EthnicGroup
Encompassed	encompassedArea	Country
Encompassed	encompassedArea	Province
Encompassed	encompassedBy	Continent
BelievedBy	religionInfo-	Country
BelievedBy	onReligion	Religion
Y2	invfktprop_Inv	X1
Y2	invfktprop_Inv	X2
River	hasSource	Source
River	hasEstuary	Estuary
River	flowsInto	Sea
River	flowsInto	Lake
River	flowsInto	River
River	flowsInto	Water
Membership	ofMember	Country
Membership	inOrganization	Organization
Male	hasMother	Female
Male	hasFather	Male
SpokenBy	languageInfo-	Country
SpokenBy	onLanguage	Language
X1	nmprop	Y1
X1	nmprop	Y2
U	totUpartV11prop	V
Y1	invfktprop_Inv	X1
Y1	invfktprop_Inv	X2
hasNickname	Person	Male
hasNickname	Person	Female
locatedAt	City	City
nmprop	X	X2
mergesWith	Sea1	Sea
locatedOnIsland	Entity	City
marriedWith	Person1	Male
marriedWith	Person1	Female
borders	Entity	Sea
borders	Entity	Continent
borders	Entity	Water
borders	Entity	Country
borders	Entity	Province
cityIn	City	City
othername	Entity	Country
othername	Entity	EthnicGroup
othername	Entity	City
othername	Entity	Mountains
othername	Entity	Province
othername	Entity	Continent
othername	Entity	Organization
othername	Entity	Islands
othername	Entity	Lake
othername	Entity	Island
othername	Entity	Language
othername	Entity	Sea
othername	Entity	Religion
othername	Entity	Mountain
othername	Entity	River
othername	Entity	Desert
othername	Entity	Water
locatedIn	Entity	Water
locatedIn	Entity	Islands
locatedIn	Entity	City
locatedIn	Entity	Lake
locatedIn	Entity	Estuary
locatedIn	Entity	River
locatedIn	Entity	Mountains
locatedIn	Entity	Mountain
locatedIn	Entity	Island
locatedIn	Entity	Source
locatedIn	Entity	Sea
locatedIn	Entity	Desert
locatedInWater	Island	Island
hasAccountNo	Person	Female
hasAccountNo	Person	Male
hasChild	Person1	Female
hasChild	Person1	Male
locatedAt	Water	River
locatedAt	Water	Lake
locatedAt	Water	Water
locatedAt	Water	Sea
nmprop	Y	Y1
nmprop	Y	Y2
mergesWith	Sea2	Sea
locatedOnIsland	Island	Island
marriedWith	Person2	Female
marriedWith	Person2	Male
borders	LargeArea	Continent
borders	LargeArea	Sea
borders	LargeArea	Province
borders	LargeArea	Water
borders	LargeArea	Country
cityIn	AdministrativeArea	Province
cityIn	AdministrativeArea	Country
locatedIn	Area	Sea
locatedIn	Area	City
locatedIn	Area	Desert
locatedIn	Area	Lake
locatedIn	Area	Islands
locatedIn	Area	Continent
locatedIn	Area	Mountains
locatedIn	Area	Country
locatedIn	Area	Water
locatedIn	Area	Island
locatedIn	Area	Province
locatedInWater	Water	Lake
locatedInWater	Water	Sea
locatedInWater	Water	River
locatedInWater	Water	Water
hasChild	Person2	Female
hasChild	Person2	Male
Border	Country1	Country
Border	Country2	Country
population	Subject	Islands
population	Subject	Province
population	Subject	Country
population	Subject	Island
population	Subject	City
area	Subject	Mountains
area	Subject	Desert
area	Subject	Islands
area	Subject	Continent
area	Subject	Country
area	Subject	Province
area	Subject	Island
area	Subject	Water
area	Subject	Lake
area	Subject	Sea
area	Subject	River
capital	City	City
capital	Subject	Country
capital	Subject	Province
\.


--
-- TOC entry 5907 (class 0 OID 93933)
-- Dependencies: 862
-- Data for Name: rdf2sqlconf; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY rdf2sqlconf (name, value) FROM stdin;
casesensitive	true
identifiers	asURI
\.


--
-- TOC entry 5908 (class 0 OID 93936)
-- Dependencies: 863
-- Data for Name: subcl; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY subcl (subclass, superclass) FROM stdin;
Language	rdf2sqlTOP
Continent	rdf2sqlTOP
Desert	rdf2sqlTOP
Border	rdf2sqlTOP
X2	rdf2sqlTOP
Estuary	rdf2sqlTOP
Source	rdf2sqlTOP
Mountain	rdf2sqlTOP
Lake	Water
Country	rdf2sqlTOP
Religion	rdf2sqlTOP
Encompassed	rdf2sqlTOP
Province	rdf2sqlTOP
Island	rdf2sqlTOP
Sea	Water
EthnicGroup	rdf2sqlTOP
Female	rdf2sqlTOP
SpokenBy	rdf2sqlTOP
Mountains	rdf2sqlTOP
Y1	rdf2sqlTOP
BelievedBy	rdf2sqlTOP
U	rdf2sqlTOP
River	Water
Male	rdf2sqlTOP
Water	rdf2sqlTOP
Membership	rdf2sqlTOP
Organization	rdf2sqlTOP
Y2	rdf2sqlTOP
V	rdf2sqlTOP
Islands	rdf2sqlTOP
EthnicProportion	rdf2sqlTOP
X1	rdf2sqlTOP
City	rdf2sqlTOP
\.


--
-- TOC entry 5909 (class 0 OID 93939)
-- Dependencies: 864
-- Data for Name: toptables; Type: TABLE DATA; Schema: mondial_wrls_mici_n_pac; Owner: -
--

COPY toptables (tablename, property, range) FROM stdin;
TOP_locatedOnIsland	locatedOnIsland	Island
TOP_latitude	latitude	decimal
TOP_hasFather	hasFather	Male
TOP_depth	depth	decimal
TOP_elevation	elevation	decimal
TOP_percent	percent	decimal
TOP_length	length	decimal
TOP_name	name	string
TOP_flowsInto	flowsInto	Water
TOP_nmprop	nmprop	Y
TOP_inMountains	inMountains	Mountains
TOP_invfktprop_Inv	invfktprop_Inv	X
TOP_type	type	string
TOP_hasMother	hasMother	Female
TOP_nmprop_Inv	nmprop_Inv	X
TOP_longitude	longitude	decimal
TOP_onlyfemaleprop	onlyfemaleprop	Integer
\.


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 5552 (class 2606 OID 96987)
-- Name: BelievedByPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "BelievedByPK" PRIMARY KEY ("URI");


--
-- TOC entry 5554 (class 2606 OID 96989)
-- Name: BorderPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "BorderPK" PRIMARY KEY ("URI");


--
-- TOC entry 5556 (class 2606 OID 96991)
-- Name: CityPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "City"
    ADD CONSTRAINT "CityPK" PRIMARY KEY ("URI");


--
-- TOC entry 5558 (class 2606 OID 96993)
-- Name: ContinentPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Continent"
    ADD CONSTRAINT "ContinentPK" PRIMARY KEY ("URI");


--
-- TOC entry 5560 (class 2606 OID 96995)
-- Name: CountryPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "CountryPK" PRIMARY KEY ("URI");


--
-- TOC entry 5562 (class 2606 OID 96997)
-- Name: DesertPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Desert"
    ADD CONSTRAINT "DesertPK" PRIMARY KEY ("URI");


--
-- TOC entry 5564 (class 2606 OID 96999)
-- Name: EncompassedPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "EncompassedPK" PRIMARY KEY ("URI");


--
-- TOC entry 5566 (class 2606 OID 97001)
-- Name: EstuaryPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "EstuaryPK" PRIMARY KEY ("URI");


--
-- TOC entry 5568 (class 2606 OID 97003)
-- Name: EthnicGroupPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicGroup"
    ADD CONSTRAINT "EthnicGroupPK" PRIMARY KEY ("URI");


--
-- TOC entry 5570 (class 2606 OID 97005)
-- Name: EthnicProportionPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "EthnicProportionPK" PRIMARY KEY ("URI");


--
-- TOC entry 5572 (class 2606 OID 97007)
-- Name: FemalePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FemalePK" PRIMARY KEY ("URI");


--
-- TOC entry 5574 (class 2606 OID 97009)
-- Name: IslandPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "IslandPK" PRIMARY KEY ("URI");


--
-- TOC entry 5576 (class 2606 OID 97011)
-- Name: IslandsPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Islands"
    ADD CONSTRAINT "IslandsPK" PRIMARY KEY ("URI");


--
-- TOC entry 5578 (class 2606 OID 97013)
-- Name: LanguagePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Language"
    ADD CONSTRAINT "LanguagePK" PRIMARY KEY ("URI");


--
-- TOC entry 5580 (class 2606 OID 97015)
-- Name: MalePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "MalePK" PRIMARY KEY ("URI");


--
-- TOC entry 5582 (class 2606 OID 97017)
-- Name: MembershipPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "MembershipPK" PRIMARY KEY ("URI");


--
-- TOC entry 5584 (class 2606 OID 97019)
-- Name: MountainPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "MountainPK" PRIMARY KEY ("URI");


--
-- TOC entry 5586 (class 2606 OID 97021)
-- Name: MountainsPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountains"
    ADD CONSTRAINT "MountainsPK" PRIMARY KEY ("URI");


--
-- TOC entry 5588 (class 2606 OID 97023)
-- Name: OrganizationPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "OrganizationPK" PRIMARY KEY ("URI");


--
-- TOC entry 5590 (class 2606 OID 97025)
-- Name: ProvincePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "ProvincePK" PRIMARY KEY ("URI");


--
-- TOC entry 5592 (class 2606 OID 97027)
-- Name: ReligionPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Religion"
    ADD CONSTRAINT "ReligionPK" PRIMARY KEY ("URI");


--
-- TOC entry 5594 (class 2606 OID 97029)
-- Name: SourcePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "SourcePK" PRIMARY KEY ("URI");


--
-- TOC entry 5596 (class 2606 OID 97031)
-- Name: SpokenByPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "SpokenByPK" PRIMARY KEY ("URI");


--
-- TOC entry 5598 (class 2606 OID 97033)
-- Name: UPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "UPK" PRIMARY KEY ("URI");


--
-- TOC entry 5600 (class 2606 OID 97035)
-- Name: VPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "V"
    ADD CONSTRAINT "VPK" PRIMARY KEY ("URI");


--
-- TOC entry 5602 (class 2606 OID 97037)
-- Name: WaterPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "WaterPK" PRIMARY KEY ("URI");


--
-- TOC entry 5604 (class 2606 OID 97039)
-- Name: X1PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "X1"
    ADD CONSTRAINT "X1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5606 (class 2606 OID 97041)
-- Name: X2PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "X2"
    ADD CONSTRAINT "X2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5608 (class 2606 OID 97043)
-- Name: Y1PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Y1"
    ADD CONSTRAINT "Y1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5610 (class 2606 OID 97045)
-- Name: Y2PK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Y2"
    ADD CONSTRAINT "Y2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5612 (class 2606 OID 97047)
-- Name: bordersPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY borders
    ADD CONSTRAINT "bordersPK" PRIMARY KEY ("Entity", "LargeArea");


--
-- TOC entry 5614 (class 2606 OID 97049)
-- Name: cityInPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "cityInPK" PRIMARY KEY ("City", "AdministrativeArea");


--
-- TOC entry 5616 (class 2606 OID 97051)
-- Name: hasAccountNoPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "hasAccountNo"
    ADD CONSTRAINT "hasAccountNoPK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5618 (class 2606 OID 97053)
-- Name: hasChildPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "hasChild"
    ADD CONSTRAINT "hasChildPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5620 (class 2606 OID 97055)
-- Name: hasNicknamePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "hasNickname"
    ADD CONSTRAINT "hasNicknamePK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5622 (class 2606 OID 97057)
-- Name: locatedAtPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "locatedAtPK" PRIMARY KEY ("City", "Water");


--
-- TOC entry 5624 (class 2606 OID 97059)
-- Name: locatedInPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedIn"
    ADD CONSTRAINT "locatedInPK" PRIMARY KEY ("Entity", "Area");


--
-- TOC entry 5626 (class 2606 OID 97061)
-- Name: locatedInWaterPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "locatedInWaterPK" PRIMARY KEY ("Island", "Water");


--
-- TOC entry 5628 (class 2606 OID 97063)
-- Name: locatedOnIslandPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "locatedOnIslandPK" PRIMARY KEY ("Entity", "Island");


--
-- TOC entry 5630 (class 2606 OID 97065)
-- Name: marriedWithPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "marriedWith"
    ADD CONSTRAINT "marriedWithPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5632 (class 2606 OID 97067)
-- Name: mergesWithPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "mergesWithPK" PRIMARY KEY ("Sea1", "Sea2");


--
-- TOC entry 5634 (class 2606 OID 97069)
-- Name: nmpropPK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "nmpropPK" PRIMARY KEY ("X", "Y");


--
-- TOC entry 5636 (class 2606 OID 97071)
-- Name: othernamePK; Type: CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY othername
    ADD CONSTRAINT "othernamePK" PRIMARY KEY ("Entity", "VALUE");


SET search_path = mondial_wrls_mici_n_pac, pg_catalog;

--
-- TOC entry 5454 (class 2606 OID 93944)
-- Name: BelievedByPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "BelievedByPK" PRIMARY KEY ("URI");


--
-- TOC entry 5456 (class 2606 OID 93946)
-- Name: BorderPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "BorderPK" PRIMARY KEY ("URI");


--
-- TOC entry 5458 (class 2606 OID 93948)
-- Name: CityPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "City"
    ADD CONSTRAINT "CityPK" PRIMARY KEY ("URI");


--
-- TOC entry 5460 (class 2606 OID 93950)
-- Name: ContinentPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Continent"
    ADD CONSTRAINT "ContinentPK" PRIMARY KEY ("URI");


--
-- TOC entry 5462 (class 2606 OID 93952)
-- Name: CountryPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "CountryPK" PRIMARY KEY ("URI");


--
-- TOC entry 5464 (class 2606 OID 93954)
-- Name: DesertPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Desert"
    ADD CONSTRAINT "DesertPK" PRIMARY KEY ("URI");


--
-- TOC entry 5466 (class 2606 OID 93956)
-- Name: EncompassedPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "EncompassedPK" PRIMARY KEY ("URI");


--
-- TOC entry 5468 (class 2606 OID 93958)
-- Name: EstuaryPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "EstuaryPK" PRIMARY KEY ("URI");


--
-- TOC entry 5470 (class 2606 OID 93960)
-- Name: EthnicGroupPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "EthnicGroup"
    ADD CONSTRAINT "EthnicGroupPK" PRIMARY KEY ("URI");


--
-- TOC entry 5472 (class 2606 OID 93962)
-- Name: EthnicProportionPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "EthnicProportionPK" PRIMARY KEY ("URI");


--
-- TOC entry 5474 (class 2606 OID 93964)
-- Name: FemalePK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FemalePK" PRIMARY KEY ("URI");


--
-- TOC entry 5476 (class 2606 OID 93966)
-- Name: IslandPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "IslandPK" PRIMARY KEY ("URI");


--
-- TOC entry 5478 (class 2606 OID 93968)
-- Name: IslandsPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Islands"
    ADD CONSTRAINT "IslandsPK" PRIMARY KEY ("URI");


--
-- TOC entry 5480 (class 2606 OID 93970)
-- Name: LakePK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "LakePK" PRIMARY KEY ("URI");


--
-- TOC entry 5482 (class 2606 OID 93972)
-- Name: LanguagePK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Language"
    ADD CONSTRAINT "LanguagePK" PRIMARY KEY ("URI");


--
-- TOC entry 5484 (class 2606 OID 93974)
-- Name: MalePK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "MalePK" PRIMARY KEY ("URI");


--
-- TOC entry 5486 (class 2606 OID 93976)
-- Name: MembershipPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "MembershipPK" PRIMARY KEY ("URI");


--
-- TOC entry 5488 (class 2606 OID 93980)
-- Name: MountainPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "MountainPK" PRIMARY KEY ("URI");


--
-- TOC entry 5490 (class 2606 OID 93982)
-- Name: MountainsPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Mountains"
    ADD CONSTRAINT "MountainsPK" PRIMARY KEY ("URI");


--
-- TOC entry 5492 (class 2606 OID 93984)
-- Name: OrganizationPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "OrganizationPK" PRIMARY KEY ("URI");


--
-- TOC entry 5494 (class 2606 OID 93986)
-- Name: ProvincePK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "ProvincePK" PRIMARY KEY ("URI");


--
-- TOC entry 5496 (class 2606 OID 93988)
-- Name: ReligionPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Religion"
    ADD CONSTRAINT "ReligionPK" PRIMARY KEY ("URI");


--
-- TOC entry 5498 (class 2606 OID 93990)
-- Name: RiverPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "RiverPK" PRIMARY KEY ("URI");


--
-- TOC entry 5500 (class 2606 OID 93992)
-- Name: SeaPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Sea"
    ADD CONSTRAINT "SeaPK" PRIMARY KEY ("URI");


--
-- TOC entry 5502 (class 2606 OID 93994)
-- Name: SourcePK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "SourcePK" PRIMARY KEY ("URI");


--
-- TOC entry 5504 (class 2606 OID 93996)
-- Name: SpokenByPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "SpokenByPK" PRIMARY KEY ("URI");


--
-- TOC entry 5506 (class 2606 OID 93998)
-- Name: UPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "UPK" PRIMARY KEY ("URI");


--
-- TOC entry 5508 (class 2606 OID 94000)
-- Name: VPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "V"
    ADD CONSTRAINT "VPK" PRIMARY KEY ("URI");


--
-- TOC entry 5510 (class 2606 OID 94002)
-- Name: WaterPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "WaterPK" PRIMARY KEY ("URI");


--
-- TOC entry 5512 (class 2606 OID 94004)
-- Name: X1PK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "X1"
    ADD CONSTRAINT "X1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5514 (class 2606 OID 94006)
-- Name: X2PK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "X2"
    ADD CONSTRAINT "X2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5516 (class 2606 OID 94008)
-- Name: Y1PK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Y1"
    ADD CONSTRAINT "Y1PK" PRIMARY KEY ("URI");


--
-- TOC entry 5518 (class 2606 OID 94010)
-- Name: Y2PK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Y2"
    ADD CONSTRAINT "Y2PK" PRIMARY KEY ("URI");


--
-- TOC entry 5520 (class 2606 OID 94012)
-- Name: areaPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY area
    ADD CONSTRAINT "areaPK" PRIMARY KEY ("Subject", "VALUE");


--
-- TOC entry 5522 (class 2606 OID 94014)
-- Name: bordersPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY borders
    ADD CONSTRAINT "bordersPK" PRIMARY KEY ("Entity", "LargeArea");


--
-- TOC entry 5524 (class 2606 OID 94016)
-- Name: capitalPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY capital
    ADD CONSTRAINT "capitalPK" PRIMARY KEY ("Subject", "City");


--
-- TOC entry 5526 (class 2606 OID 94018)
-- Name: cityInPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "cityInPK" PRIMARY KEY ("City", "AdministrativeArea");


--
-- TOC entry 5528 (class 2606 OID 94020)
-- Name: hasAccountNoPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "hasAccountNo"
    ADD CONSTRAINT "hasAccountNoPK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5530 (class 2606 OID 94022)
-- Name: hasChildPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "hasChild"
    ADD CONSTRAINT "hasChildPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5532 (class 2606 OID 94024)
-- Name: hasNicknamePK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "hasNickname"
    ADD CONSTRAINT "hasNicknamePK" PRIMARY KEY ("Person", "VALUE");


--
-- TOC entry 5534 (class 2606 OID 94026)
-- Name: locatedAtPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "locatedAtPK" PRIMARY KEY ("City", "Water");


--
-- TOC entry 5536 (class 2606 OID 94028)
-- Name: locatedInPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedIn"
    ADD CONSTRAINT "locatedInPK" PRIMARY KEY ("Entity", "Area");


--
-- TOC entry 5538 (class 2606 OID 94030)
-- Name: locatedInWaterPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "locatedInWaterPK" PRIMARY KEY ("Island", "Water");


--
-- TOC entry 5540 (class 2606 OID 94032)
-- Name: locatedOnIslandPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "locatedOnIslandPK" PRIMARY KEY ("Entity", "Island");


--
-- TOC entry 5542 (class 2606 OID 94034)
-- Name: marriedWithPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "marriedWith"
    ADD CONSTRAINT "marriedWithPK" PRIMARY KEY ("Person1", "Person2");


--
-- TOC entry 5544 (class 2606 OID 94036)
-- Name: mergesWithPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "mergesWithPK" PRIMARY KEY ("Sea1", "Sea2");


--
-- TOC entry 5546 (class 2606 OID 94038)
-- Name: nmpropPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "nmpropPK" PRIMARY KEY ("X", "Y");


--
-- TOC entry 5548 (class 2606 OID 94040)
-- Name: othernamePK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY othername
    ADD CONSTRAINT "othernamePK" PRIMARY KEY ("Entity", "VALUE");


--
-- TOC entry 5550 (class 2606 OID 94044)
-- Name: populationPK; Type: CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY population
    ADD CONSTRAINT "populationPK" PRIMARY KEY ("Subject", "VALUE");


SET search_path = mondial_rdf2sql_standard, pg_catalog;

--
-- TOC entry 5679 (class 2606 OID 97507)
-- Name: FKBelievedByonReligion; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByonReligion" FOREIGN KEY ("onReligion") REFERENCES "Religion"("URI");


--
-- TOC entry 5680 (class 2606 OID 97512)
-- Name: FKBelievedByreligionInfo-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByreligionInfo-" FOREIGN KEY ("religionInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5681 (class 2606 OID 97517)
-- Name: FKBorderCountry1; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry1" FOREIGN KEY ("Country1") REFERENCES "Country"("URI");


--
-- TOC entry 5682 (class 2606 OID 97522)
-- Name: FKBorderCountry2; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry2" FOREIGN KEY ("Country2") REFERENCES "Country"("URI");


--
-- TOC entry 5683 (class 2606 OID 97527)
-- Name: FKCountrycapital; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountrycapital" FOREIGN KEY (capital) REFERENCES "City"("URI");


--
-- TOC entry 5684 (class 2606 OID 97532)
-- Name: FKCountrydependentOf; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountrydependentOf" FOREIGN KEY ("dependentOf") REFERENCES "Country"("URI");


--
-- TOC entry 5685 (class 2606 OID 97537)
-- Name: FKEncompassedencompassedBy; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "FKEncompassedencompassedBy" FOREIGN KEY ("encompassedBy") REFERENCES "Continent"("URI");


--
-- TOC entry 5686 (class 2606 OID 97542)
-- Name: FKEstuaryhasEstuary-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Estuary"
    ADD CONSTRAINT "FKEstuaryhasEstuary-" FOREIGN KEY ("hasEstuary-") REFERENCES "Water"("URI");


--
-- TOC entry 5687 (class 2606 OID 97547)
-- Name: FKEthnicProportionethnicInfo-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportionethnicInfo-" FOREIGN KEY ("ethnicInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5688 (class 2606 OID 97552)
-- Name: FKEthnicProportiononEthnicGroup; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportiononEthnicGroup" FOREIGN KEY ("onEthnicGroup") REFERENCES "EthnicGroup"("URI");


--
-- TOC entry 5689 (class 2606 OID 97557)
-- Name: FKFemalehasFather; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5690 (class 2606 OID 97562)
-- Name: FKFemalehasMother; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5691 (class 2606 OID 97567)
-- Name: FKIslandbelongsToIslands; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "FKIslandbelongsToIslands" FOREIGN KEY ("belongsToIslands") REFERENCES "Islands"("URI");


--
-- TOC entry 5692 (class 2606 OID 97572)
-- Name: FKMalehasFather; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5693 (class 2606 OID 97577)
-- Name: FKMalehasMother; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5694 (class 2606 OID 97582)
-- Name: FKMembershipinOrganization; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipinOrganization" FOREIGN KEY ("inOrganization") REFERENCES "Organization"("URI");


--
-- TOC entry 5695 (class 2606 OID 97587)
-- Name: FKMembershipofMember; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipofMember" FOREIGN KEY ("ofMember") REFERENCES "Country"("URI");


--
-- TOC entry 5696 (class 2606 OID 97592)
-- Name: FKMountaininMountains; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountaininMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5697 (class 2606 OID 97597)
-- Name: FKMountainlocatedOnIsland; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountainlocatedOnIsland" FOREIGN KEY ("locatedOnIsland") REFERENCES "Island"("URI");


--
-- TOC entry 5698 (class 2606 OID 97602)
-- Name: FKOrganizationhasHeadq; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "FKOrganizationhasHeadq" FOREIGN KEY ("hasHeadq") REFERENCES "City"("URI");


--
-- TOC entry 5699 (class 2606 OID 97607)
-- Name: FKProvincecapital; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "FKProvincecapital" FOREIGN KEY (capital) REFERENCES "City"("URI");


--
-- TOC entry 5700 (class 2606 OID 97612)
-- Name: FKProvinceisProvinceOf; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "FKProvinceisProvinceOf" FOREIGN KEY ("isProvinceOf") REFERENCES "Country"("URI");


--
-- TOC entry 5701 (class 2606 OID 97617)
-- Name: FKSourcehasSource-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourcehasSource-" FOREIGN KEY ("hasSource-") REFERENCES "Water"("URI");


--
-- TOC entry 5702 (class 2606 OID 97622)
-- Name: FKSourceinMountains; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourceinMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5703 (class 2606 OID 97627)
-- Name: FKSpokenBylanguageInfo-; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenBylanguageInfo-" FOREIGN KEY ("languageInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5704 (class 2606 OID 97632)
-- Name: FKSpokenByonLanguage; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenByonLanguage" FOREIGN KEY ("onLanguage") REFERENCES "Language"("URI");


--
-- TOC entry 5705 (class 2606 OID 97637)
-- Name: FKUtotUpartV11prop; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "FKUtotUpartV11prop" FOREIGN KEY ("totUpartV11prop") REFERENCES "V"("URI");


--
-- TOC entry 5706 (class 2606 OID 97642)
-- Name: FKWaterflowsInto; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "FKWaterflowsInto" FOREIGN KEY ("flowsInto") REFERENCES "Water"("URI");


--
-- TOC entry 5707 (class 2606 OID 97647)
-- Name: FKWaterflowsThrough_Inv; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "Water"
    ADD CONSTRAINT "FKWaterflowsThrough_Inv" FOREIGN KEY ("flowsThrough_Inv") REFERENCES "Water"("URI");


--
-- TOC entry 5708 (class 2606 OID 97652)
-- Name: FKcityInCity; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "FKcityInCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5709 (class 2606 OID 97657)
-- Name: FKlocatedAtCity; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "FKlocatedAtCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5710 (class 2606 OID 97662)
-- Name: FKlocatedAtWater; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "FKlocatedAtWater" FOREIGN KEY ("Water") REFERENCES "Water"("URI");


--
-- TOC entry 5711 (class 2606 OID 97667)
-- Name: FKlocatedInWaterIsland; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "FKlocatedInWaterIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5712 (class 2606 OID 97672)
-- Name: FKlocatedInWaterWater; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "FKlocatedInWaterWater" FOREIGN KEY ("Water") REFERENCES "Water"("URI");


--
-- TOC entry 5713 (class 2606 OID 97677)
-- Name: FKlocatedOnIslandEntity; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "FKlocatedOnIslandEntity" FOREIGN KEY ("Entity") REFERENCES "City"("URI");


--
-- TOC entry 5714 (class 2606 OID 97682)
-- Name: FKlocatedOnIslandIsland; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "FKlocatedOnIslandIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5715 (class 2606 OID 97687)
-- Name: FKmergesWithSea1; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea1" FOREIGN KEY ("Sea1") REFERENCES "Water"("URI");


--
-- TOC entry 5716 (class 2606 OID 97692)
-- Name: FKmergesWithSea2; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea2" FOREIGN KEY ("Sea2") REFERENCES "Water"("URI");


--
-- TOC entry 5717 (class 2606 OID 97697)
-- Name: FKnmpropX; Type: FK CONSTRAINT; Schema: mondial_rdf2sql_standard; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "FKnmpropX" FOREIGN KEY ("X") REFERENCES "X2"("URI");


SET search_path = mondial_wrls_mici_n_pac, pg_catalog;

--
-- TOC entry 5637 (class 2606 OID 94045)
-- Name: FKBelievedByonReligion; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByonReligion" FOREIGN KEY ("onReligion") REFERENCES "Religion"("URI");


--
-- TOC entry 5638 (class 2606 OID 94050)
-- Name: FKBelievedByreligionInfo-; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "BelievedBy"
    ADD CONSTRAINT "FKBelievedByreligionInfo-" FOREIGN KEY ("religionInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5639 (class 2606 OID 94055)
-- Name: FKBorderCountry1; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry1" FOREIGN KEY ("Country1") REFERENCES "Country"("URI");


--
-- TOC entry 5640 (class 2606 OID 94060)
-- Name: FKBorderCountry2; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Border"
    ADD CONSTRAINT "FKBorderCountry2" FOREIGN KEY ("Country2") REFERENCES "Country"("URI");


--
-- TOC entry 5641 (class 2606 OID 94065)
-- Name: FKCountrydependentOf; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Country"
    ADD CONSTRAINT "FKCountrydependentOf" FOREIGN KEY ("dependentOf") REFERENCES "Country"("URI");


--
-- TOC entry 5642 (class 2606 OID 94070)
-- Name: FKEncompassedencompassedBy; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Encompassed"
    ADD CONSTRAINT "FKEncompassedencompassedBy" FOREIGN KEY ("encompassedBy") REFERENCES "Continent"("URI");


--
-- TOC entry 5643 (class 2606 OID 94075)
-- Name: FKEthnicProportionethnicInfo-; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportionethnicInfo-" FOREIGN KEY ("ethnicInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5644 (class 2606 OID 94080)
-- Name: FKEthnicProportiononEthnicGroup; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "EthnicProportion"
    ADD CONSTRAINT "FKEthnicProportiononEthnicGroup" FOREIGN KEY ("onEthnicGroup") REFERENCES "EthnicGroup"("URI");


--
-- TOC entry 5645 (class 2606 OID 94085)
-- Name: FKFemalehasFather; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5646 (class 2606 OID 94090)
-- Name: FKFemalehasMother; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Female"
    ADD CONSTRAINT "FKFemalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5647 (class 2606 OID 94095)
-- Name: FKIslandbelongsToIslands; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Island"
    ADD CONSTRAINT "FKIslandbelongsToIslands" FOREIGN KEY ("belongsToIslands") REFERENCES "Islands"("URI");


--
-- TOC entry 5648 (class 2606 OID 94100)
-- Name: FKLakeURI; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "FKLakeURI" FOREIGN KEY ("URI") REFERENCES "Water"("URI");


--
-- TOC entry 5649 (class 2606 OID 94105)
-- Name: FKLakeflowsInto; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "FKLakeflowsInto" FOREIGN KEY ("flowsInto") REFERENCES "Water"("URI");


--
-- TOC entry 5650 (class 2606 OID 94110)
-- Name: FKLakeflowsThrough_Inv; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Lake"
    ADD CONSTRAINT "FKLakeflowsThrough_Inv" FOREIGN KEY ("flowsThrough_Inv") REFERENCES "River"("URI");


--
-- TOC entry 5651 (class 2606 OID 94115)
-- Name: FKMalehasFather; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasFather" FOREIGN KEY ("hasFather") REFERENCES "Male"("URI");


--
-- TOC entry 5652 (class 2606 OID 94120)
-- Name: FKMalehasMother; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Male"
    ADD CONSTRAINT "FKMalehasMother" FOREIGN KEY ("hasMother") REFERENCES "Female"("URI");


--
-- TOC entry 5653 (class 2606 OID 94125)
-- Name: FKMembershipinOrganization; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipinOrganization" FOREIGN KEY ("inOrganization") REFERENCES "Organization"("URI");


--
-- TOC entry 5654 (class 2606 OID 94130)
-- Name: FKMembershipofMember; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Membership"
    ADD CONSTRAINT "FKMembershipofMember" FOREIGN KEY ("ofMember") REFERENCES "Country"("URI");


--
-- TOC entry 5655 (class 2606 OID 94135)
-- Name: FKMountaininMountains; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountaininMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5656 (class 2606 OID 94140)
-- Name: FKMountainlocatedOnIsland; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Mountain"
    ADD CONSTRAINT "FKMountainlocatedOnIsland" FOREIGN KEY ("locatedOnIsland") REFERENCES "Island"("URI");


--
-- TOC entry 5657 (class 2606 OID 94145)
-- Name: FKOrganizationhasHeadq; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Organization"
    ADD CONSTRAINT "FKOrganizationhasHeadq" FOREIGN KEY ("hasHeadq") REFERENCES "City"("URI");


--
-- TOC entry 5658 (class 2606 OID 94150)
-- Name: FKProvinceisProvinceOf; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Province"
    ADD CONSTRAINT "FKProvinceisProvinceOf" FOREIGN KEY ("isProvinceOf") REFERENCES "Country"("URI");


--
-- TOC entry 5659 (class 2606 OID 94155)
-- Name: FKRiverURI; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "FKRiverURI" FOREIGN KEY ("URI") REFERENCES "Water"("URI");


--
-- TOC entry 5660 (class 2606 OID 94162)
-- Name: FKRiverflowsInto; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "FKRiverflowsInto" FOREIGN KEY ("flowsInto") REFERENCES "Water"("URI");


--
-- TOC entry 5661 (class 2606 OID 94167)
-- Name: FKRiverhasEstuary; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "FKRiverhasEstuary" FOREIGN KEY ("hasEstuary") REFERENCES "Estuary"("URI");


--
-- TOC entry 5662 (class 2606 OID 94172)
-- Name: FKRiverhasSource; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "River"
    ADD CONSTRAINT "FKRiverhasSource" FOREIGN KEY ("hasSource") REFERENCES "Source"("URI");


--
-- TOC entry 5663 (class 2606 OID 94177)
-- Name: FKSeaURI; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Sea"
    ADD CONSTRAINT "FKSeaURI" FOREIGN KEY ("URI") REFERENCES "Water"("URI");


--
-- TOC entry 5664 (class 2606 OID 94183)
-- Name: FKSourceinMountains; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "Source"
    ADD CONSTRAINT "FKSourceinMountains" FOREIGN KEY ("inMountains") REFERENCES "Mountains"("URI");


--
-- TOC entry 5665 (class 2606 OID 94188)
-- Name: FKSpokenBylanguageInfo-; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenBylanguageInfo-" FOREIGN KEY ("languageInfo-") REFERENCES "Country"("URI");


--
-- TOC entry 5666 (class 2606 OID 94193)
-- Name: FKSpokenByonLanguage; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "SpokenBy"
    ADD CONSTRAINT "FKSpokenByonLanguage" FOREIGN KEY ("onLanguage") REFERENCES "Language"("URI");


--
-- TOC entry 5667 (class 2606 OID 94199)
-- Name: FKUtotUpartV11prop; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "U"
    ADD CONSTRAINT "FKUtotUpartV11prop" FOREIGN KEY ("totUpartV11prop") REFERENCES "V"("URI");


--
-- TOC entry 5668 (class 2606 OID 94204)
-- Name: FKcapitalCity; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY capital
    ADD CONSTRAINT "FKcapitalCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5669 (class 2606 OID 94209)
-- Name: FKcityInCity; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "cityIn"
    ADD CONSTRAINT "FKcityInCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5670 (class 2606 OID 94215)
-- Name: FKlocatedAtCity; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "FKlocatedAtCity" FOREIGN KEY ("City") REFERENCES "City"("URI");


--
-- TOC entry 5671 (class 2606 OID 94220)
-- Name: FKlocatedAtWater; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedAt"
    ADD CONSTRAINT "FKlocatedAtWater" FOREIGN KEY ("Water") REFERENCES "Water"("URI");


--
-- TOC entry 5672 (class 2606 OID 94225)
-- Name: FKlocatedInWaterIsland; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "FKlocatedInWaterIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5673 (class 2606 OID 94230)
-- Name: FKlocatedInWaterWater; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedInWater"
    ADD CONSTRAINT "FKlocatedInWaterWater" FOREIGN KEY ("Water") REFERENCES "Water"("URI");


--
-- TOC entry 5674 (class 2606 OID 94235)
-- Name: FKlocatedOnIslandEntity; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "FKlocatedOnIslandEntity" FOREIGN KEY ("Entity") REFERENCES "City"("URI");


--
-- TOC entry 5675 (class 2606 OID 94240)
-- Name: FKlocatedOnIslandIsland; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "locatedOnIsland"
    ADD CONSTRAINT "FKlocatedOnIslandIsland" FOREIGN KEY ("Island") REFERENCES "Island"("URI");


--
-- TOC entry 5676 (class 2606 OID 94245)
-- Name: FKmergesWithSea1; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea1" FOREIGN KEY ("Sea1") REFERENCES "Sea"("URI");


--
-- TOC entry 5677 (class 2606 OID 94250)
-- Name: FKmergesWithSea2; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY "mergesWith"
    ADD CONSTRAINT "FKmergesWithSea2" FOREIGN KEY ("Sea2") REFERENCES "Sea"("URI");


--
-- TOC entry 5678 (class 2606 OID 94255)
-- Name: FKnmpropX; Type: FK CONSTRAINT; Schema: mondial_wrls_mici_n_pac; Owner: -
--

ALTER TABLE ONLY nmprop
    ADD CONSTRAINT "FKnmpropX" FOREIGN KEY ("X") REFERENCES "X2"("URI");


-- Completed on 2015-10-22 14:55:09 CEST

--
-- PostgreSQL database dump complete
--

